#include <qtdbus_includes.h>

#include <smoke.h>
#include <qtdbus_smoke.h>

namespace __smokeqtdbus {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //DBusError
      switch(to) {
        case 1: return (void*)(DBusError*)xptr;
        default: return xptr;
      }
    case 2:   //QBitArray
      switch(to) {
        case 2: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChar
      switch(to) {
        case 5: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 6:   //QChildEvent
      switch(to) {
        case 32: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 6: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDBusAbstractAdaptor
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusAbstractAdaptor*)xptr;
        case 8: return (void*)(QDBusAbstractAdaptor*)xptr;
        default: return xptr;
      }
    case 9:   //QDBusAbstractInterface
      switch(to) {
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusAbstractInterface*)xptr;
        case 43: return (void*)(QObject*)(QDBusAbstractInterface*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)xptr;
        case 16: return (void*)(QDBusInterface*)(QDBusAbstractInterface*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QDBusAbstractInterface*)xptr;
        default: return xptr;
      }
    case 10:   //QDBusAbstractInterfaceBase
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusAbstractInterfaceBase*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusAbstractInterfaceBase*)xptr;
        case 16: return (void*)(QDBusInterface*)(QDBusAbstractInterfaceBase*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QDBusAbstractInterfaceBase*)xptr;
        default: return xptr;
      }
    case 11:   //QDBusArgument
      switch(to) {
        case 11: return (void*)(QDBusArgument*)xptr;
        default: return xptr;
      }
    case 12:   //QDBusConnection
      switch(to) {
        case 12: return (void*)(QDBusConnection*)xptr;
        default: return xptr;
      }
    case 13:   //QDBusConnectionInterface
      switch(to) {
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusConnectionInterface*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusConnectionInterface*)xptr;
        case 43: return (void*)(QObject*)(QDBusConnectionInterface*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)xptr;
        default: return xptr;
      }
    case 14:   //QDBusContext
      switch(to) {
        case 14: return (void*)(QDBusContext*)xptr;
        default: return xptr;
      }
    case 15:   //QDBusError
      switch(to) {
        case 15: return (void*)(QDBusError*)xptr;
        default: return xptr;
      }
    case 16:   //QDBusInterface
      switch(to) {
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusInterface*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusInterface*)xptr;
        case 43: return (void*)(QObject*)(QDBusInterface*)xptr;
        case 16: return (void*)(QDBusInterface*)xptr;
        default: return xptr;
      }
    case 17:   //QDBusMessage
      switch(to) {
        case 17: return (void*)(QDBusMessage*)xptr;
        default: return xptr;
      }
    case 18:   //QDBusMetaType
      switch(to) {
        case 18: return (void*)(QDBusMetaType*)xptr;
        default: return xptr;
      }
    case 19:   //QDBusPendingCall
      switch(to) {
        case 19: return (void*)(QDBusPendingCall*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)(QDBusPendingCall*)xptr;
        default: return xptr;
      }
    case 20:   //QDBusPendingCallWatcher
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusPendingCallWatcher*)xptr;
        case 19: return (void*)(QDBusPendingCall*)(QDBusPendingCallWatcher*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)xptr;
        default: return xptr;
      }
    case 21:   //QDBusServer
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusServer*)xptr;
        case 21: return (void*)(QDBusServer*)xptr;
        default: return xptr;
      }
    case 22:   //QDBusServiceWatcher
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusServiceWatcher*)xptr;
        case 22: return (void*)(QDBusServiceWatcher*)xptr;
        default: return xptr;
      }
    case 23:   //QDBusUnixFileDescriptor
      switch(to) {
        case 23: return (void*)(QDBusUnixFileDescriptor*)xptr;
        default: return xptr;
      }
    case 24:   //QDBusVariant
      switch(to) {
        case 60: return (void*)(QVariant*)(QDBusVariant*)xptr;
        case 24: return (void*)(QDBusVariant*)xptr;
        default: return xptr;
      }
    case 25:   //QDBusVirtualObject
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusVirtualObject*)xptr;
        case 25: return (void*)(QDBusVirtualObject*)xptr;
        default: return xptr;
      }
    case 26:   //QDataStream
      switch(to) {
        case 26: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 27:   //QDate
      switch(to) {
        case 27: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 28:   //QDateTime
      switch(to) {
        case 28: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 29:   //QDebug
      switch(to) {
        case 29: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 30:   //QDir
      switch(to) {
        case 30: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 31:   //QEasingCurve
      switch(to) {
        case 31: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 32:   //QEvent
      switch(to) {
        case 32: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QHashDummyValue
      switch(to) {
        case 34: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 35:   //QIncompatibleFlag
      switch(to) {
        case 35: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 36:   //QLatin1String
      switch(to) {
        case 36: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 37:   //QLine
      switch(to) {
        case 37: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 38:   //QLineF
      switch(to) {
        case 38: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 39:   //QLocale
      switch(to) {
        case 39: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 40:   //QMargins
      switch(to) {
        case 40: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 41:   //QMetaObject
      switch(to) {
        case 41: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 42:   //QModelIndex
      switch(to) {
        case 42: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 43:   //QObject
      switch(to) {
        case 43: return (void*)(QObject*)xptr;
        case 8: return (void*)(QDBusAbstractAdaptor*)(QObject*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)(QObject*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)(QObject*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QObject*)xptr;
        case 22: return (void*)(QDBusServiceWatcher*)(QObject*)xptr;
        case 16: return (void*)(QDBusInterface*)(QObject*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QObject*)xptr;
        case 21: return (void*)(QDBusServer*)(QObject*)xptr;
        default: return xptr;
      }
    case 44:   //QPersistentModelIndex
      switch(to) {
        case 44: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 45:   //QPoint
      switch(to) {
        case 45: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 46:   //QPointF
      switch(to) {
        case 46: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 47:   //QRect
      switch(to) {
        case 47: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 48:   //QRectF
      switch(to) {
        case 48: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 49:   //QRegExp
      switch(to) {
        case 49: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 50:   //QSize
      switch(to) {
        case 50: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 51:   //QSizeF
      switch(to) {
        case 51: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 52:   //QString::Null
      switch(to) {
        case 52: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 53:   //QStringRef
      switch(to) {
        case 53: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 54:   //QTextStream
      switch(to) {
        case 54: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 55:   //QTextStreamManipulator
      switch(to) {
        case 55: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 56:   //QTime
      switch(to) {
        case 56: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 57:   //QTimerEvent
      switch(to) {
        case 32: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 57: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QUrl
      switch(to) {
        case 58: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 59:   //QUuid
      switch(to) {
        case 59: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 60:   //QVariant
      switch(to) {
        case 60: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 61:   //QVariantComparisonHelper
      switch(to) {
        case 61: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    43, 0,	// 1: QObject
    10, 0,	// 3: QDBusAbstractInterfaceBase
    9, 0,	// 5: QDBusAbstractInterface
    43, 19, 0,	// 7: QObject, QDBusPendingCall
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusConnection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusConnectionInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBus(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusArgument(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusServiceWatcher(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusMessage(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QDBus(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractAdaptor(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractInterfaceBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusArgument(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusConnection(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusConnectionInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusError(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusMessage(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusMetaType(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusPendingCall(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusPendingCallWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusServiceWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "DBusError", true, 0, 0, 0, 0, 0 },	//1
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChar", true, 0, 0, 0, 0, 0 },	//5
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QDBus", false, 0, xcall_QDBus, xenum_QDBus, Smoke::cf_namespace, 0 },	//7
    { "QDBusAbstractAdaptor", false, 1, xcall_QDBusAbstractAdaptor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractAdaptor) },	//8
    { "QDBusAbstractInterface", false, 3, xcall_QDBusAbstractInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractInterface) },	//9
    { "QDBusAbstractInterfaceBase", false, 1, xcall_QDBusAbstractInterfaceBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractInterfaceBase) },	//10
    { "QDBusArgument", false, 0, xcall_QDBusArgument, xenum_QDBusArgument, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusArgument) },	//11
    { "QDBusConnection", false, 0, xcall_QDBusConnection, xenum_QDBusConnection, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusConnection) },	//12
    { "QDBusConnectionInterface", false, 5, xcall_QDBusConnectionInterface, xenum_QDBusConnectionInterface, Smoke::cf_virtual, sizeof(QDBusConnectionInterface) },	//13
    { "QDBusContext", false, 0, xcall_QDBusContext, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusContext) },	//14
    { "QDBusError", false, 0, xcall_QDBusError, xenum_QDBusError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusError) },	//15
    { "QDBusInterface", false, 5, xcall_QDBusInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusInterface) },	//16
    { "QDBusMessage", false, 0, xcall_QDBusMessage, xenum_QDBusMessage, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusMessage) },	//17
    { "QDBusMetaType", false, 0, xcall_QDBusMetaType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusMetaType) },	//18
    { "QDBusPendingCall", false, 0, xcall_QDBusPendingCall, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusPendingCall) },	//19
    { "QDBusPendingCallWatcher", false, 7, xcall_QDBusPendingCallWatcher, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusPendingCallWatcher) },	//20
    { "QDBusServer", false, 1, xcall_QDBusServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusServer) },	//21
    { "QDBusServiceWatcher", false, 1, xcall_QDBusServiceWatcher, xenum_QDBusServiceWatcher, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusServiceWatcher) },	//22
    { "QDBusUnixFileDescriptor", true, 0, 0, 0, 0, 0 },	//23
    { "QDBusVariant", true, 0, 0, 0, 0, 0 },	//24
    { "QDBusVirtualObject", true, 0, 0, 0, 0, 0 },	//25
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//26
    { "QDate", true, 0, 0, 0, 0, 0 },	//27
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//28
    { "QDebug", true, 0, 0, 0, 0, 0 },	//29
    { "QDir", true, 0, 0, 0, 0, 0 },	//30
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//31
    { "QEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//33
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//34
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//35
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//36
    { "QLine", true, 0, 0, 0, 0, 0 },	//37
    { "QLineF", true, 0, 0, 0, 0, 0 },	//38
    { "QLocale", true, 0, 0, 0, 0, 0 },	//39
    { "QMargins", true, 0, 0, 0, 0, 0 },	//40
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//41
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//42
    { "QObject", true, 0, 0, 0, 0, 0 },	//43
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//44
    { "QPoint", true, 0, 0, 0, 0, 0 },	//45
    { "QPointF", true, 0, 0, 0, 0, 0 },	//46
    { "QRect", true, 0, 0, 0, 0, 0 },	//47
    { "QRectF", true, 0, 0, 0, 0, 0 },	//48
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//49
    { "QSize", true, 0, 0, 0, 0, 0 },	//50
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//51
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//52
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//53
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//54
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//55
    { "QTime", true, 0, 0, 0, 0, 0 },	//56
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QUrl", true, 0, 0, 0, 0, 0 },	//58
    { "QUuid", true, 0, 0, 0, 0, 0 },	//59
    { "QVariant", true, 0, 0, 0, 0, 0 },	//60
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//61
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBitArray", 2, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 2, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 4, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//6
    { "QChar", 5, Smoke::t_class|Smoke::tf_stack },	//7
    { "QChar&", 5, Smoke::t_class|Smoke::tf_ref },	//8
    { "QChildEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDBus::CallMode", 7, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QDBusAbstractAdaptor*", 8, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDBusAbstractInterface*", 9, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QDBusArgument&", 11, Smoke::t_class|Smoke::tf_ref },	//13
    { "QDBusArgument*", 11, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QDBusArgument::ElementType", 11, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDBusConnection", 12, Smoke::t_class|Smoke::tf_stack },	//16
    { "QDBusConnection&", 12, Smoke::t_class|Smoke::tf_ref },	//17
    { "QDBusConnection*", 12, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QDBusConnection::BusType", 12, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QDBusConnection::ConnectionCapability", 12, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QDBusConnection::RegisterOption", 12, Smoke::t_enum|Smoke::tf_stack },	//21
    { "QDBusConnection::UnregisterMode", 12, Smoke::t_enum|Smoke::tf_stack },	//22
    { "QDBusConnection::VirtualObjectRegisterOption", 12, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QDBusConnectionInterface*", 13, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QDBusConnectionInterface::RegisterServiceReply", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QDBusConnectionInterface::ServiceQueueOptions", 13, Smoke::t_enum|Smoke::tf_stack },	//26
    { "QDBusConnectionInterface::ServiceReplacementOptions", 13, Smoke::t_enum|Smoke::tf_stack },	//27
    { "QDBusContext*", 14, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QDBusError", 15, Smoke::t_class|Smoke::tf_stack },	//29
    { "QDBusError&", 15, Smoke::t_class|Smoke::tf_ref },	//30
    { "QDBusError*", 15, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QDBusError::ErrorType", 15, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QDBusInterface*", 16, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QDBusMessage", 17, Smoke::t_class|Smoke::tf_stack },	//34
    { "QDBusMessage&", 17, Smoke::t_class|Smoke::tf_ref },	//35
    { "QDBusMessage*", 17, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QDBusMessage::MessageType", 17, Smoke::t_enum|Smoke::tf_stack },	//37
    { "QDBusMetaType*", 18, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QDBusObjectPath&", 0, Smoke::t_voidp|Smoke::tf_ref },	//39
    { "QDBusPendingCall", 19, Smoke::t_class|Smoke::tf_stack },	//40
    { "QDBusPendingCall&", 19, Smoke::t_class|Smoke::tf_ref },	//41
    { "QDBusPendingCall*", 19, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QDBusPendingCallWatcher*", 20, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QDBusReply<QDBusConnectionInterface::RegisterServiceReply>", 0, Smoke::t_voidp|Smoke::tf_stack },	//44
    { "QDBusReply<QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//45
    { "QDBusReply<QStringList>", 0, Smoke::t_voidp|Smoke::tf_stack },	//46
    { "QDBusReply<bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//47
    { "QDBusReply<uint>", 0, Smoke::t_voidp|Smoke::tf_stack },	//48
    { "QDBusReply<void>", 0, Smoke::t_voidp|Smoke::tf_stack },	//49
    { "QDBusServer*", 21, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QDBusServiceWatcher*", 22, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QDBusServiceWatcher::WatchModeFlag", 22, Smoke::t_enum|Smoke::tf_stack },	//52
    { "QDBusSignature&", 0, Smoke::t_voidp|Smoke::tf_ref },	//53
    { "QDBusUnixFileDescriptor&", 23, Smoke::t_class|Smoke::tf_ref },	//54
    { "QDBusVariant&", 24, Smoke::t_class|Smoke::tf_ref },	//55
    { "QDBusVirtualObject*", 25, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QDataStream&", 26, Smoke::t_class|Smoke::tf_ref },	//57
    { "QDate&", 27, Smoke::t_class|Smoke::tf_ref },	//58
    { "QDateTime&", 28, Smoke::t_class|Smoke::tf_ref },	//59
    { "QDebug", 29, Smoke::t_class|Smoke::tf_stack },	//60
    { "QDir::Filter", 30, Smoke::t_enum|Smoke::tf_stack },	//61
    { "QDir::SortFlag", 30, Smoke::t_enum|Smoke::tf_stack },	//62
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "QEasingCurve&", 31, Smoke::t_class|Smoke::tf_ref },	//64
    { "QEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QDBusConnection::ConnectionCapability>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QDBusConnection::RegisterOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QDBusConnection::VirtualObjectRegisterOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QDBusServiceWatcher::WatchModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QIncompatibleFlag", 35, Smoke::t_class|Smoke::tf_stack },	//102
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QLine&", 37, Smoke::t_class|Smoke::tf_ref },	//104
    { "QLineF&", 38, Smoke::t_class|Smoke::tf_ref },	//105
    { "QList<QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//107
    { "QLocale&", 39, Smoke::t_class|Smoke::tf_ref },	//108
    { "QLocale::NumberOption", 39, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QMetaObject::Call", 41, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QObject*", 43, Smoke::t_class|Smoke::tf_ptr },	//111
    { "QObject*(*)()", 43, Smoke::t_class|Smoke::tf_ptr },	//112
    { "QPoint&", 45, Smoke::t_class|Smoke::tf_ref },	//113
    { "QPointF&", 46, Smoke::t_class|Smoke::tf_ref },	//114
    { "QRect&", 47, Smoke::t_class|Smoke::tf_ref },	//115
    { "QRectF&", 48, Smoke::t_class|Smoke::tf_ref },	//116
    { "QRegExp&", 49, Smoke::t_class|Smoke::tf_ref },	//117
    { "QSize&", 50, Smoke::t_class|Smoke::tf_ref },	//118
    { "QSizeF&", 51, Smoke::t_class|Smoke::tf_ref },	//119
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//120
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//121
    { "QString::Null", 52, Smoke::t_class|Smoke::tf_stack },	//122
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//124
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//125
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//126
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QTextStream&", 54, Smoke::t_class|Smoke::tf_ref },	//128
    { "QTextStream&(*)(QTextStream&)", 54, Smoke::t_class|Smoke::tf_ref },	//129
    { "QTextStream::NumberFlag", 54, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QTextStreamManipulator", 55, Smoke::t_class|Smoke::tf_stack },	//131
    { "QTime&", 56, Smoke::t_class|Smoke::tf_ref },	//132
    { "QTimerEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//133
    { "QUrl&", 58, Smoke::t_class|Smoke::tf_ref },	//134
    { "QUrl::FormattingOption", 58, Smoke::t_enum|Smoke::tf_stack },	//135
    { "QUuid&", 59, Smoke::t_class|Smoke::tf_ref },	//136
    { "QVariant", 60, Smoke::t_class|Smoke::tf_stack },	//137
    { "QVariant&", 60, Smoke::t_class|Smoke::tf_ref },	//138
    { "QVariant::Type", 60, Smoke::t_enum|Smoke::tf_stack },	//139
    { "QVariant::Type&", 60, Smoke::t_enum|Smoke::tf_ref },	//140
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QtMsgType", 33, Smoke::t_enum|Smoke::tf_stack },	//215
    { "_LIB_VERSION_TYPE", 33, Smoke::t_enum|Smoke::tf_stack },	//216
    { "__codecvt_result", 33, Smoke::t_enum|Smoke::tf_stack },	//217
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//218
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//219
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//220
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//221
    { "const DBusError*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//222
    { "const QBitArray&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const QByteArray", 4, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//224
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const QChar&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const QDBusArgument&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const QDBusConnection&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QDBusContext&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const QDBusError&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QDBusMessage&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QDBusMetaType&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QDBusObjectPath&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QDBusPendingCall&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const QDBusSignature&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QDBusUnixFileDescriptor&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QDBusVariant&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QDate&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QDateTime&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QDir&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QEasingCurve&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QHash<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QHashDummyValue&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QLatin1String&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QLine&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QLineF&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QLocale&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QMargins&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QMetaObject&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QMetaObject*", 41, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//252
    { "const QModelIndex&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QObject*", 43, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//254
    { "const QPersistentModelIndex&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QPoint", 45, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//256
    { "const QPoint&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QPointF", 46, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//258
    { "const QPointF&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QRect&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QRectF&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QRegExp&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QRegExp*", 49, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//263
    { "const QSize", 50, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//264
    { "const QSize&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QSizeF", 51, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//266
    { "const QSizeF&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//268
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//271
    { "const QStringRef&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QTime&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QUrl&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QUuid&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QVariant&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QVariant::Type", 60, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//277
    { "const QVariantComparisonHelper&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//279
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//280
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//281
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//282
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//283
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//284
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//285
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//286
    { "int(*)(const void*,const void*)", 0, Smoke::t_int|Smoke::tf_stack },	//287
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//288
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//289
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//290
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//291
    { "long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//292
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//293
    { "short&", 0, Smoke::t_voidp|Smoke::tf_ref },	//294
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//295
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//296
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//297
    { "unsigned char&", 0, Smoke::t_voidp|Smoke::tf_ref },	//298
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//299
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//300
    { "unsigned int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//301
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//302
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//303
    { "unsigned long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//304
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//305
    { "unsigned short&", 0, Smoke::t_voidp|Smoke::tf_ref },	//306
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//307
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//308
    { "void(*)(QDBusArgument&,const void*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//309
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//310
    { "void(*)(const QDBusArgument&,void*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//311
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//312
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//313
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//314
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    279, 0,	//1  const char*
    279, 279, 0,	//3  const char*, const char*
    279, 279, 285, 0,	//6  const char*, const char*, int
    110, 285, 313, 0,	//10  QMetaObject::Call, int, void**
    111, 0,	//14  QObject*
    218, 0,	//16  bool
    285, 0,	//18  int
    269, 276, 276, 276, 276, 276, 276, 276, 276, 0,	//20  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 269, 276, 276, 276, 276, 276, 276, 276, 276, 0,	//30  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 269, 247, 0,	//41  QDBus::CallMode, const QString&, const QList<QVariant>&
    269, 247, 111, 279, 279, 0,	//45  const QString&, const QList<QVariant>&, QObject*, const char*, const char*
    269, 247, 111, 279, 0,	//51  const QString&, const QList<QVariant>&, QObject*, const char*
    269, 247, 0,	//56  const QString&, const QList<QVariant>&
    269, 269, 279, 228, 111, 0,	//59  const QString&, const QString&, const char*, const QDBusConnection&, QObject*
    279, 276, 0,	//65  const char*, const QVariant&
    269, 0,	//68  const QString&
    269, 276, 0,	//70  const QString&, const QVariant&
    269, 276, 276, 0,	//73  const QString&, const QVariant&, const QVariant&
    269, 276, 276, 276, 0,	//77  const QString&, const QVariant&, const QVariant&, const QVariant&
    269, 276, 276, 276, 276, 0,	//82  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    269, 276, 276, 276, 276, 276, 0,	//88  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    269, 276, 276, 276, 276, 276, 276, 0,	//95  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    269, 276, 276, 276, 276, 276, 276, 276, 0,	//103  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 269, 0,	//112  QDBus::CallMode, const QString&
    10, 269, 276, 0,	//115  QDBus::CallMode, const QString&, const QVariant&
    10, 269, 276, 276, 0,	//119  QDBus::CallMode, const QString&, const QVariant&, const QVariant&
    10, 269, 276, 276, 276, 0,	//124  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&
    10, 269, 276, 276, 276, 276, 0,	//130  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 269, 276, 276, 276, 276, 276, 0,	//137  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 269, 276, 276, 276, 276, 276, 276, 0,	//145  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 269, 276, 276, 276, 276, 276, 276, 276, 0,	//154  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    227, 0,	//164  const QDBusArgument&
    297, 0,	//166  unsigned char
    293, 0,	//168  short
    305, 0,	//170  unsigned short
    300, 0,	//172  unsigned int
    291, 0,	//174  long long
    303, 0,	//176  unsigned long long
    282, 0,	//178  double
    237, 0,	//180  const QDBusVariant&
    233, 0,	//182  const QDBusObjectPath&
    235, 0,	//184  const QDBusSignature&
    236, 0,	//186  const QDBusUnixFileDescriptor&
    270, 0,	//188  const QStringList&
    225, 0,	//190  const QByteArray&
    285, 285, 0,	//192  int, int
    276, 0,	//195  const QVariant&
    298, 0,	//197  unsigned char&
    219, 0,	//199  bool&
    294, 0,	//201  short&
    306, 0,	//203  unsigned short&
    286, 0,	//205  int&
    301, 0,	//207  unsigned int&
    292, 0,	//209  long long&
    304, 0,	//211  unsigned long long&
    283, 0,	//213  double&
    121, 0,	//215  QString&
    55, 0,	//217  QDBusVariant&
    39, 0,	//219  QDBusObjectPath&
    53, 0,	//221  QDBusSignature&
    54, 0,	//223  QDBusUnixFileDescriptor&
    125, 0,	//225  QStringList&
    6, 0,	//227  QByteArray&
    228, 0,	//229  const QDBusConnection&
    231, 0,	//231  const QDBusMessage&
    231, 111, 279, 279, 285, 0,	//233  const QDBusMessage&, QObject*, const char*, const char*, int
    231, 111, 279, 285, 0,	//239  const QDBusMessage&, QObject*, const char*, int
    231, 10, 285, 0,	//244  const QDBusMessage&, QDBus::CallMode, int
    231, 285, 0,	//248  const QDBusMessage&, int
    269, 269, 269, 269, 111, 279, 0,	//251  const QString&, const QString&, const QString&, const QString&, QObject*, const char*
    269, 269, 269, 269, 269, 111, 279, 0,	//258  const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*
    269, 269, 269, 269, 270, 269, 111, 279, 0,	//266  const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*
    269, 111, 70, 0,	//275  const QString&, QObject*, QFlags<QDBusConnection::RegisterOption>
    269, 22, 0,	//279  const QString&, QDBusConnection::UnregisterMode
    269, 56, 23, 0,	//282  const QString&, QDBusVirtualObject*, QDBusConnection::VirtualObjectRegisterOption
    19, 269, 0,	//286  QDBusConnection::BusType, const QString&
    269, 269, 0,	//289  const QString&, const QString&
    231, 111, 279, 279, 0,	//292  const QDBusMessage&, QObject*, const char*, const char*
    231, 111, 279, 0,	//297  const QDBusMessage&, QObject*, const char*
    231, 10, 0,	//301  const QDBusMessage&, QDBus::CallMode
    269, 111, 0,	//304  const QString&, QObject*
    269, 56, 0,	//307  const QString&, QDBusVirtualObject*
    269, 26, 27, 0,	//310  const QString&, QDBusConnectionInterface::ServiceQueueOptions, QDBusConnectionInterface::ServiceReplacementOptions
    269, 269, 269, 0,	//314  const QString&, const QString&, const QString&
    230, 231, 0,	//318  const QDBusError&, const QDBusMessage&
    269, 26, 0,	//321  const QString&, QDBusConnectionInterface::ServiceQueueOptions
    32, 269, 0,	//324  QDBusError::ErrorType, const QString&
    229, 0,	//327  const QDBusContext&
    32, 0,	//329  QDBusError::ErrorType
    222, 0,	//331  const DBusError*
    230, 0,	//333  const QDBusError&
    269, 269, 269, 228, 111, 0,	//335  const QString&, const QString&, const QString&, const QDBusConnection&, QObject*
    269, 269, 269, 228, 0,	//341  const QString&, const QString&, const QString&, const QDBusConnection&
    269, 269, 269, 269, 0,	//346  const QString&, const QString&, const QString&, const QString&
    247, 0,	//351  const QList<QVariant>&
    268, 269, 0,	//353  const QString, const QString&
    285, 309, 311, 0,	//356  int, void(*)(QDBusArgument&,const void*), void(*)(const QDBusArgument&,void*)
    13, 285, 281, 0,	//360  QDBusArgument&, int, const void*
    227, 285, 312, 0,	//364  const QDBusArgument&, int, void*
    232, 0,	//368  const QDBusMetaType&
    234, 0,	//370  const QDBusPendingCall&
    234, 111, 0,	//372  const QDBusPendingCall&, QObject*
    43, 0,	//375  QDBusPendingCallWatcher*
    269, 228, 72, 111, 0,	//377  const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>, QObject*
    72, 0,	//382  QFlags<QDBusServiceWatcher::WatchModeFlag>
    269, 228, 0,	//384  const QString&, const QDBusConnection&
    269, 228, 72, 0,	//387  const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>
    272, 272, 0,	//391  const QStringRef&, const QStringRef&
    127, 285, 0,	//394  QTextCodec::ConversionFlag, int
    172, 285, 0,	//397  Qt::ImageConversionFlag, int
    279, 300, 0,	//400  const char*, unsigned int
    312, 281, 296, 0,	//403  void*, const void*, size_t
    23, 71, 0,	//407  QDBusConnection::VirtualObjectRegisterOption, QFlags<QDBusConnection::VirtualObjectRegisterOption>
    279, 244, 0,	//410  const char*, const QLatin1String&
    60, 78, 0,	//413  QDebug, QFlags<QIODevice::OpenModeFlag>
    272, 269, 0,	//416  const QStringRef&, const QString&
    265, 265, 0,	//419  const QSize&, const QSize&
    279, 225, 0,	//422  const char*, const QByteArray&
    67, 77, 0,	//425  QFile::Permission, QFlags<QFile::Permission>
    269, 279, 0,	//428  const QString&, const char*
    259, 259, 0,	//431  const QPointF&, const QPointF&
    282, 282, 0,	//434  double, double
    57, 119, 0,	//437  QDataStream&, QSizeF&
    225, 279, 0,	//440  const QByteArray&, const char*
    284, 0,	//443  float
    295, 0,	//445  signed char
    269, 272, 0,	//447  const QString&, const QStringRef&
    7, 0,	//450  QChar
    272, 244, 0,	//452  const QStringRef&, const QLatin1String&
    7, 7, 0,	//455  QChar, QChar
    237, 237, 0,	//458  const QDBusVariant&, const QDBusVariant&
    205, 205, 0,	//461  Qt::TouchPointState, Qt::TouchPointState
    274, 0,	//464  const QUrl&
    13, 246, 0,	//466  QDBusArgument&, const QLineF&
    13, 259, 0,	//469  QDBusArgument&, const QPointF&
    60, 274, 0,	//472  QDebug, const QUrl&
    122, 269, 0,	//475  QString::Null, const QString&
    13, 247, 0,	//478  QDBusArgument&, const QList<QVariant>&
    202, 202, 0,	//481  Qt::ToolBarArea, Qt::ToolBarArea
    109, 109, 0,	//484  QLocale::NumberOption, QLocale::NumberOption
    13, 261, 0,	//487  QDBusArgument&, const QRectF&
    212, 212, 0,	//490  Qt::WindowType, Qt::WindowType
    282, 267, 0,	//493  double, const QSizeF&
    61, 285, 0,	//496  QDir::Filter, int
    227, 105, 0,	//499  const QDBusArgument&, QLineF&
    257, 257, 0,	//502  const QPoint&, const QPoint&
    57, 261, 0,	//505  QDataStream&, const QRectF&
    180, 285, 0,	//508  Qt::KeyboardModifier, int
    199, 96, 0,	//511  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    13, 239, 0,	//514  QDBusArgument&, const QDateTime&
    220, 0,	//517  char
    130, 83, 0,	//519  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    60, 250, 0,	//522  QDebug, const QMargins&
    135, 285, 0,	//525  QUrl::FormattingOption, int
    67, 285, 0,	//528  QFile::Permission, int
    257, 282, 0,	//531  const QPoint&, double
    63, 75, 0,	//534  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    269, 225, 0,	//537  const QString&, const QByteArray&
    267, 267, 0,	//540  const QSizeF&, const QSizeF&
    60, 259, 0,	//543  QDebug, const QPointF&
    290, 285, 288, 288, 0,	//546  long double, int, int*, int*
    180, 92, 0,	//551  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    60, 246, 0,	//554  QDebug, const QLineF&
    60, 239, 0,	//557  QDebug, const QDateTime&
    279, 269, 0,	//560  const char*, const QString&
    135, 135, 0,	//563  QUrl::FormattingOption, QUrl::FormattingOption
    205, 98, 0,	//566  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    172, 172, 0,	//569  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    109, 285, 0,	//572  QLocale::NumberOption, int
    244, 244, 0,	//575  const QLatin1String&, const QLatin1String&
    280, 285, 0,	//578  const unsigned char*, int
    279, 279, 300, 0,	//581  const char*, const char*, unsigned int
    244, 272, 0,	//585  const QLatin1String&, const QStringRef&
    235, 235, 0,	//588  const QDBusSignature&, const QDBusSignature&
    163, 163, 0,	//591  Qt::DropAction, Qt::DropAction
    60, 257, 0,	//594  QDebug, const QPoint&
    57, 108, 0,	//597  QDataStream&, QLocale&
    269, 7, 0,	//600  const QString&, QChar
    122, 122, 0,	//603  QString::Null, QString::Null
    280, 299, 285, 0,	//606  const unsigned char*, unsigned char*, int
    127, 127, 0,	//610  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    187, 187, 0,	//613  Qt::Orientation, Qt::Orientation
    312, 296, 296, 296, 0,	//616  void*, size_t, size_t, size_t
    225, 269, 0,	//621  const QByteArray&, const QString&
    202, 97, 0,	//624  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    260, 260, 0,	//627  const QRect&, const QRect&
    66, 76, 0,	//630  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    223, 223, 0,	//633  const QBitArray&, const QBitArray&
    225, 225, 0,	//636  const QByteArray&, const QByteArray&
    312, 296, 0,	//639  void*, size_t
    57, 248, 0,	//642  QDataStream&, const QLocale&
    60, 241, 0,	//645  QDebug, const QEasingCurve&
    310, 0,	//648  void(*)(QtMsgType,const char*)
    253, 0,	//650  const QModelIndex&
    57, 59, 0,	//652  QDataStream&, QDateTime&
    4, 4, 0,	//655  QBool, QBool
    279, 272, 0,	//658  const char*, const QStringRef&
    202, 285, 0,	//661  Qt::ToolBarArea, int
    60, 231, 0,	//664  QDebug, const QDBusMessage&
    174, 285, 0,	//667  Qt::InputMethodHint, int
    7, 269, 0,	//670  QChar, const QString&
    123, 285, 0,	//673  QString::SectionFlag, int
    103, 285, 0,	//676  QLibrary::LoadHint, int
    57, 134, 0,	//679  QDataStream&, QUrl&
    13, 242, 0,	//682  QDBusArgument&, const QHash<QString,QVariant>&
    269, 122, 0,	//685  const QString&, QString::Null
    1, 285, 0,	//688  QAbstractFileEngine::FileFlag, int
    127, 82, 0,	//691  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    269, 220, 0,	//694  const QString&, char
    227, 58, 0,	//697  const QDBusArgument&, QDate&
    174, 90, 0,	//700  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    212, 100, 0,	//703  Qt::WindowType, QFlags<Qt::WindowType>
    13, 245, 0,	//706  QDBusArgument&, const QLine&
    13, 273, 0,	//709  QDBusArgument&, const QTime&
    185, 185, 0,	//712  Qt::MouseButton, Qt::MouseButton
    221, 279, 0,	//715  char*, const char*
    141, 141, 0,	//718  Qt::AlignmentFlag, Qt::AlignmentFlag
    257, 0,	//721  const QPoint&
    163, 285, 0,	//723  Qt::DropAction, int
    57, 273, 0,	//726  QDataStream&, const QTime&
    62, 285, 0,	//729  QDir::SortFlag, int
    250, 250, 0,	//732  const QMargins&, const QMargins&
    52, 72, 0,	//735  QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>
    112, 0,	//738  QObject*(*)()
    183, 183, 0,	//740  Qt::MatchFlag, Qt::MatchFlag
    296, 0,	//743  size_t
    161, 86, 0,	//745  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    57, 125, 0,	//748  QDataStream&, QStringList&
    60, 277, 0,	//751  QDebug, const QVariant::Type
    161, 285, 0,	//754  Qt::DockWidgetArea, int
    289, 0,	//757  long
    285, 257, 0,	//759  int, const QPoint&
    13, 260, 0,	//762  QDBusArgument&, const QRect&
    57, 105, 0,	//765  QDataStream&, QLineF&
    67, 67, 0,	//768  QFile::Permission, QFile::Permission
    220, 269, 0,	//771  char, const QString&
    233, 233, 0,	//774  const QDBusObjectPath&, const QDBusObjectPath&
    57, 118, 0,	//777  QDataStream&, QSize&
    255, 0,	//780  const QPersistentModelIndex&
    57, 269, 0,	//782  QDataStream&, const QString&
    57, 239, 0,	//785  QDataStream&, const QDateTime&
    254, 269, 251, 0,	//788  const QObject*, const QString&, const QMetaObject&
    123, 123, 0,	//792  QString::SectionFlag, QString::SectionFlag
    52, 52, 0,	//795  QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag
    259, 282, 0,	//798  const QPointF&, double
    218, 4, 0,	//801  bool, QBool
    221, 279, 300, 0,	//804  char*, const char*, unsigned int
    227, 114, 0,	//808  const QDBusArgument&, QPointF&
    57, 257, 0,	//811  QDataStream&, const QPoint&
    57, 138, 0,	//814  QDataStream&, QVariant&
    185, 285, 0,	//817  Qt::MouseButton, int
    259, 0,	//820  const QPointF&
    21, 70, 0,	//822  QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>
    60, 255, 0,	//825  QDebug, const QPersistentModelIndex&
    231, 30, 138, 0,	//828  const QDBusMessage&, QDBusError&, QVariant&
    279, 279, 279, 285, 0,	//832  const char*, const char*, const char*, int
    284, 257, 0,	//837  float, const QPoint&
    187, 95, 0,	//840  Qt::Orientation, QFlags<Qt::Orientation>
    66, 285, 0,	//843  QEventLoop::ProcessEventsFlag, int
    261, 261, 0,	//846  const QRectF&, const QRectF&
    13, 265, 0,	//849  QDBusArgument&, const QSize&
    172, 89, 0,	//852  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    57, 270, 0,	//855  QDataStream&, const QStringList&
    225, 220, 0,	//858  const QByteArray&, char
    63, 63, 0,	//861  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    61, 73, 0,	//864  QDir::Filter, QFlags<QDir::Filter>
    57, 113, 0,	//867  QDataStream&, QPoint&
    60, 230, 0,	//870  QDebug, const QDBusError&
    267, 282, 0,	//873  const QSizeF&, double
    57, 238, 0,	//876  QDataStream&, const QDate&
    308, 0,	//879  void(*)()
    280, 285, 285, 0,	//881  const unsigned char*, int, int
    57, 245, 0,	//885  QDataStream&, const QLine&
    57, 121, 0,	//888  QDataStream&, QString&
    227, 59, 0,	//891  const QDBusArgument&, QDateTime&
    227, 116, 0,	//894  const QDBusArgument&, QRectF&
    312, 0,	//897  void*
    177, 285, 0,	//899  Qt::ItemFlag, int
    60, 240, 0,	//902  QDebug, const QDir&
    128, 129, 0,	//905  QTextStream&, QTextStream&(*)(QTextStream&)
    60, 253, 0,	//908  QDebug, const QModelIndex&
    227, 132, 0,	//911  const QDBusArgument&, QTime&
    66, 66, 0,	//914  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    223, 0,	//917  const QBitArray&
    60, 273, 0,	//919  QDebug, const QTime&
    128, 131, 0,	//922  QTextStream&, QTextStreamManipulator
    168, 88, 0,	//925  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    272, 279, 0,	//928  const QStringRef&, const char*
    21, 21, 0,	//931  QDBusConnection::RegisterOption, QDBusConnection::RegisterOption
    57, 3, 0,	//934  QDataStream&, QBitArray&
    13, 249, 0,	//937  QDBusArgument&, const QMap<QString,QVariant>&
    296, 296, 0,	//940  size_t, size_t
    290, 285, 288, 288, 221, 296, 0,	//943  long double, int, int*, int*, char*, size_t
    227, 113, 0,	//950  const QDBusArgument&, QPoint&
    60, 267, 0,	//953  QDebug, const QSizeF&
    168, 285, 0,	//956  Qt::GestureFlag, int
    220, 225, 0,	//959  char, const QByteArray&
    57, 276, 0,	//962  QDataStream&, const QVariant&
    227, 119, 0,	//965  const QDBusArgument&, QSizeF&
    227, 118, 0,	//968  const QDBusArgument&, QSize&
    60, 276, 0,	//971  QDebug, const QVariant&
    211, 285, 0,	//974  Qt::WindowState, int
    57, 132, 0,	//977  QDataStream&, QTime&
    60, 73, 0,	//980  QDebug, QFlags<QDir::Filter>
    180, 180, 0,	//983  Qt::KeyboardModifier, Qt::KeyboardModifier
    282, 259, 0,	//986  double, const QPointF&
    57, 64, 0,	//989  QDataStream&, QEasingCurve&
    163, 87, 0,	//992  Qt::DropAction, QFlags<Qt::DropAction>
    265, 282, 0,	//995  const QSize&, double
    60, 238, 0,	//998  QDebug, const QDate&
    23, 285, 0,	//1001  QDBusConnection::VirtualObjectRegisterOption, int
    61, 61, 0,	//1004  QDir::Filter, QDir::Filter
    221, 296, 279, 307, 0,	//1007  char*, size_t, const char*, va_list
    282, 257, 0,	//1012  double, const QPoint&
    312, 285, 296, 0,	//1015  void*, int, size_t
    57, 246, 0,	//1019  QDataStream&, const QLineF&
    279, 285, 0,	//1022  const char*, int
    101, 101, 0,	//1025  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    161, 161, 0,	//1028  Qt::DockWidgetArea, Qt::DockWidgetArea
    62, 74, 0,	//1031  QDir::SortFlag, QFlags<QDir::SortFlag>
    284, 284, 0,	//1034  float, float
    276, 278, 0,	//1037  const QVariant&, const QVariantComparisonHelper&
    103, 103, 0,	//1040  QLibrary::LoadHint, QLibrary::LoadHint
    290, 285, 221, 0,	//1043  long double, int, char*
    312, 296, 296, 287, 0,	//1047  void*, size_t, size_t, int(*)(const void*,const void*)
    63, 285, 0,	//1052  QDirIterator::IteratorFlag, int
    174, 174, 0,	//1055  Qt::InputMethodHint, Qt::InputMethodHint
    227, 115, 0,	//1058  const QDBusArgument&, QRect&
    60, 245, 0,	//1061  QDebug, const QLine&
    199, 199, 0,	//1064  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    205, 285, 0,	//1067  Qt::TouchPointState, int
    225, 285, 0,	//1070  const QByteArray&, int
    135, 84, 0,	//1073  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    199, 285, 0,	//1076  Qt::TextInteractionFlag, int
    211, 211, 0,	//1079  Qt::WindowState, Qt::WindowState
    1, 68, 0,	//1082  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    57, 225, 0,	//1085  QDataStream&, const QByteArray&
    57, 241, 0,	//1088  QDataStream&, const QEasingCurve&
    57, 274, 0,	//1091  QDataStream&, const QUrl&
    60, 260, 0,	//1094  QDebug, const QRect&
    227, 138, 0,	//1097  const QDBusArgument&, QVariant&
    62, 62, 0,	//1100  QDir::SortFlag, QDir::SortFlag
    130, 285, 0,	//1103  QTextStream::NumberFlag, int
    57, 115, 0,	//1106  QDataStream&, QRect&
    57, 265, 0,	//1109  QDataStream&, const QSize&
    57, 226, 0,	//1112  QDataStream&, const QChar&
    141, 285, 0,	//1115  Qt::AlignmentFlag, int
    57, 262, 0,	//1118  QDataStream&, const QRegExp&
    60, 261, 0,	//1121  QDebug, const QRectF&
    227, 104, 0,	//1124  const QDBusArgument&, QLine&
    211, 99, 0,	//1127  Qt::WindowState, QFlags<Qt::WindowState>
    177, 177, 0,	//1130  Qt::ItemFlag, Qt::ItemFlag
    57, 136, 0,	//1133  QDataStream&, QUuid&
    257, 285, 0,	//1136  const QPoint&, int
    57, 140, 0,	//1139  QDataStream&, QVariant::Type&
    276, 139, 312, 0,	//1142  const QVariant&, QVariant::Type, void*
    23, 23, 0,	//1146  QDBusConnection::VirtualObjectRegisterOption, QDBusConnection::VirtualObjectRegisterOption
    13, 238, 0,	//1149  QDBusArgument&, const QDate&
    254, 269, 263, 251, 107, 0,	//1152  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    243, 243, 0,	//1158  const QHashDummyValue&, const QHashDummyValue&
    57, 114, 0,	//1161  QDataStream&, QPointF&
    187, 285, 0,	//1164  Qt::Orientation, int
    168, 168, 0,	//1167  Qt::GestureFlag, Qt::GestureFlag
    101, 78, 0,	//1170  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    21, 285, 0,	//1173  QDBusConnection::RegisterOption, int
    257, 284, 0,	//1176  const QPoint&, float
    282, 265, 0,	//1179  double, const QSize&
    13, 267, 0,	//1182  QDBusArgument&, const QSizeF&
    4, 218, 0,	//1185  QBool, bool
    57, 104, 0,	//1188  QDataStream&, QLine&
    60, 265, 0,	//1191  QDebug, const QSize&
    130, 130, 0,	//1194  QTextStream::NumberFlag, QTextStream::NumberFlag
    185, 94, 0,	//1197  Qt::MouseButton, QFlags<Qt::MouseButton>
    57, 277, 0,	//1200  QDataStream&, const QVariant::Type
    177, 91, 0,	//1203  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    57, 275, 0,	//1206  QDataStream&, const QUuid&
    103, 79, 0,	//1209  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    212, 285, 0,	//1212  Qt::WindowType, int
    57, 116, 0,	//1215  QDataStream&, QRectF&
    57, 260, 0,	//1218  QDataStream&, const QRect&
    183, 93, 0,	//1221  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    52, 285, 0,	//1224  QDBusServiceWatcher::WatchModeFlag, int
    141, 85, 0,	//1227  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    57, 8, 0,	//1230  QDataStream&, QChar&
    57, 117, 0,	//1233  QDataStream&, QRegExp&
    302, 0,	//1236  unsigned long
    57, 259, 0,	//1238  QDataStream&, const QPointF&
    57, 267, 0,	//1241  QDataStream&, const QSizeF&
    109, 80, 0,	//1244  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    123, 81, 0,	//1247  QString::SectionFlag, QFlags<QString::SectionFlag>
    1, 1, 0,	//1250  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    215, 279, 0,	//1253  QtMsgType, const char*
    272, 0,	//1256  const QStringRef&
    101, 285, 0,	//1258  QIODevice::OpenModeFlag, int
    57, 6, 0,	//1261  QDataStream&, QByteArray&
    60, 254, 0,	//1264  QDebug, const QObject*
    183, 285, 0,	//1267  Qt::MatchFlag, int
    13, 257, 0,	//1270  QDBusArgument&, const QPoint&
    57, 58, 0,	//1273  QDataStream&, QDate&
    57, 223, 0,	//1276  QDataStream&, const QBitArray&
    65, 0,	//1279  QEvent*
    111, 65, 0,	//1281  QObject*, QEvent*
    133, 0,	//1284  QTimerEvent*
    9, 0,	//1286  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccessDenied",	//1
    "ActivationBus",	//2
    "AddressInUse",	//3
    "AllowReplacement",	//4
    "ArrayType",	//5
    "AutoDetect",	//6
    "BadAddress",	//7
    "BasicType",	//8
    "Block",	//9
    "BlockWithGui",	//10
    "Disconnected",	//11
    "DontAllowReplacement",	//12
    "DontQueueService",	//13
    "ErrorMessage",	//14
    "ExportAdaptors",	//15
    "ExportAllContents",	//16
    "ExportAllInvokables",	//17
    "ExportAllProperties",	//18
    "ExportAllSignal",	//19
    "ExportAllSignals",	//20
    "ExportAllSlots",	//21
    "ExportChildObjects",	//22
    "ExportNonScriptableContents",	//23
    "ExportNonScriptableInvokables",	//24
    "ExportNonScriptableProperties",	//25
    "ExportNonScriptableSignals",	//26
    "ExportNonScriptableSlots",	//27
    "ExportScriptableContents",	//28
    "ExportScriptableInvokables",	//29
    "ExportScriptableProperties",	//30
    "ExportScriptableSignals",	//31
    "ExportScriptableSlots",	//32
    "Failed",	//33
    "InternalError",	//34
    "InvalidArgs",	//35
    "InvalidInterface",	//36
    "InvalidMember",	//37
    "InvalidMessage",	//38
    "InvalidObjectPath",	//39
    "InvalidService",	//40
    "InvalidSignature",	//41
    "LastErrorType",	//42
    "LimitsExceeded",	//43
    "MapEntryType",	//44
    "MapType",	//45
    "MethodCallMessage",	//46
    "NameAcquired",	//47
    "NameAcquired$",	//48
    "NameLost",	//49
    "NameLost$",	//50
    "NameOwnerChanged",	//51
    "NameOwnerChanged$$$",	//52
    "NoBlock",	//53
    "NoError",	//54
    "NoMemory",	//55
    "NoNetwork",	//56
    "NoReply",	//57
    "NoServer",	//58
    "NotSupported",	//59
    "Other",	//60
    "QDBusAbstractAdaptor",	//61
    "QDBusAbstractAdaptor#",	//62
    "QDBusAbstractInterface",	//63
    "QDBusAbstractInterface$$$##",	//64
    "QDBusArgument",	//65
    "QDBusArgument#",	//66
    "QDBusConnection",	//67
    "QDBusConnection#",	//68
    "QDBusConnection$",	//69
    "QDBusContext",	//70
    "QDBusContext#",	//71
    "QDBusError",	//72
    "QDBusError#",	//73
    "QDBusError$$",	//74
    "QDBusInterface",	//75
    "QDBusInterface$$",	//76
    "QDBusInterface$$$",	//77
    "QDBusInterface$$$#",	//78
    "QDBusInterface$$$##",	//79
    "QDBusMessage",	//80
    "QDBusMessage#",	//81
    "QDBusMetaType",	//82
    "QDBusMetaType#",	//83
    "QDBusPendingCall",	//84
    "QDBusPendingCall#",	//85
    "QDBusPendingCallWatcher",	//86
    "QDBusPendingCallWatcher#",	//87
    "QDBusPendingCallWatcher##",	//88
    "QDBusServer",	//89
    "QDBusServer$",	//90
    "QDBusServer$#",	//91
    "QDBusServiceWatcher",	//92
    "QDBusServiceWatcher#",	//93
    "QDBusServiceWatcher$#",	//94
    "QDBusServiceWatcher$#$",	//95
    "QDBusServiceWatcher$#$#",	//96
    "QtCriticalMsg",	//97
    "QtDebugMsg",	//98
    "QtFatalMsg",	//99
    "QtSystemMsg",	//100
    "QtWarningMsg",	//101
    "QueueService",	//102
    "ReplaceExistingService",	//103
    "ReplyMessage",	//104
    "ServiceNotRegistered",	//105
    "ServiceQueued",	//106
    "ServiceRegistered",	//107
    "ServiceUnknown",	//108
    "SessionBus",	//109
    "SignalMessage",	//110
    "SingleNode",	//111
    "StructureType",	//112
    "SubPath",	//113
    "SystemBus",	//114
    "TimedOut",	//115
    "Timeout",	//116
    "UnixFileDescriptorPassing",	//117
    "UnknownInterface",	//118
    "UnknownMethod",	//119
    "UnknownObject",	//120
    "UnknownType",	//121
    "UnregisterNode",	//122
    "UnregisterTree",	//123
    "VariantType",	//124
    "WatchForOwnerChange",	//125
    "WatchForRegistration",	//126
    "WatchForUnregistration",	//127
    "_IEEE_",	//128
    "_ISOC_",	//129
    "_POSIX_",	//130
    "_SVID_",	//131
    "_XOPEN_",	//132
    "__codecvt_error",	//133
    "__codecvt_noconv",	//134
    "__codecvt_ok",	//135
    "__codecvt_partial",	//136
    "addWatchedService",	//137
    "addWatchedService$",	//138
    "address",	//139
    "appendVariant",	//140
    "appendVariant#",	//141
    "arguments",	//142
    "asVariant",	//143
    "asyncCall",	//144
    "asyncCall#",	//145
    "asyncCall#$",	//146
    "asyncCall$",	//147
    "asyncCall$#",	//148
    "asyncCall$##",	//149
    "asyncCall$###",	//150
    "asyncCall$####",	//151
    "asyncCall$#####",	//152
    "asyncCall$######",	//153
    "asyncCall$#######",	//154
    "asyncCall$########",	//155
    "asyncCallWithArgumentList",	//156
    "asyncCallWithArgumentList$?",	//157
    "atEnd",	//158
    "autoRelaySignals",	//159
    "autoStartService",	//160
    "baseService",	//161
    "beginArray",	//162
    "beginArray$",	//163
    "beginMap",	//164
    "beginMap$$",	//165
    "beginMapEntry",	//166
    "beginStructure",	//167
    "call",	//168
    "call#",	//169
    "call#$",	//170
    "call#$$",	//171
    "call$",	//172
    "call$#",	//173
    "call$##",	//174
    "call$###",	//175
    "call$####",	//176
    "call$#####",	//177
    "call$######",	//178
    "call$#######",	//179
    "call$########",	//180
    "call$$",	//181
    "call$$#",	//182
    "call$$##",	//183
    "call$$###",	//184
    "call$$####",	//185
    "call$$#####",	//186
    "call$$######",	//187
    "call$$#######",	//188
    "call$$########",	//189
    "callWithArgumentList",	//190
    "callWithArgumentList$$?",	//191
    "callWithCallback",	//192
    "callWithCallback##$",	//193
    "callWithCallback##$$",	//194
    "callWithCallback##$$$",	//195
    "callWithCallback$?#$",	//196
    "callWithCallback$?#$$",	//197
    "callWithCallbackFailed",	//198
    "callWithCallbackFailed##",	//199
    "calledFromDBus",	//200
    "childEvent",	//201
    "connect",	//202
    "connect$$$$#$",	//203
    "connect$$$$$#$",	//204
    "connect$$$$?$#$",	//205
    "connectNotify",	//206
    "connectNotify$",	//207
    "connectToBus",	//208
    "connectToBus$$",	//209
    "connectToPeer",	//210
    "connectToPeer$$",	//211
    "connection",	//212
    "connectionCapabilities",	//213
    "createError",	//214
    "createError#",	//215
    "createError$$",	//216
    "createErrorReply",	//217
    "createErrorReply#",	//218
    "createErrorReply$$",	//219
    "createMethodCall",	//220
    "createMethodCall$$$$",	//221
    "createReply",	//222
    "createReply#",	//223
    "createReply?",	//224
    "createSignal",	//225
    "createSignal$$$",	//226
    "currentSignature",	//227
    "currentType",	//228
    "customEvent",	//229
    "demarshall",	//230
    "demarshall#$$",	//231
    "disconnect",	//232
    "disconnect$$$$#$",	//233
    "disconnect$$$$$#$",	//234
    "disconnect$$$$?$#$",	//235
    "disconnectFromBus",	//236
    "disconnectFromBus$",	//237
    "disconnectFromPeer",	//238
    "disconnectFromPeer$",	//239
    "disconnectNotify",	//240
    "disconnectNotify$",	//241
    "endArray",	//242
    "endMap",	//243
    "endMapEntry",	//244
    "endStructure",	//245
    "error",	//246
    "errorMessage",	//247
    "errorName",	//248
    "errorString",	//249
    "errorString$",	//250
    "event",	//251
    "eventFilter",	//252
    "finished",	//253
    "finished#",	//254
    "fromCompletedCall",	//255
    "fromCompletedCall#",	//256
    "fromError",	//257
    "fromError#",	//258
    "interface",	//259
    "internalConstCall",	//260
    "internalConstCall$$",	//261
    "internalConstCall$$?",	//262
    "internalPointer",	//263
    "internalPropGet",	//264
    "internalPropGet$",	//265
    "internalPropSet",	//266
    "internalPropSet$#",	//267
    "isConnected",	//268
    "isDelayedReply",	//269
    "isError",	//270
    "isFinished",	//271
    "isReplyRequired",	//272
    "isServiceRegistered",	//273
    "isServiceRegistered$",	//274
    "isValid",	//275
    "lastError",	//276
    "localMachineId",	//277
    "marshall",	//278
    "marshall#$$",	//279
    "member",	//280
    "message",	//281
    "metaObject",	//282
    "name",	//283
    "newConnection",	//284
    "newConnection#",	//285
    "objectRegisteredAt",	//286
    "objectRegisteredAt$",	//287
    "operator!=",	//288
    "operator!=##",	//289
    "operator!=#$",	//290
    "operator!=$#",	//291
    "operator!=$$",	//292
    "operator&",	//293
    "operator&##",	//294
    "operator*",	//295
    "operator*#$",	//296
    "operator*$#",	//297
    "operator+",	//298
    "operator+##",	//299
    "operator+#$",	//300
    "operator+$#",	//301
    "operator+$$",	//302
    "operator-",	//303
    "operator-#",	//304
    "operator-##",	//305
    "operator/",	//306
    "operator/#$",	//307
    "operator<",	//308
    "operator<##",	//309
    "operator<#$",	//310
    "operator<$#",	//311
    "operator<$$",	//312
    "operator<<",	//313
    "operator<<#",	//314
    "operator<<##",	//315
    "operator<<#$",	//316
    "operator<<#?",	//317
    "operator<<$",	//318
    "operator<<?",	//319
    "operator<=",	//320
    "operator<=##",	//321
    "operator<=#$",	//322
    "operator<=$#",	//323
    "operator<=$$",	//324
    "operator=",	//325
    "operator=#",	//326
    "operator==",	//327
    "operator==##",	//328
    "operator==#$",	//329
    "operator==$#",	//330
    "operator==$$",	//331
    "operator>",	//332
    "operator>##",	//333
    "operator>#$",	//334
    "operator>$#",	//335
    "operator>$$",	//336
    "operator>=",	//337
    "operator>=##",	//338
    "operator>=#$",	//339
    "operator>=$#",	//340
    "operator>=$$",	//341
    "operator>>",	//342
    "operator>>#",	//343
    "operator>>##",	//344
    "operator>>#$",	//345
    "operator>>#?",	//346
    "operator>>$",	//347
    "operator>>?",	//348
    "operator^",	//349
    "operator^##",	//350
    "operator|",	//351
    "operator|##",	//352
    "operator|$$",	//353
    "path",	//354
    "qAcos",	//355
    "qAcos$",	//356
    "qAddPostRoutine",	//357
    "qAddPostRoutine$",	//358
    "qAppName",	//359
    "qAsin",	//360
    "qAsin$",	//361
    "qAtan",	//362
    "qAtan$",	//363
    "qAtan2",	//364
    "qAtan2$$",	//365
    "qBadAlloc",	//366
    "qCeil",	//367
    "qCeil$",	//368
    "qChecksum",	//369
    "qChecksum$$",	//370
    "qCompress",	//371
    "qCompress#",	//372
    "qCompress#$",	//373
    "qCompress$$",	//374
    "qCompress$$$",	//375
    "qCos",	//376
    "qCos$",	//377
    "qCritical",	//378
    "qDBusReplyFill",	//379
    "qDBusReplyFill###",	//380
    "qDebug",	//381
    "qExp",	//382
    "qExp$",	//383
    "qFabs",	//384
    "qFabs$",	//385
    "qFastCos",	//386
    "qFastCos$",	//387
    "qFastSin",	//388
    "qFastSin$",	//389
    "qFlagLocation",	//390
    "qFlagLocation$",	//391
    "qFloor",	//392
    "qFloor$",	//393
    "qFree",	//394
    "qFree$",	//395
    "qFreeAligned",	//396
    "qFreeAligned$",	//397
    "qFuzzyCompare",	//398
    "qFuzzyCompare$$",	//399
    "qFuzzyIsNull",	//400
    "qFuzzyIsNull$",	//401
    "qHash",	//402
    "qHash#",	//403
    "qHash$",	//404
    "qInf",	//405
    "qInstallMsgHandler",	//406
    "qInstallMsgHandler$",	//407
    "qIntCast",	//408
    "qIntCast$",	//409
    "qIsFinite",	//410
    "qIsFinite$",	//411
    "qIsInf",	//412
    "qIsInf$",	//413
    "qIsNaN",	//414
    "qIsNaN$",	//415
    "qIsNull",	//416
    "qIsNull$",	//417
    "qLn",	//418
    "qLn$",	//419
    "qMalloc",	//420
    "qMalloc$",	//421
    "qMallocAligned",	//422
    "qMallocAligned$$",	//423
    "qMemCopy",	//424
    "qMemCopy$$$",	//425
    "qMemSet",	//426
    "qMemSet$$$",	//427
    "qPow",	//428
    "qPow$$",	//429
    "qQNaN",	//430
    "qRealloc",	//431
    "qRealloc$$",	//432
    "qReallocAligned",	//433
    "qReallocAligned$$$$",	//434
    "qRegisterStaticPluginInstanceFunction",	//435
    "qRegisterStaticPluginInstanceFunction#",	//436
    "qRemovePostRoutine",	//437
    "qRemovePostRoutine$",	//438
    "qRound",	//439
    "qRound$",	//440
    "qRound64",	//441
    "qRound64$",	//442
    "qSNaN",	//443
    "qSetFieldWidth",	//444
    "qSetFieldWidth$",	//445
    "qSetPadChar",	//446
    "qSetPadChar#",	//447
    "qSetRealNumberPrecision",	//448
    "qSetRealNumberPrecision$",	//449
    "qSharedBuild",	//450
    "qSin",	//451
    "qSin$",	//452
    "qSqrt",	//453
    "qSqrt$",	//454
    "qStringComparisonHelper",	//455
    "qStringComparisonHelper#$",	//456
    "qStringComparisonHelper$$",	//457
    "qTan",	//458
    "qTan$",	//459
    "qUncompress",	//460
    "qUncompress#",	//461
    "qUncompress$$",	//462
    "qVersion",	//463
    "qWarning",	//464
    "qbswap_helper",	//465
    "qbswap_helper$$$",	//466
    "qecvt",	//467
    "qecvt$$$$",	//468
    "qecvt_r",	//469
    "qecvt_r$$$$$$",	//470
    "qfcvt",	//471
    "qfcvt$$$$",	//472
    "qfcvt_r",	//473
    "qfcvt_r$$$$$$",	//474
    "qgcvt",	//475
    "qgcvt$$$",	//476
    "qgetenv",	//477
    "qgetenv$",	//478
    "qputenv",	//479
    "qputenv$#",	//480
    "qrand",	//481
    "qsort",	//482
    "qsort$$$$",	//483
    "qsrand",	//484
    "qsrand$",	//485
    "qstrcmp",	//486
    "qstrcmp##",	//487
    "qstrcmp#$",	//488
    "qstrcmp$#",	//489
    "qstrcmp$$",	//490
    "qstrcpy",	//491
    "qstrcpy$$",	//492
    "qstrdup",	//493
    "qstrdup$",	//494
    "qstricmp",	//495
    "qstricmp$$",	//496
    "qstrlen",	//497
    "qstrlen$",	//498
    "qstrncmp",	//499
    "qstrncmp$$$",	//500
    "qstrncpy",	//501
    "qstrncpy$$$",	//502
    "qstrnicmp",	//503
    "qstrnicmp$$$",	//504
    "qstrnlen",	//505
    "qstrnlen$$",	//506
    "qtTrId",	//507
    "qtTrId$",	//508
    "qtTrId$$",	//509
    "qt_assert",	//510
    "qt_assert$$$",	//511
    "qt_assert_x",	//512
    "qt_assert_x$$$$",	//513
    "qt_check_pointer",	//514
    "qt_check_pointer$$",	//515
    "qt_error_string",	//516
    "qt_error_string$",	//517
    "qt_message_output",	//518
    "qt_message_output$$",	//519
    "qt_metacall",	//520
    "qt_metacall$$?",	//521
    "qt_metacast",	//522
    "qt_metacast$",	//523
    "qt_noop",	//524
    "qt_qFindChild_helper",	//525
    "qt_qFindChild_helper#$#",	//526
    "qt_qFindChildren_helper",	//527
    "qt_qFindChildren_helper#$##?",	//528
    "qvariant_cast_helper",	//529
    "qvariant_cast_helper#$$",	//530
    "qvsnprintf",	//531
    "qvsnprintf$$$?",	//532
    "registerMarshallOperators",	//533
    "registerMarshallOperators$$$",	//534
    "registerObject",	//535
    "registerObject$#",	//536
    "registerObject$#$",	//537
    "registerService",	//538
    "registerService$",	//539
    "registerService$$",	//540
    "registerService$$$",	//541
    "registerVirtualObject",	//542
    "registerVirtualObject$#",	//543
    "registerVirtualObject$#$",	//544
    "registeredServiceNames",	//545
    "removeWatchedService",	//546
    "removeWatchedService$",	//547
    "reply",	//548
    "send",	//549
    "send#",	//550
    "sendErrorReply",	//551
    "sendErrorReply$",	//552
    "sendErrorReply$$",	//553
    "sender",	//554
    "service",	//555
    "serviceOwner",	//556
    "serviceOwner$",	//557
    "serviceOwnerChanged",	//558
    "serviceOwnerChanged$$$",	//559
    "servicePid",	//560
    "servicePid$",	//561
    "serviceRegistered",	//562
    "serviceRegistered$",	//563
    "serviceUid",	//564
    "serviceUid$",	//565
    "serviceUnregistered",	//566
    "serviceUnregistered$",	//567
    "sessionBus",	//568
    "setArguments",	//569
    "setArguments?",	//570
    "setAutoRelaySignals",	//571
    "setAutoRelaySignals$",	//572
    "setAutoStartService",	//573
    "setAutoStartService$",	//574
    "setConnection",	//575
    "setConnection#",	//576
    "setDelayedReply",	//577
    "setDelayedReply$",	//578
    "setTimeout",	//579
    "setTimeout$",	//580
    "setWatchMode",	//581
    "setWatchMode$",	//582
    "setWatchedServices",	//583
    "setWatchedServices?",	//584
    "signature",	//585
    "signatureToType",	//586
    "signatureToType$",	//587
    "startService",	//588
    "startService$",	//589
    "staticMetaObject",	//590
    "systemBus",	//591
    "timeout",	//592
    "timerEvent",	//593
    "tr",	//594
    "tr$",	//595
    "tr$$",	//596
    "tr$$$",	//597
    "trUtf8",	//598
    "trUtf8$",	//599
    "trUtf8$$",	//600
    "trUtf8$$$",	//601
    "type",	//602
    "typeToSignature",	//603
    "typeToSignature$",	//604
    "unregisterObject",	//605
    "unregisterObject$",	//606
    "unregisterObject$$",	//607
    "unregisterService",	//608
    "unregisterService$",	//609
    "waitForFinished",	//610
    "watchMode",	//611
    "watchedServices",	//612
    "~QDBusAbstractAdaptor",	//613
    "~QDBusAbstractInterface",	//614
    "~QDBusAbstractInterfaceBase",	//615
    "~QDBusArgument",	//616
    "~QDBusConnection",	//617
    "~QDBusContext",	//618
    "~QDBusError",	//619
    "~QDBusInterface",	//620
    "~QDBusMessage",	//621
    "~QDBusMetaType",	//622
    "~QDBusPendingCall",	//623
    "~QDBusPendingCallWatcher",	//624
    "~QDBusServer",	//625
    "~QDBusServiceWatcher",	//626
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {7, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 1},	//1 QDBus::NoBlock (enum)
    {7, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 2},	//2 QDBus::Block (enum)
    {7, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 3},	//3 QDBus::BlockWithGui (enum)
    {7, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 4},	//4 QDBus::AutoDetect (enum)
    {8, 282, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 252, 1},	//5 QDBusAbstractAdaptor::metaObject() const
    {8, 522, 1, 1, Smoke::mf_virtual, 312, 2},	//6 QDBusAbstractAdaptor::qt_metacast(const char*)
    {8, 594, 3, 2, Smoke::mf_static, 120, 3},	//7 QDBusAbstractAdaptor::tr(const char*, const char*)
    {8, 598, 3, 2, Smoke::mf_static, 120, 4},	//8 QDBusAbstractAdaptor::trUtf8(const char*, const char*)
    {8, 594, 6, 3, Smoke::mf_static, 120, 5},	//9 QDBusAbstractAdaptor::tr(const char*, const char*, int)
    {8, 598, 6, 3, Smoke::mf_static, 120, 6},	//10 QDBusAbstractAdaptor::trUtf8(const char*, const char*, int)
    {8, 520, 10, 3, Smoke::mf_virtual, 285, 7},	//11 QDBusAbstractAdaptor::qt_metacall(QMetaObject::Call, int, void**)
    {8, 61, 14, 1, Smoke::mf_ctor|Smoke::mf_protected, 11, 8},	//12 QDBusAbstractAdaptor::QDBusAbstractAdaptor(QObject*)
    {8, 571, 16, 1, Smoke::mf_protected, 0, 9},	//13 QDBusAbstractAdaptor::setAutoRelaySignals(bool)
    {8, 159, 0, 0, Smoke::mf_const|Smoke::mf_protected, 218, 10},	//14 QDBusAbstractAdaptor::autoRelaySignals() const
    {8, 594, 1, 1, Smoke::mf_static, 120, 11},	//15 QDBusAbstractAdaptor::tr(const char*)
    {8, 598, 1, 1, Smoke::mf_static, 120, 12},	//16 QDBusAbstractAdaptor::trUtf8(const char*)
    {8, 590, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 251, 13},	//17 QDBusAbstractAdaptor::staticMetaObject() const
    {8, 613, 0, 0, Smoke::mf_dtor, 0, 14 },	//18 QDBusAbstractAdaptor::~QDBusAbstractAdaptor()
    {9, 282, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 252, 1},	//19 QDBusAbstractInterface::metaObject() const
    {9, 522, 1, 1, Smoke::mf_virtual, 312, 2},	//20 QDBusAbstractInterface::qt_metacast(const char*)
    {9, 594, 3, 2, Smoke::mf_static, 120, 3},	//21 QDBusAbstractInterface::tr(const char*, const char*)
    {9, 598, 3, 2, Smoke::mf_static, 120, 4},	//22 QDBusAbstractInterface::trUtf8(const char*, const char*)
    {9, 594, 6, 3, Smoke::mf_static, 120, 5},	//23 QDBusAbstractInterface::tr(const char*, const char*, int)
    {9, 598, 6, 3, Smoke::mf_static, 120, 6},	//24 QDBusAbstractInterface::trUtf8(const char*, const char*, int)
    {9, 520, 10, 3, Smoke::mf_virtual, 285, 7},	//25 QDBusAbstractInterface::qt_metacall(QMetaObject::Call, int, void**)
    {9, 275, 0, 0, Smoke::mf_const, 218, 8},	//26 QDBusAbstractInterface::isValid() const
    {9, 212, 0, 0, Smoke::mf_const, 16, 9},	//27 QDBusAbstractInterface::connection() const
    {9, 555, 0, 0, Smoke::mf_const, 120, 10},	//28 QDBusAbstractInterface::service() const
    {9, 354, 0, 0, Smoke::mf_const, 120, 11},	//29 QDBusAbstractInterface::path() const
    {9, 259, 0, 0, Smoke::mf_const, 120, 12},	//30 QDBusAbstractInterface::interface() const
    {9, 276, 0, 0, Smoke::mf_const, 29, 13},	//31 QDBusAbstractInterface::lastError() const
    {9, 579, 18, 1, 0, 0, 14},	//32 QDBusAbstractInterface::setTimeout(int)
    {9, 592, 0, 0, Smoke::mf_const, 285, 15},	//33 QDBusAbstractInterface::timeout() const
    {9, 168, 20, 9, 0, 34, 16},	//34 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 168, 30, 10, 0, 34, 17},	//35 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 190, 41, 3, 0, 34, 18},	//36 QDBusAbstractInterface::callWithArgumentList(QDBus::CallMode, const QString&, const QList<QVariant>&)
    {9, 192, 45, 5, 0, 218, 19},	//37 QDBusAbstractInterface::callWithCallback(const QString&, const QList<QVariant>&, QObject*, const char*, const char*)
    {9, 192, 51, 4, 0, 218, 20},	//38 QDBusAbstractInterface::callWithCallback(const QString&, const QList<QVariant>&, QObject*, const char*)
    {9, 144, 20, 9, 0, 40, 21},	//39 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 156, 56, 2, 0, 40, 22},	//40 QDBusAbstractInterface::asyncCallWithArgumentList(const QString&, const QList<QVariant>&)
    {9, 63, 59, 5, Smoke::mf_ctor|Smoke::mf_protected, 12, 23},	//41 QDBusAbstractInterface::QDBusAbstractInterface(const QString&, const QString&, const char*, const QDBusConnection&, QObject*)
    {9, 206, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//42 QDBusAbstractInterface::connectNotify(const char*)
    {9, 240, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//43 QDBusAbstractInterface::disconnectNotify(const char*)
    {9, 264, 1, 1, Smoke::mf_const|Smoke::mf_protected, 137, 26},	//44 QDBusAbstractInterface::internalPropGet(const char*) const
    {9, 266, 65, 2, Smoke::mf_protected, 0, 27},	//45 QDBusAbstractInterface::internalPropSet(const char*, const QVariant&)
    {9, 260, 41, 3, Smoke::mf_const|Smoke::mf_protected, 34, 28},	//46 QDBusAbstractInterface::internalConstCall(QDBus::CallMode, const QString&, const QList<QVariant>&) const
    {9, 594, 1, 1, Smoke::mf_static, 120, 29},	//47 QDBusAbstractInterface::tr(const char*)
    {9, 598, 1, 1, Smoke::mf_static, 120, 30},	//48 QDBusAbstractInterface::trUtf8(const char*)
    {9, 168, 68, 1, 0, 34, 31},	//49 QDBusAbstractInterface::call(const QString&)
    {9, 168, 70, 2, 0, 34, 32},	//50 QDBusAbstractInterface::call(const QString&, const QVariant&)
    {9, 168, 73, 3, 0, 34, 33},	//51 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&)
    {9, 168, 77, 4, 0, 34, 34},	//52 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 168, 82, 5, 0, 34, 35},	//53 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 168, 88, 6, 0, 34, 36},	//54 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 168, 95, 7, 0, 34, 37},	//55 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 168, 103, 8, 0, 34, 38},	//56 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 168, 112, 2, 0, 34, 39},	//57 QDBusAbstractInterface::call(QDBus::CallMode, const QString&)
    {9, 168, 115, 3, 0, 34, 40},	//58 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&)
    {9, 168, 119, 4, 0, 34, 41},	//59 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&)
    {9, 168, 124, 5, 0, 34, 42},	//60 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 168, 130, 6, 0, 34, 43},	//61 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 168, 137, 7, 0, 34, 44},	//62 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 168, 145, 8, 0, 34, 45},	//63 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 168, 154, 9, 0, 34, 46},	//64 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 144, 68, 1, 0, 40, 47},	//65 QDBusAbstractInterface::asyncCall(const QString&)
    {9, 144, 70, 2, 0, 40, 48},	//66 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&)
    {9, 144, 73, 3, 0, 40, 49},	//67 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&)
    {9, 144, 77, 4, 0, 40, 50},	//68 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 144, 82, 5, 0, 40, 51},	//69 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 144, 88, 6, 0, 40, 52},	//70 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 144, 95, 7, 0, 40, 53},	//71 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 144, 103, 8, 0, 40, 54},	//72 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 260, 112, 2, Smoke::mf_const|Smoke::mf_protected, 34, 55},	//73 QDBusAbstractInterface::internalConstCall(QDBus::CallMode, const QString&) const
    {9, 590, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 251, 56},	//74 QDBusAbstractInterface::staticMetaObject() const
    {9, 614, 0, 0, Smoke::mf_dtor, 0, 57 },	//75 QDBusAbstractInterface::~QDBusAbstractInterface()
    {10, 520, 10, 3, Smoke::mf_virtual, 285, 1},	//76 QDBusAbstractInterfaceBase::qt_metacall(QMetaObject::Call, int, void**)
    {10, 615, 0, 0, Smoke::mf_dtor, 0, 2 },	//77 QDBusAbstractInterfaceBase::~QDBusAbstractInterfaceBase()
    {11, 65, 0, 0, Smoke::mf_ctor, 14, 1},	//78 QDBusArgument::QDBusArgument()
    {11, 65, 164, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 14, 2},	//79 QDBusArgument::QDBusArgument(const QDBusArgument&)
    {11, 325, 164, 1, 0, 13, 3},	//80 QDBusArgument::operator=(const QDBusArgument&)
    {11, 313, 166, 1, 0, 13, 4},	//81 QDBusArgument::operator<<(unsigned char)
    {11, 313, 16, 1, 0, 13, 5},	//82 QDBusArgument::operator<<(bool)
    {11, 313, 168, 1, 0, 13, 6},	//83 QDBusArgument::operator<<(short)
    {11, 313, 170, 1, 0, 13, 7},	//84 QDBusArgument::operator<<(unsigned short)
    {11, 313, 18, 1, 0, 13, 8},	//85 QDBusArgument::operator<<(int)
    {11, 313, 172, 1, 0, 13, 9},	//86 QDBusArgument::operator<<(unsigned int)
    {11, 313, 174, 1, 0, 13, 10},	//87 QDBusArgument::operator<<(long long)
    {11, 313, 176, 1, 0, 13, 11},	//88 QDBusArgument::operator<<(unsigned long long)
    {11, 313, 178, 1, 0, 13, 12},	//89 QDBusArgument::operator<<(double)
    {11, 313, 68, 1, 0, 13, 13},	//90 QDBusArgument::operator<<(const QString&)
    {11, 313, 180, 1, 0, 13, 14},	//91 QDBusArgument::operator<<(const QDBusVariant&)
    {11, 313, 182, 1, 0, 13, 15},	//92 QDBusArgument::operator<<(const QDBusObjectPath&)
    {11, 313, 184, 1, 0, 13, 16},	//93 QDBusArgument::operator<<(const QDBusSignature&)
    {11, 313, 186, 1, 0, 13, 17},	//94 QDBusArgument::operator<<(const QDBusUnixFileDescriptor&)
    {11, 313, 188, 1, 0, 13, 18},	//95 QDBusArgument::operator<<(const QStringList&)
    {11, 313, 190, 1, 0, 13, 19},	//96 QDBusArgument::operator<<(const QByteArray&)
    {11, 167, 0, 0, 0, 0, 20},	//97 QDBusArgument::beginStructure()
    {11, 245, 0, 0, 0, 0, 21},	//98 QDBusArgument::endStructure()
    {11, 162, 18, 1, 0, 0, 22},	//99 QDBusArgument::beginArray(int)
    {11, 242, 0, 0, 0, 0, 23},	//100 QDBusArgument::endArray()
    {11, 164, 192, 2, 0, 0, 24},	//101 QDBusArgument::beginMap(int, int)
    {11, 243, 0, 0, 0, 0, 25},	//102 QDBusArgument::endMap()
    {11, 166, 0, 0, 0, 0, 26},	//103 QDBusArgument::beginMapEntry()
    {11, 244, 0, 0, 0, 0, 27},	//104 QDBusArgument::endMapEntry()
    {11, 140, 195, 1, 0, 0, 28},	//105 QDBusArgument::appendVariant(const QVariant&)
    {11, 227, 0, 0, Smoke::mf_const, 120, 29},	//106 QDBusArgument::currentSignature() const
    {11, 228, 0, 0, Smoke::mf_const, 15, 30},	//107 QDBusArgument::currentType() const
    {11, 342, 197, 1, Smoke::mf_const, 227, 31},	//108 QDBusArgument::operator>>(unsigned char&) const
    {11, 342, 199, 1, Smoke::mf_const, 227, 32},	//109 QDBusArgument::operator>>(bool&) const
    {11, 342, 201, 1, Smoke::mf_const, 227, 33},	//110 QDBusArgument::operator>>(short&) const
    {11, 342, 203, 1, Smoke::mf_const, 227, 34},	//111 QDBusArgument::operator>>(unsigned short&) const
    {11, 342, 205, 1, Smoke::mf_const, 227, 35},	//112 QDBusArgument::operator>>(int&) const
    {11, 342, 207, 1, Smoke::mf_const, 227, 36},	//113 QDBusArgument::operator>>(unsigned int&) const
    {11, 342, 209, 1, Smoke::mf_const, 227, 37},	//114 QDBusArgument::operator>>(long long&) const
    {11, 342, 211, 1, Smoke::mf_const, 227, 38},	//115 QDBusArgument::operator>>(unsigned long long&) const
    {11, 342, 213, 1, Smoke::mf_const, 227, 39},	//116 QDBusArgument::operator>>(double&) const
    {11, 342, 215, 1, Smoke::mf_const, 227, 40},	//117 QDBusArgument::operator>>(QString&) const
    {11, 342, 217, 1, Smoke::mf_const, 227, 41},	//118 QDBusArgument::operator>>(QDBusVariant&) const
    {11, 342, 219, 1, Smoke::mf_const, 227, 42},	//119 QDBusArgument::operator>>(QDBusObjectPath&) const
    {11, 342, 221, 1, Smoke::mf_const, 227, 43},	//120 QDBusArgument::operator>>(QDBusSignature&) const
    {11, 342, 223, 1, Smoke::mf_const, 227, 44},	//121 QDBusArgument::operator>>(QDBusUnixFileDescriptor&) const
    {11, 342, 225, 1, Smoke::mf_const, 227, 45},	//122 QDBusArgument::operator>>(QStringList&) const
    {11, 342, 227, 1, Smoke::mf_const, 227, 46},	//123 QDBusArgument::operator>>(QByteArray&) const
    {11, 167, 0, 0, Smoke::mf_const, 0, 47},	//124 QDBusArgument::beginStructure() const
    {11, 245, 0, 0, Smoke::mf_const, 0, 48},	//125 QDBusArgument::endStructure() const
    {11, 162, 0, 0, Smoke::mf_const, 0, 49},	//126 QDBusArgument::beginArray() const
    {11, 242, 0, 0, Smoke::mf_const, 0, 50},	//127 QDBusArgument::endArray() const
    {11, 164, 0, 0, Smoke::mf_const, 0, 51},	//128 QDBusArgument::beginMap() const
    {11, 243, 0, 0, Smoke::mf_const, 0, 52},	//129 QDBusArgument::endMap() const
    {11, 166, 0, 0, Smoke::mf_const, 0, 53},	//130 QDBusArgument::beginMapEntry() const
    {11, 244, 0, 0, Smoke::mf_const, 0, 54},	//131 QDBusArgument::endMapEntry() const
    {11, 158, 0, 0, Smoke::mf_const, 218, 55},	//132 QDBusArgument::atEnd() const
    {11, 143, 0, 0, Smoke::mf_const, 137, 56},	//133 QDBusArgument::asVariant() const
    {11, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 57},	//134 QDBusArgument::BasicType (enum)
    {11, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 58},	//135 QDBusArgument::VariantType (enum)
    {11, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 59},	//136 QDBusArgument::ArrayType (enum)
    {11, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 60},	//137 QDBusArgument::StructureType (enum)
    {11, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 61},	//138 QDBusArgument::MapType (enum)
    {11, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 62},	//139 QDBusArgument::MapEntryType (enum)
    {11, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 63},	//140 QDBusArgument::UnknownType (enum)
    {11, 616, 0, 0, Smoke::mf_dtor, 0, 64 },	//141 QDBusArgument::~QDBusArgument()
    {12, 67, 68, 1, Smoke::mf_ctor, 18, 1},	//142 QDBusConnection::QDBusConnection(const QString&)
    {12, 67, 229, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 2},	//143 QDBusConnection::QDBusConnection(const QDBusConnection&)
    {12, 325, 229, 1, 0, 17, 3},	//144 QDBusConnection::operator=(const QDBusConnection&)
    {12, 268, 0, 0, Smoke::mf_const, 218, 4},	//145 QDBusConnection::isConnected() const
    {12, 161, 0, 0, Smoke::mf_const, 120, 5},	//146 QDBusConnection::baseService() const
    {12, 276, 0, 0, Smoke::mf_const, 29, 6},	//147 QDBusConnection::lastError() const
    {12, 283, 0, 0, Smoke::mf_const, 120, 7},	//148 QDBusConnection::name() const
    {12, 213, 0, 0, Smoke::mf_const, 69, 8},	//149 QDBusConnection::connectionCapabilities() const
    {12, 549, 231, 1, Smoke::mf_const, 218, 9},	//150 QDBusConnection::send(const QDBusMessage&) const
    {12, 192, 233, 5, Smoke::mf_const, 218, 10},	//151 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*, int) const
    {12, 192, 239, 4, Smoke::mf_const, 218, 11},	//152 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, int) const
    {12, 168, 244, 3, Smoke::mf_const, 34, 12},	//153 QDBusConnection::call(const QDBusMessage&, QDBus::CallMode, int) const
    {12, 144, 248, 2, Smoke::mf_const, 40, 13},	//154 QDBusConnection::asyncCall(const QDBusMessage&, int) const
    {12, 202, 251, 6, 0, 218, 14},	//155 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 202, 258, 7, 0, 218, 15},	//156 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 202, 266, 8, 0, 218, 16},	//157 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*)
    {12, 232, 251, 6, 0, 218, 17},	//158 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 232, 258, 7, 0, 218, 18},	//159 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 232, 266, 8, 0, 218, 19},	//160 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*)
    {12, 535, 275, 3, 0, 218, 20},	//161 QDBusConnection::registerObject(const QString&, QObject*, QFlags<QDBusConnection::RegisterOption>)
    {12, 605, 279, 2, 0, 0, 21},	//162 QDBusConnection::unregisterObject(const QString&, QDBusConnection::UnregisterMode)
    {12, 286, 68, 1, Smoke::mf_const, 111, 22},	//163 QDBusConnection::objectRegisteredAt(const QString&) const
    {12, 542, 282, 3, 0, 218, 23},	//164 QDBusConnection::registerVirtualObject(const QString&, QDBusVirtualObject*, QDBusConnection::VirtualObjectRegisterOption)
    {12, 538, 68, 1, 0, 218, 24},	//165 QDBusConnection::registerService(const QString&)
    {12, 608, 68, 1, 0, 218, 25},	//166 QDBusConnection::unregisterService(const QString&)
    {12, 259, 0, 0, Smoke::mf_const, 24, 26},	//167 QDBusConnection::interface() const
    {12, 263, 0, 0, Smoke::mf_const, 312, 27},	//168 QDBusConnection::internalPointer() const
    {12, 208, 286, 2, Smoke::mf_static, 16, 28},	//169 QDBusConnection::connectToBus(QDBusConnection::BusType, const QString&)
    {12, 208, 289, 2, Smoke::mf_static, 16, 29},	//170 QDBusConnection::connectToBus(const QString&, const QString&)
    {12, 210, 289, 2, Smoke::mf_static, 16, 30},	//171 QDBusConnection::connectToPeer(const QString&, const QString&)
    {12, 236, 68, 1, Smoke::mf_static, 0, 31},	//172 QDBusConnection::disconnectFromBus(const QString&)
    {12, 238, 68, 1, Smoke::mf_static, 0, 32},	//173 QDBusConnection::disconnectFromPeer(const QString&)
    {12, 277, 0, 0, Smoke::mf_static, 5, 33},	//174 QDBusConnection::localMachineId()
    {12, 568, 0, 0, Smoke::mf_static, 16, 34},	//175 QDBusConnection::sessionBus()
    {12, 591, 0, 0, Smoke::mf_static, 16, 35},	//176 QDBusConnection::systemBus()
    {12, 554, 0, 0, Smoke::mf_static, 16, 36},	//177 QDBusConnection::sender()
    {12, 192, 292, 4, Smoke::mf_const, 218, 37},	//178 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*) const
    {12, 192, 297, 3, Smoke::mf_const, 218, 38},	//179 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*) const
    {12, 168, 231, 1, Smoke::mf_const, 34, 39},	//180 QDBusConnection::call(const QDBusMessage&) const
    {12, 168, 301, 2, Smoke::mf_const, 34, 40},	//181 QDBusConnection::call(const QDBusMessage&, QDBus::CallMode) const
    {12, 144, 231, 1, Smoke::mf_const, 40, 41},	//182 QDBusConnection::asyncCall(const QDBusMessage&) const
    {12, 535, 304, 2, 0, 218, 42},	//183 QDBusConnection::registerObject(const QString&, QObject*)
    {12, 605, 68, 1, 0, 0, 43},	//184 QDBusConnection::unregisterObject(const QString&)
    {12, 542, 307, 2, 0, 218, 44},	//185 QDBusConnection::registerVirtualObject(const QString&, QDBusVirtualObject*)
    {12, 590, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 251, 45},	//186 QDBusConnection::staticMetaObject() const
    {12, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 46},	//187 QDBusConnection::SessionBus (enum)
    {12, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 47},	//188 QDBusConnection::SystemBus (enum)
    {12, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 48},	//189 QDBusConnection::ActivationBus (enum)
    {12, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 49},	//190 QDBusConnection::ExportAdaptors (enum)
    {12, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 50},	//191 QDBusConnection::ExportScriptableSlots (enum)
    {12, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 51},	//192 QDBusConnection::ExportScriptableSignals (enum)
    {12, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 52},	//193 QDBusConnection::ExportScriptableProperties (enum)
    {12, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 53},	//194 QDBusConnection::ExportScriptableInvokables (enum)
    {12, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 54},	//195 QDBusConnection::ExportScriptableContents (enum)
    {12, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 55},	//196 QDBusConnection::ExportNonScriptableSlots (enum)
    {12, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 56},	//197 QDBusConnection::ExportNonScriptableSignals (enum)
    {12, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 57},	//198 QDBusConnection::ExportNonScriptableProperties (enum)
    {12, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 58},	//199 QDBusConnection::ExportNonScriptableInvokables (enum)
    {12, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 59},	//200 QDBusConnection::ExportNonScriptableContents (enum)
    {12, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 60},	//201 QDBusConnection::ExportAllSlots (enum)
    {12, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 61},	//202 QDBusConnection::ExportAllSignals (enum)
    {12, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 62},	//203 QDBusConnection::ExportAllProperties (enum)
    {12, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 63},	//204 QDBusConnection::ExportAllInvokables (enum)
    {12, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 64},	//205 QDBusConnection::ExportAllContents (enum)
    {12, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 65},	//206 QDBusConnection::ExportAllSignal (enum)
    {12, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 66},	//207 QDBusConnection::ExportChildObjects (enum)
    {12, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 67},	//208 QDBusConnection::UnregisterNode (enum)
    {12, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 68},	//209 QDBusConnection::UnregisterTree (enum)
    {12, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 69},	//210 QDBusConnection::SingleNode (enum)
    {12, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 70},	//211 QDBusConnection::SubPath (enum)
    {12, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 71},	//212 QDBusConnection::UnixFileDescriptorPassing (enum)
    {12, 617, 0, 0, Smoke::mf_dtor, 0, 72 },	//213 QDBusConnection::~QDBusConnection()
    {13, 282, 0, 0, Smoke::mf_const, 252, 1},	//214 QDBusConnectionInterface::metaObject() const
    {13, 522, 1, 1, 0, 312, 2},	//215 QDBusConnectionInterface::qt_metacast(const char*)
    {13, 594, 3, 2, Smoke::mf_static, 120, 3},	//216 QDBusConnectionInterface::tr(const char*, const char*)
    {13, 598, 3, 2, Smoke::mf_static, 120, 4},	//217 QDBusConnectionInterface::trUtf8(const char*, const char*)
    {13, 594, 6, 3, Smoke::mf_static, 120, 5},	//218 QDBusConnectionInterface::tr(const char*, const char*, int)
    {13, 598, 6, 3, Smoke::mf_static, 120, 6},	//219 QDBusConnectionInterface::trUtf8(const char*, const char*, int)
    {13, 520, 10, 3, 0, 285, 7},	//220 QDBusConnectionInterface::qt_metacall(QMetaObject::Call, int, void**)
    {13, 545, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_slot, 46, 8},	//221 QDBusConnectionInterface::registeredServiceNames() const
    {13, 273, 68, 1, Smoke::mf_const|Smoke::mf_slot, 47, 9},	//222 QDBusConnectionInterface::isServiceRegistered(const QString&) const
    {13, 556, 68, 1, Smoke::mf_const|Smoke::mf_slot, 45, 10},	//223 QDBusConnectionInterface::serviceOwner(const QString&) const
    {13, 608, 68, 1, Smoke::mf_slot, 47, 11},	//224 QDBusConnectionInterface::unregisterService(const QString&)
    {13, 538, 310, 3, Smoke::mf_slot, 44, 12},	//225 QDBusConnectionInterface::registerService(const QString&, QDBusConnectionInterface::ServiceQueueOptions, QDBusConnectionInterface::ServiceReplacementOptions)
    {13, 560, 68, 1, Smoke::mf_const|Smoke::mf_slot, 48, 13},	//226 QDBusConnectionInterface::servicePid(const QString&) const
    {13, 564, 68, 1, Smoke::mf_const|Smoke::mf_slot, 48, 14},	//227 QDBusConnectionInterface::serviceUid(const QString&) const
    {13, 588, 68, 1, Smoke::mf_slot, 49, 15},	//228 QDBusConnectionInterface::startService(const QString&)
    {13, 562, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//229 QDBusConnectionInterface::serviceRegistered(const QString&)
    {13, 566, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//230 QDBusConnectionInterface::serviceUnregistered(const QString&)
    {13, 558, 314, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//231 QDBusConnectionInterface::serviceOwnerChanged(const QString&, const QString&, const QString&)
    {13, 198, 318, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//232 QDBusConnectionInterface::callWithCallbackFailed(const QDBusError&, const QDBusMessage&)
    {13, 47, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//233 QDBusConnectionInterface::NameAcquired(const QString&)
    {13, 49, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//234 QDBusConnectionInterface::NameLost(const QString&)
    {13, 51, 314, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//235 QDBusConnectionInterface::NameOwnerChanged(const QString&, const QString&, const QString&)
    {13, 206, 1, 1, Smoke::mf_protected, 0, 23},	//236 QDBusConnectionInterface::connectNotify(const char*)
    {13, 240, 1, 1, Smoke::mf_protected, 0, 24},	//237 QDBusConnectionInterface::disconnectNotify(const char*)
    {13, 594, 1, 1, Smoke::mf_static, 120, 25},	//238 QDBusConnectionInterface::tr(const char*)
    {13, 598, 1, 1, Smoke::mf_static, 120, 26},	//239 QDBusConnectionInterface::trUtf8(const char*)
    {13, 538, 68, 1, Smoke::mf_slot, 44, 27},	//240 QDBusConnectionInterface::registerService(const QString&)
    {13, 538, 321, 2, Smoke::mf_slot, 44, 28},	//241 QDBusConnectionInterface::registerService(const QString&, QDBusConnectionInterface::ServiceQueueOptions)
    {13, 590, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 251, 29},	//242 QDBusConnectionInterface::staticMetaObject() const
    {13, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 30},	//243 QDBusConnectionInterface::DontQueueService (enum)
    {13, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 31},	//244 QDBusConnectionInterface::QueueService (enum)
    {13, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 32},	//245 QDBusConnectionInterface::ReplaceExistingService (enum)
    {13, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 33},	//246 QDBusConnectionInterface::DontAllowReplacement (enum)
    {13, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 34},	//247 QDBusConnectionInterface::AllowReplacement (enum)
    {13, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 35},	//248 QDBusConnectionInterface::ServiceNotRegistered (enum)
    {13, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 36},	//249 QDBusConnectionInterface::ServiceRegistered (enum)
    {13, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 37},	//250 QDBusConnectionInterface::ServiceQueued (enum)
    {14, 70, 0, 0, Smoke::mf_ctor, 28, 1},	//251 QDBusContext::QDBusContext()
    {14, 200, 0, 0, Smoke::mf_const, 218, 2},	//252 QDBusContext::calledFromDBus() const
    {14, 212, 0, 0, Smoke::mf_const, 16, 3},	//253 QDBusContext::connection() const
    {14, 281, 0, 0, Smoke::mf_const, 231, 4},	//254 QDBusContext::message() const
    {14, 269, 0, 0, Smoke::mf_const, 218, 5},	//255 QDBusContext::isDelayedReply() const
    {14, 577, 16, 1, Smoke::mf_const, 0, 6},	//256 QDBusContext::setDelayedReply(bool) const
    {14, 551, 289, 2, Smoke::mf_const, 0, 7},	//257 QDBusContext::sendErrorReply(const QString&, const QString&) const
    {14, 551, 324, 2, Smoke::mf_const, 0, 8},	//258 QDBusContext::sendErrorReply(QDBusError::ErrorType, const QString&) const
    {14, 70, 327, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 9},	//259 QDBusContext::QDBusContext(const QDBusContext&)
    {14, 551, 68, 1, Smoke::mf_const, 0, 10},	//260 QDBusContext::sendErrorReply(const QString&) const
    {14, 551, 329, 1, Smoke::mf_const, 0, 11},	//261 QDBusContext::sendErrorReply(QDBusError::ErrorType) const
    {14, 618, 0, 0, Smoke::mf_dtor, 0, 12 },	//262 QDBusContext::~QDBusContext()
    {15, 72, 331, 1, Smoke::mf_ctor, 31, 1},	//263 QDBusError::QDBusError(const DBusError*)
    {15, 72, 231, 1, Smoke::mf_ctor, 31, 2},	//264 QDBusError::QDBusError(const QDBusMessage&)
    {15, 72, 324, 2, Smoke::mf_ctor, 31, 3},	//265 QDBusError::QDBusError(QDBusError::ErrorType, const QString&)
    {15, 72, 333, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 4},	//266 QDBusError::QDBusError(const QDBusError&)
    {15, 325, 333, 1, 0, 30, 5},	//267 QDBusError::operator=(const QDBusError&)
    {15, 602, 0, 0, Smoke::mf_const, 32, 6},	//268 QDBusError::type() const
    {15, 283, 0, 0, Smoke::mf_const, 120, 7},	//269 QDBusError::name() const
    {15, 281, 0, 0, Smoke::mf_const, 120, 8},	//270 QDBusError::message() const
    {15, 275, 0, 0, Smoke::mf_const, 218, 9},	//271 QDBusError::isValid() const
    {15, 249, 329, 1, Smoke::mf_static, 120, 10},	//272 QDBusError::errorString(QDBusError::ErrorType)
    {15, 72, 0, 0, Smoke::mf_ctor, 31, 11},	//273 QDBusError::QDBusError()
    {15, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 12},	//274 QDBusError::NoError (enum)
    {15, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 13},	//275 QDBusError::Other (enum)
    {15, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 14},	//276 QDBusError::Failed (enum)
    {15, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 15},	//277 QDBusError::NoMemory (enum)
    {15, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 16},	//278 QDBusError::ServiceUnknown (enum)
    {15, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 17},	//279 QDBusError::NoReply (enum)
    {15, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 18},	//280 QDBusError::BadAddress (enum)
    {15, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 19},	//281 QDBusError::NotSupported (enum)
    {15, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 20},	//282 QDBusError::LimitsExceeded (enum)
    {15, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 21},	//283 QDBusError::AccessDenied (enum)
    {15, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 22},	//284 QDBusError::NoServer (enum)
    {15, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 23},	//285 QDBusError::Timeout (enum)
    {15, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 24},	//286 QDBusError::NoNetwork (enum)
    {15, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 25},	//287 QDBusError::AddressInUse (enum)
    {15, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 26},	//288 QDBusError::Disconnected (enum)
    {15, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 27},	//289 QDBusError::InvalidArgs (enum)
    {15, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 28},	//290 QDBusError::UnknownMethod (enum)
    {15, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 29},	//291 QDBusError::TimedOut (enum)
    {15, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 30},	//292 QDBusError::InvalidSignature (enum)
    {15, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 31},	//293 QDBusError::UnknownInterface (enum)
    {15, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 32},	//294 QDBusError::InternalError (enum)
    {15, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 33},	//295 QDBusError::UnknownObject (enum)
    {15, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 34},	//296 QDBusError::InvalidService (enum)
    {15, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 35},	//297 QDBusError::InvalidObjectPath (enum)
    {15, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 36},	//298 QDBusError::InvalidInterface (enum)
    {15, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 37},	//299 QDBusError::InvalidMember (enum)
    {15, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 38},	//300 QDBusError::LastErrorType (enum)
    {15, 619, 0, 0, Smoke::mf_dtor, 0, 39 },	//301 QDBusError::~QDBusError()
    {16, 75, 335, 5, Smoke::mf_ctor, 33, 1},	//302 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&, const QDBusConnection&, QObject*)
    {16, 282, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 252, 2},	//303 QDBusInterface::metaObject() const
    {16, 522, 1, 1, Smoke::mf_virtual, 312, 3},	//304 QDBusInterface::qt_metacast(const char*)
    {16, 520, 10, 3, Smoke::mf_virtual, 285, 4},	//305 QDBusInterface::qt_metacall(QMetaObject::Call, int, void**)
    {16, 75, 289, 2, Smoke::mf_ctor, 33, 5},	//306 QDBusInterface::QDBusInterface(const QString&, const QString&)
    {16, 75, 314, 3, Smoke::mf_ctor, 33, 6},	//307 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&)
    {16, 75, 341, 4, Smoke::mf_ctor, 33, 7},	//308 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&, const QDBusConnection&)
    {16, 620, 0, 0, Smoke::mf_dtor, 0, 8 },	//309 QDBusInterface::~QDBusInterface()
    {17, 80, 0, 0, Smoke::mf_ctor, 36, 1},	//310 QDBusMessage::QDBusMessage()
    {17, 80, 231, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 2},	//311 QDBusMessage::QDBusMessage(const QDBusMessage&)
    {17, 325, 231, 1, 0, 35, 3},	//312 QDBusMessage::operator=(const QDBusMessage&)
    {17, 225, 314, 3, Smoke::mf_static, 34, 4},	//313 QDBusMessage::createSignal(const QString&, const QString&, const QString&)
    {17, 220, 346, 4, Smoke::mf_static, 34, 5},	//314 QDBusMessage::createMethodCall(const QString&, const QString&, const QString&, const QString&)
    {17, 214, 289, 2, Smoke::mf_static, 34, 6},	//315 QDBusMessage::createError(const QString&, const QString&)
    {17, 214, 333, 1, Smoke::mf_static, 34, 7},	//316 QDBusMessage::createError(const QDBusError&)
    {17, 214, 324, 2, Smoke::mf_static, 34, 8},	//317 QDBusMessage::createError(QDBusError::ErrorType, const QString&)
    {17, 222, 351, 1, Smoke::mf_const, 34, 9},	//318 QDBusMessage::createReply(const QList<QVariant>&) const
    {17, 222, 195, 1, Smoke::mf_const, 34, 10},	//319 QDBusMessage::createReply(const QVariant&) const
    {17, 217, 353, 2, Smoke::mf_const, 34, 11},	//320 QDBusMessage::createErrorReply(const QString, const QString&) const
    {17, 217, 333, 1, Smoke::mf_const, 34, 12},	//321 QDBusMessage::createErrorReply(const QDBusError&) const
    {17, 217, 324, 2, Smoke::mf_const, 34, 13},	//322 QDBusMessage::createErrorReply(QDBusError::ErrorType, const QString&) const
    {17, 555, 0, 0, Smoke::mf_const, 120, 14},	//323 QDBusMessage::service() const
    {17, 354, 0, 0, Smoke::mf_const, 120, 15},	//324 QDBusMessage::path() const
    {17, 259, 0, 0, Smoke::mf_const, 120, 16},	//325 QDBusMessage::interface() const
    {17, 280, 0, 0, Smoke::mf_const, 120, 17},	//326 QDBusMessage::member() const
    {17, 248, 0, 0, Smoke::mf_const, 120, 18},	//327 QDBusMessage::errorName() const
    {17, 247, 0, 0, Smoke::mf_const, 120, 19},	//328 QDBusMessage::errorMessage() const
    {17, 602, 0, 0, Smoke::mf_const, 37, 20},	//329 QDBusMessage::type() const
    {17, 585, 0, 0, Smoke::mf_const, 120, 21},	//330 QDBusMessage::signature() const
    {17, 272, 0, 0, Smoke::mf_const, 218, 22},	//331 QDBusMessage::isReplyRequired() const
    {17, 577, 16, 1, Smoke::mf_const, 0, 23},	//332 QDBusMessage::setDelayedReply(bool) const
    {17, 269, 0, 0, Smoke::mf_const, 218, 24},	//333 QDBusMessage::isDelayedReply() const
    {17, 573, 16, 1, 0, 0, 25},	//334 QDBusMessage::setAutoStartService(bool)
    {17, 160, 0, 0, Smoke::mf_const, 218, 26},	//335 QDBusMessage::autoStartService() const
    {17, 569, 351, 1, 0, 0, 27},	//336 QDBusMessage::setArguments(const QList<QVariant>&)
    {17, 142, 0, 0, Smoke::mf_const, 106, 28},	//337 QDBusMessage::arguments() const
    {17, 313, 195, 1, 0, 35, 29},	//338 QDBusMessage::operator<<(const QVariant&)
    {17, 222, 0, 0, Smoke::mf_const, 34, 30},	//339 QDBusMessage::createReply() const
    {17, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 31},	//340 QDBusMessage::InvalidMessage (enum)
    {17, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 32},	//341 QDBusMessage::MethodCallMessage (enum)
    {17, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 33},	//342 QDBusMessage::ReplyMessage (enum)
    {17, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 34},	//343 QDBusMessage::ErrorMessage (enum)
    {17, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 35},	//344 QDBusMessage::SignalMessage (enum)
    {17, 621, 0, 0, Smoke::mf_dtor, 0, 36 },	//345 QDBusMessage::~QDBusMessage()
    {18, 533, 356, 3, Smoke::mf_static, 0, 1},	//346 QDBusMetaType::registerMarshallOperators(int, void(*)(QDBusArgument&,const void*), void(*)(const QDBusArgument&,void*))
    {18, 278, 360, 3, Smoke::mf_static, 218, 2},	//347 QDBusMetaType::marshall(QDBusArgument&, int, const void*)
    {18, 230, 364, 3, Smoke::mf_static, 218, 3},	//348 QDBusMetaType::demarshall(const QDBusArgument&, int, void*)
    {18, 586, 1, 1, Smoke::mf_static, 285, 4},	//349 QDBusMetaType::signatureToType(const char*)
    {18, 603, 18, 1, Smoke::mf_static, 279, 5},	//350 QDBusMetaType::typeToSignature(int)
    {18, 82, 0, 0, Smoke::mf_ctor, 38, 6},	//351 QDBusMetaType::QDBusMetaType()
    {18, 82, 368, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 38, 7},	//352 QDBusMetaType::QDBusMetaType(const QDBusMetaType&)
    {18, 622, 0, 0, Smoke::mf_dtor, 0, 8 },	//353 QDBusMetaType::~QDBusMetaType()
    {19, 84, 370, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 42, 1},	//354 QDBusPendingCall::QDBusPendingCall(const QDBusPendingCall&)
    {19, 325, 370, 1, 0, 41, 2},	//355 QDBusPendingCall::operator=(const QDBusPendingCall&)
    {19, 271, 0, 0, Smoke::mf_const, 218, 3},	//356 QDBusPendingCall::isFinished() const
    {19, 610, 0, 0, 0, 0, 4},	//357 QDBusPendingCall::waitForFinished()
    {19, 270, 0, 0, Smoke::mf_const, 218, 5},	//358 QDBusPendingCall::isError() const
    {19, 275, 0, 0, Smoke::mf_const, 218, 6},	//359 QDBusPendingCall::isValid() const
    {19, 246, 0, 0, Smoke::mf_const, 29, 7},	//360 QDBusPendingCall::error() const
    {19, 548, 0, 0, Smoke::mf_const, 34, 8},	//361 QDBusPendingCall::reply() const
    {19, 257, 333, 1, Smoke::mf_static, 40, 9},	//362 QDBusPendingCall::fromError(const QDBusError&)
    {19, 255, 231, 1, Smoke::mf_static, 40, 10},	//363 QDBusPendingCall::fromCompletedCall(const QDBusMessage&)
    {19, 623, 0, 0, Smoke::mf_dtor, 0, 11 },	//364 QDBusPendingCall::~QDBusPendingCall()
    {20, 282, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 252, 1},	//365 QDBusPendingCallWatcher::metaObject() const
    {20, 522, 1, 1, Smoke::mf_virtual, 312, 2},	//366 QDBusPendingCallWatcher::qt_metacast(const char*)
    {20, 594, 3, 2, Smoke::mf_static, 120, 3},	//367 QDBusPendingCallWatcher::tr(const char*, const char*)
    {20, 598, 3, 2, Smoke::mf_static, 120, 4},	//368 QDBusPendingCallWatcher::trUtf8(const char*, const char*)
    {20, 594, 6, 3, Smoke::mf_static, 120, 5},	//369 QDBusPendingCallWatcher::tr(const char*, const char*, int)
    {20, 598, 6, 3, Smoke::mf_static, 120, 6},	//370 QDBusPendingCallWatcher::trUtf8(const char*, const char*, int)
    {20, 520, 10, 3, Smoke::mf_virtual, 285, 7},	//371 QDBusPendingCallWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {20, 86, 372, 2, Smoke::mf_ctor, 43, 8},	//372 QDBusPendingCallWatcher::QDBusPendingCallWatcher(const QDBusPendingCall&, QObject*)
    {20, 610, 0, 0, 0, 0, 9},	//373 QDBusPendingCallWatcher::waitForFinished()
    {20, 253, 375, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//374 QDBusPendingCallWatcher::finished(QDBusPendingCallWatcher*)
    {20, 594, 1, 1, Smoke::mf_static, 120, 11},	//375 QDBusPendingCallWatcher::tr(const char*)
    {20, 598, 1, 1, Smoke::mf_static, 120, 12},	//376 QDBusPendingCallWatcher::trUtf8(const char*)
    {20, 86, 370, 1, Smoke::mf_ctor, 43, 13},	//377 QDBusPendingCallWatcher::QDBusPendingCallWatcher(const QDBusPendingCall&)
    {20, 590, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 251, 14},	//378 QDBusPendingCallWatcher::staticMetaObject() const
    {20, 624, 0, 0, Smoke::mf_dtor, 0, 15 },	//379 QDBusPendingCallWatcher::~QDBusPendingCallWatcher()
    {21, 282, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 252, 1},	//380 QDBusServer::metaObject() const
    {21, 522, 1, 1, Smoke::mf_virtual, 312, 2},	//381 QDBusServer::qt_metacast(const char*)
    {21, 594, 3, 2, Smoke::mf_static, 120, 3},	//382 QDBusServer::tr(const char*, const char*)
    {21, 598, 3, 2, Smoke::mf_static, 120, 4},	//383 QDBusServer::trUtf8(const char*, const char*)
    {21, 594, 6, 3, Smoke::mf_static, 120, 5},	//384 QDBusServer::tr(const char*, const char*, int)
    {21, 598, 6, 3, Smoke::mf_static, 120, 6},	//385 QDBusServer::trUtf8(const char*, const char*, int)
    {21, 520, 10, 3, Smoke::mf_virtual, 285, 7},	//386 QDBusServer::qt_metacall(QMetaObject::Call, int, void**)
    {21, 89, 304, 2, Smoke::mf_ctor, 50, 8},	//387 QDBusServer::QDBusServer(const QString&, QObject*)
    {21, 268, 0, 0, Smoke::mf_const, 218, 9},	//388 QDBusServer::isConnected() const
    {21, 276, 0, 0, Smoke::mf_const, 29, 10},	//389 QDBusServer::lastError() const
    {21, 139, 0, 0, Smoke::mf_const, 120, 11},	//390 QDBusServer::address() const
    {21, 284, 229, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//391 QDBusServer::newConnection(const QDBusConnection&)
    {21, 594, 1, 1, Smoke::mf_static, 120, 13},	//392 QDBusServer::tr(const char*)
    {21, 598, 1, 1, Smoke::mf_static, 120, 14},	//393 QDBusServer::trUtf8(const char*)
    {21, 89, 0, 0, Smoke::mf_ctor, 50, 15},	//394 QDBusServer::QDBusServer()
    {21, 89, 68, 1, Smoke::mf_ctor, 50, 16},	//395 QDBusServer::QDBusServer(const QString&)
    {21, 590, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 251, 17},	//396 QDBusServer::staticMetaObject() const
    {21, 625, 0, 0, Smoke::mf_dtor, 0, 18 },	//397 QDBusServer::~QDBusServer()
    {22, 282, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 252, 1},	//398 QDBusServiceWatcher::metaObject() const
    {22, 522, 1, 1, Smoke::mf_virtual, 312, 2},	//399 QDBusServiceWatcher::qt_metacast(const char*)
    {22, 594, 3, 2, Smoke::mf_static, 120, 3},	//400 QDBusServiceWatcher::tr(const char*, const char*)
    {22, 598, 3, 2, Smoke::mf_static, 120, 4},	//401 QDBusServiceWatcher::trUtf8(const char*, const char*)
    {22, 594, 6, 3, Smoke::mf_static, 120, 5},	//402 QDBusServiceWatcher::tr(const char*, const char*, int)
    {22, 598, 6, 3, Smoke::mf_static, 120, 6},	//403 QDBusServiceWatcher::trUtf8(const char*, const char*, int)
    {22, 520, 10, 3, Smoke::mf_virtual, 285, 7},	//404 QDBusServiceWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {22, 92, 14, 1, Smoke::mf_ctor, 51, 8},	//405 QDBusServiceWatcher::QDBusServiceWatcher(QObject*)
    {22, 92, 377, 4, Smoke::mf_ctor, 51, 9},	//406 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>, QObject*)
    {22, 612, 0, 0, Smoke::mf_const|Smoke::mf_property, 124, 10},	//407 QDBusServiceWatcher::watchedServices() const
    {22, 583, 188, 1, Smoke::mf_property, 0, 11},	//408 QDBusServiceWatcher::setWatchedServices(const QStringList&)
    {22, 137, 68, 1, 0, 0, 12},	//409 QDBusServiceWatcher::addWatchedService(const QString&)
    {22, 546, 68, 1, 0, 218, 13},	//410 QDBusServiceWatcher::removeWatchedService(const QString&)
    {22, 611, 0, 0, Smoke::mf_const, 72, 14},	//411 QDBusServiceWatcher::watchMode() const
    {22, 581, 382, 1, 0, 0, 15},	//412 QDBusServiceWatcher::setWatchMode(QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {22, 212, 0, 0, Smoke::mf_const, 16, 16},	//413 QDBusServiceWatcher::connection() const
    {22, 575, 229, 1, 0, 0, 17},	//414 QDBusServiceWatcher::setConnection(const QDBusConnection&)
    {22, 562, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//415 QDBusServiceWatcher::serviceRegistered(const QString&)
    {22, 566, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//416 QDBusServiceWatcher::serviceUnregistered(const QString&)
    {22, 558, 314, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//417 QDBusServiceWatcher::serviceOwnerChanged(const QString&, const QString&, const QString&)
    {22, 594, 1, 1, Smoke::mf_static, 120, 21},	//418 QDBusServiceWatcher::tr(const char*)
    {22, 598, 1, 1, Smoke::mf_static, 120, 22},	//419 QDBusServiceWatcher::trUtf8(const char*)
    {22, 92, 0, 0, Smoke::mf_ctor, 51, 23},	//420 QDBusServiceWatcher::QDBusServiceWatcher()
    {22, 92, 384, 2, Smoke::mf_ctor, 51, 24},	//421 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&)
    {22, 92, 387, 3, Smoke::mf_ctor, 51, 25},	//422 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {22, 590, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 251, 26},	//423 QDBusServiceWatcher::staticMetaObject() const
    {22, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 27},	//424 QDBusServiceWatcher::WatchForRegistration (enum)
    {22, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 28},	//425 QDBusServiceWatcher::WatchForUnregistration (enum)
    {22, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 29},	//426 QDBusServiceWatcher::WatchForOwnerChange (enum)
    {22, 626, 0, 0, Smoke::mf_dtor, 0, 30 },	//427 QDBusServiceWatcher::~QDBusServiceWatcher()
    {33, 337, 391, 2, Smoke::mf_static, 218, 1},	//428 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {33, 402, 176, 1, Smoke::mf_static, 300, 2},	//429 QGlobalSpace::qHash(unsigned long long)
    {33, 412, 178, 1, Smoke::mf_static, 218, 3},	//430 QGlobalSpace::qIsInf(double)
    {33, 351, 394, 2, Smoke::mf_static, 102, 4},	//431 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {33, 351, 397, 2, Smoke::mf_static, 102, 5},	//432 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {33, 505, 400, 2, Smoke::mf_static, 300, 6},	//433 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {33, 424, 403, 3, Smoke::mf_static, 312, 7},	//434 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {33, 351, 407, 2, Smoke::mf_static, 71, 8},	//435 QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QFlags<QDBusConnection::VirtualObjectRegisterOption>)
    {33, 524, 0, 0, Smoke::mf_static, 0, 9},	//436 QGlobalSpace::qt_noop()
    {33, 327, 410, 2, Smoke::mf_static, 218, 10},	//437 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {33, 313, 413, 2, Smoke::mf_static, 60, 11},	//438 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {33, 327, 416, 2, Smoke::mf_static, 218, 12},	//439 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {33, 327, 419, 2, Smoke::mf_static, 218, 13},	//440 QGlobalSpace::operator==(const QSize&, const QSize&)
    {33, 298, 422, 2, Smoke::mf_static, 224, 14},	//441 QGlobalSpace::operator+(const char*, const QByteArray&)
    {33, 351, 425, 2, Smoke::mf_static, 77, 15},	//442 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {33, 455, 428, 2, Smoke::mf_static, 218, 16},	//443 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {33, 486, 422, 2, Smoke::mf_static, 285, 17},	//444 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {33, 327, 431, 2, Smoke::mf_static, 218, 18},	//445 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {33, 364, 434, 2, Smoke::mf_static, 282, 19},	//446 QGlobalSpace::qAtan2(double, double)
    {33, 342, 437, 2, Smoke::mf_static, 57, 20},	//447 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {33, 337, 440, 2, Smoke::mf_static, 218, 21},	//448 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {33, 412, 443, 1, Smoke::mf_static, 218, 22},	//449 QGlobalSpace::qIsInf(float)
    {33, 477, 1, 1, Smoke::mf_static, 5, 23},	//450 QGlobalSpace::qgetenv(const char*)
    {33, 402, 445, 1, Smoke::mf_static, 300, 24},	//451 QGlobalSpace::qHash(signed char)
    {33, 327, 447, 2, Smoke::mf_static, 218, 25},	//452 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {33, 332, 422, 2, Smoke::mf_static, 218, 26},	//453 QGlobalSpace::operator>(const char*, const QByteArray&)
    {33, 408, 178, 1, Smoke::mf_static, 285, 27},	//454 QGlobalSpace::qIntCast(double)
    {33, 446, 450, 1, Smoke::mf_static, 131, 28},	//455 QGlobalSpace::qSetPadChar(QChar)
    {33, 327, 452, 2, Smoke::mf_static, 218, 29},	//456 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {33, 327, 455, 2, Smoke::mf_static, 218, 30},	//457 QGlobalSpace::operator==(QChar, QChar)
    {33, 327, 458, 2, Smoke::mf_static, 218, 31},	//458 QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    {33, 351, 461, 2, Smoke::mf_static, 98, 32},	//459 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {33, 402, 464, 1, Smoke::mf_static, 300, 33},	//460 QGlobalSpace::qHash(const QUrl&)
    {33, 313, 466, 2, Smoke::mf_static, 13, 34},	//461 QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    {33, 402, 190, 1, Smoke::mf_static, 300, 35},	//462 QGlobalSpace::qHash(const QByteArray&)
    {33, 313, 469, 2, Smoke::mf_static, 13, 36},	//463 QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    {33, 313, 472, 2, Smoke::mf_static, 60, 37},	//464 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {33, 308, 455, 2, Smoke::mf_static, 218, 38},	//465 QGlobalSpace::operator<(QChar, QChar)
    {33, 337, 455, 2, Smoke::mf_static, 218, 39},	//466 QGlobalSpace::operator>=(QChar, QChar)
    {33, 288, 475, 2, Smoke::mf_static, 218, 40},	//467 QGlobalSpace::operator!=(QString::Null, const QString&)
    {33, 313, 478, 2, Smoke::mf_static, 13, 41},	//468 QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    {33, 308, 422, 2, Smoke::mf_static, 218, 42},	//469 QGlobalSpace::operator<(const char*, const QByteArray&)
    {33, 351, 481, 2, Smoke::mf_static, 97, 43},	//470 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {33, 486, 3, 2, Smoke::mf_static, 285, 44},	//471 QGlobalSpace::qstrcmp(const char*, const char*)
    {33, 376, 178, 1, Smoke::mf_static, 282, 45},	//472 QGlobalSpace::qCos(double)
    {33, 351, 484, 2, Smoke::mf_static, 80, 46},	//473 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {33, 332, 455, 2, Smoke::mf_static, 218, 47},	//474 QGlobalSpace::operator>(QChar, QChar)
    {33, 313, 487, 2, Smoke::mf_static, 13, 48},	//475 QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    {33, 351, 490, 2, Smoke::mf_static, 100, 49},	//476 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {33, 295, 493, 2, Smoke::mf_static, 266, 50},	//477 QGlobalSpace::operator*(double, const QSizeF&)
    {33, 450, 0, 0, Smoke::mf_static, 218, 51},	//478 QGlobalSpace::qSharedBuild()
    {33, 351, 496, 2, Smoke::mf_static, 102, 52},	//479 QGlobalSpace::operator|(QDir::Filter, int)
    {33, 288, 391, 2, Smoke::mf_static, 218, 53},	//480 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {33, 342, 499, 2, Smoke::mf_static, 227, 54},	//481 QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    {33, 303, 502, 2, Smoke::mf_static, 256, 55},	//482 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {33, 313, 505, 2, Smoke::mf_static, 57, 56},	//483 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {33, 351, 508, 2, Smoke::mf_static, 102, 57},	//484 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {33, 351, 511, 2, Smoke::mf_static, 96, 58},	//485 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {33, 313, 514, 2, Smoke::mf_static, 13, 59},	//486 QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    {33, 402, 517, 1, Smoke::mf_static, 300, 60},	//487 QGlobalSpace::qHash(char)
    {33, 288, 416, 2, Smoke::mf_static, 218, 61},	//488 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {33, 351, 519, 2, Smoke::mf_static, 83, 62},	//489 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {33, 313, 522, 2, Smoke::mf_static, 60, 63},	//490 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {33, 351, 525, 2, Smoke::mf_static, 102, 64},	//491 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {33, 351, 528, 2, Smoke::mf_static, 102, 65},	//492 QGlobalSpace::operator|(QFile::Permission, int)
    {33, 306, 531, 2, Smoke::mf_static, 256, 66},	//493 QGlobalSpace::operator/(const QPoint&, double)
    {33, 298, 502, 2, Smoke::mf_static, 256, 67},	//494 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {33, 351, 534, 2, Smoke::mf_static, 75, 68},	//495 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {33, 298, 537, 2, Smoke::mf_static, 268, 69},	//496 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {33, 303, 540, 2, Smoke::mf_static, 266, 70},	//497 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {33, 313, 543, 2, Smoke::mf_static, 60, 71},	//498 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {33, 410, 178, 1, Smoke::mf_static, 218, 72},	//499 QGlobalSpace::qIsFinite(double)
    {33, 467, 546, 4, Smoke::mf_static, 221, 73},	//500 QGlobalSpace::qecvt(long double, int, int*, int*)
    {33, 288, 440, 2, Smoke::mf_static, 218, 74},	//501 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {33, 351, 551, 2, Smoke::mf_static, 92, 75},	//502 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {33, 313, 554, 2, Smoke::mf_static, 60, 76},	//503 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {33, 313, 557, 2, Smoke::mf_static, 60, 77},	//504 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {33, 308, 560, 2, Smoke::mf_static, 218, 78},	//505 QGlobalSpace::operator<(const char*, const QString&)
    {33, 351, 563, 2, Smoke::mf_static, 84, 79},	//506 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {33, 298, 419, 2, Smoke::mf_static, 264, 80},	//507 QGlobalSpace::operator+(const QSize&, const QSize&)
    {33, 351, 566, 2, Smoke::mf_static, 98, 81},	//508 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {33, 351, 569, 2, Smoke::mf_static, 89, 82},	//509 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {33, 516, 18, 1, Smoke::mf_static, 120, 83},	//510 QGlobalSpace::qt_error_string(int)
    {33, 516, 0, 0, Smoke::mf_static, 120, 84},	//511 QGlobalSpace::qt_error_string()
    {33, 298, 540, 2, Smoke::mf_static, 266, 85},	//512 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {33, 351, 572, 2, Smoke::mf_static, 102, 86},	//513 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {33, 308, 575, 2, Smoke::mf_static, 218, 87},	//514 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {33, 460, 578, 2, Smoke::mf_static, 5, 88},	//515 QGlobalSpace::qUncompress(const unsigned char*, int)
    {33, 499, 581, 3, Smoke::mf_static, 285, 89},	//516 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {33, 458, 178, 1, Smoke::mf_static, 282, 90},	//517 QGlobalSpace::qTan(double)
    {33, 332, 410, 2, Smoke::mf_static, 218, 91},	//518 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {33, 288, 585, 2, Smoke::mf_static, 218, 92},	//519 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {33, 444, 18, 1, Smoke::mf_static, 131, 93},	//520 QGlobalSpace::qSetFieldWidth(int)
    {33, 288, 588, 2, Smoke::mf_static, 218, 94},	//521 QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    {33, 351, 591, 2, Smoke::mf_static, 87, 95},	//522 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {33, 308, 588, 2, Smoke::mf_static, 218, 96},	//523 QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    {33, 392, 178, 1, Smoke::mf_static, 285, 97},	//524 QGlobalSpace::qFloor(double)
    {33, 313, 594, 2, Smoke::mf_static, 60, 98},	//525 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {33, 342, 597, 2, Smoke::mf_static, 57, 99},	//526 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {33, 410, 443, 1, Smoke::mf_static, 218, 100},	//527 QGlobalSpace::qIsFinite(float)
    {33, 298, 600, 2, Smoke::mf_static, 268, 101},	//528 QGlobalSpace::operator+(const QString&, QChar)
    {33, 288, 603, 2, Smoke::mf_static, 218, 102},	//529 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {33, 465, 606, 3, Smoke::mf_static, 0, 103},	//530 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {33, 298, 440, 2, Smoke::mf_static, 224, 104},	//531 QGlobalSpace::operator+(const QByteArray&, const char*)
    {33, 351, 610, 2, Smoke::mf_static, 82, 105},	//532 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {33, 298, 428, 2, Smoke::mf_static, 268, 106},	//533 QGlobalSpace::operator+(const QString&, const char*)
    {33, 332, 575, 2, Smoke::mf_static, 218, 107},	//534 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {33, 351, 613, 2, Smoke::mf_static, 95, 108},	//535 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {33, 433, 616, 4, Smoke::mf_static, 312, 109},	//536 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {33, 298, 621, 2, Smoke::mf_static, 268, 110},	//537 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {33, 402, 172, 1, Smoke::mf_static, 300, 111},	//538 QGlobalSpace::qHash(unsigned int)
    {33, 351, 624, 2, Smoke::mf_static, 97, 112},	//539 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {33, 402, 450, 1, Smoke::mf_static, 300, 113},	//540 QGlobalSpace::qHash(QChar)
    {33, 320, 440, 2, Smoke::mf_static, 218, 114},	//541 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {33, 408, 443, 1, Smoke::mf_static, 285, 115},	//542 QGlobalSpace::qIntCast(float)
    {33, 327, 627, 2, Smoke::mf_static, 218, 116},	//543 QGlobalSpace::operator==(const QRect&, const QRect&)
    {33, 351, 630, 2, Smoke::mf_static, 76, 117},	//544 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {33, 349, 633, 2, Smoke::mf_static, 2, 118},	//545 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {33, 332, 636, 2, Smoke::mf_static, 218, 119},	//546 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {33, 431, 639, 2, Smoke::mf_static, 312, 120},	//547 QGlobalSpace::qRealloc(void*, size_t)
    {33, 402, 68, 1, Smoke::mf_static, 300, 121},	//548 QGlobalSpace::qHash(const QString&)
    {33, 320, 575, 2, Smoke::mf_static, 218, 122},	//549 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {33, 313, 642, 2, Smoke::mf_static, 57, 123},	//550 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {33, 313, 645, 2, Smoke::mf_static, 60, 124},	//551 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {33, 441, 178, 1, Smoke::mf_static, 291, 125},	//552 QGlobalSpace::qRound64(double)
    {33, 406, 648, 1, Smoke::mf_static, 310, 126},	//553 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {33, 453, 178, 1, Smoke::mf_static, 282, 127},	//554 QGlobalSpace::qSqrt(double)
    {33, 402, 650, 1, Smoke::mf_static, 300, 128},	//555 QGlobalSpace::qHash(const QModelIndex&)
    {33, 386, 178, 1, Smoke::mf_static, 282, 129},	//556 QGlobalSpace::qFastCos(double)
    {33, 342, 652, 2, Smoke::mf_static, 57, 130},	//557 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {33, 327, 655, 2, Smoke::mf_static, 218, 131},	//558 QGlobalSpace::operator==(QBool, QBool)
    {33, 327, 658, 2, Smoke::mf_static, 218, 132},	//559 QGlobalSpace::operator==(const char*, const QStringRef&)
    {33, 351, 661, 2, Smoke::mf_static, 102, 133},	//560 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {33, 288, 560, 2, Smoke::mf_static, 218, 134},	//561 QGlobalSpace::operator!=(const char*, const QString&)
    {33, 414, 443, 1, Smoke::mf_static, 218, 135},	//562 QGlobalSpace::qIsNaN(float)
    {33, 402, 184, 1, Smoke::mf_static, 300, 136},	//563 QGlobalSpace::qHash(const QDBusSignature&)
    {33, 320, 636, 2, Smoke::mf_static, 218, 137},	//564 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {33, 390, 1, 1, Smoke::mf_static, 279, 138},	//565 QGlobalSpace::qFlagLocation(const char*)
    {33, 313, 664, 2, Smoke::mf_static, 60, 139},	//566 QGlobalSpace::operator<<(QDebug, const QDBusMessage&)
    {33, 351, 667, 2, Smoke::mf_static, 102, 140},	//567 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {33, 414, 178, 1, Smoke::mf_static, 218, 141},	//568 QGlobalSpace::qIsNaN(double)
    {33, 298, 670, 2, Smoke::mf_static, 268, 142},	//569 QGlobalSpace::operator+(QChar, const QString&)
    {33, 351, 673, 2, Smoke::mf_static, 102, 143},	//570 QGlobalSpace::operator|(QString::SectionFlag, int)
    {33, 351, 676, 2, Smoke::mf_static, 102, 144},	//571 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {33, 342, 679, 2, Smoke::mf_static, 57, 145},	//572 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {33, 510, 6, 3, Smoke::mf_static, 0, 146},	//573 QGlobalSpace::qt_assert(const char*, const char*, int)
    {33, 313, 682, 2, Smoke::mf_static, 13, 147},	//574 QGlobalSpace::operator<<(QDBusArgument&, const QHash<QString,QVariant>&)
    {33, 402, 174, 1, Smoke::mf_static, 300, 148},	//575 QGlobalSpace::qHash(long long)
    {33, 288, 685, 2, Smoke::mf_static, 218, 149},	//576 QGlobalSpace::operator!=(const QString&, QString::Null)
    {33, 471, 546, 4, Smoke::mf_static, 221, 150},	//577 QGlobalSpace::qfcvt(long double, int, int*, int*)
    {33, 351, 688, 2, Smoke::mf_static, 102, 151},	//578 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {33, 351, 691, 2, Smoke::mf_static, 82, 152},	//579 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {33, 298, 694, 2, Smoke::mf_static, 268, 153},	//580 QGlobalSpace::operator+(const QString&, char)
    {33, 342, 697, 2, Smoke::mf_static, 227, 154},	//581 QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    {33, 288, 452, 2, Smoke::mf_static, 218, 155},	//582 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {33, 303, 431, 2, Smoke::mf_static, 258, 156},	//583 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {33, 327, 603, 2, Smoke::mf_static, 218, 157},	//584 QGlobalSpace::operator==(QString::Null, QString::Null)
    {33, 351, 700, 2, Smoke::mf_static, 90, 158},	//585 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {33, 308, 636, 2, Smoke::mf_static, 218, 159},	//586 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {33, 351, 703, 2, Smoke::mf_static, 100, 160},	//587 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {33, 400, 443, 1, Smoke::mf_static, 218, 161},	//588 QGlobalSpace::qFuzzyIsNull(float)
    {33, 313, 706, 2, Smoke::mf_static, 13, 162},	//589 QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    {33, 313, 709, 2, Smoke::mf_static, 13, 163},	//590 QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    {33, 351, 712, 2, Smoke::mf_static, 94, 164},	//591 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {33, 491, 715, 2, Smoke::mf_static, 221, 165},	//592 QGlobalSpace::qstrcpy(char*, const char*)
    {33, 402, 18, 1, Smoke::mf_static, 300, 166},	//593 QGlobalSpace::qHash(int)
    {33, 298, 431, 2, Smoke::mf_static, 258, 167},	//594 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {33, 351, 718, 2, Smoke::mf_static, 85, 168},	//595 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {33, 327, 540, 2, Smoke::mf_static, 218, 169},	//596 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {33, 303, 721, 1, Smoke::mf_static, 256, 170},	//597 QGlobalSpace::operator-(const QPoint&)
    {33, 351, 723, 2, Smoke::mf_static, 102, 171},	//598 QGlobalSpace::operator|(Qt::DropAction, int)
    {33, 313, 726, 2, Smoke::mf_static, 57, 172},	//599 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {33, 351, 729, 2, Smoke::mf_static, 102, 173},	//600 QGlobalSpace::operator|(QDir::SortFlag, int)
    {33, 382, 178, 1, Smoke::mf_static, 282, 174},	//601 QGlobalSpace::qExp(double)
    {33, 448, 18, 1, Smoke::mf_static, 131, 175},	//602 QGlobalSpace::qSetRealNumberPrecision(int)
    {33, 327, 732, 2, Smoke::mf_static, 218, 176},	//603 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {33, 351, 735, 2, Smoke::mf_static, 72, 177},	//604 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {33, 418, 178, 1, Smoke::mf_static, 282, 178},	//605 QGlobalSpace::qLn(double)
    {33, 288, 540, 2, Smoke::mf_static, 218, 179},	//606 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {33, 435, 738, 1, Smoke::mf_static, 0, 180},	//607 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {33, 369, 400, 2, Smoke::mf_static, 305, 181},	//608 QGlobalSpace::qChecksum(const char*, unsigned int)
    {33, 351, 740, 2, Smoke::mf_static, 93, 182},	//609 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {33, 420, 743, 1, Smoke::mf_static, 312, 183},	//610 QGlobalSpace::qMalloc(size_t)
    {33, 430, 0, 0, Smoke::mf_static, 282, 184},	//611 QGlobalSpace::qQNaN()
    {33, 351, 745, 2, Smoke::mf_static, 86, 185},	//612 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {33, 342, 748, 2, Smoke::mf_static, 57, 186},	//613 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {33, 479, 422, 2, Smoke::mf_static, 218, 187},	//614 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {33, 313, 751, 2, Smoke::mf_static, 60, 188},	//615 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {33, 351, 754, 2, Smoke::mf_static, 102, 189},	//616 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {33, 484, 172, 1, Smoke::mf_static, 0, 190},	//617 QGlobalSpace::qsrand(unsigned int)
    {33, 402, 757, 1, Smoke::mf_static, 300, 191},	//618 QGlobalSpace::qHash(long)
    {33, 295, 759, 2, Smoke::mf_static, 256, 192},	//619 QGlobalSpace::operator*(int, const QPoint&)
    {33, 313, 762, 2, Smoke::mf_static, 13, 193},	//620 QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    {33, 327, 588, 2, Smoke::mf_static, 218, 194},	//621 QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    {33, 332, 391, 2, Smoke::mf_static, 218, 195},	//622 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {33, 402, 170, 1, Smoke::mf_static, 300, 196},	//623 QGlobalSpace::qHash(unsigned short)
    {33, 342, 765, 2, Smoke::mf_static, 57, 197},	//624 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {33, 288, 431, 2, Smoke::mf_static, 218, 198},	//625 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {33, 351, 768, 2, Smoke::mf_static, 77, 199},	//626 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {33, 503, 581, 3, Smoke::mf_static, 285, 200},	//627 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {33, 298, 771, 2, Smoke::mf_static, 268, 201},	//628 QGlobalSpace::operator+(char, const QString&)
    {33, 288, 774, 2, Smoke::mf_static, 218, 202},	//629 QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    {33, 342, 777, 2, Smoke::mf_static, 57, 203},	//630 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {33, 327, 475, 2, Smoke::mf_static, 218, 204},	//631 QGlobalSpace::operator==(QString::Null, const QString&)
    {33, 327, 585, 2, Smoke::mf_static, 218, 205},	//632 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {33, 298, 636, 2, Smoke::mf_static, 224, 206},	//633 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {33, 402, 780, 1, Smoke::mf_static, 300, 207},	//634 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {33, 332, 560, 2, Smoke::mf_static, 218, 208},	//635 QGlobalSpace::operator>(const char*, const QString&)
    {33, 313, 782, 2, Smoke::mf_static, 57, 209},	//636 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {33, 313, 785, 2, Smoke::mf_static, 57, 210},	//637 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {33, 525, 788, 3, Smoke::mf_static, 111, 211},	//638 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {33, 351, 792, 2, Smoke::mf_static, 81, 212},	//639 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {33, 351, 795, 2, Smoke::mf_static, 72, 213},	//640 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    {33, 306, 798, 2, Smoke::mf_static, 258, 214},	//641 QGlobalSpace::operator/(const QPointF&, double)
    {33, 288, 801, 2, Smoke::mf_static, 218, 215},	//642 QGlobalSpace::operator!=(bool, QBool)
    {33, 327, 575, 2, Smoke::mf_static, 218, 216},	//643 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {33, 501, 804, 3, Smoke::mf_static, 221, 217},	//644 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {33, 342, 808, 2, Smoke::mf_static, 227, 218},	//645 QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    {33, 460, 190, 1, Smoke::mf_static, 5, 219},	//646 QGlobalSpace::qUncompress(const QByteArray&)
    {33, 313, 811, 2, Smoke::mf_static, 57, 220},	//647 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {33, 342, 814, 2, Smoke::mf_static, 57, 221},	//648 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {33, 351, 817, 2, Smoke::mf_static, 102, 222},	//649 QGlobalSpace::operator|(Qt::MouseButton, int)
    {33, 303, 820, 1, Smoke::mf_static, 258, 223},	//650 QGlobalSpace::operator-(const QPointF&)
    {33, 327, 801, 2, Smoke::mf_static, 218, 224},	//651 QGlobalSpace::operator==(bool, QBool)
    {33, 481, 0, 0, Smoke::mf_static, 285, 225},	//652 QGlobalSpace::qrand()
    {33, 351, 822, 2, Smoke::mf_static, 70, 226},	//653 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    {33, 313, 825, 2, Smoke::mf_static, 60, 227},	//654 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {33, 379, 828, 3, Smoke::mf_static, 0, 228},	//655 QGlobalSpace::qDBusReplyFill(const QDBusMessage&, QDBusError&, QVariant&)
    {33, 512, 832, 4, Smoke::mf_static, 0, 229},	//656 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {33, 295, 837, 2, Smoke::mf_static, 256, 230},	//657 QGlobalSpace::operator*(float, const QPoint&)
    {33, 293, 633, 2, Smoke::mf_static, 2, 231},	//658 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {33, 337, 422, 2, Smoke::mf_static, 218, 232},	//659 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {33, 351, 840, 2, Smoke::mf_static, 95, 233},	//660 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {33, 351, 843, 2, Smoke::mf_static, 102, 234},	//661 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {33, 288, 846, 2, Smoke::mf_static, 218, 235},	//662 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {33, 378, 0, 0, Smoke::mf_static, 60, 236},	//663 QGlobalSpace::qCritical()
    {33, 313, 849, 2, Smoke::mf_static, 13, 237},	//664 QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    {33, 351, 852, 2, Smoke::mf_static, 89, 238},	//665 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {33, 288, 422, 2, Smoke::mf_static, 218, 239},	//666 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {33, 288, 502, 2, Smoke::mf_static, 218, 240},	//667 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {33, 308, 410, 2, Smoke::mf_static, 218, 241},	//668 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {33, 327, 846, 2, Smoke::mf_static, 218, 242},	//669 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {33, 313, 855, 2, Smoke::mf_static, 57, 243},	//670 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {33, 298, 858, 2, Smoke::mf_static, 224, 244},	//671 QGlobalSpace::operator+(const QByteArray&, char)
    {33, 351, 861, 2, Smoke::mf_static, 75, 245},	//672 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {33, 351, 864, 2, Smoke::mf_static, 73, 246},	//673 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {33, 342, 867, 2, Smoke::mf_static, 57, 247},	//674 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {33, 313, 870, 2, Smoke::mf_static, 60, 248},	//675 QGlobalSpace::operator<<(QDebug, const QDBusError&)
    {33, 306, 873, 2, Smoke::mf_static, 266, 249},	//676 QGlobalSpace::operator/(const QSizeF&, double)
    {33, 337, 575, 2, Smoke::mf_static, 218, 250},	//677 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {33, 313, 876, 2, Smoke::mf_static, 57, 251},	//678 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {33, 327, 502, 2, Smoke::mf_static, 218, 252},	//679 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {33, 357, 879, 1, Smoke::mf_static, 0, 253},	//680 QGlobalSpace::qAddPostRoutine(void(*)())
    {33, 371, 881, 3, Smoke::mf_static, 5, 254},	//681 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {33, 371, 578, 2, Smoke::mf_static, 5, 255},	//682 QGlobalSpace::qCompress(const unsigned char*, int)
    {33, 320, 422, 2, Smoke::mf_static, 218, 256},	//683 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {33, 388, 178, 1, Smoke::mf_static, 282, 257},	//684 QGlobalSpace::qFastSin(double)
    {33, 320, 391, 2, Smoke::mf_static, 218, 258},	//685 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {33, 313, 885, 2, Smoke::mf_static, 57, 259},	//686 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {33, 342, 888, 2, Smoke::mf_static, 57, 260},	//687 QGlobalSpace::operator>>(QDataStream&, QString&)
    {33, 359, 0, 0, Smoke::mf_static, 120, 261},	//688 QGlobalSpace::qAppName()
    {33, 463, 0, 0, Smoke::mf_static, 279, 262},	//689 QGlobalSpace::qVersion()
    {33, 342, 891, 2, Smoke::mf_static, 227, 263},	//690 QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    {33, 342, 894, 2, Smoke::mf_static, 227, 264},	//691 QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    {33, 394, 897, 1, Smoke::mf_static, 0, 265},	//692 QGlobalSpace::qFree(void*)
    {33, 351, 899, 2, Smoke::mf_static, 102, 266},	//693 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {33, 396, 897, 1, Smoke::mf_static, 0, 267},	//694 QGlobalSpace::qFreeAligned(void*)
    {33, 327, 685, 2, Smoke::mf_static, 218, 268},	//695 QGlobalSpace::operator==(const QString&, QString::Null)
    {33, 313, 902, 2, Smoke::mf_static, 60, 269},	//696 QGlobalSpace::operator<<(QDebug, const QDir&)
    {33, 313, 905, 2, Smoke::mf_static, 128, 270},	//697 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {33, 308, 440, 2, Smoke::mf_static, 218, 271},	//698 QGlobalSpace::operator<(const QByteArray&, const char*)
    {33, 313, 908, 2, Smoke::mf_static, 60, 272},	//699 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {33, 342, 911, 2, Smoke::mf_static, 227, 273},	//700 QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    {33, 351, 914, 2, Smoke::mf_static, 76, 274},	//701 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {33, 402, 917, 1, Smoke::mf_static, 300, 275},	//702 QGlobalSpace::qHash(const QBitArray&)
    {33, 313, 919, 2, Smoke::mf_static, 60, 276},	//703 QGlobalSpace::operator<<(QDebug, const QTime&)
    {33, 313, 922, 2, Smoke::mf_static, 128, 277},	//704 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {33, 367, 178, 1, Smoke::mf_static, 285, 278},	//705 QGlobalSpace::qCeil(double)
    {33, 288, 455, 2, Smoke::mf_static, 218, 279},	//706 QGlobalSpace::operator!=(QChar, QChar)
    {33, 351, 925, 2, Smoke::mf_static, 88, 280},	//707 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {33, 455, 928, 2, Smoke::mf_static, 218, 281},	//708 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {33, 493, 1, 1, Smoke::mf_static, 221, 282},	//709 QGlobalSpace::qstrdup(const char*)
    {33, 351, 931, 2, Smoke::mf_static, 70, 283},	//710 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    {33, 342, 934, 2, Smoke::mf_static, 57, 284},	//711 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {33, 320, 560, 2, Smoke::mf_static, 218, 285},	//712 QGlobalSpace::operator<=(const char*, const QString&)
    {33, 288, 658, 2, Smoke::mf_static, 218, 286},	//713 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {33, 313, 937, 2, Smoke::mf_static, 13, 287},	//714 QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    {33, 381, 0, 0, Smoke::mf_static, 60, 288},	//715 QGlobalSpace::qDebug()
    {33, 422, 940, 2, Smoke::mf_static, 312, 289},	//716 QGlobalSpace::qMallocAligned(size_t, size_t)
    {33, 288, 928, 2, Smoke::mf_static, 218, 290},	//717 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {33, 402, 182, 1, Smoke::mf_static, 300, 291},	//718 QGlobalSpace::qHash(const QDBusObjectPath&)
    {33, 469, 943, 6, Smoke::mf_static, 285, 292},	//719 QGlobalSpace::qecvt_r(long double, int, int*, int*, char*, size_t)
    {33, 342, 950, 2, Smoke::mf_static, 227, 293},	//720 QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    {33, 428, 434, 2, Smoke::mf_static, 282, 294},	//721 QGlobalSpace::qPow(double, double)
    {33, 320, 410, 2, Smoke::mf_static, 218, 295},	//722 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {33, 313, 953, 2, Smoke::mf_static, 60, 296},	//723 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {33, 351, 956, 2, Smoke::mf_static, 102, 297},	//724 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {33, 342, 905, 2, Smoke::mf_static, 128, 298},	//725 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {33, 298, 959, 2, Smoke::mf_static, 224, 299},	//726 QGlobalSpace::operator+(char, const QByteArray&)
    {33, 327, 422, 2, Smoke::mf_static, 218, 300},	//727 QGlobalSpace::operator==(const char*, const QByteArray&)
    {33, 313, 962, 2, Smoke::mf_static, 57, 301},	//728 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {33, 342, 965, 2, Smoke::mf_static, 227, 302},	//729 QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    {33, 303, 419, 2, Smoke::mf_static, 264, 303},	//730 QGlobalSpace::operator-(const QSize&, const QSize&)
    {33, 342, 968, 2, Smoke::mf_static, 227, 304},	//731 QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    {33, 313, 971, 2, Smoke::mf_static, 60, 305},	//732 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {33, 298, 560, 2, Smoke::mf_static, 268, 306},	//733 QGlobalSpace::operator+(const char*, const QString&)
    {33, 351, 974, 2, Smoke::mf_static, 102, 307},	//734 QGlobalSpace::operator|(Qt::WindowState, int)
    {33, 342, 977, 2, Smoke::mf_static, 57, 308},	//735 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {33, 288, 732, 2, Smoke::mf_static, 218, 309},	//736 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {33, 313, 980, 2, Smoke::mf_static, 60, 310},	//737 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {33, 351, 983, 2, Smoke::mf_static, 92, 311},	//738 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {33, 295, 986, 2, Smoke::mf_static, 258, 312},	//739 QGlobalSpace::operator*(double, const QPointF&)
    {33, 342, 989, 2, Smoke::mf_static, 57, 313},	//740 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {33, 351, 992, 2, Smoke::mf_static, 87, 314},	//741 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {33, 327, 391, 2, Smoke::mf_static, 218, 315},	//742 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {33, 295, 995, 2, Smoke::mf_static, 264, 316},	//743 QGlobalSpace::operator*(const QSize&, double)
    {33, 313, 998, 2, Smoke::mf_static, 60, 317},	//744 QGlobalSpace::operator<<(QDebug, const QDate&)
    {33, 351, 1001, 2, Smoke::mf_static, 102, 318},	//745 QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, int)
    {33, 351, 1004, 2, Smoke::mf_static, 73, 319},	//746 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {33, 531, 1007, 4, Smoke::mf_static, 285, 320},	//747 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {33, 295, 1012, 2, Smoke::mf_static, 256, 321},	//748 QGlobalSpace::operator*(double, const QPoint&)
    {33, 426, 1015, 3, Smoke::mf_static, 312, 322},	//749 QGlobalSpace::qMemSet(void*, int, size_t)
    {33, 313, 1019, 2, Smoke::mf_static, 57, 323},	//750 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {33, 514, 1022, 2, Smoke::mf_static, 0, 324},	//751 QGlobalSpace::qt_check_pointer(const char*, int)
    {33, 402, 168, 1, Smoke::mf_static, 300, 325},	//752 QGlobalSpace::qHash(short)
    {33, 351, 1025, 2, Smoke::mf_static, 78, 326},	//753 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {33, 384, 178, 1, Smoke::mf_static, 282, 327},	//754 QGlobalSpace::qFabs(double)
    {33, 351, 1028, 2, Smoke::mf_static, 86, 328},	//755 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {33, 351, 1031, 2, Smoke::mf_static, 74, 329},	//756 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {33, 486, 636, 2, Smoke::mf_static, 285, 330},	//757 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {33, 398, 1034, 2, Smoke::mf_static, 218, 331},	//758 QGlobalSpace::qFuzzyCompare(float, float)
    {33, 327, 1037, 2, Smoke::mf_static, 218, 332},	//759 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {33, 351, 1040, 2, Smoke::mf_static, 79, 333},	//760 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {33, 473, 943, 6, Smoke::mf_static, 285, 334},	//761 QGlobalSpace::qfcvt_r(long double, int, int*, int*, char*, size_t)
    {33, 475, 1043, 3, Smoke::mf_static, 221, 335},	//762 QGlobalSpace::qgcvt(long double, int, char*)
    {33, 482, 1047, 4, Smoke::mf_static, 0, 336},	//763 QGlobalSpace::qsort(void*, size_t, size_t, int(*)(const void*,const void*))
    {33, 355, 178, 1, Smoke::mf_static, 282, 337},	//764 QGlobalSpace::qAcos(double)
    {33, 351, 1052, 2, Smoke::mf_static, 102, 338},	//765 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {33, 351, 1055, 2, Smoke::mf_static, 90, 339},	//766 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {33, 342, 1058, 2, Smoke::mf_static, 227, 340},	//767 QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    {33, 337, 636, 2, Smoke::mf_static, 218, 341},	//768 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {33, 366, 0, 0, Smoke::mf_static, 0, 342},	//769 QGlobalSpace::qBadAlloc()
    {33, 313, 1061, 2, Smoke::mf_static, 60, 343},	//770 QGlobalSpace::operator<<(QDebug, const QLine&)
    {33, 351, 1064, 2, Smoke::mf_static, 96, 344},	//771 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {33, 351, 1067, 2, Smoke::mf_static, 102, 345},	//772 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {33, 400, 178, 1, Smoke::mf_static, 218, 346},	//773 QGlobalSpace::qFuzzyIsNull(double)
    {33, 371, 1070, 2, Smoke::mf_static, 5, 347},	//774 QGlobalSpace::qCompress(const QByteArray&, int)
    {33, 371, 190, 1, Smoke::mf_static, 5, 348},	//775 QGlobalSpace::qCompress(const QByteArray&)
    {33, 351, 1073, 2, Smoke::mf_static, 84, 349},	//776 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {33, 351, 1076, 2, Smoke::mf_static, 102, 350},	//777 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {33, 351, 1079, 2, Smoke::mf_static, 99, 351},	//778 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {33, 351, 1082, 2, Smoke::mf_static, 68, 352},	//779 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {33, 313, 1085, 2, Smoke::mf_static, 57, 353},	//780 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {33, 313, 1088, 2, Smoke::mf_static, 57, 354},	//781 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {33, 313, 1091, 2, Smoke::mf_static, 57, 355},	//782 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {33, 360, 178, 1, Smoke::mf_static, 282, 356},	//783 QGlobalSpace::qAsin(double)
    {33, 313, 1094, 2, Smoke::mf_static, 60, 357},	//784 QGlobalSpace::operator<<(QDebug, const QRect&)
    {33, 342, 1097, 2, Smoke::mf_static, 227, 358},	//785 QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    {33, 351, 1100, 2, Smoke::mf_static, 74, 359},	//786 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {33, 288, 627, 2, Smoke::mf_static, 218, 360},	//787 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {33, 451, 178, 1, Smoke::mf_static, 282, 361},	//788 QGlobalSpace::qSin(double)
    {33, 351, 1103, 2, Smoke::mf_static, 102, 362},	//789 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {33, 327, 636, 2, Smoke::mf_static, 218, 363},	//790 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {33, 342, 1106, 2, Smoke::mf_static, 57, 364},	//791 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {33, 351, 633, 2, Smoke::mf_static, 2, 365},	//792 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {33, 313, 1109, 2, Smoke::mf_static, 57, 366},	//793 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {33, 313, 1112, 2, Smoke::mf_static, 57, 367},	//794 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {33, 351, 1115, 2, Smoke::mf_static, 102, 368},	//795 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {33, 313, 1118, 2, Smoke::mf_static, 57, 369},	//796 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {33, 507, 1022, 2, Smoke::mf_static, 120, 370},	//797 QGlobalSpace::qtTrId(const char*, int)
    {33, 507, 1, 1, Smoke::mf_static, 120, 371},	//798 QGlobalSpace::qtTrId(const char*)
    {33, 313, 1121, 2, Smoke::mf_static, 60, 372},	//799 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {33, 320, 455, 2, Smoke::mf_static, 218, 373},	//800 QGlobalSpace::operator<=(QChar, QChar)
    {33, 342, 1124, 2, Smoke::mf_static, 227, 374},	//801 QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    {33, 351, 1127, 2, Smoke::mf_static, 99, 375},	//802 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {33, 288, 1037, 2, Smoke::mf_static, 218, 376},	//803 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {33, 351, 1130, 2, Smoke::mf_static, 91, 377},	//804 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {33, 342, 1133, 2, Smoke::mf_static, 57, 378},	//805 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {33, 295, 1136, 2, Smoke::mf_static, 256, 379},	//806 QGlobalSpace::operator*(const QPoint&, int)
    {33, 342, 1139, 2, Smoke::mf_static, 57, 380},	//807 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {33, 529, 1142, 3, Smoke::mf_static, 218, 381},	//808 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {33, 306, 995, 2, Smoke::mf_static, 264, 382},	//809 QGlobalSpace::operator/(const QSize&, double)
    {33, 416, 443, 1, Smoke::mf_static, 218, 383},	//810 QGlobalSpace::qIsNull(float)
    {33, 351, 1146, 2, Smoke::mf_static, 71, 384},	//811 QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QDBusConnection::VirtualObjectRegisterOption)
    {33, 313, 1149, 2, Smoke::mf_static, 13, 385},	//812 QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    {33, 527, 1152, 5, Smoke::mf_static, 0, 386},	//813 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {33, 327, 1158, 2, Smoke::mf_static, 218, 387},	//814 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {33, 362, 178, 1, Smoke::mf_static, 282, 388},	//815 QGlobalSpace::qAtan(double)
    {33, 342, 1161, 2, Smoke::mf_static, 57, 389},	//816 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {33, 351, 1164, 2, Smoke::mf_static, 102, 390},	//817 QGlobalSpace::operator|(Qt::Orientation, int)
    {33, 398, 434, 2, Smoke::mf_static, 218, 391},	//818 QGlobalSpace::qFuzzyCompare(double, double)
    {33, 288, 410, 2, Smoke::mf_static, 218, 392},	//819 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {33, 295, 531, 2, Smoke::mf_static, 256, 393},	//820 QGlobalSpace::operator*(const QPoint&, double)
    {33, 351, 1167, 2, Smoke::mf_static, 88, 394},	//821 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {33, 351, 1170, 2, Smoke::mf_static, 78, 395},	//822 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {33, 443, 0, 0, Smoke::mf_static, 282, 396},	//823 QGlobalSpace::qSNaN()
    {33, 327, 774, 2, Smoke::mf_static, 218, 397},	//824 QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    {33, 327, 440, 2, Smoke::mf_static, 218, 398},	//825 QGlobalSpace::operator==(const QByteArray&, const char*)
    {33, 295, 873, 2, Smoke::mf_static, 266, 399},	//826 QGlobalSpace::operator*(const QSizeF&, double)
    {33, 327, 928, 2, Smoke::mf_static, 218, 400},	//827 QGlobalSpace::operator==(const QStringRef&, const char*)
    {33, 351, 1173, 2, Smoke::mf_static, 102, 401},	//828 QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    {33, 295, 1176, 2, Smoke::mf_static, 256, 402},	//829 QGlobalSpace::operator*(const QPoint&, float)
    {33, 295, 1179, 2, Smoke::mf_static, 264, 403},	//830 QGlobalSpace::operator*(double, const QSize&)
    {33, 313, 1182, 2, Smoke::mf_static, 13, 404},	//831 QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    {33, 308, 391, 2, Smoke::mf_static, 218, 405},	//832 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {33, 288, 1185, 2, Smoke::mf_static, 218, 406},	//833 QGlobalSpace::operator!=(QBool, bool)
    {33, 288, 419, 2, Smoke::mf_static, 218, 407},	//834 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {33, 342, 1188, 2, Smoke::mf_static, 57, 408},	//835 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {33, 313, 1191, 2, Smoke::mf_static, 60, 409},	//836 QGlobalSpace::operator<<(QDebug, const QSize&)
    {33, 288, 575, 2, Smoke::mf_static, 218, 410},	//837 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {33, 351, 1194, 2, Smoke::mf_static, 83, 411},	//838 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {33, 295, 798, 2, Smoke::mf_static, 258, 412},	//839 QGlobalSpace::operator*(const QPointF&, double)
    {33, 495, 3, 2, Smoke::mf_static, 285, 413},	//840 QGlobalSpace::qstricmp(const char*, const char*)
    {33, 351, 1197, 2, Smoke::mf_static, 94, 414},	//841 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {33, 308, 774, 2, Smoke::mf_static, 218, 415},	//842 QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    {33, 288, 447, 2, Smoke::mf_static, 218, 416},	//843 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {33, 439, 178, 1, Smoke::mf_static, 285, 417},	//844 QGlobalSpace::qRound(double)
    {33, 405, 0, 0, Smoke::mf_static, 282, 418},	//845 QGlobalSpace::qInf()
    {33, 313, 1200, 2, Smoke::mf_static, 57, 419},	//846 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {33, 351, 1203, 2, Smoke::mf_static, 91, 420},	//847 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {33, 313, 1206, 2, Smoke::mf_static, 57, 421},	//848 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {33, 351, 1209, 2, Smoke::mf_static, 79, 422},	//849 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {33, 351, 1212, 2, Smoke::mf_static, 102, 423},	//850 QGlobalSpace::operator|(Qt::WindowType, int)
    {33, 486, 440, 2, Smoke::mf_static, 285, 424},	//851 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {33, 437, 879, 1, Smoke::mf_static, 0, 425},	//852 QGlobalSpace::qRemovePostRoutine(void(*)())
    {33, 342, 1215, 2, Smoke::mf_static, 57, 426},	//853 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {33, 313, 1218, 2, Smoke::mf_static, 57, 427},	//854 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {33, 351, 1221, 2, Smoke::mf_static, 93, 428},	//855 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {33, 351, 1224, 2, Smoke::mf_static, 102, 429},	//856 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    {33, 351, 1227, 2, Smoke::mf_static, 85, 430},	//857 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {33, 464, 0, 0, Smoke::mf_static, 60, 431},	//858 QGlobalSpace::qWarning()
    {33, 497, 1, 1, Smoke::mf_static, 300, 432},	//859 QGlobalSpace::qstrlen(const char*)
    {33, 327, 1185, 2, Smoke::mf_static, 218, 433},	//860 QGlobalSpace::operator==(QBool, bool)
    {33, 342, 1230, 2, Smoke::mf_static, 57, 434},	//861 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {33, 342, 1233, 2, Smoke::mf_static, 57, 435},	//862 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {33, 402, 1236, 1, Smoke::mf_static, 300, 436},	//863 QGlobalSpace::qHash(unsigned long)
    {33, 313, 1238, 2, Smoke::mf_static, 57, 437},	//864 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {33, 313, 1241, 2, Smoke::mf_static, 57, 438},	//865 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {33, 351, 1244, 2, Smoke::mf_static, 80, 439},	//866 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {33, 327, 560, 2, Smoke::mf_static, 218, 440},	//867 QGlobalSpace::operator==(const char*, const QString&)
    {33, 351, 1247, 2, Smoke::mf_static, 81, 441},	//868 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {33, 298, 289, 2, Smoke::mf_static, 268, 442},	//869 QGlobalSpace::operator+(const QString&, const QString&)
    {33, 288, 655, 2, Smoke::mf_static, 218, 443},	//870 QGlobalSpace::operator!=(QBool, QBool)
    {33, 351, 1250, 2, Smoke::mf_static, 68, 444},	//871 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {33, 518, 1253, 2, Smoke::mf_static, 0, 445},	//872 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {33, 337, 560, 2, Smoke::mf_static, 218, 446},	//873 QGlobalSpace::operator>=(const char*, const QString&)
    {33, 402, 1256, 1, Smoke::mf_static, 300, 447},	//874 QGlobalSpace::qHash(const QStringRef&)
    {33, 416, 178, 1, Smoke::mf_static, 218, 448},	//875 QGlobalSpace::qIsNull(double)
    {33, 351, 1258, 2, Smoke::mf_static, 102, 449},	//876 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {33, 337, 410, 2, Smoke::mf_static, 218, 450},	//877 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {33, 332, 440, 2, Smoke::mf_static, 218, 451},	//878 QGlobalSpace::operator>(const QByteArray&, const char*)
    {33, 402, 166, 1, Smoke::mf_static, 300, 452},	//879 QGlobalSpace::qHash(unsigned char)
    {33, 342, 1261, 2, Smoke::mf_static, 57, 453},	//880 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {33, 313, 1264, 2, Smoke::mf_static, 60, 454},	//881 QGlobalSpace::operator<<(QDebug, const QObject*)
    {33, 351, 1267, 2, Smoke::mf_static, 102, 455},	//882 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {33, 288, 636, 2, Smoke::mf_static, 218, 456},	//883 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {33, 313, 1270, 2, Smoke::mf_static, 13, 457},	//884 QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    {33, 342, 1273, 2, Smoke::mf_static, 57, 458},	//885 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {33, 313, 1276, 2, Smoke::mf_static, 57, 459},	//886 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {33, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 460},	//887 QGlobalSpace::_IEEE_ (enum)
    {33, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 461},	//888 QGlobalSpace::_SVID_ (enum)
    {33, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 462},	//889 QGlobalSpace::_XOPEN_ (enum)
    {33, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 463},	//890 QGlobalSpace::_POSIX_ (enum)
    {33, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 464},	//891 QGlobalSpace::_ISOC_ (enum)
    {33, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 465},	//892 QGlobalSpace::QtDebugMsg (enum)
    {33, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 466},	//893 QGlobalSpace::QtWarningMsg (enum)
    {33, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 467},	//894 QGlobalSpace::QtCriticalMsg (enum)
    {33, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 468},	//895 QGlobalSpace::QtFatalMsg (enum)
    {33, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 469},	//896 QGlobalSpace::QtSystemMsg (enum)
    {33, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 470},	//897 QGlobalSpace::__codecvt_ok (enum)
    {33, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 471},	//898 QGlobalSpace::__codecvt_partial (enum)
    {33, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 472},	//899 QGlobalSpace::__codecvt_error (enum)
    {33, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 473},	//900 QGlobalSpace::__codecvt_noconv (enum)
    {43, 282, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 252, 0},	//901 QObject::metaObject() const
    {43, 522, 1, 1, Smoke::mf_virtual, 312, 0},	//902 QObject::qt_metacast(const char*)
    {43, 251, 1279, 1, Smoke::mf_virtual, 218, 0},	//903 QObject::event(QEvent*)
    {43, 252, 1281, 2, Smoke::mf_virtual, 218, 0},	//904 QObject::eventFilter(QObject*, QEvent*)
    {43, 593, 1284, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//905 QObject::timerEvent(QTimerEvent*)
    {43, 201, 1286, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//906 QObject::childEvent(QChildEvent*)
    {43, 229, 1279, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//907 QObject::customEvent(QEvent*)
    {43, 206, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//908 QObject::connectNotify(const char*)
    {43, 240, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//909 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    260,  // QDBusContext::sendErrorReply(const QString&) const
    261,  // QDBusContext::sendErrorReply(QDBusError::ErrorType) const
    0,
    257,  // QDBusContext::sendErrorReply(const QString&, const QString&) const
    258,  // QDBusContext::sendErrorReply(QDBusError::ErrorType, const QString&) const
    0,
    480,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    519,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    529,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    582,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    606,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    625,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    662,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    667,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    706,  // QGlobalSpace::operator!=(QChar, QChar)
    736,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    787,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    803,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    834,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    837,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    870,  // QGlobalSpace::operator!=(QBool, QBool)
    883,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    467,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    488,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    501,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    717,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    833,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    576,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    642,  // QGlobalSpace::operator!=(bool, QBool)
    666,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    713,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    819,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    843,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    521,  // QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    561,  // QGlobalSpace::operator!=(const char*, const QString&)
    629,  // QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    743,  // QGlobalSpace::operator*(const QSize&, double)
    806,  // QGlobalSpace::operator*(const QPoint&, int)
    820,  // QGlobalSpace::operator*(const QPoint&, double)
    826,  // QGlobalSpace::operator*(const QSizeF&, double)
    829,  // QGlobalSpace::operator*(const QPoint&, float)
    839,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    477,  // QGlobalSpace::operator*(double, const QSizeF&)
    619,  // QGlobalSpace::operator*(int, const QPoint&)
    657,  // QGlobalSpace::operator*(float, const QPoint&)
    739,  // QGlobalSpace::operator*(double, const QPointF&)
    748,  // QGlobalSpace::operator*(double, const QPoint&)
    830,  // QGlobalSpace::operator*(double, const QSize&)
    0,
    494,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    507,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    512,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    594,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    633,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    531,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    537,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    569,  // QGlobalSpace::operator+(QChar, const QString&)
    671,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    441,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    496,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    528,  // QGlobalSpace::operator+(const QString&, QChar)
    726,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    533,  // QGlobalSpace::operator+(const QString&, const char*)
    580,  // QGlobalSpace::operator+(const QString&, char)
    628,  // QGlobalSpace::operator+(char, const QString&)
    733,  // QGlobalSpace::operator+(const char*, const QString&)
    869,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    597,  // QGlobalSpace::operator-(const QPoint&)
    650,  // QGlobalSpace::operator-(const QPointF&)
    0,
    482,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    497,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    583,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    730,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    493,  // QGlobalSpace::operator/(const QPoint&, double)
    641,  // QGlobalSpace::operator/(const QPointF&, double)
    676,  // QGlobalSpace::operator/(const QSizeF&, double)
    809,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    465,  // QGlobalSpace::operator<(QChar, QChar)
    514,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    586,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    832,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    469,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    668,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    505,  // QGlobalSpace::operator<(const char*, const QString&)
    523,  // QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    842,  // QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    461,  // QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    463,  // QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    464,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    475,  // QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    483,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    486,  // QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    490,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    498,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    503,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    504,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    525,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    550,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    551,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    566,  // QGlobalSpace::operator<<(QDebug, const QDBusMessage&)
    589,  // QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    590,  // QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    599,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    620,  // QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    637,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    647,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    654,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    664,  // QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    675,  // QGlobalSpace::operator<<(QDebug, const QDBusError&)
    678,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    686,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    696,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    697,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    699,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    703,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    704,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    723,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    728,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    732,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    744,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    750,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    770,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    780,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    781,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    782,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    784,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    793,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    794,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    796,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    799,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    812,  // QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    831,  // QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    836,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    848,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    854,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    864,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    865,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    881,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    884,  // QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    886,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    438,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    615,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    636,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    737,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    846,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    468,  // QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    574,  // QGlobalSpace::operator<<(QDBusArgument&, const QHash<QString,QVariant>&)
    670,  // QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    714,  // QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    0,
    549,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    564,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    685,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    800,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    683,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    722,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    440,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    445,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    456,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    457,  // QGlobalSpace::operator==(QChar, QChar)
    458,  // QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    543,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    558,  // QGlobalSpace::operator==(QBool, QBool)
    584,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    596,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    603,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    632,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    643,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    669,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    679,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    742,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    759,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    790,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    814,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    0,
    439,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    631,  // QGlobalSpace::operator==(QString::Null, const QString&)
    825,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    827,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    860,  // QGlobalSpace::operator==(QBool, bool)
    0,
    437,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    452,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    559,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    651,  // QGlobalSpace::operator==(bool, QBool)
    695,  // QGlobalSpace::operator==(const QString&, QString::Null)
    727,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    621,  // QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    824,  // QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    867,  // QGlobalSpace::operator==(const char*, const QString&)
    0,
    474,  // QGlobalSpace::operator>(QChar, QChar)
    534,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    546,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    622,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    453,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    518,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    428,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    466,  // QGlobalSpace::operator>=(QChar, QChar)
    677,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    768,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    659,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    877,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    447,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    481,  // QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    526,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    557,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    572,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    581,  // QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    624,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    630,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    645,  // QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    648,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    674,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    690,  // QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    691,  // QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    700,  // QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    711,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    720,  // QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    725,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    729,  // QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    731,  // QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    735,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    740,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    767,  // QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    785,  // QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    791,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    801,  // QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    805,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    816,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    835,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    853,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    861,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    862,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    880,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    885,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    687,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    807,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    431,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    432,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    435,  // QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QFlags<QDBusConnection::VirtualObjectRegisterOption>)
    442,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    459,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    470,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    473,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    476,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    479,  // QGlobalSpace::operator|(QDir::Filter, int)
    484,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    485,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    489,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    491,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    492,  // QGlobalSpace::operator|(QFile::Permission, int)
    495,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    502,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    506,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    508,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    509,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    513,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    522,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    532,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    535,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    539,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    544,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    560,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    567,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    570,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    571,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    578,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    579,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    585,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    587,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    591,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    595,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    598,  // QGlobalSpace::operator|(Qt::DropAction, int)
    600,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    604,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    609,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    612,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    616,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    626,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    639,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    640,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    649,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    653,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    660,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    661,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    665,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    672,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    673,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    693,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    701,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    707,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    710,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    724,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    734,  // QGlobalSpace::operator|(Qt::WindowState, int)
    738,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    741,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    745,  // QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, int)
    746,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    753,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    755,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    756,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    760,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    765,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    766,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    771,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    772,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    776,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    777,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    778,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    779,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    786,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    789,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    795,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    802,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    804,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    811,  // QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QDBusConnection::VirtualObjectRegisterOption)
    817,  // QGlobalSpace::operator|(Qt::Orientation, int)
    821,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    822,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    828,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    838,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    841,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    847,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    849,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    850,  // QGlobalSpace::operator|(Qt::WindowType, int)
    855,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    856,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    857,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    866,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    868,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    871,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    876,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    882,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    758,  // QGlobalSpace::qFuzzyCompare(float, float)
    818,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    588,  // QGlobalSpace::qFuzzyIsNull(float)
    773,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    460,  // QGlobalSpace::qHash(const QUrl&)
    462,  // QGlobalSpace::qHash(const QByteArray&)
    540,  // QGlobalSpace::qHash(QChar)
    555,  // QGlobalSpace::qHash(const QModelIndex&)
    634,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    702,  // QGlobalSpace::qHash(const QBitArray&)
    874,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    429,  // QGlobalSpace::qHash(unsigned long long)
    451,  // QGlobalSpace::qHash(signed char)
    487,  // QGlobalSpace::qHash(char)
    538,  // QGlobalSpace::qHash(unsigned int)
    548,  // QGlobalSpace::qHash(const QString&)
    563,  // QGlobalSpace::qHash(const QDBusSignature&)
    575,  // QGlobalSpace::qHash(long long)
    593,  // QGlobalSpace::qHash(int)
    618,  // QGlobalSpace::qHash(long)
    623,  // QGlobalSpace::qHash(unsigned short)
    718,  // QGlobalSpace::qHash(const QDBusObjectPath&)
    752,  // QGlobalSpace::qHash(short)
    863,  // QGlobalSpace::qHash(unsigned long)
    879,  // QGlobalSpace::qHash(unsigned char)
    0,
    454,  // QGlobalSpace::qIntCast(double)
    542,  // QGlobalSpace::qIntCast(float)
    0,
    499,  // QGlobalSpace::qIsFinite(double)
    527,  // QGlobalSpace::qIsFinite(float)
    0,
    430,  // QGlobalSpace::qIsInf(double)
    449,  // QGlobalSpace::qIsInf(float)
    0,
    562,  // QGlobalSpace::qIsNaN(float)
    568,  // QGlobalSpace::qIsNaN(double)
    0,
    810,  // QGlobalSpace::qIsNull(float)
    875,  // QGlobalSpace::qIsNull(double)
    0,
    315,  // QDBusMessage::createError(const QString&, const QString&)
    317,  // QDBusMessage::createError(QDBusError::ErrorType, const QString&)
    0,
    320,  // QDBusMessage::createErrorReply(const QString, const QString&) const
    322,  // QDBusMessage::createErrorReply(QDBusError::ErrorType, const QString&) const
    0,
    103,  // QDBusArgument::beginMapEntry()
    130,  // QDBusArgument::beginMapEntry() const
    0,
    97,  // QDBusArgument::beginStructure()
    124,  // QDBusArgument::beginStructure() const
    0,
    100,  // QDBusArgument::endArray()
    127,  // QDBusArgument::endArray() const
    0,
    102,  // QDBusArgument::endMap()
    129,  // QDBusArgument::endMap() const
    0,
    104,  // QDBusArgument::endMapEntry()
    131,  // QDBusArgument::endMapEntry() const
    0,
    98,  // QDBusArgument::endStructure()
    125,  // QDBusArgument::endStructure() const
    0,
    91,  // QDBusArgument::operator<<(const QDBusVariant&)
    94,  // QDBusArgument::operator<<(const QDBusUnixFileDescriptor&)
    96,  // QDBusArgument::operator<<(const QByteArray&)
    0,
    81,  // QDBusArgument::operator<<(unsigned char)
    82,  // QDBusArgument::operator<<(bool)
    83,  // QDBusArgument::operator<<(short)
    84,  // QDBusArgument::operator<<(unsigned short)
    85,  // QDBusArgument::operator<<(int)
    86,  // QDBusArgument::operator<<(unsigned int)
    87,  // QDBusArgument::operator<<(long long)
    88,  // QDBusArgument::operator<<(unsigned long long)
    89,  // QDBusArgument::operator<<(double)
    90,  // QDBusArgument::operator<<(const QString&)
    92,  // QDBusArgument::operator<<(const QDBusObjectPath&)
    93,  // QDBusArgument::operator<<(const QDBusSignature&)
    0,
    118,  // QDBusArgument::operator>>(QDBusVariant&) const
    121,  // QDBusArgument::operator>>(QDBusUnixFileDescriptor&) const
    123,  // QDBusArgument::operator>>(QByteArray&) const
    0,
    108,  // QDBusArgument::operator>>(unsigned char&) const
    109,  // QDBusArgument::operator>>(bool&) const
    110,  // QDBusArgument::operator>>(short&) const
    111,  // QDBusArgument::operator>>(unsigned short&) const
    112,  // QDBusArgument::operator>>(int&) const
    113,  // QDBusArgument::operator>>(unsigned int&) const
    114,  // QDBusArgument::operator>>(long long&) const
    115,  // QDBusArgument::operator>>(unsigned long long&) const
    116,  // QDBusArgument::operator>>(double&) const
    117,  // QDBusArgument::operator>>(QString&) const
    119,  // QDBusArgument::operator>>(QDBusObjectPath&) const
    120,  // QDBusArgument::operator>>(QDBusSignature&) const
    0,
    263,  // QDBusError::QDBusError(const DBusError*)
    264,  // QDBusError::QDBusError(const QDBusMessage&)
    266,  // QDBusError::QDBusError(const QDBusError&)
    0,
    152,  // QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, int) const
    178,  // QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*) const
    0,
    169,  // QDBusConnection::connectToBus(QDBusConnection::BusType, const QString&)
    170,  // QDBusConnection::connectToBus(const QString&, const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {7, 6, 4},	// QDBus::AutoDetect
    {7, 9, 2},	// QDBus::Block
    {7, 10, 3},	// QDBus::BlockWithGui
    {7, 53, 1},	// QDBus::NoBlock
    {8, 62, 12},	// QDBusAbstractAdaptor::QDBusAbstractAdaptor#
    {8, 159, 14},	// QDBusAbstractAdaptor::autoRelaySignals
    {8, 282, 5},	// QDBusAbstractAdaptor::metaObject
    {8, 521, 11},	// QDBusAbstractAdaptor::qt_metacall$$?
    {8, 523, 6},	// QDBusAbstractAdaptor::qt_metacast$
    {8, 572, 13},	// QDBusAbstractAdaptor::setAutoRelaySignals$
    {8, 590, 17},	// QDBusAbstractAdaptor::staticMetaObject
    {8, 595, 15},	// QDBusAbstractAdaptor::tr$
    {8, 596, 7},	// QDBusAbstractAdaptor::tr$$
    {8, 597, 9},	// QDBusAbstractAdaptor::tr$$$
    {8, 599, 16},	// QDBusAbstractAdaptor::trUtf8$
    {8, 600, 8},	// QDBusAbstractAdaptor::trUtf8$$
    {8, 601, 10},	// QDBusAbstractAdaptor::trUtf8$$$
    {8, 613, 18},	// QDBusAbstractAdaptor::~QDBusAbstractAdaptor
    {9, 64, 41},	// QDBusAbstractInterface::QDBusAbstractInterface$$$##
    {9, 147, 65},	// QDBusAbstractInterface::asyncCall$
    {9, 148, 66},	// QDBusAbstractInterface::asyncCall$#
    {9, 149, 67},	// QDBusAbstractInterface::asyncCall$##
    {9, 150, 68},	// QDBusAbstractInterface::asyncCall$###
    {9, 151, 69},	// QDBusAbstractInterface::asyncCall$####
    {9, 152, 70},	// QDBusAbstractInterface::asyncCall$#####
    {9, 153, 71},	// QDBusAbstractInterface::asyncCall$######
    {9, 154, 72},	// QDBusAbstractInterface::asyncCall$#######
    {9, 155, 39},	// QDBusAbstractInterface::asyncCall$########
    {9, 157, 40},	// QDBusAbstractInterface::asyncCallWithArgumentList$?
    {9, 172, 49},	// QDBusAbstractInterface::call$
    {9, 173, 50},	// QDBusAbstractInterface::call$#
    {9, 174, 51},	// QDBusAbstractInterface::call$##
    {9, 175, 52},	// QDBusAbstractInterface::call$###
    {9, 176, 53},	// QDBusAbstractInterface::call$####
    {9, 177, 54},	// QDBusAbstractInterface::call$#####
    {9, 178, 55},	// QDBusAbstractInterface::call$######
    {9, 179, 56},	// QDBusAbstractInterface::call$#######
    {9, 180, 34},	// QDBusAbstractInterface::call$########
    {9, 181, 57},	// QDBusAbstractInterface::call$$
    {9, 182, 58},	// QDBusAbstractInterface::call$$#
    {9, 183, 59},	// QDBusAbstractInterface::call$$##
    {9, 184, 60},	// QDBusAbstractInterface::call$$###
    {9, 185, 61},	// QDBusAbstractInterface::call$$####
    {9, 186, 62},	// QDBusAbstractInterface::call$$#####
    {9, 187, 63},	// QDBusAbstractInterface::call$$######
    {9, 188, 64},	// QDBusAbstractInterface::call$$#######
    {9, 189, 35},	// QDBusAbstractInterface::call$$########
    {9, 191, 36},	// QDBusAbstractInterface::callWithArgumentList$$?
    {9, 196, 38},	// QDBusAbstractInterface::callWithCallback$?#$
    {9, 197, 37},	// QDBusAbstractInterface::callWithCallback$?#$$
    {9, 207, 42},	// QDBusAbstractInterface::connectNotify$
    {9, 212, 27},	// QDBusAbstractInterface::connection
    {9, 241, 43},	// QDBusAbstractInterface::disconnectNotify$
    {9, 259, 30},	// QDBusAbstractInterface::interface
    {9, 261, 73},	// QDBusAbstractInterface::internalConstCall$$
    {9, 262, 46},	// QDBusAbstractInterface::internalConstCall$$?
    {9, 265, 44},	// QDBusAbstractInterface::internalPropGet$
    {9, 267, 45},	// QDBusAbstractInterface::internalPropSet$#
    {9, 275, 26},	// QDBusAbstractInterface::isValid
    {9, 276, 31},	// QDBusAbstractInterface::lastError
    {9, 282, 19},	// QDBusAbstractInterface::metaObject
    {9, 354, 29},	// QDBusAbstractInterface::path
    {9, 521, 25},	// QDBusAbstractInterface::qt_metacall$$?
    {9, 523, 20},	// QDBusAbstractInterface::qt_metacast$
    {9, 555, 28},	// QDBusAbstractInterface::service
    {9, 580, 32},	// QDBusAbstractInterface::setTimeout$
    {9, 590, 74},	// QDBusAbstractInterface::staticMetaObject
    {9, 592, 33},	// QDBusAbstractInterface::timeout
    {9, 595, 47},	// QDBusAbstractInterface::tr$
    {9, 596, 21},	// QDBusAbstractInterface::tr$$
    {9, 597, 23},	// QDBusAbstractInterface::tr$$$
    {9, 599, 48},	// QDBusAbstractInterface::trUtf8$
    {9, 600, 22},	// QDBusAbstractInterface::trUtf8$$
    {9, 601, 24},	// QDBusAbstractInterface::trUtf8$$$
    {9, 614, 75},	// QDBusAbstractInterface::~QDBusAbstractInterface
    {10, 521, 76},	// QDBusAbstractInterfaceBase::qt_metacall$$?
    {10, 615, 77},	// QDBusAbstractInterfaceBase::~QDBusAbstractInterfaceBase
    {11, 5, 136},	// QDBusArgument::ArrayType
    {11, 8, 134},	// QDBusArgument::BasicType
    {11, 44, 139},	// QDBusArgument::MapEntryType
    {11, 45, 138},	// QDBusArgument::MapType
    {11, 65, 78},	// QDBusArgument::QDBusArgument
    {11, 66, 79},	// QDBusArgument::QDBusArgument#
    {11, 112, 137},	// QDBusArgument::StructureType
    {11, 121, 140},	// QDBusArgument::UnknownType
    {11, 124, 135},	// QDBusArgument::VariantType
    {11, 141, 105},	// QDBusArgument::appendVariant#
    {11, 143, 133},	// QDBusArgument::asVariant
    {11, 158, 132},	// QDBusArgument::atEnd
    {11, 162, 126},	// QDBusArgument::beginArray
    {11, 163, 99},	// QDBusArgument::beginArray$
    {11, 164, 128},	// QDBusArgument::beginMap
    {11, 165, 101},	// QDBusArgument::beginMap$$
    {11, 166, -412},	// QDBusArgument::beginMapEntry
    {11, 167, -415},	// QDBusArgument::beginStructure
    {11, 227, 106},	// QDBusArgument::currentSignature
    {11, 228, 107},	// QDBusArgument::currentType
    {11, 242, -418},	// QDBusArgument::endArray
    {11, 243, -421},	// QDBusArgument::endMap
    {11, 244, -424},	// QDBusArgument::endMapEntry
    {11, 245, -427},	// QDBusArgument::endStructure
    {11, 314, -430},	// QDBusArgument::operator<<#
    {11, 318, -434},	// QDBusArgument::operator<<$
    {11, 319, 95},	// QDBusArgument::operator<<?
    {11, 326, 80},	// QDBusArgument::operator=#
    {11, 343, -447},	// QDBusArgument::operator>>#
    {11, 347, -451},	// QDBusArgument::operator>>$
    {11, 348, 122},	// QDBusArgument::operator>>?
    {11, 616, 141},	// QDBusArgument::~QDBusArgument
    {12, 2, 189},	// QDBusConnection::ActivationBus
    {12, 15, 190},	// QDBusConnection::ExportAdaptors
    {12, 16, 205},	// QDBusConnection::ExportAllContents
    {12, 17, 204},	// QDBusConnection::ExportAllInvokables
    {12, 18, 203},	// QDBusConnection::ExportAllProperties
    {12, 19, 206},	// QDBusConnection::ExportAllSignal
    {12, 20, 202},	// QDBusConnection::ExportAllSignals
    {12, 21, 201},	// QDBusConnection::ExportAllSlots
    {12, 22, 207},	// QDBusConnection::ExportChildObjects
    {12, 23, 200},	// QDBusConnection::ExportNonScriptableContents
    {12, 24, 199},	// QDBusConnection::ExportNonScriptableInvokables
    {12, 25, 198},	// QDBusConnection::ExportNonScriptableProperties
    {12, 26, 197},	// QDBusConnection::ExportNonScriptableSignals
    {12, 27, 196},	// QDBusConnection::ExportNonScriptableSlots
    {12, 28, 195},	// QDBusConnection::ExportScriptableContents
    {12, 29, 194},	// QDBusConnection::ExportScriptableInvokables
    {12, 30, 193},	// QDBusConnection::ExportScriptableProperties
    {12, 31, 192},	// QDBusConnection::ExportScriptableSignals
    {12, 32, 191},	// QDBusConnection::ExportScriptableSlots
    {12, 68, 143},	// QDBusConnection::QDBusConnection#
    {12, 69, 142},	// QDBusConnection::QDBusConnection$
    {12, 109, 187},	// QDBusConnection::SessionBus
    {12, 111, 210},	// QDBusConnection::SingleNode
    {12, 113, 211},	// QDBusConnection::SubPath
    {12, 114, 188},	// QDBusConnection::SystemBus
    {12, 117, 212},	// QDBusConnection::UnixFileDescriptorPassing
    {12, 122, 208},	// QDBusConnection::UnregisterNode
    {12, 123, 209},	// QDBusConnection::UnregisterTree
    {12, 145, 182},	// QDBusConnection::asyncCall#
    {12, 146, 154},	// QDBusConnection::asyncCall#$
    {12, 161, 146},	// QDBusConnection::baseService
    {12, 169, 180},	// QDBusConnection::call#
    {12, 170, 181},	// QDBusConnection::call#$
    {12, 171, 153},	// QDBusConnection::call#$$
    {12, 193, 179},	// QDBusConnection::callWithCallback##$
    {12, 194, -468},	// QDBusConnection::callWithCallback##$$
    {12, 195, 151},	// QDBusConnection::callWithCallback##$$$
    {12, 203, 155},	// QDBusConnection::connect$$$$#$
    {12, 204, 156},	// QDBusConnection::connect$$$$$#$
    {12, 205, 157},	// QDBusConnection::connect$$$$?$#$
    {12, 209, -471},	// QDBusConnection::connectToBus$$
    {12, 211, 171},	// QDBusConnection::connectToPeer$$
    {12, 213, 149},	// QDBusConnection::connectionCapabilities
    {12, 233, 158},	// QDBusConnection::disconnect$$$$#$
    {12, 234, 159},	// QDBusConnection::disconnect$$$$$#$
    {12, 235, 160},	// QDBusConnection::disconnect$$$$?$#$
    {12, 237, 172},	// QDBusConnection::disconnectFromBus$
    {12, 239, 173},	// QDBusConnection::disconnectFromPeer$
    {12, 259, 167},	// QDBusConnection::interface
    {12, 263, 168},	// QDBusConnection::internalPointer
    {12, 268, 145},	// QDBusConnection::isConnected
    {12, 276, 147},	// QDBusConnection::lastError
    {12, 277, 174},	// QDBusConnection::localMachineId
    {12, 283, 148},	// QDBusConnection::name
    {12, 287, 163},	// QDBusConnection::objectRegisteredAt$
    {12, 326, 144},	// QDBusConnection::operator=#
    {12, 536, 183},	// QDBusConnection::registerObject$#
    {12, 537, 161},	// QDBusConnection::registerObject$#$
    {12, 539, 165},	// QDBusConnection::registerService$
    {12, 543, 185},	// QDBusConnection::registerVirtualObject$#
    {12, 544, 164},	// QDBusConnection::registerVirtualObject$#$
    {12, 550, 150},	// QDBusConnection::send#
    {12, 554, 177},	// QDBusConnection::sender
    {12, 568, 175},	// QDBusConnection::sessionBus
    {12, 590, 186},	// QDBusConnection::staticMetaObject
    {12, 591, 176},	// QDBusConnection::systemBus
    {12, 606, 184},	// QDBusConnection::unregisterObject$
    {12, 607, 162},	// QDBusConnection::unregisterObject$$
    {12, 609, 166},	// QDBusConnection::unregisterService$
    {12, 617, 213},	// QDBusConnection::~QDBusConnection
    {13, 4, 247},	// QDBusConnectionInterface::AllowReplacement
    {13, 12, 246},	// QDBusConnectionInterface::DontAllowReplacement
    {13, 13, 243},	// QDBusConnectionInterface::DontQueueService
    {13, 48, 233},	// QDBusConnectionInterface::NameAcquired$
    {13, 50, 234},	// QDBusConnectionInterface::NameLost$
    {13, 52, 235},	// QDBusConnectionInterface::NameOwnerChanged$$$
    {13, 102, 244},	// QDBusConnectionInterface::QueueService
    {13, 103, 245},	// QDBusConnectionInterface::ReplaceExistingService
    {13, 105, 248},	// QDBusConnectionInterface::ServiceNotRegistered
    {13, 106, 250},	// QDBusConnectionInterface::ServiceQueued
    {13, 107, 249},	// QDBusConnectionInterface::ServiceRegistered
    {13, 199, 232},	// QDBusConnectionInterface::callWithCallbackFailed##
    {13, 207, 236},	// QDBusConnectionInterface::connectNotify$
    {13, 241, 237},	// QDBusConnectionInterface::disconnectNotify$
    {13, 274, 222},	// QDBusConnectionInterface::isServiceRegistered$
    {13, 282, 214},	// QDBusConnectionInterface::metaObject
    {13, 521, 220},	// QDBusConnectionInterface::qt_metacall$$?
    {13, 523, 215},	// QDBusConnectionInterface::qt_metacast$
    {13, 539, 240},	// QDBusConnectionInterface::registerService$
    {13, 540, 241},	// QDBusConnectionInterface::registerService$$
    {13, 541, 225},	// QDBusConnectionInterface::registerService$$$
    {13, 545, 221},	// QDBusConnectionInterface::registeredServiceNames
    {13, 557, 223},	// QDBusConnectionInterface::serviceOwner$
    {13, 559, 231},	// QDBusConnectionInterface::serviceOwnerChanged$$$
    {13, 561, 226},	// QDBusConnectionInterface::servicePid$
    {13, 563, 229},	// QDBusConnectionInterface::serviceRegistered$
    {13, 565, 227},	// QDBusConnectionInterface::serviceUid$
    {13, 567, 230},	// QDBusConnectionInterface::serviceUnregistered$
    {13, 589, 228},	// QDBusConnectionInterface::startService$
    {13, 590, 242},	// QDBusConnectionInterface::staticMetaObject
    {13, 595, 238},	// QDBusConnectionInterface::tr$
    {13, 596, 216},	// QDBusConnectionInterface::tr$$
    {13, 597, 218},	// QDBusConnectionInterface::tr$$$
    {13, 599, 239},	// QDBusConnectionInterface::trUtf8$
    {13, 600, 217},	// QDBusConnectionInterface::trUtf8$$
    {13, 601, 219},	// QDBusConnectionInterface::trUtf8$$$
    {13, 609, 224},	// QDBusConnectionInterface::unregisterService$
    {14, 70, 251},	// QDBusContext::QDBusContext
    {14, 71, 259},	// QDBusContext::QDBusContext#
    {14, 200, 252},	// QDBusContext::calledFromDBus
    {14, 212, 253},	// QDBusContext::connection
    {14, 269, 255},	// QDBusContext::isDelayedReply
    {14, 281, 254},	// QDBusContext::message
    {14, 552, -1},	// QDBusContext::sendErrorReply$
    {14, 553, -4},	// QDBusContext::sendErrorReply$$
    {14, 578, 256},	// QDBusContext::setDelayedReply$
    {14, 618, 262},	// QDBusContext::~QDBusContext
    {15, 1, 283},	// QDBusError::AccessDenied
    {15, 3, 287},	// QDBusError::AddressInUse
    {15, 7, 280},	// QDBusError::BadAddress
    {15, 11, 288},	// QDBusError::Disconnected
    {15, 33, 276},	// QDBusError::Failed
    {15, 34, 294},	// QDBusError::InternalError
    {15, 35, 289},	// QDBusError::InvalidArgs
    {15, 36, 298},	// QDBusError::InvalidInterface
    {15, 37, 299},	// QDBusError::InvalidMember
    {15, 39, 297},	// QDBusError::InvalidObjectPath
    {15, 40, 296},	// QDBusError::InvalidService
    {15, 41, 292},	// QDBusError::InvalidSignature
    {15, 42, 300},	// QDBusError::LastErrorType
    {15, 43, 282},	// QDBusError::LimitsExceeded
    {15, 54, 274},	// QDBusError::NoError
    {15, 55, 277},	// QDBusError::NoMemory
    {15, 56, 286},	// QDBusError::NoNetwork
    {15, 57, 279},	// QDBusError::NoReply
    {15, 58, 284},	// QDBusError::NoServer
    {15, 59, 281},	// QDBusError::NotSupported
    {15, 60, 275},	// QDBusError::Other
    {15, 72, 273},	// QDBusError::QDBusError
    {15, 73, -464},	// QDBusError::QDBusError#
    {15, 74, 265},	// QDBusError::QDBusError$$
    {15, 108, 278},	// QDBusError::ServiceUnknown
    {15, 115, 291},	// QDBusError::TimedOut
    {15, 116, 285},	// QDBusError::Timeout
    {15, 118, 293},	// QDBusError::UnknownInterface
    {15, 119, 290},	// QDBusError::UnknownMethod
    {15, 120, 295},	// QDBusError::UnknownObject
    {15, 250, 272},	// QDBusError::errorString$
    {15, 275, 271},	// QDBusError::isValid
    {15, 281, 270},	// QDBusError::message
    {15, 283, 269},	// QDBusError::name
    {15, 326, 267},	// QDBusError::operator=#
    {15, 602, 268},	// QDBusError::type
    {15, 619, 301},	// QDBusError::~QDBusError
    {16, 76, 306},	// QDBusInterface::QDBusInterface$$
    {16, 77, 307},	// QDBusInterface::QDBusInterface$$$
    {16, 78, 308},	// QDBusInterface::QDBusInterface$$$#
    {16, 79, 302},	// QDBusInterface::QDBusInterface$$$##
    {16, 282, 303},	// QDBusInterface::metaObject
    {16, 521, 305},	// QDBusInterface::qt_metacall$$?
    {16, 523, 304},	// QDBusInterface::qt_metacast$
    {16, 620, 309},	// QDBusInterface::~QDBusInterface
    {17, 14, 343},	// QDBusMessage::ErrorMessage
    {17, 38, 340},	// QDBusMessage::InvalidMessage
    {17, 46, 341},	// QDBusMessage::MethodCallMessage
    {17, 80, 310},	// QDBusMessage::QDBusMessage
    {17, 81, 311},	// QDBusMessage::QDBusMessage#
    {17, 104, 342},	// QDBusMessage::ReplyMessage
    {17, 110, 344},	// QDBusMessage::SignalMessage
    {17, 142, 337},	// QDBusMessage::arguments
    {17, 160, 335},	// QDBusMessage::autoStartService
    {17, 215, 316},	// QDBusMessage::createError#
    {17, 216, -406},	// QDBusMessage::createError$$
    {17, 218, 321},	// QDBusMessage::createErrorReply#
    {17, 219, -409},	// QDBusMessage::createErrorReply$$
    {17, 221, 314},	// QDBusMessage::createMethodCall$$$$
    {17, 222, 339},	// QDBusMessage::createReply
    {17, 223, 319},	// QDBusMessage::createReply#
    {17, 224, 318},	// QDBusMessage::createReply?
    {17, 226, 313},	// QDBusMessage::createSignal$$$
    {17, 247, 328},	// QDBusMessage::errorMessage
    {17, 248, 327},	// QDBusMessage::errorName
    {17, 259, 325},	// QDBusMessage::interface
    {17, 269, 333},	// QDBusMessage::isDelayedReply
    {17, 272, 331},	// QDBusMessage::isReplyRequired
    {17, 280, 326},	// QDBusMessage::member
    {17, 314, 338},	// QDBusMessage::operator<<#
    {17, 326, 312},	// QDBusMessage::operator=#
    {17, 354, 324},	// QDBusMessage::path
    {17, 555, 323},	// QDBusMessage::service
    {17, 570, 336},	// QDBusMessage::setArguments?
    {17, 574, 334},	// QDBusMessage::setAutoStartService$
    {17, 578, 332},	// QDBusMessage::setDelayedReply$
    {17, 585, 330},	// QDBusMessage::signature
    {17, 602, 329},	// QDBusMessage::type
    {17, 621, 345},	// QDBusMessage::~QDBusMessage
    {18, 82, 351},	// QDBusMetaType::QDBusMetaType
    {18, 83, 352},	// QDBusMetaType::QDBusMetaType#
    {18, 231, 348},	// QDBusMetaType::demarshall#$$
    {18, 279, 347},	// QDBusMetaType::marshall#$$
    {18, 534, 346},	// QDBusMetaType::registerMarshallOperators$$$
    {18, 587, 349},	// QDBusMetaType::signatureToType$
    {18, 604, 350},	// QDBusMetaType::typeToSignature$
    {18, 622, 353},	// QDBusMetaType::~QDBusMetaType
    {19, 85, 354},	// QDBusPendingCall::QDBusPendingCall#
    {19, 246, 360},	// QDBusPendingCall::error
    {19, 256, 363},	// QDBusPendingCall::fromCompletedCall#
    {19, 258, 362},	// QDBusPendingCall::fromError#
    {19, 270, 358},	// QDBusPendingCall::isError
    {19, 271, 356},	// QDBusPendingCall::isFinished
    {19, 275, 359},	// QDBusPendingCall::isValid
    {19, 326, 355},	// QDBusPendingCall::operator=#
    {19, 548, 361},	// QDBusPendingCall::reply
    {19, 610, 357},	// QDBusPendingCall::waitForFinished
    {19, 623, 364},	// QDBusPendingCall::~QDBusPendingCall
    {20, 87, 377},	// QDBusPendingCallWatcher::QDBusPendingCallWatcher#
    {20, 88, 372},	// QDBusPendingCallWatcher::QDBusPendingCallWatcher##
    {20, 254, 374},	// QDBusPendingCallWatcher::finished#
    {20, 282, 365},	// QDBusPendingCallWatcher::metaObject
    {20, 521, 371},	// QDBusPendingCallWatcher::qt_metacall$$?
    {20, 523, 366},	// QDBusPendingCallWatcher::qt_metacast$
    {20, 590, 378},	// QDBusPendingCallWatcher::staticMetaObject
    {20, 595, 375},	// QDBusPendingCallWatcher::tr$
    {20, 596, 367},	// QDBusPendingCallWatcher::tr$$
    {20, 597, 369},	// QDBusPendingCallWatcher::tr$$$
    {20, 599, 376},	// QDBusPendingCallWatcher::trUtf8$
    {20, 600, 368},	// QDBusPendingCallWatcher::trUtf8$$
    {20, 601, 370},	// QDBusPendingCallWatcher::trUtf8$$$
    {20, 610, 373},	// QDBusPendingCallWatcher::waitForFinished
    {20, 624, 379},	// QDBusPendingCallWatcher::~QDBusPendingCallWatcher
    {21, 89, 394},	// QDBusServer::QDBusServer
    {21, 90, 395},	// QDBusServer::QDBusServer$
    {21, 91, 387},	// QDBusServer::QDBusServer$#
    {21, 139, 390},	// QDBusServer::address
    {21, 268, 388},	// QDBusServer::isConnected
    {21, 276, 389},	// QDBusServer::lastError
    {21, 282, 380},	// QDBusServer::metaObject
    {21, 285, 391},	// QDBusServer::newConnection#
    {21, 521, 386},	// QDBusServer::qt_metacall$$?
    {21, 523, 381},	// QDBusServer::qt_metacast$
    {21, 590, 396},	// QDBusServer::staticMetaObject
    {21, 595, 392},	// QDBusServer::tr$
    {21, 596, 382},	// QDBusServer::tr$$
    {21, 597, 384},	// QDBusServer::tr$$$
    {21, 599, 393},	// QDBusServer::trUtf8$
    {21, 600, 383},	// QDBusServer::trUtf8$$
    {21, 601, 385},	// QDBusServer::trUtf8$$$
    {21, 625, 397},	// QDBusServer::~QDBusServer
    {22, 92, 420},	// QDBusServiceWatcher::QDBusServiceWatcher
    {22, 93, 405},	// QDBusServiceWatcher::QDBusServiceWatcher#
    {22, 94, 421},	// QDBusServiceWatcher::QDBusServiceWatcher$#
    {22, 95, 422},	// QDBusServiceWatcher::QDBusServiceWatcher$#$
    {22, 96, 406},	// QDBusServiceWatcher::QDBusServiceWatcher$#$#
    {22, 125, 426},	// QDBusServiceWatcher::WatchForOwnerChange
    {22, 126, 424},	// QDBusServiceWatcher::WatchForRegistration
    {22, 127, 425},	// QDBusServiceWatcher::WatchForUnregistration
    {22, 138, 409},	// QDBusServiceWatcher::addWatchedService$
    {22, 212, 413},	// QDBusServiceWatcher::connection
    {22, 282, 398},	// QDBusServiceWatcher::metaObject
    {22, 521, 404},	// QDBusServiceWatcher::qt_metacall$$?
    {22, 523, 399},	// QDBusServiceWatcher::qt_metacast$
    {22, 547, 410},	// QDBusServiceWatcher::removeWatchedService$
    {22, 559, 417},	// QDBusServiceWatcher::serviceOwnerChanged$$$
    {22, 563, 415},	// QDBusServiceWatcher::serviceRegistered$
    {22, 567, 416},	// QDBusServiceWatcher::serviceUnregistered$
    {22, 576, 414},	// QDBusServiceWatcher::setConnection#
    {22, 582, 412},	// QDBusServiceWatcher::setWatchMode$
    {22, 584, 408},	// QDBusServiceWatcher::setWatchedServices?
    {22, 590, 423},	// QDBusServiceWatcher::staticMetaObject
    {22, 595, 418},	// QDBusServiceWatcher::tr$
    {22, 596, 400},	// QDBusServiceWatcher::tr$$
    {22, 597, 402},	// QDBusServiceWatcher::tr$$$
    {22, 599, 419},	// QDBusServiceWatcher::trUtf8$
    {22, 600, 401},	// QDBusServiceWatcher::trUtf8$$
    {22, 601, 403},	// QDBusServiceWatcher::trUtf8$$$
    {22, 611, 411},	// QDBusServiceWatcher::watchMode
    {22, 612, 407},	// QDBusServiceWatcher::watchedServices
    {22, 626, 427},	// QDBusServiceWatcher::~QDBusServiceWatcher
    {33, 97, 894},	// QGlobalSpace::QtCriticalMsg
    {33, 98, 892},	// QGlobalSpace::QtDebugMsg
    {33, 99, 895},	// QGlobalSpace::QtFatalMsg
    {33, 100, 896},	// QGlobalSpace::QtSystemMsg
    {33, 101, 893},	// QGlobalSpace::QtWarningMsg
    {33, 128, 887},	// QGlobalSpace::_IEEE_
    {33, 129, 891},	// QGlobalSpace::_ISOC_
    {33, 130, 890},	// QGlobalSpace::_POSIX_
    {33, 131, 888},	// QGlobalSpace::_SVID_
    {33, 132, 889},	// QGlobalSpace::_XOPEN_
    {33, 133, 899},	// QGlobalSpace::__codecvt_error
    {33, 134, 900},	// QGlobalSpace::__codecvt_noconv
    {33, 135, 897},	// QGlobalSpace::__codecvt_ok
    {33, 136, 898},	// QGlobalSpace::__codecvt_partial
    {33, 289, -7},	// QGlobalSpace::operator!=##
    {33, 290, -24},	// QGlobalSpace::operator!=#$
    {33, 291, -30},	// QGlobalSpace::operator!=$#
    {33, 292, -37},	// QGlobalSpace::operator!=$$
    {33, 294, 658},	// QGlobalSpace::operator&##
    {33, 296, -41},	// QGlobalSpace::operator*#$
    {33, 297, -48},	// QGlobalSpace::operator*$#
    {33, 299, -55},	// QGlobalSpace::operator+##
    {33, 300, -61},	// QGlobalSpace::operator+#$
    {33, 301, -66},	// QGlobalSpace::operator+$#
    {33, 302, -71},	// QGlobalSpace::operator+$$
    {33, 304, -77},	// QGlobalSpace::operator-#
    {33, 305, -80},	// QGlobalSpace::operator-##
    {33, 307, -85},	// QGlobalSpace::operator/#$
    {33, 309, -90},	// QGlobalSpace::operator<##
    {33, 310, 698},	// QGlobalSpace::operator<#$
    {33, 311, -95},	// QGlobalSpace::operator<$#
    {33, 312, -98},	// QGlobalSpace::operator<$$
    {33, 315, -102},	// QGlobalSpace::operator<<##
    {33, 316, -157},	// QGlobalSpace::operator<<#$
    {33, 317, -163},	// QGlobalSpace::operator<<#?
    {33, 321, -168},	// QGlobalSpace::operator<=##
    {33, 322, 541},	// QGlobalSpace::operator<=#$
    {33, 323, -173},	// QGlobalSpace::operator<=$#
    {33, 324, 712},	// QGlobalSpace::operator<=$$
    {33, 328, -176},	// QGlobalSpace::operator==##
    {33, 329, -195},	// QGlobalSpace::operator==#$
    {33, 330, -201},	// QGlobalSpace::operator==$#
    {33, 331, -208},	// QGlobalSpace::operator==$$
    {33, 333, -212},	// QGlobalSpace::operator>##
    {33, 334, 878},	// QGlobalSpace::operator>#$
    {33, 335, -217},	// QGlobalSpace::operator>$#
    {33, 336, 635},	// QGlobalSpace::operator>$$
    {33, 338, -220},	// QGlobalSpace::operator>=##
    {33, 339, 448},	// QGlobalSpace::operator>=#$
    {33, 340, -225},	// QGlobalSpace::operator>=$#
    {33, 341, 873},	// QGlobalSpace::operator>=$$
    {33, 344, -228},	// QGlobalSpace::operator>>##
    {33, 345, -262},	// QGlobalSpace::operator>>#$
    {33, 346, 613},	// QGlobalSpace::operator>>#?
    {33, 350, 545},	// QGlobalSpace::operator^##
    {33, 352, 792},	// QGlobalSpace::operator|##
    {33, 353, -265},	// QGlobalSpace::operator|$$
    {33, 356, 764},	// QGlobalSpace::qAcos$
    {33, 358, 680},	// QGlobalSpace::qAddPostRoutine$
    {33, 359, 688},	// QGlobalSpace::qAppName
    {33, 361, 783},	// QGlobalSpace::qAsin$
    {33, 363, 815},	// QGlobalSpace::qAtan$
    {33, 365, 446},	// QGlobalSpace::qAtan2$$
    {33, 366, 769},	// QGlobalSpace::qBadAlloc
    {33, 368, 705},	// QGlobalSpace::qCeil$
    {33, 370, 608},	// QGlobalSpace::qChecksum$$
    {33, 372, 775},	// QGlobalSpace::qCompress#
    {33, 373, 774},	// QGlobalSpace::qCompress#$
    {33, 374, 682},	// QGlobalSpace::qCompress$$
    {33, 375, 681},	// QGlobalSpace::qCompress$$$
    {33, 377, 472},	// QGlobalSpace::qCos$
    {33, 378, 663},	// QGlobalSpace::qCritical
    {33, 380, 655},	// QGlobalSpace::qDBusReplyFill###
    {33, 381, 715},	// QGlobalSpace::qDebug
    {33, 383, 601},	// QGlobalSpace::qExp$
    {33, 385, 754},	// QGlobalSpace::qFabs$
    {33, 387, 556},	// QGlobalSpace::qFastCos$
    {33, 389, 684},	// QGlobalSpace::qFastSin$
    {33, 391, 565},	// QGlobalSpace::qFlagLocation$
    {33, 393, 524},	// QGlobalSpace::qFloor$
    {33, 395, 692},	// QGlobalSpace::qFree$
    {33, 397, 694},	// QGlobalSpace::qFreeAligned$
    {33, 399, -362},	// QGlobalSpace::qFuzzyCompare$$
    {33, 401, -365},	// QGlobalSpace::qFuzzyIsNull$
    {33, 403, -368},	// QGlobalSpace::qHash#
    {33, 404, -376},	// QGlobalSpace::qHash$
    {33, 405, 845},	// QGlobalSpace::qInf
    {33, 407, 553},	// QGlobalSpace::qInstallMsgHandler$
    {33, 409, -391},	// QGlobalSpace::qIntCast$
    {33, 411, -394},	// QGlobalSpace::qIsFinite$
    {33, 413, -397},	// QGlobalSpace::qIsInf$
    {33, 415, -400},	// QGlobalSpace::qIsNaN$
    {33, 417, -403},	// QGlobalSpace::qIsNull$
    {33, 419, 605},	// QGlobalSpace::qLn$
    {33, 421, 610},	// QGlobalSpace::qMalloc$
    {33, 423, 716},	// QGlobalSpace::qMallocAligned$$
    {33, 425, 434},	// QGlobalSpace::qMemCopy$$$
    {33, 427, 749},	// QGlobalSpace::qMemSet$$$
    {33, 429, 721},	// QGlobalSpace::qPow$$
    {33, 430, 611},	// QGlobalSpace::qQNaN
    {33, 432, 547},	// QGlobalSpace::qRealloc$$
    {33, 434, 536},	// QGlobalSpace::qReallocAligned$$$$
    {33, 436, 607},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {33, 438, 852},	// QGlobalSpace::qRemovePostRoutine$
    {33, 440, 844},	// QGlobalSpace::qRound$
    {33, 442, 552},	// QGlobalSpace::qRound64$
    {33, 443, 823},	// QGlobalSpace::qSNaN
    {33, 445, 520},	// QGlobalSpace::qSetFieldWidth$
    {33, 447, 455},	// QGlobalSpace::qSetPadChar#
    {33, 449, 602},	// QGlobalSpace::qSetRealNumberPrecision$
    {33, 450, 478},	// QGlobalSpace::qSharedBuild
    {33, 452, 788},	// QGlobalSpace::qSin$
    {33, 454, 554},	// QGlobalSpace::qSqrt$
    {33, 456, 708},	// QGlobalSpace::qStringComparisonHelper#$
    {33, 457, 443},	// QGlobalSpace::qStringComparisonHelper$$
    {33, 459, 517},	// QGlobalSpace::qTan$
    {33, 461, 646},	// QGlobalSpace::qUncompress#
    {33, 462, 515},	// QGlobalSpace::qUncompress$$
    {33, 463, 689},	// QGlobalSpace::qVersion
    {33, 464, 858},	// QGlobalSpace::qWarning
    {33, 466, 530},	// QGlobalSpace::qbswap_helper$$$
    {33, 468, 500},	// QGlobalSpace::qecvt$$$$
    {33, 470, 719},	// QGlobalSpace::qecvt_r$$$$$$
    {33, 472, 577},	// QGlobalSpace::qfcvt$$$$
    {33, 474, 761},	// QGlobalSpace::qfcvt_r$$$$$$
    {33, 476, 762},	// QGlobalSpace::qgcvt$$$
    {33, 478, 450},	// QGlobalSpace::qgetenv$
    {33, 480, 614},	// QGlobalSpace::qputenv$#
    {33, 481, 652},	// QGlobalSpace::qrand
    {33, 483, 763},	// QGlobalSpace::qsort$$$$
    {33, 485, 617},	// QGlobalSpace::qsrand$
    {33, 487, 757},	// QGlobalSpace::qstrcmp##
    {33, 488, 851},	// QGlobalSpace::qstrcmp#$
    {33, 489, 444},	// QGlobalSpace::qstrcmp$#
    {33, 490, 471},	// QGlobalSpace::qstrcmp$$
    {33, 492, 592},	// QGlobalSpace::qstrcpy$$
    {33, 494, 709},	// QGlobalSpace::qstrdup$
    {33, 496, 840},	// QGlobalSpace::qstricmp$$
    {33, 498, 859},	// QGlobalSpace::qstrlen$
    {33, 500, 516},	// QGlobalSpace::qstrncmp$$$
    {33, 502, 644},	// QGlobalSpace::qstrncpy$$$
    {33, 504, 627},	// QGlobalSpace::qstrnicmp$$$
    {33, 506, 433},	// QGlobalSpace::qstrnlen$$
    {33, 508, 798},	// QGlobalSpace::qtTrId$
    {33, 509, 797},	// QGlobalSpace::qtTrId$$
    {33, 511, 573},	// QGlobalSpace::qt_assert$$$
    {33, 513, 656},	// QGlobalSpace::qt_assert_x$$$$
    {33, 515, 751},	// QGlobalSpace::qt_check_pointer$$
    {33, 516, 511},	// QGlobalSpace::qt_error_string
    {33, 517, 510},	// QGlobalSpace::qt_error_string$
    {33, 519, 872},	// QGlobalSpace::qt_message_output$$
    {33, 524, 436},	// QGlobalSpace::qt_noop
    {33, 526, 638},	// QGlobalSpace::qt_qFindChild_helper#$#
    {33, 528, 813},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {33, 530, 808},	// QGlobalSpace::qvariant_cast_helper#$$
    {33, 532, 747},	// QGlobalSpace::qvsnprintf$$$?
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtdbus_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtdbus_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtdbus_Smoke = new Smoke(
        "qtdbus",
        __smokeqtdbus::classes, 61,
        __smokeqtdbus::methods, 910,
        __smokeqtdbus::methodMaps, 544,
        __smokeqtdbus::methodNames, 626,
        __smokeqtdbus::types, 314,
        __smokeqtdbus::inheritanceList,
        __smokeqtdbus::argumentList,
        __smokeqtdbus::ambiguousMethodList,
        __smokeqtdbus::cast );
    initialized = true;
}

void delete_qtdbus_Smoke() { delete qtdbus_Smoke; }

}
