#include <qtnetwork_includes.h>

#include <smoke.h>
#include <qtnetwork_smoke.h>

namespace __smokeqtnetwork {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractNetworkCache
      switch(to) {
        case 53: return (void*)(QObject*)(QAbstractNetworkCache*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)xptr;
        case 45: return (void*)(QNetworkDiskCache*)(QAbstractNetworkCache*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractSocket
      switch(to) {
        case 26: return (void*)(QIODevice*)(QAbstractSocket*)xptr;
        case 53: return (void*)(QObject*)(QAbstractSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)xptr;
        case 77: return (void*)(QUdpSocket*)(QAbstractSocket*)xptr;
        case 68: return (void*)(QSslSocket*)(QAbstractSocket*)xptr;
        case 72: return (void*)(QTcpSocket*)(QAbstractSocket*)xptr;
        default: return xptr;
      }
    case 3:   //QAuthenticator
      switch(to) {
        case 3: return (void*)(QAuthenticator*)xptr;
        default: return xptr;
      }
    case 4:   //QBitArray
      switch(to) {
        case 4: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 5:   //QBool
      switch(to) {
        case 5: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDataStream
      switch(to) {
        case 9: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 10:   //QDate
      switch(to) {
        case 10: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 11:   //QDateTime
      switch(to) {
        case 11: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 12:   //QDebug
      switch(to) {
        case 12: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 13:   //QDir
      switch(to) {
        case 13: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 14:   //QEasingCurve
      switch(to) {
        case 14: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 15:   //QEvent
      switch(to) {
        case 15: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 16:   //QFtp
      switch(to) {
        case 53: return (void*)(QObject*)(QFtp*)xptr;
        case 16: return (void*)(QFtp*)xptr;
        default: return xptr;
      }
    case 18:   //QHashDummyValue
      switch(to) {
        case 18: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 19:   //QHostAddress
      switch(to) {
        case 19: return (void*)(QHostAddress*)xptr;
        default: return xptr;
      }
    case 20:   //QHostInfo
      switch(to) {
        case 20: return (void*)(QHostInfo*)xptr;
        default: return xptr;
      }
    case 21:   //QHttp
      switch(to) {
        case 53: return (void*)(QObject*)(QHttp*)xptr;
        case 21: return (void*)(QHttp*)xptr;
        default: return xptr;
      }
    case 22:   //QHttpHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)xptr;
        case 24: return (void*)(QHttpRequestHeader*)(QHttpHeader*)xptr;
        case 25: return (void*)(QHttpResponseHeader*)(QHttpHeader*)xptr;
        default: return xptr;
      }
    case 23:   //QHttpMultiPart
      switch(to) {
        case 53: return (void*)(QObject*)(QHttpMultiPart*)xptr;
        case 23: return (void*)(QHttpMultiPart*)xptr;
        default: return xptr;
      }
    case 24:   //QHttpRequestHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpRequestHeader*)xptr;
        case 24: return (void*)(QHttpRequestHeader*)xptr;
        default: return xptr;
      }
    case 25:   //QHttpResponseHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpResponseHeader*)xptr;
        case 25: return (void*)(QHttpResponseHeader*)xptr;
        default: return xptr;
      }
    case 26:   //QIODevice
      switch(to) {
        case 53: return (void*)(QObject*)(QIODevice*)xptr;
        case 26: return (void*)(QIODevice*)xptr;
        case 50: return (void*)(QNetworkReply*)(QIODevice*)xptr;
        case 77: return (void*)(QUdpSocket*)(QIODevice*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QIODevice*)xptr;
        case 68: return (void*)(QSslSocket*)(QIODevice*)xptr;
        case 72: return (void*)(QTcpSocket*)(QIODevice*)xptr;
        case 33: return (void*)(QLocalSocket*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 27:   //QIPv6Address
      switch(to) {
        case 27: return (void*)(QIPv6Address*)xptr;
        default: return xptr;
      }
    case 28:   //QIncompatibleFlag
      switch(to) {
        case 28: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 29:   //QLatin1String
      switch(to) {
        case 29: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 30:   //QLine
      switch(to) {
        case 30: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 31:   //QLineF
      switch(to) {
        case 31: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 32:   //QLocalServer
      switch(to) {
        case 53: return (void*)(QObject*)(QLocalServer*)xptr;
        case 32: return (void*)(QLocalServer*)xptr;
        default: return xptr;
      }
    case 33:   //QLocalSocket
      switch(to) {
        case 26: return (void*)(QIODevice*)(QLocalSocket*)xptr;
        case 53: return (void*)(QObject*)(QLocalSocket*)xptr;
        case 33: return (void*)(QLocalSocket*)xptr;
        default: return xptr;
      }
    case 34:   //QLocale
      switch(to) {
        case 34: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 35:   //QMargins
      switch(to) {
        case 35: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 36:   //QMetaObject
      switch(to) {
        case 36: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 37:   //QModelIndex
      switch(to) {
        case 37: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 38:   //QNetworkAccessManager
      switch(to) {
        case 53: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 38: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 39:   //QNetworkAddressEntry
      switch(to) {
        case 39: return (void*)(QNetworkAddressEntry*)xptr;
        default: return xptr;
      }
    case 40:   //QNetworkCacheMetaData
      switch(to) {
        case 40: return (void*)(QNetworkCacheMetaData*)xptr;
        default: return xptr;
      }
    case 41:   //QNetworkConfiguration
      switch(to) {
        case 41: return (void*)(QNetworkConfiguration*)xptr;
        default: return xptr;
      }
    case 42:   //QNetworkConfigurationManager
      switch(to) {
        case 53: return (void*)(QObject*)(QNetworkConfigurationManager*)xptr;
        case 42: return (void*)(QNetworkConfigurationManager*)xptr;
        default: return xptr;
      }
    case 43:   //QNetworkCookie
      switch(to) {
        case 43: return (void*)(QNetworkCookie*)xptr;
        default: return xptr;
      }
    case 44:   //QNetworkCookieJar
      switch(to) {
        case 53: return (void*)(QObject*)(QNetworkCookieJar*)xptr;
        case 44: return (void*)(QNetworkCookieJar*)xptr;
        default: return xptr;
      }
    case 45:   //QNetworkDiskCache
      switch(to) {
        case 1: return (void*)(QAbstractNetworkCache*)(QNetworkDiskCache*)xptr;
        case 53: return (void*)(QObject*)(QNetworkDiskCache*)xptr;
        case 45: return (void*)(QNetworkDiskCache*)xptr;
        default: return xptr;
      }
    case 46:   //QNetworkInterface
      switch(to) {
        case 46: return (void*)(QNetworkInterface*)xptr;
        default: return xptr;
      }
    case 47:   //QNetworkProxy
      switch(to) {
        case 47: return (void*)(QNetworkProxy*)xptr;
        default: return xptr;
      }
    case 48:   //QNetworkProxyFactory
      switch(to) {
        case 48: return (void*)(QNetworkProxyFactory*)xptr;
        default: return xptr;
      }
    case 49:   //QNetworkProxyQuery
      switch(to) {
        case 49: return (void*)(QNetworkProxyQuery*)xptr;
        default: return xptr;
      }
    case 50:   //QNetworkReply
      switch(to) {
        case 26: return (void*)(QIODevice*)(QNetworkReply*)xptr;
        case 53: return (void*)(QObject*)(QNetworkReply*)xptr;
        case 50: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 51:   //QNetworkRequest
      switch(to) {
        case 51: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 52:   //QNetworkSession
      switch(to) {
        case 53: return (void*)(QObject*)(QNetworkSession*)xptr;
        case 52: return (void*)(QNetworkSession*)xptr;
        default: return xptr;
      }
    case 53:   //QObject
      switch(to) {
        case 53: return (void*)(QObject*)xptr;
        case 16: return (void*)(QFtp*)(QObject*)xptr;
        case 44: return (void*)(QNetworkCookieJar*)(QObject*)xptr;
        case 32: return (void*)(QLocalServer*)(QObject*)xptr;
        case 50: return (void*)(QNetworkReply*)(QObject*)xptr;
        case 77: return (void*)(QUdpSocket*)(QObject*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)(QObject*)xptr;
        case 52: return (void*)(QNetworkSession*)(QObject*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QObject*)xptr;
        case 21: return (void*)(QHttp*)(QObject*)xptr;
        case 68: return (void*)(QSslSocket*)(QObject*)xptr;
        case 38: return (void*)(QNetworkAccessManager*)(QObject*)xptr;
        case 72: return (void*)(QTcpSocket*)(QObject*)xptr;
        case 45: return (void*)(QNetworkDiskCache*)(QObject*)xptr;
        case 71: return (void*)(QTcpServer*)(QObject*)xptr;
        case 33: return (void*)(QLocalSocket*)(QObject*)xptr;
        case 42: return (void*)(QNetworkConfigurationManager*)(QObject*)xptr;
        default: return xptr;
      }
    case 54:   //QPersistentModelIndex
      switch(to) {
        case 54: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 55:   //QPoint
      switch(to) {
        case 55: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 56:   //QPointF
      switch(to) {
        case 56: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 57:   //QRect
      switch(to) {
        case 57: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 58:   //QRectF
      switch(to) {
        case 58: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 59:   //QRegExp
      switch(to) {
        case 59: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 60:   //QSize
      switch(to) {
        case 60: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 61:   //QSizeF
      switch(to) {
        case 61: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 63:   //QSslCertificate
      switch(to) {
        case 63: return (void*)(QSslCertificate*)xptr;
        default: return xptr;
      }
    case 64:   //QSslCipher
      switch(to) {
        case 64: return (void*)(QSslCipher*)xptr;
        default: return xptr;
      }
    case 65:   //QSslConfiguration
      switch(to) {
        case 65: return (void*)(QSslConfiguration*)xptr;
        default: return xptr;
      }
    case 66:   //QSslError
      switch(to) {
        case 66: return (void*)(QSslError*)xptr;
        default: return xptr;
      }
    case 67:   //QSslKey
      switch(to) {
        case 67: return (void*)(QSslKey*)xptr;
        default: return xptr;
      }
    case 68:   //QSslSocket
      switch(to) {
        case 72: return (void*)(QTcpSocket*)(QSslSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QSslSocket*)xptr;
        case 26: return (void*)(QIODevice*)(QSslSocket*)xptr;
        case 53: return (void*)(QObject*)(QSslSocket*)xptr;
        case 68: return (void*)(QSslSocket*)xptr;
        default: return xptr;
      }
    case 69:   //QString::Null
      switch(to) {
        case 69: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 70:   //QStringRef
      switch(to) {
        case 70: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 71:   //QTcpServer
      switch(to) {
        case 53: return (void*)(QObject*)(QTcpServer*)xptr;
        case 71: return (void*)(QTcpServer*)xptr;
        default: return xptr;
      }
    case 72:   //QTcpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QTcpSocket*)xptr;
        case 26: return (void*)(QIODevice*)(QTcpSocket*)xptr;
        case 53: return (void*)(QObject*)(QTcpSocket*)xptr;
        case 72: return (void*)(QTcpSocket*)xptr;
        case 68: return (void*)(QSslSocket*)(QTcpSocket*)xptr;
        default: return xptr;
      }
    case 73:   //QTextStream
      switch(to) {
        case 73: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 74:   //QTextStreamManipulator
      switch(to) {
        case 74: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 75:   //QTime
      switch(to) {
        case 75: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 76:   //QTimerEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 76: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 77:   //QUdpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QUdpSocket*)xptr;
        case 26: return (void*)(QIODevice*)(QUdpSocket*)xptr;
        case 53: return (void*)(QObject*)(QUdpSocket*)xptr;
        case 77: return (void*)(QUdpSocket*)xptr;
        default: return xptr;
      }
    case 78:   //QUrl
      switch(to) {
        case 78: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 79:   //QUrlInfo
      switch(to) {
        case 79: return (void*)(QUrlInfo*)xptr;
        default: return xptr;
      }
    case 80:   //QUuid
      switch(to) {
        case 80: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 81:   //QVariant
      switch(to) {
        case 81: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 82:   //QVariantComparisonHelper
      switch(to) {
        case 82: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 83:   //sockaddr
      switch(to) {
        case 83: return (void*)(sockaddr*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    53, 0,	// 1: QObject
    26, 0,	// 3: QIODevice
    22, 0,	// 5: QHttpHeader
    1, 0,	// 7: QAbstractNetworkCache
    72, 0,	// 9: QTcpSocket
    2, 0,	// 11: QAbstractSocket
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSsl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkAccessManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFtp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkConfigurationManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkConfiguration(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHttp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslCertificate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkRequest(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxy(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostAddress(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkSession(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkCookie(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxyQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkReply(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocalSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUrlInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUdpSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QAbstractNetworkCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QAbstractSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QAuthenticator(Smoke::Index, void*, Smoke::Stack);
void xcall_QFtp(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostAddress(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttp(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpRequestHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpResponseHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QIPv6Address(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAccessManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAddressEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCacheMetaData(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkConfiguration(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkConfigurationManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookie(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookieJar(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkDiskCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxy(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkReply(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkSession(Smoke::Index, void*, Smoke::Stack);
void xcall_QSsl(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCertificate(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCipher(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslConfiguration(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslKey(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUdpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUrlInfo(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractNetworkCache", false, 1, xcall_QAbstractNetworkCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractNetworkCache) },	//1
    { "QAbstractSocket", false, 3, xcall_QAbstractSocket, xenum_QAbstractSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractSocket) },	//2
    { "QAuthenticator", false, 0, xcall_QAuthenticator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QAuthenticator) },	//3
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//4
    { "QBool", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//9
    { "QDate", true, 0, 0, 0, 0, 0 },	//10
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//11
    { "QDebug", true, 0, 0, 0, 0, 0 },	//12
    { "QDir", true, 0, 0, 0, 0, 0 },	//13
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//14
    { "QEvent", true, 0, 0, 0, 0, 0 },	//15
    { "QFtp", false, 1, xcall_QFtp, xenum_QFtp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QFtp) },	//16
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//17
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//18
    { "QHostAddress", false, 0, xcall_QHostAddress, xenum_QHostAddress, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostAddress) },	//19
    { "QHostInfo", false, 0, xcall_QHostInfo, xenum_QHostInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostInfo) },	//20
    { "QHttp", false, 1, xcall_QHttp, xenum_QHttp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QHttp) },	//21
    { "QHttpHeader", false, 0, xcall_QHttpHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpHeader) },	//22
    { "QHttpMultiPart", true, 0, 0, 0, 0, 0 },	//23
    { "QHttpRequestHeader", false, 5, xcall_QHttpRequestHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpRequestHeader) },	//24
    { "QHttpResponseHeader", false, 5, xcall_QHttpResponseHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpResponseHeader) },	//25
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//26
    { "QIPv6Address", false, 0, xcall_QIPv6Address, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QIPv6Address) },	//27
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//28
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//29
    { "QLine", true, 0, 0, 0, 0, 0 },	//30
    { "QLineF", true, 0, 0, 0, 0, 0 },	//31
    { "QLocalServer", false, 1, xcall_QLocalServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalServer) },	//32
    { "QLocalSocket", false, 3, xcall_QLocalSocket, xenum_QLocalSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalSocket) },	//33
    { "QLocale", true, 0, 0, 0, 0, 0 },	//34
    { "QMargins", true, 0, 0, 0, 0, 0 },	//35
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//36
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//37
    { "QNetworkAccessManager", false, 1, xcall_QNetworkAccessManager, xenum_QNetworkAccessManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkAccessManager) },	//38
    { "QNetworkAddressEntry", false, 0, xcall_QNetworkAddressEntry, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkAddressEntry) },	//39
    { "QNetworkCacheMetaData", false, 0, xcall_QNetworkCacheMetaData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCacheMetaData) },	//40
    { "QNetworkConfiguration", false, 0, xcall_QNetworkConfiguration, xenum_QNetworkConfiguration, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkConfiguration) },	//41
    { "QNetworkConfigurationManager", false, 1, xcall_QNetworkConfigurationManager, xenum_QNetworkConfigurationManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkConfigurationManager) },	//42
    { "QNetworkCookie", false, 0, xcall_QNetworkCookie, xenum_QNetworkCookie, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCookie) },	//43
    { "QNetworkCookieJar", false, 1, xcall_QNetworkCookieJar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkCookieJar) },	//44
    { "QNetworkDiskCache", false, 7, xcall_QNetworkDiskCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkDiskCache) },	//45
    { "QNetworkInterface", false, 0, xcall_QNetworkInterface, xenum_QNetworkInterface, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkInterface) },	//46
    { "QNetworkProxy", false, 0, xcall_QNetworkProxy, xenum_QNetworkProxy, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxy) },	//47
    { "QNetworkProxyFactory", false, 0, xcall_QNetworkProxyFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QNetworkProxyFactory) },	//48
    { "QNetworkProxyQuery", false, 0, xcall_QNetworkProxyQuery, xenum_QNetworkProxyQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxyQuery) },	//49
    { "QNetworkReply", false, 3, xcall_QNetworkReply, xenum_QNetworkReply, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkReply) },	//50
    { "QNetworkRequest", false, 0, xcall_QNetworkRequest, xenum_QNetworkRequest, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkRequest) },	//51
    { "QNetworkSession", false, 1, xcall_QNetworkSession, xenum_QNetworkSession, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkSession) },	//52
    { "QObject", true, 0, 0, 0, 0, 0 },	//53
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//54
    { "QPoint", true, 0, 0, 0, 0, 0 },	//55
    { "QPointF", true, 0, 0, 0, 0, 0 },	//56
    { "QRect", true, 0, 0, 0, 0, 0 },	//57
    { "QRectF", true, 0, 0, 0, 0, 0 },	//58
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//59
    { "QSize", true, 0, 0, 0, 0, 0 },	//60
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//61
    { "QSsl", false, 0, xcall_QSsl, xenum_QSsl, Smoke::cf_namespace, 0 },	//62
    { "QSslCertificate", false, 0, xcall_QSslCertificate, xenum_QSslCertificate, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCertificate) },	//63
    { "QSslCipher", false, 0, xcall_QSslCipher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCipher) },	//64
    { "QSslConfiguration", false, 0, xcall_QSslConfiguration, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslConfiguration) },	//65
    { "QSslError", false, 0, xcall_QSslError, xenum_QSslError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslError) },	//66
    { "QSslKey", false, 0, xcall_QSslKey, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslKey) },	//67
    { "QSslSocket", false, 9, xcall_QSslSocket, xenum_QSslSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSslSocket) },	//68
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//69
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//70
    { "QTcpServer", false, 1, xcall_QTcpServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpServer) },	//71
    { "QTcpSocket", false, 11, xcall_QTcpSocket, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpSocket) },	//72
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//73
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//74
    { "QTime", true, 0, 0, 0, 0, 0 },	//75
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//76
    { "QUdpSocket", false, 11, xcall_QUdpSocket, xenum_QUdpSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QUdpSocket) },	//77
    { "QUrl", true, 0, 0, 0, 0, 0 },	//78
    { "QUrlInfo", false, 0, xcall_QUrlInfo, xenum_QUrlInfo, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QUrlInfo) },	//79
    { "QUuid", true, 0, 0, 0, 0, 0 },	//80
    { "QVariant", true, 0, 0, 0, 0, 0 },	//81
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//82
    { "sockaddr", true, 0, 0, 0, 0, 0 },	//83
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractNetworkCache*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QAbstractSocket*", 2, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QAbstractSocket::NetworkLayerProtocol", 2, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAbstractSocket::SocketError", 2, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAbstractSocket::SocketOption", 2, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAbstractSocket::SocketState", 2, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAbstractSocket::SocketType", 2, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref },	//9
    { "QAuthenticator*", 3, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QBitArray", 4, Smoke::t_class|Smoke::tf_stack },	//11
    { "QBitArray&", 4, Smoke::t_class|Smoke::tf_ref },	//12
    { "QBool", 5, Smoke::t_class|Smoke::tf_stack },	//13
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//14
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//15
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//16
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QCryptographicHash::Algorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QDataStream&", 9, Smoke::t_class|Smoke::tf_ref },	//20
    { "QDate&", 10, Smoke::t_class|Smoke::tf_ref },	//21
    { "QDateTime", 11, Smoke::t_class|Smoke::tf_stack },	//22
    { "QDateTime&", 11, Smoke::t_class|Smoke::tf_ref },	//23
    { "QDebug", 12, Smoke::t_class|Smoke::tf_stack },	//24
    { "QDir::Filter", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QDir::SortFlag", 13, Smoke::t_enum|Smoke::tf_stack },	//26
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "QEasingCurve&", 14, Smoke::t_class|Smoke::tf_ref },	//28
    { "QEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//32
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//33
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//34
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//35
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//36
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//37
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//38
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//39
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//40
    { "QFlags<QNetworkConfiguration::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QFlags<QNetworkConfigurationManager::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QFlags<QNetworkInterface::InterfaceFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QFlags<QNetworkProxy::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QUdpSocket::BindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFtp*", 16, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QFtp::Command", 16, Smoke::t_enum|Smoke::tf_stack },	//67
    { "QFtp::Error", 16, Smoke::t_enum|Smoke::tf_stack },	//68
    { "QFtp::State", 16, Smoke::t_enum|Smoke::tf_stack },	//69
    { "QFtp::TransferMode", 16, Smoke::t_enum|Smoke::tf_stack },	//70
    { "QFtp::TransferType", 16, Smoke::t_enum|Smoke::tf_stack },	//71
    { "QHash<QNetworkRequest::Attribute,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//72
    { "QHash<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//73
    { "QHostAddress", 19, Smoke::t_class|Smoke::tf_stack },	//74
    { "QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref },	//75
    { "QHostAddress*", 19, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QHostAddress::SpecialAddress", 19, Smoke::t_enum|Smoke::tf_stack },	//77
    { "QHostInfo", 20, Smoke::t_class|Smoke::tf_stack },	//78
    { "QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref },	//79
    { "QHostInfo*", 20, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QHostInfo::HostInfoError", 20, Smoke::t_enum|Smoke::tf_stack },	//81
    { "QHttp*", 21, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QHttp::ConnectionMode", 21, Smoke::t_enum|Smoke::tf_stack },	//83
    { "QHttp::Error", 21, Smoke::t_enum|Smoke::tf_stack },	//84
    { "QHttp::State", 21, Smoke::t_enum|Smoke::tf_stack },	//85
    { "QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref },	//86
    { "QHttpHeader*", 22, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QHttpMultiPart*", 23, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QHttpRequestHeader", 24, Smoke::t_class|Smoke::tf_stack },	//89
    { "QHttpRequestHeader&", 24, Smoke::t_class|Smoke::tf_ref },	//90
    { "QHttpRequestHeader*", 24, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QHttpResponseHeader", 25, Smoke::t_class|Smoke::tf_stack },	//92
    { "QHttpResponseHeader&", 25, Smoke::t_class|Smoke::tf_ref },	//93
    { "QHttpResponseHeader*", 25, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QIODevice*", 26, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QIODevice::OpenMode", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QIODevice::OpenModeFlag", 26, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QIPv6Address", 27, Smoke::t_class|Smoke::tf_stack },	//98
    { "QIPv6Address*", 27, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QIncompatibleFlag", 28, Smoke::t_class|Smoke::tf_stack },	//100
    { "QIntegerForSizeof< void* >::Unsigned", 0, Smoke::t_voidp|Smoke::tf_stack },	//101
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QLine&", 30, Smoke::t_class|Smoke::tf_ref },	//103
    { "QLineF&", 31, Smoke::t_class|Smoke::tf_ref },	//104
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//105
    { "QList<QHostAddress>", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QList<QNetworkAddressEntry>", 0, Smoke::t_voidp|Smoke::tf_stack },	//107
    { "QList<QNetworkConfiguration>", 0, Smoke::t_voidp|Smoke::tf_stack },	//108
    { "QList<QNetworkCookie>", 0, Smoke::t_voidp|Smoke::tf_stack },	//109
    { "QList<QNetworkInterface>", 0, Smoke::t_voidp|Smoke::tf_stack },	//110
    { "QList<QNetworkProxy>", 0, Smoke::t_voidp|Smoke::tf_stack },	//111
    { "QList<QPair<QByteArray,QByteArray> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//112
    { "QList<QPair<QString,QString> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//113
    { "QList<QSslCertificate>", 0, Smoke::t_voidp|Smoke::tf_stack },	//114
    { "QList<QSslCipher>", 0, Smoke::t_voidp|Smoke::tf_stack },	//115
    { "QList<QSslError>", 0, Smoke::t_voidp|Smoke::tf_stack },	//116
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//117
    { "QLocalServer*", 32, Smoke::t_class|Smoke::tf_ptr },	//118
    { "QLocalSocket*", 33, Smoke::t_class|Smoke::tf_ptr },	//119
    { "QLocalSocket::LocalSocketError", 33, Smoke::t_enum|Smoke::tf_stack },	//120
    { "QLocalSocket::LocalSocketState", 33, Smoke::t_enum|Smoke::tf_stack },	//121
    { "QLocale&", 34, Smoke::t_class|Smoke::tf_ref },	//122
    { "QLocale::NumberOption", 34, Smoke::t_enum|Smoke::tf_stack },	//123
    { "QMetaObject::Call", 36, Smoke::t_enum|Smoke::tf_stack },	//124
    { "QMultiMap<QSsl::AlternateNameEntryType,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//125
    { "QNetworkAccessManager*", 38, Smoke::t_class|Smoke::tf_ptr },	//126
    { "QNetworkAccessManager::NetworkAccessibility", 38, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QNetworkAccessManager::Operation", 38, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QNetworkAddressEntry&", 39, Smoke::t_class|Smoke::tf_ref },	//129
    { "QNetworkAddressEntry*", 39, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QNetworkCacheMetaData", 40, Smoke::t_class|Smoke::tf_stack },	//131
    { "QNetworkCacheMetaData&", 40, Smoke::t_class|Smoke::tf_ref },	//132
    { "QNetworkCacheMetaData*", 40, Smoke::t_class|Smoke::tf_ptr },	//133
    { "QNetworkConfiguration", 41, Smoke::t_class|Smoke::tf_stack },	//134
    { "QNetworkConfiguration&", 41, Smoke::t_class|Smoke::tf_ref },	//135
    { "QNetworkConfiguration*", 41, Smoke::t_class|Smoke::tf_ptr },	//136
    { "QNetworkConfiguration::BearerType", 41, Smoke::t_enum|Smoke::tf_stack },	//137
    { "QNetworkConfiguration::Purpose", 41, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QNetworkConfiguration::StateFlag", 41, Smoke::t_enum|Smoke::tf_stack },	//139
    { "QNetworkConfiguration::Type", 41, Smoke::t_enum|Smoke::tf_stack },	//140
    { "QNetworkConfigurationManager*", 42, Smoke::t_class|Smoke::tf_ptr },	//141
    { "QNetworkConfigurationManager::Capability", 42, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QNetworkCookie&", 43, Smoke::t_class|Smoke::tf_ref },	//143
    { "QNetworkCookie*", 43, Smoke::t_class|Smoke::tf_ptr },	//144
    { "QNetworkCookie::RawForm", 43, Smoke::t_enum|Smoke::tf_stack },	//145
    { "QNetworkCookieJar*", 44, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QNetworkDiskCache*", 45, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QNetworkInterface", 46, Smoke::t_class|Smoke::tf_stack },	//148
    { "QNetworkInterface&", 46, Smoke::t_class|Smoke::tf_ref },	//149
    { "QNetworkInterface*", 46, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QNetworkInterface::InterfaceFlag", 46, Smoke::t_enum|Smoke::tf_stack },	//151
    { "QNetworkProxy", 47, Smoke::t_class|Smoke::tf_stack },	//152
    { "QNetworkProxy&", 47, Smoke::t_class|Smoke::tf_ref },	//153
    { "QNetworkProxy*", 47, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QNetworkProxy::Capability", 47, Smoke::t_enum|Smoke::tf_stack },	//155
    { "QNetworkProxy::ProxyType", 47, Smoke::t_enum|Smoke::tf_stack },	//156
    { "QNetworkProxyFactory*", 48, Smoke::t_class|Smoke::tf_ptr },	//157
    { "QNetworkProxyQuery&", 49, Smoke::t_class|Smoke::tf_ref },	//158
    { "QNetworkProxyQuery*", 49, Smoke::t_class|Smoke::tf_ptr },	//159
    { "QNetworkProxyQuery::QueryType", 49, Smoke::t_enum|Smoke::tf_stack },	//160
    { "QNetworkReply*", 50, Smoke::t_class|Smoke::tf_ptr },	//161
    { "QNetworkReply::NetworkError", 50, Smoke::t_enum|Smoke::tf_stack },	//162
    { "QNetworkRequest", 51, Smoke::t_class|Smoke::tf_stack },	//163
    { "QNetworkRequest&", 51, Smoke::t_class|Smoke::tf_ref },	//164
    { "QNetworkRequest*", 51, Smoke::t_class|Smoke::tf_ptr },	//165
    { "QNetworkRequest::Attribute", 51, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QNetworkRequest::CacheLoadControl", 51, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QNetworkRequest::KnownHeaders", 51, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QNetworkRequest::LoadControl", 51, Smoke::t_enum|Smoke::tf_stack },	//169
    { "QNetworkRequest::Priority", 51, Smoke::t_enum|Smoke::tf_stack },	//170
    { "QNetworkSession*", 52, Smoke::t_class|Smoke::tf_ptr },	//171
    { "QNetworkSession::SessionError", 52, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QNetworkSession::State", 52, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QObject*", 53, Smoke::t_class|Smoke::tf_ptr },	//174
    { "QObject*(*)()", 53, Smoke::t_class|Smoke::tf_ptr },	//175
    { "QPair<QHostAddress,int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//176
    { "QPoint&", 55, Smoke::t_class|Smoke::tf_ref },	//177
    { "QPointF&", 56, Smoke::t_class|Smoke::tf_ref },	//178
    { "QRect&", 57, Smoke::t_class|Smoke::tf_ref },	//179
    { "QRectF&", 58, Smoke::t_class|Smoke::tf_ref },	//180
    { "QRegExp&", 59, Smoke::t_class|Smoke::tf_ref },	//181
    { "QRegExp::PatternSyntax", 59, Smoke::t_enum|Smoke::tf_stack },	//182
    { "QSize&", 60, Smoke::t_class|Smoke::tf_ref },	//183
    { "QSizeF&", 61, Smoke::t_class|Smoke::tf_ref },	//184
    { "QSsl::AlternateNameEntryType", 62, Smoke::t_enum|Smoke::tf_stack },	//185
    { "QSsl::EncodingFormat", 62, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QSsl::KeyAlgorithm", 62, Smoke::t_enum|Smoke::tf_stack },	//187
    { "QSsl::KeyType", 62, Smoke::t_enum|Smoke::tf_stack },	//188
    { "QSsl::SslProtocol", 62, Smoke::t_enum|Smoke::tf_stack },	//189
    { "QSslCertificate", 63, Smoke::t_class|Smoke::tf_stack },	//190
    { "QSslCertificate&", 63, Smoke::t_class|Smoke::tf_ref },	//191
    { "QSslCertificate*", 63, Smoke::t_class|Smoke::tf_ptr },	//192
    { "QSslCertificate::SubjectInfo", 63, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QSslCipher", 64, Smoke::t_class|Smoke::tf_stack },	//194
    { "QSslCipher&", 64, Smoke::t_class|Smoke::tf_ref },	//195
    { "QSslCipher*", 64, Smoke::t_class|Smoke::tf_ptr },	//196
    { "QSslConfiguration", 65, Smoke::t_class|Smoke::tf_stack },	//197
    { "QSslConfiguration&", 65, Smoke::t_class|Smoke::tf_ref },	//198
    { "QSslConfiguration*", 65, Smoke::t_class|Smoke::tf_ptr },	//199
    { "QSslError&", 66, Smoke::t_class|Smoke::tf_ref },	//200
    { "QSslError*", 66, Smoke::t_class|Smoke::tf_ptr },	//201
    { "QSslError::SslError", 66, Smoke::t_enum|Smoke::tf_stack },	//202
    { "QSslKey", 67, Smoke::t_class|Smoke::tf_stack },	//203
    { "QSslKey&", 67, Smoke::t_class|Smoke::tf_ref },	//204
    { "QSslKey*", 67, Smoke::t_class|Smoke::tf_ptr },	//205
    { "QSslSocket*", 68, Smoke::t_class|Smoke::tf_ptr },	//206
    { "QSslSocket::PeerVerifyMode", 68, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QSslSocket::SslMode", 68, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//209
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//210
    { "QString::Null", 69, Smoke::t_class|Smoke::tf_stack },	//211
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//213
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//214
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//215
    { "QTcpServer*", 71, Smoke::t_class|Smoke::tf_ptr },	//216
    { "QTcpSocket*", 72, Smoke::t_class|Smoke::tf_ptr },	//217
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QTextStream&", 73, Smoke::t_class|Smoke::tf_ref },	//219
    { "QTextStream&(*)(QTextStream&)", 73, Smoke::t_class|Smoke::tf_ref },	//220
    { "QTextStream::NumberFlag", 73, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QTextStreamManipulator", 74, Smoke::t_class|Smoke::tf_stack },	//222
    { "QTime&", 75, Smoke::t_class|Smoke::tf_ref },	//223
    { "QTimerEvent*", 76, Smoke::t_class|Smoke::tf_ptr },	//224
    { "QUdpSocket*", 77, Smoke::t_class|Smoke::tf_ptr },	//225
    { "QUdpSocket::BindFlag", 77, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QUrl", 78, Smoke::t_class|Smoke::tf_stack },	//227
    { "QUrl&", 78, Smoke::t_class|Smoke::tf_ref },	//228
    { "QUrl::FormattingOption", 78, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QUrlInfo&", 79, Smoke::t_class|Smoke::tf_ref },	//230
    { "QUrlInfo*", 79, Smoke::t_class|Smoke::tf_ptr },	//231
    { "QUrlInfo::PermissionSpec", 79, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QUuid&", 80, Smoke::t_class|Smoke::tf_ref },	//233
    { "QVariant", 81, Smoke::t_class|Smoke::tf_stack },	//234
    { "QVariant&", 81, Smoke::t_class|Smoke::tf_ref },	//235
    { "QVariant::Type", 81, Smoke::t_enum|Smoke::tf_stack },	//236
    { "QVariant::Type&", 81, Smoke::t_enum|Smoke::tf_ref },	//237
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//264
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//266
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//268
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//269
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//270
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//271
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//272
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//273
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//274
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//276
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "QtMsgType", 17, Smoke::t_enum|Smoke::tf_stack },	//312
    { "_LIB_VERSION_TYPE", 17, Smoke::t_enum|Smoke::tf_stack },	//313
    { "__codecvt_result", 17, Smoke::t_enum|Smoke::tf_stack },	//314
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//315
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//316
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//317
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//318
    { "const QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//319
    { "const QBitArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//320
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//321
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//323
    { "const QDate&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//324
    { "const QDateTime&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//325
    { "const QDir&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QEasingCurve&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QHash<QNetworkRequest::Attribute,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const QHashDummyValue&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//329
    { "const QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//332
    { "const QHttpRequestHeader&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//333
    { "const QHttpResponseHeader&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//334
    { "const QIPv6Address&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//335
    { "const QLatin1String&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//336
    { "const QLine&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//337
    { "const QLineF&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//338
    { "const QList<QHostAddress>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//339
    { "const QList<QNetworkCookie>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//340
    { "const QList<QPair<QByteArray,QByteArray> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//341
    { "const QList<QPair<QString,QString> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//342
    { "const QList<QSslCertificate>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//343
    { "const QList<QSslCipher>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//344
    { "const QList<QSslError>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//345
    { "const QLocale&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//346
    { "const QMargins&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//347
    { "const QMetaObject&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//348
    { "const QMetaObject*", 36, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//349
    { "const QModelIndex&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//350
    { "const QNetworkAddressEntry&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//351
    { "const QNetworkCacheMetaData&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//352
    { "const QNetworkConfiguration&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//353
    { "const QNetworkCookie&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//354
    { "const QNetworkInterface&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//355
    { "const QNetworkProxy&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//356
    { "const QNetworkProxyFactory&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//357
    { "const QNetworkProxyQuery&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//358
    { "const QNetworkRequest&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//359
    { "const QObject*", 53, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//360
    { "const QPair<QHostAddress,int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//361
    { "const QPersistentModelIndex&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//362
    { "const QPoint", 55, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//363
    { "const QPoint&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//364
    { "const QPointF", 56, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//365
    { "const QPointF&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//366
    { "const QRect&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//367
    { "const QRectF&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//368
    { "const QRegExp&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//369
    { "const QRegExp*", 59, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//370
    { "const QSize", 60, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//371
    { "const QSize&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//372
    { "const QSizeF", 61, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//373
    { "const QSizeF&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//374
    { "const QSslCertificate&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//375
    { "const QSslCipher&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//376
    { "const QSslConfiguration&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//377
    { "const QSslError&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//378
    { "const QSslError::SslError&", 66, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QSslKey&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//381
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//384
    { "const QStringRef&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QTime&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const QUrl&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QUrlInfo&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const QUuid&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QVariant&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const QVariant::Type", 81, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//391
    { "const QVariantComparisonHelper&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//393
    { "const sockaddr*", 83, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//394
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//395
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//396
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//397
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//398
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//399
    { "int(*)(const void*,const void*)", 0, Smoke::t_int|Smoke::tf_stack },	//400
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//401
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//402
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//403
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//404
    { "qint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//405
    { "quint16", 0, Smoke::t_ushort|Smoke::tf_stack },	//406
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//407
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//408
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//409
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//410
    { "unsigned char&", 0, Smoke::t_voidp|Smoke::tf_ref },	//411
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//412
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//413
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//414
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//415
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//416
    { "unsigned short*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//417
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//418
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//419
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//420
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//421
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//422
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//423
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    393, 0,	//1  const char*
    393, 393, 0,	//3  const char*, const char*
    393, 393, 399, 0,	//6  const char*, const char*, int
    124, 399, 422, 0,	//10  QMetaObject::Call, int, void**
    387, 0,	//14  const QUrl&
    352, 0,	//16  const QNetworkCacheMetaData&
    95, 0,	//18  QIODevice*
    174, 0,	//20  QObject*
    8, 174, 0,	//22  QAbstractSocket::SocketType, QObject*
    382, 416, 38, 0,	//25  const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>
    330, 416, 38, 0,	//29  const QHostAddress&, unsigned short, QFlags<QIODevice::OpenModeFlag>
    404, 0,	//33  long long
    399, 7, 38, 0,	//35  int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>
    6, 390, 0,	//39  QAbstractSocket::SocketOption, const QVariant&
    6, 0,	//42  QAbstractSocket::SocketOption
    399, 0,	//44  int
    356, 0,	//46  const QNetworkProxy&
    7, 0,	//48  QAbstractSocket::SocketState
    5, 0,	//50  QAbstractSocket::SocketError
    356, 10, 0,	//52  const QNetworkProxy&, QAuthenticator*
    382, 406, 96, 0,	//55  const QString&, quint16, QIODevice::OpenMode
    318, 404, 0,	//59  char*, long long
    393, 404, 0,	//62  const char*, long long
    416, 0,	//65  unsigned short
    330, 0,	//67  const QHostAddress&
    382, 0,	//69  const QString&
    382, 416, 0,	//71  const QString&, unsigned short
    330, 416, 0,	//74  const QHostAddress&, unsigned short
    399, 7, 0,	//77  int, QAbstractSocket::SocketState
    382, 406, 0,	//80  const QString&, quint16
    319, 0,	//83  const QAuthenticator&
    382, 390, 0,	//85  const QString&, const QVariant&
    382, 382, 0,	//88  const QString&, const QString&
    70, 0,	//91  QFtp::TransferMode
    382, 95, 71, 0,	//93  const QString&, QIODevice*, QFtp::TransferType
    322, 382, 71, 0,	//97  const QByteArray&, const QString&, QFtp::TransferType
    95, 382, 71, 0,	//101  QIODevice*, const QString&, QFtp::TransferType
    388, 0,	//105  const QUrlInfo&
    405, 405, 0,	//107  qint64, qint64
    399, 382, 0,	//110  int, const QString&
    399, 315, 0,	//113  int, bool
    315, 0,	//116  bool
    382, 95, 0,	//118  const QString&, QIODevice*
    322, 382, 0,	//121  const QByteArray&, const QString&
    95, 382, 0,	//124  QIODevice*, const QString&
    320, 320, 0,	//127  const QBitArray&, const QBitArray&
    362, 0,	//130  const QPersistentModelIndex&
    258, 399, 0,	//132  Qt::DockWidgetArea, int
    364, 397, 0,	//135  const QPoint&, double
    397, 0,	//138  double
    24, 380, 0,	//140  QDebug, const QSslKey&
    397, 366, 0,	//143  double, const QPointF&
    282, 59, 0,	//146  Qt::MouseButton, QFlags<Qt::MouseButton>
    347, 347, 0,	//149  const QMargins&, const QMargins&
    77, 330, 0,	//152  QHostAddress::SpecialAddress, const QHostAddress&
    397, 374, 0,	//155  double, const QSizeF&
    26, 399, 0,	//158  QDir::SortFlag, int
    24, 362, 0,	//161  QDebug, const QPersistentModelIndex&
    271, 399, 0,	//164  Qt::InputMethodHint, int
    318, 393, 0,	//167  char*, const char*
    367, 367, 0,	//170  const QRect&, const QRect&
    372, 372, 0,	//173  const QSize&, const QSize&
    218, 218, 0,	//176  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    24, 364, 0,	//179  QDebug, const QPoint&
    410, 0,	//182  unsigned char
    25, 33, 0,	//184  QDir::Filter, QFlags<QDir::Filter>
    30, 36, 0,	//187  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    308, 64, 0,	//190  Qt::WindowState, QFlags<Qt::WindowState>
    20, 337, 0,	//193  QDataStream&, const QLine&
    374, 397, 0,	//196  const QSizeF&, double
    25, 399, 0,	//199  QDir::Filter, int
    393, 336, 0,	//202  const char*, const QLatin1String&
    374, 374, 0,	//205  const QSizeF&, const QSizeF&
    322, 322, 0,	//208  const QByteArray&, const QByteArray&
    336, 385, 0,	//211  const QLatin1String&, const QStringRef&
    282, 282, 0,	//214  Qt::MouseButton, Qt::MouseButton
    24, 391, 0,	//217  QDebug, const QVariant::Type
    390, 392, 0,	//220  const QVariant&, const QVariantComparisonHelper&
    13, 13, 0,	//223  QBool, QBool
    238, 50, 0,	//226  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    385, 0,	//229  const QStringRef&
    211, 211, 0,	//231  QString::Null, QString::Null
    20, 368, 0,	//234  QDataStream&, const QRectF&
    20, 122, 0,	//237  QDataStream&, QLocale&
    16, 382, 0,	//240  QChar, const QString&
    142, 42, 0,	//243  QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>
    97, 38, 0,	//246  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    25, 25, 0,	//249  QDir::Filter, QDir::Filter
    24, 386, 0,	//252  QDebug, const QTime&
    20, 322, 0,	//255  QDataStream&, const QByteArray&
    24, 324, 0,	//258  QDebug, const QDate&
    320, 0,	//261  const QBitArray&
    395, 412, 399, 0,	//263  const unsigned char*, unsigned char*, int
    390, 236, 421, 0,	//267  const QVariant&, QVariant::Type, void*
    175, 0,	//271  QObject*(*)()
    402, 0,	//273  long
    299, 299, 0,	//275  Qt::ToolBarArea, Qt::ToolBarArea
    260, 399, 0,	//278  Qt::DropAction, int
    20, 383, 0,	//281  QDataStream&, const QStringList&
    1, 1, 0,	//284  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    413, 0,	//287  unsigned int
    398, 0,	//289  float
    238, 238, 0,	//291  Qt::AlignmentFlag, Qt::AlignmentFlag
    27, 399, 0,	//294  QDirIterator::IteratorFlag, int
    20, 369, 0,	//297  QDataStream&, const QRegExp&
    229, 399, 0,	//300  QUrl::FormattingOption, int
    27, 35, 0,	//303  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    322, 393, 0,	//306  const QByteArray&, const char*
    258, 51, 0,	//309  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    24, 374, 0,	//312  QDebug, const QSizeF&
    20, 330, 0,	//315  QDataStream&, const QHostAddress&
    284, 284, 0,	//318  Qt::Orientation, Qt::Orientation
    299, 399, 0,	//321  Qt::ToolBarArea, int
    20, 178, 0,	//324  QDataStream&, QPointF&
    280, 399, 0,	//327  Qt::MatchFlag, int
    382, 393, 0,	//330  const QString&, const char*
    24, 327, 0,	//333  QDebug, const QEasingCurve&
    265, 265, 0,	//336  Qt::GestureFlag, Qt::GestureFlag
    20, 21, 0,	//339  QDataStream&, QDate&
    97, 97, 0,	//342  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    317, 322, 0,	//345  char, const QByteArray&
    30, 399, 0,	//348  QEventLoop::ProcessEventsFlag, int
    393, 382, 0,	//351  const char*, const QString&
    393, 322, 0,	//354  const char*, const QByteArray&
    20, 233, 0,	//357  QDataStream&, QUuid&
    397, 397, 0,	//360  double, double
    20, 15, 0,	//363  QDataStream&, QByteArray&
    20, 235, 0,	//366  QDataStream&, QVariant&
    20, 181, 0,	//369  QDataStream&, QRegExp&
    366, 366, 0,	//372  const QPointF&, const QPointF&
    24, 355, 0,	//375  QDebug, const QNetworkInterface&
    385, 385, 0,	//378  const QStringRef&, const QStringRef&
    31, 399, 0,	//381  QFile::Permission, int
    16, 16, 0,	//384  QChar, QChar
    24, 338, 0,	//387  QDebug, const QLineF&
    24, 193, 0,	//390  QDebug, QSslCertificate::SubjectInfo
    393, 393, 413, 0,	//393  const char*, const char*, unsigned int
    322, 0,	//397  const QByteArray&
    24, 33, 0,	//399  QDebug, QFlags<QDir::Filter>
    393, 399, 0,	//402  const char*, int
    142, 142, 0,	//405  QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability
    221, 47, 0,	//408  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    20, 12, 0,	//411  QDataStream&, QBitArray&
    366, 397, 0,	//414  const QPointF&, double
    20, 132, 0,	//417  QDataStream&, QNetworkCacheMetaData&
    16, 0,	//420  QChar
    1, 32, 0,	//422  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    420, 0,	//425  void(*)(QtMsgType,const char*)
    20, 324, 0,	//427  QDataStream&, const QDate&
    360, 382, 348, 0,	//430  const QObject*, const QString&, const QMetaObject&
    280, 58, 0,	//434  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    265, 399, 0,	//437  Qt::GestureFlag, int
    218, 399, 0,	//440  QTextCodec::ConversionFlag, int
    277, 57, 0,	//443  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    280, 280, 0,	//446  Qt::MatchFlag, Qt::MatchFlag
    421, 0,	//449  void*
    24, 121, 0,	//451  QDebug, QLocalSocket::LocalSocketState
    382, 211, 0,	//454  const QString&, QString::Null
    102, 399, 0,	//457  QLibrary::LoadHint, int
    20, 184, 0,	//460  QDataStream&, QSizeF&
    385, 393, 0,	//463  const QStringRef&, const char*
    366, 0,	//466  const QPointF&
    421, 409, 409, 409, 0,	//468  void*, size_t, size_t, size_t
    274, 274, 0,	//473  Qt::ItemFlag, Qt::ItemFlag
    415, 0,	//476  unsigned long long
    309, 65, 0,	//478  Qt::WindowType, QFlags<Qt::WindowType>
    24, 372, 0,	//481  QDebug, const QSize&
    274, 56, 0,	//484  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    302, 63, 0,	//487  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    382, 317, 0,	//490  const QString&, char
    151, 151, 0,	//493  QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag
    24, 354, 0,	//496  QDebug, const QNetworkCookie&
    20, 387, 0,	//499  QDataStream&, const QUrl&
    421, 399, 409, 0,	//502  void*, int, size_t
    20, 75, 0,	//506  QDataStream&, QHostAddress&
    20, 390, 0,	//509  QDataStream&, const QVariant&
    20, 103, 0,	//512  QDataStream&, QLine&
    322, 399, 0,	//515  const QByteArray&, int
    277, 277, 0,	//518  Qt::KeyboardModifier, Qt::KeyboardModifier
    419, 0,	//521  void(*)()
    238, 399, 0,	//523  Qt::AlignmentFlag, int
    277, 399, 0,	//526  Qt::KeyboardModifier, int
    274, 399, 0,	//529  Qt::ItemFlag, int
    269, 54, 0,	//532  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    212, 399, 0,	//535  QString::SectionFlag, int
    364, 364, 0,	//538  const QPoint&, const QPoint&
    309, 399, 0,	//541  Qt::WindowType, int
    385, 382, 0,	//544  const QStringRef&, const QString&
    336, 336, 0,	//547  const QLatin1String&, const QLatin1String&
    329, 329, 0,	//550  const QHashDummyValue&, const QHashDummyValue&
    393, 413, 0,	//553  const char*, unsigned int
    229, 229, 0,	//556  QUrl::FormattingOption, QUrl::FormattingOption
    142, 399, 0,	//559  QNetworkConfigurationManager::Capability, int
    302, 399, 0,	//562  Qt::TouchPointState, int
    24, 347, 0,	//565  QDebug, const QMargins&
    24, 330, 0,	//568  QDebug, const QHostAddress&
    219, 220, 0,	//571  QTextStream&, QTextStream&(*)(QTextStream&)
    20, 28, 0,	//574  QDataStream&, QEasingCurve&
    20, 338, 0,	//577  QDataStream&, const QLineF&
    31, 37, 0,	//580  QFile::Permission, QFlags<QFile::Permission>
    318, 393, 413, 0,	//583  char*, const char*, unsigned int
    20, 366, 0,	//587  QDataStream&, const QPointF&
    403, 399, 401, 401, 318, 409, 0,	//590  long double, int, int*, int*, char*, size_t
    123, 399, 0,	//597  QLocale::NumberOption, int
    364, 398, 0,	//600  const QPoint&, float
    421, 409, 0,	//603  void*, size_t
    421, 409, 409, 400, 0,	//606  void*, size_t, size_t, int(*)(const void*,const void*)
    393, 393, 393, 399, 0,	//611  const char*, const char*, const char*, int
    382, 385, 0,	//616  const QString&, const QStringRef&
    24, 5, 0,	//619  QDebug, QAbstractSocket::SocketError
    393, 385, 0,	//622  const char*, const QStringRef&
    226, 48, 0,	//625  QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>
    282, 399, 0,	//628  Qt::MouseButton, int
    20, 183, 0,	//631  QDataStream&, QSize&
    27, 27, 0,	//634  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    271, 271, 0,	//637  Qt::InputMethodHint, Qt::InputMethodHint
    221, 221, 0,	//640  QTextStream::NumberFlag, QTextStream::NumberFlag
    20, 237, 0,	//643  QDataStream&, QVariant::Type&
    296, 61, 0,	//646  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    24, 376, 0,	//649  QDebug, const QSslCipher&
    385, 336, 0,	//652  const QStringRef&, const QLatin1String&
    408, 0,	//655  signed char
    299, 62, 0,	//657  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    20, 374, 0,	//660  QDataStream&, const QSizeF&
    317, 382, 0,	//663  char, const QString&
    102, 102, 0,	//666  QLibrary::LoadHint, QLibrary::LoadHint
    308, 308, 0,	//669  Qt::WindowState, Qt::WindowState
    24, 387, 0,	//672  QDebug, const QUrl&
    155, 399, 0,	//675  QNetworkProxy::Capability, int
    229, 49, 0,	//678  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    368, 368, 0,	//681  const QRectF&, const QRectF&
    397, 372, 0,	//684  double, const QSize&
    31, 31, 0,	//687  QFile::Permission, QFile::Permission
    350, 0,	//690  const QModelIndex&
    155, 44, 0,	//692  QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>
    24, 337, 0,	//695  QDebug, const QLine&
    20, 320, 0,	//698  QDataStream&, const QBitArray&
    421, 396, 409, 0,	//701  void*, const void*, size_t
    397, 364, 0,	//705  double, const QPoint&
    24, 350, 0,	//708  QDebug, const QModelIndex&
    407, 0,	//711  short
    24, 325, 0,	//713  QDebug, const QDateTime&
    20, 364, 0,	//716  QDataStream&, const QPoint&
    226, 399, 0,	//719  QUdpSocket::BindFlag, int
    322, 317, 0,	//722  const QByteArray&, char
    24, 360, 0,	//725  QDebug, const QObject*
    403, 399, 318, 0,	//728  long double, int, char*
    24, 120, 0,	//732  QDebug, QLocalSocket::LocalSocketError
    398, 398, 0,	//735  float, float
    26, 34, 0,	//738  QDir::SortFlag, QFlags<QDir::SortFlag>
    318, 409, 393, 418, 0,	//741  char*, size_t, const char*, va_list
    212, 45, 0,	//746  QString::SectionFlag, QFlags<QString::SectionFlag>
    20, 372, 0,	//749  QDataStream&, const QSize&
    20, 180, 0,	//752  QDataStream&, QRectF&
    218, 46, 0,	//755  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    24, 38, 0,	//758  QDebug, QFlags<QIODevice::OpenModeFlag>
    20, 323, 0,	//761  QDataStream&, const QChar&
    315, 13, 0,	//764  bool, QBool
    414, 0,	//767  unsigned long
    24, 368, 0,	//769  QDebug, const QRectF&
    13, 315, 0,	//772  QBool, bool
    308, 399, 0,	//775  Qt::WindowState, int
    20, 214, 0,	//778  QDataStream&, QStringList&
    20, 367, 0,	//781  QDataStream&, const QRect&
    258, 258, 0,	//784  Qt::DockWidgetArea, Qt::DockWidgetArea
    123, 40, 0,	//787  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    309, 309, 0,	//790  Qt::WindowType, Qt::WindowType
    24, 7, 0,	//793  QDebug, QAbstractSocket::SocketState
    372, 397, 0,	//796  const QSize&, double
    211, 382, 0,	//799  QString::Null, const QString&
    26, 26, 0,	//802  QDir::SortFlag, QDir::SortFlag
    271, 55, 0,	//805  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    20, 177, 0,	//808  QDataStream&, QPoint&
    24, 366, 0,	//811  QDebug, const QPointF&
    360, 382, 370, 348, 117, 0,	//814  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    20, 23, 0,	//820  QDataStream&, QDateTime&
    20, 386, 0,	//823  QDataStream&, const QTime&
    20, 389, 0,	//826  QDataStream&, const QUuid&
    219, 222, 0,	//829  QTextStream&, QTextStreamManipulator
    212, 212, 0,	//832  QString::SectionFlag, QString::SectionFlag
    409, 409, 0,	//835  size_t, size_t
    221, 399, 0,	//838  QTextStream::NumberFlag, int
    395, 399, 399, 0,	//841  const unsigned char*, int, int
    395, 399, 0,	//845  const unsigned char*, int
    97, 399, 0,	//848  QIODevice::OpenModeFlag, int
    399, 364, 0,	//851  int, const QPoint&
    265, 53, 0,	//854  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    403, 399, 401, 401, 0,	//857  long double, int, int*, int*
    364, 0,	//862  const QPoint&
    20, 210, 0,	//864  QDataStream&, QString&
    20, 382, 0,	//867  QDataStream&, const QString&
    20, 327, 0,	//870  QDataStream&, const QEasingCurve&
    20, 17, 0,	//873  QDataStream&, QChar&
    296, 296, 0,	//876  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    382, 322, 0,	//879  const QString&, const QByteArray&
    30, 30, 0,	//882  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    24, 379, 0,	//885  QDebug, const QSslError::SslError&
    1, 399, 0,	//888  QAbstractFileEngine::FileFlag, int
    20, 179, 0,	//891  QDataStream&, QRect&
    24, 375, 0,	//894  QDebug, const QSslCertificate&
    312, 393, 0,	//897  QtMsgType, const char*
    269, 399, 0,	//900  Qt::ImageConversionFlag, int
    24, 367, 0,	//903  QDebug, const QRect&
    20, 391, 0,	//906  QDataStream&, const QVariant::Type
    20, 104, 0,	//909  QDataStream&, QLineF&
    302, 302, 0,	//912  Qt::TouchPointState, Qt::TouchPointState
    296, 399, 0,	//915  Qt::TextInteractionFlag, int
    24, 378, 0,	//918  QDebug, const QSslError&
    317, 0,	//921  char
    20, 325, 0,	//923  QDataStream&, const QDateTime&
    151, 43, 0,	//926  QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>
    20, 223, 0,	//929  QDataStream&, QTime&
    364, 399, 0,	//932  const QPoint&, int
    269, 269, 0,	//935  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    20, 352, 0,	//938  QDataStream&, const QNetworkCacheMetaData&
    226, 226, 0,	//941  QUdpSocket::BindFlag, QUdpSocket::BindFlag
    260, 52, 0,	//944  Qt::DropAction, QFlags<Qt::DropAction>
    260, 260, 0,	//947  Qt::DropAction, Qt::DropAction
    284, 399, 0,	//950  Qt::Orientation, int
    24, 326, 0,	//953  QDebug, const QDir&
    155, 155, 0,	//956  QNetworkProxy::Capability, QNetworkProxy::Capability
    398, 364, 0,	//959  float, const QPoint&
    20, 228, 0,	//962  QDataStream&, QUrl&
    102, 39, 0,	//965  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    382, 16, 0,	//968  const QString&, QChar
    284, 60, 0,	//971  Qt::Orientation, QFlags<Qt::Orientation>
    409, 0,	//974  size_t
    24, 390, 0,	//976  QDebug, const QVariant&
    151, 399, 0,	//979  QNetworkInterface::InterfaceFlag, int
    123, 123, 0,	//982  QLocale::NumberOption, QLocale::NumberOption
    20, 346, 0,	//985  QDataStream&, const QLocale&
    412, 0,	//988  unsigned char*
    335, 0,	//990  const QIPv6Address&
    394, 0,	//992  const sockaddr*
    77, 0,	//994  QHostAddress::SpecialAddress
    330, 399, 0,	//996  const QHostAddress&, int
    361, 0,	//999  const QPair<QHostAddress,int>&
    331, 0,	//1001  const QHostInfo&
    339, 0,	//1003  const QList<QHostAddress>&
    81, 0,	//1005  QHostInfo::HostInfoError
    382, 174, 393, 0,	//1007  const QString&, QObject*, const char*
    382, 416, 174, 0,	//1011  const QString&, unsigned short, QObject*
    382, 83, 416, 174, 0,	//1015  const QString&, QHttp::ConnectionMode, unsigned short, QObject*
    382, 83, 416, 0,	//1020  const QString&, QHttp::ConnectionMode, unsigned short
    217, 0,	//1024  QTcpSocket*
    382, 399, 382, 382, 0,	//1026  const QString&, int, const QString&, const QString&
    382, 95, 95, 0,	//1031  const QString&, QIODevice*, QIODevice*
    382, 322, 95, 0,	//1035  const QString&, const QByteArray&, QIODevice*
    333, 95, 95, 0,	//1039  const QHttpRequestHeader&, QIODevice*, QIODevice*
    333, 322, 95, 0,	//1043  const QHttpRequestHeader&, const QByteArray&, QIODevice*
    334, 0,	//1047  const QHttpResponseHeader&
    399, 399, 0,	//1049  int, int
    382, 406, 10, 0,	//1052  const QString&, quint16, QAuthenticator*
    345, 0,	//1056  const QList<QSslError>&
    382, 83, 0,	//1058  const QString&, QHttp::ConnectionMode
    382, 399, 0,	//1061  const QString&, int
    382, 399, 382, 0,	//1064  const QString&, int, const QString&
    333, 0,	//1068  const QHttpRequestHeader&
    333, 95, 0,	//1070  const QHttpRequestHeader&, QIODevice*
    333, 322, 0,	//1073  const QHttpRequestHeader&, const QByteArray&
    332, 0,	//1076  const QHttpHeader&
    342, 0,	//1078  const QList<QPair<QString,QString> >&
    382, 382, 399, 399, 0,	//1080  const QString&, const QString&, int, int
    382, 382, 399, 0,	//1085  const QString&, const QString&, int
    399, 382, 399, 399, 0,	//1089  int, const QString&, int, int
    399, 382, 399, 0,	//1094  int, const QString&, int
    38, 0,	//1098  QFlags<QIODevice::OpenModeFlag>
    399, 316, 0,	//1100  int, bool*
    101, 0,	//1103  QIntegerForSizeof< void* >::Unsigned
    382, 38, 0,	//1105  const QString&, QFlags<QIODevice::OpenModeFlag>
    101, 121, 38, 0,	//1108  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QFlags<QIODevice::OpenModeFlag>
    120, 0,	//1112  QLocalSocket::LocalSocketError
    121, 0,	//1114  QLocalSocket::LocalSocketState
    101, 121, 0,	//1116  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState
    157, 0,	//1119  QNetworkProxyFactory*
    2, 0,	//1121  QAbstractNetworkCache*
    146, 0,	//1123  QNetworkCookieJar*
    359, 0,	//1125  const QNetworkRequest&
    359, 95, 0,	//1127  const QNetworkRequest&, QIODevice*
    359, 322, 0,	//1130  const QNetworkRequest&, const QByteArray&
    359, 88, 0,	//1133  const QNetworkRequest&, QHttpMultiPart*
    359, 322, 95, 0,	//1136  const QNetworkRequest&, const QByteArray&, QIODevice*
    353, 0,	//1140  const QNetworkConfiguration&
    127, 0,	//1142  QNetworkAccessManager::NetworkAccessibility
    161, 10, 0,	//1144  QNetworkReply*, QAuthenticator*
    161, 0,	//1147  QNetworkReply*
    161, 345, 0,	//1149  QNetworkReply*, const QList<QSslError>&
    128, 359, 95, 0,	//1152  QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*
    128, 359, 0,	//1156  QNetworkAccessManager::Operation, const QNetworkRequest&
    351, 0,	//1159  const QNetworkAddressEntry&
    341, 0,	//1161  const QList<QPair<QByteArray,QByteArray> >&
    325, 0,	//1163  const QDateTime&
    328, 0,	//1165  const QHash<QNetworkRequest::Attribute,QVariant>&
    41, 0,	//1167  QFlags<QNetworkConfiguration::StateFlag>
    354, 0,	//1169  const QNetworkCookie&
    145, 0,	//1171  QNetworkCookie::RawForm
    340, 387, 0,	//1173  const QList<QNetworkCookie>&, const QUrl&
    340, 0,	//1176  const QList<QNetworkCookie>&
    355, 0,	//1178  const QNetworkInterface&
    156, 382, 416, 382, 382, 0,	//1180  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&
    156, 0,	//1186  QNetworkProxy::ProxyType
    44, 0,	//1188  QFlags<QNetworkProxy::Capability>
    156, 382, 0,	//1190  QNetworkProxy::ProxyType, const QString&
    156, 382, 416, 0,	//1193  QNetworkProxy::ProxyType, const QString&, unsigned short
    156, 382, 416, 382, 0,	//1197  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&
    358, 0,	//1202  const QNetworkProxyQuery&
    357, 0,	//1204  const QNetworkProxyFactory&
    387, 160, 0,	//1206  const QUrl&, QNetworkProxyQuery::QueryType
    382, 399, 382, 160, 0,	//1209  const QString&, int, const QString&, QNetworkProxyQuery::QueryType
    416, 382, 160, 0,	//1214  unsigned short, const QString&, QNetworkProxyQuery::QueryType
    353, 387, 160, 0,	//1218  const QNetworkConfiguration&, const QUrl&, QNetworkProxyQuery::QueryType
    353, 382, 399, 382, 160, 0,	//1222  const QNetworkConfiguration&, const QString&, int, const QString&, QNetworkProxyQuery::QueryType
    353, 416, 382, 160, 0,	//1228  const QNetworkConfiguration&, unsigned short, const QString&, QNetworkProxyQuery::QueryType
    160, 0,	//1233  QNetworkProxyQuery::QueryType
    416, 382, 0,	//1235  unsigned short, const QString&
    353, 387, 0,	//1238  const QNetworkConfiguration&, const QUrl&
    353, 382, 399, 0,	//1241  const QNetworkConfiguration&, const QString&, int
    353, 382, 399, 382, 0,	//1245  const QNetworkConfiguration&, const QString&, int, const QString&
    353, 416, 0,	//1250  const QNetworkConfiguration&, unsigned short
    353, 416, 382, 0,	//1253  const QNetworkConfiguration&, unsigned short, const QString&
    168, 0,	//1257  QNetworkRequest::KnownHeaders
    166, 0,	//1259  QNetworkRequest::Attribute
    377, 0,	//1261  const QSslConfiguration&
    162, 0,	//1263  QNetworkReply::NetworkError
    128, 0,	//1265  QNetworkAccessManager::Operation
    162, 382, 0,	//1267  QNetworkReply::NetworkError, const QString&
    168, 390, 0,	//1270  QNetworkRequest::KnownHeaders, const QVariant&
    166, 390, 0,	//1273  QNetworkRequest::Attribute, const QVariant&
    170, 0,	//1276  QNetworkRequest::Priority
    353, 174, 0,	//1278  const QNetworkConfiguration&, QObject*
    173, 0,	//1281  QNetworkSession::State
    172, 0,	//1283  QNetworkSession::SessionError
    353, 315, 0,	//1285  const QNetworkConfiguration&, bool
    29, 0,	//1288  QEvent*
    174, 29, 0,	//1290  QObject*, QEvent*
    224, 0,	//1293  QTimerEvent*
    18, 0,	//1295  QChildEvent*
    95, 186, 0,	//1297  QIODevice*, QSsl::EncodingFormat
    322, 186, 0,	//1300  const QByteArray&, QSsl::EncodingFormat
    375, 0,	//1303  const QSslCertificate&
    19, 0,	//1305  QCryptographicHash::Algorithm
    193, 0,	//1307  QSslCertificate::SubjectInfo
    382, 186, 182, 0,	//1309  const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax
    382, 186, 0,	//1313  const QString&, QSsl::EncodingFormat
    382, 189, 0,	//1316  const QString&, QSsl::SslProtocol
    376, 0,	//1319  const QSslCipher&
    189, 0,	//1321  QSsl::SslProtocol
    207, 0,	//1323  QSslSocket::PeerVerifyMode
    380, 0,	//1325  const QSslKey&
    344, 0,	//1327  const QList<QSslCipher>&
    343, 0,	//1329  const QList<QSslCertificate>&
    202, 0,	//1331  QSslError::SslError
    202, 375, 0,	//1333  QSslError::SslError, const QSslCertificate&
    378, 0,	//1336  const QSslError&
    322, 187, 186, 188, 322, 0,	//1338  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    95, 187, 186, 188, 322, 0,	//1344  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    322, 187, 0,	//1350  const QByteArray&, QSsl::KeyAlgorithm
    322, 187, 186, 0,	//1353  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    322, 187, 186, 188, 0,	//1357  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    95, 187, 0,	//1362  QIODevice*, QSsl::KeyAlgorithm
    95, 187, 186, 0,	//1365  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    95, 187, 186, 188, 0,	//1369  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    382, 416, 382, 38, 0,	//1374  const QString&, unsigned short, const QString&, QFlags<QIODevice::OpenModeFlag>
    382, 187, 186, 322, 0,	//1379  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&
    208, 0,	//1384  QSslSocket::SslMode
    405, 0,	//1386  qint64
    382, 416, 382, 0,	//1388  const QString&, unsigned short, const QString&
    382, 187, 0,	//1392  const QString&, QSsl::KeyAlgorithm
    382, 187, 186, 0,	//1395  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    330, 416, 48, 0,	//1399  const QHostAddress&, unsigned short, QFlags<QUdpSocket::BindFlag>
    416, 48, 0,	//1403  unsigned short, QFlags<QUdpSocket::BindFlag>
    330, 355, 0,	//1406  const QHostAddress&, const QNetworkInterface&
    318, 404, 76, 417, 0,	//1409  char*, long long, QHostAddress*, unsigned short*
    393, 404, 330, 416, 0,	//1414  const char*, long long, const QHostAddress&, unsigned short
    322, 330, 416, 0,	//1419  const QByteArray&, const QHostAddress&, unsigned short
    318, 404, 76, 0,	//1423  char*, long long, QHostAddress*
    382, 399, 382, 382, 404, 325, 325, 315, 315, 315, 315, 315, 315, 0,	//1427  const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    387, 399, 382, 382, 404, 325, 325, 315, 315, 315, 315, 315, 315, 0,	//1441  const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    388, 388, 399, 0,	//1455  const QUrlInfo&, const QUrlInfo&, int
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Aborted",	//1
    "Accessible",	//2
    "Active",	//3
    "AddressInUseError",	//4
    "AlwaysCache",	//5
    "AlwaysNetwork",	//6
    "Any",	//7
    "AnyIPv6",	//8
    "AnyProtocol",	//9
    "Append",	//10
    "ApplicationLevelRoaming",	//11
    "Ascii",	//12
    "AuthenticationRequiredError",	//13
    "AuthenticationReuseAttribute",	//14
    "AuthorityIssuerSerialNumberMismatch",	//15
    "AutoVerifyPeer",	//16
    "Automatic",	//17
    "Bearer2G",	//18
    "BearerBluetooth",	//19
    "BearerCDMA2000",	//20
    "BearerEthernet",	//21
    "BearerHSPA",	//22
    "BearerUnknown",	//23
    "BearerWCDMA",	//24
    "BearerWLAN",	//25
    "BearerWiMAX",	//26
    "Binary",	//27
    "BoundState",	//28
    "Broadcast",	//29
    "CacheLoadControlAttribute",	//30
    "CacheSaveControlAttribute",	//31
    "CachingCapability",	//32
    "CanBroadcast",	//33
    "CanMulticast",	//34
    "CanStartAndStopInterfaces",	//35
    "Cd",	//36
    "CertificateBlacklisted",	//37
    "CertificateExpired",	//38
    "CertificateNotYetValid",	//39
    "CertificateRejected",	//40
    "CertificateRevoked",	//41
    "CertificateSignatureFailed",	//42
    "CertificateUntrusted",	//43
    "Close",	//44
    "Closing",	//45
    "ClosingState",	//46
    "CommonName",	//47
    "ConnectToHost",	//48
    "Connected",	//49
    "ConnectedState",	//50
    "Connecting",	//51
    "ConnectingState",	//52
    "ConnectionEncryptedAttribute",	//53
    "ConnectionError",	//54
    "ConnectionModeHttp",	//55
    "ConnectionModeHttps",	//56
    "ConnectionRefused",	//57
    "ConnectionRefusedError",	//58
    "ContentAccessDenied",	//59
    "ContentDispositionHeader",	//60
    "ContentLengthHeader",	//61
    "ContentNotFoundError",	//62
    "ContentOperationNotPermittedError",	//63
    "ContentReSendError",	//64
    "ContentTypeHeader",	//65
    "CookieHeader",	//66
    "CookieLoadControlAttribute",	//67
    "CookieSaveControlAttribute",	//68
    "CountryName",	//69
    "CustomOperation",	//70
    "CustomVerbAttribute",	//71
    "DataStatistics",	//72
    "DatagramTooLargeError",	//73
    "DefaultForPlatform",	//74
    "DefaultProxy",	//75
    "Defined",	//76
    "DeleteOperation",	//77
    "Der",	//78
    "DirectConnectionRouting",	//79
    "Disconnected",	//80
    "Discovered",	//81
    "DnsEntry",	//82
    "DoNotBufferUploadDataAttribute",	//83
    "DontShareAddress",	//84
    "DownloadBufferAttribute",	//85
    "Dsa",	//86
    "EmailEntry",	//87
    "ExeGroup",	//88
    "ExeOther",	//89
    "ExeOwner",	//90
    "ForcedRoaming",	//91
    "FtpCachingProxy",	//92
    "Full",	//93
    "Get",	//94
    "GetOperation",	//95
    "HeadOperation",	//96
    "HighPriority",	//97
    "HostLookup",	//98
    "HostLookupState",	//99
    "HostNameLookupCapability",	//100
    "HostNameMismatch",	//101
    "HostNotFound",	//102
    "HostNotFoundError",	//103
    "HttpCachingProxy",	//104
    "HttpPipeliningAllowedAttribute",	//105
    "HttpPipeliningWasUsedAttribute",	//106
    "HttpProxy",	//107
    "HttpReasonPhraseAttribute",	//108
    "HttpStatusCodeAttribute",	//109
    "IPv4Protocol",	//110
    "IPv6Protocol",	//111
    "InternetAccessPoint",	//112
    "Invalid",	//113
    "InvalidCaCertificate",	//114
    "InvalidConfigurationError",	//115
    "InvalidNotAfterField",	//116
    "InvalidNotBeforeField",	//117
    "InvalidPurpose",	//118
    "InvalidResponseHeader",	//119
    "IsLoopBack",	//120
    "IsPointToPoint",	//121
    "IsRunning",	//122
    "IsUp",	//123
    "KeepAliveOption",	//124
    "LastModifiedHeader",	//125
    "List",	//126
    "ListeningCapability",	//127
    "ListeningState",	//128
    "LocalHost",	//129
    "LocalHostIPv6",	//130
    "LocalityName",	//131
    "LocationHeader",	//132
    "LoggedIn",	//133
    "Login",	//134
    "LowDelayOption",	//135
    "LowPriority",	//136
    "Manual",	//137
    "MaximumDownloadBufferSizeAttribute",	//138
    "Mkdir",	//139
    "MulticastLoopbackOption",	//140
    "MulticastTtlOption",	//141
    "NameAndValueOnly",	//142
    "NetworkError",	//143
    "NetworkSessionRequired",	//144
    "NoError",	//145
    "NoPeerCertificate",	//146
    "NoProxy",	//147
    "NoSslSupport",	//148
    "None",	//149
    "NormalPriority",	//150
    "NotAccessible",	//151
    "NotAvailable",	//152
    "NotConnected",	//153
    "NotOpen",	//154
    "Null",	//155
    "OperationCanceledError",	//156
    "OperationNotSupportedError",	//157
    "Organization",	//158
    "OrganizationalUnitName",	//159
    "Passive",	//160
    "PathLengthExceeded",	//161
    "PeerClosedError",	//162
    "Pem",	//163
    "PostOperation",	//164
    "PreferCache",	//165
    "PreferNetwork",	//166
    "PrivateKey",	//167
    "PrivatePurpose",	//168
    "ProtocolFailure",	//169
    "ProtocolInvalidOperationError",	//170
    "ProtocolUnknownError",	//171
    "ProxyAuthenticationRequiredError",	//172
    "ProxyConnectionClosedError",	//173
    "ProxyConnectionRefusedError",	//174
    "ProxyConnectionTimeoutError",	//175
    "ProxyNotFoundError",	//176
    "ProxyProtocolError",	//177
    "ProxyTimeoutError",	//178
    "PublicKey",	//179
    "PublicPurpose",	//180
    "Put",	//181
    "PutOperation",	//182
    "QAbstractNetworkCache",	//183
    "QAbstractNetworkCache#",	//184
    "QAbstractSocket",	//185
    "QAbstractSocket$#",	//186
    "QAuthenticator",	//187
    "QAuthenticator#",	//188
    "QFtp",	//189
    "QFtp#",	//190
    "QHostAddress",	//191
    "QHostAddress#",	//192
    "QHostAddress$",	//193
    "QHostInfo",	//194
    "QHostInfo#",	//195
    "QHostInfo$",	//196
    "QHttp",	//197
    "QHttp#",	//198
    "QHttp$",	//199
    "QHttp$$",	//200
    "QHttp$$#",	//201
    "QHttp$$$",	//202
    "QHttp$$$#",	//203
    "QHttpHeader",	//204
    "QHttpHeader#",	//205
    "QHttpHeader$",	//206
    "QHttpRequestHeader",	//207
    "QHttpRequestHeader#",	//208
    "QHttpRequestHeader$",	//209
    "QHttpRequestHeader$$",	//210
    "QHttpRequestHeader$$$",	//211
    "QHttpRequestHeader$$$$",	//212
    "QHttpResponseHeader",	//213
    "QHttpResponseHeader#",	//214
    "QHttpResponseHeader$",	//215
    "QHttpResponseHeader$$",	//216
    "QHttpResponseHeader$$$",	//217
    "QHttpResponseHeader$$$$",	//218
    "QIPv6Address",	//219
    "QIPv6Address#",	//220
    "QLocalServer",	//221
    "QLocalServer#",	//222
    "QLocalSocket",	//223
    "QLocalSocket#",	//224
    "QNetworkAccessManager",	//225
    "QNetworkAccessManager#",	//226
    "QNetworkAddressEntry",	//227
    "QNetworkAddressEntry#",	//228
    "QNetworkCacheMetaData",	//229
    "QNetworkCacheMetaData#",	//230
    "QNetworkConfiguration",	//231
    "QNetworkConfiguration#",	//232
    "QNetworkConfigurationManager",	//233
    "QNetworkConfigurationManager#",	//234
    "QNetworkCookie",	//235
    "QNetworkCookie#",	//236
    "QNetworkCookie##",	//237
    "QNetworkCookieJar",	//238
    "QNetworkCookieJar#",	//239
    "QNetworkDiskCache",	//240
    "QNetworkDiskCache#",	//241
    "QNetworkInterface",	//242
    "QNetworkInterface#",	//243
    "QNetworkProxy",	//244
    "QNetworkProxy#",	//245
    "QNetworkProxy$",	//246
    "QNetworkProxy$$",	//247
    "QNetworkProxy$$$",	//248
    "QNetworkProxy$$$$",	//249
    "QNetworkProxy$$$$$",	//250
    "QNetworkProxyFactory",	//251
    "QNetworkProxyFactory#",	//252
    "QNetworkProxyQuery",	//253
    "QNetworkProxyQuery#",	//254
    "QNetworkProxyQuery##",	//255
    "QNetworkProxyQuery##$",	//256
    "QNetworkProxyQuery#$",	//257
    "QNetworkProxyQuery#$$",	//258
    "QNetworkProxyQuery#$$$",	//259
    "QNetworkProxyQuery#$$$$",	//260
    "QNetworkProxyQuery$",	//261
    "QNetworkProxyQuery$$",	//262
    "QNetworkProxyQuery$$$",	//263
    "QNetworkProxyQuery$$$$",	//264
    "QNetworkReply",	//265
    "QNetworkReply#",	//266
    "QNetworkRequest",	//267
    "QNetworkRequest#",	//268
    "QNetworkSession",	//269
    "QNetworkSession#",	//270
    "QNetworkSession##",	//271
    "QSslCertificate",	//272
    "QSslCertificate#",	//273
    "QSslCertificate#$",	//274
    "QSslCipher",	//275
    "QSslCipher#",	//276
    "QSslCipher$$",	//277
    "QSslConfiguration",	//278
    "QSslConfiguration#",	//279
    "QSslError",	//280
    "QSslError#",	//281
    "QSslError$",	//282
    "QSslError$#",	//283
    "QSslKey",	//284
    "QSslKey#",	//285
    "QSslKey#$",	//286
    "QSslKey#$$",	//287
    "QSslKey#$$$",	//288
    "QSslKey#$$$#",	//289
    "QSslSocket",	//290
    "QSslSocket#",	//291
    "QTcpServer",	//292
    "QTcpServer#",	//293
    "QTcpSocket",	//294
    "QTcpSocket#",	//295
    "QUdpSocket",	//296
    "QUdpSocket#",	//297
    "QUrlInfo",	//298
    "QUrlInfo#",	//299
    "QUrlInfo#$$$$##$$$$$$",	//300
    "QUrlInfo$$$$$##$$$$$$",	//301
    "QtCriticalMsg",	//302
    "QtDebugMsg",	//303
    "QtFatalMsg",	//304
    "QtSystemMsg",	//305
    "QtWarningMsg",	//306
    "QueryPeer",	//307
    "RawCommand",	//308
    "ReadGroup",	//309
    "ReadOnly",	//310
    "ReadOther",	//311
    "ReadOwner",	//312
    "ReadWrite",	//313
    "Reading",	//314
    "RedirectionTargetAttribute",	//315
    "RemoteHostClosedError",	//316
    "Remove",	//317
    "Rename",	//318
    "ReuseAddressHint",	//319
    "Rmdir",	//320
    "Roaming",	//321
    "RoamingError",	//322
    "Rsa",	//323
    "SecureProtocols",	//324
    "SelfSignedCertificate",	//325
    "SelfSignedCertificateInChain",	//326
    "Sending",	//327
    "ServerNotFoundError",	//328
    "ServiceNetwork",	//329
    "ServiceSpecificPurpose",	//330
    "SessionAbortedError",	//331
    "SetCookieHeader",	//332
    "SetProxy",	//333
    "SetTransferMode",	//334
    "ShareAddress",	//335
    "SocketAccessError",	//336
    "SocketAddressNotAvailableError",	//337
    "SocketResourceError",	//338
    "SocketTimeoutError",	//339
    "Socks5Proxy",	//340
    "SourceIsFromCacheAttribute",	//341
    "SslClientMode",	//342
    "SslHandshakeFailedError",	//343
    "SslServerMode",	//344
    "SslV2",	//345
    "SslV3",	//346
    "StateOrProvinceName",	//347
    "SubjectIssuerMismatch",	//348
    "SynchronousRequestAttribute",	//349
    "SystemSessionSupport",	//350
    "TcpServer",	//351
    "TcpSocket",	//352
    "TemporaryNetworkFailureError",	//353
    "Text",	//354
    "TimeoutError",	//355
    "TlsV1",	//356
    "TlsV1SslV3",	//357
    "Truncate",	//358
    "TunnelingCapability",	//359
    "UdpSocket",	//360
    "UdpTunnelingCapability",	//361
    "UnableToDecodeIssuerPublicKey",	//362
    "UnableToDecryptCertificateSignature",	//363
    "UnableToGetIssuerCertificate",	//364
    "UnableToGetLocalIssuerCertificate",	//365
    "UnableToVerifyFirstCertificate",	//366
    "Unbuffered",	//367
    "Unconnected",	//368
    "UnconnectedState",	//369
    "Undefined",	//370
    "UnencryptedMode",	//371
    "UnexpectedClose",	//372
    "UnfinishedSocketOperationError",	//373
    "UnknownAccessibility",	//374
    "UnknownContentError",	//375
    "UnknownError",	//376
    "UnknownNetworkError",	//377
    "UnknownNetworkLayerProtocol",	//378
    "UnknownOperation",	//379
    "UnknownProtocol",	//380
    "UnknownProxyError",	//381
    "UnknownPurpose",	//382
    "UnknownSessionError",	//383
    "UnknownSocketError",	//384
    "UnknownSocketType",	//385
    "UnspecifiedError",	//386
    "UnsupportedSocketOperationError",	//387
    "UrlRequest",	//388
    "User",	//389
    "UserChoice",	//390
    "UserMax",	//391
    "VerifyNone",	//392
    "VerifyPeer",	//393
    "WriteGroup",	//394
    "WriteOnly",	//395
    "WriteOther",	//396
    "WriteOwner",	//397
    "WrongContentLength",	//398
    "_IEEE_",	//399
    "_ISOC_",	//400
    "_POSIX_",	//401
    "_SVID_",	//402
    "_XOPEN_",	//403
    "__codecvt_error",	//404
    "__codecvt_noconv",	//405
    "__codecvt_ok",	//406
    "__codecvt_partial",	//407
    "abort",	//408
    "abortHostLookup",	//409
    "abortHostLookup$",	//410
    "accept",	//411
    "activeConfiguration",	//412
    "activeTime",	//413
    "addCaCertificate",	//414
    "addCaCertificate#",	//415
    "addCaCertificates",	//416
    "addCaCertificates$",	//417
    "addCaCertificates$$",	//418
    "addCaCertificates$$$",	//419
    "addCaCertificates?",	//420
    "addDefaultCaCertificate",	//421
    "addDefaultCaCertificate#",	//422
    "addDefaultCaCertificates",	//423
    "addDefaultCaCertificates$",	//424
    "addDefaultCaCertificates$$",	//425
    "addDefaultCaCertificates$$$",	//426
    "addDefaultCaCertificates?",	//427
    "addPendingConnection",	//428
    "addPendingConnection#",	//429
    "addValue",	//430
    "addValue$$",	//431
    "addressEntries",	//432
    "addresses",	//433
    "algorithm",	//434
    "allAddresses",	//435
    "allConfigurations",	//436
    "allConfigurations$",	//437
    "allCookies",	//438
    "allInterfaces",	//439
    "allValues",	//440
    "allValues$",	//441
    "alternateSubjectNames",	//442
    "applicationProxy",	//443
    "atEnd",	//444
    "attribute",	//445
    "attribute$",	//446
    "attribute$#",	//447
    "attributes",	//448
    "authenticationMethod",	//449
    "authenticationRequired",	//450
    "authenticationRequired##",	//451
    "authenticationRequired$$#",	//452
    "bearerName",	//453
    "bearerType",	//454
    "bearerTypeName",	//455
    "bind",	//456
    "bind#$",	//457
    "bind#$$",	//458
    "bind$",	//459
    "bind$$",	//460
    "broadcast",	//461
    "bytesAvailable",	//462
    "bytesReceived",	//463
    "bytesToWrite",	//464
    "bytesWritten",	//465
    "caCertificates",	//466
    "cache",	//467
    "cacheDirectory",	//468
    "cacheSize",	//469
    "canReadLine",	//470
    "capabilities",	//471
    "cd",	//472
    "cd$",	//473
    "certificate",	//474
    "childEvent",	//475
    "children",	//476
    "ciphers",	//477
    "clear",	//478
    "clearPendingCommands",	//479
    "clearPendingRequests",	//480
    "close",	//481
    "closeConnection",	//482
    "closed",	//483
    "commandFinished",	//484
    "commandFinished$$",	//485
    "commandStarted",	//486
    "commandStarted$",	//487
    "configuration",	//488
    "configurationAdded",	//489
    "configurationAdded#",	//490
    "configurationChanged",	//491
    "configurationChanged#",	//492
    "configurationFromIdentifier",	//493
    "configurationFromIdentifier$",	//494
    "configurationRemoved",	//495
    "configurationRemoved#",	//496
    "connectNotify",	//497
    "connectNotify$",	//498
    "connectToHost",	//499
    "connectToHost#$",	//500
    "connectToHost#$$",	//501
    "connectToHost$",	//502
    "connectToHost$$",	//503
    "connectToHost$$$",	//504
    "connectToHostEncrypted",	//505
    "connectToHostEncrypted$$",	//506
    "connectToHostEncrypted$$$",	//507
    "connectToHostEncrypted$$$$",	//508
    "connectToHostImplementation",	//509
    "connectToHostImplementation$$",	//510
    "connectToHostImplementation$$$",	//511
    "connectToServer",	//512
    "connectToServer$",	//513
    "connectToServer$$",	//514
    "connected",	//515
    "contentLength",	//516
    "contentType",	//517
    "cookieJar",	//518
    "cookiesForUrl",	//519
    "cookiesForUrl#",	//520
    "createRequest",	//521
    "createRequest$#",	//522
    "createRequest$##",	//523
    "currentCommand",	//524
    "currentDestinationDevice",	//525
    "currentDevice",	//526
    "currentId",	//527
    "currentRequest",	//528
    "currentSourceDevice",	//529
    "customEvent",	//530
    "data",	//531
    "data#",	//532
    "dataReadProgress",	//533
    "dataReadProgress$$",	//534
    "dataSendProgress",	//535
    "dataSendProgress$$",	//536
    "dataTransferProgress",	//537
    "dataTransferProgress$$",	//538
    "defaultCaCertificates",	//539
    "defaultCiphers",	//540
    "defaultConfiguration",	//541
    "deleteResource",	//542
    "deleteResource#",	//543
    "detach",	//544
    "digest",	//545
    "digest$",	//546
    "disconnectFromHost",	//547
    "disconnectFromHostImplementation",	//548
    "disconnectFromServer",	//549
    "disconnectNotify",	//550
    "disconnectNotify$",	//551
    "disconnected",	//552
    "domain",	//553
    "done",	//554
    "done$",	//555
    "downloadProgress",	//556
    "downloadProgress$$",	//557
    "effectiveDate",	//558
    "encrypted",	//559
    "encryptedBytesAvailable",	//560
    "encryptedBytesToWrite",	//561
    "encryptedBytesWritten",	//562
    "encryptedBytesWritten$",	//563
    "encryptionMethod",	//564
    "equal",	//565
    "equal##$",	//566
    "error",	//567
    "error$",	//568
    "errorString",	//569
    "event",	//570
    "eventFilter",	//571
    "expirationDate",	//572
    "expire",	//573
    "expiryDate",	//574
    "fileMetaData",	//575
    "fileMetaData$",	//576
    "finished",	//577
    "finished#",	//578
    "flags",	//579
    "flush",	//580
    "fromData",	//581
    "fromData#",	//582
    "fromData#$",	//583
    "fromDevice",	//584
    "fromDevice#",	//585
    "fromDevice#$",	//586
    "fromName",	//587
    "fromName$",	//588
    "fromPath",	//589
    "fromPath$",	//590
    "fromPath$$",	//591
    "fromPath$$$",	//592
    "fullServerName",	//593
    "get",	//594
    "get#",	//595
    "get$",	//596
    "get$#",	//597
    "get$#$",	//598
    "greaterThan",	//599
    "greaterThan##$",	//600
    "group",	//601
    "handle",	//602
    "hardwareAddress",	//603
    "hasContentLength",	//604
    "hasContentType",	//605
    "hasKey",	//606
    "hasKey$",	//607
    "hasPendingCommands",	//608
    "hasPendingConnections",	//609
    "hasPendingDatagrams",	//610
    "hasPendingRequests",	//611
    "hasRawHeader",	//612
    "hasRawHeader#",	//613
    "head",	//614
    "head#",	//615
    "head$",	//616
    "header",	//617
    "header$",	//618
    "hostFound",	//619
    "hostName",	//620
    "humanReadableName",	//621
    "identifier",	//622
    "ignore",	//623
    "ignoreSslErrors",	//624
    "ignoreSslErrors?",	//625
    "incomingConnection",	//626
    "incomingConnection$",	//627
    "incomingConnection?",	//628
    "index",	//629
    "insert",	//630
    "insert#",	//631
    "interface",	//632
    "interfaceFromIndex",	//633
    "interfaceFromIndex$",	//634
    "interfaceFromName",	//635
    "interfaceFromName$",	//636
    "ip",	//637
    "isCachingProxy",	//638
    "isDir",	//639
    "isEncrypted",	//640
    "isExecutable",	//641
    "isFile",	//642
    "isFinished",	//643
    "isHttpOnly",	//644
    "isInSubnet",	//645
    "isInSubnet#$",	//646
    "isInSubnet?",	//647
    "isListening",	//648
    "isNull",	//649
    "isOnline",	//650
    "isOpen",	//651
    "isReadable",	//652
    "isRoamingAvailable",	//653
    "isRunning",	//654
    "isSecure",	//655
    "isSequential",	//656
    "isSessionCookie",	//657
    "isSymLink",	//658
    "isTransparentProxy",	//659
    "isValid",	//660
    "isWritable",	//661
    "issuerInfo",	//662
    "issuerInfo#",	//663
    "issuerInfo$",	//664
    "joinMulticastGroup",	//665
    "joinMulticastGroup#",	//666
    "joinMulticastGroup##",	//667
    "keyExchangeMethod",	//668
    "keys",	//669
    "lastModified",	//670
    "lastRead",	//671
    "lastResponse",	//672
    "leaveMulticastGroup",	//673
    "leaveMulticastGroup#",	//674
    "leaveMulticastGroup##",	//675
    "length",	//676
    "lessThan",	//677
    "lessThan##$",	//678
    "list",	//679
    "list$",	//680
    "listInfo",	//681
    "listInfo#",	//682
    "listen",	//683
    "listen#",	//684
    "listen#$",	//685
    "listen$",	//686
    "localAddress",	//687
    "localCertificate",	//688
    "localDomainName",	//689
    "localHostName",	//690
    "localPort",	//691
    "login",	//692
    "login$",	//693
    "login$$",	//694
    "lookupHost",	//695
    "lookupHost$#$",	//696
    "lookupId",	//697
    "majorVersion",	//698
    "manager",	//699
    "maxPendingConnections",	//700
    "maximumCacheSize",	//701
    "metaData",	//702
    "metaData#",	//703
    "metaDataChanged",	//704
    "metaObject",	//705
    "method",	//706
    "migrate",	//707
    "minorVersion",	//708
    "mkdir",	//709
    "mkdir$",	//710
    "mode",	//711
    "modeChanged",	//712
    "modeChanged$",	//713
    "multicastInterface",	//714
    "name",	//715
    "netmask",	//716
    "networkAccessible",	//717
    "networkAccessibleChanged",	//718
    "networkAccessibleChanged$",	//719
    "networkConfiguration",	//720
    "networkSessionConnected",	//721
    "newConfigurationActivated",	//722
    "newConnection",	//723
    "nextPendingConnection",	//724
    "onlineStateChanged",	//725
    "onlineStateChanged$",	//726
    "open",	//727
    "opened",	//728
    "operation",	//729
    "operator!=",	//730
    "operator!=#",	//731
    "operator!=##",	//732
    "operator!=#$",	//733
    "operator!=$",	//734
    "operator!=$#",	//735
    "operator!=$$",	//736
    "operator&",	//737
    "operator&##",	//738
    "operator*",	//739
    "operator*#$",	//740
    "operator*$#",	//741
    "operator+",	//742
    "operator+##",	//743
    "operator+#$",	//744
    "operator+$#",	//745
    "operator+$$",	//746
    "operator-",	//747
    "operator-#",	//748
    "operator-##",	//749
    "operator/",	//750
    "operator/#$",	//751
    "operator<",	//752
    "operator<##",	//753
    "operator<#$",	//754
    "operator<$#",	//755
    "operator<$$",	//756
    "operator<<",	//757
    "operator<<##",	//758
    "operator<<#$",	//759
    "operator<<#?",	//760
    "operator<=",	//761
    "operator<=##",	//762
    "operator<=#$",	//763
    "operator<=$#",	//764
    "operator<=$$",	//765
    "operator=",	//766
    "operator=#",	//767
    "operator=$",	//768
    "operator==",	//769
    "operator==#",	//770
    "operator==##",	//771
    "operator==#$",	//772
    "operator==$",	//773
    "operator==$#",	//774
    "operator==$$",	//775
    "operator>",	//776
    "operator>##",	//777
    "operator>#$",	//778
    "operator>$#",	//779
    "operator>$$",	//780
    "operator>=",	//781
    "operator>=##",	//782
    "operator>=#$",	//783
    "operator>=$#",	//784
    "operator>=$$",	//785
    "operator>>",	//786
    "operator>>##",	//787
    "operator>>#$",	//788
    "operator>>#?",	//789
    "operator[]",	//790
    "operator[]$",	//791
    "operator^",	//792
    "operator^##",	//793
    "operator|",	//794
    "operator|##",	//795
    "operator|$$",	//796
    "option",	//797
    "option$",	//798
    "options",	//799
    "originatingObject",	//800
    "owner",	//801
    "parse",	//802
    "parse$",	//803
    "parseCookies",	//804
    "parseCookies#",	//805
    "parseLine",	//806
    "parseLine$$",	//807
    "parseSubnet",	//808
    "parseSubnet$",	//809
    "password",	//810
    "path",	//811
    "peerAddress",	//812
    "peerCertificate",	//813
    "peerCertificateChain",	//814
    "peerHostName",	//815
    "peerName",	//816
    "peerPort",	//817
    "peerVerifyDepth",	//818
    "peerVerifyError",	//819
    "peerVerifyError#",	//820
    "peerVerifyMode",	//821
    "peerVerifyName",	//822
    "pendingDatagramSize",	//823
    "permissions",	//824
    "port",	//825
    "pos",	//826
    "post",	//827
    "post##",	//828
    "post$#",	//829
    "post$##",	//830
    "preferredConfigurationChanged",	//831
    "preferredConfigurationChanged#$",	//832
    "prefixLength",	//833
    "prepare",	//834
    "prepare#",	//835
    "priority",	//836
    "privateKey",	//837
    "protocol",	//838
    "protocolString",	//839
    "protocolTag",	//840
    "proxy",	//841
    "proxyAuthenticationRequired",	//842
    "proxyAuthenticationRequired##",	//843
    "proxyFactory",	//844
    "proxyForQuery",	//845
    "proxyForQuery#",	//846
    "publicKey",	//847
    "purpose",	//848
    "put",	//849
    "put##",	//850
    "put#$",	//851
    "put#$$",	//852
    "qAcos",	//853
    "qAcos$",	//854
    "qAddPostRoutine",	//855
    "qAddPostRoutine$",	//856
    "qAppName",	//857
    "qAsin",	//858
    "qAsin$",	//859
    "qAtan",	//860
    "qAtan$",	//861
    "qAtan2",	//862
    "qAtan2$$",	//863
    "qBadAlloc",	//864
    "qCeil",	//865
    "qCeil$",	//866
    "qChecksum",	//867
    "qChecksum$$",	//868
    "qCompress",	//869
    "qCompress#",	//870
    "qCompress#$",	//871
    "qCompress$$",	//872
    "qCompress$$$",	//873
    "qCos",	//874
    "qCos$",	//875
    "qCritical",	//876
    "qDebug",	//877
    "qExp",	//878
    "qExp$",	//879
    "qFabs",	//880
    "qFabs$",	//881
    "qFastCos",	//882
    "qFastCos$",	//883
    "qFastSin",	//884
    "qFastSin$",	//885
    "qFlagLocation",	//886
    "qFlagLocation$",	//887
    "qFloor",	//888
    "qFloor$",	//889
    "qFree",	//890
    "qFree$",	//891
    "qFreeAligned",	//892
    "qFreeAligned$",	//893
    "qFuzzyCompare",	//894
    "qFuzzyCompare$$",	//895
    "qFuzzyIsNull",	//896
    "qFuzzyIsNull$",	//897
    "qHash",	//898
    "qHash#",	//899
    "qHash$",	//900
    "qInf",	//901
    "qInstallMsgHandler",	//902
    "qInstallMsgHandler$",	//903
    "qIntCast",	//904
    "qIntCast$",	//905
    "qIsFinite",	//906
    "qIsFinite$",	//907
    "qIsInf",	//908
    "qIsInf$",	//909
    "qIsNaN",	//910
    "qIsNaN$",	//911
    "qIsNull",	//912
    "qIsNull$",	//913
    "qLn",	//914
    "qLn$",	//915
    "qMalloc",	//916
    "qMalloc$",	//917
    "qMallocAligned",	//918
    "qMallocAligned$$",	//919
    "qMemCopy",	//920
    "qMemCopy$$$",	//921
    "qMemSet",	//922
    "qMemSet$$$",	//923
    "qPow",	//924
    "qPow$$",	//925
    "qQNaN",	//926
    "qRealloc",	//927
    "qRealloc$$",	//928
    "qReallocAligned",	//929
    "qReallocAligned$$$$",	//930
    "qRegisterStaticPluginInstanceFunction",	//931
    "qRegisterStaticPluginInstanceFunction#",	//932
    "qRemovePostRoutine",	//933
    "qRemovePostRoutine$",	//934
    "qRound",	//935
    "qRound$",	//936
    "qRound64",	//937
    "qRound64$",	//938
    "qSNaN",	//939
    "qSetFieldWidth",	//940
    "qSetFieldWidth$",	//941
    "qSetPadChar",	//942
    "qSetPadChar#",	//943
    "qSetRealNumberPrecision",	//944
    "qSetRealNumberPrecision$",	//945
    "qSharedBuild",	//946
    "qSin",	//947
    "qSin$",	//948
    "qSqrt",	//949
    "qSqrt$",	//950
    "qStringComparisonHelper",	//951
    "qStringComparisonHelper#$",	//952
    "qStringComparisonHelper$$",	//953
    "qTan",	//954
    "qTan$",	//955
    "qUncompress",	//956
    "qUncompress#",	//957
    "qUncompress$$",	//958
    "qVersion",	//959
    "qWarning",	//960
    "qbswap_helper",	//961
    "qbswap_helper$$$",	//962
    "qecvt",	//963
    "qecvt$$$$",	//964
    "qecvt_r",	//965
    "qecvt_r$$$$$$",	//966
    "qfcvt",	//967
    "qfcvt$$$$",	//968
    "qfcvt_r",	//969
    "qfcvt_r$$$$$$",	//970
    "qgcvt",	//971
    "qgcvt$$$",	//972
    "qgetenv",	//973
    "qgetenv$",	//974
    "qputenv",	//975
    "qputenv$#",	//976
    "qrand",	//977
    "qsort",	//978
    "qsort$$$$",	//979
    "qsrand",	//980
    "qsrand$",	//981
    "qstrcmp",	//982
    "qstrcmp##",	//983
    "qstrcmp#$",	//984
    "qstrcmp$#",	//985
    "qstrcmp$$",	//986
    "qstrcpy",	//987
    "qstrcpy$$",	//988
    "qstrdup",	//989
    "qstrdup$",	//990
    "qstricmp",	//991
    "qstricmp$$",	//992
    "qstrlen",	//993
    "qstrlen$",	//994
    "qstrncmp",	//995
    "qstrncmp$$$",	//996
    "qstrncpy",	//997
    "qstrncpy$$$",	//998
    "qstrnicmp",	//999
    "qstrnicmp$$$",	//1000
    "qstrnlen",	//1001
    "qstrnlen$$",	//1002
    "qtTrId",	//1003
    "qtTrId$",	//1004
    "qtTrId$$",	//1005
    "qt_assert",	//1006
    "qt_assert$$$",	//1007
    "qt_assert_x",	//1008
    "qt_assert_x$$$$",	//1009
    "qt_check_pointer",	//1010
    "qt_check_pointer$$",	//1011
    "qt_error_string",	//1012
    "qt_error_string$",	//1013
    "qt_message_output",	//1014
    "qt_message_output$$",	//1015
    "qt_metacall",	//1016
    "qt_metacall$$?",	//1017
    "qt_metacast",	//1018
    "qt_metacast$",	//1019
    "qt_noop",	//1020
    "qt_qFindChild_helper",	//1021
    "qt_qFindChild_helper#$#",	//1022
    "qt_qFindChildren_helper",	//1023
    "qt_qFindChildren_helper#$##?",	//1024
    "queryProxy",	//1025
    "queryProxy#",	//1026
    "queryType",	//1027
    "qvariant_cast_helper",	//1028
    "qvariant_cast_helper#$$",	//1029
    "qvsnprintf",	//1030
    "qvsnprintf$$$?",	//1031
    "rawCommand",	//1032
    "rawCommand$",	//1033
    "rawCommandReply",	//1034
    "rawCommandReply$$",	//1035
    "rawHeader",	//1036
    "rawHeader#",	//1037
    "rawHeaderList",	//1038
    "rawHeaderPairs",	//1039
    "rawHeaders",	//1040
    "read",	//1041
    "read$$",	//1042
    "readAll",	//1043
    "readBufferSize",	//1044
    "readData",	//1045
    "readData$$",	//1046
    "readDatagram",	//1047
    "readDatagram$$",	//1048
    "readDatagram$$#",	//1049
    "readDatagram$$#$",	//1050
    "readLineData",	//1051
    "readLineData$$",	//1052
    "readyRead",	//1053
    "readyRead#",	//1054
    "realm",	//1055
    "reasonPhrase",	//1056
    "reject",	//1057
    "remove",	//1058
    "remove#",	//1059
    "remove$",	//1060
    "removeAllValues",	//1061
    "removeAllValues$",	//1062
    "removeServer",	//1063
    "removeServer$",	//1064
    "removeValue",	//1065
    "removeValue$",	//1066
    "rename",	//1067
    "rename$$",	//1068
    "request",	//1069
    "request#",	//1070
    "request##",	//1071
    "request###",	//1072
    "requestFinished",	//1073
    "requestFinished$$",	//1074
    "requestStarted",	//1075
    "requestStarted$",	//1076
    "reset",	//1077
    "responseHeaderReceived",	//1078
    "responseHeaderReceived#",	//1079
    "rmdir",	//1080
    "rmdir$",	//1081
    "saveToDisk",	//1082
    "scopeId",	//1083
    "seek",	//1084
    "sendCustomRequest",	//1085
    "sendCustomRequest##",	//1086
    "sendCustomRequest###",	//1087
    "serialNumber",	//1088
    "serverAddress",	//1089
    "serverError",	//1090
    "serverName",	//1091
    "serverPort",	//1092
    "sessionCipher",	//1093
    "sessionProperty",	//1094
    "sessionProperty$",	//1095
    "setAddress",	//1096
    "setAddress#",	//1097
    "setAddress$",	//1098
    "setAddresses",	//1099
    "setAddresses?",	//1100
    "setAllCookies",	//1101
    "setAllCookies?",	//1102
    "setApplicationProxy",	//1103
    "setApplicationProxy#",	//1104
    "setApplicationProxyFactory",	//1105
    "setApplicationProxyFactory#",	//1106
    "setAttribute",	//1107
    "setAttribute$#",	//1108
    "setAttributes",	//1109
    "setAttributes?",	//1110
    "setBroadcast",	//1111
    "setBroadcast#",	//1112
    "setCaCertificates",	//1113
    "setCaCertificates?",	//1114
    "setCache",	//1115
    "setCache#",	//1116
    "setCacheDirectory",	//1117
    "setCacheDirectory$",	//1118
    "setCapabilities",	//1119
    "setCapabilities$",	//1120
    "setCiphers",	//1121
    "setCiphers$",	//1122
    "setCiphers?",	//1123
    "setConfiguration",	//1124
    "setConfiguration#",	//1125
    "setContentLength",	//1126
    "setContentLength$",	//1127
    "setContentType",	//1128
    "setContentType$",	//1129
    "setCookieJar",	//1130
    "setCookieJar#",	//1131
    "setCookiesFromUrl",	//1132
    "setCookiesFromUrl?#",	//1133
    "setDefaultCaCertificates",	//1134
    "setDefaultCaCertificates?",	//1135
    "setDefaultCiphers",	//1136
    "setDefaultCiphers?",	//1137
    "setDefaultConfiguration",	//1138
    "setDefaultConfiguration#",	//1139
    "setDir",	//1140
    "setDir$",	//1141
    "setDomain",	//1142
    "setDomain$",	//1143
    "setError",	//1144
    "setError$",	//1145
    "setError$$",	//1146
    "setErrorString",	//1147
    "setErrorString$",	//1148
    "setExpirationDate",	//1149
    "setExpirationDate#",	//1150
    "setFile",	//1151
    "setFile$",	//1152
    "setFinished",	//1153
    "setFinished$",	//1154
    "setGroup",	//1155
    "setGroup$",	//1156
    "setHeader",	//1157
    "setHeader$#",	//1158
    "setHost",	//1159
    "setHost$",	//1160
    "setHost$$",	//1161
    "setHost$$$",	//1162
    "setHostName",	//1163
    "setHostName$",	//1164
    "setHttpOnly",	//1165
    "setHttpOnly$",	//1166
    "setIp",	//1167
    "setIp#",	//1168
    "setLastModified",	//1169
    "setLastModified#",	//1170
    "setLastRead",	//1171
    "setLastRead#",	//1172
    "setLocalAddress",	//1173
    "setLocalAddress#",	//1174
    "setLocalCertificate",	//1175
    "setLocalCertificate#",	//1176
    "setLocalCertificate$",	//1177
    "setLocalCertificate$$",	//1178
    "setLocalPort",	//1179
    "setLocalPort$",	//1180
    "setLookupId",	//1181
    "setLookupId$",	//1182
    "setMaxPendingConnections",	//1183
    "setMaxPendingConnections$",	//1184
    "setMaximumCacheSize",	//1185
    "setMaximumCacheSize$",	//1186
    "setMulticastInterface",	//1187
    "setMulticastInterface#",	//1188
    "setName",	//1189
    "setName#",	//1190
    "setName$",	//1191
    "setNetmask",	//1192
    "setNetmask#",	//1193
    "setNetworkAccessible",	//1194
    "setNetworkAccessible$",	//1195
    "setNetworkConfiguration",	//1196
    "setNetworkConfiguration#",	//1197
    "setOperation",	//1198
    "setOperation$",	//1199
    "setOption",	//1200
    "setOption$#",	//1201
    "setOriginatingObject",	//1202
    "setOriginatingObject#",	//1203
    "setOwner",	//1204
    "setOwner$",	//1205
    "setPassword",	//1206
    "setPassword$",	//1207
    "setPath",	//1208
    "setPath$",	//1209
    "setPeerAddress",	//1210
    "setPeerAddress#",	//1211
    "setPeerHostName",	//1212
    "setPeerHostName$",	//1213
    "setPeerName",	//1214
    "setPeerName$",	//1215
    "setPeerPort",	//1216
    "setPeerPort$",	//1217
    "setPeerVerifyDepth",	//1218
    "setPeerVerifyDepth$",	//1219
    "setPeerVerifyMode",	//1220
    "setPeerVerifyMode$",	//1221
    "setPeerVerifyName",	//1222
    "setPeerVerifyName$",	//1223
    "setPermissions",	//1224
    "setPermissions$",	//1225
    "setPort",	//1226
    "setPort$",	//1227
    "setPrefixLength",	//1228
    "setPrefixLength$",	//1229
    "setPriority",	//1230
    "setPriority$",	//1231
    "setPrivateKey",	//1232
    "setPrivateKey#",	//1233
    "setPrivateKey$",	//1234
    "setPrivateKey$$",	//1235
    "setPrivateKey$$$",	//1236
    "setPrivateKey$$$#",	//1237
    "setProtocol",	//1238
    "setProtocol$",	//1239
    "setProtocolTag",	//1240
    "setProtocolTag$",	//1241
    "setProxy",	//1242
    "setProxy#",	//1243
    "setProxy$$",	//1244
    "setProxy$$$",	//1245
    "setProxy$$$$",	//1246
    "setProxyFactory",	//1247
    "setProxyFactory#",	//1248
    "setQueryType",	//1249
    "setQueryType$",	//1250
    "setRawHeader",	//1251
    "setRawHeader##",	//1252
    "setRawHeaders",	//1253
    "setRawHeaders?",	//1254
    "setReadBufferSize",	//1255
    "setReadBufferSize$",	//1256
    "setReadable",	//1257
    "setReadable$",	//1258
    "setRequest",	//1259
    "setRequest#",	//1260
    "setRequest$$",	//1261
    "setRequest$$$",	//1262
    "setRequest$$$$",	//1263
    "setSaveToDisk",	//1264
    "setSaveToDisk$",	//1265
    "setScopeId",	//1266
    "setScopeId$",	//1267
    "setSecure",	//1268
    "setSecure$",	//1269
    "setSessionProperty",	//1270
    "setSessionProperty$#",	//1271
    "setSize",	//1272
    "setSize$",	//1273
    "setSocket",	//1274
    "setSocket#",	//1275
    "setSocketDescriptor",	//1276
    "setSocketDescriptor$",	//1277
    "setSocketDescriptor$$",	//1278
    "setSocketDescriptor$$$",	//1279
    "setSocketDescriptor?",	//1280
    "setSocketDescriptor?$",	//1281
    "setSocketDescriptor?$$",	//1282
    "setSocketError",	//1283
    "setSocketError$",	//1284
    "setSocketOption",	//1285
    "setSocketOption$#",	//1286
    "setSocketState",	//1287
    "setSocketState$",	//1288
    "setSslConfiguration",	//1289
    "setSslConfiguration#",	//1290
    "setStatusLine",	//1291
    "setStatusLine$",	//1292
    "setStatusLine$$",	//1293
    "setStatusLine$$$",	//1294
    "setStatusLine$$$$",	//1295
    "setSymLink",	//1296
    "setSymLink$",	//1297
    "setTransferMode",	//1298
    "setTransferMode$",	//1299
    "setType",	//1300
    "setType$",	//1301
    "setUrl",	//1302
    "setUrl#",	//1303
    "setUseSystemConfiguration",	//1304
    "setUseSystemConfiguration$",	//1305
    "setUser",	//1306
    "setUser$",	//1307
    "setUser$$",	//1308
    "setValid",	//1309
    "setValid$",	//1310
    "setValue",	//1311
    "setValue#",	//1312
    "setValue$$",	//1313
    "setValues",	//1314
    "setValues?",	//1315
    "setWritable",	//1316
    "setWritable$",	//1317
    "size",	//1318
    "socketDescriptor",	//1319
    "socketOption",	//1320
    "socketOption$",	//1321
    "socketType",	//1322
    "sslConfiguration",	//1323
    "sslErrors",	//1324
    "sslErrors#?",	//1325
    "sslErrors?",	//1326
    "startClientEncryption",	//1327
    "startServerEncryption",	//1328
    "state",	//1329
    "stateChanged",	//1330
    "stateChanged$",	//1331
    "staticMetaObject",	//1332
    "statusCode",	//1333
    "stop",	//1334
    "subjectInfo",	//1335
    "subjectInfo#",	//1336
    "subjectInfo$",	//1337
    "supportedBits",	//1338
    "supportedCiphers",	//1339
    "supportsSsl",	//1340
    "systemCaCertificates",	//1341
    "systemProxyForQuery",	//1342
    "systemProxyForQuery#",	//1343
    "timerEvent",	//1344
    "toDer",	//1345
    "toDer#",	//1346
    "toIPv4Address",	//1347
    "toIPv6Address",	//1348
    "toPem",	//1349
    "toPem#",	//1350
    "toRawForm",	//1351
    "toRawForm$",	//1352
    "toString",	//1353
    "tr",	//1354
    "tr$",	//1355
    "tr$$",	//1356
    "tr$$$",	//1357
    "trUtf8",	//1358
    "trUtf8$",	//1359
    "trUtf8$$",	//1360
    "trUtf8$$$",	//1361
    "type",	//1362
    "updateCompleted",	//1363
    "updateConfigurations",	//1364
    "updateMetaData",	//1365
    "updateMetaData#",	//1366
    "uploadProgress",	//1367
    "uploadProgress$$",	//1368
    "url",	//1369
    "usedBits",	//1370
    "user",	//1371
    "value",	//1372
    "value$",	//1373
    "values",	//1374
    "version",	//1375
    "waitForBytesWritten",	//1376
    "waitForBytesWritten$",	//1377
    "waitForConnected",	//1378
    "waitForConnected$",	//1379
    "waitForDisconnected",	//1380
    "waitForDisconnected$",	//1381
    "waitForEncrypted",	//1382
    "waitForEncrypted$",	//1383
    "waitForNewConnection",	//1384
    "waitForNewConnection$",	//1385
    "waitForNewConnection$$",	//1386
    "waitForOpened",	//1387
    "waitForOpened$",	//1388
    "waitForReadyRead",	//1389
    "waitForReadyRead$",	//1390
    "writeData",	//1391
    "writeData$$",	//1392
    "writeDatagram",	//1393
    "writeDatagram##$",	//1394
    "writeDatagram$$#$",	//1395
    "~QAbstractNetworkCache",	//1396
    "~QAbstractSocket",	//1397
    "~QAuthenticator",	//1398
    "~QFtp",	//1399
    "~QHostAddress",	//1400
    "~QHostInfo",	//1401
    "~QHttp",	//1402
    "~QHttpHeader",	//1403
    "~QHttpRequestHeader",	//1404
    "~QHttpResponseHeader",	//1405
    "~QIPv6Address",	//1406
    "~QLocalServer",	//1407
    "~QLocalSocket",	//1408
    "~QNetworkAccessManager",	//1409
    "~QNetworkAddressEntry",	//1410
    "~QNetworkCacheMetaData",	//1411
    "~QNetworkConfiguration",	//1412
    "~QNetworkConfigurationManager",	//1413
    "~QNetworkCookie",	//1414
    "~QNetworkCookieJar",	//1415
    "~QNetworkDiskCache",	//1416
    "~QNetworkInterface",	//1417
    "~QNetworkProxy",	//1418
    "~QNetworkProxyFactory",	//1419
    "~QNetworkProxyQuery",	//1420
    "~QNetworkReply",	//1421
    "~QNetworkRequest",	//1422
    "~QNetworkSession",	//1423
    "~QSslCertificate",	//1424
    "~QSslCipher",	//1425
    "~QSslConfiguration",	//1426
    "~QSslError",	//1427
    "~QSslKey",	//1428
    "~QSslSocket",	//1429
    "~QTcpServer",	//1430
    "~QTcpSocket",	//1431
    "~QUdpSocket",	//1432
    "~QUrlInfo",	//1433
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 349, 1},	//1 QAbstractNetworkCache::metaObject() const
    {1, 1018, 1, 1, Smoke::mf_virtual, 421, 2},	//2 QAbstractNetworkCache::qt_metacast(const char*)
    {1, 1354, 3, 2, Smoke::mf_static, 209, 3},	//3 QAbstractNetworkCache::tr(const char*, const char*)
    {1, 1358, 3, 2, Smoke::mf_static, 209, 4},	//4 QAbstractNetworkCache::trUtf8(const char*, const char*)
    {1, 1354, 6, 3, Smoke::mf_static, 209, 5},	//5 QAbstractNetworkCache::tr(const char*, const char*, int)
    {1, 1358, 6, 3, Smoke::mf_static, 209, 6},	//6 QAbstractNetworkCache::trUtf8(const char*, const char*, int)
    {1, 1016, 10, 3, Smoke::mf_virtual, 399, 7},	//7 QAbstractNetworkCache::qt_metacall(QMetaObject::Call, int, void**)
    {1, 702, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 131, 8},	//8 QAbstractNetworkCache::metaData(const QUrl&) [pure virtual]
    {1, 1365, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//9 QAbstractNetworkCache::updateMetaData(const QNetworkCacheMetaData&) [pure virtual]
    {1, 531, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 95, 10},	//10 QAbstractNetworkCache::data(const QUrl&) [pure virtual]
    {1, 1058, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 315, 11},	//11 QAbstractNetworkCache::remove(const QUrl&) [pure virtual]
    {1, 469, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 404, 12},	//12 QAbstractNetworkCache::cacheSize() const [pure virtual]
    {1, 834, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 95, 13},	//13 QAbstractNetworkCache::prepare(const QNetworkCacheMetaData&) [pure virtual]
    {1, 630, 18, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//14 QAbstractNetworkCache::insert(QIODevice*) [pure virtual]
    {1, 478, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 15},	//15 QAbstractNetworkCache::clear() [pure virtual]
    {1, 183, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 2, 16},	//16 QAbstractNetworkCache::QAbstractNetworkCache(QObject*)
    {1, 1354, 1, 1, Smoke::mf_static, 209, 17},	//17 QAbstractNetworkCache::tr(const char*)
    {1, 1358, 1, 1, Smoke::mf_static, 209, 18},	//18 QAbstractNetworkCache::trUtf8(const char*)
    {1, 183, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 2, 19},	//19 QAbstractNetworkCache::QAbstractNetworkCache()
    {1, 1332, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 348, 20},	//20 QAbstractNetworkCache::staticMetaObject() const
    {1, 1396, 0, 0, Smoke::mf_dtor, 0, 21 },	//21 QAbstractNetworkCache::~QAbstractNetworkCache()
    {2, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 349, 1},	//22 QAbstractSocket::metaObject() const
    {2, 1018, 1, 1, Smoke::mf_virtual, 421, 2},	//23 QAbstractSocket::qt_metacast(const char*)
    {2, 1354, 3, 2, Smoke::mf_static, 209, 3},	//24 QAbstractSocket::tr(const char*, const char*)
    {2, 1358, 3, 2, Smoke::mf_static, 209, 4},	//25 QAbstractSocket::trUtf8(const char*, const char*)
    {2, 1354, 6, 3, Smoke::mf_static, 209, 5},	//26 QAbstractSocket::tr(const char*, const char*, int)
    {2, 1358, 6, 3, Smoke::mf_static, 209, 6},	//27 QAbstractSocket::trUtf8(const char*, const char*, int)
    {2, 1016, 10, 3, Smoke::mf_virtual, 399, 7},	//28 QAbstractSocket::qt_metacall(QMetaObject::Call, int, void**)
    {2, 185, 22, 2, Smoke::mf_ctor, 3, 8},	//29 QAbstractSocket::QAbstractSocket(QAbstractSocket::SocketType, QObject*)
    {2, 499, 25, 3, 0, 0, 9},	//30 QAbstractSocket::connectToHost(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {2, 499, 29, 3, 0, 0, 10},	//31 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {2, 547, 0, 0, 0, 0, 11},	//32 QAbstractSocket::disconnectFromHost()
    {2, 660, 0, 0, Smoke::mf_const, 315, 12},	//33 QAbstractSocket::isValid() const
    {2, 462, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 404, 13},	//34 QAbstractSocket::bytesAvailable() const
    {2, 464, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 404, 14},	//35 QAbstractSocket::bytesToWrite() const
    {2, 470, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 315, 15},	//36 QAbstractSocket::canReadLine() const
    {2, 691, 0, 0, Smoke::mf_const, 416, 16},	//37 QAbstractSocket::localPort() const
    {2, 687, 0, 0, Smoke::mf_const, 74, 17},	//38 QAbstractSocket::localAddress() const
    {2, 817, 0, 0, Smoke::mf_const, 416, 18},	//39 QAbstractSocket::peerPort() const
    {2, 812, 0, 0, Smoke::mf_const, 74, 19},	//40 QAbstractSocket::peerAddress() const
    {2, 816, 0, 0, Smoke::mf_const, 209, 20},	//41 QAbstractSocket::peerName() const
    {2, 1044, 0, 0, Smoke::mf_const, 404, 21},	//42 QAbstractSocket::readBufferSize() const
    {2, 1255, 33, 1, 0, 0, 22},	//43 QAbstractSocket::setReadBufferSize(long long)
    {2, 408, 0, 0, 0, 0, 23},	//44 QAbstractSocket::abort()
    {2, 1319, 0, 0, Smoke::mf_const, 399, 24},	//45 QAbstractSocket::socketDescriptor() const
    {2, 1276, 35, 3, 0, 315, 25},	//46 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>)
    {2, 1285, 39, 2, 0, 0, 26},	//47 QAbstractSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {2, 1320, 42, 1, 0, 234, 27},	//48 QAbstractSocket::socketOption(QAbstractSocket::SocketOption)
    {2, 1322, 0, 0, Smoke::mf_const, 8, 28},	//49 QAbstractSocket::socketType() const
    {2, 1329, 0, 0, Smoke::mf_const, 7, 29},	//50 QAbstractSocket::state() const
    {2, 567, 0, 0, Smoke::mf_const, 5, 30},	//51 QAbstractSocket::error() const
    {2, 481, 0, 0, Smoke::mf_virtual, 0, 31},	//52 QAbstractSocket::close()
    {2, 656, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 315, 32},	//53 QAbstractSocket::isSequential() const
    {2, 444, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 315, 33},	//54 QAbstractSocket::atEnd() const
    {2, 580, 0, 0, 0, 315, 34},	//55 QAbstractSocket::flush()
    {2, 1378, 44, 1, 0, 315, 35},	//56 QAbstractSocket::waitForConnected(int)
    {2, 1389, 44, 1, Smoke::mf_virtual, 315, 36},	//57 QAbstractSocket::waitForReadyRead(int)
    {2, 1376, 44, 1, Smoke::mf_virtual, 315, 37},	//58 QAbstractSocket::waitForBytesWritten(int)
    {2, 1380, 44, 1, 0, 315, 38},	//59 QAbstractSocket::waitForDisconnected(int)
    {2, 1242, 46, 1, 0, 0, 39},	//60 QAbstractSocket::setProxy(const QNetworkProxy&)
    {2, 841, 0, 0, Smoke::mf_const, 152, 40},	//61 QAbstractSocket::proxy() const
    {2, 619, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//62 QAbstractSocket::hostFound()
    {2, 515, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//63 QAbstractSocket::connected()
    {2, 552, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//64 QAbstractSocket::disconnected()
    {2, 1330, 48, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//65 QAbstractSocket::stateChanged(QAbstractSocket::SocketState)
    {2, 567, 50, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//66 QAbstractSocket::error(QAbstractSocket::SocketError)
    {2, 842, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//67 QAbstractSocket::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {2, 509, 55, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 47},	//68 QAbstractSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {2, 548, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 48},	//69 QAbstractSocket::disconnectFromHostImplementation()
    {2, 1045, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 404, 49},	//70 QAbstractSocket::readData(char*, long long)
    {2, 1051, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 404, 50},	//71 QAbstractSocket::readLineData(char*, long long)
    {2, 1391, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 404, 51},	//72 QAbstractSocket::writeData(const char*, long long)
    {2, 1287, 48, 1, Smoke::mf_protected, 0, 52},	//73 QAbstractSocket::setSocketState(QAbstractSocket::SocketState)
    {2, 1283, 50, 1, Smoke::mf_protected, 0, 53},	//74 QAbstractSocket::setSocketError(QAbstractSocket::SocketError)
    {2, 1179, 65, 1, Smoke::mf_protected, 0, 54},	//75 QAbstractSocket::setLocalPort(unsigned short)
    {2, 1173, 67, 1, Smoke::mf_protected, 0, 55},	//76 QAbstractSocket::setLocalAddress(const QHostAddress&)
    {2, 1216, 65, 1, Smoke::mf_protected, 0, 56},	//77 QAbstractSocket::setPeerPort(unsigned short)
    {2, 1210, 67, 1, Smoke::mf_protected, 0, 57},	//78 QAbstractSocket::setPeerAddress(const QHostAddress&)
    {2, 1214, 69, 1, Smoke::mf_protected, 0, 58},	//79 QAbstractSocket::setPeerName(const QString&)
    {2, 1354, 1, 1, Smoke::mf_static, 209, 59},	//80 QAbstractSocket::tr(const char*)
    {2, 1358, 1, 1, Smoke::mf_static, 209, 60},	//81 QAbstractSocket::trUtf8(const char*)
    {2, 499, 71, 2, 0, 0, 61},	//82 QAbstractSocket::connectToHost(const QString&, unsigned short)
    {2, 499, 74, 2, 0, 0, 62},	//83 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short)
    {2, 1276, 44, 1, 0, 315, 63},	//84 QAbstractSocket::setSocketDescriptor(int)
    {2, 1276, 77, 2, 0, 315, 64},	//85 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {2, 1378, 0, 0, 0, 315, 65},	//86 QAbstractSocket::waitForConnected()
    {2, 1389, 0, 0, 0, 315, 66},	//87 QAbstractSocket::waitForReadyRead()
    {2, 1376, 0, 0, 0, 315, 67},	//88 QAbstractSocket::waitForBytesWritten()
    {2, 1380, 0, 0, 0, 315, 68},	//89 QAbstractSocket::waitForDisconnected()
    {2, 509, 80, 2, Smoke::mf_protected|Smoke::mf_slot, 0, 69},	//90 QAbstractSocket::connectToHostImplementation(const QString&, quint16)
    {2, 1332, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 348, 70},	//91 QAbstractSocket::staticMetaObject() const
    {2, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 71},	//92 QAbstractSocket::TcpSocket (enum)
    {2, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 72},	//93 QAbstractSocket::UdpSocket (enum)
    {2, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 73},	//94 QAbstractSocket::UnknownSocketType (enum)
    {2, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 74},	//95 QAbstractSocket::IPv4Protocol (enum)
    {2, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 75},	//96 QAbstractSocket::IPv6Protocol (enum)
    {2, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 76},	//97 QAbstractSocket::UnknownNetworkLayerProtocol (enum)
    {2, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 77},	//98 QAbstractSocket::ConnectionRefusedError (enum)
    {2, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 78},	//99 QAbstractSocket::RemoteHostClosedError (enum)
    {2, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 79},	//100 QAbstractSocket::HostNotFoundError (enum)
    {2, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 80},	//101 QAbstractSocket::SocketAccessError (enum)
    {2, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 81},	//102 QAbstractSocket::SocketResourceError (enum)
    {2, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 82},	//103 QAbstractSocket::SocketTimeoutError (enum)
    {2, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 83},	//104 QAbstractSocket::DatagramTooLargeError (enum)
    {2, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 84},	//105 QAbstractSocket::NetworkError (enum)
    {2, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 85},	//106 QAbstractSocket::AddressInUseError (enum)
    {2, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 86},	//107 QAbstractSocket::SocketAddressNotAvailableError (enum)
    {2, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 87},	//108 QAbstractSocket::UnsupportedSocketOperationError (enum)
    {2, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 88},	//109 QAbstractSocket::UnfinishedSocketOperationError (enum)
    {2, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 89},	//110 QAbstractSocket::ProxyAuthenticationRequiredError (enum)
    {2, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 90},	//111 QAbstractSocket::SslHandshakeFailedError (enum)
    {2, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 91},	//112 QAbstractSocket::ProxyConnectionRefusedError (enum)
    {2, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 92},	//113 QAbstractSocket::ProxyConnectionClosedError (enum)
    {2, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 93},	//114 QAbstractSocket::ProxyConnectionTimeoutError (enum)
    {2, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 94},	//115 QAbstractSocket::ProxyNotFoundError (enum)
    {2, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 95},	//116 QAbstractSocket::ProxyProtocolError (enum)
    {2, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 96},	//117 QAbstractSocket::UnknownSocketError (enum)
    {2, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 97},	//118 QAbstractSocket::UnconnectedState (enum)
    {2, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 98},	//119 QAbstractSocket::HostLookupState (enum)
    {2, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 99},	//120 QAbstractSocket::ConnectingState (enum)
    {2, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 100},	//121 QAbstractSocket::ConnectedState (enum)
    {2, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 101},	//122 QAbstractSocket::BoundState (enum)
    {2, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 102},	//123 QAbstractSocket::ListeningState (enum)
    {2, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 103},	//124 QAbstractSocket::ClosingState (enum)
    {2, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 104},	//125 QAbstractSocket::LowDelayOption (enum)
    {2, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 105},	//126 QAbstractSocket::KeepAliveOption (enum)
    {2, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 106},	//127 QAbstractSocket::MulticastTtlOption (enum)
    {2, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 107},	//128 QAbstractSocket::MulticastLoopbackOption (enum)
    {2, 1397, 0, 0, Smoke::mf_dtor, 0, 108 },	//129 QAbstractSocket::~QAbstractSocket()
    {3, 187, 0, 0, Smoke::mf_ctor, 10, 1},	//130 QAuthenticator::QAuthenticator()
    {3, 187, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 10, 2},	//131 QAuthenticator::QAuthenticator(const QAuthenticator&)
    {3, 766, 83, 1, 0, 9, 3},	//132 QAuthenticator::operator=(const QAuthenticator&)
    {3, 769, 83, 1, Smoke::mf_const, 315, 4},	//133 QAuthenticator::operator==(const QAuthenticator&) const
    {3, 730, 83, 1, Smoke::mf_const, 315, 5},	//134 QAuthenticator::operator!=(const QAuthenticator&) const
    {3, 1371, 0, 0, Smoke::mf_const, 209, 6},	//135 QAuthenticator::user() const
    {3, 1306, 69, 1, 0, 0, 7},	//136 QAuthenticator::setUser(const QString&)
    {3, 810, 0, 0, Smoke::mf_const, 209, 8},	//137 QAuthenticator::password() const
    {3, 1206, 69, 1, 0, 0, 9},	//138 QAuthenticator::setPassword(const QString&)
    {3, 1055, 0, 0, Smoke::mf_const, 209, 10},	//139 QAuthenticator::realm() const
    {3, 797, 69, 1, Smoke::mf_const, 234, 11},	//140 QAuthenticator::option(const QString&) const
    {3, 799, 0, 0, Smoke::mf_const, 73, 12},	//141 QAuthenticator::options() const
    {3, 1200, 85, 2, 0, 0, 13},	//142 QAuthenticator::setOption(const QString&, const QVariant&)
    {3, 649, 0, 0, Smoke::mf_const, 315, 14},	//143 QAuthenticator::isNull() const
    {3, 544, 0, 0, 0, 0, 15},	//144 QAuthenticator::detach()
    {3, 1398, 0, 0, Smoke::mf_dtor, 0, 16 },	//145 QAuthenticator::~QAuthenticator()
    {16, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 349, 1},	//146 QFtp::metaObject() const
    {16, 1018, 1, 1, Smoke::mf_virtual, 421, 2},	//147 QFtp::qt_metacast(const char*)
    {16, 1354, 3, 2, Smoke::mf_static, 209, 3},	//148 QFtp::tr(const char*, const char*)
    {16, 1358, 3, 2, Smoke::mf_static, 209, 4},	//149 QFtp::trUtf8(const char*, const char*)
    {16, 1354, 6, 3, Smoke::mf_static, 209, 5},	//150 QFtp::tr(const char*, const char*, int)
    {16, 1358, 6, 3, Smoke::mf_static, 209, 6},	//151 QFtp::trUtf8(const char*, const char*, int)
    {16, 1016, 10, 3, Smoke::mf_virtual, 399, 7},	//152 QFtp::qt_metacall(QMetaObject::Call, int, void**)
    {16, 189, 20, 1, Smoke::mf_ctor, 66, 8},	//153 QFtp::QFtp(QObject*)
    {16, 1242, 71, 2, 0, 399, 9},	//154 QFtp::setProxy(const QString&, unsigned short)
    {16, 499, 71, 2, 0, 399, 10},	//155 QFtp::connectToHost(const QString&, unsigned short)
    {16, 692, 88, 2, 0, 399, 11},	//156 QFtp::login(const QString&, const QString&)
    {16, 481, 0, 0, 0, 399, 12},	//157 QFtp::close()
    {16, 1298, 91, 1, 0, 399, 13},	//158 QFtp::setTransferMode(QFtp::TransferMode)
    {16, 679, 69, 1, 0, 399, 14},	//159 QFtp::list(const QString&)
    {16, 472, 69, 1, 0, 399, 15},	//160 QFtp::cd(const QString&)
    {16, 594, 93, 3, 0, 399, 16},	//161 QFtp::get(const QString&, QIODevice*, QFtp::TransferType)
    {16, 849, 97, 3, 0, 399, 17},	//162 QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    {16, 849, 101, 3, 0, 399, 18},	//163 QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    {16, 1058, 69, 1, 0, 399, 19},	//164 QFtp::remove(const QString&)
    {16, 709, 69, 1, 0, 399, 20},	//165 QFtp::mkdir(const QString&)
    {16, 1080, 69, 1, 0, 399, 21},	//166 QFtp::rmdir(const QString&)
    {16, 1067, 88, 2, 0, 399, 22},	//167 QFtp::rename(const QString&, const QString&)
    {16, 1032, 69, 1, 0, 399, 23},	//168 QFtp::rawCommand(const QString&)
    {16, 462, 0, 0, Smoke::mf_const, 404, 24},	//169 QFtp::bytesAvailable() const
    {16, 1041, 59, 2, 0, 404, 25},	//170 QFtp::read(char*, long long)
    {16, 1043, 0, 0, 0, 14, 26},	//171 QFtp::readAll()
    {16, 527, 0, 0, Smoke::mf_const, 399, 27},	//172 QFtp::currentId() const
    {16, 526, 0, 0, Smoke::mf_const, 95, 28},	//173 QFtp::currentDevice() const
    {16, 524, 0, 0, Smoke::mf_const, 67, 29},	//174 QFtp::currentCommand() const
    {16, 608, 0, 0, Smoke::mf_const, 315, 30},	//175 QFtp::hasPendingCommands() const
    {16, 479, 0, 0, 0, 0, 31},	//176 QFtp::clearPendingCommands()
    {16, 1329, 0, 0, Smoke::mf_const, 69, 32},	//177 QFtp::state() const
    {16, 567, 0, 0, Smoke::mf_const, 68, 33},	//178 QFtp::error() const
    {16, 569, 0, 0, Smoke::mf_const, 209, 34},	//179 QFtp::errorString() const
    {16, 408, 0, 0, Smoke::mf_slot, 0, 35},	//180 QFtp::abort()
    {16, 1330, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//181 QFtp::stateChanged(int)
    {16, 681, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//182 QFtp::listInfo(const QUrlInfo&)
    {16, 1053, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//183 QFtp::readyRead()
    {16, 537, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//184 QFtp::dataTransferProgress(qint64, qint64)
    {16, 1034, 110, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//185 QFtp::rawCommandReply(int, const QString&)
    {16, 486, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//186 QFtp::commandStarted(int)
    {16, 484, 113, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//187 QFtp::commandFinished(int, bool)
    {16, 554, 116, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//188 QFtp::done(bool)
    {16, 1354, 1, 1, Smoke::mf_static, 209, 44},	//189 QFtp::tr(const char*)
    {16, 1358, 1, 1, Smoke::mf_static, 209, 45},	//190 QFtp::trUtf8(const char*)
    {16, 189, 0, 0, Smoke::mf_ctor, 66, 46},	//191 QFtp::QFtp()
    {16, 499, 69, 1, 0, 399, 47},	//192 QFtp::connectToHost(const QString&)
    {16, 692, 0, 0, 0, 399, 48},	//193 QFtp::login()
    {16, 692, 69, 1, 0, 399, 49},	//194 QFtp::login(const QString&)
    {16, 679, 0, 0, 0, 399, 50},	//195 QFtp::list()
    {16, 594, 69, 1, 0, 399, 51},	//196 QFtp::get(const QString&)
    {16, 594, 118, 2, 0, 399, 52},	//197 QFtp::get(const QString&, QIODevice*)
    {16, 849, 121, 2, 0, 399, 53},	//198 QFtp::put(const QByteArray&, const QString&)
    {16, 849, 124, 2, 0, 399, 54},	//199 QFtp::put(QIODevice*, const QString&)
    {16, 1332, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 348, 55},	//200 QFtp::staticMetaObject() const
    {16, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 56},	//201 QFtp::Unconnected (enum)
    {16, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 57},	//202 QFtp::HostLookup (enum)
    {16, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 58},	//203 QFtp::Connecting (enum)
    {16, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 59},	//204 QFtp::Connected (enum)
    {16, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 60},	//205 QFtp::LoggedIn (enum)
    {16, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 61},	//206 QFtp::Closing (enum)
    {16, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 62},	//207 QFtp::NoError (enum)
    {16, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 63},	//208 QFtp::UnknownError (enum)
    {16, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 64},	//209 QFtp::HostNotFound (enum)
    {16, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 65},	//210 QFtp::ConnectionRefused (enum)
    {16, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 66},	//211 QFtp::NotConnected (enum)
    {16, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 67},	//212 QFtp::None (enum)
    {16, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 68},	//213 QFtp::SetTransferMode (enum)
    {16, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 69},	//214 QFtp::SetProxy (enum)
    {16, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 70},	//215 QFtp::ConnectToHost (enum)
    {16, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 71},	//216 QFtp::Login (enum)
    {16, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 72},	//217 QFtp::Close (enum)
    {16, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 73},	//218 QFtp::List (enum)
    {16, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 74},	//219 QFtp::Cd (enum)
    {16, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 75},	//220 QFtp::Get (enum)
    {16, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 76},	//221 QFtp::Put (enum)
    {16, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 77},	//222 QFtp::Remove (enum)
    {16, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 78},	//223 QFtp::Mkdir (enum)
    {16, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 79},	//224 QFtp::Rmdir (enum)
    {16, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 80},	//225 QFtp::Rename (enum)
    {16, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 81},	//226 QFtp::RawCommand (enum)
    {16, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 82},	//227 QFtp::Active (enum)
    {16, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 83},	//228 QFtp::Passive (enum)
    {16, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 84},	//229 QFtp::Binary (enum)
    {16, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 85},	//230 QFtp::Ascii (enum)
    {16, 1399, 0, 0, Smoke::mf_dtor, 0, 86 },	//231 QFtp::~QFtp()
    {17, 737, 127, 2, Smoke::mf_static, 11, 1},	//232 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {17, 876, 0, 0, Smoke::mf_static, 24, 2},	//233 QGlobalSpace::qCritical()
    {17, 898, 130, 1, Smoke::mf_static, 413, 3},	//234 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {17, 794, 132, 2, Smoke::mf_static, 100, 4},	//235 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {17, 1006, 6, 3, Smoke::mf_static, 0, 5},	//236 QGlobalSpace::qt_assert(const char*, const char*, int)
    {17, 739, 135, 2, Smoke::mf_static, 363, 6},	//237 QGlobalSpace::operator*(const QPoint&, double)
    {17, 908, 138, 1, Smoke::mf_static, 315, 7},	//238 QGlobalSpace::qIsInf(double)
    {17, 757, 140, 2, Smoke::mf_static, 24, 8},	//239 QGlobalSpace::operator<<(QDebug, const QSslKey&)
    {17, 739, 143, 2, Smoke::mf_static, 365, 9},	//240 QGlobalSpace::operator*(double, const QPointF&)
    {17, 794, 146, 2, Smoke::mf_static, 59, 10},	//241 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {17, 730, 149, 2, Smoke::mf_static, 315, 11},	//242 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {17, 769, 152, 2, Smoke::mf_static, 315, 12},	//243 QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    {17, 739, 155, 2, Smoke::mf_static, 373, 13},	//244 QGlobalSpace::operator*(double, const QSizeF&)
    {17, 794, 158, 2, Smoke::mf_static, 100, 14},	//245 QGlobalSpace::operator|(QDir::SortFlag, int)
    {17, 757, 161, 2, Smoke::mf_static, 24, 15},	//246 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {17, 794, 164, 2, Smoke::mf_static, 100, 16},	//247 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {17, 987, 167, 2, Smoke::mf_static, 318, 17},	//248 QGlobalSpace::qstrcpy(char*, const char*)
    {17, 730, 170, 2, Smoke::mf_static, 315, 18},	//249 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {17, 742, 173, 2, Smoke::mf_static, 371, 19},	//250 QGlobalSpace::operator+(const QSize&, const QSize&)
    {17, 880, 138, 1, Smoke::mf_static, 397, 20},	//251 QGlobalSpace::qFabs(double)
    {17, 794, 176, 2, Smoke::mf_static, 46, 21},	//252 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {17, 757, 179, 2, Smoke::mf_static, 24, 22},	//253 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {17, 926, 0, 0, Smoke::mf_static, 397, 23},	//254 QGlobalSpace::qQNaN()
    {17, 898, 182, 1, Smoke::mf_static, 413, 24},	//255 QGlobalSpace::qHash(unsigned char)
    {17, 794, 184, 2, Smoke::mf_static, 33, 25},	//256 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {17, 959, 0, 0, Smoke::mf_static, 393, 26},	//257 QGlobalSpace::qVersion()
    {17, 794, 187, 2, Smoke::mf_static, 36, 27},	//258 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {17, 769, 149, 2, Smoke::mf_static, 315, 28},	//259 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {17, 794, 190, 2, Smoke::mf_static, 64, 29},	//260 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {17, 757, 193, 2, Smoke::mf_static, 20, 30},	//261 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {17, 739, 196, 2, Smoke::mf_static, 373, 31},	//262 QGlobalSpace::operator*(const QSizeF&, double)
    {17, 794, 199, 2, Smoke::mf_static, 100, 32},	//263 QGlobalSpace::operator|(QDir::Filter, int)
    {17, 776, 202, 2, Smoke::mf_static, 315, 33},	//264 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {17, 865, 138, 1, Smoke::mf_static, 399, 34},	//265 QGlobalSpace::qCeil(double)
    {17, 977, 0, 0, Smoke::mf_static, 399, 35},	//266 QGlobalSpace::qrand()
    {17, 747, 205, 2, Smoke::mf_static, 373, 36},	//267 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {17, 781, 208, 2, Smoke::mf_static, 315, 37},	//268 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {17, 769, 211, 2, Smoke::mf_static, 315, 38},	//269 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {17, 794, 214, 2, Smoke::mf_static, 59, 39},	//270 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {17, 757, 217, 2, Smoke::mf_static, 24, 40},	//271 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {17, 730, 220, 2, Smoke::mf_static, 315, 41},	//272 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {17, 769, 223, 2, Smoke::mf_static, 315, 42},	//273 QGlobalSpace::operator==(QBool, QBool)
    {17, 794, 226, 2, Smoke::mf_static, 50, 43},	//274 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {17, 898, 229, 1, Smoke::mf_static, 413, 44},	//275 QGlobalSpace::qHash(const QStringRef&)
    {17, 769, 231, 2, Smoke::mf_static, 315, 45},	//276 QGlobalSpace::operator==(QString::Null, QString::Null)
    {17, 757, 234, 2, Smoke::mf_static, 20, 46},	//277 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {17, 786, 237, 2, Smoke::mf_static, 20, 47},	//278 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {17, 742, 240, 2, Smoke::mf_static, 381, 48},	//279 QGlobalSpace::operator+(QChar, const QString&)
    {17, 794, 243, 2, Smoke::mf_static, 42, 49},	//280 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>)
    {17, 794, 246, 2, Smoke::mf_static, 38, 50},	//281 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {17, 794, 249, 2, Smoke::mf_static, 33, 51},	//282 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {17, 757, 252, 2, Smoke::mf_static, 24, 52},	//283 QGlobalSpace::operator<<(QDebug, const QTime&)
    {17, 757, 255, 2, Smoke::mf_static, 20, 53},	//284 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {17, 757, 258, 2, Smoke::mf_static, 24, 54},	//285 QGlobalSpace::operator<<(QDebug, const QDate&)
    {17, 898, 261, 1, Smoke::mf_static, 413, 55},	//286 QGlobalSpace::qHash(const QBitArray&)
    {17, 961, 263, 3, Smoke::mf_static, 0, 56},	//287 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {17, 860, 138, 1, Smoke::mf_static, 397, 57},	//288 QGlobalSpace::qAtan(double)
    {17, 1028, 267, 3, Smoke::mf_static, 315, 58},	//289 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {17, 898, 69, 1, Smoke::mf_static, 413, 59},	//290 QGlobalSpace::qHash(const QString&)
    {17, 898, 65, 1, Smoke::mf_static, 413, 60},	//291 QGlobalSpace::qHash(unsigned short)
    {17, 931, 271, 1, Smoke::mf_static, 0, 61},	//292 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {17, 898, 273, 1, Smoke::mf_static, 413, 62},	//293 QGlobalSpace::qHash(long)
    {17, 794, 275, 2, Smoke::mf_static, 62, 63},	//294 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {17, 898, 33, 1, Smoke::mf_static, 413, 64},	//295 QGlobalSpace::qHash(long long)
    {17, 742, 205, 2, Smoke::mf_static, 373, 65},	//296 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {17, 794, 278, 2, Smoke::mf_static, 100, 66},	//297 QGlobalSpace::operator|(Qt::DropAction, int)
    {17, 757, 281, 2, Smoke::mf_static, 20, 67},	//298 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {17, 874, 138, 1, Smoke::mf_static, 397, 68},	//299 QGlobalSpace::qCos(double)
    {17, 794, 284, 2, Smoke::mf_static, 32, 69},	//300 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {17, 980, 287, 1, Smoke::mf_static, 0, 70},	//301 QGlobalSpace::qsrand(unsigned int)
    {17, 908, 289, 1, Smoke::mf_static, 315, 71},	//302 QGlobalSpace::qIsInf(float)
    {17, 794, 291, 2, Smoke::mf_static, 50, 72},	//303 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {17, 794, 294, 2, Smoke::mf_static, 100, 73},	//304 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {17, 757, 297, 2, Smoke::mf_static, 20, 74},	//305 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {17, 794, 300, 2, Smoke::mf_static, 100, 75},	//306 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {17, 794, 303, 2, Smoke::mf_static, 35, 76},	//307 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {17, 752, 306, 2, Smoke::mf_static, 315, 77},	//308 QGlobalSpace::operator<(const QByteArray&, const char*)
    {17, 794, 309, 2, Smoke::mf_static, 51, 78},	//309 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {17, 757, 312, 2, Smoke::mf_static, 24, 79},	//310 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {17, 960, 0, 0, Smoke::mf_static, 24, 80},	//311 QGlobalSpace::qWarning()
    {17, 757, 315, 2, Smoke::mf_static, 20, 81},	//312 QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    {17, 794, 318, 2, Smoke::mf_static, 60, 82},	//313 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {17, 794, 321, 2, Smoke::mf_static, 100, 83},	//314 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {17, 786, 324, 2, Smoke::mf_static, 20, 84},	//315 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {17, 794, 327, 2, Smoke::mf_static, 100, 85},	//316 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {17, 742, 330, 2, Smoke::mf_static, 381, 86},	//317 QGlobalSpace::operator+(const QString&, const char*)
    {17, 757, 333, 2, Smoke::mf_static, 24, 87},	//318 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {17, 794, 336, 2, Smoke::mf_static, 53, 88},	//319 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {17, 786, 339, 2, Smoke::mf_static, 20, 89},	//320 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {17, 794, 342, 2, Smoke::mf_static, 38, 90},	//321 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {17, 742, 345, 2, Smoke::mf_static, 321, 91},	//322 QGlobalSpace::operator+(char, const QByteArray&)
    {17, 794, 348, 2, Smoke::mf_static, 100, 92},	//323 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {17, 750, 135, 2, Smoke::mf_static, 363, 93},	//324 QGlobalSpace::operator/(const QPoint&, double)
    {17, 742, 351, 2, Smoke::mf_static, 381, 94},	//325 QGlobalSpace::operator+(const char*, const QString&)
    {17, 769, 354, 2, Smoke::mf_static, 315, 95},	//326 QGlobalSpace::operator==(const char*, const QByteArray&)
    {17, 910, 289, 1, Smoke::mf_static, 315, 96},	//327 QGlobalSpace::qIsNaN(float)
    {17, 786, 357, 2, Smoke::mf_static, 20, 97},	//328 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {17, 894, 360, 2, Smoke::mf_static, 315, 98},	//329 QGlobalSpace::qFuzzyCompare(double, double)
    {17, 912, 289, 1, Smoke::mf_static, 315, 99},	//330 QGlobalSpace::qIsNull(float)
    {17, 786, 363, 2, Smoke::mf_static, 20, 100},	//331 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {17, 786, 366, 2, Smoke::mf_static, 20, 101},	//332 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {17, 786, 369, 2, Smoke::mf_static, 20, 102},	//333 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {17, 769, 372, 2, Smoke::mf_static, 315, 103},	//334 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {17, 761, 351, 2, Smoke::mf_static, 315, 104},	//335 QGlobalSpace::operator<=(const char*, const QString&)
    {17, 757, 375, 2, Smoke::mf_static, 24, 105},	//336 QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    {17, 730, 378, 2, Smoke::mf_static, 315, 106},	//337 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {17, 794, 381, 2, Smoke::mf_static, 100, 107},	//338 QGlobalSpace::operator|(QFile::Permission, int)
    {17, 752, 384, 2, Smoke::mf_static, 315, 108},	//339 QGlobalSpace::operator<(QChar, QChar)
    {17, 757, 387, 2, Smoke::mf_static, 24, 109},	//340 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {17, 781, 202, 2, Smoke::mf_static, 315, 110},	//341 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {17, 757, 390, 2, Smoke::mf_static, 24, 111},	//342 QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    {17, 999, 393, 3, Smoke::mf_static, 399, 112},	//343 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {17, 898, 397, 1, Smoke::mf_static, 413, 113},	//344 QGlobalSpace::qHash(const QByteArray&)
    {17, 757, 399, 2, Smoke::mf_static, 24, 114},	//345 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {17, 898, 67, 1, Smoke::mf_static, 413, 115},	//346 QGlobalSpace::qHash(const QHostAddress&)
    {17, 1010, 402, 2, Smoke::mf_static, 0, 116},	//347 QGlobalSpace::qt_check_pointer(const char*, int)
    {17, 794, 405, 2, Smoke::mf_static, 42, 117},	//348 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability)
    {17, 794, 408, 2, Smoke::mf_static, 47, 118},	//349 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {17, 786, 411, 2, Smoke::mf_static, 20, 119},	//350 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {17, 739, 414, 2, Smoke::mf_static, 365, 120},	//351 QGlobalSpace::operator*(const QPointF&, double)
    {17, 982, 208, 2, Smoke::mf_static, 399, 121},	//352 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {17, 786, 417, 2, Smoke::mf_static, 20, 122},	//353 QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    {17, 942, 420, 1, Smoke::mf_static, 222, 123},	//354 QGlobalSpace::qSetPadChar(QChar)
    {17, 982, 306, 2, Smoke::mf_static, 399, 124},	//355 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {17, 769, 173, 2, Smoke::mf_static, 315, 125},	//356 QGlobalSpace::operator==(const QSize&, const QSize&)
    {17, 946, 0, 0, Smoke::mf_static, 315, 126},	//357 QGlobalSpace::qSharedBuild()
    {17, 794, 422, 2, Smoke::mf_static, 32, 127},	//358 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {17, 902, 425, 1, Smoke::mf_static, 420, 128},	//359 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {17, 757, 427, 2, Smoke::mf_static, 20, 129},	//360 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {17, 1021, 430, 3, Smoke::mf_static, 174, 130},	//361 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {17, 769, 202, 2, Smoke::mf_static, 315, 131},	//362 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {17, 794, 434, 2, Smoke::mf_static, 58, 132},	//363 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {17, 794, 437, 2, Smoke::mf_static, 100, 133},	//364 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {17, 730, 208, 2, Smoke::mf_static, 315, 134},	//365 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {17, 794, 440, 2, Smoke::mf_static, 100, 135},	//366 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {17, 794, 443, 2, Smoke::mf_static, 57, 136},	//367 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {17, 750, 196, 2, Smoke::mf_static, 373, 137},	//368 QGlobalSpace::operator/(const QSizeF&, double)
    {17, 794, 446, 2, Smoke::mf_static, 58, 138},	//369 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {17, 776, 384, 2, Smoke::mf_static, 315, 139},	//370 QGlobalSpace::operator>(QChar, QChar)
    {17, 781, 354, 2, Smoke::mf_static, 315, 140},	//371 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {17, 892, 449, 1, Smoke::mf_static, 0, 141},	//372 QGlobalSpace::qFreeAligned(void*)
    {17, 757, 451, 2, Smoke::mf_static, 24, 142},	//373 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    {17, 769, 454, 2, Smoke::mf_static, 315, 143},	//374 QGlobalSpace::operator==(const QString&, QString::Null)
    {17, 904, 289, 1, Smoke::mf_static, 399, 144},	//375 QGlobalSpace::qIntCast(float)
    {17, 752, 208, 2, Smoke::mf_static, 315, 145},	//376 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {17, 975, 354, 2, Smoke::mf_static, 315, 146},	//377 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {17, 794, 457, 2, Smoke::mf_static, 100, 147},	//378 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {17, 786, 460, 2, Smoke::mf_static, 20, 148},	//379 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {17, 951, 463, 2, Smoke::mf_static, 315, 149},	//380 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {17, 995, 393, 3, Smoke::mf_static, 399, 150},	//381 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {17, 747, 466, 1, Smoke::mf_static, 365, 151},	//382 QGlobalSpace::operator-(const QPointF&)
    {17, 929, 468, 4, Smoke::mf_static, 421, 152},	//383 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {17, 794, 473, 2, Smoke::mf_static, 56, 153},	//384 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {17, 898, 476, 1, Smoke::mf_static, 413, 154},	//385 QGlobalSpace::qHash(unsigned long long)
    {17, 742, 121, 2, Smoke::mf_static, 381, 155},	//386 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {17, 794, 478, 2, Smoke::mf_static, 65, 156},	//387 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {17, 757, 481, 2, Smoke::mf_static, 24, 157},	//388 QGlobalSpace::operator<<(QDebug, const QSize&)
    {17, 794, 484, 2, Smoke::mf_static, 56, 158},	//389 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {17, 794, 487, 2, Smoke::mf_static, 63, 159},	//390 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {17, 742, 490, 2, Smoke::mf_static, 381, 160},	//391 QGlobalSpace::operator+(const QString&, char)
    {17, 781, 378, 2, Smoke::mf_static, 315, 161},	//392 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {17, 857, 0, 0, Smoke::mf_static, 209, 162},	//393 QGlobalSpace::qAppName()
    {17, 898, 420, 1, Smoke::mf_static, 413, 163},	//394 QGlobalSpace::qHash(QChar)
    {17, 794, 493, 2, Smoke::mf_static, 43, 164},	//395 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag)
    {17, 769, 220, 2, Smoke::mf_static, 315, 165},	//396 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {17, 896, 138, 1, Smoke::mf_static, 315, 166},	//397 QGlobalSpace::qFuzzyIsNull(double)
    {17, 757, 496, 2, Smoke::mf_static, 24, 167},	//398 QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    {17, 757, 499, 2, Smoke::mf_static, 20, 168},	//399 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {17, 922, 502, 3, Smoke::mf_static, 421, 169},	//400 QGlobalSpace::qMemSet(void*, int, size_t)
    {17, 862, 360, 2, Smoke::mf_static, 397, 170},	//401 QGlobalSpace::qAtan2(double, double)
    {17, 786, 506, 2, Smoke::mf_static, 20, 171},	//402 QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    {17, 757, 509, 2, Smoke::mf_static, 20, 172},	//403 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {17, 786, 512, 2, Smoke::mf_static, 20, 173},	//404 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {17, 869, 515, 2, Smoke::mf_static, 14, 174},	//405 QGlobalSpace::qCompress(const QByteArray&, int)
    {17, 869, 397, 1, Smoke::mf_static, 14, 175},	//406 QGlobalSpace::qCompress(const QByteArray&)
    {17, 794, 518, 2, Smoke::mf_static, 57, 176},	//407 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {17, 752, 354, 2, Smoke::mf_static, 315, 177},	//408 QGlobalSpace::operator<(const char*, const QByteArray&)
    {17, 855, 521, 1, Smoke::mf_static, 0, 178},	//409 QGlobalSpace::qAddPostRoutine(void(*)())
    {17, 794, 523, 2, Smoke::mf_static, 100, 179},	//410 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {17, 794, 526, 2, Smoke::mf_static, 100, 180},	//411 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {17, 794, 529, 2, Smoke::mf_static, 100, 181},	//412 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {17, 878, 138, 1, Smoke::mf_static, 397, 182},	//413 QGlobalSpace::qExp(double)
    {17, 794, 532, 2, Smoke::mf_static, 54, 183},	//414 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {17, 730, 173, 2, Smoke::mf_static, 315, 184},	//415 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {17, 761, 306, 2, Smoke::mf_static, 315, 185},	//416 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {17, 794, 535, 2, Smoke::mf_static, 100, 186},	//417 QGlobalSpace::operator|(QString::SectionFlag, int)
    {17, 730, 538, 2, Smoke::mf_static, 315, 187},	//418 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {17, 794, 541, 2, Smoke::mf_static, 100, 188},	//419 QGlobalSpace::operator|(Qt::WindowType, int)
    {17, 769, 544, 2, Smoke::mf_static, 315, 189},	//420 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {17, 912, 138, 1, Smoke::mf_static, 315, 190},	//421 QGlobalSpace::qIsNull(double)
    {17, 781, 547, 2, Smoke::mf_static, 315, 191},	//422 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {17, 769, 550, 2, Smoke::mf_static, 315, 192},	//423 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {17, 904, 138, 1, Smoke::mf_static, 399, 193},	//424 QGlobalSpace::qIntCast(double)
    {17, 792, 127, 2, Smoke::mf_static, 11, 194},	//425 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {17, 867, 553, 2, Smoke::mf_static, 416, 195},	//426 QGlobalSpace::qChecksum(const char*, unsigned int)
    {17, 794, 556, 2, Smoke::mf_static, 49, 196},	//427 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {17, 794, 559, 2, Smoke::mf_static, 100, 197},	//428 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, int)
    {17, 794, 562, 2, Smoke::mf_static, 100, 198},	//429 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {17, 752, 378, 2, Smoke::mf_static, 315, 199},	//430 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {17, 757, 565, 2, Smoke::mf_static, 24, 200},	//431 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {17, 973, 1, 1, Smoke::mf_static, 14, 201},	//432 QGlobalSpace::qgetenv(const char*)
    {17, 757, 568, 2, Smoke::mf_static, 24, 202},	//433 QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    {17, 730, 463, 2, Smoke::mf_static, 315, 203},	//434 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {17, 786, 571, 2, Smoke::mf_static, 219, 204},	//435 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 730, 354, 2, Smoke::mf_static, 315, 205},	//436 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {17, 853, 138, 1, Smoke::mf_static, 397, 206},	//437 QGlobalSpace::qAcos(double)
    {17, 776, 378, 2, Smoke::mf_static, 315, 207},	//438 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {17, 786, 574, 2, Smoke::mf_static, 20, 208},	//439 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {17, 757, 577, 2, Smoke::mf_static, 20, 209},	//440 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {17, 794, 580, 2, Smoke::mf_static, 37, 210},	//441 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {17, 997, 583, 3, Smoke::mf_static, 318, 211},	//442 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {17, 757, 587, 2, Smoke::mf_static, 20, 212},	//443 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {17, 898, 14, 1, Smoke::mf_static, 413, 213},	//444 QGlobalSpace::qHash(const QUrl&)
    {17, 965, 590, 6, Smoke::mf_static, 399, 214},	//445 QGlobalSpace::qecvt_r(long double, int, int*, int*, char*, size_t)
    {17, 906, 289, 1, Smoke::mf_static, 315, 215},	//446 QGlobalSpace::qIsFinite(float)
    {17, 1012, 44, 1, Smoke::mf_static, 209, 216},	//447 QGlobalSpace::qt_error_string(int)
    {17, 1012, 0, 0, Smoke::mf_static, 209, 217},	//448 QGlobalSpace::qt_error_string()
    {17, 794, 597, 2, Smoke::mf_static, 100, 218},	//449 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {17, 739, 600, 2, Smoke::mf_static, 363, 219},	//450 QGlobalSpace::operator*(const QPoint&, float)
    {17, 927, 603, 2, Smoke::mf_static, 421, 220},	//451 QGlobalSpace::qRealloc(void*, size_t)
    {17, 742, 88, 2, Smoke::mf_static, 381, 221},	//452 QGlobalSpace::operator+(const QString&, const QString&)
    {17, 978, 606, 4, Smoke::mf_static, 0, 222},	//453 QGlobalSpace::qsort(void*, size_t, size_t, int(*)(const void*,const void*))
    {17, 1008, 611, 4, Smoke::mf_static, 0, 223},	//454 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {17, 752, 351, 2, Smoke::mf_static, 315, 224},	//455 QGlobalSpace::operator<(const char*, const QString&)
    {17, 730, 351, 2, Smoke::mf_static, 315, 225},	//456 QGlobalSpace::operator!=(const char*, const QString&)
    {17, 730, 306, 2, Smoke::mf_static, 315, 226},	//457 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {17, 730, 616, 2, Smoke::mf_static, 315, 227},	//458 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {17, 776, 208, 2, Smoke::mf_static, 315, 228},	//459 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {17, 935, 138, 1, Smoke::mf_static, 399, 229},	//460 QGlobalSpace::qRound(double)
    {17, 761, 202, 2, Smoke::mf_static, 315, 230},	//461 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {17, 769, 538, 2, Smoke::mf_static, 315, 231},	//462 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {17, 757, 619, 2, Smoke::mf_static, 24, 232},	//463 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    {17, 769, 622, 2, Smoke::mf_static, 315, 233},	//464 QGlobalSpace::operator==(const char*, const QStringRef&)
    {17, 794, 127, 2, Smoke::mf_static, 11, 234},	//465 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {17, 742, 354, 2, Smoke::mf_static, 321, 235},	//466 QGlobalSpace::operator+(const char*, const QByteArray&)
    {17, 794, 625, 2, Smoke::mf_static, 48, 236},	//467 QGlobalSpace::operator|(QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>)
    {17, 794, 628, 2, Smoke::mf_static, 100, 237},	//468 QGlobalSpace::operator|(Qt::MouseButton, int)
    {17, 761, 378, 2, Smoke::mf_static, 315, 238},	//469 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {17, 786, 631, 2, Smoke::mf_static, 20, 239},	//470 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {17, 794, 634, 2, Smoke::mf_static, 35, 240},	//471 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {17, 794, 637, 2, Smoke::mf_static, 55, 241},	//472 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {17, 794, 640, 2, Smoke::mf_static, 47, 242},	//473 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {17, 786, 643, 2, Smoke::mf_static, 20, 243},	//474 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {17, 769, 384, 2, Smoke::mf_static, 315, 244},	//475 QGlobalSpace::operator==(QChar, QChar)
    {17, 794, 646, 2, Smoke::mf_static, 61, 245},	//476 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {17, 730, 544, 2, Smoke::mf_static, 315, 246},	//477 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {17, 757, 649, 2, Smoke::mf_static, 24, 247},	//478 QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    {17, 730, 652, 2, Smoke::mf_static, 315, 248},	//479 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {17, 898, 655, 1, Smoke::mf_static, 413, 249},	//480 QGlobalSpace::qHash(signed char)
    {17, 794, 657, 2, Smoke::mf_static, 62, 250},	//481 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {17, 757, 660, 2, Smoke::mf_static, 20, 251},	//482 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {17, 949, 138, 1, Smoke::mf_static, 397, 252},	//483 QGlobalSpace::qSqrt(double)
    {17, 982, 3, 2, Smoke::mf_static, 399, 253},	//484 QGlobalSpace::qstrcmp(const char*, const char*)
    {17, 742, 663, 2, Smoke::mf_static, 381, 254},	//485 QGlobalSpace::operator+(char, const QString&)
    {17, 730, 211, 2, Smoke::mf_static, 315, 255},	//486 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {17, 730, 384, 2, Smoke::mf_static, 315, 256},	//487 QGlobalSpace::operator!=(QChar, QChar)
    {17, 794, 666, 2, Smoke::mf_static, 39, 257},	//488 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {17, 1001, 553, 2, Smoke::mf_static, 413, 258},	//489 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {17, 769, 547, 2, Smoke::mf_static, 315, 259},	//490 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {17, 888, 138, 1, Smoke::mf_static, 399, 260},	//491 QGlobalSpace::qFloor(double)
    {17, 794, 669, 2, Smoke::mf_static, 64, 261},	//492 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {17, 757, 672, 2, Smoke::mf_static, 24, 262},	//493 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {17, 794, 675, 2, Smoke::mf_static, 100, 263},	//494 QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    {17, 794, 678, 2, Smoke::mf_static, 49, 264},	//495 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {17, 769, 205, 2, Smoke::mf_static, 315, 265},	//496 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {17, 769, 378, 2, Smoke::mf_static, 315, 266},	//497 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {17, 730, 681, 2, Smoke::mf_static, 315, 267},	//498 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {17, 739, 684, 2, Smoke::mf_static, 371, 268},	//499 QGlobalSpace::operator*(double, const QSize&)
    {17, 794, 687, 2, Smoke::mf_static, 37, 269},	//500 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {17, 898, 690, 1, Smoke::mf_static, 413, 270},	//501 QGlobalSpace::qHash(const QModelIndex&)
    {17, 794, 692, 2, Smoke::mf_static, 44, 271},	//502 QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    {17, 757, 695, 2, Smoke::mf_static, 24, 272},	//503 QGlobalSpace::operator<<(QDebug, const QLine&)
    {17, 933, 521, 1, Smoke::mf_static, 0, 273},	//504 QGlobalSpace::qRemovePostRoutine(void(*)())
    {17, 757, 698, 2, Smoke::mf_static, 20, 274},	//505 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {17, 886, 1, 1, Smoke::mf_static, 393, 275},	//506 QGlobalSpace::qFlagLocation(const char*)
    {17, 920, 701, 3, Smoke::mf_static, 421, 276},	//507 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {17, 781, 306, 2, Smoke::mf_static, 315, 277},	//508 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {17, 739, 705, 2, Smoke::mf_static, 363, 278},	//509 QGlobalSpace::operator*(double, const QPoint&)
    {17, 910, 138, 1, Smoke::mf_static, 315, 279},	//510 QGlobalSpace::qIsNaN(double)
    {17, 757, 708, 2, Smoke::mf_static, 24, 280},	//511 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {17, 898, 711, 1, Smoke::mf_static, 413, 281},	//512 QGlobalSpace::qHash(short)
    {17, 901, 0, 0, Smoke::mf_static, 397, 282},	//513 QGlobalSpace::qInf()
    {17, 757, 713, 2, Smoke::mf_static, 24, 283},	//514 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {17, 757, 716, 2, Smoke::mf_static, 20, 284},	//515 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {17, 794, 719, 2, Smoke::mf_static, 100, 285},	//516 QGlobalSpace::operator|(QUdpSocket::BindFlag, int)
    {17, 742, 722, 2, Smoke::mf_static, 321, 286},	//517 QGlobalSpace::operator+(const QByteArray&, char)
    {17, 956, 397, 1, Smoke::mf_static, 14, 287},	//518 QGlobalSpace::qUncompress(const QByteArray&)
    {17, 750, 414, 2, Smoke::mf_static, 365, 288},	//519 QGlobalSpace::operator/(const QPointF&, double)
    {17, 781, 384, 2, Smoke::mf_static, 315, 289},	//520 QGlobalSpace::operator>=(QChar, QChar)
    {17, 761, 208, 2, Smoke::mf_static, 315, 290},	//521 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {17, 944, 44, 1, Smoke::mf_static, 222, 291},	//522 QGlobalSpace::qSetRealNumberPrecision(int)
    {17, 757, 725, 2, Smoke::mf_static, 24, 292},	//523 QGlobalSpace::operator<<(QDebug, const QObject*)
    {17, 947, 138, 1, Smoke::mf_static, 397, 293},	//524 QGlobalSpace::qSin(double)
    {17, 858, 138, 1, Smoke::mf_static, 397, 294},	//525 QGlobalSpace::qAsin(double)
    {17, 991, 3, 2, Smoke::mf_static, 399, 295},	//526 QGlobalSpace::qstricmp(const char*, const char*)
    {17, 971, 728, 3, Smoke::mf_static, 318, 296},	//527 QGlobalSpace::qgcvt(long double, int, char*)
    {17, 757, 732, 2, Smoke::mf_static, 24, 297},	//528 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    {17, 894, 735, 2, Smoke::mf_static, 315, 298},	//529 QGlobalSpace::qFuzzyCompare(float, float)
    {17, 794, 738, 2, Smoke::mf_static, 34, 299},	//530 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {17, 761, 547, 2, Smoke::mf_static, 315, 300},	//531 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {17, 1030, 741, 4, Smoke::mf_static, 399, 301},	//532 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {17, 794, 746, 2, Smoke::mf_static, 45, 302},	//533 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {17, 757, 749, 2, Smoke::mf_static, 20, 303},	//534 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {17, 1020, 0, 0, Smoke::mf_static, 0, 304},	//535 QGlobalSpace::qt_noop()
    {17, 776, 354, 2, Smoke::mf_static, 315, 305},	//536 QGlobalSpace::operator>(const char*, const QByteArray&)
    {17, 786, 752, 2, Smoke::mf_static, 20, 306},	//537 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {17, 940, 44, 1, Smoke::mf_static, 222, 307},	//538 QGlobalSpace::qSetFieldWidth(int)
    {17, 794, 755, 2, Smoke::mf_static, 46, 308},	//539 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {17, 757, 758, 2, Smoke::mf_static, 24, 309},	//540 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {17, 757, 761, 2, Smoke::mf_static, 20, 310},	//541 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {17, 769, 681, 2, Smoke::mf_static, 315, 311},	//542 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {17, 730, 764, 2, Smoke::mf_static, 315, 312},	//543 QGlobalSpace::operator!=(bool, QBool)
    {17, 898, 767, 1, Smoke::mf_static, 413, 313},	//544 QGlobalSpace::qHash(unsigned long)
    {17, 757, 769, 2, Smoke::mf_static, 24, 314},	//545 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {17, 730, 772, 2, Smoke::mf_static, 315, 315},	//546 QGlobalSpace::operator!=(QBool, bool)
    {17, 794, 775, 2, Smoke::mf_static, 100, 316},	//547 QGlobalSpace::operator|(Qt::WindowState, int)
    {17, 747, 538, 2, Smoke::mf_static, 363, 317},	//548 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {17, 914, 138, 1, Smoke::mf_static, 397, 318},	//549 QGlobalSpace::qLn(double)
    {17, 786, 778, 2, Smoke::mf_static, 20, 319},	//550 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {17, 993, 1, 1, Smoke::mf_static, 413, 320},	//551 QGlobalSpace::qstrlen(const char*)
    {17, 742, 306, 2, Smoke::mf_static, 321, 321},	//552 QGlobalSpace::operator+(const QByteArray&, const char*)
    {17, 757, 781, 2, Smoke::mf_static, 20, 322},	//553 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {17, 761, 354, 2, Smoke::mf_static, 315, 323},	//554 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {17, 730, 205, 2, Smoke::mf_static, 315, 324},	//555 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {17, 794, 784, 2, Smoke::mf_static, 51, 325},	//556 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {17, 769, 616, 2, Smoke::mf_static, 315, 326},	//557 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {17, 794, 787, 2, Smoke::mf_static, 40, 327},	//558 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {17, 730, 547, 2, Smoke::mf_static, 315, 328},	//559 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {17, 794, 790, 2, Smoke::mf_static, 65, 329},	//560 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {17, 757, 793, 2, Smoke::mf_static, 24, 330},	//561 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    {17, 739, 796, 2, Smoke::mf_static, 371, 331},	//562 QGlobalSpace::operator*(const QSize&, double)
    {17, 769, 799, 2, Smoke::mf_static, 315, 332},	//563 QGlobalSpace::operator==(QString::Null, const QString&)
    {17, 794, 802, 2, Smoke::mf_static, 34, 333},	//564 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {17, 794, 805, 2, Smoke::mf_static, 55, 334},	//565 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {17, 786, 808, 2, Smoke::mf_static, 20, 335},	//566 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {17, 757, 811, 2, Smoke::mf_static, 24, 336},	//567 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {17, 769, 306, 2, Smoke::mf_static, 315, 337},	//568 QGlobalSpace::operator==(const QByteArray&, const char*)
    {17, 1023, 814, 5, Smoke::mf_static, 0, 338},	//569 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {17, 786, 820, 2, Smoke::mf_static, 20, 339},	//570 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {17, 776, 351, 2, Smoke::mf_static, 315, 340},	//571 QGlobalSpace::operator>(const char*, const QString&)
    {17, 757, 823, 2, Smoke::mf_static, 20, 341},	//572 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {17, 776, 306, 2, Smoke::mf_static, 315, 342},	//573 QGlobalSpace::operator>(const QByteArray&, const char*)
    {17, 752, 202, 2, Smoke::mf_static, 315, 343},	//574 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {17, 742, 538, 2, Smoke::mf_static, 363, 344},	//575 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {17, 757, 826, 2, Smoke::mf_static, 20, 345},	//576 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {17, 890, 449, 1, Smoke::mf_static, 0, 346},	//577 QGlobalSpace::qFree(void*)
    {17, 761, 384, 2, Smoke::mf_static, 315, 347},	//578 QGlobalSpace::operator<=(QChar, QChar)
    {17, 757, 829, 2, Smoke::mf_static, 219, 348},	//579 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {17, 898, 287, 1, Smoke::mf_static, 413, 349},	//580 QGlobalSpace::qHash(unsigned int)
    {17, 730, 799, 2, Smoke::mf_static, 315, 350},	//581 QGlobalSpace::operator!=(QString::Null, const QString&)
    {17, 937, 138, 1, Smoke::mf_static, 404, 351},	//582 QGlobalSpace::qRound64(double)
    {17, 776, 547, 2, Smoke::mf_static, 315, 352},	//583 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {17, 794, 832, 2, Smoke::mf_static, 45, 353},	//584 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {17, 918, 835, 2, Smoke::mf_static, 421, 354},	//585 QGlobalSpace::qMallocAligned(size_t, size_t)
    {17, 794, 838, 2, Smoke::mf_static, 100, 355},	//586 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {17, 730, 454, 2, Smoke::mf_static, 315, 356},	//587 QGlobalSpace::operator!=(const QString&, QString::Null)
    {17, 869, 841, 3, Smoke::mf_static, 14, 357},	//588 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {17, 869, 845, 2, Smoke::mf_static, 14, 358},	//589 QGlobalSpace::qCompress(const unsigned char*, int)
    {17, 794, 848, 2, Smoke::mf_static, 100, 359},	//590 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {17, 739, 851, 2, Smoke::mf_static, 363, 360},	//591 QGlobalSpace::operator*(int, const QPoint&)
    {17, 989, 1, 1, Smoke::mf_static, 318, 361},	//592 QGlobalSpace::qstrdup(const char*)
    {17, 794, 854, 2, Smoke::mf_static, 53, 362},	//593 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {17, 967, 857, 4, Smoke::mf_static, 318, 363},	//594 QGlobalSpace::qfcvt(long double, int, int*, int*)
    {17, 877, 0, 0, Smoke::mf_static, 24, 364},	//595 QGlobalSpace::qDebug()
    {17, 747, 862, 1, Smoke::mf_static, 363, 365},	//596 QGlobalSpace::operator-(const QPoint&)
    {17, 982, 354, 2, Smoke::mf_static, 399, 366},	//597 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {17, 954, 138, 1, Smoke::mf_static, 397, 367},	//598 QGlobalSpace::qTan(double)
    {17, 786, 864, 2, Smoke::mf_static, 20, 368},	//599 QGlobalSpace::operator>>(QDataStream&, QString&)
    {17, 769, 208, 2, Smoke::mf_static, 315, 369},	//600 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {17, 757, 867, 2, Smoke::mf_static, 20, 370},	//601 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {17, 898, 44, 1, Smoke::mf_static, 413, 371},	//602 QGlobalSpace::qHash(int)
    {17, 752, 547, 2, Smoke::mf_static, 315, 372},	//603 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {17, 747, 372, 2, Smoke::mf_static, 365, 373},	//604 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {17, 757, 870, 2, Smoke::mf_static, 20, 374},	//605 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {17, 786, 873, 2, Smoke::mf_static, 20, 375},	//606 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {17, 794, 876, 2, Smoke::mf_static, 61, 376},	//607 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {17, 924, 360, 2, Smoke::mf_static, 397, 377},	//608 QGlobalSpace::qPow(double, double)
    {17, 769, 463, 2, Smoke::mf_static, 315, 378},	//609 QGlobalSpace::operator==(const QStringRef&, const char*)
    {17, 730, 622, 2, Smoke::mf_static, 315, 379},	//610 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {17, 742, 208, 2, Smoke::mf_static, 321, 380},	//611 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {17, 742, 879, 2, Smoke::mf_static, 381, 381},	//612 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {17, 951, 330, 2, Smoke::mf_static, 315, 382},	//613 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {17, 794, 882, 2, Smoke::mf_static, 36, 383},	//614 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {17, 757, 885, 2, Smoke::mf_static, 24, 384},	//615 QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    {17, 794, 888, 2, Smoke::mf_static, 100, 385},	//616 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {17, 786, 891, 2, Smoke::mf_static, 20, 386},	//617 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {17, 757, 894, 2, Smoke::mf_static, 24, 387},	//618 QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    {17, 1014, 897, 2, Smoke::mf_static, 0, 388},	//619 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {17, 794, 900, 2, Smoke::mf_static, 100, 389},	//620 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {17, 769, 351, 2, Smoke::mf_static, 315, 390},	//621 QGlobalSpace::operator==(const char*, const QString&)
    {17, 757, 903, 2, Smoke::mf_static, 24, 391},	//622 QGlobalSpace::operator<<(QDebug, const QRect&)
    {17, 882, 138, 1, Smoke::mf_static, 397, 392},	//623 QGlobalSpace::qFastCos(double)
    {17, 757, 906, 2, Smoke::mf_static, 20, 393},	//624 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {17, 750, 796, 2, Smoke::mf_static, 371, 394},	//625 QGlobalSpace::operator/(const QSize&, double)
    {17, 786, 909, 2, Smoke::mf_static, 20, 395},	//626 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {17, 769, 764, 2, Smoke::mf_static, 315, 396},	//627 QGlobalSpace::operator==(bool, QBool)
    {17, 794, 912, 2, Smoke::mf_static, 63, 397},	//628 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {17, 794, 915, 2, Smoke::mf_static, 100, 398},	//629 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {17, 757, 918, 2, Smoke::mf_static, 24, 399},	//630 QGlobalSpace::operator<<(QDebug, const QSslError&)
    {17, 781, 351, 2, Smoke::mf_static, 315, 400},	//631 QGlobalSpace::operator>=(const char*, const QString&)
    {17, 898, 921, 1, Smoke::mf_static, 413, 401},	//632 QGlobalSpace::qHash(char)
    {17, 969, 590, 6, Smoke::mf_static, 399, 402},	//633 QGlobalSpace::qfcvt_r(long double, int, int*, int*, char*, size_t)
    {17, 757, 923, 2, Smoke::mf_static, 20, 403},	//634 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {17, 794, 926, 2, Smoke::mf_static, 43, 404},	//635 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>)
    {17, 786, 929, 2, Smoke::mf_static, 20, 405},	//636 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {17, 730, 372, 2, Smoke::mf_static, 315, 406},	//637 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {17, 739, 932, 2, Smoke::mf_static, 363, 407},	//638 QGlobalSpace::operator*(const QPoint&, int)
    {17, 906, 138, 1, Smoke::mf_static, 315, 408},	//639 QGlobalSpace::qIsFinite(double)
    {17, 794, 935, 2, Smoke::mf_static, 54, 409},	//640 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {17, 747, 173, 2, Smoke::mf_static, 371, 410},	//641 QGlobalSpace::operator-(const QSize&, const QSize&)
    {17, 757, 938, 2, Smoke::mf_static, 20, 411},	//642 QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    {17, 939, 0, 0, Smoke::mf_static, 397, 412},	//643 QGlobalSpace::qSNaN()
    {17, 794, 941, 2, Smoke::mf_static, 48, 413},	//644 QGlobalSpace::operator|(QUdpSocket::BindFlag, QUdpSocket::BindFlag)
    {17, 896, 289, 1, Smoke::mf_static, 315, 414},	//645 QGlobalSpace::qFuzzyIsNull(float)
    {17, 794, 944, 2, Smoke::mf_static, 52, 415},	//646 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {17, 956, 845, 2, Smoke::mf_static, 14, 416},	//647 QGlobalSpace::qUncompress(const unsigned char*, int)
    {17, 963, 857, 4, Smoke::mf_static, 318, 417},	//648 QGlobalSpace::qecvt(long double, int, int*, int*)
    {17, 794, 947, 2, Smoke::mf_static, 52, 418},	//649 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {17, 794, 950, 2, Smoke::mf_static, 100, 419},	//650 QGlobalSpace::operator|(Qt::Orientation, int)
    {17, 730, 202, 2, Smoke::mf_static, 315, 420},	//651 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {17, 884, 138, 1, Smoke::mf_static, 397, 421},	//652 QGlobalSpace::qFastSin(double)
    {17, 757, 953, 2, Smoke::mf_static, 24, 422},	//653 QGlobalSpace::operator<<(QDebug, const QDir&)
    {17, 742, 372, 2, Smoke::mf_static, 365, 423},	//654 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {17, 769, 772, 2, Smoke::mf_static, 315, 424},	//655 QGlobalSpace::operator==(QBool, bool)
    {17, 769, 170, 2, Smoke::mf_static, 315, 425},	//656 QGlobalSpace::operator==(const QRect&, const QRect&)
    {17, 794, 956, 2, Smoke::mf_static, 44, 426},	//657 QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    {17, 739, 959, 2, Smoke::mf_static, 363, 427},	//658 QGlobalSpace::operator*(float, const QPoint&)
    {17, 1003, 402, 2, Smoke::mf_static, 209, 428},	//659 QGlobalSpace::qtTrId(const char*, int)
    {17, 1003, 1, 1, Smoke::mf_static, 209, 429},	//660 QGlobalSpace::qtTrId(const char*)
    {17, 786, 962, 2, Smoke::mf_static, 20, 430},	//661 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {17, 794, 965, 2, Smoke::mf_static, 39, 431},	//662 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {17, 742, 968, 2, Smoke::mf_static, 381, 432},	//663 QGlobalSpace::operator+(const QString&, QChar)
    {17, 864, 0, 0, Smoke::mf_static, 0, 433},	//664 QGlobalSpace::qBadAlloc()
    {17, 730, 231, 2, Smoke::mf_static, 315, 434},	//665 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {17, 794, 971, 2, Smoke::mf_static, 60, 435},	//666 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {17, 730, 223, 2, Smoke::mf_static, 315, 436},	//667 QGlobalSpace::operator!=(QBool, QBool)
    {17, 757, 571, 2, Smoke::mf_static, 219, 437},	//668 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 916, 974, 1, Smoke::mf_static, 421, 438},	//669 QGlobalSpace::qMalloc(size_t)
    {17, 757, 976, 2, Smoke::mf_static, 24, 439},	//670 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {17, 769, 652, 2, Smoke::mf_static, 315, 440},	//671 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {17, 794, 979, 2, Smoke::mf_static, 100, 441},	//672 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, int)
    {17, 794, 982, 2, Smoke::mf_static, 40, 442},	//673 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {17, 757, 985, 2, Smoke::mf_static, 20, 443},	//674 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {17, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 444},	//675 QGlobalSpace::_IEEE_ (enum)
    {17, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 445},	//676 QGlobalSpace::_SVID_ (enum)
    {17, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 446},	//677 QGlobalSpace::_XOPEN_ (enum)
    {17, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 447},	//678 QGlobalSpace::_POSIX_ (enum)
    {17, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 448},	//679 QGlobalSpace::_ISOC_ (enum)
    {17, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 312, 449},	//680 QGlobalSpace::QtDebugMsg (enum)
    {17, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 312, 450},	//681 QGlobalSpace::QtWarningMsg (enum)
    {17, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 312, 451},	//682 QGlobalSpace::QtCriticalMsg (enum)
    {17, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 312, 452},	//683 QGlobalSpace::QtFatalMsg (enum)
    {17, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 312, 453},	//684 QGlobalSpace::QtSystemMsg (enum)
    {17, 406, 0, 0, Smoke::mf_static|Smoke::mf_enum, 314, 454},	//685 QGlobalSpace::__codecvt_ok (enum)
    {17, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 314, 455},	//686 QGlobalSpace::__codecvt_partial (enum)
    {17, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 314, 456},	//687 QGlobalSpace::__codecvt_error (enum)
    {17, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 314, 457},	//688 QGlobalSpace::__codecvt_noconv (enum)
    {19, 191, 0, 0, Smoke::mf_ctor, 76, 1},	//689 QHostAddress::QHostAddress()
    {19, 191, 287, 1, Smoke::mf_ctor, 76, 2},	//690 QHostAddress::QHostAddress(unsigned int)
    {19, 191, 988, 1, Smoke::mf_ctor, 76, 3},	//691 QHostAddress::QHostAddress(unsigned char*)
    {19, 191, 990, 1, Smoke::mf_ctor, 76, 4},	//692 QHostAddress::QHostAddress(const QIPv6Address&)
    {19, 191, 992, 1, Smoke::mf_ctor, 76, 5},	//693 QHostAddress::QHostAddress(const sockaddr*)
    {19, 191, 69, 1, Smoke::mf_ctor, 76, 6},	//694 QHostAddress::QHostAddress(const QString&)
    {19, 191, 67, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 76, 7},	//695 QHostAddress::QHostAddress(const QHostAddress&)
    {19, 191, 994, 1, Smoke::mf_ctor, 76, 8},	//696 QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    {19, 766, 67, 1, 0, 75, 9},	//697 QHostAddress::operator=(const QHostAddress&)
    {19, 766, 69, 1, 0, 75, 10},	//698 QHostAddress::operator=(const QString&)
    {19, 1096, 287, 1, 0, 0, 11},	//699 QHostAddress::setAddress(unsigned int)
    {19, 1096, 988, 1, 0, 0, 12},	//700 QHostAddress::setAddress(unsigned char*)
    {19, 1096, 990, 1, 0, 0, 13},	//701 QHostAddress::setAddress(const QIPv6Address&)
    {19, 1096, 992, 1, 0, 0, 14},	//702 QHostAddress::setAddress(const sockaddr*)
    {19, 1096, 69, 1, 0, 315, 15},	//703 QHostAddress::setAddress(const QString&)
    {19, 838, 0, 0, Smoke::mf_const, 4, 16},	//704 QHostAddress::protocol() const
    {19, 1347, 0, 0, Smoke::mf_const, 413, 17},	//705 QHostAddress::toIPv4Address() const
    {19, 1348, 0, 0, Smoke::mf_const, 98, 18},	//706 QHostAddress::toIPv6Address() const
    {19, 1353, 0, 0, Smoke::mf_const, 209, 19},	//707 QHostAddress::toString() const
    {19, 1083, 0, 0, Smoke::mf_const, 209, 20},	//708 QHostAddress::scopeId() const
    {19, 1266, 69, 1, 0, 0, 21},	//709 QHostAddress::setScopeId(const QString&)
    {19, 769, 67, 1, Smoke::mf_const, 315, 22},	//710 QHostAddress::operator==(const QHostAddress&) const
    {19, 769, 994, 1, Smoke::mf_const, 315, 23},	//711 QHostAddress::operator==(QHostAddress::SpecialAddress) const
    {19, 730, 67, 1, Smoke::mf_const, 315, 24},	//712 QHostAddress::operator!=(const QHostAddress&) const
    {19, 730, 994, 1, Smoke::mf_const, 315, 25},	//713 QHostAddress::operator!=(QHostAddress::SpecialAddress) const
    {19, 649, 0, 0, Smoke::mf_const, 315, 26},	//714 QHostAddress::isNull() const
    {19, 478, 0, 0, 0, 0, 27},	//715 QHostAddress::clear()
    {19, 645, 996, 2, Smoke::mf_const, 315, 28},	//716 QHostAddress::isInSubnet(const QHostAddress&, int) const
    {19, 645, 999, 1, Smoke::mf_const, 315, 29},	//717 QHostAddress::isInSubnet(const QPair<QHostAddress,int>&) const
    {19, 808, 69, 1, Smoke::mf_static, 176, 30},	//718 QHostAddress::parseSubnet(const QString&)
    {19, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 31},	//719 QHostAddress::Null (enum)
    {19, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 32},	//720 QHostAddress::Broadcast (enum)
    {19, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 33},	//721 QHostAddress::LocalHost (enum)
    {19, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 34},	//722 QHostAddress::LocalHostIPv6 (enum)
    {19, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 35},	//723 QHostAddress::Any (enum)
    {19, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 36},	//724 QHostAddress::AnyIPv6 (enum)
    {19, 1400, 0, 0, Smoke::mf_dtor, 0, 37 },	//725 QHostAddress::~QHostAddress()
    {20, 194, 44, 1, Smoke::mf_ctor, 80, 1},	//726 QHostInfo::QHostInfo(int)
    {20, 194, 1001, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 80, 2},	//727 QHostInfo::QHostInfo(const QHostInfo&)
    {20, 766, 1001, 1, 0, 79, 3},	//728 QHostInfo::operator=(const QHostInfo&)
    {20, 620, 0, 0, Smoke::mf_const, 209, 4},	//729 QHostInfo::hostName() const
    {20, 1163, 69, 1, 0, 0, 5},	//730 QHostInfo::setHostName(const QString&)
    {20, 433, 0, 0, Smoke::mf_const, 106, 6},	//731 QHostInfo::addresses() const
    {20, 1099, 1003, 1, 0, 0, 7},	//732 QHostInfo::setAddresses(const QList<QHostAddress>&)
    {20, 567, 0, 0, Smoke::mf_const, 81, 8},	//733 QHostInfo::error() const
    {20, 1144, 1005, 1, 0, 0, 9},	//734 QHostInfo::setError(QHostInfo::HostInfoError)
    {20, 569, 0, 0, Smoke::mf_const, 209, 10},	//735 QHostInfo::errorString() const
    {20, 1147, 69, 1, 0, 0, 11},	//736 QHostInfo::setErrorString(const QString&)
    {20, 1181, 44, 1, 0, 0, 12},	//737 QHostInfo::setLookupId(int)
    {20, 697, 0, 0, Smoke::mf_const, 399, 13},	//738 QHostInfo::lookupId() const
    {20, 695, 1007, 3, Smoke::mf_static, 399, 14},	//739 QHostInfo::lookupHost(const QString&, QObject*, const char*)
    {20, 409, 44, 1, Smoke::mf_static, 0, 15},	//740 QHostInfo::abortHostLookup(int)
    {20, 587, 69, 1, Smoke::mf_static, 78, 16},	//741 QHostInfo::fromName(const QString&)
    {20, 690, 0, 0, Smoke::mf_static, 209, 17},	//742 QHostInfo::localHostName()
    {20, 689, 0, 0, Smoke::mf_static, 209, 18},	//743 QHostInfo::localDomainName()
    {20, 194, 0, 0, Smoke::mf_ctor, 80, 19},	//744 QHostInfo::QHostInfo()
    {20, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 20},	//745 QHostInfo::NoError (enum)
    {20, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 21},	//746 QHostInfo::HostNotFound (enum)
    {20, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 22},	//747 QHostInfo::UnknownError (enum)
    {20, 1401, 0, 0, Smoke::mf_dtor, 0, 23 },	//748 QHostInfo::~QHostInfo()
    {21, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 349, 1},	//749 QHttp::metaObject() const
    {21, 1018, 1, 1, Smoke::mf_virtual, 421, 2},	//750 QHttp::qt_metacast(const char*)
    {21, 1354, 3, 2, Smoke::mf_static, 209, 3},	//751 QHttp::tr(const char*, const char*)
    {21, 1358, 3, 2, Smoke::mf_static, 209, 4},	//752 QHttp::trUtf8(const char*, const char*)
    {21, 1354, 6, 3, Smoke::mf_static, 209, 5},	//753 QHttp::tr(const char*, const char*, int)
    {21, 1358, 6, 3, Smoke::mf_static, 209, 6},	//754 QHttp::trUtf8(const char*, const char*, int)
    {21, 1016, 10, 3, Smoke::mf_virtual, 399, 7},	//755 QHttp::qt_metacall(QMetaObject::Call, int, void**)
    {21, 197, 20, 1, Smoke::mf_ctor, 82, 8},	//756 QHttp::QHttp(QObject*)
    {21, 197, 1011, 3, Smoke::mf_ctor, 82, 9},	//757 QHttp::QHttp(const QString&, unsigned short, QObject*)
    {21, 197, 1015, 4, Smoke::mf_ctor, 82, 10},	//758 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short, QObject*)
    {21, 1159, 71, 2, 0, 399, 11},	//759 QHttp::setHost(const QString&, unsigned short)
    {21, 1159, 1020, 3, 0, 399, 12},	//760 QHttp::setHost(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1274, 1024, 1, 0, 399, 13},	//761 QHttp::setSocket(QTcpSocket*)
    {21, 1306, 88, 2, 0, 399, 14},	//762 QHttp::setUser(const QString&, const QString&)
    {21, 1242, 1026, 4, 0, 399, 15},	//763 QHttp::setProxy(const QString&, int, const QString&, const QString&)
    {21, 1242, 46, 1, 0, 399, 16},	//764 QHttp::setProxy(const QNetworkProxy&)
    {21, 594, 118, 2, 0, 399, 17},	//765 QHttp::get(const QString&, QIODevice*)
    {21, 827, 1031, 3, 0, 399, 18},	//766 QHttp::post(const QString&, QIODevice*, QIODevice*)
    {21, 827, 1035, 3, 0, 399, 19},	//767 QHttp::post(const QString&, const QByteArray&, QIODevice*)
    {21, 614, 69, 1, 0, 399, 20},	//768 QHttp::head(const QString&)
    {21, 1069, 1039, 3, 0, 399, 21},	//769 QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    {21, 1069, 1043, 3, 0, 399, 22},	//770 QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    {21, 482, 0, 0, 0, 399, 23},	//771 QHttp::closeConnection()
    {21, 481, 0, 0, 0, 399, 24},	//772 QHttp::close()
    {21, 462, 0, 0, Smoke::mf_const, 404, 25},	//773 QHttp::bytesAvailable() const
    {21, 1041, 59, 2, 0, 404, 26},	//774 QHttp::read(char*, long long)
    {21, 1043, 0, 0, 0, 14, 27},	//775 QHttp::readAll()
    {21, 527, 0, 0, Smoke::mf_const, 399, 28},	//776 QHttp::currentId() const
    {21, 529, 0, 0, Smoke::mf_const, 95, 29},	//777 QHttp::currentSourceDevice() const
    {21, 525, 0, 0, Smoke::mf_const, 95, 30},	//778 QHttp::currentDestinationDevice() const
    {21, 528, 0, 0, Smoke::mf_const, 89, 31},	//779 QHttp::currentRequest() const
    {21, 672, 0, 0, Smoke::mf_const, 92, 32},	//780 QHttp::lastResponse() const
    {21, 611, 0, 0, Smoke::mf_const, 315, 33},	//781 QHttp::hasPendingRequests() const
    {21, 480, 0, 0, 0, 0, 34},	//782 QHttp::clearPendingRequests()
    {21, 1329, 0, 0, Smoke::mf_const, 85, 35},	//783 QHttp::state() const
    {21, 567, 0, 0, Smoke::mf_const, 84, 36},	//784 QHttp::error() const
    {21, 569, 0, 0, Smoke::mf_const, 209, 37},	//785 QHttp::errorString() const
    {21, 408, 0, 0, Smoke::mf_slot, 0, 38},	//786 QHttp::abort()
    {21, 624, 0, 0, Smoke::mf_slot, 0, 39},	//787 QHttp::ignoreSslErrors()
    {21, 1330, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//788 QHttp::stateChanged(int)
    {21, 1078, 1047, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//789 QHttp::responseHeaderReceived(const QHttpResponseHeader&)
    {21, 1053, 1047, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//790 QHttp::readyRead(const QHttpResponseHeader&)
    {21, 535, 1049, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//791 QHttp::dataSendProgress(int, int)
    {21, 533, 1049, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//792 QHttp::dataReadProgress(int, int)
    {21, 1075, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//793 QHttp::requestStarted(int)
    {21, 1073, 113, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//794 QHttp::requestFinished(int, bool)
    {21, 554, 116, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//795 QHttp::done(bool)
    {21, 842, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//796 QHttp::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {21, 450, 1052, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//797 QHttp::authenticationRequired(const QString&, quint16, QAuthenticator*)
    {21, 1324, 1056, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//798 QHttp::sslErrors(const QList<QSslError>&)
    {21, 1354, 1, 1, Smoke::mf_static, 209, 51},	//799 QHttp::tr(const char*)
    {21, 1358, 1, 1, Smoke::mf_static, 209, 52},	//800 QHttp::trUtf8(const char*)
    {21, 197, 0, 0, Smoke::mf_ctor, 82, 53},	//801 QHttp::QHttp()
    {21, 197, 69, 1, Smoke::mf_ctor, 82, 54},	//802 QHttp::QHttp(const QString&)
    {21, 197, 71, 2, Smoke::mf_ctor, 82, 55},	//803 QHttp::QHttp(const QString&, unsigned short)
    {21, 197, 1058, 2, Smoke::mf_ctor, 82, 56},	//804 QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    {21, 197, 1020, 3, Smoke::mf_ctor, 82, 57},	//805 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1159, 69, 1, 0, 399, 58},	//806 QHttp::setHost(const QString&)
    {21, 1159, 1058, 2, 0, 399, 59},	//807 QHttp::setHost(const QString&, QHttp::ConnectionMode)
    {21, 1306, 69, 1, 0, 399, 60},	//808 QHttp::setUser(const QString&)
    {21, 1242, 1061, 2, 0, 399, 61},	//809 QHttp::setProxy(const QString&, int)
    {21, 1242, 1064, 3, 0, 399, 62},	//810 QHttp::setProxy(const QString&, int, const QString&)
    {21, 594, 69, 1, 0, 399, 63},	//811 QHttp::get(const QString&)
    {21, 827, 118, 2, 0, 399, 64},	//812 QHttp::post(const QString&, QIODevice*)
    {21, 827, 879, 2, 0, 399, 65},	//813 QHttp::post(const QString&, const QByteArray&)
    {21, 1069, 1068, 1, 0, 399, 66},	//814 QHttp::request(const QHttpRequestHeader&)
    {21, 1069, 1070, 2, 0, 399, 67},	//815 QHttp::request(const QHttpRequestHeader&, QIODevice*)
    {21, 1069, 1073, 2, 0, 399, 68},	//816 QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    {21, 1332, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 348, 69},	//817 QHttp::staticMetaObject() const
    {21, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 70},	//818 QHttp::ConnectionModeHttp (enum)
    {21, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 71},	//819 QHttp::ConnectionModeHttps (enum)
    {21, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 72},	//820 QHttp::Unconnected (enum)
    {21, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 73},	//821 QHttp::HostLookup (enum)
    {21, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 74},	//822 QHttp::Connecting (enum)
    {21, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 75},	//823 QHttp::Sending (enum)
    {21, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 76},	//824 QHttp::Reading (enum)
    {21, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 77},	//825 QHttp::Connected (enum)
    {21, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 78},	//826 QHttp::Closing (enum)
    {21, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 79},	//827 QHttp::NoError (enum)
    {21, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 80},	//828 QHttp::UnknownError (enum)
    {21, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 81},	//829 QHttp::HostNotFound (enum)
    {21, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 82},	//830 QHttp::ConnectionRefused (enum)
    {21, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 83},	//831 QHttp::UnexpectedClose (enum)
    {21, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 84},	//832 QHttp::InvalidResponseHeader (enum)
    {21, 398, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 85},	//833 QHttp::WrongContentLength (enum)
    {21, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 86},	//834 QHttp::Aborted (enum)
    {21, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 87},	//835 QHttp::AuthenticationRequiredError (enum)
    {21, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 88},	//836 QHttp::ProxyAuthenticationRequiredError (enum)
    {21, 1402, 0, 0, Smoke::mf_dtor, 0, 89 },	//837 QHttp::~QHttp()
    {22, 204, 0, 0, Smoke::mf_ctor, 87, 1},	//838 QHttpHeader::QHttpHeader()
    {22, 204, 1076, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 87, 2},	//839 QHttpHeader::QHttpHeader(const QHttpHeader&)
    {22, 204, 69, 1, Smoke::mf_ctor, 87, 3},	//840 QHttpHeader::QHttpHeader(const QString&)
    {22, 766, 1076, 1, 0, 86, 4},	//841 QHttpHeader::operator=(const QHttpHeader&)
    {22, 1311, 88, 2, 0, 0, 5},	//842 QHttpHeader::setValue(const QString&, const QString&)
    {22, 1314, 1078, 1, 0, 0, 6},	//843 QHttpHeader::setValues(const QList<QPair<QString,QString> >&)
    {22, 430, 88, 2, 0, 0, 7},	//844 QHttpHeader::addValue(const QString&, const QString&)
    {22, 1374, 0, 0, Smoke::mf_const, 113, 8},	//845 QHttpHeader::values() const
    {22, 606, 69, 1, Smoke::mf_const, 315, 9},	//846 QHttpHeader::hasKey(const QString&) const
    {22, 669, 0, 0, Smoke::mf_const, 213, 10},	//847 QHttpHeader::keys() const
    {22, 1372, 69, 1, Smoke::mf_const, 209, 11},	//848 QHttpHeader::value(const QString&) const
    {22, 440, 69, 1, Smoke::mf_const, 213, 12},	//849 QHttpHeader::allValues(const QString&) const
    {22, 1065, 69, 1, 0, 0, 13},	//850 QHttpHeader::removeValue(const QString&)
    {22, 1061, 69, 1, 0, 0, 14},	//851 QHttpHeader::removeAllValues(const QString&)
    {22, 604, 0, 0, Smoke::mf_const, 315, 15},	//852 QHttpHeader::hasContentLength() const
    {22, 516, 0, 0, Smoke::mf_const, 413, 16},	//853 QHttpHeader::contentLength() const
    {22, 1126, 44, 1, 0, 0, 17},	//854 QHttpHeader::setContentLength(int)
    {22, 605, 0, 0, Smoke::mf_const, 315, 18},	//855 QHttpHeader::hasContentType() const
    {22, 517, 0, 0, Smoke::mf_const, 209, 19},	//856 QHttpHeader::contentType() const
    {22, 1128, 69, 1, 0, 0, 20},	//857 QHttpHeader::setContentType(const QString&)
    {22, 1353, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 21},	//858 QHttpHeader::toString() const
    {22, 660, 0, 0, Smoke::mf_const, 315, 22},	//859 QHttpHeader::isValid() const
    {22, 698, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 399, 23},	//860 QHttpHeader::majorVersion() const [pure virtual]
    {22, 708, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 399, 24},	//861 QHttpHeader::minorVersion() const [pure virtual]
    {22, 806, 1061, 2, Smoke::mf_protected|Smoke::mf_virtual, 315, 25},	//862 QHttpHeader::parseLine(const QString&, int)
    {22, 802, 69, 1, Smoke::mf_protected, 315, 26},	//863 QHttpHeader::parse(const QString&)
    {22, 1309, 116, 1, Smoke::mf_protected, 0, 27},	//864 QHttpHeader::setValid(bool)
    {22, 1403, 0, 0, Smoke::mf_dtor, 0, 28 },	//865 QHttpHeader::~QHttpHeader()
    {24, 207, 0, 0, Smoke::mf_ctor, 91, 1},	//866 QHttpRequestHeader::QHttpRequestHeader()
    {24, 207, 1080, 4, Smoke::mf_ctor, 91, 2},	//867 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int, int)
    {24, 207, 1068, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 91, 3},	//868 QHttpRequestHeader::QHttpRequestHeader(const QHttpRequestHeader&)
    {24, 207, 69, 1, Smoke::mf_ctor, 91, 4},	//869 QHttpRequestHeader::QHttpRequestHeader(const QString&)
    {24, 766, 1068, 1, 0, 90, 5},	//870 QHttpRequestHeader::operator=(const QHttpRequestHeader&)
    {24, 1259, 1080, 4, 0, 0, 6},	//871 QHttpRequestHeader::setRequest(const QString&, const QString&, int, int)
    {24, 706, 0, 0, Smoke::mf_const, 209, 7},	//872 QHttpRequestHeader::method() const
    {24, 811, 0, 0, Smoke::mf_const, 209, 8},	//873 QHttpRequestHeader::path() const
    {24, 698, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 399, 9},	//874 QHttpRequestHeader::majorVersion() const
    {24, 708, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 399, 10},	//875 QHttpRequestHeader::minorVersion() const
    {24, 1353, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 11},	//876 QHttpRequestHeader::toString() const
    {24, 806, 1061, 2, Smoke::mf_protected|Smoke::mf_virtual, 315, 12},	//877 QHttpRequestHeader::parseLine(const QString&, int)
    {24, 207, 88, 2, Smoke::mf_ctor, 91, 13},	//878 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&)
    {24, 207, 1085, 3, Smoke::mf_ctor, 91, 14},	//879 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int)
    {24, 1259, 88, 2, 0, 0, 15},	//880 QHttpRequestHeader::setRequest(const QString&, const QString&)
    {24, 1259, 1085, 3, 0, 0, 16},	//881 QHttpRequestHeader::setRequest(const QString&, const QString&, int)
    {24, 1404, 0, 0, Smoke::mf_dtor, 0, 17 },	//882 QHttpRequestHeader::~QHttpRequestHeader()
    {25, 213, 0, 0, Smoke::mf_ctor, 94, 1},	//883 QHttpResponseHeader::QHttpResponseHeader()
    {25, 213, 1047, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 94, 2},	//884 QHttpResponseHeader::QHttpResponseHeader(const QHttpResponseHeader&)
    {25, 213, 69, 1, Smoke::mf_ctor, 94, 3},	//885 QHttpResponseHeader::QHttpResponseHeader(const QString&)
    {25, 213, 1089, 4, Smoke::mf_ctor, 94, 4},	//886 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int, int)
    {25, 766, 1047, 1, 0, 93, 5},	//887 QHttpResponseHeader::operator=(const QHttpResponseHeader&)
    {25, 1291, 1089, 4, 0, 0, 6},	//888 QHttpResponseHeader::setStatusLine(int, const QString&, int, int)
    {25, 1333, 0, 0, Smoke::mf_const, 399, 7},	//889 QHttpResponseHeader::statusCode() const
    {25, 1056, 0, 0, Smoke::mf_const, 209, 8},	//890 QHttpResponseHeader::reasonPhrase() const
    {25, 698, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 399, 9},	//891 QHttpResponseHeader::majorVersion() const
    {25, 708, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 399, 10},	//892 QHttpResponseHeader::minorVersion() const
    {25, 1353, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 11},	//893 QHttpResponseHeader::toString() const
    {25, 806, 1061, 2, Smoke::mf_protected|Smoke::mf_virtual, 315, 12},	//894 QHttpResponseHeader::parseLine(const QString&, int)
    {25, 213, 44, 1, Smoke::mf_ctor, 94, 13},	//895 QHttpResponseHeader::QHttpResponseHeader(int)
    {25, 213, 110, 2, Smoke::mf_ctor, 94, 14},	//896 QHttpResponseHeader::QHttpResponseHeader(int, const QString&)
    {25, 213, 1094, 3, Smoke::mf_ctor, 94, 15},	//897 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int)
    {25, 1291, 44, 1, 0, 0, 16},	//898 QHttpResponseHeader::setStatusLine(int)
    {25, 1291, 110, 2, 0, 0, 17},	//899 QHttpResponseHeader::setStatusLine(int, const QString&)
    {25, 1291, 1094, 3, 0, 0, 18},	//900 QHttpResponseHeader::setStatusLine(int, const QString&, int)
    {25, 1405, 0, 0, Smoke::mf_dtor, 0, 19 },	//901 QHttpResponseHeader::~QHttpResponseHeader()
    {26, 727, 1098, 1, Smoke::mf_virtual, 315, 0},	//902 QIODevice::open(QFlags<QIODevice::OpenModeFlag>)
    {26, 826, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 404, 0},	//903 QIODevice::pos() const
    {26, 1318, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 404, 0},	//904 QIODevice::size() const
    {26, 1084, 33, 1, Smoke::mf_virtual, 315, 0},	//905 QIODevice::seek(long long)
    {26, 444, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 315, 0},	//906 QIODevice::atEnd() const
    {26, 1077, 0, 0, Smoke::mf_virtual, 315, 0},	//907 QIODevice::reset()
    {26, 462, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 404, 0},	//908 QIODevice::bytesAvailable() const
    {26, 464, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 404, 0},	//909 QIODevice::bytesToWrite() const
    {26, 470, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 315, 0},	//910 QIODevice::canReadLine() const
    {26, 1389, 44, 1, Smoke::mf_virtual, 315, 0},	//911 QIODevice::waitForReadyRead(int)
    {26, 1376, 44, 1, Smoke::mf_virtual, 315, 0},	//912 QIODevice::waitForBytesWritten(int)
    {26, 1045, 59, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 404, 0},	//913 QIODevice::readData(char*, long long) [pure virtual]
    {26, 1051, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 404, 0},	//914 QIODevice::readLineData(char*, long long)
    {26, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 14},	//915 QIODevice::NotOpen (enum)
    {26, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 15},	//916 QIODevice::ReadOnly (enum)
    {26, 395, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 16},	//917 QIODevice::WriteOnly (enum)
    {26, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 17},	//918 QIODevice::ReadWrite (enum)
    {26, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 18},	//919 QIODevice::Append (enum)
    {26, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 19},	//920 QIODevice::Truncate (enum)
    {26, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 20},	//921 QIODevice::Text (enum)
    {26, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 21},	//922 QIODevice::Unbuffered (enum)
    {27, 790, 44, 1, 0, 411, 1},	//923 QIPv6Address::operator[](int)
    {27, 790, 44, 1, Smoke::mf_const, 410, 2},	//924 QIPv6Address::operator[](int) const
    {27, 219, 0, 0, Smoke::mf_ctor, 99, 3},	//925 QIPv6Address::QIPv6Address()
    {27, 219, 990, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 99, 4},	//926 QIPv6Address::QIPv6Address(const QIPv6Address&)
    {27, 1406, 0, 0, Smoke::mf_dtor, 0, 5 },	//927 QIPv6Address::~QIPv6Address()
    {32, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 349, 1},	//928 QLocalServer::metaObject() const
    {32, 1018, 1, 1, Smoke::mf_virtual, 421, 2},	//929 QLocalServer::qt_metacast(const char*)
    {32, 1354, 3, 2, Smoke::mf_static, 209, 3},	//930 QLocalServer::tr(const char*, const char*)
    {32, 1358, 3, 2, Smoke::mf_static, 209, 4},	//931 QLocalServer::trUtf8(const char*, const char*)
    {32, 1354, 6, 3, Smoke::mf_static, 209, 5},	//932 QLocalServer::tr(const char*, const char*, int)
    {32, 1358, 6, 3, Smoke::mf_static, 209, 6},	//933 QLocalServer::trUtf8(const char*, const char*, int)
    {32, 1016, 10, 3, Smoke::mf_virtual, 399, 7},	//934 QLocalServer::qt_metacall(QMetaObject::Call, int, void**)
    {32, 723, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//935 QLocalServer::newConnection()
    {32, 221, 20, 1, Smoke::mf_ctor, 118, 9},	//936 QLocalServer::QLocalServer(QObject*)
    {32, 481, 0, 0, 0, 0, 10},	//937 QLocalServer::close()
    {32, 569, 0, 0, Smoke::mf_const, 209, 11},	//938 QLocalServer::errorString() const
    {32, 609, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 315, 12},	//939 QLocalServer::hasPendingConnections() const
    {32, 648, 0, 0, Smoke::mf_const, 315, 13},	//940 QLocalServer::isListening() const
    {32, 683, 69, 1, 0, 315, 14},	//941 QLocalServer::listen(const QString&)
    {32, 700, 0, 0, Smoke::mf_const, 399, 15},	//942 QLocalServer::maxPendingConnections() const
    {32, 724, 0, 0, Smoke::mf_virtual, 119, 16},	//943 QLocalServer::nextPendingConnection()
    {32, 1091, 0, 0, Smoke::mf_const, 209, 17},	//944 QLocalServer::serverName() const
    {32, 593, 0, 0, Smoke::mf_const, 209, 18},	//945 QLocalServer::fullServerName() const
    {32, 1063, 69, 1, Smoke::mf_static, 315, 19},	//946 QLocalServer::removeServer(const QString&)
    {32, 1090, 0, 0, Smoke::mf_const, 5, 20},	//947 QLocalServer::serverError() const
    {32, 1183, 44, 1, 0, 0, 21},	//948 QLocalServer::setMaxPendingConnections(int)
    {32, 1384, 1100, 2, 0, 315, 22},	//949 QLocalServer::waitForNewConnection(int, bool*)
    {32, 626, 1103, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//950 QLocalServer::incomingConnection(QIntegerForSizeof< void* >::Unsigned)
    {32, 1354, 1, 1, Smoke::mf_static, 209, 24},	//951 QLocalServer::tr(const char*)
    {32, 1358, 1, 1, Smoke::mf_static, 209, 25},	//952 QLocalServer::trUtf8(const char*)
    {32, 221, 0, 0, Smoke::mf_ctor, 118, 26},	//953 QLocalServer::QLocalServer()
    {32, 1384, 0, 0, 0, 315, 27},	//954 QLocalServer::waitForNewConnection()
    {32, 1384, 44, 1, 0, 315, 28},	//955 QLocalServer::waitForNewConnection(int)
    {32, 1332, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 348, 29},	//956 QLocalServer::staticMetaObject() const
    {32, 1407, 0, 0, Smoke::mf_dtor, 0, 30 },	//957 QLocalServer::~QLocalServer()
    {33, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 349, 1},	//958 QLocalSocket::metaObject() const
    {33, 1018, 1, 1, Smoke::mf_virtual, 421, 2},	//959 QLocalSocket::qt_metacast(const char*)
    {33, 1354, 3, 2, Smoke::mf_static, 209, 3},	//960 QLocalSocket::tr(const char*, const char*)
    {33, 1358, 3, 2, Smoke::mf_static, 209, 4},	//961 QLocalSocket::trUtf8(const char*, const char*)
    {33, 1354, 6, 3, Smoke::mf_static, 209, 5},	//962 QLocalSocket::tr(const char*, const char*, int)
    {33, 1358, 6, 3, Smoke::mf_static, 209, 6},	//963 QLocalSocket::trUtf8(const char*, const char*, int)
    {33, 1016, 10, 3, Smoke::mf_virtual, 399, 7},	//964 QLocalSocket::qt_metacall(QMetaObject::Call, int, void**)
    {33, 223, 20, 1, Smoke::mf_ctor, 119, 8},	//965 QLocalSocket::QLocalSocket(QObject*)
    {33, 512, 1105, 2, 0, 0, 9},	//966 QLocalSocket::connectToServer(const QString&, QFlags<QIODevice::OpenModeFlag>)
    {33, 549, 0, 0, 0, 0, 10},	//967 QLocalSocket::disconnectFromServer()
    {33, 1091, 0, 0, Smoke::mf_const, 209, 11},	//968 QLocalSocket::serverName() const
    {33, 593, 0, 0, Smoke::mf_const, 209, 12},	//969 QLocalSocket::fullServerName() const
    {33, 408, 0, 0, 0, 0, 13},	//970 QLocalSocket::abort()
    {33, 656, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 315, 14},	//971 QLocalSocket::isSequential() const
    {33, 462, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 404, 15},	//972 QLocalSocket::bytesAvailable() const
    {33, 464, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 404, 16},	//973 QLocalSocket::bytesToWrite() const
    {33, 470, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 315, 17},	//974 QLocalSocket::canReadLine() const
    {33, 481, 0, 0, Smoke::mf_virtual, 0, 18},	//975 QLocalSocket::close()
    {33, 567, 0, 0, Smoke::mf_const, 120, 19},	//976 QLocalSocket::error() const
    {33, 580, 0, 0, 0, 315, 20},	//977 QLocalSocket::flush()
    {33, 660, 0, 0, Smoke::mf_const, 315, 21},	//978 QLocalSocket::isValid() const
    {33, 1044, 0, 0, Smoke::mf_const, 404, 22},	//979 QLocalSocket::readBufferSize() const
    {33, 1255, 33, 1, 0, 0, 23},	//980 QLocalSocket::setReadBufferSize(long long)
    {33, 1276, 1108, 3, 0, 315, 24},	//981 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QFlags<QIODevice::OpenModeFlag>)
    {33, 1319, 0, 0, Smoke::mf_const, 101, 25},	//982 QLocalSocket::socketDescriptor() const
    {33, 1329, 0, 0, Smoke::mf_const, 121, 26},	//983 QLocalSocket::state() const
    {33, 1376, 44, 1, Smoke::mf_virtual, 315, 27},	//984 QLocalSocket::waitForBytesWritten(int)
    {33, 1378, 44, 1, 0, 315, 28},	//985 QLocalSocket::waitForConnected(int)
    {33, 1380, 44, 1, 0, 315, 29},	//986 QLocalSocket::waitForDisconnected(int)
    {33, 1389, 44, 1, Smoke::mf_virtual, 315, 30},	//987 QLocalSocket::waitForReadyRead(int)
    {33, 515, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//988 QLocalSocket::connected()
    {33, 552, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//989 QLocalSocket::disconnected()
    {33, 567, 1112, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//990 QLocalSocket::error(QLocalSocket::LocalSocketError)
    {33, 1330, 1114, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//991 QLocalSocket::stateChanged(QLocalSocket::LocalSocketState)
    {33, 1045, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 404, 35},	//992 QLocalSocket::readData(char*, long long)
    {33, 1391, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 404, 36},	//993 QLocalSocket::writeData(const char*, long long)
    {33, 1354, 1, 1, Smoke::mf_static, 209, 37},	//994 QLocalSocket::tr(const char*)
    {33, 1358, 1, 1, Smoke::mf_static, 209, 38},	//995 QLocalSocket::trUtf8(const char*)
    {33, 223, 0, 0, Smoke::mf_ctor, 119, 39},	//996 QLocalSocket::QLocalSocket()
    {33, 512, 69, 1, 0, 0, 40},	//997 QLocalSocket::connectToServer(const QString&)
    {33, 1276, 1103, 1, 0, 315, 41},	//998 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned)
    {33, 1276, 1116, 2, 0, 315, 42},	//999 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState)
    {33, 1376, 0, 0, 0, 315, 43},	//1000 QLocalSocket::waitForBytesWritten()
    {33, 1378, 0, 0, 0, 315, 44},	//1001 QLocalSocket::waitForConnected()
    {33, 1380, 0, 0, 0, 315, 45},	//1002 QLocalSocket::waitForDisconnected()
    {33, 1389, 0, 0, 0, 315, 46},	//1003 QLocalSocket::waitForReadyRead()
    {33, 1332, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 348, 47},	//1004 QLocalSocket::staticMetaObject() const
    {33, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 48},	//1005 QLocalSocket::ConnectionRefusedError (enum)
    {33, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 49},	//1006 QLocalSocket::PeerClosedError (enum)
    {33, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 50},	//1007 QLocalSocket::ServerNotFoundError (enum)
    {33, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 51},	//1008 QLocalSocket::SocketAccessError (enum)
    {33, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 52},	//1009 QLocalSocket::SocketResourceError (enum)
    {33, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 53},	//1010 QLocalSocket::SocketTimeoutError (enum)
    {33, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 54},	//1011 QLocalSocket::DatagramTooLargeError (enum)
    {33, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 55},	//1012 QLocalSocket::ConnectionError (enum)
    {33, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 56},	//1013 QLocalSocket::UnsupportedSocketOperationError (enum)
    {33, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 57},	//1014 QLocalSocket::UnknownSocketError (enum)
    {33, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 58},	//1015 QLocalSocket::UnconnectedState (enum)
    {33, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 59},	//1016 QLocalSocket::ConnectingState (enum)
    {33, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 60},	//1017 QLocalSocket::ConnectedState (enum)
    {33, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 61},	//1018 QLocalSocket::ClosingState (enum)
    {33, 1408, 0, 0, Smoke::mf_dtor, 0, 62 },	//1019 QLocalSocket::~QLocalSocket()
    {38, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 349, 1},	//1020 QNetworkAccessManager::metaObject() const
    {38, 1018, 1, 1, Smoke::mf_virtual, 421, 2},	//1021 QNetworkAccessManager::qt_metacast(const char*)
    {38, 1354, 3, 2, Smoke::mf_static, 209, 3},	//1022 QNetworkAccessManager::tr(const char*, const char*)
    {38, 1358, 3, 2, Smoke::mf_static, 209, 4},	//1023 QNetworkAccessManager::trUtf8(const char*, const char*)
    {38, 1354, 6, 3, Smoke::mf_static, 209, 5},	//1024 QNetworkAccessManager::tr(const char*, const char*, int)
    {38, 1358, 6, 3, Smoke::mf_static, 209, 6},	//1025 QNetworkAccessManager::trUtf8(const char*, const char*, int)
    {38, 1016, 10, 3, Smoke::mf_virtual, 399, 7},	//1026 QNetworkAccessManager::qt_metacall(QMetaObject::Call, int, void**)
    {38, 225, 20, 1, Smoke::mf_ctor, 126, 8},	//1027 QNetworkAccessManager::QNetworkAccessManager(QObject*)
    {38, 841, 0, 0, Smoke::mf_const, 152, 9},	//1028 QNetworkAccessManager::proxy() const
    {38, 1242, 46, 1, 0, 0, 10},	//1029 QNetworkAccessManager::setProxy(const QNetworkProxy&)
    {38, 844, 0, 0, Smoke::mf_const, 157, 11},	//1030 QNetworkAccessManager::proxyFactory() const
    {38, 1247, 1119, 1, 0, 0, 12},	//1031 QNetworkAccessManager::setProxyFactory(QNetworkProxyFactory*)
    {38, 467, 0, 0, Smoke::mf_const, 2, 13},	//1032 QNetworkAccessManager::cache() const
    {38, 1115, 1121, 1, 0, 0, 14},	//1033 QNetworkAccessManager::setCache(QAbstractNetworkCache*)
    {38, 518, 0, 0, Smoke::mf_const, 146, 15},	//1034 QNetworkAccessManager::cookieJar() const
    {38, 1130, 1123, 1, 0, 0, 16},	//1035 QNetworkAccessManager::setCookieJar(QNetworkCookieJar*)
    {38, 614, 1125, 1, 0, 161, 17},	//1036 QNetworkAccessManager::head(const QNetworkRequest&)
    {38, 594, 1125, 1, 0, 161, 18},	//1037 QNetworkAccessManager::get(const QNetworkRequest&)
    {38, 827, 1127, 2, 0, 161, 19},	//1038 QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    {38, 827, 1130, 2, 0, 161, 20},	//1039 QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    {38, 827, 1133, 2, 0, 161, 21},	//1040 QNetworkAccessManager::post(const QNetworkRequest&, QHttpMultiPart*)
    {38, 849, 1127, 2, 0, 161, 22},	//1041 QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    {38, 849, 1130, 2, 0, 161, 23},	//1042 QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    {38, 849, 1133, 2, 0, 161, 24},	//1043 QNetworkAccessManager::put(const QNetworkRequest&, QHttpMultiPart*)
    {38, 542, 1125, 1, 0, 161, 25},	//1044 QNetworkAccessManager::deleteResource(const QNetworkRequest&)
    {38, 1085, 1136, 3, 0, 161, 26},	//1045 QNetworkAccessManager::sendCustomRequest(const QNetworkRequest&, const QByteArray&, QIODevice*)
    {38, 1124, 1140, 1, 0, 0, 27},	//1046 QNetworkAccessManager::setConfiguration(const QNetworkConfiguration&)
    {38, 488, 0, 0, Smoke::mf_const, 134, 28},	//1047 QNetworkAccessManager::configuration() const
    {38, 412, 0, 0, Smoke::mf_const, 134, 29},	//1048 QNetworkAccessManager::activeConfiguration() const
    {38, 1194, 1142, 1, Smoke::mf_property, 0, 30},	//1049 QNetworkAccessManager::setNetworkAccessible(QNetworkAccessManager::NetworkAccessibility)
    {38, 717, 0, 0, Smoke::mf_const|Smoke::mf_property, 127, 31},	//1050 QNetworkAccessManager::networkAccessible() const
    {38, 842, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1051 QNetworkAccessManager::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {38, 450, 1144, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1052 QNetworkAccessManager::authenticationRequired(QNetworkReply*, QAuthenticator*)
    {38, 577, 1147, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1053 QNetworkAccessManager::finished(QNetworkReply*)
    {38, 1324, 1149, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1054 QNetworkAccessManager::sslErrors(QNetworkReply*, const QList<QSslError>&)
    {38, 721, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1055 QNetworkAccessManager::networkSessionConnected()
    {38, 718, 1142, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1056 QNetworkAccessManager::networkAccessibleChanged(QNetworkAccessManager::NetworkAccessibility)
    {38, 521, 1152, 3, Smoke::mf_protected|Smoke::mf_virtual, 161, 38},	//1057 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*)
    {38, 1354, 1, 1, Smoke::mf_static, 209, 39},	//1058 QNetworkAccessManager::tr(const char*)
    {38, 1358, 1, 1, Smoke::mf_static, 209, 40},	//1059 QNetworkAccessManager::trUtf8(const char*)
    {38, 225, 0, 0, Smoke::mf_ctor, 126, 41},	//1060 QNetworkAccessManager::QNetworkAccessManager()
    {38, 1085, 1130, 2, 0, 161, 42},	//1061 QNetworkAccessManager::sendCustomRequest(const QNetworkRequest&, const QByteArray&)
    {38, 521, 1156, 2, Smoke::mf_protected, 161, 43},	//1062 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&)
    {38, 1332, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 348, 44},	//1063 QNetworkAccessManager::staticMetaObject() const
    {38, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 45},	//1064 QNetworkAccessManager::HeadOperation (enum)
    {38, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 46},	//1065 QNetworkAccessManager::GetOperation (enum)
    {38, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 47},	//1066 QNetworkAccessManager::PutOperation (enum)
    {38, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 48},	//1067 QNetworkAccessManager::PostOperation (enum)
    {38, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 49},	//1068 QNetworkAccessManager::DeleteOperation (enum)
    {38, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 50},	//1069 QNetworkAccessManager::CustomOperation (enum)
    {38, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 51},	//1070 QNetworkAccessManager::UnknownOperation (enum)
    {38, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 52},	//1071 QNetworkAccessManager::UnknownAccessibility (enum)
    {38, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 53},	//1072 QNetworkAccessManager::NotAccessible (enum)
    {38, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 54},	//1073 QNetworkAccessManager::Accessible (enum)
    {38, 1409, 0, 0, Smoke::mf_dtor, 0, 55 },	//1074 QNetworkAccessManager::~QNetworkAccessManager()
    {39, 227, 0, 0, Smoke::mf_ctor, 130, 1},	//1075 QNetworkAddressEntry::QNetworkAddressEntry()
    {39, 227, 1159, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 130, 2},	//1076 QNetworkAddressEntry::QNetworkAddressEntry(const QNetworkAddressEntry&)
    {39, 766, 1159, 1, 0, 129, 3},	//1077 QNetworkAddressEntry::operator=(const QNetworkAddressEntry&)
    {39, 769, 1159, 1, Smoke::mf_const, 315, 4},	//1078 QNetworkAddressEntry::operator==(const QNetworkAddressEntry&) const
    {39, 730, 1159, 1, Smoke::mf_const, 315, 5},	//1079 QNetworkAddressEntry::operator!=(const QNetworkAddressEntry&) const
    {39, 637, 0, 0, Smoke::mf_const, 74, 6},	//1080 QNetworkAddressEntry::ip() const
    {39, 1167, 67, 1, 0, 0, 7},	//1081 QNetworkAddressEntry::setIp(const QHostAddress&)
    {39, 716, 0, 0, Smoke::mf_const, 74, 8},	//1082 QNetworkAddressEntry::netmask() const
    {39, 1192, 67, 1, 0, 0, 9},	//1083 QNetworkAddressEntry::setNetmask(const QHostAddress&)
    {39, 833, 0, 0, Smoke::mf_const, 399, 10},	//1084 QNetworkAddressEntry::prefixLength() const
    {39, 1228, 44, 1, 0, 0, 11},	//1085 QNetworkAddressEntry::setPrefixLength(int)
    {39, 461, 0, 0, Smoke::mf_const, 74, 12},	//1086 QNetworkAddressEntry::broadcast() const
    {39, 1111, 67, 1, 0, 0, 13},	//1087 QNetworkAddressEntry::setBroadcast(const QHostAddress&)
    {39, 1410, 0, 0, Smoke::mf_dtor, 0, 14 },	//1088 QNetworkAddressEntry::~QNetworkAddressEntry()
    {40, 229, 0, 0, Smoke::mf_ctor, 133, 1},	//1089 QNetworkCacheMetaData::QNetworkCacheMetaData()
    {40, 229, 16, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 133, 2},	//1090 QNetworkCacheMetaData::QNetworkCacheMetaData(const QNetworkCacheMetaData&)
    {40, 766, 16, 1, 0, 132, 3},	//1091 QNetworkCacheMetaData::operator=(const QNetworkCacheMetaData&)
    {40, 769, 16, 1, Smoke::mf_const, 315, 4},	//1092 QNetworkCacheMetaData::operator==(const QNetworkCacheMetaData&) const
    {40, 730, 16, 1, Smoke::mf_const, 315, 5},	//1093 QNetworkCacheMetaData::operator!=(const QNetworkCacheMetaData&) const
    {40, 660, 0, 0, Smoke::mf_const, 315, 6},	//1094 QNetworkCacheMetaData::isValid() const
    {40, 1369, 0, 0, Smoke::mf_const, 227, 7},	//1095 QNetworkCacheMetaData::url() const
    {40, 1302, 14, 1, 0, 0, 8},	//1096 QNetworkCacheMetaData::setUrl(const QUrl&)
    {40, 1040, 0, 0, Smoke::mf_const, 112, 9},	//1097 QNetworkCacheMetaData::rawHeaders() const
    {40, 1253, 1161, 1, 0, 0, 10},	//1098 QNetworkCacheMetaData::setRawHeaders(const QList<QPair<QByteArray,QByteArray> >&)
    {40, 670, 0, 0, Smoke::mf_const, 22, 11},	//1099 QNetworkCacheMetaData::lastModified() const
    {40, 1169, 1163, 1, 0, 0, 12},	//1100 QNetworkCacheMetaData::setLastModified(const QDateTime&)
    {40, 572, 0, 0, Smoke::mf_const, 22, 13},	//1101 QNetworkCacheMetaData::expirationDate() const
    {40, 1149, 1163, 1, 0, 0, 14},	//1102 QNetworkCacheMetaData::setExpirationDate(const QDateTime&)
    {40, 1082, 0, 0, Smoke::mf_const, 315, 15},	//1103 QNetworkCacheMetaData::saveToDisk() const
    {40, 1264, 116, 1, 0, 0, 16},	//1104 QNetworkCacheMetaData::setSaveToDisk(bool)
    {40, 448, 0, 0, Smoke::mf_const, 72, 17},	//1105 QNetworkCacheMetaData::attributes() const
    {40, 1109, 1165, 1, 0, 0, 18},	//1106 QNetworkCacheMetaData::setAttributes(const QHash<QNetworkRequest::Attribute,QVariant>&)
    {40, 1411, 0, 0, Smoke::mf_dtor, 0, 19 },	//1107 QNetworkCacheMetaData::~QNetworkCacheMetaData()
    {41, 231, 0, 0, Smoke::mf_ctor, 136, 1},	//1108 QNetworkConfiguration::QNetworkConfiguration()
    {41, 231, 1140, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 136, 2},	//1109 QNetworkConfiguration::QNetworkConfiguration(const QNetworkConfiguration&)
    {41, 766, 1140, 1, 0, 135, 3},	//1110 QNetworkConfiguration::operator=(const QNetworkConfiguration&)
    {41, 769, 1140, 1, Smoke::mf_const, 315, 4},	//1111 QNetworkConfiguration::operator==(const QNetworkConfiguration&) const
    {41, 730, 1140, 1, Smoke::mf_const, 315, 5},	//1112 QNetworkConfiguration::operator!=(const QNetworkConfiguration&) const
    {41, 1329, 0, 0, Smoke::mf_const, 41, 6},	//1113 QNetworkConfiguration::state() const
    {41, 1362, 0, 0, Smoke::mf_const, 140, 7},	//1114 QNetworkConfiguration::type() const
    {41, 848, 0, 0, Smoke::mf_const, 138, 8},	//1115 QNetworkConfiguration::purpose() const
    {41, 453, 0, 0, Smoke::mf_const, 209, 9},	//1116 QNetworkConfiguration::bearerName() const
    {41, 454, 0, 0, Smoke::mf_const, 137, 10},	//1117 QNetworkConfiguration::bearerType() const
    {41, 455, 0, 0, Smoke::mf_const, 209, 11},	//1118 QNetworkConfiguration::bearerTypeName() const
    {41, 622, 0, 0, Smoke::mf_const, 209, 12},	//1119 QNetworkConfiguration::identifier() const
    {41, 653, 0, 0, Smoke::mf_const, 315, 13},	//1120 QNetworkConfiguration::isRoamingAvailable() const
    {41, 476, 0, 0, Smoke::mf_const, 108, 14},	//1121 QNetworkConfiguration::children() const
    {41, 715, 0, 0, Smoke::mf_const, 209, 15},	//1122 QNetworkConfiguration::name() const
    {41, 660, 0, 0, Smoke::mf_const, 315, 16},	//1123 QNetworkConfiguration::isValid() const
    {41, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 17},	//1124 QNetworkConfiguration::InternetAccessPoint (enum)
    {41, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 18},	//1125 QNetworkConfiguration::ServiceNetwork (enum)
    {41, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 19},	//1126 QNetworkConfiguration::UserChoice (enum)
    {41, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 20},	//1127 QNetworkConfiguration::Invalid (enum)
    {41, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 21},	//1128 QNetworkConfiguration::UnknownPurpose (enum)
    {41, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 22},	//1129 QNetworkConfiguration::PublicPurpose (enum)
    {41, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 23},	//1130 QNetworkConfiguration::PrivatePurpose (enum)
    {41, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 24},	//1131 QNetworkConfiguration::ServiceSpecificPurpose (enum)
    {41, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 25},	//1132 QNetworkConfiguration::Undefined (enum)
    {41, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 26},	//1133 QNetworkConfiguration::Defined (enum)
    {41, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 27},	//1134 QNetworkConfiguration::Discovered (enum)
    {41, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 28},	//1135 QNetworkConfiguration::Active (enum)
    {41, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 29},	//1136 QNetworkConfiguration::BearerUnknown (enum)
    {41, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 30},	//1137 QNetworkConfiguration::BearerEthernet (enum)
    {41, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 31},	//1138 QNetworkConfiguration::BearerWLAN (enum)
    {41, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 32},	//1139 QNetworkConfiguration::Bearer2G (enum)
    {41, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 33},	//1140 QNetworkConfiguration::BearerCDMA2000 (enum)
    {41, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 34},	//1141 QNetworkConfiguration::BearerWCDMA (enum)
    {41, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 35},	//1142 QNetworkConfiguration::BearerHSPA (enum)
    {41, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 36},	//1143 QNetworkConfiguration::BearerBluetooth (enum)
    {41, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 37},	//1144 QNetworkConfiguration::BearerWiMAX (enum)
    {41, 1412, 0, 0, Smoke::mf_dtor, 0, 38 },	//1145 QNetworkConfiguration::~QNetworkConfiguration()
    {42, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 349, 1},	//1146 QNetworkConfigurationManager::metaObject() const
    {42, 1018, 1, 1, Smoke::mf_virtual, 421, 2},	//1147 QNetworkConfigurationManager::qt_metacast(const char*)
    {42, 1354, 3, 2, Smoke::mf_static, 209, 3},	//1148 QNetworkConfigurationManager::tr(const char*, const char*)
    {42, 1358, 3, 2, Smoke::mf_static, 209, 4},	//1149 QNetworkConfigurationManager::trUtf8(const char*, const char*)
    {42, 1354, 6, 3, Smoke::mf_static, 209, 5},	//1150 QNetworkConfigurationManager::tr(const char*, const char*, int)
    {42, 1358, 6, 3, Smoke::mf_static, 209, 6},	//1151 QNetworkConfigurationManager::trUtf8(const char*, const char*, int)
    {42, 1016, 10, 3, Smoke::mf_virtual, 399, 7},	//1152 QNetworkConfigurationManager::qt_metacall(QMetaObject::Call, int, void**)
    {42, 233, 20, 1, Smoke::mf_ctor, 141, 8},	//1153 QNetworkConfigurationManager::QNetworkConfigurationManager(QObject*)
    {42, 471, 0, 0, Smoke::mf_const, 42, 9},	//1154 QNetworkConfigurationManager::capabilities() const
    {42, 541, 0, 0, Smoke::mf_const, 134, 10},	//1155 QNetworkConfigurationManager::defaultConfiguration() const
    {42, 436, 1167, 1, Smoke::mf_const, 108, 11},	//1156 QNetworkConfigurationManager::allConfigurations(QFlags<QNetworkConfiguration::StateFlag>) const
    {42, 493, 69, 1, Smoke::mf_const, 134, 12},	//1157 QNetworkConfigurationManager::configurationFromIdentifier(const QString&) const
    {42, 650, 0, 0, Smoke::mf_const, 315, 13},	//1158 QNetworkConfigurationManager::isOnline() const
    {42, 1364, 0, 0, Smoke::mf_slot, 0, 14},	//1159 QNetworkConfigurationManager::updateConfigurations()
    {42, 489, 1140, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1160 QNetworkConfigurationManager::configurationAdded(const QNetworkConfiguration&)
    {42, 495, 1140, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1161 QNetworkConfigurationManager::configurationRemoved(const QNetworkConfiguration&)
    {42, 491, 1140, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1162 QNetworkConfigurationManager::configurationChanged(const QNetworkConfiguration&)
    {42, 725, 116, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1163 QNetworkConfigurationManager::onlineStateChanged(bool)
    {42, 1363, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//1164 QNetworkConfigurationManager::updateCompleted()
    {42, 1354, 1, 1, Smoke::mf_static, 209, 20},	//1165 QNetworkConfigurationManager::tr(const char*)
    {42, 1358, 1, 1, Smoke::mf_static, 209, 21},	//1166 QNetworkConfigurationManager::trUtf8(const char*)
    {42, 233, 0, 0, Smoke::mf_ctor, 141, 22},	//1167 QNetworkConfigurationManager::QNetworkConfigurationManager()
    {42, 436, 0, 0, Smoke::mf_const, 108, 23},	//1168 QNetworkConfigurationManager::allConfigurations() const
    {42, 1332, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 348, 24},	//1169 QNetworkConfigurationManager::staticMetaObject() const
    {42, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 25},	//1170 QNetworkConfigurationManager::CanStartAndStopInterfaces (enum)
    {42, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 26},	//1171 QNetworkConfigurationManager::DirectConnectionRouting (enum)
    {42, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 27},	//1172 QNetworkConfigurationManager::SystemSessionSupport (enum)
    {42, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 28},	//1173 QNetworkConfigurationManager::ApplicationLevelRoaming (enum)
    {42, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 29},	//1174 QNetworkConfigurationManager::ForcedRoaming (enum)
    {42, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 30},	//1175 QNetworkConfigurationManager::DataStatistics (enum)
    {42, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 31},	//1176 QNetworkConfigurationManager::NetworkSessionRequired (enum)
    {42, 1413, 0, 0, Smoke::mf_dtor, 0, 32 },	//1177 QNetworkConfigurationManager::~QNetworkConfigurationManager()
    {43, 235, 208, 2, Smoke::mf_ctor, 144, 1},	//1178 QNetworkCookie::QNetworkCookie(const QByteArray&, const QByteArray&)
    {43, 235, 1169, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 144, 2},	//1179 QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    {43, 766, 1169, 1, 0, 143, 3},	//1180 QNetworkCookie::operator=(const QNetworkCookie&)
    {43, 769, 1169, 1, Smoke::mf_const, 315, 4},	//1181 QNetworkCookie::operator==(const QNetworkCookie&) const
    {43, 730, 1169, 1, Smoke::mf_const, 315, 5},	//1182 QNetworkCookie::operator!=(const QNetworkCookie&) const
    {43, 655, 0, 0, Smoke::mf_const, 315, 6},	//1183 QNetworkCookie::isSecure() const
    {43, 1268, 116, 1, 0, 0, 7},	//1184 QNetworkCookie::setSecure(bool)
    {43, 644, 0, 0, Smoke::mf_const, 315, 8},	//1185 QNetworkCookie::isHttpOnly() const
    {43, 1165, 116, 1, 0, 0, 9},	//1186 QNetworkCookie::setHttpOnly(bool)
    {43, 657, 0, 0, Smoke::mf_const, 315, 10},	//1187 QNetworkCookie::isSessionCookie() const
    {43, 572, 0, 0, Smoke::mf_const, 22, 11},	//1188 QNetworkCookie::expirationDate() const
    {43, 1149, 1163, 1, 0, 0, 12},	//1189 QNetworkCookie::setExpirationDate(const QDateTime&)
    {43, 553, 0, 0, Smoke::mf_const, 209, 13},	//1190 QNetworkCookie::domain() const
    {43, 1142, 69, 1, 0, 0, 14},	//1191 QNetworkCookie::setDomain(const QString&)
    {43, 811, 0, 0, Smoke::mf_const, 209, 15},	//1192 QNetworkCookie::path() const
    {43, 1208, 69, 1, 0, 0, 16},	//1193 QNetworkCookie::setPath(const QString&)
    {43, 715, 0, 0, Smoke::mf_const, 14, 17},	//1194 QNetworkCookie::name() const
    {43, 1189, 397, 1, 0, 0, 18},	//1195 QNetworkCookie::setName(const QByteArray&)
    {43, 1372, 0, 0, Smoke::mf_const, 14, 19},	//1196 QNetworkCookie::value() const
    {43, 1311, 397, 1, 0, 0, 20},	//1197 QNetworkCookie::setValue(const QByteArray&)
    {43, 1351, 1171, 1, Smoke::mf_const, 14, 21},	//1198 QNetworkCookie::toRawForm(QNetworkCookie::RawForm) const
    {43, 804, 397, 1, Smoke::mf_static, 109, 22},	//1199 QNetworkCookie::parseCookies(const QByteArray&)
    {43, 235, 0, 0, Smoke::mf_ctor, 144, 23},	//1200 QNetworkCookie::QNetworkCookie()
    {43, 235, 397, 1, Smoke::mf_ctor, 144, 24},	//1201 QNetworkCookie::QNetworkCookie(const QByteArray&)
    {43, 1351, 0, 0, Smoke::mf_const, 14, 25},	//1202 QNetworkCookie::toRawForm() const
    {43, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 26},	//1203 QNetworkCookie::NameAndValueOnly (enum)
    {43, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 27},	//1204 QNetworkCookie::Full (enum)
    {43, 1414, 0, 0, Smoke::mf_dtor, 0, 28 },	//1205 QNetworkCookie::~QNetworkCookie()
    {44, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 349, 1},	//1206 QNetworkCookieJar::metaObject() const
    {44, 1018, 1, 1, Smoke::mf_virtual, 421, 2},	//1207 QNetworkCookieJar::qt_metacast(const char*)
    {44, 1354, 3, 2, Smoke::mf_static, 209, 3},	//1208 QNetworkCookieJar::tr(const char*, const char*)
    {44, 1358, 3, 2, Smoke::mf_static, 209, 4},	//1209 QNetworkCookieJar::trUtf8(const char*, const char*)
    {44, 1354, 6, 3, Smoke::mf_static, 209, 5},	//1210 QNetworkCookieJar::tr(const char*, const char*, int)
    {44, 1358, 6, 3, Smoke::mf_static, 209, 6},	//1211 QNetworkCookieJar::trUtf8(const char*, const char*, int)
    {44, 1016, 10, 3, Smoke::mf_virtual, 399, 7},	//1212 QNetworkCookieJar::qt_metacall(QMetaObject::Call, int, void**)
    {44, 238, 20, 1, Smoke::mf_ctor, 146, 8},	//1213 QNetworkCookieJar::QNetworkCookieJar(QObject*)
    {44, 519, 14, 1, Smoke::mf_const|Smoke::mf_virtual, 109, 9},	//1214 QNetworkCookieJar::cookiesForUrl(const QUrl&) const
    {44, 1132, 1173, 2, Smoke::mf_virtual, 315, 10},	//1215 QNetworkCookieJar::setCookiesFromUrl(const QList<QNetworkCookie>&, const QUrl&)
    {44, 438, 0, 0, Smoke::mf_const|Smoke::mf_protected, 109, 11},	//1216 QNetworkCookieJar::allCookies() const
    {44, 1101, 1176, 1, Smoke::mf_protected, 0, 12},	//1217 QNetworkCookieJar::setAllCookies(const QList<QNetworkCookie>&)
    {44, 1354, 1, 1, Smoke::mf_static, 209, 13},	//1218 QNetworkCookieJar::tr(const char*)
    {44, 1358, 1, 1, Smoke::mf_static, 209, 14},	//1219 QNetworkCookieJar::trUtf8(const char*)
    {44, 238, 0, 0, Smoke::mf_ctor, 146, 15},	//1220 QNetworkCookieJar::QNetworkCookieJar()
    {44, 1332, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 348, 16},	//1221 QNetworkCookieJar::staticMetaObject() const
    {44, 1415, 0, 0, Smoke::mf_dtor, 0, 17 },	//1222 QNetworkCookieJar::~QNetworkCookieJar()
    {45, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 349, 1},	//1223 QNetworkDiskCache::metaObject() const
    {45, 1018, 1, 1, Smoke::mf_virtual, 421, 2},	//1224 QNetworkDiskCache::qt_metacast(const char*)
    {45, 1354, 3, 2, Smoke::mf_static, 209, 3},	//1225 QNetworkDiskCache::tr(const char*, const char*)
    {45, 1358, 3, 2, Smoke::mf_static, 209, 4},	//1226 QNetworkDiskCache::trUtf8(const char*, const char*)
    {45, 1354, 6, 3, Smoke::mf_static, 209, 5},	//1227 QNetworkDiskCache::tr(const char*, const char*, int)
    {45, 1358, 6, 3, Smoke::mf_static, 209, 6},	//1228 QNetworkDiskCache::trUtf8(const char*, const char*, int)
    {45, 1016, 10, 3, Smoke::mf_virtual, 399, 7},	//1229 QNetworkDiskCache::qt_metacall(QMetaObject::Call, int, void**)
    {45, 240, 20, 1, Smoke::mf_ctor, 147, 8},	//1230 QNetworkDiskCache::QNetworkDiskCache(QObject*)
    {45, 468, 0, 0, Smoke::mf_const, 209, 9},	//1231 QNetworkDiskCache::cacheDirectory() const
    {45, 1117, 69, 1, 0, 0, 10},	//1232 QNetworkDiskCache::setCacheDirectory(const QString&)
    {45, 701, 0, 0, Smoke::mf_const, 404, 11},	//1233 QNetworkDiskCache::maximumCacheSize() const
    {45, 1185, 33, 1, 0, 0, 12},	//1234 QNetworkDiskCache::setMaximumCacheSize(long long)
    {45, 469, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 404, 13},	//1235 QNetworkDiskCache::cacheSize() const
    {45, 702, 14, 1, Smoke::mf_virtual, 131, 14},	//1236 QNetworkDiskCache::metaData(const QUrl&)
    {45, 1365, 16, 1, Smoke::mf_virtual, 0, 15},	//1237 QNetworkDiskCache::updateMetaData(const QNetworkCacheMetaData&)
    {45, 531, 14, 1, Smoke::mf_virtual, 95, 16},	//1238 QNetworkDiskCache::data(const QUrl&)
    {45, 1058, 14, 1, Smoke::mf_virtual, 315, 17},	//1239 QNetworkDiskCache::remove(const QUrl&)
    {45, 834, 16, 1, Smoke::mf_virtual, 95, 18},	//1240 QNetworkDiskCache::prepare(const QNetworkCacheMetaData&)
    {45, 630, 18, 1, Smoke::mf_virtual, 0, 19},	//1241 QNetworkDiskCache::insert(QIODevice*)
    {45, 575, 69, 1, Smoke::mf_const, 131, 20},	//1242 QNetworkDiskCache::fileMetaData(const QString&) const
    {45, 478, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//1243 QNetworkDiskCache::clear()
    {45, 573, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 404, 22},	//1244 QNetworkDiskCache::expire()
    {45, 1354, 1, 1, Smoke::mf_static, 209, 23},	//1245 QNetworkDiskCache::tr(const char*)
    {45, 1358, 1, 1, Smoke::mf_static, 209, 24},	//1246 QNetworkDiskCache::trUtf8(const char*)
    {45, 240, 0, 0, Smoke::mf_ctor, 147, 25},	//1247 QNetworkDiskCache::QNetworkDiskCache()
    {45, 1332, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 348, 26},	//1248 QNetworkDiskCache::staticMetaObject() const
    {45, 1416, 0, 0, Smoke::mf_dtor, 0, 27 },	//1249 QNetworkDiskCache::~QNetworkDiskCache()
    {46, 242, 0, 0, Smoke::mf_ctor, 150, 1},	//1250 QNetworkInterface::QNetworkInterface()
    {46, 242, 1178, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 2},	//1251 QNetworkInterface::QNetworkInterface(const QNetworkInterface&)
    {46, 766, 1178, 1, 0, 149, 3},	//1252 QNetworkInterface::operator=(const QNetworkInterface&)
    {46, 660, 0, 0, Smoke::mf_const, 315, 4},	//1253 QNetworkInterface::isValid() const
    {46, 629, 0, 0, Smoke::mf_const, 399, 5},	//1254 QNetworkInterface::index() const
    {46, 715, 0, 0, Smoke::mf_const, 209, 6},	//1255 QNetworkInterface::name() const
    {46, 621, 0, 0, Smoke::mf_const, 209, 7},	//1256 QNetworkInterface::humanReadableName() const
    {46, 579, 0, 0, Smoke::mf_const, 43, 8},	//1257 QNetworkInterface::flags() const
    {46, 603, 0, 0, Smoke::mf_const, 209, 9},	//1258 QNetworkInterface::hardwareAddress() const
    {46, 432, 0, 0, Smoke::mf_const, 107, 10},	//1259 QNetworkInterface::addressEntries() const
    {46, 635, 69, 1, Smoke::mf_static, 148, 11},	//1260 QNetworkInterface::interfaceFromName(const QString&)
    {46, 633, 44, 1, Smoke::mf_static, 148, 12},	//1261 QNetworkInterface::interfaceFromIndex(int)
    {46, 439, 0, 0, Smoke::mf_static, 110, 13},	//1262 QNetworkInterface::allInterfaces()
    {46, 435, 0, 0, Smoke::mf_static, 106, 14},	//1263 QNetworkInterface::allAddresses()
    {46, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 15},	//1264 QNetworkInterface::IsUp (enum)
    {46, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 16},	//1265 QNetworkInterface::IsRunning (enum)
    {46, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 17},	//1266 QNetworkInterface::CanBroadcast (enum)
    {46, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 18},	//1267 QNetworkInterface::IsLoopBack (enum)
    {46, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 19},	//1268 QNetworkInterface::IsPointToPoint (enum)
    {46, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 20},	//1269 QNetworkInterface::CanMulticast (enum)
    {46, 1417, 0, 0, Smoke::mf_dtor, 0, 21 },	//1270 QNetworkInterface::~QNetworkInterface()
    {47, 244, 0, 0, Smoke::mf_ctor, 154, 1},	//1271 QNetworkProxy::QNetworkProxy()
    {47, 244, 1180, 5, Smoke::mf_ctor, 154, 2},	//1272 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&)
    {47, 244, 46, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 154, 3},	//1273 QNetworkProxy::QNetworkProxy(const QNetworkProxy&)
    {47, 766, 46, 1, 0, 153, 4},	//1274 QNetworkProxy::operator=(const QNetworkProxy&)
    {47, 769, 46, 1, Smoke::mf_const, 315, 5},	//1275 QNetworkProxy::operator==(const QNetworkProxy&) const
    {47, 730, 46, 1, Smoke::mf_const, 315, 6},	//1276 QNetworkProxy::operator!=(const QNetworkProxy&) const
    {47, 1300, 1186, 1, 0, 0, 7},	//1277 QNetworkProxy::setType(QNetworkProxy::ProxyType)
    {47, 1362, 0, 0, Smoke::mf_const, 156, 8},	//1278 QNetworkProxy::type() const
    {47, 1119, 1188, 1, 0, 0, 9},	//1279 QNetworkProxy::setCapabilities(QFlags<QNetworkProxy::Capability>)
    {47, 471, 0, 0, Smoke::mf_const, 44, 10},	//1280 QNetworkProxy::capabilities() const
    {47, 638, 0, 0, Smoke::mf_const, 315, 11},	//1281 QNetworkProxy::isCachingProxy() const
    {47, 659, 0, 0, Smoke::mf_const, 315, 12},	//1282 QNetworkProxy::isTransparentProxy() const
    {47, 1306, 69, 1, 0, 0, 13},	//1283 QNetworkProxy::setUser(const QString&)
    {47, 1371, 0, 0, Smoke::mf_const, 209, 14},	//1284 QNetworkProxy::user() const
    {47, 1206, 69, 1, 0, 0, 15},	//1285 QNetworkProxy::setPassword(const QString&)
    {47, 810, 0, 0, Smoke::mf_const, 209, 16},	//1286 QNetworkProxy::password() const
    {47, 1163, 69, 1, 0, 0, 17},	//1287 QNetworkProxy::setHostName(const QString&)
    {47, 620, 0, 0, Smoke::mf_const, 209, 18},	//1288 QNetworkProxy::hostName() const
    {47, 1226, 65, 1, 0, 0, 19},	//1289 QNetworkProxy::setPort(unsigned short)
    {47, 825, 0, 0, Smoke::mf_const, 416, 20},	//1290 QNetworkProxy::port() const
    {47, 1103, 46, 1, Smoke::mf_static, 0, 21},	//1291 QNetworkProxy::setApplicationProxy(const QNetworkProxy&)
    {47, 443, 0, 0, Smoke::mf_static, 152, 22},	//1292 QNetworkProxy::applicationProxy()
    {47, 244, 1186, 1, Smoke::mf_ctor, 154, 23},	//1293 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType)
    {47, 244, 1190, 2, Smoke::mf_ctor, 154, 24},	//1294 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&)
    {47, 244, 1193, 3, Smoke::mf_ctor, 154, 25},	//1295 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short)
    {47, 244, 1197, 4, Smoke::mf_ctor, 154, 26},	//1296 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&)
    {47, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 27},	//1297 QNetworkProxy::DefaultProxy (enum)
    {47, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 28},	//1298 QNetworkProxy::Socks5Proxy (enum)
    {47, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 29},	//1299 QNetworkProxy::NoProxy (enum)
    {47, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 30},	//1300 QNetworkProxy::HttpProxy (enum)
    {47, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 31},	//1301 QNetworkProxy::HttpCachingProxy (enum)
    {47, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 32},	//1302 QNetworkProxy::FtpCachingProxy (enum)
    {47, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 33},	//1303 QNetworkProxy::TunnelingCapability (enum)
    {47, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 34},	//1304 QNetworkProxy::ListeningCapability (enum)
    {47, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 35},	//1305 QNetworkProxy::UdpTunnelingCapability (enum)
    {47, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 36},	//1306 QNetworkProxy::CachingCapability (enum)
    {47, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 37},	//1307 QNetworkProxy::HostNameLookupCapability (enum)
    {47, 1418, 0, 0, Smoke::mf_dtor, 0, 38 },	//1308 QNetworkProxy::~QNetworkProxy()
    {48, 251, 0, 0, Smoke::mf_ctor, 157, 1},	//1309 QNetworkProxyFactory::QNetworkProxyFactory()
    {48, 1025, 1202, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 111, 2},	//1310 QNetworkProxyFactory::queryProxy(const QNetworkProxyQuery&) [pure virtual]
    {48, 1304, 116, 1, Smoke::mf_static, 0, 3},	//1311 QNetworkProxyFactory::setUseSystemConfiguration(bool)
    {48, 1105, 1119, 1, Smoke::mf_static, 0, 4},	//1312 QNetworkProxyFactory::setApplicationProxyFactory(QNetworkProxyFactory*)
    {48, 845, 1202, 1, Smoke::mf_static, 111, 5},	//1313 QNetworkProxyFactory::proxyForQuery(const QNetworkProxyQuery&)
    {48, 1342, 1202, 1, Smoke::mf_static, 111, 6},	//1314 QNetworkProxyFactory::systemProxyForQuery(const QNetworkProxyQuery&)
    {48, 251, 1204, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 157, 7},	//1315 QNetworkProxyFactory::QNetworkProxyFactory(const QNetworkProxyFactory&)
    {48, 1025, 0, 0, 0, 111, 8},	//1316 QNetworkProxyFactory::queryProxy()
    {48, 1342, 0, 0, Smoke::mf_static, 111, 9},	//1317 QNetworkProxyFactory::systemProxyForQuery()
    {48, 1419, 0, 0, Smoke::mf_dtor, 0, 10 },	//1318 QNetworkProxyFactory::~QNetworkProxyFactory()
    {49, 253, 0, 0, Smoke::mf_ctor, 159, 1},	//1319 QNetworkProxyQuery::QNetworkProxyQuery()
    {49, 253, 1206, 2, Smoke::mf_ctor, 159, 2},	//1320 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&, QNetworkProxyQuery::QueryType)
    {49, 253, 1209, 4, Smoke::mf_ctor, 159, 3},	//1321 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&, QNetworkProxyQuery::QueryType)
    {49, 253, 1214, 3, Smoke::mf_ctor, 159, 4},	//1322 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    {49, 253, 1202, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 159, 5},	//1323 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    {49, 253, 1218, 3, Smoke::mf_ctor, 159, 6},	//1324 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QUrl&, QNetworkProxyQuery::QueryType)
    {49, 253, 1222, 5, Smoke::mf_ctor, 159, 7},	//1325 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int, const QString&, QNetworkProxyQuery::QueryType)
    {49, 253, 1228, 4, Smoke::mf_ctor, 159, 8},	//1326 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    {49, 766, 1202, 1, 0, 158, 9},	//1327 QNetworkProxyQuery::operator=(const QNetworkProxyQuery&)
    {49, 769, 1202, 1, Smoke::mf_const, 315, 10},	//1328 QNetworkProxyQuery::operator==(const QNetworkProxyQuery&) const
    {49, 730, 1202, 1, Smoke::mf_const, 315, 11},	//1329 QNetworkProxyQuery::operator!=(const QNetworkProxyQuery&) const
    {49, 1027, 0, 0, Smoke::mf_const, 160, 12},	//1330 QNetworkProxyQuery::queryType() const
    {49, 1249, 1233, 1, 0, 0, 13},	//1331 QNetworkProxyQuery::setQueryType(QNetworkProxyQuery::QueryType)
    {49, 817, 0, 0, Smoke::mf_const, 399, 14},	//1332 QNetworkProxyQuery::peerPort() const
    {49, 1216, 44, 1, 0, 0, 15},	//1333 QNetworkProxyQuery::setPeerPort(int)
    {49, 815, 0, 0, Smoke::mf_const, 209, 16},	//1334 QNetworkProxyQuery::peerHostName() const
    {49, 1212, 69, 1, 0, 0, 17},	//1335 QNetworkProxyQuery::setPeerHostName(const QString&)
    {49, 691, 0, 0, Smoke::mf_const, 399, 18},	//1336 QNetworkProxyQuery::localPort() const
    {49, 1179, 44, 1, 0, 0, 19},	//1337 QNetworkProxyQuery::setLocalPort(int)
    {49, 840, 0, 0, Smoke::mf_const, 209, 20},	//1338 QNetworkProxyQuery::protocolTag() const
    {49, 1240, 69, 1, 0, 0, 21},	//1339 QNetworkProxyQuery::setProtocolTag(const QString&)
    {49, 1369, 0, 0, Smoke::mf_const, 227, 22},	//1340 QNetworkProxyQuery::url() const
    {49, 1302, 14, 1, 0, 0, 23},	//1341 QNetworkProxyQuery::setUrl(const QUrl&)
    {49, 720, 0, 0, Smoke::mf_const, 134, 24},	//1342 QNetworkProxyQuery::networkConfiguration() const
    {49, 1196, 1140, 1, 0, 0, 25},	//1343 QNetworkProxyQuery::setNetworkConfiguration(const QNetworkConfiguration&)
    {49, 253, 14, 1, Smoke::mf_ctor, 159, 26},	//1344 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    {49, 253, 1061, 2, Smoke::mf_ctor, 159, 27},	//1345 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    {49, 253, 1064, 3, Smoke::mf_ctor, 159, 28},	//1346 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    {49, 253, 65, 1, Smoke::mf_ctor, 159, 29},	//1347 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short)
    {49, 253, 1235, 2, Smoke::mf_ctor, 159, 30},	//1348 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    {49, 253, 1238, 2, Smoke::mf_ctor, 159, 31},	//1349 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QUrl&)
    {49, 253, 1241, 3, Smoke::mf_ctor, 159, 32},	//1350 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int)
    {49, 253, 1245, 4, Smoke::mf_ctor, 159, 33},	//1351 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int, const QString&)
    {49, 253, 1250, 2, Smoke::mf_ctor, 159, 34},	//1352 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short)
    {49, 253, 1253, 3, Smoke::mf_ctor, 159, 35},	//1353 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short, const QString&)
    {49, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 36},	//1354 QNetworkProxyQuery::TcpSocket (enum)
    {49, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 37},	//1355 QNetworkProxyQuery::UdpSocket (enum)
    {49, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 38},	//1356 QNetworkProxyQuery::TcpServer (enum)
    {49, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 39},	//1357 QNetworkProxyQuery::UrlRequest (enum)
    {49, 1420, 0, 0, Smoke::mf_dtor, 0, 40 },	//1358 QNetworkProxyQuery::~QNetworkProxyQuery()
    {50, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 349, 1},	//1359 QNetworkReply::metaObject() const
    {50, 1018, 1, 1, Smoke::mf_virtual, 421, 2},	//1360 QNetworkReply::qt_metacast(const char*)
    {50, 1354, 3, 2, Smoke::mf_static, 209, 3},	//1361 QNetworkReply::tr(const char*, const char*)
    {50, 1358, 3, 2, Smoke::mf_static, 209, 4},	//1362 QNetworkReply::trUtf8(const char*, const char*)
    {50, 1354, 6, 3, Smoke::mf_static, 209, 5},	//1363 QNetworkReply::tr(const char*, const char*, int)
    {50, 1358, 6, 3, Smoke::mf_static, 209, 6},	//1364 QNetworkReply::trUtf8(const char*, const char*, int)
    {50, 1016, 10, 3, Smoke::mf_virtual, 399, 7},	//1365 QNetworkReply::qt_metacall(QMetaObject::Call, int, void**)
    {50, 408, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//1366 QNetworkReply::abort() [pure virtual]
    {50, 481, 0, 0, Smoke::mf_virtual, 0, 9},	//1367 QNetworkReply::close()
    {50, 656, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 315, 10},	//1368 QNetworkReply::isSequential() const
    {50, 1044, 0, 0, Smoke::mf_const, 404, 11},	//1369 QNetworkReply::readBufferSize() const
    {50, 1255, 33, 1, Smoke::mf_virtual, 0, 12},	//1370 QNetworkReply::setReadBufferSize(long long)
    {50, 699, 0, 0, Smoke::mf_const, 126, 13},	//1371 QNetworkReply::manager() const
    {50, 729, 0, 0, Smoke::mf_const, 128, 14},	//1372 QNetworkReply::operation() const
    {50, 1069, 0, 0, Smoke::mf_const, 163, 15},	//1373 QNetworkReply::request() const
    {50, 567, 0, 0, Smoke::mf_const, 162, 16},	//1374 QNetworkReply::error() const
    {50, 643, 0, 0, Smoke::mf_const, 315, 17},	//1375 QNetworkReply::isFinished() const
    {50, 654, 0, 0, Smoke::mf_const, 315, 18},	//1376 QNetworkReply::isRunning() const
    {50, 1369, 0, 0, Smoke::mf_const, 227, 19},	//1377 QNetworkReply::url() const
    {50, 617, 1257, 1, Smoke::mf_const, 234, 20},	//1378 QNetworkReply::header(QNetworkRequest::KnownHeaders) const
    {50, 612, 397, 1, Smoke::mf_const, 315, 21},	//1379 QNetworkReply::hasRawHeader(const QByteArray&) const
    {50, 1038, 0, 0, Smoke::mf_const, 105, 22},	//1380 QNetworkReply::rawHeaderList() const
    {50, 1036, 397, 1, Smoke::mf_const, 14, 23},	//1381 QNetworkReply::rawHeader(const QByteArray&) const
    {50, 1039, 0, 0, Smoke::mf_const, 341, 24},	//1382 QNetworkReply::rawHeaderPairs() const
    {50, 445, 1259, 1, Smoke::mf_const, 234, 25},	//1383 QNetworkReply::attribute(QNetworkRequest::Attribute) const
    {50, 1323, 0, 0, Smoke::mf_const, 197, 26},	//1384 QNetworkReply::sslConfiguration() const
    {50, 1289, 1261, 1, 0, 0, 27},	//1385 QNetworkReply::setSslConfiguration(const QSslConfiguration&)
    {50, 624, 1056, 1, 0, 0, 28},	//1386 QNetworkReply::ignoreSslErrors(const QList<QSslError>&)
    {50, 624, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//1387 QNetworkReply::ignoreSslErrors()
    {50, 704, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1388 QNetworkReply::metaDataChanged()
    {50, 577, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1389 QNetworkReply::finished()
    {50, 567, 1263, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1390 QNetworkReply::error(QNetworkReply::NetworkError)
    {50, 1324, 1056, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1391 QNetworkReply::sslErrors(const QList<QSslError>&)
    {50, 1367, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1392 QNetworkReply::uploadProgress(qint64, qint64)
    {50, 556, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1393 QNetworkReply::downloadProgress(qint64, qint64)
    {50, 265, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 161, 36},	//1394 QNetworkReply::QNetworkReply(QObject*)
    {50, 1391, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 404, 37},	//1395 QNetworkReply::writeData(const char*, long long)
    {50, 1198, 1265, 1, Smoke::mf_protected, 0, 38},	//1396 QNetworkReply::setOperation(QNetworkAccessManager::Operation)
    {50, 1259, 1125, 1, Smoke::mf_protected, 0, 39},	//1397 QNetworkReply::setRequest(const QNetworkRequest&)
    {50, 1144, 1267, 2, Smoke::mf_protected, 0, 40},	//1398 QNetworkReply::setError(QNetworkReply::NetworkError, const QString&)
    {50, 1153, 116, 1, Smoke::mf_protected, 0, 41},	//1399 QNetworkReply::setFinished(bool)
    {50, 1302, 14, 1, Smoke::mf_protected, 0, 42},	//1400 QNetworkReply::setUrl(const QUrl&)
    {50, 1157, 1270, 2, Smoke::mf_protected, 0, 43},	//1401 QNetworkReply::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {50, 1251, 208, 2, Smoke::mf_protected, 0, 44},	//1402 QNetworkReply::setRawHeader(const QByteArray&, const QByteArray&)
    {50, 1107, 1273, 2, Smoke::mf_protected, 0, 45},	//1403 QNetworkReply::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {50, 1354, 1, 1, Smoke::mf_static, 209, 46},	//1404 QNetworkReply::tr(const char*)
    {50, 1358, 1, 1, Smoke::mf_static, 209, 47},	//1405 QNetworkReply::trUtf8(const char*)
    {50, 265, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 161, 48},	//1406 QNetworkReply::QNetworkReply()
    {50, 1332, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 348, 49},	//1407 QNetworkReply::staticMetaObject() const
    {50, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 50},	//1408 QNetworkReply::NoError (enum)
    {50, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 51},	//1409 QNetworkReply::ConnectionRefusedError (enum)
    {50, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 52},	//1410 QNetworkReply::RemoteHostClosedError (enum)
    {50, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 53},	//1411 QNetworkReply::HostNotFoundError (enum)
    {50, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 54},	//1412 QNetworkReply::TimeoutError (enum)
    {50, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 55},	//1413 QNetworkReply::OperationCanceledError (enum)
    {50, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 56},	//1414 QNetworkReply::SslHandshakeFailedError (enum)
    {50, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 57},	//1415 QNetworkReply::TemporaryNetworkFailureError (enum)
    {50, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 58},	//1416 QNetworkReply::UnknownNetworkError (enum)
    {50, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 59},	//1417 QNetworkReply::ProxyConnectionRefusedError (enum)
    {50, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 60},	//1418 QNetworkReply::ProxyConnectionClosedError (enum)
    {50, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 61},	//1419 QNetworkReply::ProxyNotFoundError (enum)
    {50, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 62},	//1420 QNetworkReply::ProxyTimeoutError (enum)
    {50, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 63},	//1421 QNetworkReply::ProxyAuthenticationRequiredError (enum)
    {50, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 64},	//1422 QNetworkReply::UnknownProxyError (enum)
    {50, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 65},	//1423 QNetworkReply::ContentAccessDenied (enum)
    {50, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 66},	//1424 QNetworkReply::ContentOperationNotPermittedError (enum)
    {50, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 67},	//1425 QNetworkReply::ContentNotFoundError (enum)
    {50, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 68},	//1426 QNetworkReply::AuthenticationRequiredError (enum)
    {50, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 69},	//1427 QNetworkReply::ContentReSendError (enum)
    {50, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 70},	//1428 QNetworkReply::UnknownContentError (enum)
    {50, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 71},	//1429 QNetworkReply::ProtocolUnknownError (enum)
    {50, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 72},	//1430 QNetworkReply::ProtocolInvalidOperationError (enum)
    {50, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 73},	//1431 QNetworkReply::ProtocolFailure (enum)
    {50, 1421, 0, 0, Smoke::mf_dtor, 0, 74 },	//1432 QNetworkReply::~QNetworkReply()
    {51, 267, 14, 1, Smoke::mf_ctor, 165, 1},	//1433 QNetworkRequest::QNetworkRequest(const QUrl&)
    {51, 267, 1125, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 165, 2},	//1434 QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    {51, 766, 1125, 1, 0, 164, 3},	//1435 QNetworkRequest::operator=(const QNetworkRequest&)
    {51, 769, 1125, 1, Smoke::mf_const, 315, 4},	//1436 QNetworkRequest::operator==(const QNetworkRequest&) const
    {51, 730, 1125, 1, Smoke::mf_const, 315, 5},	//1437 QNetworkRequest::operator!=(const QNetworkRequest&) const
    {51, 1369, 0, 0, Smoke::mf_const, 227, 6},	//1438 QNetworkRequest::url() const
    {51, 1302, 14, 1, 0, 0, 7},	//1439 QNetworkRequest::setUrl(const QUrl&)
    {51, 617, 1257, 1, Smoke::mf_const, 234, 8},	//1440 QNetworkRequest::header(QNetworkRequest::KnownHeaders) const
    {51, 1157, 1270, 2, 0, 0, 9},	//1441 QNetworkRequest::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {51, 612, 397, 1, Smoke::mf_const, 315, 10},	//1442 QNetworkRequest::hasRawHeader(const QByteArray&) const
    {51, 1038, 0, 0, Smoke::mf_const, 105, 11},	//1443 QNetworkRequest::rawHeaderList() const
    {51, 1036, 397, 1, Smoke::mf_const, 14, 12},	//1444 QNetworkRequest::rawHeader(const QByteArray&) const
    {51, 1251, 208, 2, 0, 0, 13},	//1445 QNetworkRequest::setRawHeader(const QByteArray&, const QByteArray&)
    {51, 445, 1273, 2, Smoke::mf_const, 234, 14},	//1446 QNetworkRequest::attribute(QNetworkRequest::Attribute, const QVariant&) const
    {51, 1107, 1273, 2, 0, 0, 15},	//1447 QNetworkRequest::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {51, 1323, 0, 0, Smoke::mf_const, 197, 16},	//1448 QNetworkRequest::sslConfiguration() const
    {51, 1289, 1261, 1, 0, 0, 17},	//1449 QNetworkRequest::setSslConfiguration(const QSslConfiguration&)
    {51, 1202, 20, 1, 0, 0, 18},	//1450 QNetworkRequest::setOriginatingObject(QObject*)
    {51, 800, 0, 0, Smoke::mf_const, 174, 19},	//1451 QNetworkRequest::originatingObject() const
    {51, 836, 0, 0, Smoke::mf_const, 170, 20},	//1452 QNetworkRequest::priority() const
    {51, 1230, 1276, 1, 0, 0, 21},	//1453 QNetworkRequest::setPriority(QNetworkRequest::Priority)
    {51, 267, 0, 0, Smoke::mf_ctor, 165, 22},	//1454 QNetworkRequest::QNetworkRequest()
    {51, 445, 1259, 1, Smoke::mf_const, 234, 23},	//1455 QNetworkRequest::attribute(QNetworkRequest::Attribute) const
    {51, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 24},	//1456 QNetworkRequest::ContentTypeHeader (enum)
    {51, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 25},	//1457 QNetworkRequest::ContentLengthHeader (enum)
    {51, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 26},	//1458 QNetworkRequest::LocationHeader (enum)
    {51, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 27},	//1459 QNetworkRequest::LastModifiedHeader (enum)
    {51, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 28},	//1460 QNetworkRequest::CookieHeader (enum)
    {51, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 29},	//1461 QNetworkRequest::SetCookieHeader (enum)
    {51, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 30},	//1462 QNetworkRequest::ContentDispositionHeader (enum)
    {51, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 31},	//1463 QNetworkRequest::HttpStatusCodeAttribute (enum)
    {51, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 32},	//1464 QNetworkRequest::HttpReasonPhraseAttribute (enum)
    {51, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 33},	//1465 QNetworkRequest::RedirectionTargetAttribute (enum)
    {51, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 34},	//1466 QNetworkRequest::ConnectionEncryptedAttribute (enum)
    {51, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 35},	//1467 QNetworkRequest::CacheLoadControlAttribute (enum)
    {51, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 36},	//1468 QNetworkRequest::CacheSaveControlAttribute (enum)
    {51, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 37},	//1469 QNetworkRequest::SourceIsFromCacheAttribute (enum)
    {51, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 38},	//1470 QNetworkRequest::DoNotBufferUploadDataAttribute (enum)
    {51, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 39},	//1471 QNetworkRequest::HttpPipeliningAllowedAttribute (enum)
    {51, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 40},	//1472 QNetworkRequest::HttpPipeliningWasUsedAttribute (enum)
    {51, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 41},	//1473 QNetworkRequest::CustomVerbAttribute (enum)
    {51, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 42},	//1474 QNetworkRequest::CookieLoadControlAttribute (enum)
    {51, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 43},	//1475 QNetworkRequest::AuthenticationReuseAttribute (enum)
    {51, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 44},	//1476 QNetworkRequest::CookieSaveControlAttribute (enum)
    {51, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 45},	//1477 QNetworkRequest::MaximumDownloadBufferSizeAttribute (enum)
    {51, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 46},	//1478 QNetworkRequest::DownloadBufferAttribute (enum)
    {51, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 47},	//1479 QNetworkRequest::SynchronousRequestAttribute (enum)
    {51, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 48},	//1480 QNetworkRequest::User (enum)
    {51, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 49},	//1481 QNetworkRequest::UserMax (enum)
    {51, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 50},	//1482 QNetworkRequest::AlwaysNetwork (enum)
    {51, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 51},	//1483 QNetworkRequest::PreferNetwork (enum)
    {51, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 52},	//1484 QNetworkRequest::PreferCache (enum)
    {51, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 53},	//1485 QNetworkRequest::AlwaysCache (enum)
    {51, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 54},	//1486 QNetworkRequest::Automatic (enum)
    {51, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 55},	//1487 QNetworkRequest::Manual (enum)
    {51, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 56},	//1488 QNetworkRequest::HighPriority (enum)
    {51, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 57},	//1489 QNetworkRequest::NormalPriority (enum)
    {51, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 58},	//1490 QNetworkRequest::LowPriority (enum)
    {51, 1422, 0, 0, Smoke::mf_dtor, 0, 59 },	//1491 QNetworkRequest::~QNetworkRequest()
    {52, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 349, 1},	//1492 QNetworkSession::metaObject() const
    {52, 1018, 1, 1, Smoke::mf_virtual, 421, 2},	//1493 QNetworkSession::qt_metacast(const char*)
    {52, 1354, 3, 2, Smoke::mf_static, 209, 3},	//1494 QNetworkSession::tr(const char*, const char*)
    {52, 1358, 3, 2, Smoke::mf_static, 209, 4},	//1495 QNetworkSession::trUtf8(const char*, const char*)
    {52, 1354, 6, 3, Smoke::mf_static, 209, 5},	//1496 QNetworkSession::tr(const char*, const char*, int)
    {52, 1358, 6, 3, Smoke::mf_static, 209, 6},	//1497 QNetworkSession::trUtf8(const char*, const char*, int)
    {52, 1016, 10, 3, Smoke::mf_virtual, 399, 7},	//1498 QNetworkSession::qt_metacall(QMetaObject::Call, int, void**)
    {52, 269, 1278, 2, Smoke::mf_ctor, 171, 8},	//1499 QNetworkSession::QNetworkSession(const QNetworkConfiguration&, QObject*)
    {52, 651, 0, 0, Smoke::mf_const, 315, 9},	//1500 QNetworkSession::isOpen() const
    {52, 488, 0, 0, Smoke::mf_const, 134, 10},	//1501 QNetworkSession::configuration() const
    {52, 632, 0, 0, Smoke::mf_const, 148, 11},	//1502 QNetworkSession::interface() const
    {52, 1329, 0, 0, Smoke::mf_const, 173, 12},	//1503 QNetworkSession::state() const
    {52, 567, 0, 0, Smoke::mf_const, 172, 13},	//1504 QNetworkSession::error() const
    {52, 569, 0, 0, Smoke::mf_const, 209, 14},	//1505 QNetworkSession::errorString() const
    {52, 1094, 69, 1, Smoke::mf_const, 234, 15},	//1506 QNetworkSession::sessionProperty(const QString&) const
    {52, 1270, 85, 2, 0, 0, 16},	//1507 QNetworkSession::setSessionProperty(const QString&, const QVariant&)
    {52, 465, 0, 0, Smoke::mf_const, 415, 17},	//1508 QNetworkSession::bytesWritten() const
    {52, 463, 0, 0, Smoke::mf_const, 415, 18},	//1509 QNetworkSession::bytesReceived() const
    {52, 413, 0, 0, Smoke::mf_const, 415, 19},	//1510 QNetworkSession::activeTime() const
    {52, 1387, 44, 1, 0, 315, 20},	//1511 QNetworkSession::waitForOpened(int)
    {52, 727, 0, 0, Smoke::mf_slot, 0, 21},	//1512 QNetworkSession::open()
    {52, 481, 0, 0, Smoke::mf_slot, 0, 22},	//1513 QNetworkSession::close()
    {52, 1334, 0, 0, Smoke::mf_slot, 0, 23},	//1514 QNetworkSession::stop()
    {52, 707, 0, 0, Smoke::mf_slot, 0, 24},	//1515 QNetworkSession::migrate()
    {52, 623, 0, 0, Smoke::mf_slot, 0, 25},	//1516 QNetworkSession::ignore()
    {52, 411, 0, 0, Smoke::mf_slot, 0, 26},	//1517 QNetworkSession::accept()
    {52, 1057, 0, 0, Smoke::mf_slot, 0, 27},	//1518 QNetworkSession::reject()
    {52, 1330, 1281, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1519 QNetworkSession::stateChanged(QNetworkSession::State)
    {52, 728, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1520 QNetworkSession::opened()
    {52, 483, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1521 QNetworkSession::closed()
    {52, 567, 1283, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1522 QNetworkSession::error(QNetworkSession::SessionError)
    {52, 831, 1285, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1523 QNetworkSession::preferredConfigurationChanged(const QNetworkConfiguration&, bool)
    {52, 722, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1524 QNetworkSession::newConfigurationActivated()
    {52, 497, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1525 QNetworkSession::connectNotify(const char*)
    {52, 550, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1526 QNetworkSession::disconnectNotify(const char*)
    {52, 1354, 1, 1, Smoke::mf_static, 209, 36},	//1527 QNetworkSession::tr(const char*)
    {52, 1358, 1, 1, Smoke::mf_static, 209, 37},	//1528 QNetworkSession::trUtf8(const char*)
    {52, 269, 1140, 1, Smoke::mf_ctor, 171, 38},	//1529 QNetworkSession::QNetworkSession(const QNetworkConfiguration&)
    {52, 1387, 0, 0, 0, 315, 39},	//1530 QNetworkSession::waitForOpened()
    {52, 1332, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 348, 40},	//1531 QNetworkSession::staticMetaObject() const
    {52, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 41},	//1532 QNetworkSession::Invalid (enum)
    {52, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 42},	//1533 QNetworkSession::NotAvailable (enum)
    {52, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 43},	//1534 QNetworkSession::Connecting (enum)
    {52, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 44},	//1535 QNetworkSession::Connected (enum)
    {52, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 45},	//1536 QNetworkSession::Closing (enum)
    {52, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 46},	//1537 QNetworkSession::Disconnected (enum)
    {52, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 47},	//1538 QNetworkSession::Roaming (enum)
    {52, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 48},	//1539 QNetworkSession::UnknownSessionError (enum)
    {52, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 49},	//1540 QNetworkSession::SessionAbortedError (enum)
    {52, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 50},	//1541 QNetworkSession::RoamingError (enum)
    {52, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 51},	//1542 QNetworkSession::OperationNotSupportedError (enum)
    {52, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 52},	//1543 QNetworkSession::InvalidConfigurationError (enum)
    {52, 1423, 0, 0, Smoke::mf_dtor, 0, 53 },	//1544 QNetworkSession::~QNetworkSession()
    {53, 570, 1288, 1, Smoke::mf_virtual, 315, 0},	//1545 QObject::event(QEvent*)
    {53, 571, 1290, 2, Smoke::mf_virtual, 315, 0},	//1546 QObject::eventFilter(QObject*, QEvent*)
    {53, 1344, 1293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1547 QObject::timerEvent(QTimerEvent*)
    {53, 475, 1295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1548 QObject::childEvent(QChildEvent*)
    {53, 530, 1288, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1549 QObject::customEvent(QEvent*)
    {53, 497, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1550 QObject::connectNotify(const char*)
    {53, 550, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1551 QObject::disconnectNotify(const char*)
    {62, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 1},	//1552 QSsl::Rsa (enum)
    {62, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 2},	//1553 QSsl::Dsa (enum)
    {62, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 3},	//1554 QSsl::Pem (enum)
    {62, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 4},	//1555 QSsl::Der (enum)
    {62, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 5},	//1556 QSsl::SslV3 (enum)
    {62, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 6},	//1557 QSsl::SslV2 (enum)
    {62, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 7},	//1558 QSsl::TlsV1 (enum)
    {62, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 8},	//1559 QSsl::AnyProtocol (enum)
    {62, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 9},	//1560 QSsl::TlsV1SslV3 (enum)
    {62, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 10},	//1561 QSsl::SecureProtocols (enum)
    {62, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 11},	//1562 QSsl::UnknownProtocol (enum)
    {62, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 12},	//1563 QSsl::EmailEntry (enum)
    {62, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 13},	//1564 QSsl::DnsEntry (enum)
    {62, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 14},	//1565 QSsl::PrivateKey (enum)
    {62, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 15},	//1566 QSsl::PublicKey (enum)
    {63, 272, 1297, 2, Smoke::mf_ctor, 192, 1},	//1567 QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    {63, 272, 1300, 2, Smoke::mf_ctor, 192, 2},	//1568 QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    {63, 272, 1303, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 192, 3},	//1569 QSslCertificate::QSslCertificate(const QSslCertificate&)
    {63, 766, 1303, 1, 0, 191, 4},	//1570 QSslCertificate::operator=(const QSslCertificate&)
    {63, 769, 1303, 1, Smoke::mf_const, 315, 5},	//1571 QSslCertificate::operator==(const QSslCertificate&) const
    {63, 730, 1303, 1, Smoke::mf_const, 315, 6},	//1572 QSslCertificate::operator!=(const QSslCertificate&) const
    {63, 649, 0, 0, Smoke::mf_const, 315, 7},	//1573 QSslCertificate::isNull() const
    {63, 660, 0, 0, Smoke::mf_const, 315, 8},	//1574 QSslCertificate::isValid() const
    {63, 478, 0, 0, 0, 0, 9},	//1575 QSslCertificate::clear()
    {63, 1375, 0, 0, Smoke::mf_const, 14, 10},	//1576 QSslCertificate::version() const
    {63, 1088, 0, 0, Smoke::mf_const, 14, 11},	//1577 QSslCertificate::serialNumber() const
    {63, 545, 1305, 1, Smoke::mf_const, 14, 12},	//1578 QSslCertificate::digest(QCryptographicHash::Algorithm) const
    {63, 662, 1307, 1, Smoke::mf_const, 209, 13},	//1579 QSslCertificate::issuerInfo(QSslCertificate::SubjectInfo) const
    {63, 662, 397, 1, Smoke::mf_const, 209, 14},	//1580 QSslCertificate::issuerInfo(const QByteArray&) const
    {63, 1335, 1307, 1, Smoke::mf_const, 209, 15},	//1581 QSslCertificate::subjectInfo(QSslCertificate::SubjectInfo) const
    {63, 1335, 397, 1, Smoke::mf_const, 209, 16},	//1582 QSslCertificate::subjectInfo(const QByteArray&) const
    {63, 442, 0, 0, Smoke::mf_const, 125, 17},	//1583 QSslCertificate::alternateSubjectNames() const
    {63, 558, 0, 0, Smoke::mf_const, 22, 18},	//1584 QSslCertificate::effectiveDate() const
    {63, 574, 0, 0, Smoke::mf_const, 22, 19},	//1585 QSslCertificate::expiryDate() const
    {63, 847, 0, 0, Smoke::mf_const, 203, 20},	//1586 QSslCertificate::publicKey() const
    {63, 1349, 0, 0, Smoke::mf_const, 14, 21},	//1587 QSslCertificate::toPem() const
    {63, 1345, 0, 0, Smoke::mf_const, 14, 22},	//1588 QSslCertificate::toDer() const
    {63, 589, 1309, 3, Smoke::mf_static, 114, 23},	//1589 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {63, 584, 1297, 2, Smoke::mf_static, 114, 24},	//1590 QSslCertificate::fromDevice(QIODevice*, QSsl::EncodingFormat)
    {63, 581, 1300, 2, Smoke::mf_static, 114, 25},	//1591 QSslCertificate::fromData(const QByteArray&, QSsl::EncodingFormat)
    {63, 602, 0, 0, Smoke::mf_const, 414, 26},	//1592 QSslCertificate::handle() const
    {63, 272, 18, 1, Smoke::mf_ctor, 192, 27},	//1593 QSslCertificate::QSslCertificate(QIODevice*)
    {63, 272, 0, 0, Smoke::mf_ctor, 192, 28},	//1594 QSslCertificate::QSslCertificate()
    {63, 272, 397, 1, Smoke::mf_ctor, 192, 29},	//1595 QSslCertificate::QSslCertificate(const QByteArray&)
    {63, 545, 0, 0, Smoke::mf_const, 14, 30},	//1596 QSslCertificate::digest() const
    {63, 589, 69, 1, Smoke::mf_static, 114, 31},	//1597 QSslCertificate::fromPath(const QString&)
    {63, 589, 1313, 2, Smoke::mf_static, 114, 32},	//1598 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat)
    {63, 584, 18, 1, Smoke::mf_static, 114, 33},	//1599 QSslCertificate::fromDevice(QIODevice*)
    {63, 581, 397, 1, Smoke::mf_static, 114, 34},	//1600 QSslCertificate::fromData(const QByteArray&)
    {63, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 35},	//1601 QSslCertificate::Organization (enum)
    {63, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 36},	//1602 QSslCertificate::CommonName (enum)
    {63, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 37},	//1603 QSslCertificate::LocalityName (enum)
    {63, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 38},	//1604 QSslCertificate::OrganizationalUnitName (enum)
    {63, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 39},	//1605 QSslCertificate::CountryName (enum)
    {63, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 40},	//1606 QSslCertificate::StateOrProvinceName (enum)
    {63, 1424, 0, 0, Smoke::mf_dtor, 0, 41 },	//1607 QSslCertificate::~QSslCertificate()
    {64, 275, 0, 0, Smoke::mf_ctor, 196, 1},	//1608 QSslCipher::QSslCipher()
    {64, 275, 1316, 2, Smoke::mf_ctor, 196, 2},	//1609 QSslCipher::QSslCipher(const QString&, QSsl::SslProtocol)
    {64, 275, 1319, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 196, 3},	//1610 QSslCipher::QSslCipher(const QSslCipher&)
    {64, 766, 1319, 1, 0, 195, 4},	//1611 QSslCipher::operator=(const QSslCipher&)
    {64, 769, 1319, 1, Smoke::mf_const, 315, 5},	//1612 QSslCipher::operator==(const QSslCipher&) const
    {64, 730, 1319, 1, Smoke::mf_const, 315, 6},	//1613 QSslCipher::operator!=(const QSslCipher&) const
    {64, 649, 0, 0, Smoke::mf_const, 315, 7},	//1614 QSslCipher::isNull() const
    {64, 715, 0, 0, Smoke::mf_const, 209, 8},	//1615 QSslCipher::name() const
    {64, 1338, 0, 0, Smoke::mf_const, 399, 9},	//1616 QSslCipher::supportedBits() const
    {64, 1370, 0, 0, Smoke::mf_const, 399, 10},	//1617 QSslCipher::usedBits() const
    {64, 668, 0, 0, Smoke::mf_const, 209, 11},	//1618 QSslCipher::keyExchangeMethod() const
    {64, 449, 0, 0, Smoke::mf_const, 209, 12},	//1619 QSslCipher::authenticationMethod() const
    {64, 564, 0, 0, Smoke::mf_const, 209, 13},	//1620 QSslCipher::encryptionMethod() const
    {64, 839, 0, 0, Smoke::mf_const, 209, 14},	//1621 QSslCipher::protocolString() const
    {64, 838, 0, 0, Smoke::mf_const, 189, 15},	//1622 QSslCipher::protocol() const
    {64, 1425, 0, 0, Smoke::mf_dtor, 0, 16 },	//1623 QSslCipher::~QSslCipher()
    {65, 278, 0, 0, Smoke::mf_ctor, 199, 1},	//1624 QSslConfiguration::QSslConfiguration()
    {65, 278, 1261, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 199, 2},	//1625 QSslConfiguration::QSslConfiguration(const QSslConfiguration&)
    {65, 766, 1261, 1, 0, 198, 3},	//1626 QSslConfiguration::operator=(const QSslConfiguration&)
    {65, 769, 1261, 1, Smoke::mf_const, 315, 4},	//1627 QSslConfiguration::operator==(const QSslConfiguration&) const
    {65, 730, 1261, 1, Smoke::mf_const, 315, 5},	//1628 QSslConfiguration::operator!=(const QSslConfiguration&) const
    {65, 649, 0, 0, Smoke::mf_const, 315, 6},	//1629 QSslConfiguration::isNull() const
    {65, 838, 0, 0, Smoke::mf_const, 189, 7},	//1630 QSslConfiguration::protocol() const
    {65, 1238, 1321, 1, 0, 0, 8},	//1631 QSslConfiguration::setProtocol(QSsl::SslProtocol)
    {65, 821, 0, 0, Smoke::mf_const, 207, 9},	//1632 QSslConfiguration::peerVerifyMode() const
    {65, 1220, 1323, 1, 0, 0, 10},	//1633 QSslConfiguration::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {65, 818, 0, 0, Smoke::mf_const, 399, 11},	//1634 QSslConfiguration::peerVerifyDepth() const
    {65, 1218, 44, 1, 0, 0, 12},	//1635 QSslConfiguration::setPeerVerifyDepth(int)
    {65, 688, 0, 0, Smoke::mf_const, 190, 13},	//1636 QSslConfiguration::localCertificate() const
    {65, 1175, 1303, 1, 0, 0, 14},	//1637 QSslConfiguration::setLocalCertificate(const QSslCertificate&)
    {65, 813, 0, 0, Smoke::mf_const, 190, 15},	//1638 QSslConfiguration::peerCertificate() const
    {65, 814, 0, 0, Smoke::mf_const, 114, 16},	//1639 QSslConfiguration::peerCertificateChain() const
    {65, 1093, 0, 0, Smoke::mf_const, 194, 17},	//1640 QSslConfiguration::sessionCipher() const
    {65, 837, 0, 0, Smoke::mf_const, 203, 18},	//1641 QSslConfiguration::privateKey() const
    {65, 1232, 1325, 1, 0, 0, 19},	//1642 QSslConfiguration::setPrivateKey(const QSslKey&)
    {65, 477, 0, 0, Smoke::mf_const, 115, 20},	//1643 QSslConfiguration::ciphers() const
    {65, 1121, 1327, 1, 0, 0, 21},	//1644 QSslConfiguration::setCiphers(const QList<QSslCipher>&)
    {65, 466, 0, 0, Smoke::mf_const, 114, 22},	//1645 QSslConfiguration::caCertificates() const
    {65, 1113, 1329, 1, 0, 0, 23},	//1646 QSslConfiguration::setCaCertificates(const QList<QSslCertificate>&)
    {65, 541, 0, 0, Smoke::mf_static, 197, 24},	//1647 QSslConfiguration::defaultConfiguration()
    {65, 1138, 1261, 1, Smoke::mf_static, 0, 25},	//1648 QSslConfiguration::setDefaultConfiguration(const QSslConfiguration&)
    {65, 1426, 0, 0, Smoke::mf_dtor, 0, 26 },	//1649 QSslConfiguration::~QSslConfiguration()
    {66, 280, 0, 0, Smoke::mf_ctor, 201, 1},	//1650 QSslError::QSslError()
    {66, 280, 1331, 1, Smoke::mf_ctor, 201, 2},	//1651 QSslError::QSslError(QSslError::SslError)
    {66, 280, 1333, 2, Smoke::mf_ctor, 201, 3},	//1652 QSslError::QSslError(QSslError::SslError, const QSslCertificate&)
    {66, 280, 1336, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 201, 4},	//1653 QSslError::QSslError(const QSslError&)
    {66, 766, 1336, 1, 0, 200, 5},	//1654 QSslError::operator=(const QSslError&)
    {66, 769, 1336, 1, Smoke::mf_const, 315, 6},	//1655 QSslError::operator==(const QSslError&) const
    {66, 730, 1336, 1, Smoke::mf_const, 315, 7},	//1656 QSslError::operator!=(const QSslError&) const
    {66, 567, 0, 0, Smoke::mf_const, 202, 8},	//1657 QSslError::error() const
    {66, 569, 0, 0, Smoke::mf_const, 209, 9},	//1658 QSslError::errorString() const
    {66, 474, 0, 0, Smoke::mf_const, 190, 10},	//1659 QSslError::certificate() const
    {66, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 11},	//1660 QSslError::NoError (enum)
    {66, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 12},	//1661 QSslError::UnableToGetIssuerCertificate (enum)
    {66, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 13},	//1662 QSslError::UnableToDecryptCertificateSignature (enum)
    {66, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 14},	//1663 QSslError::UnableToDecodeIssuerPublicKey (enum)
    {66, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 15},	//1664 QSslError::CertificateSignatureFailed (enum)
    {66, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 16},	//1665 QSslError::CertificateNotYetValid (enum)
    {66, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 17},	//1666 QSslError::CertificateExpired (enum)
    {66, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 18},	//1667 QSslError::InvalidNotBeforeField (enum)
    {66, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 19},	//1668 QSslError::InvalidNotAfterField (enum)
    {66, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 20},	//1669 QSslError::SelfSignedCertificate (enum)
    {66, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 21},	//1670 QSslError::SelfSignedCertificateInChain (enum)
    {66, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 22},	//1671 QSslError::UnableToGetLocalIssuerCertificate (enum)
    {66, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 23},	//1672 QSslError::UnableToVerifyFirstCertificate (enum)
    {66, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 24},	//1673 QSslError::CertificateRevoked (enum)
    {66, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 25},	//1674 QSslError::InvalidCaCertificate (enum)
    {66, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 26},	//1675 QSslError::PathLengthExceeded (enum)
    {66, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 27},	//1676 QSslError::InvalidPurpose (enum)
    {66, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 28},	//1677 QSslError::CertificateUntrusted (enum)
    {66, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 29},	//1678 QSslError::CertificateRejected (enum)
    {66, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 30},	//1679 QSslError::SubjectIssuerMismatch (enum)
    {66, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 31},	//1680 QSslError::AuthorityIssuerSerialNumberMismatch (enum)
    {66, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 32},	//1681 QSslError::NoPeerCertificate (enum)
    {66, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 33},	//1682 QSslError::HostNameMismatch (enum)
    {66, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 34},	//1683 QSslError::NoSslSupport (enum)
    {66, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 35},	//1684 QSslError::CertificateBlacklisted (enum)
    {66, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 36},	//1685 QSslError::UnspecifiedError (enum)
    {66, 1427, 0, 0, Smoke::mf_dtor, 0, 37 },	//1686 QSslError::~QSslError()
    {67, 284, 0, 0, Smoke::mf_ctor, 205, 1},	//1687 QSslKey::QSslKey()
    {67, 284, 1338, 5, Smoke::mf_ctor, 205, 2},	//1688 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {67, 284, 1344, 5, Smoke::mf_ctor, 205, 3},	//1689 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {67, 284, 1325, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 205, 4},	//1690 QSslKey::QSslKey(const QSslKey&)
    {67, 766, 1325, 1, 0, 204, 5},	//1691 QSslKey::operator=(const QSslKey&)
    {67, 649, 0, 0, Smoke::mf_const, 315, 6},	//1692 QSslKey::isNull() const
    {67, 478, 0, 0, 0, 0, 7},	//1693 QSslKey::clear()
    {67, 676, 0, 0, Smoke::mf_const, 399, 8},	//1694 QSslKey::length() const
    {67, 1362, 0, 0, Smoke::mf_const, 188, 9},	//1695 QSslKey::type() const
    {67, 434, 0, 0, Smoke::mf_const, 187, 10},	//1696 QSslKey::algorithm() const
    {67, 1349, 397, 1, Smoke::mf_const, 14, 11},	//1697 QSslKey::toPem(const QByteArray&) const
    {67, 1345, 397, 1, Smoke::mf_const, 14, 12},	//1698 QSslKey::toDer(const QByteArray&) const
    {67, 602, 0, 0, Smoke::mf_const, 414, 13},	//1699 QSslKey::handle() const
    {67, 769, 1325, 1, Smoke::mf_const, 315, 14},	//1700 QSslKey::operator==(const QSslKey&) const
    {67, 730, 1325, 1, Smoke::mf_const, 315, 15},	//1701 QSslKey::operator!=(const QSslKey&) const
    {67, 284, 1350, 2, Smoke::mf_ctor, 205, 16},	//1702 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    {67, 284, 1353, 3, Smoke::mf_ctor, 205, 17},	//1703 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {67, 284, 1357, 4, Smoke::mf_ctor, 205, 18},	//1704 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {67, 284, 1362, 2, Smoke::mf_ctor, 205, 19},	//1705 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    {67, 284, 1365, 3, Smoke::mf_ctor, 205, 20},	//1706 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {67, 284, 1369, 4, Smoke::mf_ctor, 205, 21},	//1707 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {67, 1349, 0, 0, Smoke::mf_const, 14, 22},	//1708 QSslKey::toPem() const
    {67, 1345, 0, 0, Smoke::mf_const, 14, 23},	//1709 QSslKey::toDer() const
    {67, 1428, 0, 0, Smoke::mf_dtor, 0, 24 },	//1710 QSslKey::~QSslKey()
    {68, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 349, 1},	//1711 QSslSocket::metaObject() const
    {68, 1018, 1, 1, Smoke::mf_virtual, 421, 2},	//1712 QSslSocket::qt_metacast(const char*)
    {68, 1354, 3, 2, Smoke::mf_static, 209, 3},	//1713 QSslSocket::tr(const char*, const char*)
    {68, 1358, 3, 2, Smoke::mf_static, 209, 4},	//1714 QSslSocket::trUtf8(const char*, const char*)
    {68, 1354, 6, 3, Smoke::mf_static, 209, 5},	//1715 QSslSocket::tr(const char*, const char*, int)
    {68, 1358, 6, 3, Smoke::mf_static, 209, 6},	//1716 QSslSocket::trUtf8(const char*, const char*, int)
    {68, 1016, 10, 3, Smoke::mf_virtual, 399, 7},	//1717 QSslSocket::qt_metacall(QMetaObject::Call, int, void**)
    {68, 290, 20, 1, Smoke::mf_ctor, 206, 8},	//1718 QSslSocket::QSslSocket(QObject*)
    {68, 505, 25, 3, 0, 0, 9},	//1719 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {68, 505, 1374, 4, 0, 0, 10},	//1720 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&, QFlags<QIODevice::OpenModeFlag>)
    {68, 1276, 35, 3, 0, 315, 11},	//1721 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>)
    {68, 1285, 39, 2, 0, 0, 12},	//1722 QSslSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {68, 1320, 42, 1, 0, 234, 13},	//1723 QSslSocket::socketOption(QAbstractSocket::SocketOption)
    {68, 711, 0, 0, Smoke::mf_const, 208, 14},	//1724 QSslSocket::mode() const
    {68, 640, 0, 0, Smoke::mf_const, 315, 15},	//1725 QSslSocket::isEncrypted() const
    {68, 838, 0, 0, Smoke::mf_const, 189, 16},	//1726 QSslSocket::protocol() const
    {68, 1238, 1321, 1, 0, 0, 17},	//1727 QSslSocket::setProtocol(QSsl::SslProtocol)
    {68, 821, 0, 0, Smoke::mf_const, 207, 18},	//1728 QSslSocket::peerVerifyMode() const
    {68, 1220, 1323, 1, 0, 0, 19},	//1729 QSslSocket::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {68, 818, 0, 0, Smoke::mf_const, 399, 20},	//1730 QSslSocket::peerVerifyDepth() const
    {68, 1218, 44, 1, 0, 0, 21},	//1731 QSslSocket::setPeerVerifyDepth(int)
    {68, 822, 0, 0, Smoke::mf_const, 209, 22},	//1732 QSslSocket::peerVerifyName() const
    {68, 1222, 69, 1, 0, 0, 23},	//1733 QSslSocket::setPeerVerifyName(const QString&)
    {68, 462, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 404, 24},	//1734 QSslSocket::bytesAvailable() const
    {68, 464, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 404, 25},	//1735 QSslSocket::bytesToWrite() const
    {68, 470, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 315, 26},	//1736 QSslSocket::canReadLine() const
    {68, 481, 0, 0, Smoke::mf_virtual, 0, 27},	//1737 QSslSocket::close()
    {68, 444, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 315, 28},	//1738 QSslSocket::atEnd() const
    {68, 580, 0, 0, 0, 315, 29},	//1739 QSslSocket::flush()
    {68, 408, 0, 0, 0, 0, 30},	//1740 QSslSocket::abort()
    {68, 1255, 33, 1, 0, 0, 31},	//1741 QSslSocket::setReadBufferSize(long long)
    {68, 560, 0, 0, Smoke::mf_const, 404, 32},	//1742 QSslSocket::encryptedBytesAvailable() const
    {68, 561, 0, 0, Smoke::mf_const, 404, 33},	//1743 QSslSocket::encryptedBytesToWrite() const
    {68, 1323, 0, 0, Smoke::mf_const, 197, 34},	//1744 QSslSocket::sslConfiguration() const
    {68, 1289, 1261, 1, 0, 0, 35},	//1745 QSslSocket::setSslConfiguration(const QSslConfiguration&)
    {68, 1175, 1303, 1, 0, 0, 36},	//1746 QSslSocket::setLocalCertificate(const QSslCertificate&)
    {68, 1175, 1313, 2, 0, 0, 37},	//1747 QSslSocket::setLocalCertificate(const QString&, QSsl::EncodingFormat)
    {68, 688, 0, 0, Smoke::mf_const, 190, 38},	//1748 QSslSocket::localCertificate() const
    {68, 813, 0, 0, Smoke::mf_const, 190, 39},	//1749 QSslSocket::peerCertificate() const
    {68, 814, 0, 0, Smoke::mf_const, 114, 40},	//1750 QSslSocket::peerCertificateChain() const
    {68, 1093, 0, 0, Smoke::mf_const, 194, 41},	//1751 QSslSocket::sessionCipher() const
    {68, 1232, 1325, 1, 0, 0, 42},	//1752 QSslSocket::setPrivateKey(const QSslKey&)
    {68, 1232, 1379, 4, 0, 0, 43},	//1753 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&)
    {68, 837, 0, 0, Smoke::mf_const, 203, 44},	//1754 QSslSocket::privateKey() const
    {68, 477, 0, 0, Smoke::mf_const, 115, 45},	//1755 QSslSocket::ciphers() const
    {68, 1121, 1327, 1, 0, 0, 46},	//1756 QSslSocket::setCiphers(const QList<QSslCipher>&)
    {68, 1121, 69, 1, 0, 0, 47},	//1757 QSslSocket::setCiphers(const QString&)
    {68, 1136, 1327, 1, Smoke::mf_static, 0, 48},	//1758 QSslSocket::setDefaultCiphers(const QList<QSslCipher>&)
    {68, 540, 0, 0, Smoke::mf_static, 115, 49},	//1759 QSslSocket::defaultCiphers()
    {68, 1339, 0, 0, Smoke::mf_static, 115, 50},	//1760 QSslSocket::supportedCiphers()
    {68, 416, 1309, 3, 0, 315, 51},	//1761 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {68, 414, 1303, 1, 0, 0, 52},	//1762 QSslSocket::addCaCertificate(const QSslCertificate&)
    {68, 416, 1329, 1, 0, 0, 53},	//1763 QSslSocket::addCaCertificates(const QList<QSslCertificate>&)
    {68, 1113, 1329, 1, 0, 0, 54},	//1764 QSslSocket::setCaCertificates(const QList<QSslCertificate>&)
    {68, 466, 0, 0, Smoke::mf_const, 114, 55},	//1765 QSslSocket::caCertificates() const
    {68, 423, 1309, 3, Smoke::mf_static, 315, 56},	//1766 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {68, 421, 1303, 1, Smoke::mf_static, 0, 57},	//1767 QSslSocket::addDefaultCaCertificate(const QSslCertificate&)
    {68, 423, 1329, 1, Smoke::mf_static, 0, 58},	//1768 QSslSocket::addDefaultCaCertificates(const QList<QSslCertificate>&)
    {68, 1134, 1329, 1, Smoke::mf_static, 0, 59},	//1769 QSslSocket::setDefaultCaCertificates(const QList<QSslCertificate>&)
    {68, 539, 0, 0, Smoke::mf_static, 114, 60},	//1770 QSslSocket::defaultCaCertificates()
    {68, 1341, 0, 0, Smoke::mf_static, 114, 61},	//1771 QSslSocket::systemCaCertificates()
    {68, 1378, 44, 1, 0, 315, 62},	//1772 QSslSocket::waitForConnected(int)
    {68, 1382, 44, 1, 0, 315, 63},	//1773 QSslSocket::waitForEncrypted(int)
    {68, 1389, 44, 1, Smoke::mf_virtual, 315, 64},	//1774 QSslSocket::waitForReadyRead(int)
    {68, 1376, 44, 1, Smoke::mf_virtual, 315, 65},	//1775 QSslSocket::waitForBytesWritten(int)
    {68, 1380, 44, 1, 0, 315, 66},	//1776 QSslSocket::waitForDisconnected(int)
    {68, 1324, 0, 0, Smoke::mf_const, 116, 67},	//1777 QSslSocket::sslErrors() const
    {68, 1340, 0, 0, Smoke::mf_static, 315, 68},	//1778 QSslSocket::supportsSsl()
    {68, 624, 1056, 1, 0, 0, 69},	//1779 QSslSocket::ignoreSslErrors(const QList<QSslError>&)
    {68, 1327, 0, 0, Smoke::mf_slot, 0, 70},	//1780 QSslSocket::startClientEncryption()
    {68, 1328, 0, 0, Smoke::mf_slot, 0, 71},	//1781 QSslSocket::startServerEncryption()
    {68, 624, 0, 0, Smoke::mf_slot, 0, 72},	//1782 QSslSocket::ignoreSslErrors()
    {68, 559, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 73},	//1783 QSslSocket::encrypted()
    {68, 819, 1336, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 74},	//1784 QSslSocket::peerVerifyError(const QSslError&)
    {68, 1324, 1056, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 75},	//1785 QSslSocket::sslErrors(const QList<QSslError>&)
    {68, 712, 1384, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 76},	//1786 QSslSocket::modeChanged(QSslSocket::SslMode)
    {68, 562, 1386, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 77},	//1787 QSslSocket::encryptedBytesWritten(qint64)
    {68, 509, 55, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 78},	//1788 QSslSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {68, 548, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 79},	//1789 QSslSocket::disconnectFromHostImplementation()
    {68, 1045, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 404, 80},	//1790 QSslSocket::readData(char*, long long)
    {68, 1391, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 404, 81},	//1791 QSslSocket::writeData(const char*, long long)
    {68, 1354, 1, 1, Smoke::mf_static, 209, 82},	//1792 QSslSocket::tr(const char*)
    {68, 1358, 1, 1, Smoke::mf_static, 209, 83},	//1793 QSslSocket::trUtf8(const char*)
    {68, 290, 0, 0, Smoke::mf_ctor, 206, 84},	//1794 QSslSocket::QSslSocket()
    {68, 505, 71, 2, 0, 0, 85},	//1795 QSslSocket::connectToHostEncrypted(const QString&, unsigned short)
    {68, 505, 1388, 3, 0, 0, 86},	//1796 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    {68, 1276, 44, 1, 0, 315, 87},	//1797 QSslSocket::setSocketDescriptor(int)
    {68, 1276, 77, 2, 0, 315, 88},	//1798 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {68, 1175, 69, 1, 0, 0, 89},	//1799 QSslSocket::setLocalCertificate(const QString&)
    {68, 1232, 69, 1, 0, 0, 90},	//1800 QSslSocket::setPrivateKey(const QString&)
    {68, 1232, 1392, 2, 0, 0, 91},	//1801 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm)
    {68, 1232, 1395, 3, 0, 0, 92},	//1802 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {68, 416, 69, 1, 0, 315, 93},	//1803 QSslSocket::addCaCertificates(const QString&)
    {68, 416, 1313, 2, 0, 315, 94},	//1804 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat)
    {68, 423, 69, 1, Smoke::mf_static, 315, 95},	//1805 QSslSocket::addDefaultCaCertificates(const QString&)
    {68, 423, 1313, 2, Smoke::mf_static, 315, 96},	//1806 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat)
    {68, 1378, 0, 0, 0, 315, 97},	//1807 QSslSocket::waitForConnected()
    {68, 1382, 0, 0, 0, 315, 98},	//1808 QSslSocket::waitForEncrypted()
    {68, 1389, 0, 0, 0, 315, 99},	//1809 QSslSocket::waitForReadyRead()
    {68, 1376, 0, 0, 0, 315, 100},	//1810 QSslSocket::waitForBytesWritten()
    {68, 1380, 0, 0, 0, 315, 101},	//1811 QSslSocket::waitForDisconnected()
    {68, 1332, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 348, 102},	//1812 QSslSocket::staticMetaObject() const
    {68, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 103},	//1813 QSslSocket::UnencryptedMode (enum)
    {68, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 104},	//1814 QSslSocket::SslClientMode (enum)
    {68, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 105},	//1815 QSslSocket::SslServerMode (enum)
    {68, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 106},	//1816 QSslSocket::VerifyNone (enum)
    {68, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 107},	//1817 QSslSocket::QueryPeer (enum)
    {68, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 108},	//1818 QSslSocket::VerifyPeer (enum)
    {68, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 109},	//1819 QSslSocket::AutoVerifyPeer (enum)
    {68, 1429, 0, 0, Smoke::mf_dtor, 0, 110 },	//1820 QSslSocket::~QSslSocket()
    {71, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 349, 1},	//1821 QTcpServer::metaObject() const
    {71, 1018, 1, 1, Smoke::mf_virtual, 421, 2},	//1822 QTcpServer::qt_metacast(const char*)
    {71, 1354, 3, 2, Smoke::mf_static, 209, 3},	//1823 QTcpServer::tr(const char*, const char*)
    {71, 1358, 3, 2, Smoke::mf_static, 209, 4},	//1824 QTcpServer::trUtf8(const char*, const char*)
    {71, 1354, 6, 3, Smoke::mf_static, 209, 5},	//1825 QTcpServer::tr(const char*, const char*, int)
    {71, 1358, 6, 3, Smoke::mf_static, 209, 6},	//1826 QTcpServer::trUtf8(const char*, const char*, int)
    {71, 1016, 10, 3, Smoke::mf_virtual, 399, 7},	//1827 QTcpServer::qt_metacall(QMetaObject::Call, int, void**)
    {71, 292, 20, 1, Smoke::mf_ctor, 216, 8},	//1828 QTcpServer::QTcpServer(QObject*)
    {71, 683, 74, 2, 0, 315, 9},	//1829 QTcpServer::listen(const QHostAddress&, unsigned short)
    {71, 481, 0, 0, 0, 0, 10},	//1830 QTcpServer::close()
    {71, 648, 0, 0, Smoke::mf_const, 315, 11},	//1831 QTcpServer::isListening() const
    {71, 1183, 44, 1, 0, 0, 12},	//1832 QTcpServer::setMaxPendingConnections(int)
    {71, 700, 0, 0, Smoke::mf_const, 399, 13},	//1833 QTcpServer::maxPendingConnections() const
    {71, 1092, 0, 0, Smoke::mf_const, 416, 14},	//1834 QTcpServer::serverPort() const
    {71, 1089, 0, 0, Smoke::mf_const, 74, 15},	//1835 QTcpServer::serverAddress() const
    {71, 1319, 0, 0, Smoke::mf_const, 399, 16},	//1836 QTcpServer::socketDescriptor() const
    {71, 1276, 44, 1, 0, 315, 17},	//1837 QTcpServer::setSocketDescriptor(int)
    {71, 1384, 1100, 2, 0, 315, 18},	//1838 QTcpServer::waitForNewConnection(int, bool*)
    {71, 609, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 315, 19},	//1839 QTcpServer::hasPendingConnections() const
    {71, 724, 0, 0, Smoke::mf_virtual, 217, 20},	//1840 QTcpServer::nextPendingConnection()
    {71, 1090, 0, 0, Smoke::mf_const, 5, 21},	//1841 QTcpServer::serverError() const
    {71, 569, 0, 0, Smoke::mf_const, 209, 22},	//1842 QTcpServer::errorString() const
    {71, 1242, 46, 1, 0, 0, 23},	//1843 QTcpServer::setProxy(const QNetworkProxy&)
    {71, 841, 0, 0, Smoke::mf_const, 152, 24},	//1844 QTcpServer::proxy() const
    {71, 626, 44, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1845 QTcpServer::incomingConnection(int)
    {71, 428, 1024, 1, Smoke::mf_protected, 0, 26},	//1846 QTcpServer::addPendingConnection(QTcpSocket*)
    {71, 723, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1847 QTcpServer::newConnection()
    {71, 1354, 1, 1, Smoke::mf_static, 209, 28},	//1848 QTcpServer::tr(const char*)
    {71, 1358, 1, 1, Smoke::mf_static, 209, 29},	//1849 QTcpServer::trUtf8(const char*)
    {71, 292, 0, 0, Smoke::mf_ctor, 216, 30},	//1850 QTcpServer::QTcpServer()
    {71, 683, 0, 0, 0, 315, 31},	//1851 QTcpServer::listen()
    {71, 683, 67, 1, 0, 315, 32},	//1852 QTcpServer::listen(const QHostAddress&)
    {71, 1384, 0, 0, 0, 315, 33},	//1853 QTcpServer::waitForNewConnection()
    {71, 1384, 44, 1, 0, 315, 34},	//1854 QTcpServer::waitForNewConnection(int)
    {71, 1332, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 348, 35},	//1855 QTcpServer::staticMetaObject() const
    {71, 1430, 0, 0, Smoke::mf_dtor, 0, 36 },	//1856 QTcpServer::~QTcpServer()
    {72, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 349, 1},	//1857 QTcpSocket::metaObject() const
    {72, 1018, 1, 1, Smoke::mf_virtual, 421, 2},	//1858 QTcpSocket::qt_metacast(const char*)
    {72, 1354, 3, 2, Smoke::mf_static, 209, 3},	//1859 QTcpSocket::tr(const char*, const char*)
    {72, 1358, 3, 2, Smoke::mf_static, 209, 4},	//1860 QTcpSocket::trUtf8(const char*, const char*)
    {72, 1354, 6, 3, Smoke::mf_static, 209, 5},	//1861 QTcpSocket::tr(const char*, const char*, int)
    {72, 1358, 6, 3, Smoke::mf_static, 209, 6},	//1862 QTcpSocket::trUtf8(const char*, const char*, int)
    {72, 1016, 10, 3, Smoke::mf_virtual, 399, 7},	//1863 QTcpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {72, 294, 20, 1, Smoke::mf_ctor, 217, 8},	//1864 QTcpSocket::QTcpSocket(QObject*)
    {72, 1354, 1, 1, Smoke::mf_static, 209, 9},	//1865 QTcpSocket::tr(const char*)
    {72, 1358, 1, 1, Smoke::mf_static, 209, 10},	//1866 QTcpSocket::trUtf8(const char*)
    {72, 294, 0, 0, Smoke::mf_ctor, 217, 11},	//1867 QTcpSocket::QTcpSocket()
    {72, 1332, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 348, 12},	//1868 QTcpSocket::staticMetaObject() const
    {72, 1431, 0, 0, Smoke::mf_dtor, 0, 13 },	//1869 QTcpSocket::~QTcpSocket()
    {77, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 349, 1},	//1870 QUdpSocket::metaObject() const
    {77, 1018, 1, 1, Smoke::mf_virtual, 421, 2},	//1871 QUdpSocket::qt_metacast(const char*)
    {77, 1354, 3, 2, Smoke::mf_static, 209, 3},	//1872 QUdpSocket::tr(const char*, const char*)
    {77, 1358, 3, 2, Smoke::mf_static, 209, 4},	//1873 QUdpSocket::trUtf8(const char*, const char*)
    {77, 1354, 6, 3, Smoke::mf_static, 209, 5},	//1874 QUdpSocket::tr(const char*, const char*, int)
    {77, 1358, 6, 3, Smoke::mf_static, 209, 6},	//1875 QUdpSocket::trUtf8(const char*, const char*, int)
    {77, 1016, 10, 3, Smoke::mf_virtual, 399, 7},	//1876 QUdpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {77, 296, 20, 1, Smoke::mf_ctor, 225, 8},	//1877 QUdpSocket::QUdpSocket(QObject*)
    {77, 456, 74, 2, 0, 315, 9},	//1878 QUdpSocket::bind(const QHostAddress&, unsigned short)
    {77, 456, 65, 1, 0, 315, 10},	//1879 QUdpSocket::bind(unsigned short)
    {77, 456, 1399, 3, 0, 315, 11},	//1880 QUdpSocket::bind(const QHostAddress&, unsigned short, QFlags<QUdpSocket::BindFlag>)
    {77, 456, 1403, 2, 0, 315, 12},	//1881 QUdpSocket::bind(unsigned short, QFlags<QUdpSocket::BindFlag>)
    {77, 665, 67, 1, 0, 315, 13},	//1882 QUdpSocket::joinMulticastGroup(const QHostAddress&)
    {77, 665, 1406, 2, 0, 315, 14},	//1883 QUdpSocket::joinMulticastGroup(const QHostAddress&, const QNetworkInterface&)
    {77, 673, 67, 1, 0, 315, 15},	//1884 QUdpSocket::leaveMulticastGroup(const QHostAddress&)
    {77, 673, 1406, 2, 0, 315, 16},	//1885 QUdpSocket::leaveMulticastGroup(const QHostAddress&, const QNetworkInterface&)
    {77, 714, 0, 0, Smoke::mf_const, 148, 17},	//1886 QUdpSocket::multicastInterface() const
    {77, 1187, 1178, 1, 0, 0, 18},	//1887 QUdpSocket::setMulticastInterface(const QNetworkInterface&)
    {77, 610, 0, 0, Smoke::mf_const, 315, 19},	//1888 QUdpSocket::hasPendingDatagrams() const
    {77, 823, 0, 0, Smoke::mf_const, 404, 20},	//1889 QUdpSocket::pendingDatagramSize() const
    {77, 1047, 1409, 4, 0, 404, 21},	//1890 QUdpSocket::readDatagram(char*, long long, QHostAddress*, unsigned short*)
    {77, 1393, 1414, 4, 0, 404, 22},	//1891 QUdpSocket::writeDatagram(const char*, long long, const QHostAddress&, unsigned short)
    {77, 1393, 1419, 3, 0, 404, 23},	//1892 QUdpSocket::writeDatagram(const QByteArray&, const QHostAddress&, unsigned short)
    {77, 1354, 1, 1, Smoke::mf_static, 209, 24},	//1893 QUdpSocket::tr(const char*)
    {77, 1358, 1, 1, Smoke::mf_static, 209, 25},	//1894 QUdpSocket::trUtf8(const char*)
    {77, 296, 0, 0, Smoke::mf_ctor, 225, 26},	//1895 QUdpSocket::QUdpSocket()
    {77, 456, 0, 0, 0, 315, 27},	//1896 QUdpSocket::bind()
    {77, 1047, 59, 2, 0, 404, 28},	//1897 QUdpSocket::readDatagram(char*, long long)
    {77, 1047, 1423, 3, 0, 404, 29},	//1898 QUdpSocket::readDatagram(char*, long long, QHostAddress*)
    {77, 1332, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 348, 30},	//1899 QUdpSocket::staticMetaObject() const
    {77, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 31},	//1900 QUdpSocket::DefaultForPlatform (enum)
    {77, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 32},	//1901 QUdpSocket::ShareAddress (enum)
    {77, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 33},	//1902 QUdpSocket::DontShareAddress (enum)
    {77, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 34},	//1903 QUdpSocket::ReuseAddressHint (enum)
    {77, 1432, 0, 0, Smoke::mf_dtor, 0, 35 },	//1904 QUdpSocket::~QUdpSocket()
    {79, 298, 0, 0, Smoke::mf_ctor, 231, 1},	//1905 QUrlInfo::QUrlInfo()
    {79, 298, 105, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 231, 2},	//1906 QUrlInfo::QUrlInfo(const QUrlInfo&)
    {79, 298, 1427, 13, Smoke::mf_ctor, 231, 3},	//1907 QUrlInfo::QUrlInfo(const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {79, 298, 1441, 13, Smoke::mf_ctor, 231, 4},	//1908 QUrlInfo::QUrlInfo(const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {79, 766, 105, 1, 0, 230, 5},	//1909 QUrlInfo::operator=(const QUrlInfo&)
    {79, 1189, 69, 1, Smoke::mf_virtual, 0, 6},	//1910 QUrlInfo::setName(const QString&)
    {79, 1140, 116, 1, Smoke::mf_virtual, 0, 7},	//1911 QUrlInfo::setDir(bool)
    {79, 1151, 116, 1, Smoke::mf_virtual, 0, 8},	//1912 QUrlInfo::setFile(bool)
    {79, 1296, 116, 1, Smoke::mf_virtual, 0, 9},	//1913 QUrlInfo::setSymLink(bool)
    {79, 1204, 69, 1, Smoke::mf_virtual, 0, 10},	//1914 QUrlInfo::setOwner(const QString&)
    {79, 1155, 69, 1, Smoke::mf_virtual, 0, 11},	//1915 QUrlInfo::setGroup(const QString&)
    {79, 1272, 33, 1, Smoke::mf_virtual, 0, 12},	//1916 QUrlInfo::setSize(long long)
    {79, 1316, 116, 1, Smoke::mf_virtual, 0, 13},	//1917 QUrlInfo::setWritable(bool)
    {79, 1257, 116, 1, Smoke::mf_virtual, 0, 14},	//1918 QUrlInfo::setReadable(bool)
    {79, 1224, 44, 1, Smoke::mf_virtual, 0, 15},	//1919 QUrlInfo::setPermissions(int)
    {79, 1169, 1163, 1, Smoke::mf_virtual, 0, 16},	//1920 QUrlInfo::setLastModified(const QDateTime&)
    {79, 1171, 1163, 1, 0, 0, 17},	//1921 QUrlInfo::setLastRead(const QDateTime&)
    {79, 660, 0, 0, Smoke::mf_const, 315, 18},	//1922 QUrlInfo::isValid() const
    {79, 715, 0, 0, Smoke::mf_const, 209, 19},	//1923 QUrlInfo::name() const
    {79, 824, 0, 0, Smoke::mf_const, 399, 20},	//1924 QUrlInfo::permissions() const
    {79, 801, 0, 0, Smoke::mf_const, 209, 21},	//1925 QUrlInfo::owner() const
    {79, 601, 0, 0, Smoke::mf_const, 209, 22},	//1926 QUrlInfo::group() const
    {79, 1318, 0, 0, Smoke::mf_const, 404, 23},	//1927 QUrlInfo::size() const
    {79, 670, 0, 0, Smoke::mf_const, 22, 24},	//1928 QUrlInfo::lastModified() const
    {79, 671, 0, 0, Smoke::mf_const, 22, 25},	//1929 QUrlInfo::lastRead() const
    {79, 639, 0, 0, Smoke::mf_const, 315, 26},	//1930 QUrlInfo::isDir() const
    {79, 642, 0, 0, Smoke::mf_const, 315, 27},	//1931 QUrlInfo::isFile() const
    {79, 658, 0, 0, Smoke::mf_const, 315, 28},	//1932 QUrlInfo::isSymLink() const
    {79, 661, 0, 0, Smoke::mf_const, 315, 29},	//1933 QUrlInfo::isWritable() const
    {79, 652, 0, 0, Smoke::mf_const, 315, 30},	//1934 QUrlInfo::isReadable() const
    {79, 641, 0, 0, Smoke::mf_const, 315, 31},	//1935 QUrlInfo::isExecutable() const
    {79, 599, 1455, 3, Smoke::mf_static, 315, 32},	//1936 QUrlInfo::greaterThan(const QUrlInfo&, const QUrlInfo&, int)
    {79, 677, 1455, 3, Smoke::mf_static, 315, 33},	//1937 QUrlInfo::lessThan(const QUrlInfo&, const QUrlInfo&, int)
    {79, 565, 1455, 3, Smoke::mf_static, 315, 34},	//1938 QUrlInfo::equal(const QUrlInfo&, const QUrlInfo&, int)
    {79, 769, 105, 1, Smoke::mf_const, 315, 35},	//1939 QUrlInfo::operator==(const QUrlInfo&) const
    {79, 730, 105, 1, Smoke::mf_const, 315, 36},	//1940 QUrlInfo::operator!=(const QUrlInfo&) const
    {79, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 37},	//1941 QUrlInfo::ReadOwner (enum)
    {79, 397, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 38},	//1942 QUrlInfo::WriteOwner (enum)
    {79, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 39},	//1943 QUrlInfo::ExeOwner (enum)
    {79, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 40},	//1944 QUrlInfo::ReadGroup (enum)
    {79, 394, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 41},	//1945 QUrlInfo::WriteGroup (enum)
    {79, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 42},	//1946 QUrlInfo::ExeGroup (enum)
    {79, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 43},	//1947 QUrlInfo::ReadOther (enum)
    {79, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 44},	//1948 QUrlInfo::WriteOther (enum)
    {79, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 45},	//1949 QUrlInfo::ExeOther (enum)
    {79, 1433, 0, 0, Smoke::mf_dtor, 0, 46 },	//1950 QUrlInfo::~QUrlInfo()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    1038,  // QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    1039,  // QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    1040,  // QNetworkAccessManager::post(const QNetworkRequest&, QHttpMultiPart*)
    0,
    1041,  // QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    1042,  // QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    1043,  // QNetworkAccessManager::put(const QNetworkRequest&, QHttpMultiPart*)
    0,
    1433,  // QNetworkRequest::QNetworkRequest(const QUrl&)
    1434,  // QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    0,
    1569,  // QSslCertificate::QSslCertificate(const QSslCertificate&)
    1593,  // QSslCertificate::QSslCertificate(QIODevice*)
    1595,  // QSslCertificate::QSslCertificate(const QByteArray&)
    0,
    1567,  // QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    1568,  // QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    0,
    1179,  // QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    1201,  // QNetworkCookie::QNetworkCookie(const QByteArray&)
    0,
    923,  // QIPv6Address::operator[](int)
    924,  // QIPv6Address::operator[](int) const
    0,
    198,  // QFtp::put(const QByteArray&, const QString&)
    199,  // QFtp::put(QIODevice*, const QString&)
    0,
    162,  // QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    163,  // QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    0,
    885,  // QHttpResponseHeader::QHttpResponseHeader(const QString&)
    895,  // QHttpResponseHeader::QHttpResponseHeader(int)
    0,
    1702,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    1705,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    0,
    1703,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    1706,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    0,
    1704,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    1707,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    0,
    1688,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    1689,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    0,
    1719,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    1796,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    0,
    242,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    249,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    272,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    337,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    365,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    415,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    418,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    479,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    486,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    487,  // QGlobalSpace::operator!=(QChar, QChar)
    498,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    555,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    559,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    637,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    665,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    667,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    434,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    457,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    477,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    546,  // QGlobalSpace::operator!=(QBool, bool)
    581,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    436,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    458,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    543,  // QGlobalSpace::operator!=(bool, QBool)
    587,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    610,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    651,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    237,  // QGlobalSpace::operator*(const QPoint&, double)
    262,  // QGlobalSpace::operator*(const QSizeF&, double)
    351,  // QGlobalSpace::operator*(const QPointF&, double)
    450,  // QGlobalSpace::operator*(const QPoint&, float)
    562,  // QGlobalSpace::operator*(const QSize&, double)
    638,  // QGlobalSpace::operator*(const QPoint&, int)
    0,
    240,  // QGlobalSpace::operator*(double, const QPointF&)
    244,  // QGlobalSpace::operator*(double, const QSizeF&)
    499,  // QGlobalSpace::operator*(double, const QSize&)
    509,  // QGlobalSpace::operator*(double, const QPoint&)
    591,  // QGlobalSpace::operator*(int, const QPoint&)
    658,  // QGlobalSpace::operator*(float, const QPoint&)
    0,
    250,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    296,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    575,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    611,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    654,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    279,  // QGlobalSpace::operator+(QChar, const QString&)
    386,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    517,  // QGlobalSpace::operator+(const QByteArray&, char)
    552,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    0,
    322,  // QGlobalSpace::operator+(char, const QByteArray&)
    466,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    612,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    663,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    317,  // QGlobalSpace::operator+(const QString&, const char*)
    325,  // QGlobalSpace::operator+(const char*, const QString&)
    391,  // QGlobalSpace::operator+(const QString&, char)
    452,  // QGlobalSpace::operator+(const QString&, const QString&)
    485,  // QGlobalSpace::operator+(char, const QString&)
    0,
    382,  // QGlobalSpace::operator-(const QPointF&)
    596,  // QGlobalSpace::operator-(const QPoint&)
    0,
    267,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    548,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    604,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    641,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    324,  // QGlobalSpace::operator/(const QPoint&, double)
    368,  // QGlobalSpace::operator/(const QSizeF&, double)
    519,  // QGlobalSpace::operator/(const QPointF&, double)
    625,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    339,  // QGlobalSpace::operator<(QChar, QChar)
    376,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    430,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    603,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    408,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    574,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    239,  // QGlobalSpace::operator<<(QDebug, const QSslKey&)
    246,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    253,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    261,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    277,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    283,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    284,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    285,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    305,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    310,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    312,  // QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    318,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    336,  // QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    340,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    360,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    388,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    398,  // QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    399,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    403,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    431,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    433,  // QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    440,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    443,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    478,  // QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    482,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    493,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    503,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    505,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    511,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    514,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    515,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    523,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    534,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    541,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    545,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    553,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    567,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    572,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    576,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    579,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    605,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    618,  // QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    622,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    630,  // QGlobalSpace::operator<<(QDebug, const QSslError&)
    634,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    642,  // QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    653,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    668,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    670,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    674,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    0,
    271,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    342,  // QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    345,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    373,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    463,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    528,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    540,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    561,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    601,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    615,  // QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    624,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    469,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    521,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    531,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    578,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    461,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    554,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    259,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    269,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    273,  // QGlobalSpace::operator==(QBool, QBool)
    276,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    334,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    356,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    396,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    423,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    462,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    475,  // QGlobalSpace::operator==(QChar, QChar)
    490,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    496,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    497,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    542,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    600,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    656,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    671,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    420,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    563,  // QGlobalSpace::operator==(QString::Null, const QString&)
    568,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    609,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    655,  // QGlobalSpace::operator==(QBool, bool)
    0,
    243,  // QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    326,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    362,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    374,  // QGlobalSpace::operator==(const QString&, QString::Null)
    464,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    557,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    627,  // QGlobalSpace::operator==(bool, QBool)
    0,
    370,  // QGlobalSpace::operator>(QChar, QChar)
    438,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    459,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    583,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    264,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    536,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    268,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    392,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    422,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    520,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    341,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    371,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    278,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    315,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    320,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    328,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    331,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    332,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    333,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    350,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    353,  // QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    379,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    402,  // QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    404,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    435,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    439,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    470,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    537,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    566,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    570,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    606,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    617,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    626,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    636,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    661,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    474,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    599,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    235,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    241,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    245,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    247,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    252,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    256,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    258,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    260,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    263,  // QGlobalSpace::operator|(QDir::Filter, int)
    270,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    274,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    280,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>)
    281,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    282,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    294,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    297,  // QGlobalSpace::operator|(Qt::DropAction, int)
    300,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    303,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    304,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    306,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    307,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    309,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    313,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    314,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    316,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    319,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    321,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    323,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    338,  // QGlobalSpace::operator|(QFile::Permission, int)
    348,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability)
    349,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    358,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    363,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    364,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    366,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    367,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    369,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    378,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    384,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    387,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    389,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    390,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    395,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag)
    407,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    410,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    411,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    412,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    414,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    417,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    419,  // QGlobalSpace::operator|(Qt::WindowType, int)
    427,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    428,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, int)
    429,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    441,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    449,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    467,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>)
    468,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    471,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    472,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    473,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    476,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    481,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    488,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    492,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    494,  // QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    495,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    500,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    502,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    516,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, int)
    530,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    533,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    539,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    547,  // QGlobalSpace::operator|(Qt::WindowState, int)
    556,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    558,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    560,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    564,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    565,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    584,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    586,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    590,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    593,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    607,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    614,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    616,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    620,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    628,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    629,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    635,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>)
    640,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    644,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, QUdpSocket::BindFlag)
    646,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    649,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    650,  // QGlobalSpace::operator|(Qt::Orientation, int)
    657,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    662,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    666,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    672,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, int)
    673,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    0,
    329,  // QGlobalSpace::qFuzzyCompare(double, double)
    529,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    397,  // QGlobalSpace::qFuzzyIsNull(double)
    645,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    234,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    275,  // QGlobalSpace::qHash(const QStringRef&)
    286,  // QGlobalSpace::qHash(const QBitArray&)
    344,  // QGlobalSpace::qHash(const QByteArray&)
    346,  // QGlobalSpace::qHash(const QHostAddress&)
    394,  // QGlobalSpace::qHash(QChar)
    444,  // QGlobalSpace::qHash(const QUrl&)
    501,  // QGlobalSpace::qHash(const QModelIndex&)
    0,
    255,  // QGlobalSpace::qHash(unsigned char)
    290,  // QGlobalSpace::qHash(const QString&)
    291,  // QGlobalSpace::qHash(unsigned short)
    293,  // QGlobalSpace::qHash(long)
    295,  // QGlobalSpace::qHash(long long)
    385,  // QGlobalSpace::qHash(unsigned long long)
    480,  // QGlobalSpace::qHash(signed char)
    512,  // QGlobalSpace::qHash(short)
    544,  // QGlobalSpace::qHash(unsigned long)
    580,  // QGlobalSpace::qHash(unsigned int)
    602,  // QGlobalSpace::qHash(int)
    632,  // QGlobalSpace::qHash(char)
    0,
    375,  // QGlobalSpace::qIntCast(float)
    424,  // QGlobalSpace::qIntCast(double)
    0,
    446,  // QGlobalSpace::qIsFinite(float)
    639,  // QGlobalSpace::qIsFinite(double)
    0,
    238,  // QGlobalSpace::qIsInf(double)
    302,  // QGlobalSpace::qIsInf(float)
    0,
    327,  // QGlobalSpace::qIsNaN(float)
    510,  // QGlobalSpace::qIsNaN(double)
    0,
    330,  // QGlobalSpace::qIsNull(float)
    421,  // QGlobalSpace::qIsNull(double)
    0,
    692,  // QHostAddress::QHostAddress(const QIPv6Address&)
    693,  // QHostAddress::QHostAddress(const sockaddr*)
    695,  // QHostAddress::QHostAddress(const QHostAddress&)
    0,
    690,  // QHostAddress::QHostAddress(unsigned int)
    691,  // QHostAddress::QHostAddress(unsigned char*)
    694,  // QHostAddress::QHostAddress(const QString&)
    696,  // QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    0,
    701,  // QHostAddress::setAddress(const QIPv6Address&)
    702,  // QHostAddress::setAddress(const sockaddr*)
    0,
    699,  // QHostAddress::setAddress(unsigned int)
    700,  // QHostAddress::setAddress(unsigned char*)
    703,  // QHostAddress::setAddress(const QString&)
    0,
    803,  // QHttp::QHttp(const QString&, unsigned short)
    804,  // QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    0,
    812,  // QHttp::post(const QString&, QIODevice*)
    813,  // QHttp::post(const QString&, const QByteArray&)
    0,
    766,  // QHttp::post(const QString&, QIODevice*, QIODevice*)
    767,  // QHttp::post(const QString&, const QByteArray&, QIODevice*)
    0,
    815,  // QHttp::request(const QHttpRequestHeader&, QIODevice*)
    816,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    0,
    769,  // QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    770,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    0,
    759,  // QHttp::setHost(const QString&, unsigned short)
    807,  // QHttp::setHost(const QString&, QHttp::ConnectionMode)
    0,
    1323,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    1344,  // QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    0,
    1320,  // QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&, QNetworkProxyQuery::QueryType)
    1352,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short)
    0,
    1350,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int)
    1353,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short, const QString&)
    0,
    1326,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    1351,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int, const QString&)
    0,
    1345,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    1348,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    0,
    1322,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    1346,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 183, 19},	// QAbstractNetworkCache::QAbstractNetworkCache
    {1, 184, 16},	// QAbstractNetworkCache::QAbstractNetworkCache#
    {1, 469, 12},	// QAbstractNetworkCache::cacheSize
    {1, 478, 15},	// QAbstractNetworkCache::clear
    {1, 532, 10},	// QAbstractNetworkCache::data#
    {1, 631, 14},	// QAbstractNetworkCache::insert#
    {1, 703, 8},	// QAbstractNetworkCache::metaData#
    {1, 705, 1},	// QAbstractNetworkCache::metaObject
    {1, 835, 13},	// QAbstractNetworkCache::prepare#
    {1, 1017, 7},	// QAbstractNetworkCache::qt_metacall$$?
    {1, 1019, 2},	// QAbstractNetworkCache::qt_metacast$
    {1, 1059, 11},	// QAbstractNetworkCache::remove#
    {1, 1332, 20},	// QAbstractNetworkCache::staticMetaObject
    {1, 1355, 17},	// QAbstractNetworkCache::tr$
    {1, 1356, 3},	// QAbstractNetworkCache::tr$$
    {1, 1357, 5},	// QAbstractNetworkCache::tr$$$
    {1, 1359, 18},	// QAbstractNetworkCache::trUtf8$
    {1, 1360, 4},	// QAbstractNetworkCache::trUtf8$$
    {1, 1361, 6},	// QAbstractNetworkCache::trUtf8$$$
    {1, 1366, 9},	// QAbstractNetworkCache::updateMetaData#
    {1, 1396, 21},	// QAbstractNetworkCache::~QAbstractNetworkCache
    {2, 4, 106},	// QAbstractSocket::AddressInUseError
    {2, 28, 122},	// QAbstractSocket::BoundState
    {2, 46, 124},	// QAbstractSocket::ClosingState
    {2, 50, 121},	// QAbstractSocket::ConnectedState
    {2, 52, 120},	// QAbstractSocket::ConnectingState
    {2, 58, 98},	// QAbstractSocket::ConnectionRefusedError
    {2, 73, 104},	// QAbstractSocket::DatagramTooLargeError
    {2, 99, 119},	// QAbstractSocket::HostLookupState
    {2, 103, 100},	// QAbstractSocket::HostNotFoundError
    {2, 110, 95},	// QAbstractSocket::IPv4Protocol
    {2, 111, 96},	// QAbstractSocket::IPv6Protocol
    {2, 124, 126},	// QAbstractSocket::KeepAliveOption
    {2, 128, 123},	// QAbstractSocket::ListeningState
    {2, 135, 125},	// QAbstractSocket::LowDelayOption
    {2, 140, 128},	// QAbstractSocket::MulticastLoopbackOption
    {2, 141, 127},	// QAbstractSocket::MulticastTtlOption
    {2, 143, 105},	// QAbstractSocket::NetworkError
    {2, 172, 110},	// QAbstractSocket::ProxyAuthenticationRequiredError
    {2, 173, 113},	// QAbstractSocket::ProxyConnectionClosedError
    {2, 174, 112},	// QAbstractSocket::ProxyConnectionRefusedError
    {2, 175, 114},	// QAbstractSocket::ProxyConnectionTimeoutError
    {2, 176, 115},	// QAbstractSocket::ProxyNotFoundError
    {2, 177, 116},	// QAbstractSocket::ProxyProtocolError
    {2, 186, 29},	// QAbstractSocket::QAbstractSocket$#
    {2, 316, 99},	// QAbstractSocket::RemoteHostClosedError
    {2, 336, 101},	// QAbstractSocket::SocketAccessError
    {2, 337, 107},	// QAbstractSocket::SocketAddressNotAvailableError
    {2, 338, 102},	// QAbstractSocket::SocketResourceError
    {2, 339, 103},	// QAbstractSocket::SocketTimeoutError
    {2, 343, 111},	// QAbstractSocket::SslHandshakeFailedError
    {2, 352, 92},	// QAbstractSocket::TcpSocket
    {2, 360, 93},	// QAbstractSocket::UdpSocket
    {2, 369, 118},	// QAbstractSocket::UnconnectedState
    {2, 373, 109},	// QAbstractSocket::UnfinishedSocketOperationError
    {2, 378, 97},	// QAbstractSocket::UnknownNetworkLayerProtocol
    {2, 384, 117},	// QAbstractSocket::UnknownSocketError
    {2, 385, 94},	// QAbstractSocket::UnknownSocketType
    {2, 387, 108},	// QAbstractSocket::UnsupportedSocketOperationError
    {2, 408, 44},	// QAbstractSocket::abort
    {2, 444, 54},	// QAbstractSocket::atEnd
    {2, 462, 34},	// QAbstractSocket::bytesAvailable
    {2, 464, 35},	// QAbstractSocket::bytesToWrite
    {2, 470, 36},	// QAbstractSocket::canReadLine
    {2, 481, 52},	// QAbstractSocket::close
    {2, 500, 83},	// QAbstractSocket::connectToHost#$
    {2, 501, 31},	// QAbstractSocket::connectToHost#$$
    {2, 503, 82},	// QAbstractSocket::connectToHost$$
    {2, 504, 30},	// QAbstractSocket::connectToHost$$$
    {2, 510, 90},	// QAbstractSocket::connectToHostImplementation$$
    {2, 511, 68},	// QAbstractSocket::connectToHostImplementation$$$
    {2, 515, 63},	// QAbstractSocket::connected
    {2, 547, 32},	// QAbstractSocket::disconnectFromHost
    {2, 548, 69},	// QAbstractSocket::disconnectFromHostImplementation
    {2, 552, 64},	// QAbstractSocket::disconnected
    {2, 567, 51},	// QAbstractSocket::error
    {2, 568, 66},	// QAbstractSocket::error$
    {2, 580, 55},	// QAbstractSocket::flush
    {2, 619, 62},	// QAbstractSocket::hostFound
    {2, 656, 53},	// QAbstractSocket::isSequential
    {2, 660, 33},	// QAbstractSocket::isValid
    {2, 687, 38},	// QAbstractSocket::localAddress
    {2, 691, 37},	// QAbstractSocket::localPort
    {2, 705, 22},	// QAbstractSocket::metaObject
    {2, 812, 40},	// QAbstractSocket::peerAddress
    {2, 816, 41},	// QAbstractSocket::peerName
    {2, 817, 39},	// QAbstractSocket::peerPort
    {2, 841, 61},	// QAbstractSocket::proxy
    {2, 843, 67},	// QAbstractSocket::proxyAuthenticationRequired##
    {2, 1017, 28},	// QAbstractSocket::qt_metacall$$?
    {2, 1019, 23},	// QAbstractSocket::qt_metacast$
    {2, 1044, 42},	// QAbstractSocket::readBufferSize
    {2, 1046, 70},	// QAbstractSocket::readData$$
    {2, 1052, 71},	// QAbstractSocket::readLineData$$
    {2, 1174, 76},	// QAbstractSocket::setLocalAddress#
    {2, 1180, 75},	// QAbstractSocket::setLocalPort$
    {2, 1211, 78},	// QAbstractSocket::setPeerAddress#
    {2, 1215, 79},	// QAbstractSocket::setPeerName$
    {2, 1217, 77},	// QAbstractSocket::setPeerPort$
    {2, 1243, 60},	// QAbstractSocket::setProxy#
    {2, 1256, 43},	// QAbstractSocket::setReadBufferSize$
    {2, 1277, 84},	// QAbstractSocket::setSocketDescriptor$
    {2, 1278, 85},	// QAbstractSocket::setSocketDescriptor$$
    {2, 1279, 46},	// QAbstractSocket::setSocketDescriptor$$$
    {2, 1284, 74},	// QAbstractSocket::setSocketError$
    {2, 1286, 47},	// QAbstractSocket::setSocketOption$#
    {2, 1288, 73},	// QAbstractSocket::setSocketState$
    {2, 1319, 45},	// QAbstractSocket::socketDescriptor
    {2, 1321, 48},	// QAbstractSocket::socketOption$
    {2, 1322, 49},	// QAbstractSocket::socketType
    {2, 1329, 50},	// QAbstractSocket::state
    {2, 1331, 65},	// QAbstractSocket::stateChanged$
    {2, 1332, 91},	// QAbstractSocket::staticMetaObject
    {2, 1355, 80},	// QAbstractSocket::tr$
    {2, 1356, 24},	// QAbstractSocket::tr$$
    {2, 1357, 26},	// QAbstractSocket::tr$$$
    {2, 1359, 81},	// QAbstractSocket::trUtf8$
    {2, 1360, 25},	// QAbstractSocket::trUtf8$$
    {2, 1361, 27},	// QAbstractSocket::trUtf8$$$
    {2, 1376, 88},	// QAbstractSocket::waitForBytesWritten
    {2, 1377, 58},	// QAbstractSocket::waitForBytesWritten$
    {2, 1378, 86},	// QAbstractSocket::waitForConnected
    {2, 1379, 56},	// QAbstractSocket::waitForConnected$
    {2, 1380, 89},	// QAbstractSocket::waitForDisconnected
    {2, 1381, 59},	// QAbstractSocket::waitForDisconnected$
    {2, 1389, 87},	// QAbstractSocket::waitForReadyRead
    {2, 1390, 57},	// QAbstractSocket::waitForReadyRead$
    {2, 1392, 72},	// QAbstractSocket::writeData$$
    {2, 1397, 129},	// QAbstractSocket::~QAbstractSocket
    {3, 187, 130},	// QAuthenticator::QAuthenticator
    {3, 188, 131},	// QAuthenticator::QAuthenticator#
    {3, 544, 144},	// QAuthenticator::detach
    {3, 649, 143},	// QAuthenticator::isNull
    {3, 731, 134},	// QAuthenticator::operator!=#
    {3, 767, 132},	// QAuthenticator::operator=#
    {3, 770, 133},	// QAuthenticator::operator==#
    {3, 798, 140},	// QAuthenticator::option$
    {3, 799, 141},	// QAuthenticator::options
    {3, 810, 137},	// QAuthenticator::password
    {3, 1055, 139},	// QAuthenticator::realm
    {3, 1201, 142},	// QAuthenticator::setOption$#
    {3, 1207, 138},	// QAuthenticator::setPassword$
    {3, 1307, 136},	// QAuthenticator::setUser$
    {3, 1371, 135},	// QAuthenticator::user
    {3, 1398, 145},	// QAuthenticator::~QAuthenticator
    {16, 3, 227},	// QFtp::Active
    {16, 12, 230},	// QFtp::Ascii
    {16, 27, 229},	// QFtp::Binary
    {16, 36, 219},	// QFtp::Cd
    {16, 44, 217},	// QFtp::Close
    {16, 45, 206},	// QFtp::Closing
    {16, 48, 215},	// QFtp::ConnectToHost
    {16, 49, 204},	// QFtp::Connected
    {16, 51, 203},	// QFtp::Connecting
    {16, 57, 210},	// QFtp::ConnectionRefused
    {16, 94, 220},	// QFtp::Get
    {16, 98, 202},	// QFtp::HostLookup
    {16, 102, 209},	// QFtp::HostNotFound
    {16, 126, 218},	// QFtp::List
    {16, 133, 205},	// QFtp::LoggedIn
    {16, 134, 216},	// QFtp::Login
    {16, 139, 223},	// QFtp::Mkdir
    {16, 145, 207},	// QFtp::NoError
    {16, 149, 212},	// QFtp::None
    {16, 153, 211},	// QFtp::NotConnected
    {16, 160, 228},	// QFtp::Passive
    {16, 181, 221},	// QFtp::Put
    {16, 189, 191},	// QFtp::QFtp
    {16, 190, 153},	// QFtp::QFtp#
    {16, 308, 226},	// QFtp::RawCommand
    {16, 317, 222},	// QFtp::Remove
    {16, 318, 225},	// QFtp::Rename
    {16, 320, 224},	// QFtp::Rmdir
    {16, 333, 214},	// QFtp::SetProxy
    {16, 334, 213},	// QFtp::SetTransferMode
    {16, 368, 201},	// QFtp::Unconnected
    {16, 376, 208},	// QFtp::UnknownError
    {16, 408, 180},	// QFtp::abort
    {16, 462, 169},	// QFtp::bytesAvailable
    {16, 473, 160},	// QFtp::cd$
    {16, 479, 176},	// QFtp::clearPendingCommands
    {16, 481, 157},	// QFtp::close
    {16, 485, 187},	// QFtp::commandFinished$$
    {16, 487, 186},	// QFtp::commandStarted$
    {16, 502, 192},	// QFtp::connectToHost$
    {16, 503, 155},	// QFtp::connectToHost$$
    {16, 524, 174},	// QFtp::currentCommand
    {16, 526, 173},	// QFtp::currentDevice
    {16, 527, 172},	// QFtp::currentId
    {16, 538, 184},	// QFtp::dataTransferProgress$$
    {16, 555, 188},	// QFtp::done$
    {16, 567, 178},	// QFtp::error
    {16, 569, 179},	// QFtp::errorString
    {16, 596, 196},	// QFtp::get$
    {16, 597, 197},	// QFtp::get$#
    {16, 598, 161},	// QFtp::get$#$
    {16, 608, 175},	// QFtp::hasPendingCommands
    {16, 679, 195},	// QFtp::list
    {16, 680, 159},	// QFtp::list$
    {16, 682, 182},	// QFtp::listInfo#
    {16, 692, 193},	// QFtp::login
    {16, 693, 194},	// QFtp::login$
    {16, 694, 156},	// QFtp::login$$
    {16, 705, 146},	// QFtp::metaObject
    {16, 710, 165},	// QFtp::mkdir$
    {16, 851, -25},	// QFtp::put#$
    {16, 852, -28},	// QFtp::put#$$
    {16, 1017, 152},	// QFtp::qt_metacall$$?
    {16, 1019, 147},	// QFtp::qt_metacast$
    {16, 1033, 168},	// QFtp::rawCommand$
    {16, 1035, 185},	// QFtp::rawCommandReply$$
    {16, 1042, 170},	// QFtp::read$$
    {16, 1043, 171},	// QFtp::readAll
    {16, 1053, 183},	// QFtp::readyRead
    {16, 1060, 164},	// QFtp::remove$
    {16, 1068, 167},	// QFtp::rename$$
    {16, 1081, 166},	// QFtp::rmdir$
    {16, 1244, 154},	// QFtp::setProxy$$
    {16, 1299, 158},	// QFtp::setTransferMode$
    {16, 1329, 177},	// QFtp::state
    {16, 1331, 181},	// QFtp::stateChanged$
    {16, 1332, 200},	// QFtp::staticMetaObject
    {16, 1355, 189},	// QFtp::tr$
    {16, 1356, 148},	// QFtp::tr$$
    {16, 1357, 150},	// QFtp::tr$$$
    {16, 1359, 190},	// QFtp::trUtf8$
    {16, 1360, 149},	// QFtp::trUtf8$$
    {16, 1361, 151},	// QFtp::trUtf8$$$
    {16, 1399, 231},	// QFtp::~QFtp
    {17, 302, 682},	// QGlobalSpace::QtCriticalMsg
    {17, 303, 680},	// QGlobalSpace::QtDebugMsg
    {17, 304, 683},	// QGlobalSpace::QtFatalMsg
    {17, 305, 684},	// QGlobalSpace::QtSystemMsg
    {17, 306, 681},	// QGlobalSpace::QtWarningMsg
    {17, 399, 675},	// QGlobalSpace::_IEEE_
    {17, 400, 679},	// QGlobalSpace::_ISOC_
    {17, 401, 678},	// QGlobalSpace::_POSIX_
    {17, 402, 676},	// QGlobalSpace::_SVID_
    {17, 403, 677},	// QGlobalSpace::_XOPEN_
    {17, 404, 687},	// QGlobalSpace::__codecvt_error
    {17, 405, 688},	// QGlobalSpace::__codecvt_noconv
    {17, 406, 685},	// QGlobalSpace::__codecvt_ok
    {17, 407, 686},	// QGlobalSpace::__codecvt_partial
    {17, 732, -49},	// QGlobalSpace::operator!=##
    {17, 733, -66},	// QGlobalSpace::operator!=#$
    {17, 735, -72},	// QGlobalSpace::operator!=$#
    {17, 736, 456},	// QGlobalSpace::operator!=$$
    {17, 738, 232},	// QGlobalSpace::operator&##
    {17, 740, -79},	// QGlobalSpace::operator*#$
    {17, 741, -86},	// QGlobalSpace::operator*$#
    {17, 743, -93},	// QGlobalSpace::operator+##
    {17, 744, -99},	// QGlobalSpace::operator+#$
    {17, 745, -104},	// QGlobalSpace::operator+$#
    {17, 746, -109},	// QGlobalSpace::operator+$$
    {17, 748, -115},	// QGlobalSpace::operator-#
    {17, 749, -118},	// QGlobalSpace::operator-##
    {17, 751, -123},	// QGlobalSpace::operator/#$
    {17, 753, -128},	// QGlobalSpace::operator<##
    {17, 754, 308},	// QGlobalSpace::operator<#$
    {17, 755, -133},	// QGlobalSpace::operator<$#
    {17, 756, 455},	// QGlobalSpace::operator<$$
    {17, 758, -136},	// QGlobalSpace::operator<<##
    {17, 759, -187},	// QGlobalSpace::operator<<#$
    {17, 760, 298},	// QGlobalSpace::operator<<#?
    {17, 762, -199},	// QGlobalSpace::operator<=##
    {17, 763, 416},	// QGlobalSpace::operator<=#$
    {17, 764, -204},	// QGlobalSpace::operator<=$#
    {17, 765, 335},	// QGlobalSpace::operator<=$$
    {17, 771, -207},	// QGlobalSpace::operator==##
    {17, 772, -225},	// QGlobalSpace::operator==#$
    {17, 774, -231},	// QGlobalSpace::operator==$#
    {17, 775, 621},	// QGlobalSpace::operator==$$
    {17, 777, -239},	// QGlobalSpace::operator>##
    {17, 778, 573},	// QGlobalSpace::operator>#$
    {17, 779, -244},	// QGlobalSpace::operator>$#
    {17, 780, 571},	// QGlobalSpace::operator>$$
    {17, 782, -247},	// QGlobalSpace::operator>=##
    {17, 783, 508},	// QGlobalSpace::operator>=#$
    {17, 784, -252},	// QGlobalSpace::operator>=$#
    {17, 785, 631},	// QGlobalSpace::operator>=$$
    {17, 787, -255},	// QGlobalSpace::operator>>##
    {17, 788, -279},	// QGlobalSpace::operator>>#$
    {17, 789, 550},	// QGlobalSpace::operator>>#?
    {17, 793, 425},	// QGlobalSpace::operator^##
    {17, 795, 465},	// QGlobalSpace::operator|##
    {17, 796, -282},	// QGlobalSpace::operator|$$
    {17, 854, 437},	// QGlobalSpace::qAcos$
    {17, 856, 409},	// QGlobalSpace::qAddPostRoutine$
    {17, 857, 393},	// QGlobalSpace::qAppName
    {17, 859, 525},	// QGlobalSpace::qAsin$
    {17, 861, 288},	// QGlobalSpace::qAtan$
    {17, 863, 401},	// QGlobalSpace::qAtan2$$
    {17, 864, 664},	// QGlobalSpace::qBadAlloc
    {17, 866, 265},	// QGlobalSpace::qCeil$
    {17, 868, 426},	// QGlobalSpace::qChecksum$$
    {17, 870, 406},	// QGlobalSpace::qCompress#
    {17, 871, 405},	// QGlobalSpace::qCompress#$
    {17, 872, 589},	// QGlobalSpace::qCompress$$
    {17, 873, 588},	// QGlobalSpace::qCompress$$$
    {17, 875, 299},	// QGlobalSpace::qCos$
    {17, 876, 233},	// QGlobalSpace::qCritical
    {17, 877, 595},	// QGlobalSpace::qDebug
    {17, 879, 413},	// QGlobalSpace::qExp$
    {17, 881, 251},	// QGlobalSpace::qFabs$
    {17, 883, 623},	// QGlobalSpace::qFastCos$
    {17, 885, 652},	// QGlobalSpace::qFastSin$
    {17, 887, 506},	// QGlobalSpace::qFlagLocation$
    {17, 889, 491},	// QGlobalSpace::qFloor$
    {17, 891, 577},	// QGlobalSpace::qFree$
    {17, 893, 372},	// QGlobalSpace::qFreeAligned$
    {17, 895, -382},	// QGlobalSpace::qFuzzyCompare$$
    {17, 897, -385},	// QGlobalSpace::qFuzzyIsNull$
    {17, 899, -388},	// QGlobalSpace::qHash#
    {17, 900, -397},	// QGlobalSpace::qHash$
    {17, 901, 513},	// QGlobalSpace::qInf
    {17, 903, 359},	// QGlobalSpace::qInstallMsgHandler$
    {17, 905, -410},	// QGlobalSpace::qIntCast$
    {17, 907, -413},	// QGlobalSpace::qIsFinite$
    {17, 909, -416},	// QGlobalSpace::qIsInf$
    {17, 911, -419},	// QGlobalSpace::qIsNaN$
    {17, 913, -422},	// QGlobalSpace::qIsNull$
    {17, 915, 549},	// QGlobalSpace::qLn$
    {17, 917, 669},	// QGlobalSpace::qMalloc$
    {17, 919, 585},	// QGlobalSpace::qMallocAligned$$
    {17, 921, 507},	// QGlobalSpace::qMemCopy$$$
    {17, 923, 400},	// QGlobalSpace::qMemSet$$$
    {17, 925, 608},	// QGlobalSpace::qPow$$
    {17, 926, 254},	// QGlobalSpace::qQNaN
    {17, 928, 451},	// QGlobalSpace::qRealloc$$
    {17, 930, 383},	// QGlobalSpace::qReallocAligned$$$$
    {17, 932, 292},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {17, 934, 504},	// QGlobalSpace::qRemovePostRoutine$
    {17, 936, 460},	// QGlobalSpace::qRound$
    {17, 938, 582},	// QGlobalSpace::qRound64$
    {17, 939, 643},	// QGlobalSpace::qSNaN
    {17, 941, 538},	// QGlobalSpace::qSetFieldWidth$
    {17, 943, 354},	// QGlobalSpace::qSetPadChar#
    {17, 945, 522},	// QGlobalSpace::qSetRealNumberPrecision$
    {17, 946, 357},	// QGlobalSpace::qSharedBuild
    {17, 948, 524},	// QGlobalSpace::qSin$
    {17, 950, 483},	// QGlobalSpace::qSqrt$
    {17, 952, 380},	// QGlobalSpace::qStringComparisonHelper#$
    {17, 953, 613},	// QGlobalSpace::qStringComparisonHelper$$
    {17, 955, 598},	// QGlobalSpace::qTan$
    {17, 957, 518},	// QGlobalSpace::qUncompress#
    {17, 958, 647},	// QGlobalSpace::qUncompress$$
    {17, 959, 257},	// QGlobalSpace::qVersion
    {17, 960, 311},	// QGlobalSpace::qWarning
    {17, 962, 287},	// QGlobalSpace::qbswap_helper$$$
    {17, 964, 648},	// QGlobalSpace::qecvt$$$$
    {17, 966, 445},	// QGlobalSpace::qecvt_r$$$$$$
    {17, 968, 594},	// QGlobalSpace::qfcvt$$$$
    {17, 970, 633},	// QGlobalSpace::qfcvt_r$$$$$$
    {17, 972, 527},	// QGlobalSpace::qgcvt$$$
    {17, 974, 432},	// QGlobalSpace::qgetenv$
    {17, 976, 377},	// QGlobalSpace::qputenv$#
    {17, 977, 266},	// QGlobalSpace::qrand
    {17, 979, 453},	// QGlobalSpace::qsort$$$$
    {17, 981, 301},	// QGlobalSpace::qsrand$
    {17, 983, 352},	// QGlobalSpace::qstrcmp##
    {17, 984, 355},	// QGlobalSpace::qstrcmp#$
    {17, 985, 597},	// QGlobalSpace::qstrcmp$#
    {17, 986, 484},	// QGlobalSpace::qstrcmp$$
    {17, 988, 248},	// QGlobalSpace::qstrcpy$$
    {17, 990, 592},	// QGlobalSpace::qstrdup$
    {17, 992, 526},	// QGlobalSpace::qstricmp$$
    {17, 994, 551},	// QGlobalSpace::qstrlen$
    {17, 996, 381},	// QGlobalSpace::qstrncmp$$$
    {17, 998, 442},	// QGlobalSpace::qstrncpy$$$
    {17, 1000, 343},	// QGlobalSpace::qstrnicmp$$$
    {17, 1002, 489},	// QGlobalSpace::qstrnlen$$
    {17, 1004, 660},	// QGlobalSpace::qtTrId$
    {17, 1005, 659},	// QGlobalSpace::qtTrId$$
    {17, 1007, 236},	// QGlobalSpace::qt_assert$$$
    {17, 1009, 454},	// QGlobalSpace::qt_assert_x$$$$
    {17, 1011, 347},	// QGlobalSpace::qt_check_pointer$$
    {17, 1012, 448},	// QGlobalSpace::qt_error_string
    {17, 1013, 447},	// QGlobalSpace::qt_error_string$
    {17, 1015, 619},	// QGlobalSpace::qt_message_output$$
    {17, 1020, 535},	// QGlobalSpace::qt_noop
    {17, 1022, 361},	// QGlobalSpace::qt_qFindChild_helper#$#
    {17, 1024, 569},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {17, 1029, 289},	// QGlobalSpace::qvariant_cast_helper#$$
    {17, 1031, 532},	// QGlobalSpace::qvsnprintf$$$?
    {19, 7, 723},	// QHostAddress::Any
    {19, 8, 724},	// QHostAddress::AnyIPv6
    {19, 29, 720},	// QHostAddress::Broadcast
    {19, 129, 721},	// QHostAddress::LocalHost
    {19, 130, 722},	// QHostAddress::LocalHostIPv6
    {19, 155, 719},	// QHostAddress::Null
    {19, 191, 689},	// QHostAddress::QHostAddress
    {19, 192, -425},	// QHostAddress::QHostAddress#
    {19, 193, -429},	// QHostAddress::QHostAddress$
    {19, 478, 715},	// QHostAddress::clear
    {19, 646, 716},	// QHostAddress::isInSubnet#$
    {19, 647, 717},	// QHostAddress::isInSubnet?
    {19, 649, 714},	// QHostAddress::isNull
    {19, 731, 712},	// QHostAddress::operator!=#
    {19, 734, 713},	// QHostAddress::operator!=$
    {19, 767, 697},	// QHostAddress::operator=#
    {19, 768, 698},	// QHostAddress::operator=$
    {19, 770, 710},	// QHostAddress::operator==#
    {19, 773, 711},	// QHostAddress::operator==$
    {19, 809, 718},	// QHostAddress::parseSubnet$
    {19, 838, 704},	// QHostAddress::protocol
    {19, 1083, 708},	// QHostAddress::scopeId
    {19, 1097, -434},	// QHostAddress::setAddress#
    {19, 1098, -437},	// QHostAddress::setAddress$
    {19, 1267, 709},	// QHostAddress::setScopeId$
    {19, 1347, 705},	// QHostAddress::toIPv4Address
    {19, 1348, 706},	// QHostAddress::toIPv6Address
    {19, 1353, 707},	// QHostAddress::toString
    {19, 1400, 725},	// QHostAddress::~QHostAddress
    {20, 102, 746},	// QHostInfo::HostNotFound
    {20, 145, 745},	// QHostInfo::NoError
    {20, 194, 744},	// QHostInfo::QHostInfo
    {20, 195, 727},	// QHostInfo::QHostInfo#
    {20, 196, 726},	// QHostInfo::QHostInfo$
    {20, 376, 747},	// QHostInfo::UnknownError
    {20, 410, 740},	// QHostInfo::abortHostLookup$
    {20, 433, 731},	// QHostInfo::addresses
    {20, 567, 733},	// QHostInfo::error
    {20, 569, 735},	// QHostInfo::errorString
    {20, 588, 741},	// QHostInfo::fromName$
    {20, 620, 729},	// QHostInfo::hostName
    {20, 689, 743},	// QHostInfo::localDomainName
    {20, 690, 742},	// QHostInfo::localHostName
    {20, 696, 739},	// QHostInfo::lookupHost$#$
    {20, 697, 738},	// QHostInfo::lookupId
    {20, 767, 728},	// QHostInfo::operator=#
    {20, 1100, 732},	// QHostInfo::setAddresses?
    {20, 1145, 734},	// QHostInfo::setError$
    {20, 1148, 736},	// QHostInfo::setErrorString$
    {20, 1164, 730},	// QHostInfo::setHostName$
    {20, 1182, 737},	// QHostInfo::setLookupId$
    {20, 1401, 748},	// QHostInfo::~QHostInfo
    {21, 1, 834},	// QHttp::Aborted
    {21, 13, 835},	// QHttp::AuthenticationRequiredError
    {21, 45, 826},	// QHttp::Closing
    {21, 49, 825},	// QHttp::Connected
    {21, 51, 822},	// QHttp::Connecting
    {21, 55, 818},	// QHttp::ConnectionModeHttp
    {21, 56, 819},	// QHttp::ConnectionModeHttps
    {21, 57, 830},	// QHttp::ConnectionRefused
    {21, 98, 821},	// QHttp::HostLookup
    {21, 102, 829},	// QHttp::HostNotFound
    {21, 119, 832},	// QHttp::InvalidResponseHeader
    {21, 145, 827},	// QHttp::NoError
    {21, 172, 836},	// QHttp::ProxyAuthenticationRequiredError
    {21, 197, 801},	// QHttp::QHttp
    {21, 198, 756},	// QHttp::QHttp#
    {21, 199, 802},	// QHttp::QHttp$
    {21, 200, -441},	// QHttp::QHttp$$
    {21, 201, 757},	// QHttp::QHttp$$#
    {21, 202, 805},	// QHttp::QHttp$$$
    {21, 203, 758},	// QHttp::QHttp$$$#
    {21, 314, 824},	// QHttp::Reading
    {21, 327, 823},	// QHttp::Sending
    {21, 368, 820},	// QHttp::Unconnected
    {21, 372, 831},	// QHttp::UnexpectedClose
    {21, 376, 828},	// QHttp::UnknownError
    {21, 398, 833},	// QHttp::WrongContentLength
    {21, 408, 786},	// QHttp::abort
    {21, 452, 797},	// QHttp::authenticationRequired$$#
    {21, 462, 773},	// QHttp::bytesAvailable
    {21, 480, 782},	// QHttp::clearPendingRequests
    {21, 481, 772},	// QHttp::close
    {21, 482, 771},	// QHttp::closeConnection
    {21, 525, 778},	// QHttp::currentDestinationDevice
    {21, 527, 776},	// QHttp::currentId
    {21, 528, 779},	// QHttp::currentRequest
    {21, 529, 777},	// QHttp::currentSourceDevice
    {21, 534, 792},	// QHttp::dataReadProgress$$
    {21, 536, 791},	// QHttp::dataSendProgress$$
    {21, 555, 795},	// QHttp::done$
    {21, 567, 784},	// QHttp::error
    {21, 569, 785},	// QHttp::errorString
    {21, 596, 811},	// QHttp::get$
    {21, 597, 765},	// QHttp::get$#
    {21, 611, 781},	// QHttp::hasPendingRequests
    {21, 616, 768},	// QHttp::head$
    {21, 624, 787},	// QHttp::ignoreSslErrors
    {21, 672, 780},	// QHttp::lastResponse
    {21, 705, 749},	// QHttp::metaObject
    {21, 829, -444},	// QHttp::post$#
    {21, 830, -447},	// QHttp::post$##
    {21, 843, 796},	// QHttp::proxyAuthenticationRequired##
    {21, 1017, 755},	// QHttp::qt_metacall$$?
    {21, 1019, 750},	// QHttp::qt_metacast$
    {21, 1042, 774},	// QHttp::read$$
    {21, 1043, 775},	// QHttp::readAll
    {21, 1054, 790},	// QHttp::readyRead#
    {21, 1070, 814},	// QHttp::request#
    {21, 1071, -450},	// QHttp::request##
    {21, 1072, -453},	// QHttp::request###
    {21, 1074, 794},	// QHttp::requestFinished$$
    {21, 1076, 793},	// QHttp::requestStarted$
    {21, 1079, 789},	// QHttp::responseHeaderReceived#
    {21, 1160, 806},	// QHttp::setHost$
    {21, 1161, -456},	// QHttp::setHost$$
    {21, 1162, 760},	// QHttp::setHost$$$
    {21, 1243, 764},	// QHttp::setProxy#
    {21, 1244, 809},	// QHttp::setProxy$$
    {21, 1245, 810},	// QHttp::setProxy$$$
    {21, 1246, 763},	// QHttp::setProxy$$$$
    {21, 1275, 761},	// QHttp::setSocket#
    {21, 1307, 808},	// QHttp::setUser$
    {21, 1308, 762},	// QHttp::setUser$$
    {21, 1326, 798},	// QHttp::sslErrors?
    {21, 1329, 783},	// QHttp::state
    {21, 1331, 788},	// QHttp::stateChanged$
    {21, 1332, 817},	// QHttp::staticMetaObject
    {21, 1355, 799},	// QHttp::tr$
    {21, 1356, 751},	// QHttp::tr$$
    {21, 1357, 753},	// QHttp::tr$$$
    {21, 1359, 800},	// QHttp::trUtf8$
    {21, 1360, 752},	// QHttp::trUtf8$$
    {21, 1361, 754},	// QHttp::trUtf8$$$
    {21, 1402, 837},	// QHttp::~QHttp
    {22, 204, 838},	// QHttpHeader::QHttpHeader
    {22, 205, 839},	// QHttpHeader::QHttpHeader#
    {22, 206, 840},	// QHttpHeader::QHttpHeader$
    {22, 431, 844},	// QHttpHeader::addValue$$
    {22, 441, 849},	// QHttpHeader::allValues$
    {22, 516, 853},	// QHttpHeader::contentLength
    {22, 517, 856},	// QHttpHeader::contentType
    {22, 604, 852},	// QHttpHeader::hasContentLength
    {22, 605, 855},	// QHttpHeader::hasContentType
    {22, 607, 846},	// QHttpHeader::hasKey$
    {22, 660, 859},	// QHttpHeader::isValid
    {22, 669, 847},	// QHttpHeader::keys
    {22, 698, 860},	// QHttpHeader::majorVersion
    {22, 708, 861},	// QHttpHeader::minorVersion
    {22, 767, 841},	// QHttpHeader::operator=#
    {22, 803, 863},	// QHttpHeader::parse$
    {22, 807, 862},	// QHttpHeader::parseLine$$
    {22, 1062, 851},	// QHttpHeader::removeAllValues$
    {22, 1066, 850},	// QHttpHeader::removeValue$
    {22, 1127, 854},	// QHttpHeader::setContentLength$
    {22, 1129, 857},	// QHttpHeader::setContentType$
    {22, 1310, 864},	// QHttpHeader::setValid$
    {22, 1313, 842},	// QHttpHeader::setValue$$
    {22, 1315, 843},	// QHttpHeader::setValues?
    {22, 1353, 858},	// QHttpHeader::toString
    {22, 1373, 848},	// QHttpHeader::value$
    {22, 1374, 845},	// QHttpHeader::values
    {22, 1403, 865},	// QHttpHeader::~QHttpHeader
    {24, 207, 866},	// QHttpRequestHeader::QHttpRequestHeader
    {24, 208, 868},	// QHttpRequestHeader::QHttpRequestHeader#
    {24, 209, 869},	// QHttpRequestHeader::QHttpRequestHeader$
    {24, 210, 878},	// QHttpRequestHeader::QHttpRequestHeader$$
    {24, 211, 879},	// QHttpRequestHeader::QHttpRequestHeader$$$
    {24, 212, 867},	// QHttpRequestHeader::QHttpRequestHeader$$$$
    {24, 698, 874},	// QHttpRequestHeader::majorVersion
    {24, 706, 872},	// QHttpRequestHeader::method
    {24, 708, 875},	// QHttpRequestHeader::minorVersion
    {24, 767, 870},	// QHttpRequestHeader::operator=#
    {24, 807, 877},	// QHttpRequestHeader::parseLine$$
    {24, 811, 873},	// QHttpRequestHeader::path
    {24, 1261, 880},	// QHttpRequestHeader::setRequest$$
    {24, 1262, 881},	// QHttpRequestHeader::setRequest$$$
    {24, 1263, 871},	// QHttpRequestHeader::setRequest$$$$
    {24, 1353, 876},	// QHttpRequestHeader::toString
    {24, 1404, 882},	// QHttpRequestHeader::~QHttpRequestHeader
    {25, 213, 883},	// QHttpResponseHeader::QHttpResponseHeader
    {25, 214, 884},	// QHttpResponseHeader::QHttpResponseHeader#
    {25, 215, -31},	// QHttpResponseHeader::QHttpResponseHeader$
    {25, 216, 896},	// QHttpResponseHeader::QHttpResponseHeader$$
    {25, 217, 897},	// QHttpResponseHeader::QHttpResponseHeader$$$
    {25, 218, 886},	// QHttpResponseHeader::QHttpResponseHeader$$$$
    {25, 698, 891},	// QHttpResponseHeader::majorVersion
    {25, 708, 892},	// QHttpResponseHeader::minorVersion
    {25, 767, 887},	// QHttpResponseHeader::operator=#
    {25, 807, 894},	// QHttpResponseHeader::parseLine$$
    {25, 1056, 890},	// QHttpResponseHeader::reasonPhrase
    {25, 1292, 898},	// QHttpResponseHeader::setStatusLine$
    {25, 1293, 899},	// QHttpResponseHeader::setStatusLine$$
    {25, 1294, 900},	// QHttpResponseHeader::setStatusLine$$$
    {25, 1295, 888},	// QHttpResponseHeader::setStatusLine$$$$
    {25, 1333, 889},	// QHttpResponseHeader::statusCode
    {25, 1353, 893},	// QHttpResponseHeader::toString
    {25, 1405, 901},	// QHttpResponseHeader::~QHttpResponseHeader
    {27, 219, 925},	// QIPv6Address::QIPv6Address
    {27, 220, 926},	// QIPv6Address::QIPv6Address#
    {27, 791, -22},	// QIPv6Address::operator[]$
    {27, 1406, 927},	// QIPv6Address::~QIPv6Address
    {32, 221, 953},	// QLocalServer::QLocalServer
    {32, 222, 936},	// QLocalServer::QLocalServer#
    {32, 481, 937},	// QLocalServer::close
    {32, 569, 938},	// QLocalServer::errorString
    {32, 593, 945},	// QLocalServer::fullServerName
    {32, 609, 939},	// QLocalServer::hasPendingConnections
    {32, 628, 950},	// QLocalServer::incomingConnection?
    {32, 648, 940},	// QLocalServer::isListening
    {32, 686, 941},	// QLocalServer::listen$
    {32, 700, 942},	// QLocalServer::maxPendingConnections
    {32, 705, 928},	// QLocalServer::metaObject
    {32, 723, 935},	// QLocalServer::newConnection
    {32, 724, 943},	// QLocalServer::nextPendingConnection
    {32, 1017, 934},	// QLocalServer::qt_metacall$$?
    {32, 1019, 929},	// QLocalServer::qt_metacast$
    {32, 1064, 946},	// QLocalServer::removeServer$
    {32, 1090, 947},	// QLocalServer::serverError
    {32, 1091, 944},	// QLocalServer::serverName
    {32, 1184, 948},	// QLocalServer::setMaxPendingConnections$
    {32, 1332, 956},	// QLocalServer::staticMetaObject
    {32, 1355, 951},	// QLocalServer::tr$
    {32, 1356, 930},	// QLocalServer::tr$$
    {32, 1357, 932},	// QLocalServer::tr$$$
    {32, 1359, 952},	// QLocalServer::trUtf8$
    {32, 1360, 931},	// QLocalServer::trUtf8$$
    {32, 1361, 933},	// QLocalServer::trUtf8$$$
    {32, 1384, 954},	// QLocalServer::waitForNewConnection
    {32, 1385, 955},	// QLocalServer::waitForNewConnection$
    {32, 1386, 949},	// QLocalServer::waitForNewConnection$$
    {32, 1407, 957},	// QLocalServer::~QLocalServer
    {33, 46, 1018},	// QLocalSocket::ClosingState
    {33, 50, 1017},	// QLocalSocket::ConnectedState
    {33, 52, 1016},	// QLocalSocket::ConnectingState
    {33, 54, 1012},	// QLocalSocket::ConnectionError
    {33, 58, 1005},	// QLocalSocket::ConnectionRefusedError
    {33, 73, 1011},	// QLocalSocket::DatagramTooLargeError
    {33, 162, 1006},	// QLocalSocket::PeerClosedError
    {33, 223, 996},	// QLocalSocket::QLocalSocket
    {33, 224, 965},	// QLocalSocket::QLocalSocket#
    {33, 328, 1007},	// QLocalSocket::ServerNotFoundError
    {33, 336, 1008},	// QLocalSocket::SocketAccessError
    {33, 338, 1009},	// QLocalSocket::SocketResourceError
    {33, 339, 1010},	// QLocalSocket::SocketTimeoutError
    {33, 369, 1015},	// QLocalSocket::UnconnectedState
    {33, 384, 1014},	// QLocalSocket::UnknownSocketError
    {33, 387, 1013},	// QLocalSocket::UnsupportedSocketOperationError
    {33, 408, 970},	// QLocalSocket::abort
    {33, 462, 972},	// QLocalSocket::bytesAvailable
    {33, 464, 973},	// QLocalSocket::bytesToWrite
    {33, 470, 974},	// QLocalSocket::canReadLine
    {33, 481, 975},	// QLocalSocket::close
    {33, 513, 997},	// QLocalSocket::connectToServer$
    {33, 514, 966},	// QLocalSocket::connectToServer$$
    {33, 515, 988},	// QLocalSocket::connected
    {33, 549, 967},	// QLocalSocket::disconnectFromServer
    {33, 552, 989},	// QLocalSocket::disconnected
    {33, 567, 976},	// QLocalSocket::error
    {33, 568, 990},	// QLocalSocket::error$
    {33, 580, 977},	// QLocalSocket::flush
    {33, 593, 969},	// QLocalSocket::fullServerName
    {33, 656, 971},	// QLocalSocket::isSequential
    {33, 660, 978},	// QLocalSocket::isValid
    {33, 705, 958},	// QLocalSocket::metaObject
    {33, 1017, 964},	// QLocalSocket::qt_metacall$$?
    {33, 1019, 959},	// QLocalSocket::qt_metacast$
    {33, 1044, 979},	// QLocalSocket::readBufferSize
    {33, 1046, 992},	// QLocalSocket::readData$$
    {33, 1091, 968},	// QLocalSocket::serverName
    {33, 1256, 980},	// QLocalSocket::setReadBufferSize$
    {33, 1280, 998},	// QLocalSocket::setSocketDescriptor?
    {33, 1281, 999},	// QLocalSocket::setSocketDescriptor?$
    {33, 1282, 981},	// QLocalSocket::setSocketDescriptor?$$
    {33, 1319, 982},	// QLocalSocket::socketDescriptor
    {33, 1329, 983},	// QLocalSocket::state
    {33, 1331, 991},	// QLocalSocket::stateChanged$
    {33, 1332, 1004},	// QLocalSocket::staticMetaObject
    {33, 1355, 994},	// QLocalSocket::tr$
    {33, 1356, 960},	// QLocalSocket::tr$$
    {33, 1357, 962},	// QLocalSocket::tr$$$
    {33, 1359, 995},	// QLocalSocket::trUtf8$
    {33, 1360, 961},	// QLocalSocket::trUtf8$$
    {33, 1361, 963},	// QLocalSocket::trUtf8$$$
    {33, 1376, 1000},	// QLocalSocket::waitForBytesWritten
    {33, 1377, 984},	// QLocalSocket::waitForBytesWritten$
    {33, 1378, 1001},	// QLocalSocket::waitForConnected
    {33, 1379, 985},	// QLocalSocket::waitForConnected$
    {33, 1380, 1002},	// QLocalSocket::waitForDisconnected
    {33, 1381, 986},	// QLocalSocket::waitForDisconnected$
    {33, 1389, 1003},	// QLocalSocket::waitForReadyRead
    {33, 1390, 987},	// QLocalSocket::waitForReadyRead$
    {33, 1392, 993},	// QLocalSocket::writeData$$
    {33, 1408, 1019},	// QLocalSocket::~QLocalSocket
    {38, 2, 1073},	// QNetworkAccessManager::Accessible
    {38, 70, 1069},	// QNetworkAccessManager::CustomOperation
    {38, 77, 1068},	// QNetworkAccessManager::DeleteOperation
    {38, 95, 1065},	// QNetworkAccessManager::GetOperation
    {38, 96, 1064},	// QNetworkAccessManager::HeadOperation
    {38, 151, 1072},	// QNetworkAccessManager::NotAccessible
    {38, 164, 1067},	// QNetworkAccessManager::PostOperation
    {38, 182, 1066},	// QNetworkAccessManager::PutOperation
    {38, 225, 1060},	// QNetworkAccessManager::QNetworkAccessManager
    {38, 226, 1027},	// QNetworkAccessManager::QNetworkAccessManager#
    {38, 374, 1071},	// QNetworkAccessManager::UnknownAccessibility
    {38, 379, 1070},	// QNetworkAccessManager::UnknownOperation
    {38, 412, 1048},	// QNetworkAccessManager::activeConfiguration
    {38, 451, 1052},	// QNetworkAccessManager::authenticationRequired##
    {38, 467, 1032},	// QNetworkAccessManager::cache
    {38, 488, 1047},	// QNetworkAccessManager::configuration
    {38, 518, 1034},	// QNetworkAccessManager::cookieJar
    {38, 522, 1062},	// QNetworkAccessManager::createRequest$#
    {38, 523, 1057},	// QNetworkAccessManager::createRequest$##
    {38, 543, 1044},	// QNetworkAccessManager::deleteResource#
    {38, 578, 1053},	// QNetworkAccessManager::finished#
    {38, 595, 1037},	// QNetworkAccessManager::get#
    {38, 615, 1036},	// QNetworkAccessManager::head#
    {38, 705, 1020},	// QNetworkAccessManager::metaObject
    {38, 717, 1050},	// QNetworkAccessManager::networkAccessible
    {38, 719, 1056},	// QNetworkAccessManager::networkAccessibleChanged$
    {38, 721, 1055},	// QNetworkAccessManager::networkSessionConnected
    {38, 828, -1},	// QNetworkAccessManager::post##
    {38, 841, 1028},	// QNetworkAccessManager::proxy
    {38, 843, 1051},	// QNetworkAccessManager::proxyAuthenticationRequired##
    {38, 844, 1030},	// QNetworkAccessManager::proxyFactory
    {38, 850, -5},	// QNetworkAccessManager::put##
    {38, 1017, 1026},	// QNetworkAccessManager::qt_metacall$$?
    {38, 1019, 1021},	// QNetworkAccessManager::qt_metacast$
    {38, 1086, 1061},	// QNetworkAccessManager::sendCustomRequest##
    {38, 1087, 1045},	// QNetworkAccessManager::sendCustomRequest###
    {38, 1116, 1033},	// QNetworkAccessManager::setCache#
    {38, 1125, 1046},	// QNetworkAccessManager::setConfiguration#
    {38, 1131, 1035},	// QNetworkAccessManager::setCookieJar#
    {38, 1195, 1049},	// QNetworkAccessManager::setNetworkAccessible$
    {38, 1243, 1029},	// QNetworkAccessManager::setProxy#
    {38, 1248, 1031},	// QNetworkAccessManager::setProxyFactory#
    {38, 1325, 1054},	// QNetworkAccessManager::sslErrors#?
    {38, 1332, 1063},	// QNetworkAccessManager::staticMetaObject
    {38, 1355, 1058},	// QNetworkAccessManager::tr$
    {38, 1356, 1022},	// QNetworkAccessManager::tr$$
    {38, 1357, 1024},	// QNetworkAccessManager::tr$$$
    {38, 1359, 1059},	// QNetworkAccessManager::trUtf8$
    {38, 1360, 1023},	// QNetworkAccessManager::trUtf8$$
    {38, 1361, 1025},	// QNetworkAccessManager::trUtf8$$$
    {38, 1409, 1074},	// QNetworkAccessManager::~QNetworkAccessManager
    {39, 227, 1075},	// QNetworkAddressEntry::QNetworkAddressEntry
    {39, 228, 1076},	// QNetworkAddressEntry::QNetworkAddressEntry#
    {39, 461, 1086},	// QNetworkAddressEntry::broadcast
    {39, 637, 1080},	// QNetworkAddressEntry::ip
    {39, 716, 1082},	// QNetworkAddressEntry::netmask
    {39, 731, 1079},	// QNetworkAddressEntry::operator!=#
    {39, 767, 1077},	// QNetworkAddressEntry::operator=#
    {39, 770, 1078},	// QNetworkAddressEntry::operator==#
    {39, 833, 1084},	// QNetworkAddressEntry::prefixLength
    {39, 1112, 1087},	// QNetworkAddressEntry::setBroadcast#
    {39, 1168, 1081},	// QNetworkAddressEntry::setIp#
    {39, 1193, 1083},	// QNetworkAddressEntry::setNetmask#
    {39, 1229, 1085},	// QNetworkAddressEntry::setPrefixLength$
    {39, 1410, 1088},	// QNetworkAddressEntry::~QNetworkAddressEntry
    {40, 229, 1089},	// QNetworkCacheMetaData::QNetworkCacheMetaData
    {40, 230, 1090},	// QNetworkCacheMetaData::QNetworkCacheMetaData#
    {40, 448, 1105},	// QNetworkCacheMetaData::attributes
    {40, 572, 1101},	// QNetworkCacheMetaData::expirationDate
    {40, 660, 1094},	// QNetworkCacheMetaData::isValid
    {40, 670, 1099},	// QNetworkCacheMetaData::lastModified
    {40, 731, 1093},	// QNetworkCacheMetaData::operator!=#
    {40, 767, 1091},	// QNetworkCacheMetaData::operator=#
    {40, 770, 1092},	// QNetworkCacheMetaData::operator==#
    {40, 1040, 1097},	// QNetworkCacheMetaData::rawHeaders
    {40, 1082, 1103},	// QNetworkCacheMetaData::saveToDisk
    {40, 1110, 1106},	// QNetworkCacheMetaData::setAttributes?
    {40, 1150, 1102},	// QNetworkCacheMetaData::setExpirationDate#
    {40, 1170, 1100},	// QNetworkCacheMetaData::setLastModified#
    {40, 1254, 1098},	// QNetworkCacheMetaData::setRawHeaders?
    {40, 1265, 1104},	// QNetworkCacheMetaData::setSaveToDisk$
    {40, 1303, 1096},	// QNetworkCacheMetaData::setUrl#
    {40, 1369, 1095},	// QNetworkCacheMetaData::url
    {40, 1411, 1107},	// QNetworkCacheMetaData::~QNetworkCacheMetaData
    {41, 3, 1135},	// QNetworkConfiguration::Active
    {41, 18, 1139},	// QNetworkConfiguration::Bearer2G
    {41, 19, 1143},	// QNetworkConfiguration::BearerBluetooth
    {41, 20, 1140},	// QNetworkConfiguration::BearerCDMA2000
    {41, 21, 1137},	// QNetworkConfiguration::BearerEthernet
    {41, 22, 1142},	// QNetworkConfiguration::BearerHSPA
    {41, 23, 1136},	// QNetworkConfiguration::BearerUnknown
    {41, 24, 1141},	// QNetworkConfiguration::BearerWCDMA
    {41, 25, 1138},	// QNetworkConfiguration::BearerWLAN
    {41, 26, 1144},	// QNetworkConfiguration::BearerWiMAX
    {41, 76, 1133},	// QNetworkConfiguration::Defined
    {41, 81, 1134},	// QNetworkConfiguration::Discovered
    {41, 112, 1124},	// QNetworkConfiguration::InternetAccessPoint
    {41, 113, 1127},	// QNetworkConfiguration::Invalid
    {41, 168, 1130},	// QNetworkConfiguration::PrivatePurpose
    {41, 180, 1129},	// QNetworkConfiguration::PublicPurpose
    {41, 231, 1108},	// QNetworkConfiguration::QNetworkConfiguration
    {41, 232, 1109},	// QNetworkConfiguration::QNetworkConfiguration#
    {41, 329, 1125},	// QNetworkConfiguration::ServiceNetwork
    {41, 330, 1131},	// QNetworkConfiguration::ServiceSpecificPurpose
    {41, 370, 1132},	// QNetworkConfiguration::Undefined
    {41, 382, 1128},	// QNetworkConfiguration::UnknownPurpose
    {41, 390, 1126},	// QNetworkConfiguration::UserChoice
    {41, 453, 1116},	// QNetworkConfiguration::bearerName
    {41, 454, 1117},	// QNetworkConfiguration::bearerType
    {41, 455, 1118},	// QNetworkConfiguration::bearerTypeName
    {41, 476, 1121},	// QNetworkConfiguration::children
    {41, 622, 1119},	// QNetworkConfiguration::identifier
    {41, 653, 1120},	// QNetworkConfiguration::isRoamingAvailable
    {41, 660, 1123},	// QNetworkConfiguration::isValid
    {41, 715, 1122},	// QNetworkConfiguration::name
    {41, 731, 1112},	// QNetworkConfiguration::operator!=#
    {41, 767, 1110},	// QNetworkConfiguration::operator=#
    {41, 770, 1111},	// QNetworkConfiguration::operator==#
    {41, 848, 1115},	// QNetworkConfiguration::purpose
    {41, 1329, 1113},	// QNetworkConfiguration::state
    {41, 1362, 1114},	// QNetworkConfiguration::type
    {41, 1412, 1145},	// QNetworkConfiguration::~QNetworkConfiguration
    {42, 11, 1173},	// QNetworkConfigurationManager::ApplicationLevelRoaming
    {42, 35, 1170},	// QNetworkConfigurationManager::CanStartAndStopInterfaces
    {42, 72, 1175},	// QNetworkConfigurationManager::DataStatistics
    {42, 79, 1171},	// QNetworkConfigurationManager::DirectConnectionRouting
    {42, 91, 1174},	// QNetworkConfigurationManager::ForcedRoaming
    {42, 144, 1176},	// QNetworkConfigurationManager::NetworkSessionRequired
    {42, 233, 1167},	// QNetworkConfigurationManager::QNetworkConfigurationManager
    {42, 234, 1153},	// QNetworkConfigurationManager::QNetworkConfigurationManager#
    {42, 350, 1172},	// QNetworkConfigurationManager::SystemSessionSupport
    {42, 436, 1168},	// QNetworkConfigurationManager::allConfigurations
    {42, 437, 1156},	// QNetworkConfigurationManager::allConfigurations$
    {42, 471, 1154},	// QNetworkConfigurationManager::capabilities
    {42, 490, 1160},	// QNetworkConfigurationManager::configurationAdded#
    {42, 492, 1162},	// QNetworkConfigurationManager::configurationChanged#
    {42, 494, 1157},	// QNetworkConfigurationManager::configurationFromIdentifier$
    {42, 496, 1161},	// QNetworkConfigurationManager::configurationRemoved#
    {42, 541, 1155},	// QNetworkConfigurationManager::defaultConfiguration
    {42, 650, 1158},	// QNetworkConfigurationManager::isOnline
    {42, 705, 1146},	// QNetworkConfigurationManager::metaObject
    {42, 726, 1163},	// QNetworkConfigurationManager::onlineStateChanged$
    {42, 1017, 1152},	// QNetworkConfigurationManager::qt_metacall$$?
    {42, 1019, 1147},	// QNetworkConfigurationManager::qt_metacast$
    {42, 1332, 1169},	// QNetworkConfigurationManager::staticMetaObject
    {42, 1355, 1165},	// QNetworkConfigurationManager::tr$
    {42, 1356, 1148},	// QNetworkConfigurationManager::tr$$
    {42, 1357, 1150},	// QNetworkConfigurationManager::tr$$$
    {42, 1359, 1166},	// QNetworkConfigurationManager::trUtf8$
    {42, 1360, 1149},	// QNetworkConfigurationManager::trUtf8$$
    {42, 1361, 1151},	// QNetworkConfigurationManager::trUtf8$$$
    {42, 1363, 1164},	// QNetworkConfigurationManager::updateCompleted
    {42, 1364, 1159},	// QNetworkConfigurationManager::updateConfigurations
    {42, 1413, 1177},	// QNetworkConfigurationManager::~QNetworkConfigurationManager
    {43, 93, 1204},	// QNetworkCookie::Full
    {43, 142, 1203},	// QNetworkCookie::NameAndValueOnly
    {43, 235, 1200},	// QNetworkCookie::QNetworkCookie
    {43, 236, -19},	// QNetworkCookie::QNetworkCookie#
    {43, 237, 1178},	// QNetworkCookie::QNetworkCookie##
    {43, 553, 1190},	// QNetworkCookie::domain
    {43, 572, 1188},	// QNetworkCookie::expirationDate
    {43, 644, 1185},	// QNetworkCookie::isHttpOnly
    {43, 655, 1183},	// QNetworkCookie::isSecure
    {43, 657, 1187},	// QNetworkCookie::isSessionCookie
    {43, 715, 1194},	// QNetworkCookie::name
    {43, 731, 1182},	// QNetworkCookie::operator!=#
    {43, 767, 1180},	// QNetworkCookie::operator=#
    {43, 770, 1181},	// QNetworkCookie::operator==#
    {43, 805, 1199},	// QNetworkCookie::parseCookies#
    {43, 811, 1192},	// QNetworkCookie::path
    {43, 1143, 1191},	// QNetworkCookie::setDomain$
    {43, 1150, 1189},	// QNetworkCookie::setExpirationDate#
    {43, 1166, 1186},	// QNetworkCookie::setHttpOnly$
    {43, 1190, 1195},	// QNetworkCookie::setName#
    {43, 1209, 1193},	// QNetworkCookie::setPath$
    {43, 1269, 1184},	// QNetworkCookie::setSecure$
    {43, 1312, 1197},	// QNetworkCookie::setValue#
    {43, 1351, 1202},	// QNetworkCookie::toRawForm
    {43, 1352, 1198},	// QNetworkCookie::toRawForm$
    {43, 1372, 1196},	// QNetworkCookie::value
    {43, 1414, 1205},	// QNetworkCookie::~QNetworkCookie
    {44, 238, 1220},	// QNetworkCookieJar::QNetworkCookieJar
    {44, 239, 1213},	// QNetworkCookieJar::QNetworkCookieJar#
    {44, 438, 1216},	// QNetworkCookieJar::allCookies
    {44, 520, 1214},	// QNetworkCookieJar::cookiesForUrl#
    {44, 705, 1206},	// QNetworkCookieJar::metaObject
    {44, 1017, 1212},	// QNetworkCookieJar::qt_metacall$$?
    {44, 1019, 1207},	// QNetworkCookieJar::qt_metacast$
    {44, 1102, 1217},	// QNetworkCookieJar::setAllCookies?
    {44, 1133, 1215},	// QNetworkCookieJar::setCookiesFromUrl?#
    {44, 1332, 1221},	// QNetworkCookieJar::staticMetaObject
    {44, 1355, 1218},	// QNetworkCookieJar::tr$
    {44, 1356, 1208},	// QNetworkCookieJar::tr$$
    {44, 1357, 1210},	// QNetworkCookieJar::tr$$$
    {44, 1359, 1219},	// QNetworkCookieJar::trUtf8$
    {44, 1360, 1209},	// QNetworkCookieJar::trUtf8$$
    {44, 1361, 1211},	// QNetworkCookieJar::trUtf8$$$
    {44, 1415, 1222},	// QNetworkCookieJar::~QNetworkCookieJar
    {45, 240, 1247},	// QNetworkDiskCache::QNetworkDiskCache
    {45, 241, 1230},	// QNetworkDiskCache::QNetworkDiskCache#
    {45, 468, 1231},	// QNetworkDiskCache::cacheDirectory
    {45, 469, 1235},	// QNetworkDiskCache::cacheSize
    {45, 478, 1243},	// QNetworkDiskCache::clear
    {45, 532, 1238},	// QNetworkDiskCache::data#
    {45, 573, 1244},	// QNetworkDiskCache::expire
    {45, 576, 1242},	// QNetworkDiskCache::fileMetaData$
    {45, 631, 1241},	// QNetworkDiskCache::insert#
    {45, 701, 1233},	// QNetworkDiskCache::maximumCacheSize
    {45, 703, 1236},	// QNetworkDiskCache::metaData#
    {45, 705, 1223},	// QNetworkDiskCache::metaObject
    {45, 835, 1240},	// QNetworkDiskCache::prepare#
    {45, 1017, 1229},	// QNetworkDiskCache::qt_metacall$$?
    {45, 1019, 1224},	// QNetworkDiskCache::qt_metacast$
    {45, 1059, 1239},	// QNetworkDiskCache::remove#
    {45, 1118, 1232},	// QNetworkDiskCache::setCacheDirectory$
    {45, 1186, 1234},	// QNetworkDiskCache::setMaximumCacheSize$
    {45, 1332, 1248},	// QNetworkDiskCache::staticMetaObject
    {45, 1355, 1245},	// QNetworkDiskCache::tr$
    {45, 1356, 1225},	// QNetworkDiskCache::tr$$
    {45, 1357, 1227},	// QNetworkDiskCache::tr$$$
    {45, 1359, 1246},	// QNetworkDiskCache::trUtf8$
    {45, 1360, 1226},	// QNetworkDiskCache::trUtf8$$
    {45, 1361, 1228},	// QNetworkDiskCache::trUtf8$$$
    {45, 1366, 1237},	// QNetworkDiskCache::updateMetaData#
    {45, 1416, 1249},	// QNetworkDiskCache::~QNetworkDiskCache
    {46, 33, 1266},	// QNetworkInterface::CanBroadcast
    {46, 34, 1269},	// QNetworkInterface::CanMulticast
    {46, 120, 1267},	// QNetworkInterface::IsLoopBack
    {46, 121, 1268},	// QNetworkInterface::IsPointToPoint
    {46, 122, 1265},	// QNetworkInterface::IsRunning
    {46, 123, 1264},	// QNetworkInterface::IsUp
    {46, 242, 1250},	// QNetworkInterface::QNetworkInterface
    {46, 243, 1251},	// QNetworkInterface::QNetworkInterface#
    {46, 432, 1259},	// QNetworkInterface::addressEntries
    {46, 435, 1263},	// QNetworkInterface::allAddresses
    {46, 439, 1262},	// QNetworkInterface::allInterfaces
    {46, 579, 1257},	// QNetworkInterface::flags
    {46, 603, 1258},	// QNetworkInterface::hardwareAddress
    {46, 621, 1256},	// QNetworkInterface::humanReadableName
    {46, 629, 1254},	// QNetworkInterface::index
    {46, 634, 1261},	// QNetworkInterface::interfaceFromIndex$
    {46, 636, 1260},	// QNetworkInterface::interfaceFromName$
    {46, 660, 1253},	// QNetworkInterface::isValid
    {46, 715, 1255},	// QNetworkInterface::name
    {46, 767, 1252},	// QNetworkInterface::operator=#
    {46, 1417, 1270},	// QNetworkInterface::~QNetworkInterface
    {47, 32, 1306},	// QNetworkProxy::CachingCapability
    {47, 75, 1297},	// QNetworkProxy::DefaultProxy
    {47, 92, 1302},	// QNetworkProxy::FtpCachingProxy
    {47, 100, 1307},	// QNetworkProxy::HostNameLookupCapability
    {47, 104, 1301},	// QNetworkProxy::HttpCachingProxy
    {47, 107, 1300},	// QNetworkProxy::HttpProxy
    {47, 127, 1304},	// QNetworkProxy::ListeningCapability
    {47, 147, 1299},	// QNetworkProxy::NoProxy
    {47, 244, 1271},	// QNetworkProxy::QNetworkProxy
    {47, 245, 1273},	// QNetworkProxy::QNetworkProxy#
    {47, 246, 1293},	// QNetworkProxy::QNetworkProxy$
    {47, 247, 1294},	// QNetworkProxy::QNetworkProxy$$
    {47, 248, 1295},	// QNetworkProxy::QNetworkProxy$$$
    {47, 249, 1296},	// QNetworkProxy::QNetworkProxy$$$$
    {47, 250, 1272},	// QNetworkProxy::QNetworkProxy$$$$$
    {47, 340, 1298},	// QNetworkProxy::Socks5Proxy
    {47, 359, 1303},	// QNetworkProxy::TunnelingCapability
    {47, 361, 1305},	// QNetworkProxy::UdpTunnelingCapability
    {47, 443, 1292},	// QNetworkProxy::applicationProxy
    {47, 471, 1280},	// QNetworkProxy::capabilities
    {47, 620, 1288},	// QNetworkProxy::hostName
    {47, 638, 1281},	// QNetworkProxy::isCachingProxy
    {47, 659, 1282},	// QNetworkProxy::isTransparentProxy
    {47, 731, 1276},	// QNetworkProxy::operator!=#
    {47, 767, 1274},	// QNetworkProxy::operator=#
    {47, 770, 1275},	// QNetworkProxy::operator==#
    {47, 810, 1286},	// QNetworkProxy::password
    {47, 825, 1290},	// QNetworkProxy::port
    {47, 1104, 1291},	// QNetworkProxy::setApplicationProxy#
    {47, 1120, 1279},	// QNetworkProxy::setCapabilities$
    {47, 1164, 1287},	// QNetworkProxy::setHostName$
    {47, 1207, 1285},	// QNetworkProxy::setPassword$
    {47, 1227, 1289},	// QNetworkProxy::setPort$
    {47, 1301, 1277},	// QNetworkProxy::setType$
    {47, 1307, 1283},	// QNetworkProxy::setUser$
    {47, 1362, 1278},	// QNetworkProxy::type
    {47, 1371, 1284},	// QNetworkProxy::user
    {47, 1418, 1308},	// QNetworkProxy::~QNetworkProxy
    {48, 251, 1309},	// QNetworkProxyFactory::QNetworkProxyFactory
    {48, 252, 1315},	// QNetworkProxyFactory::QNetworkProxyFactory#
    {48, 846, 1313},	// QNetworkProxyFactory::proxyForQuery#
    {48, 1025, 1316},	// QNetworkProxyFactory::queryProxy
    {48, 1026, 1310},	// QNetworkProxyFactory::queryProxy#
    {48, 1106, 1312},	// QNetworkProxyFactory::setApplicationProxyFactory#
    {48, 1305, 1311},	// QNetworkProxyFactory::setUseSystemConfiguration$
    {48, 1342, 1317},	// QNetworkProxyFactory::systemProxyForQuery
    {48, 1343, 1314},	// QNetworkProxyFactory::systemProxyForQuery#
    {48, 1419, 1318},	// QNetworkProxyFactory::~QNetworkProxyFactory
    {49, 253, 1319},	// QNetworkProxyQuery::QNetworkProxyQuery
    {49, 254, -459},	// QNetworkProxyQuery::QNetworkProxyQuery#
    {49, 255, 1349},	// QNetworkProxyQuery::QNetworkProxyQuery##
    {49, 256, 1324},	// QNetworkProxyQuery::QNetworkProxyQuery##$
    {49, 257, -462},	// QNetworkProxyQuery::QNetworkProxyQuery#$
    {49, 258, -465},	// QNetworkProxyQuery::QNetworkProxyQuery#$$
    {49, 259, -468},	// QNetworkProxyQuery::QNetworkProxyQuery#$$$
    {49, 260, 1325},	// QNetworkProxyQuery::QNetworkProxyQuery#$$$$
    {49, 261, 1347},	// QNetworkProxyQuery::QNetworkProxyQuery$
    {49, 262, -471},	// QNetworkProxyQuery::QNetworkProxyQuery$$
    {49, 263, -474},	// QNetworkProxyQuery::QNetworkProxyQuery$$$
    {49, 264, 1321},	// QNetworkProxyQuery::QNetworkProxyQuery$$$$
    {49, 351, 1356},	// QNetworkProxyQuery::TcpServer
    {49, 352, 1354},	// QNetworkProxyQuery::TcpSocket
    {49, 360, 1355},	// QNetworkProxyQuery::UdpSocket
    {49, 388, 1357},	// QNetworkProxyQuery::UrlRequest
    {49, 691, 1336},	// QNetworkProxyQuery::localPort
    {49, 720, 1342},	// QNetworkProxyQuery::networkConfiguration
    {49, 731, 1329},	// QNetworkProxyQuery::operator!=#
    {49, 767, 1327},	// QNetworkProxyQuery::operator=#
    {49, 770, 1328},	// QNetworkProxyQuery::operator==#
    {49, 815, 1334},	// QNetworkProxyQuery::peerHostName
    {49, 817, 1332},	// QNetworkProxyQuery::peerPort
    {49, 840, 1338},	// QNetworkProxyQuery::protocolTag
    {49, 1027, 1330},	// QNetworkProxyQuery::queryType
    {49, 1180, 1337},	// QNetworkProxyQuery::setLocalPort$
    {49, 1197, 1343},	// QNetworkProxyQuery::setNetworkConfiguration#
    {49, 1213, 1335},	// QNetworkProxyQuery::setPeerHostName$
    {49, 1217, 1333},	// QNetworkProxyQuery::setPeerPort$
    {49, 1241, 1339},	// QNetworkProxyQuery::setProtocolTag$
    {49, 1250, 1331},	// QNetworkProxyQuery::setQueryType$
    {49, 1303, 1341},	// QNetworkProxyQuery::setUrl#
    {49, 1369, 1340},	// QNetworkProxyQuery::url
    {49, 1420, 1358},	// QNetworkProxyQuery::~QNetworkProxyQuery
    {50, 13, 1426},	// QNetworkReply::AuthenticationRequiredError
    {50, 58, 1409},	// QNetworkReply::ConnectionRefusedError
    {50, 59, 1423},	// QNetworkReply::ContentAccessDenied
    {50, 62, 1425},	// QNetworkReply::ContentNotFoundError
    {50, 63, 1424},	// QNetworkReply::ContentOperationNotPermittedError
    {50, 64, 1427},	// QNetworkReply::ContentReSendError
    {50, 103, 1411},	// QNetworkReply::HostNotFoundError
    {50, 145, 1408},	// QNetworkReply::NoError
    {50, 156, 1413},	// QNetworkReply::OperationCanceledError
    {50, 169, 1431},	// QNetworkReply::ProtocolFailure
    {50, 170, 1430},	// QNetworkReply::ProtocolInvalidOperationError
    {50, 171, 1429},	// QNetworkReply::ProtocolUnknownError
    {50, 172, 1421},	// QNetworkReply::ProxyAuthenticationRequiredError
    {50, 173, 1418},	// QNetworkReply::ProxyConnectionClosedError
    {50, 174, 1417},	// QNetworkReply::ProxyConnectionRefusedError
    {50, 176, 1419},	// QNetworkReply::ProxyNotFoundError
    {50, 178, 1420},	// QNetworkReply::ProxyTimeoutError
    {50, 265, 1406},	// QNetworkReply::QNetworkReply
    {50, 266, 1394},	// QNetworkReply::QNetworkReply#
    {50, 316, 1410},	// QNetworkReply::RemoteHostClosedError
    {50, 343, 1414},	// QNetworkReply::SslHandshakeFailedError
    {50, 353, 1415},	// QNetworkReply::TemporaryNetworkFailureError
    {50, 355, 1412},	// QNetworkReply::TimeoutError
    {50, 375, 1428},	// QNetworkReply::UnknownContentError
    {50, 377, 1416},	// QNetworkReply::UnknownNetworkError
    {50, 381, 1422},	// QNetworkReply::UnknownProxyError
    {50, 408, 1366},	// QNetworkReply::abort
    {50, 446, 1383},	// QNetworkReply::attribute$
    {50, 481, 1367},	// QNetworkReply::close
    {50, 557, 1393},	// QNetworkReply::downloadProgress$$
    {50, 567, 1374},	// QNetworkReply::error
    {50, 568, 1390},	// QNetworkReply::error$
    {50, 577, 1389},	// QNetworkReply::finished
    {50, 613, 1379},	// QNetworkReply::hasRawHeader#
    {50, 618, 1378},	// QNetworkReply::header$
    {50, 624, 1387},	// QNetworkReply::ignoreSslErrors
    {50, 625, 1386},	// QNetworkReply::ignoreSslErrors?
    {50, 643, 1375},	// QNetworkReply::isFinished
    {50, 654, 1376},	// QNetworkReply::isRunning
    {50, 656, 1368},	// QNetworkReply::isSequential
    {50, 699, 1371},	// QNetworkReply::manager
    {50, 704, 1388},	// QNetworkReply::metaDataChanged
    {50, 705, 1359},	// QNetworkReply::metaObject
    {50, 729, 1372},	// QNetworkReply::operation
    {50, 1017, 1365},	// QNetworkReply::qt_metacall$$?
    {50, 1019, 1360},	// QNetworkReply::qt_metacast$
    {50, 1037, 1381},	// QNetworkReply::rawHeader#
    {50, 1038, 1380},	// QNetworkReply::rawHeaderList
    {50, 1039, 1382},	// QNetworkReply::rawHeaderPairs
    {50, 1044, 1369},	// QNetworkReply::readBufferSize
    {50, 1069, 1373},	// QNetworkReply::request
    {50, 1108, 1403},	// QNetworkReply::setAttribute$#
    {50, 1146, 1398},	// QNetworkReply::setError$$
    {50, 1154, 1399},	// QNetworkReply::setFinished$
    {50, 1158, 1401},	// QNetworkReply::setHeader$#
    {50, 1199, 1396},	// QNetworkReply::setOperation$
    {50, 1252, 1402},	// QNetworkReply::setRawHeader##
    {50, 1256, 1370},	// QNetworkReply::setReadBufferSize$
    {50, 1260, 1397},	// QNetworkReply::setRequest#
    {50, 1290, 1385},	// QNetworkReply::setSslConfiguration#
    {50, 1303, 1400},	// QNetworkReply::setUrl#
    {50, 1323, 1384},	// QNetworkReply::sslConfiguration
    {50, 1326, 1391},	// QNetworkReply::sslErrors?
    {50, 1332, 1407},	// QNetworkReply::staticMetaObject
    {50, 1355, 1404},	// QNetworkReply::tr$
    {50, 1356, 1361},	// QNetworkReply::tr$$
    {50, 1357, 1363},	// QNetworkReply::tr$$$
    {50, 1359, 1405},	// QNetworkReply::trUtf8$
    {50, 1360, 1362},	// QNetworkReply::trUtf8$$
    {50, 1361, 1364},	// QNetworkReply::trUtf8$$$
    {50, 1368, 1392},	// QNetworkReply::uploadProgress$$
    {50, 1369, 1377},	// QNetworkReply::url
    {50, 1392, 1395},	// QNetworkReply::writeData$$
    {50, 1421, 1432},	// QNetworkReply::~QNetworkReply
    {51, 5, 1485},	// QNetworkRequest::AlwaysCache
    {51, 6, 1482},	// QNetworkRequest::AlwaysNetwork
    {51, 14, 1475},	// QNetworkRequest::AuthenticationReuseAttribute
    {51, 17, 1486},	// QNetworkRequest::Automatic
    {51, 30, 1467},	// QNetworkRequest::CacheLoadControlAttribute
    {51, 31, 1468},	// QNetworkRequest::CacheSaveControlAttribute
    {51, 53, 1466},	// QNetworkRequest::ConnectionEncryptedAttribute
    {51, 60, 1462},	// QNetworkRequest::ContentDispositionHeader
    {51, 61, 1457},	// QNetworkRequest::ContentLengthHeader
    {51, 65, 1456},	// QNetworkRequest::ContentTypeHeader
    {51, 66, 1460},	// QNetworkRequest::CookieHeader
    {51, 67, 1474},	// QNetworkRequest::CookieLoadControlAttribute
    {51, 68, 1476},	// QNetworkRequest::CookieSaveControlAttribute
    {51, 71, 1473},	// QNetworkRequest::CustomVerbAttribute
    {51, 83, 1470},	// QNetworkRequest::DoNotBufferUploadDataAttribute
    {51, 85, 1478},	// QNetworkRequest::DownloadBufferAttribute
    {51, 97, 1488},	// QNetworkRequest::HighPriority
    {51, 105, 1471},	// QNetworkRequest::HttpPipeliningAllowedAttribute
    {51, 106, 1472},	// QNetworkRequest::HttpPipeliningWasUsedAttribute
    {51, 108, 1464},	// QNetworkRequest::HttpReasonPhraseAttribute
    {51, 109, 1463},	// QNetworkRequest::HttpStatusCodeAttribute
    {51, 125, 1459},	// QNetworkRequest::LastModifiedHeader
    {51, 132, 1458},	// QNetworkRequest::LocationHeader
    {51, 136, 1490},	// QNetworkRequest::LowPriority
    {51, 137, 1487},	// QNetworkRequest::Manual
    {51, 138, 1477},	// QNetworkRequest::MaximumDownloadBufferSizeAttribute
    {51, 150, 1489},	// QNetworkRequest::NormalPriority
    {51, 165, 1484},	// QNetworkRequest::PreferCache
    {51, 166, 1483},	// QNetworkRequest::PreferNetwork
    {51, 267, 1454},	// QNetworkRequest::QNetworkRequest
    {51, 268, -9},	// QNetworkRequest::QNetworkRequest#
    {51, 315, 1465},	// QNetworkRequest::RedirectionTargetAttribute
    {51, 332, 1461},	// QNetworkRequest::SetCookieHeader
    {51, 341, 1469},	// QNetworkRequest::SourceIsFromCacheAttribute
    {51, 349, 1479},	// QNetworkRequest::SynchronousRequestAttribute
    {51, 389, 1480},	// QNetworkRequest::User
    {51, 391, 1481},	// QNetworkRequest::UserMax
    {51, 446, 1455},	// QNetworkRequest::attribute$
    {51, 447, 1446},	// QNetworkRequest::attribute$#
    {51, 613, 1442},	// QNetworkRequest::hasRawHeader#
    {51, 618, 1440},	// QNetworkRequest::header$
    {51, 731, 1437},	// QNetworkRequest::operator!=#
    {51, 767, 1435},	// QNetworkRequest::operator=#
    {51, 770, 1436},	// QNetworkRequest::operator==#
    {51, 800, 1451},	// QNetworkRequest::originatingObject
    {51, 836, 1452},	// QNetworkRequest::priority
    {51, 1037, 1444},	// QNetworkRequest::rawHeader#
    {51, 1038, 1443},	// QNetworkRequest::rawHeaderList
    {51, 1108, 1447},	// QNetworkRequest::setAttribute$#
    {51, 1158, 1441},	// QNetworkRequest::setHeader$#
    {51, 1203, 1450},	// QNetworkRequest::setOriginatingObject#
    {51, 1231, 1453},	// QNetworkRequest::setPriority$
    {51, 1252, 1445},	// QNetworkRequest::setRawHeader##
    {51, 1290, 1449},	// QNetworkRequest::setSslConfiguration#
    {51, 1303, 1439},	// QNetworkRequest::setUrl#
    {51, 1323, 1448},	// QNetworkRequest::sslConfiguration
    {51, 1369, 1438},	// QNetworkRequest::url
    {51, 1422, 1491},	// QNetworkRequest::~QNetworkRequest
    {52, 45, 1536},	// QNetworkSession::Closing
    {52, 49, 1535},	// QNetworkSession::Connected
    {52, 51, 1534},	// QNetworkSession::Connecting
    {52, 80, 1537},	// QNetworkSession::Disconnected
    {52, 113, 1532},	// QNetworkSession::Invalid
    {52, 115, 1543},	// QNetworkSession::InvalidConfigurationError
    {52, 152, 1533},	// QNetworkSession::NotAvailable
    {52, 157, 1542},	// QNetworkSession::OperationNotSupportedError
    {52, 270, 1529},	// QNetworkSession::QNetworkSession#
    {52, 271, 1499},	// QNetworkSession::QNetworkSession##
    {52, 321, 1538},	// QNetworkSession::Roaming
    {52, 322, 1541},	// QNetworkSession::RoamingError
    {52, 331, 1540},	// QNetworkSession::SessionAbortedError
    {52, 383, 1539},	// QNetworkSession::UnknownSessionError
    {52, 411, 1517},	// QNetworkSession::accept
    {52, 413, 1510},	// QNetworkSession::activeTime
    {52, 463, 1509},	// QNetworkSession::bytesReceived
    {52, 465, 1508},	// QNetworkSession::bytesWritten
    {52, 481, 1513},	// QNetworkSession::close
    {52, 483, 1521},	// QNetworkSession::closed
    {52, 488, 1501},	// QNetworkSession::configuration
    {52, 498, 1525},	// QNetworkSession::connectNotify$
    {52, 551, 1526},	// QNetworkSession::disconnectNotify$
    {52, 567, 1504},	// QNetworkSession::error
    {52, 568, 1522},	// QNetworkSession::error$
    {52, 569, 1505},	// QNetworkSession::errorString
    {52, 623, 1516},	// QNetworkSession::ignore
    {52, 632, 1502},	// QNetworkSession::interface
    {52, 651, 1500},	// QNetworkSession::isOpen
    {52, 705, 1492},	// QNetworkSession::metaObject
    {52, 707, 1515},	// QNetworkSession::migrate
    {52, 722, 1524},	// QNetworkSession::newConfigurationActivated
    {52, 727, 1512},	// QNetworkSession::open
    {52, 728, 1520},	// QNetworkSession::opened
    {52, 832, 1523},	// QNetworkSession::preferredConfigurationChanged#$
    {52, 1017, 1498},	// QNetworkSession::qt_metacall$$?
    {52, 1019, 1493},	// QNetworkSession::qt_metacast$
    {52, 1057, 1518},	// QNetworkSession::reject
    {52, 1095, 1506},	// QNetworkSession::sessionProperty$
    {52, 1271, 1507},	// QNetworkSession::setSessionProperty$#
    {52, 1329, 1503},	// QNetworkSession::state
    {52, 1331, 1519},	// QNetworkSession::stateChanged$
    {52, 1332, 1531},	// QNetworkSession::staticMetaObject
    {52, 1334, 1514},	// QNetworkSession::stop
    {52, 1355, 1527},	// QNetworkSession::tr$
    {52, 1356, 1494},	// QNetworkSession::tr$$
    {52, 1357, 1496},	// QNetworkSession::tr$$$
    {52, 1359, 1528},	// QNetworkSession::trUtf8$
    {52, 1360, 1495},	// QNetworkSession::trUtf8$$
    {52, 1361, 1497},	// QNetworkSession::trUtf8$$$
    {52, 1387, 1530},	// QNetworkSession::waitForOpened
    {52, 1388, 1511},	// QNetworkSession::waitForOpened$
    {52, 1423, 1544},	// QNetworkSession::~QNetworkSession
    {62, 9, 1559},	// QSsl::AnyProtocol
    {62, 78, 1555},	// QSsl::Der
    {62, 82, 1564},	// QSsl::DnsEntry
    {62, 86, 1553},	// QSsl::Dsa
    {62, 87, 1563},	// QSsl::EmailEntry
    {62, 163, 1554},	// QSsl::Pem
    {62, 167, 1565},	// QSsl::PrivateKey
    {62, 179, 1566},	// QSsl::PublicKey
    {62, 323, 1552},	// QSsl::Rsa
    {62, 324, 1561},	// QSsl::SecureProtocols
    {62, 345, 1557},	// QSsl::SslV2
    {62, 346, 1556},	// QSsl::SslV3
    {62, 356, 1558},	// QSsl::TlsV1
    {62, 357, 1560},	// QSsl::TlsV1SslV3
    {62, 380, 1562},	// QSsl::UnknownProtocol
    {63, 47, 1602},	// QSslCertificate::CommonName
    {63, 69, 1605},	// QSslCertificate::CountryName
    {63, 131, 1603},	// QSslCertificate::LocalityName
    {63, 158, 1601},	// QSslCertificate::Organization
    {63, 159, 1604},	// QSslCertificate::OrganizationalUnitName
    {63, 272, 1594},	// QSslCertificate::QSslCertificate
    {63, 273, -12},	// QSslCertificate::QSslCertificate#
    {63, 274, -16},	// QSslCertificate::QSslCertificate#$
    {63, 347, 1606},	// QSslCertificate::StateOrProvinceName
    {63, 442, 1583},	// QSslCertificate::alternateSubjectNames
    {63, 478, 1575},	// QSslCertificate::clear
    {63, 545, 1596},	// QSslCertificate::digest
    {63, 546, 1578},	// QSslCertificate::digest$
    {63, 558, 1584},	// QSslCertificate::effectiveDate
    {63, 574, 1585},	// QSslCertificate::expiryDate
    {63, 582, 1600},	// QSslCertificate::fromData#
    {63, 583, 1591},	// QSslCertificate::fromData#$
    {63, 585, 1599},	// QSslCertificate::fromDevice#
    {63, 586, 1590},	// QSslCertificate::fromDevice#$
    {63, 590, 1597},	// QSslCertificate::fromPath$
    {63, 591, 1598},	// QSslCertificate::fromPath$$
    {63, 592, 1589},	// QSslCertificate::fromPath$$$
    {63, 602, 1592},	// QSslCertificate::handle
    {63, 649, 1573},	// QSslCertificate::isNull
    {63, 660, 1574},	// QSslCertificate::isValid
    {63, 663, 1580},	// QSslCertificate::issuerInfo#
    {63, 664, 1579},	// QSslCertificate::issuerInfo$
    {63, 731, 1572},	// QSslCertificate::operator!=#
    {63, 767, 1570},	// QSslCertificate::operator=#
    {63, 770, 1571},	// QSslCertificate::operator==#
    {63, 847, 1586},	// QSslCertificate::publicKey
    {63, 1088, 1577},	// QSslCertificate::serialNumber
    {63, 1336, 1582},	// QSslCertificate::subjectInfo#
    {63, 1337, 1581},	// QSslCertificate::subjectInfo$
    {63, 1345, 1588},	// QSslCertificate::toDer
    {63, 1349, 1587},	// QSslCertificate::toPem
    {63, 1375, 1576},	// QSslCertificate::version
    {63, 1424, 1607},	// QSslCertificate::~QSslCertificate
    {64, 275, 1608},	// QSslCipher::QSslCipher
    {64, 276, 1610},	// QSslCipher::QSslCipher#
    {64, 277, 1609},	// QSslCipher::QSslCipher$$
    {64, 449, 1619},	// QSslCipher::authenticationMethod
    {64, 564, 1620},	// QSslCipher::encryptionMethod
    {64, 649, 1614},	// QSslCipher::isNull
    {64, 668, 1618},	// QSslCipher::keyExchangeMethod
    {64, 715, 1615},	// QSslCipher::name
    {64, 731, 1613},	// QSslCipher::operator!=#
    {64, 767, 1611},	// QSslCipher::operator=#
    {64, 770, 1612},	// QSslCipher::operator==#
    {64, 838, 1622},	// QSslCipher::protocol
    {64, 839, 1621},	// QSslCipher::protocolString
    {64, 1338, 1616},	// QSslCipher::supportedBits
    {64, 1370, 1617},	// QSslCipher::usedBits
    {64, 1425, 1623},	// QSslCipher::~QSslCipher
    {65, 278, 1624},	// QSslConfiguration::QSslConfiguration
    {65, 279, 1625},	// QSslConfiguration::QSslConfiguration#
    {65, 466, 1645},	// QSslConfiguration::caCertificates
    {65, 477, 1643},	// QSslConfiguration::ciphers
    {65, 541, 1647},	// QSslConfiguration::defaultConfiguration
    {65, 649, 1629},	// QSslConfiguration::isNull
    {65, 688, 1636},	// QSslConfiguration::localCertificate
    {65, 731, 1628},	// QSslConfiguration::operator!=#
    {65, 767, 1626},	// QSslConfiguration::operator=#
    {65, 770, 1627},	// QSslConfiguration::operator==#
    {65, 813, 1638},	// QSslConfiguration::peerCertificate
    {65, 814, 1639},	// QSslConfiguration::peerCertificateChain
    {65, 818, 1634},	// QSslConfiguration::peerVerifyDepth
    {65, 821, 1632},	// QSslConfiguration::peerVerifyMode
    {65, 837, 1641},	// QSslConfiguration::privateKey
    {65, 838, 1630},	// QSslConfiguration::protocol
    {65, 1093, 1640},	// QSslConfiguration::sessionCipher
    {65, 1114, 1646},	// QSslConfiguration::setCaCertificates?
    {65, 1123, 1644},	// QSslConfiguration::setCiphers?
    {65, 1139, 1648},	// QSslConfiguration::setDefaultConfiguration#
    {65, 1176, 1637},	// QSslConfiguration::setLocalCertificate#
    {65, 1219, 1635},	// QSslConfiguration::setPeerVerifyDepth$
    {65, 1221, 1633},	// QSslConfiguration::setPeerVerifyMode$
    {65, 1233, 1642},	// QSslConfiguration::setPrivateKey#
    {65, 1239, 1631},	// QSslConfiguration::setProtocol$
    {65, 1426, 1649},	// QSslConfiguration::~QSslConfiguration
    {66, 15, 1680},	// QSslError::AuthorityIssuerSerialNumberMismatch
    {66, 37, 1684},	// QSslError::CertificateBlacklisted
    {66, 38, 1666},	// QSslError::CertificateExpired
    {66, 39, 1665},	// QSslError::CertificateNotYetValid
    {66, 40, 1678},	// QSslError::CertificateRejected
    {66, 41, 1673},	// QSslError::CertificateRevoked
    {66, 42, 1664},	// QSslError::CertificateSignatureFailed
    {66, 43, 1677},	// QSslError::CertificateUntrusted
    {66, 101, 1682},	// QSslError::HostNameMismatch
    {66, 114, 1674},	// QSslError::InvalidCaCertificate
    {66, 116, 1668},	// QSslError::InvalidNotAfterField
    {66, 117, 1667},	// QSslError::InvalidNotBeforeField
    {66, 118, 1676},	// QSslError::InvalidPurpose
    {66, 145, 1660},	// QSslError::NoError
    {66, 146, 1681},	// QSslError::NoPeerCertificate
    {66, 148, 1683},	// QSslError::NoSslSupport
    {66, 161, 1675},	// QSslError::PathLengthExceeded
    {66, 280, 1650},	// QSslError::QSslError
    {66, 281, 1653},	// QSslError::QSslError#
    {66, 282, 1651},	// QSslError::QSslError$
    {66, 283, 1652},	// QSslError::QSslError$#
    {66, 325, 1669},	// QSslError::SelfSignedCertificate
    {66, 326, 1670},	// QSslError::SelfSignedCertificateInChain
    {66, 348, 1679},	// QSslError::SubjectIssuerMismatch
    {66, 362, 1663},	// QSslError::UnableToDecodeIssuerPublicKey
    {66, 363, 1662},	// QSslError::UnableToDecryptCertificateSignature
    {66, 364, 1661},	// QSslError::UnableToGetIssuerCertificate
    {66, 365, 1671},	// QSslError::UnableToGetLocalIssuerCertificate
    {66, 366, 1672},	// QSslError::UnableToVerifyFirstCertificate
    {66, 386, 1685},	// QSslError::UnspecifiedError
    {66, 474, 1659},	// QSslError::certificate
    {66, 567, 1657},	// QSslError::error
    {66, 569, 1658},	// QSslError::errorString
    {66, 731, 1656},	// QSslError::operator!=#
    {66, 767, 1654},	// QSslError::operator=#
    {66, 770, 1655},	// QSslError::operator==#
    {66, 1427, 1686},	// QSslError::~QSslError
    {67, 284, 1687},	// QSslKey::QSslKey
    {67, 285, 1690},	// QSslKey::QSslKey#
    {67, 286, -34},	// QSslKey::QSslKey#$
    {67, 287, -37},	// QSslKey::QSslKey#$$
    {67, 288, -40},	// QSslKey::QSslKey#$$$
    {67, 289, -43},	// QSslKey::QSslKey#$$$#
    {67, 434, 1696},	// QSslKey::algorithm
    {67, 478, 1693},	// QSslKey::clear
    {67, 602, 1699},	// QSslKey::handle
    {67, 649, 1692},	// QSslKey::isNull
    {67, 676, 1694},	// QSslKey::length
    {67, 731, 1701},	// QSslKey::operator!=#
    {67, 767, 1691},	// QSslKey::operator=#
    {67, 770, 1700},	// QSslKey::operator==#
    {67, 1345, 1709},	// QSslKey::toDer
    {67, 1346, 1698},	// QSslKey::toDer#
    {67, 1349, 1708},	// QSslKey::toPem
    {67, 1350, 1697},	// QSslKey::toPem#
    {67, 1362, 1695},	// QSslKey::type
    {67, 1428, 1710},	// QSslKey::~QSslKey
    {68, 16, 1819},	// QSslSocket::AutoVerifyPeer
    {68, 290, 1794},	// QSslSocket::QSslSocket
    {68, 291, 1718},	// QSslSocket::QSslSocket#
    {68, 307, 1817},	// QSslSocket::QueryPeer
    {68, 342, 1814},	// QSslSocket::SslClientMode
    {68, 344, 1815},	// QSslSocket::SslServerMode
    {68, 371, 1813},	// QSslSocket::UnencryptedMode
    {68, 392, 1816},	// QSslSocket::VerifyNone
    {68, 393, 1818},	// QSslSocket::VerifyPeer
    {68, 408, 1740},	// QSslSocket::abort
    {68, 415, 1762},	// QSslSocket::addCaCertificate#
    {68, 417, 1803},	// QSslSocket::addCaCertificates$
    {68, 418, 1804},	// QSslSocket::addCaCertificates$$
    {68, 419, 1761},	// QSslSocket::addCaCertificates$$$
    {68, 420, 1763},	// QSslSocket::addCaCertificates?
    {68, 422, 1767},	// QSslSocket::addDefaultCaCertificate#
    {68, 424, 1805},	// QSslSocket::addDefaultCaCertificates$
    {68, 425, 1806},	// QSslSocket::addDefaultCaCertificates$$
    {68, 426, 1766},	// QSslSocket::addDefaultCaCertificates$$$
    {68, 427, 1768},	// QSslSocket::addDefaultCaCertificates?
    {68, 444, 1738},	// QSslSocket::atEnd
    {68, 462, 1734},	// QSslSocket::bytesAvailable
    {68, 464, 1735},	// QSslSocket::bytesToWrite
    {68, 466, 1765},	// QSslSocket::caCertificates
    {68, 470, 1736},	// QSslSocket::canReadLine
    {68, 477, 1755},	// QSslSocket::ciphers
    {68, 481, 1737},	// QSslSocket::close
    {68, 506, 1795},	// QSslSocket::connectToHostEncrypted$$
    {68, 507, -46},	// QSslSocket::connectToHostEncrypted$$$
    {68, 508, 1720},	// QSslSocket::connectToHostEncrypted$$$$
    {68, 511, 1788},	// QSslSocket::connectToHostImplementation$$$
    {68, 539, 1770},	// QSslSocket::defaultCaCertificates
    {68, 540, 1759},	// QSslSocket::defaultCiphers
    {68, 548, 1789},	// QSslSocket::disconnectFromHostImplementation
    {68, 559, 1783},	// QSslSocket::encrypted
    {68, 560, 1742},	// QSslSocket::encryptedBytesAvailable
    {68, 561, 1743},	// QSslSocket::encryptedBytesToWrite
    {68, 563, 1787},	// QSslSocket::encryptedBytesWritten$
    {68, 580, 1739},	// QSslSocket::flush
    {68, 624, 1782},	// QSslSocket::ignoreSslErrors
    {68, 625, 1779},	// QSslSocket::ignoreSslErrors?
    {68, 640, 1725},	// QSslSocket::isEncrypted
    {68, 688, 1748},	// QSslSocket::localCertificate
    {68, 705, 1711},	// QSslSocket::metaObject
    {68, 711, 1724},	// QSslSocket::mode
    {68, 713, 1786},	// QSslSocket::modeChanged$
    {68, 813, 1749},	// QSslSocket::peerCertificate
    {68, 814, 1750},	// QSslSocket::peerCertificateChain
    {68, 818, 1730},	// QSslSocket::peerVerifyDepth
    {68, 820, 1784},	// QSslSocket::peerVerifyError#
    {68, 821, 1728},	// QSslSocket::peerVerifyMode
    {68, 822, 1732},	// QSslSocket::peerVerifyName
    {68, 837, 1754},	// QSslSocket::privateKey
    {68, 838, 1726},	// QSslSocket::protocol
    {68, 1017, 1717},	// QSslSocket::qt_metacall$$?
    {68, 1019, 1712},	// QSslSocket::qt_metacast$
    {68, 1046, 1790},	// QSslSocket::readData$$
    {68, 1093, 1751},	// QSslSocket::sessionCipher
    {68, 1114, 1764},	// QSslSocket::setCaCertificates?
    {68, 1122, 1757},	// QSslSocket::setCiphers$
    {68, 1123, 1756},	// QSslSocket::setCiphers?
    {68, 1135, 1769},	// QSslSocket::setDefaultCaCertificates?
    {68, 1137, 1758},	// QSslSocket::setDefaultCiphers?
    {68, 1176, 1746},	// QSslSocket::setLocalCertificate#
    {68, 1177, 1799},	// QSslSocket::setLocalCertificate$
    {68, 1178, 1747},	// QSslSocket::setLocalCertificate$$
    {68, 1219, 1731},	// QSslSocket::setPeerVerifyDepth$
    {68, 1221, 1729},	// QSslSocket::setPeerVerifyMode$
    {68, 1223, 1733},	// QSslSocket::setPeerVerifyName$
    {68, 1233, 1752},	// QSslSocket::setPrivateKey#
    {68, 1234, 1800},	// QSslSocket::setPrivateKey$
    {68, 1235, 1801},	// QSslSocket::setPrivateKey$$
    {68, 1236, 1802},	// QSslSocket::setPrivateKey$$$
    {68, 1237, 1753},	// QSslSocket::setPrivateKey$$$#
    {68, 1239, 1727},	// QSslSocket::setProtocol$
    {68, 1256, 1741},	// QSslSocket::setReadBufferSize$
    {68, 1277, 1797},	// QSslSocket::setSocketDescriptor$
    {68, 1278, 1798},	// QSslSocket::setSocketDescriptor$$
    {68, 1279, 1721},	// QSslSocket::setSocketDescriptor$$$
    {68, 1286, 1722},	// QSslSocket::setSocketOption$#
    {68, 1290, 1745},	// QSslSocket::setSslConfiguration#
    {68, 1321, 1723},	// QSslSocket::socketOption$
    {68, 1323, 1744},	// QSslSocket::sslConfiguration
    {68, 1324, 1777},	// QSslSocket::sslErrors
    {68, 1326, 1785},	// QSslSocket::sslErrors?
    {68, 1327, 1780},	// QSslSocket::startClientEncryption
    {68, 1328, 1781},	// QSslSocket::startServerEncryption
    {68, 1332, 1812},	// QSslSocket::staticMetaObject
    {68, 1339, 1760},	// QSslSocket::supportedCiphers
    {68, 1340, 1778},	// QSslSocket::supportsSsl
    {68, 1341, 1771},	// QSslSocket::systemCaCertificates
    {68, 1355, 1792},	// QSslSocket::tr$
    {68, 1356, 1713},	// QSslSocket::tr$$
    {68, 1357, 1715},	// QSslSocket::tr$$$
    {68, 1359, 1793},	// QSslSocket::trUtf8$
    {68, 1360, 1714},	// QSslSocket::trUtf8$$
    {68, 1361, 1716},	// QSslSocket::trUtf8$$$
    {68, 1376, 1810},	// QSslSocket::waitForBytesWritten
    {68, 1377, 1775},	// QSslSocket::waitForBytesWritten$
    {68, 1378, 1807},	// QSslSocket::waitForConnected
    {68, 1379, 1772},	// QSslSocket::waitForConnected$
    {68, 1380, 1811},	// QSslSocket::waitForDisconnected
    {68, 1381, 1776},	// QSslSocket::waitForDisconnected$
    {68, 1382, 1808},	// QSslSocket::waitForEncrypted
    {68, 1383, 1773},	// QSslSocket::waitForEncrypted$
    {68, 1389, 1809},	// QSslSocket::waitForReadyRead
    {68, 1390, 1774},	// QSslSocket::waitForReadyRead$
    {68, 1392, 1791},	// QSslSocket::writeData$$
    {68, 1429, 1820},	// QSslSocket::~QSslSocket
    {71, 292, 1850},	// QTcpServer::QTcpServer
    {71, 293, 1828},	// QTcpServer::QTcpServer#
    {71, 429, 1846},	// QTcpServer::addPendingConnection#
    {71, 481, 1830},	// QTcpServer::close
    {71, 569, 1842},	// QTcpServer::errorString
    {71, 609, 1839},	// QTcpServer::hasPendingConnections
    {71, 627, 1845},	// QTcpServer::incomingConnection$
    {71, 648, 1831},	// QTcpServer::isListening
    {71, 683, 1851},	// QTcpServer::listen
    {71, 684, 1852},	// QTcpServer::listen#
    {71, 685, 1829},	// QTcpServer::listen#$
    {71, 700, 1833},	// QTcpServer::maxPendingConnections
    {71, 705, 1821},	// QTcpServer::metaObject
    {71, 723, 1847},	// QTcpServer::newConnection
    {71, 724, 1840},	// QTcpServer::nextPendingConnection
    {71, 841, 1844},	// QTcpServer::proxy
    {71, 1017, 1827},	// QTcpServer::qt_metacall$$?
    {71, 1019, 1822},	// QTcpServer::qt_metacast$
    {71, 1089, 1835},	// QTcpServer::serverAddress
    {71, 1090, 1841},	// QTcpServer::serverError
    {71, 1092, 1834},	// QTcpServer::serverPort
    {71, 1184, 1832},	// QTcpServer::setMaxPendingConnections$
    {71, 1243, 1843},	// QTcpServer::setProxy#
    {71, 1277, 1837},	// QTcpServer::setSocketDescriptor$
    {71, 1319, 1836},	// QTcpServer::socketDescriptor
    {71, 1332, 1855},	// QTcpServer::staticMetaObject
    {71, 1355, 1848},	// QTcpServer::tr$
    {71, 1356, 1823},	// QTcpServer::tr$$
    {71, 1357, 1825},	// QTcpServer::tr$$$
    {71, 1359, 1849},	// QTcpServer::trUtf8$
    {71, 1360, 1824},	// QTcpServer::trUtf8$$
    {71, 1361, 1826},	// QTcpServer::trUtf8$$$
    {71, 1384, 1853},	// QTcpServer::waitForNewConnection
    {71, 1385, 1854},	// QTcpServer::waitForNewConnection$
    {71, 1386, 1838},	// QTcpServer::waitForNewConnection$$
    {71, 1430, 1856},	// QTcpServer::~QTcpServer
    {72, 294, 1867},	// QTcpSocket::QTcpSocket
    {72, 295, 1864},	// QTcpSocket::QTcpSocket#
    {72, 705, 1857},	// QTcpSocket::metaObject
    {72, 1017, 1863},	// QTcpSocket::qt_metacall$$?
    {72, 1019, 1858},	// QTcpSocket::qt_metacast$
    {72, 1332, 1868},	// QTcpSocket::staticMetaObject
    {72, 1355, 1865},	// QTcpSocket::tr$
    {72, 1356, 1859},	// QTcpSocket::tr$$
    {72, 1357, 1861},	// QTcpSocket::tr$$$
    {72, 1359, 1866},	// QTcpSocket::trUtf8$
    {72, 1360, 1860},	// QTcpSocket::trUtf8$$
    {72, 1361, 1862},	// QTcpSocket::trUtf8$$$
    {72, 1431, 1869},	// QTcpSocket::~QTcpSocket
    {77, 74, 1900},	// QUdpSocket::DefaultForPlatform
    {77, 84, 1902},	// QUdpSocket::DontShareAddress
    {77, 296, 1895},	// QUdpSocket::QUdpSocket
    {77, 297, 1877},	// QUdpSocket::QUdpSocket#
    {77, 319, 1903},	// QUdpSocket::ReuseAddressHint
    {77, 335, 1901},	// QUdpSocket::ShareAddress
    {77, 456, 1896},	// QUdpSocket::bind
    {77, 457, 1878},	// QUdpSocket::bind#$
    {77, 458, 1880},	// QUdpSocket::bind#$$
    {77, 459, 1879},	// QUdpSocket::bind$
    {77, 460, 1881},	// QUdpSocket::bind$$
    {77, 610, 1888},	// QUdpSocket::hasPendingDatagrams
    {77, 666, 1882},	// QUdpSocket::joinMulticastGroup#
    {77, 667, 1883},	// QUdpSocket::joinMulticastGroup##
    {77, 674, 1884},	// QUdpSocket::leaveMulticastGroup#
    {77, 675, 1885},	// QUdpSocket::leaveMulticastGroup##
    {77, 705, 1870},	// QUdpSocket::metaObject
    {77, 714, 1886},	// QUdpSocket::multicastInterface
    {77, 823, 1889},	// QUdpSocket::pendingDatagramSize
    {77, 1017, 1876},	// QUdpSocket::qt_metacall$$?
    {77, 1019, 1871},	// QUdpSocket::qt_metacast$
    {77, 1048, 1897},	// QUdpSocket::readDatagram$$
    {77, 1049, 1898},	// QUdpSocket::readDatagram$$#
    {77, 1050, 1890},	// QUdpSocket::readDatagram$$#$
    {77, 1188, 1887},	// QUdpSocket::setMulticastInterface#
    {77, 1332, 1899},	// QUdpSocket::staticMetaObject
    {77, 1355, 1893},	// QUdpSocket::tr$
    {77, 1356, 1872},	// QUdpSocket::tr$$
    {77, 1357, 1874},	// QUdpSocket::tr$$$
    {77, 1359, 1894},	// QUdpSocket::trUtf8$
    {77, 1360, 1873},	// QUdpSocket::trUtf8$$
    {77, 1361, 1875},	// QUdpSocket::trUtf8$$$
    {77, 1394, 1892},	// QUdpSocket::writeDatagram##$
    {77, 1395, 1891},	// QUdpSocket::writeDatagram$$#$
    {77, 1432, 1904},	// QUdpSocket::~QUdpSocket
    {79, 88, 1946},	// QUrlInfo::ExeGroup
    {79, 89, 1949},	// QUrlInfo::ExeOther
    {79, 90, 1943},	// QUrlInfo::ExeOwner
    {79, 298, 1905},	// QUrlInfo::QUrlInfo
    {79, 299, 1906},	// QUrlInfo::QUrlInfo#
    {79, 300, 1908},	// QUrlInfo::QUrlInfo#$$$$##$$$$$$
    {79, 301, 1907},	// QUrlInfo::QUrlInfo$$$$$##$$$$$$
    {79, 309, 1944},	// QUrlInfo::ReadGroup
    {79, 311, 1947},	// QUrlInfo::ReadOther
    {79, 312, 1941},	// QUrlInfo::ReadOwner
    {79, 394, 1945},	// QUrlInfo::WriteGroup
    {79, 396, 1948},	// QUrlInfo::WriteOther
    {79, 397, 1942},	// QUrlInfo::WriteOwner
    {79, 566, 1938},	// QUrlInfo::equal##$
    {79, 600, 1936},	// QUrlInfo::greaterThan##$
    {79, 601, 1926},	// QUrlInfo::group
    {79, 639, 1930},	// QUrlInfo::isDir
    {79, 641, 1935},	// QUrlInfo::isExecutable
    {79, 642, 1931},	// QUrlInfo::isFile
    {79, 652, 1934},	// QUrlInfo::isReadable
    {79, 658, 1932},	// QUrlInfo::isSymLink
    {79, 660, 1922},	// QUrlInfo::isValid
    {79, 661, 1933},	// QUrlInfo::isWritable
    {79, 670, 1928},	// QUrlInfo::lastModified
    {79, 671, 1929},	// QUrlInfo::lastRead
    {79, 678, 1937},	// QUrlInfo::lessThan##$
    {79, 715, 1923},	// QUrlInfo::name
    {79, 731, 1940},	// QUrlInfo::operator!=#
    {79, 767, 1909},	// QUrlInfo::operator=#
    {79, 770, 1939},	// QUrlInfo::operator==#
    {79, 801, 1925},	// QUrlInfo::owner
    {79, 824, 1924},	// QUrlInfo::permissions
    {79, 1141, 1911},	// QUrlInfo::setDir$
    {79, 1152, 1912},	// QUrlInfo::setFile$
    {79, 1156, 1915},	// QUrlInfo::setGroup$
    {79, 1170, 1920},	// QUrlInfo::setLastModified#
    {79, 1172, 1921},	// QUrlInfo::setLastRead#
    {79, 1191, 1910},	// QUrlInfo::setName$
    {79, 1205, 1914},	// QUrlInfo::setOwner$
    {79, 1225, 1919},	// QUrlInfo::setPermissions$
    {79, 1258, 1918},	// QUrlInfo::setReadable$
    {79, 1273, 1916},	// QUrlInfo::setSize$
    {79, 1297, 1913},	// QUrlInfo::setSymLink$
    {79, 1317, 1917},	// QUrlInfo::setWritable$
    {79, 1318, 1927},	// QUrlInfo::size
    {79, 1433, 1950},	// QUrlInfo::~QUrlInfo
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtnetwork_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtnetwork_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtnetwork_Smoke = new Smoke(
        "qtnetwork",
        __smokeqtnetwork::classes, 83,
        __smokeqtnetwork::methods, 1951,
        __smokeqtnetwork::methodMaps, 1583,
        __smokeqtnetwork::methodNames, 1433,
        __smokeqtnetwork::types, 423,
        __smokeqtnetwork::inheritanceList,
        __smokeqtnetwork::argumentList,
        __smokeqtnetwork::ambiguousMethodList,
        __smokeqtnetwork::cast );
    initialized = true;
}

void delete_qtnetwork_Smoke() { delete qtnetwork_Smoke; }

}
