#include <qtwebkit_includes.h>

#include <smoke.h>
#include <qtwebkit_smoke.h>

namespace __smokeqtwebkit {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAction
      switch(to) {
        case 1: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QContextMenuEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 7: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDateTime
      switch(to) {
        case 8: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 12: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 17:   //QHideEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 17: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QIcon
      switch(to) {
        case 18: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 19:   //QIncompatibleFlag
      switch(to) {
        case 19: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 20:   //QInputMethodEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 20: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QKeyEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 21: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QMenu
      switch(to) {
        case 22: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 23:   //QMetaObject
      switch(to) {
        case 23: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 24:   //QMouseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 24: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QMoveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 25: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QNetworkAccessManager
      switch(to) {
        case 29: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 26: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 27:   //QNetworkReply
      switch(to) {
        case 29: return (void*)(QObject*)(QNetworkReply*)xptr;
        case 27: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 28:   //QNetworkRequest
      switch(to) {
        case 28: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 29:   //QObject
      switch(to) {
        case 29: return (void*)(QObject*)xptr;
        case 77: return (void*)(QWebView*)(QObject*)xptr;
        case 54: return (void*)(QWebFrame*)(QObject*)xptr;
        case 60: return (void*)(QWebPage*)(QObject*)xptr;
        case 69: return (void*)(QWebPluginFactory*)(QObject*)xptr;
        case 56: return (void*)(QWebHistoryInterface*)(QObject*)xptr;
        case 59: return (void*)(QWebInspector*)(QObject*)xptr;
        default: return xptr;
      }
    case 30:   //QPaintEngine
      switch(to) {
        case 30: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 31:   //QPaintEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 31: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QPainter
      switch(to) {
        case 32: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 33:   //QPalette
      switch(to) {
        case 33: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 34:   //QPixmap
      switch(to) {
        case 34: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 35:   //QPoint
      switch(to) {
        case 35: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 36:   //QPrinter
      switch(to) {
        case 36: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 37:   //QRect
      switch(to) {
        case 37: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 38:   //QRegExp
      switch(to) {
        case 38: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 39:   //QRegion
      switch(to) {
        case 39: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 40:   //QResizeEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 40: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QShowEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 41: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QSize
      switch(to) {
        case 42: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 43:   //QStyle
      switch(to) {
        case 43: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 44:   //QTabletEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 44: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QTimerEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 45: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QUndoStack
      switch(to) {
        case 46: return (void*)(QUndoStack*)xptr;
        default: return xptr;
      }
    case 47:   //QUrl
      switch(to) {
        case 47: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 48:   //QVariant
      switch(to) {
        case 48: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 49:   //QWebDatabase
      switch(to) {
        case 49: return (void*)(QWebDatabase*)xptr;
        default: return xptr;
      }
    case 50:   //QWebElement
      switch(to) {
        case 50: return (void*)(QWebElement*)xptr;
        default: return xptr;
      }
    case 51:   //QWebElementCollection
      switch(to) {
        case 51: return (void*)(QWebElementCollection*)xptr;
        default: return xptr;
      }
    case 52:   //QWebElementCollection::const_iterator
      switch(to) {
        case 52: return (void*)(QWebElementCollection::const_iterator*)xptr;
        default: return xptr;
      }
    case 53:   //QWebElementCollection::iterator
      switch(to) {
        case 53: return (void*)(QWebElementCollection::iterator*)xptr;
        default: return xptr;
      }
    case 54:   //QWebFrame
      switch(to) {
        case 29: return (void*)(QObject*)(QWebFrame*)xptr;
        case 54: return (void*)(QWebFrame*)xptr;
        default: return xptr;
      }
    case 55:   //QWebHistory
      switch(to) {
        case 55: return (void*)(QWebHistory*)xptr;
        default: return xptr;
      }
    case 56:   //QWebHistoryInterface
      switch(to) {
        case 29: return (void*)(QObject*)(QWebHistoryInterface*)xptr;
        case 56: return (void*)(QWebHistoryInterface*)xptr;
        default: return xptr;
      }
    case 57:   //QWebHistoryItem
      switch(to) {
        case 57: return (void*)(QWebHistoryItem*)xptr;
        default: return xptr;
      }
    case 58:   //QWebHitTestResult
      switch(to) {
        case 58: return (void*)(QWebHitTestResult*)xptr;
        default: return xptr;
      }
    case 59:   //QWebInspector
      switch(to) {
        case 79: return (void*)(QWidget*)(QWebInspector*)xptr;
        case 29: return (void*)(QObject*)(QWebInspector*)xptr;
        case 59: return (void*)(QWebInspector*)xptr;
        default: return xptr;
      }
    case 60:   //QWebPage
      switch(to) {
        case 29: return (void*)(QObject*)(QWebPage*)xptr;
        case 60: return (void*)(QWebPage*)xptr;
        default: return xptr;
      }
    case 61:   //QWebPage::ChooseMultipleFilesExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        default: return xptr;
      }
    case 62:   //QWebPage::ChooseMultipleFilesExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        case 62: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        default: return xptr;
      }
    case 63:   //QWebPage::ErrorPageExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ErrorPageExtensionOption*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionOption*)xptr;
        default: return xptr;
      }
    case 64:   //QWebPage::ErrorPageExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        case 64: return (void*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        default: return xptr;
      }
    case 65:   //QWebPage::ExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 66:   //QWebPage::ExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)xptr;
        case 64: return (void*)(QWebPage::ErrorPageExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        case 62: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 67:   //QWebPage::ViewportAttributes
      switch(to) {
        case 67: return (void*)(QWebPage::ViewportAttributes*)xptr;
        default: return xptr;
      }
    case 68:   //QWebPagePrivate
      switch(to) {
        case 68: return (void*)(QWebPagePrivate*)xptr;
        default: return xptr;
      }
    case 69:   //QWebPluginFactory
      switch(to) {
        case 29: return (void*)(QObject*)(QWebPluginFactory*)xptr;
        case 69: return (void*)(QWebPluginFactory*)xptr;
        default: return xptr;
      }
    case 70:   //QWebPluginFactory::ExtensionOption
      switch(to) {
        case 70: return (void*)(QWebPluginFactory::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 71:   //QWebPluginFactory::ExtensionReturn
      switch(to) {
        case 71: return (void*)(QWebPluginFactory::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 72:   //QWebPluginFactory::MimeType
      switch(to) {
        case 72: return (void*)(QWebPluginFactory::MimeType*)xptr;
        default: return xptr;
      }
    case 73:   //QWebPluginFactory::Plugin
      switch(to) {
        case 73: return (void*)(QWebPluginFactory::Plugin*)xptr;
        default: return xptr;
      }
    case 74:   //QWebSecurityOrigin
      switch(to) {
        case 74: return (void*)(QWebSecurityOrigin*)xptr;
        default: return xptr;
      }
    case 75:   //QWebSettings
      switch(to) {
        case 75: return (void*)(QWebSettings*)xptr;
        default: return xptr;
      }
    case 76:   //QWebSettingsPrivate
      switch(to) {
        case 76: return (void*)(QWebSettingsPrivate*)xptr;
        default: return xptr;
      }
    case 77:   //QWebView
      switch(to) {
        case 79: return (void*)(QWidget*)(QWebView*)xptr;
        case 29: return (void*)(QObject*)(QWebView*)xptr;
        case 77: return (void*)(QWebView*)xptr;
        default: return xptr;
      }
    case 78:   //QWheelEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 78: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QWidget
      switch(to) {
        case 29: return (void*)(QObject*)(QWidget*)xptr;
        case 79: return (void*)(QWidget*)xptr;
        case 77: return (void*)(QWebView*)(QWidget*)xptr;
        case 59: return (void*)(QWebInspector*)(QWidget*)xptr;
        default: return xptr;
      }
    case 80:   //std::bidirectional_iterator_tag
      switch(to) {
        case 80: return (void*)(std::bidirectional_iterator_tag*)xptr;
        default: return xptr;
      }
    case 81:   //std::random_access_iterator_tag
      switch(to) {
        case 81: return (void*)(std::random_access_iterator_tag*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    29, 0,	// 1: QObject
    79, 0,	// 3: QWidget
    65, 0,	// 5: QWebPage::ExtensionOption
    66, 0,	// 7: QWebPage::ExtensionReturn
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebElement(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebFrame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPluginFactory(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__const_iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebFrame(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHitTestResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebInspector(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__MimeType(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSecurityOrigin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSettings(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebView(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAction", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QIcon", true, 0, 0, 0, 0, 0 },	//18
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//19
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QMenu", true, 0, 0, 0, 0, 0 },	//22
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//23
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//26
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//27
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//28
    { "QObject", true, 0, 0, 0, 0, 0 },	//29
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//30
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QPainter", true, 0, 0, 0, 0, 0 },	//32
    { "QPalette", true, 0, 0, 0, 0, 0 },	//33
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//34
    { "QPoint", true, 0, 0, 0, 0, 0 },	//35
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//36
    { "QRect", true, 0, 0, 0, 0, 0 },	//37
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//38
    { "QRegion", true, 0, 0, 0, 0, 0 },	//39
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QSize", true, 0, 0, 0, 0, 0 },	//42
    { "QStyle", true, 0, 0, 0, 0, 0 },	//43
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QUndoStack", true, 0, 0, 0, 0, 0 },	//46
    { "QUrl", true, 0, 0, 0, 0, 0 },	//47
    { "QVariant", true, 0, 0, 0, 0, 0 },	//48
    { "QWebDatabase", false, 0, xcall_QWebDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebDatabase) },	//49
    { "QWebElement", false, 0, xcall_QWebElement, xenum_QWebElement, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElement) },	//50
    { "QWebElementCollection", false, 0, xcall_QWebElementCollection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection) },	//51
    { "QWebElementCollection::const_iterator", false, 0, xcall_QWebElementCollection__const_iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::const_iterator) },	//52
    { "QWebElementCollection::iterator", false, 0, xcall_QWebElementCollection__iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::iterator) },	//53
    { "QWebFrame", false, 1, xcall_QWebFrame, xenum_QWebFrame, Smoke::cf_virtual, sizeof(QWebFrame) },	//54
    { "QWebHistory", false, 0, xcall_QWebHistory, 0, 0, sizeof(QWebHistory) },	//55
    { "QWebHistoryInterface", false, 1, xcall_QWebHistoryInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebHistoryInterface) },	//56
    { "QWebHistoryItem", false, 0, xcall_QWebHistoryItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHistoryItem) },	//57
    { "QWebHitTestResult", false, 0, xcall_QWebHitTestResult, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHitTestResult) },	//58
    { "QWebInspector", false, 3, xcall_QWebInspector, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebInspector) },	//59
    { "QWebPage", false, 1, xcall_QWebPage, xenum_QWebPage, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPage) },	//60
    { "QWebPage::ChooseMultipleFilesExtensionOption", false, 5, xcall_QWebPage__ChooseMultipleFilesExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionOption) },	//61
    { "QWebPage::ChooseMultipleFilesExtensionReturn", false, 7, xcall_QWebPage__ChooseMultipleFilesExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionReturn) },	//62
    { "QWebPage::ErrorPageExtensionOption", false, 5, xcall_QWebPage__ErrorPageExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionOption) },	//63
    { "QWebPage::ErrorPageExtensionReturn", false, 7, xcall_QWebPage__ErrorPageExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionReturn) },	//64
    { "QWebPage::ExtensionOption", false, 0, xcall_QWebPage__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionOption) },	//65
    { "QWebPage::ExtensionReturn", false, 0, xcall_QWebPage__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionReturn) },	//66
    { "QWebPage::ViewportAttributes", true, 0, 0, 0, 0, 0 },	//67
    { "QWebPagePrivate", true, 0, 0, 0, 0, 0 },	//68
    { "QWebPluginFactory", false, 1, xcall_QWebPluginFactory, xenum_QWebPluginFactory, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPluginFactory) },	//69
    { "QWebPluginFactory::ExtensionOption", false, 0, xcall_QWebPluginFactory__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionOption) },	//70
    { "QWebPluginFactory::ExtensionReturn", false, 0, xcall_QWebPluginFactory__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionReturn) },	//71
    { "QWebPluginFactory::MimeType", false, 0, xcall_QWebPluginFactory__MimeType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::MimeType) },	//72
    { "QWebPluginFactory::Plugin", false, 0, xcall_QWebPluginFactory__Plugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::Plugin) },	//73
    { "QWebSecurityOrigin", false, 0, xcall_QWebSecurityOrigin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebSecurityOrigin) },	//74
    { "QWebSettings", false, 0, xcall_QWebSettings, xenum_QWebSettings, 0, sizeof(QWebSettings) },	//75
    { "QWebSettingsPrivate", true, 0, 0, 0, 0, 0 },	//76
    { "QWebView", false, 3, xcall_QWebView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebView) },	//77
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QWidget", true, 0, 0, 0, 0, 0 },	//79
    { "std::bidirectional_iterator_tag", true, 0, 0, 0, 0, 0 },	//80
    { "std::random_access_iterator_tag", true, 0, 0, 0, 0, 0 },	//81
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//4
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QContextMenuEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDateTime", 8, Smoke::t_class|Smoke::tf_stack },	//8
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//15
    { "QFlags<QWebPage::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//16
    { "QFlags<QtConcurrent::ReduceOptions::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//17
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QHideEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QIcon", 18, Smoke::t_class|Smoke::tf_stack },	//20
    { "QIncompatibleFlag", 19, Smoke::t_class|Smoke::tf_stack },	//21
    { "QInputMethodEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QKeyEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QList<QWebDatabase>", 0, Smoke::t_voidp|Smoke::tf_stack },	//24
    { "QList<QWebElement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//25
    { "QList<QWebFrame*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//26
    { "QList<QWebHistoryItem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//27
    { "QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//28
    { "QList<QWebPluginFactory::Plugin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//29
    { "QList<QWebSecurityOrigin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//30
    { "QMenu*", 22, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QMetaObject::Call", 23, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QMouseEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QMoveEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QMultiMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//35
    { "QNetworkAccessManager*", 26, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QNetworkAccessManager::Operation", 26, Smoke::t_enum|Smoke::tf_stack },	//37
    { "QNetworkReply*", 27, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QObject*", 29, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "QPaintEngine*", 30, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QPaintEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QPainter*", 32, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QPainter::RenderHint", 32, Smoke::t_enum|Smoke::tf_stack },	//44
    { "QPalette", 33, Smoke::t_class|Smoke::tf_stack },	//45
    { "QPixmap", 34, Smoke::t_class|Smoke::tf_stack },	//46
    { "QPoint", 35, Smoke::t_class|Smoke::tf_stack },	//47
    { "QPrinter*", 36, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QRect", 37, Smoke::t_class|Smoke::tf_stack },	//49
    { "QRegExp&", 38, Smoke::t_class|Smoke::tf_ref },	//50
    { "QResizeEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QScriptEngine::ValueOwnership", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "QShowEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QSize", 42, Smoke::t_class|Smoke::tf_stack },	//54
    { "QSsl::AlternateNameEntryType", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "QSsl::EncodingFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "QSsl::KeyAlgorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QSsl::KeyType", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QSsl::SslProtocol", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//60
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//61
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//62
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//63
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//64
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//65
    { "QStyle&", 43, Smoke::t_class|Smoke::tf_ref },	//66
    { "QTabletEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QTimerEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QUndoStack*", 46, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QUrl", 47, Smoke::t_class|Smoke::tf_stack },	//70
    { "QUrl&", 47, Smoke::t_class|Smoke::tf_ref },	//71
    { "QVariant", 48, Smoke::t_class|Smoke::tf_stack },	//72
    { "QWebDatabase&", 49, Smoke::t_class|Smoke::tf_ref },	//73
    { "QWebDatabase*", 49, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QWebElement", 50, Smoke::t_class|Smoke::tf_stack },	//75
    { "QWebElement&", 50, Smoke::t_class|Smoke::tf_ref },	//76
    { "QWebElement*", 50, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QWebElement::StyleResolveStrategy", 50, Smoke::t_enum|Smoke::tf_stack },	//78
    { "QWebElementCollection", 51, Smoke::t_class|Smoke::tf_stack },	//79
    { "QWebElementCollection&", 51, Smoke::t_class|Smoke::tf_ref },	//80
    { "QWebElementCollection*", 51, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QWebElementCollection::const_iterator", 52, Smoke::t_class|Smoke::tf_stack },	//82
    { "QWebElementCollection::const_iterator&", 52, Smoke::t_class|Smoke::tf_ref },	//83
    { "QWebElementCollection::const_iterator*", 52, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QWebElementCollection::iterator", 53, Smoke::t_class|Smoke::tf_stack },	//85
    { "QWebElementCollection::iterator&", 53, Smoke::t_class|Smoke::tf_ref },	//86
    { "QWebElementCollection::iterator*", 53, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QWebFrame*", 54, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QWebFrame::RenderLayer", 54, Smoke::t_enum|Smoke::tf_stack },	//89
    { "QWebHistory*", 55, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QWebHistoryInterface*", 56, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QWebHistoryItem", 57, Smoke::t_class|Smoke::tf_stack },	//92
    { "QWebHistoryItem&", 57, Smoke::t_class|Smoke::tf_ref },	//93
    { "QWebHistoryItem*", 57, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QWebHitTestResult", 58, Smoke::t_class|Smoke::tf_stack },	//95
    { "QWebHitTestResult&", 58, Smoke::t_class|Smoke::tf_ref },	//96
    { "QWebHitTestResult*", 58, Smoke::t_class|Smoke::tf_ptr },	//97
    { "QWebInspector*", 59, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QWebPage*", 60, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QWebPage::ChooseMultipleFilesExtensionOption*", 61, Smoke::t_class|Smoke::tf_ptr },	//100
    { "QWebPage::ChooseMultipleFilesExtensionReturn*", 62, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QWebPage::ErrorDomain", 60, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QWebPage::ErrorPageExtensionOption*", 63, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QWebPage::ErrorPageExtensionReturn*", 64, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QWebPage::Extension", 60, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QWebPage::ExtensionOption*", 65, Smoke::t_class|Smoke::tf_ptr },	//106
    { "QWebPage::ExtensionReturn*", 66, Smoke::t_class|Smoke::tf_ptr },	//107
    { "QWebPage::Feature", 60, Smoke::t_enum|Smoke::tf_stack },	//108
    { "QWebPage::FindFlag", 60, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QWebPage::LinkDelegationPolicy", 60, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QWebPage::NavigationType", 60, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QWebPage::PermissionPolicy", 60, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QWebPage::ViewportAttributes", 67, Smoke::t_class|Smoke::tf_stack },	//113
    { "QWebPage::WebAction", 60, Smoke::t_enum|Smoke::tf_stack },	//114
    { "QWebPage::WebWindowType", 60, Smoke::t_enum|Smoke::tf_stack },	//115
    { "QWebPagePrivate*", 68, Smoke::t_class|Smoke::tf_ptr },	//116
    { "QWebPluginFactory*", 69, Smoke::t_class|Smoke::tf_ptr },	//117
    { "QWebPluginFactory::Extension", 69, Smoke::t_enum|Smoke::tf_stack },	//118
    { "QWebPluginFactory::ExtensionOption*", 70, Smoke::t_class|Smoke::tf_ptr },	//119
    { "QWebPluginFactory::ExtensionReturn*", 71, Smoke::t_class|Smoke::tf_ptr },	//120
    { "QWebPluginFactory::MimeType*", 72, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QWebPluginFactory::Plugin*", 73, Smoke::t_class|Smoke::tf_ptr },	//122
    { "QWebSecurityOrigin", 74, Smoke::t_class|Smoke::tf_stack },	//123
    { "QWebSecurityOrigin&", 74, Smoke::t_class|Smoke::tf_ref },	//124
    { "QWebSecurityOrigin*", 74, Smoke::t_class|Smoke::tf_ptr },	//125
    { "QWebSettings*", 75, Smoke::t_class|Smoke::tf_ptr },	//126
    { "QWebSettings::FontFamily", 75, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QWebSettings::FontSize", 75, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QWebSettings::WebAttribute", 75, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QWebSettings::WebGraphic", 75, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QWebSettingsPrivate*", 76, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QWebView*", 77, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QWheelEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//133
    { "QWidget*", 79, Smoke::t_class|Smoke::tf_ptr },	//134
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QtConcurrent::ReduceOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//208
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//210
    { "_LIB_VERSION_TYPE", 16, Smoke::t_enum|Smoke::tf_stack },	//211
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//212
    { "__codecvt_result", 16, Smoke::t_enum|Smoke::tf_stack },	//213
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//214
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//215
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//216
    { "const QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const QMetaObject&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//218
    { "const QMetaObject*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//219
    { "const QNetworkRequest&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//220
    { "const QPalette&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const QPixmap&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const QPoint&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const QRect&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const QRegExp&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const QRegion&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const QSize&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//230
    { "const QUrl&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QVariant&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QWebDatabase&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QWebElement", 50, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//234
    { "const QWebElement&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QWebElementCollection&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QWebElementCollection*", 51, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//237
    { "const QWebElementCollection::const_iterator&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QWebElementCollection::iterator&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QWebHistoryItem&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QWebHitTestResult&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QWebPage::ChooseMultipleFilesExtensionOption&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QWebPage::ChooseMultipleFilesExtensionReturn&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QWebPage::ErrorPageExtensionOption&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QWebPage::ErrorPageExtensionReturn&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QWebPage::ExtensionOption&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QWebPage::ExtensionOption*", 65, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//247
    { "const QWebPage::ExtensionReturn&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QWebPluginFactory::ExtensionOption&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QWebPluginFactory::ExtensionOption*", 70, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//250
    { "const QWebPluginFactory::ExtensionReturn&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QWebPluginFactory::MimeType&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QWebPluginFactory::Plugin&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QWebSecurityOrigin&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//255
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//256
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//257
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//258
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//259
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//260
    { "quint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//261
    { "std::bidirectional_iterator_tag", 80, Smoke::t_class|Smoke::tf_stack },	//262
    { "std::forward_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//263
    { "std::random_access_iterator_tag", 81, Smoke::t_class|Smoke::tf_stack },	//264
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//265
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//266
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//267
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//268
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    14, 0,	//1  QEvent*
    39, 14, 0,	//3  QObject*, QEvent*
    68, 0,	//6  QTimerEvent*
    5, 0,	//8  QChildEvent*
    255, 0,	//10  const char*
    233, 0,	//12  const QWebDatabase&
    235, 0,	//14  const QWebElement&
    228, 0,	//16  const QString&
    228, 228, 0,	//18  const QString&, const QString&
    228, 228, 228, 0,	//21  const QString&, const QString&, const QString&
    228, 78, 0,	//25  const QString&, QWebElement::StyleResolveStrategy
    43, 0,	//28  QPainter*
    43, 224, 0,	//30  QPainter*, const QRect&
    235, 228, 0,	//33  const QWebElement&, const QString&
    236, 0,	//36  const QWebElementCollection&
    258, 0,	//38  int
    237, 258, 0,	//40  const QWebElementCollection*, int
    238, 0,	//43  const QWebElementCollection::const_iterator&
    82, 0,	//45  QWebElementCollection::const_iterator
    239, 0,	//47  const QWebElementCollection::iterator&
    85, 0,	//49  QWebElementCollection::iterator
    255, 255, 0,	//51  const char*, const char*
    255, 255, 258, 0,	//54  const char*, const char*, int
    32, 258, 267, 0,	//58  QMetaObject::Call, int, void**
    231, 0,	//62  const QUrl&
    220, 37, 215, 0,	//64  const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&
    228, 231, 0,	//68  const QString&, const QUrl&
    215, 228, 231, 0,	//71  const QByteArray&, const QString&, const QUrl&
    228, 39, 0,	//75  const QString&, QObject*
    228, 39, 52, 0,	//78  const QString&, QObject*, QScriptEngine::ValueOwnership
    181, 0,	//82  Qt::Orientation
    181, 185, 0,	//84  Qt::Orientation, Qt::ScrollBarPolicy
    181, 258, 0,	//87  Qt::Orientation, int
    258, 258, 0,	//90  int, int
    223, 0,	//93  const QPoint&
    43, 226, 0,	//95  QPainter*, const QRegion&
    43, 89, 226, 0,	//98  QPainter*, QWebFrame::RenderLayer, const QRegion&
    257, 0,	//102  double
    48, 0,	//104  QPrinter*
    227, 0,	//106  const QSize&
    214, 0,	//108  bool
    220, 0,	//110  const QNetworkRequest&
    220, 37, 0,	//112  const QNetworkRequest&, QNetworkAccessManager::Operation
    215, 0,	//115  const QByteArray&
    215, 228, 0,	//117  const QByteArray&, const QString&
    43, 89, 0,	//120  QPainter*, QWebFrame::RenderLayer
    240, 0,	//123  const QWebHistoryItem&
    39, 0,	//125  QObject*
    91, 0,	//127  QWebHistoryInterface*
    232, 0,	//129  const QVariant&
    241, 0,	//131  const QWebHitTestResult&
    134, 0,	//133  QWidget*
    99, 0,	//135  QWebPage*
    51, 0,	//137  QResizeEvent*
    53, 0,	//139  QShowEvent*
    19, 0,	//141  QHideEvent*
    6, 0,	//143  QCloseEvent*
    36, 0,	//145  QNetworkAccessManager*
    117, 0,	//147  QWebPluginFactory*
    114, 0,	//149  QWebPage::WebAction
    114, 214, 0,	//151  QWebPage::WebAction, bool
    224, 0,	//154  const QRect&
    169, 0,	//156  Qt::InputMethodQuery
    228, 16, 0,	//158  const QString&, QFlags<QWebPage::FindFlag>
    110, 0,	//161  QWebPage::LinkDelegationPolicy
    221, 0,	//163  const QPalette&
    7, 0,	//165  QContextMenuEvent*
    88, 108, 112, 0,	//167  QWebFrame*, QWebPage::Feature, QWebPage::PermissionPolicy
    105, 247, 107, 0,	//171  QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*
    105, 0,	//175  QWebPage::Extension
    88, 0,	//177  QWebFrame*
    258, 258, 224, 0,	//179  int, int, const QRect&
    38, 0,	//183  QNetworkReply*
    88, 60, 0,	//185  QWebFrame*, QString
    125, 261, 0,	//188  QWebSecurityOrigin*, quint64
    88, 94, 0,	//191  QWebFrame*, QWebHistoryItem*
    88, 108, 0,	//194  QWebFrame*, QWebPage::Feature
    115, 0,	//197  QWebPage::WebWindowType
    228, 231, 229, 229, 0,	//199  const QString&, const QUrl&, const QStringList&, const QStringList&
    88, 220, 111, 0,	//204  QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType
    88, 228, 0,	//208  QWebFrame*, const QString&
    88, 228, 228, 62, 0,	//211  QWebFrame*, const QString&, const QString&, QString*
    228, 258, 228, 0,	//216  const QString&, int, const QString&
    105, 247, 0,	//220  QWebPage::Extension, const QWebPage::ExtensionOption*
    242, 0,	//223  const QWebPage::ChooseMultipleFilesExtensionOption&
    229, 0,	//225  const QStringList&
    243, 0,	//227  const QWebPage::ChooseMultipleFilesExtensionReturn&
    244, 0,	//229  const QWebPage::ErrorPageExtensionOption&
    102, 0,	//231  QWebPage::ErrorDomain
    245, 0,	//233  const QWebPage::ErrorPageExtensionReturn&
    246, 0,	//235  const QWebPage::ExtensionOption&
    248, 0,	//237  const QWebPage::ExtensionReturn&
    118, 250, 120, 0,	//239  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*
    118, 0,	//243  QWebPluginFactory::Extension
    118, 250, 0,	//245  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*
    249, 0,	//248  const QWebPluginFactory::ExtensionOption&
    251, 0,	//250  const QWebPluginFactory::ExtensionReturn&
    252, 0,	//252  const QWebPluginFactory::MimeType&
    253, 0,	//254  const QWebPluginFactory::Plugin&
    217, 0,	//256  const QList<QWebPluginFactory::MimeType>&
    260, 0,	//258  long long
    254, 0,	//260  const QWebSecurityOrigin&
    127, 228, 0,	//262  QWebSettings::FontFamily, const QString&
    127, 0,	//265  QWebSettings::FontFamily
    128, 258, 0,	//267  QWebSettings::FontSize, int
    128, 0,	//270  QWebSettings::FontSize
    129, 214, 0,	//272  QWebSettings::WebAttribute, bool
    129, 0,	//275  QWebSettings::WebAttribute
    130, 222, 0,	//277  QWebSettings::WebGraphic, const QPixmap&
    130, 0,	//280  QWebSettings::WebGraphic
    258, 258, 258, 0,	//282  int, int, int
    15, 0,	//286  QFlags<QPainter::RenderHint>
    44, 214, 0,	//288  QPainter::RenderHint, bool
    42, 0,	//291  QPaintEvent*
    33, 0,	//293  QMouseEvent*
    133, 0,	//295  QWheelEvent*
    23, 0,	//297  QKeyEvent*
    9, 0,	//299  QDragEnterEvent*
    10, 0,	//301  QDragLeaveEvent*
    11, 0,	//303  QDragMoveEvent*
    13, 0,	//305  QDropEvent*
    18, 0,	//307  QFocusEvent*
    22, 0,	//309  QInputMethodEvent*
    44, 0,	//311  QPainter::RenderHint
    34, 0,	//313  QMoveEvent*
    67, 0,	//315  QTabletEvent*
    2, 0,	//317  QActionEvent*
    212, 0,	//319  _XEvent*
    40, 0,	//321  QPaintDevice::PaintDeviceMetric
    66, 0,	//323  QStyle&
    216, 0,	//325  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcceleratedCompositingEnabled",	//1
    "AlignCenter",	//2
    "AlignJustified",	//3
    "AlignLeft",	//4
    "AlignRight",	//5
    "AllLayers",	//6
    "AutoLoadImages",	//7
    "Back",	//8
    "CascadedStyle",	//9
    "ChooseMultipleFilesExtension",	//10
    "ChooseMultipleFilesExtensionOption",	//11
    "ChooseMultipleFilesExtensionOption#",	//12
    "ChooseMultipleFilesExtensionReturn",	//13
    "ChooseMultipleFilesExtensionReturn#",	//14
    "ComputedStyle",	//15
    "ContentsLayer",	//16
    "Copy",	//17
    "CopyImageToClipboard",	//18
    "CopyImageUrlToClipboard",	//19
    "CopyLinkToClipboard",	//20
    "CursiveFont",	//21
    "Cut",	//22
    "DefaultFixedFontSize",	//23
    "DefaultFontSize",	//24
    "DefaultFrameIconGraphic",	//25
    "DelegateAllLinks",	//26
    "DelegateExternalLinks",	//27
    "DeleteButtonGraphic",	//28
    "DeleteEndOfWord",	//29
    "DeleteStartOfWord",	//30
    "DeveloperExtrasEnabled",	//31
    "DnsPrefetchEnabled",	//32
    "DontDelegateLinks",	//33
    "DownloadImageToDisk",	//34
    "DownloadLinkToDisk",	//35
    "DrawChildren",	//36
    "DrawWindowBackground",	//37
    "ErrorPageExtension",	//38
    "ErrorPageExtensionOption",	//39
    "ErrorPageExtensionOption#",	//40
    "ErrorPageExtensionReturn",	//41
    "ErrorPageExtensionReturn#",	//42
    "ExtensionOption",	//43
    "ExtensionOption#",	//44
    "ExtensionReturn",	//45
    "ExtensionReturn#",	//46
    "FantasyFont",	//47
    "FindBackward",	//48
    "FindCaseSensitively",	//49
    "FindWrapsAroundDocument",	//50
    "FixedFont",	//51
    "Forward",	//52
    "FrameFlatteningEnabled",	//53
    "Geolocation",	//54
    "HighlightAllOccurrences",	//55
    "Http",	//56
    "HyperlinkAuditingEnabled",	//57
    "IgnoreMask",	//58
    "Indent",	//59
    "InlineStyle",	//60
    "InputSpeechButtonGraphic",	//61
    "InsertLineSeparator",	//62
    "InsertOrderedList",	//63
    "InsertParagraphSeparator",	//64
    "InsertUnorderedList",	//65
    "InspectElement",	//66
    "JavaEnabled",	//67
    "JavascriptCanAccessClipboard",	//68
    "JavascriptCanCloseWindows",	//69
    "JavascriptCanOpenWindows",	//70
    "JavascriptEnabled",	//71
    "LinksIncludedInFocusChain",	//72
    "LocalContentCanAccessFileUrls",	//73
    "LocalContentCanAccessRemoteUrls",	//74
    "LocalStorageDatabaseEnabled",	//75
    "LocalStorageEnabled",	//76
    "MimeType",	//77
    "MimeType#",	//78
    "MinimumFontSize",	//79
    "MinimumLogicalFontSize",	//80
    "MissingImageGraphic",	//81
    "MissingPluginGraphic",	//82
    "MoveToEndOfBlock",	//83
    "MoveToEndOfDocument",	//84
    "MoveToEndOfLine",	//85
    "MoveToNextChar",	//86
    "MoveToNextLine",	//87
    "MoveToNextWord",	//88
    "MoveToPreviousChar",	//89
    "MoveToPreviousLine",	//90
    "MoveToPreviousWord",	//91
    "MoveToStartOfBlock",	//92
    "MoveToStartOfDocument",	//93
    "MoveToStartOfLine",	//94
    "NavigationTypeBackOrForward",	//95
    "NavigationTypeFormResubmitted",	//96
    "NavigationTypeFormSubmitted",	//97
    "NavigationTypeLinkClicked",	//98
    "NavigationTypeOther",	//99
    "NavigationTypeReload",	//100
    "NoWebAction",	//101
    "Notifications",	//102
    "OfflineStorageDatabaseEnabled",	//103
    "OfflineWebApplicationCacheEnabled",	//104
    "OpenFrameInNewWindow",	//105
    "OpenImageInNewWindow",	//106
    "OpenLink",	//107
    "OpenLinkInNewWindow",	//108
    "Outdent",	//109
    "PanIconLayer",	//110
    "Paste",	//111
    "PasteAndMatchStyle",	//112
    "PermissionDeniedByUser",	//113
    "PermissionGrantedByUser",	//114
    "PermissionUnknown",	//115
    "Plugin",	//116
    "Plugin#",	//117
    "PluginsEnabled",	//118
    "PrintElementBackgrounds",	//119
    "PrivateBrowsingEnabled",	//120
    "QWebDatabase",	//121
    "QWebDatabase#",	//122
    "QWebElement",	//123
    "QWebElement#",	//124
    "QWebElementCollection",	//125
    "QWebElementCollection#",	//126
    "QWebElementCollection#$",	//127
    "QWebHistoryInterface",	//128
    "QWebHistoryInterface#",	//129
    "QWebHistoryItem",	//130
    "QWebHistoryItem#",	//131
    "QWebHitTestResult",	//132
    "QWebHitTestResult#",	//133
    "QWebInspector",	//134
    "QWebInspector#",	//135
    "QWebPage",	//136
    "QWebPage#",	//137
    "QWebPluginFactory",	//138
    "QWebPluginFactory#",	//139
    "QWebSecurityOrigin",	//140
    "QWebSecurityOrigin#",	//141
    "QWebView",	//142
    "QWebView#",	//143
    "QtCriticalMsg",	//144
    "QtDebugMsg",	//145
    "QtFatalMsg",	//146
    "QtNetwork",	//147
    "QtSystemMsg",	//148
    "QtWarningMsg",	//149
    "Redo",	//150
    "Reload",	//151
    "ReloadAndBypassCache",	//152
    "RemoveFormat",	//153
    "SansSerifFont",	//154
    "ScrollBarLayer",	//155
    "SearchCancelButtonGraphic",	//156
    "SearchCancelButtonPressedGraphic",	//157
    "SelectAll",	//158
    "SelectEndOfBlock",	//159
    "SelectEndOfDocument",	//160
    "SelectEndOfLine",	//161
    "SelectNextChar",	//162
    "SelectNextLine",	//163
    "SelectNextWord",	//164
    "SelectPreviousChar",	//165
    "SelectPreviousLine",	//166
    "SelectPreviousWord",	//167
    "SelectStartOfBlock",	//168
    "SelectStartOfDocument",	//169
    "SelectStartOfLine",	//170
    "SerifFont",	//171
    "SetTextDirectionDefault",	//172
    "SetTextDirectionLeftToRight",	//173
    "SetTextDirectionRightToLeft",	//174
    "SiteSpecificQuirksEnabled",	//175
    "SpatialNavigationEnabled",	//176
    "StandardFont",	//177
    "Stop",	//178
    "StopScheduledPageRefresh",	//179
    "TextAreaSizeGripCornerGraphic",	//180
    "TiledBackingStoreEnabled",	//181
    "ToggleBold",	//182
    "ToggleItalic",	//183
    "ToggleStrikethrough",	//184
    "ToggleSubscript",	//185
    "ToggleSuperscript",	//186
    "ToggleUnderline",	//187
    "Undo",	//188
    "WebActionCount",	//189
    "WebBrowserWindow",	//190
    "WebGLEnabled",	//191
    "WebKit",	//192
    "WebModalDialog",	//193
    "XSSAuditingEnabled",	//194
    "ZoomTextOnly",	//195
    "_IEEE_",	//196
    "_ISOC_",	//197
    "_POSIX_",	//198
    "_SVID_",	//199
    "_XOPEN_",	//200
    "__codecvt_error",	//201
    "__codecvt_noconv",	//202
    "__codecvt_ok",	//203
    "__codecvt_partial",	//204
    "acceptNavigationRequest",	//205
    "acceptNavigationRequest##$",	//206
    "action",	//207
    "action$",	//208
    "actionEvent",	//209
    "addClass",	//210
    "addClass$",	//211
    "addHistoryEntry",	//212
    "addHistoryEntry$",	//213
    "addLocalScheme",	//214
    "addLocalScheme$",	//215
    "addToJavaScriptWindowObject",	//216
    "addToJavaScriptWindowObject$#",	//217
    "addToJavaScriptWindowObject$#$",	//218
    "allOrigins",	//219
    "alternateText",	//220
    "append",	//221
    "append#",	//222
    "appendInside",	//223
    "appendInside#",	//224
    "appendInside$",	//225
    "appendOutside",	//226
    "appendOutside#",	//227
    "appendOutside$",	//228
    "applicationCacheQuotaExceeded",	//229
    "applicationCacheQuotaExceeded#$",	//230
    "at",	//231
    "at$",	//232
    "attribute",	//233
    "attribute$",	//234
    "attribute$$",	//235
    "attributeNS",	//236
    "attributeNS$$",	//237
    "attributeNS$$$",	//238
    "attributeNames",	//239
    "attributeNames$",	//240
    "back",	//241
    "backItem",	//242
    "backItems",	//243
    "backItems$",	//244
    "baseUrl",	//245
    "begin",	//246
    "boundingRect",	//247
    "bytesReceived",	//248
    "canGoBack",	//249
    "canGoForward",	//250
    "changeEvent",	//251
    "changeEvent#",	//252
    "childEvent",	//253
    "childFrames",	//254
    "chooseFile",	//255
    "chooseFile#$",	//256
    "classes",	//257
    "clear",	//258
    "clearIconDatabase",	//259
    "clearMemoryCaches",	//260
    "clone",	//261
    "closeEvent",	//262
    "closeEvent#",	//263
    "connectNotify",	//264
    "constBegin",	//265
    "constEnd",	//266
    "const_iterator",	//267
    "const_iterator#",	//268
    "const_iterator#$",	//269
    "content",	//270
    "contentType",	//271
    "contentsChanged",	//272
    "contentsSize",	//273
    "contentsSizeChanged",	//274
    "contentsSizeChanged#",	//275
    "contextMenuEvent",	//276
    "contextMenuEvent#",	//277
    "count",	//278
    "create",	//279
    "create$#??",	//280
    "createPlugin",	//281
    "createPlugin$#??",	//282
    "createStandardContextMenu",	//283
    "createWindow",	//284
    "createWindow$",	//285
    "currentFrame",	//286
    "currentItem",	//287
    "currentItemIndex",	//288
    "customEvent",	//289
    "databaseQuota",	//290
    "databaseQuotaExceeded",	//291
    "databaseQuotaExceeded#$",	//292
    "databaseUsage",	//293
    "databases",	//294
    "defaultInterface",	//295
    "defaultTextEncoding",	//296
    "description",	//297
    "devType",	//298
    "disconnectNotify",	//299
    "displayName",	//300
    "document",	//301
    "documentElement",	//302
    "domain",	//303
    "downloadRequested",	//304
    "downloadRequested#",	//305
    "dragEnterEvent",	//306
    "dragEnterEvent#",	//307
    "dragLeaveEvent",	//308
    "dragLeaveEvent#",	//309
    "dragMoveEvent",	//310
    "dragMoveEvent#",	//311
    "dropEvent",	//312
    "dropEvent#",	//313
    "element",	//314
    "enablePersistentStorage",	//315
    "enablePersistentStorage$",	//316
    "enabledChange",	//317
    "encloseContentsWith",	//318
    "encloseContentsWith#",	//319
    "encloseContentsWith$",	//320
    "encloseWith",	//321
    "encloseWith#",	//322
    "encloseWith$",	//323
    "enclosingBlockElement",	//324
    "encoding",	//325
    "end",	//326
    "enterEvent",	//327
    "error",	//328
    "errorString",	//329
    "evaluateJavaScript",	//330
    "evaluateJavaScript$",	//331
    "event",	//332
    "event#",	//333
    "eventFilter",	//334
    "expectedSize",	//335
    "extension",	//336
    "extension$",	//337
    "extension$#",	//338
    "extension$##",	//339
    "featurePermissionRequestCanceled",	//340
    "featurePermissionRequestCanceled#$",	//341
    "featurePermissionRequested",	//342
    "featurePermissionRequested#$",	//343
    "fileExtensions",	//344
    "fileName",	//345
    "fileNames",	//346
    "findAll",	//347
    "findAll$",	//348
    "findAllElements",	//349
    "findAllElements$",	//350
    "findFirst",	//351
    "findFirst$",	//352
    "findFirstElement",	//353
    "findFirstElement$",	//354
    "findText",	//355
    "findText$",	//356
    "findText$$",	//357
    "first",	//358
    "firstChild",	//359
    "focusInEvent",	//360
    "focusInEvent#",	//361
    "focusNextPrevChild",	//362
    "focusNextPrevChild$",	//363
    "focusOutEvent",	//364
    "focusOutEvent#",	//365
    "fontChange",	//366
    "fontFamily",	//367
    "fontFamily$",	//368
    "fontSize",	//369
    "fontSize$",	//370
    "forward",	//371
    "forwardItem",	//372
    "forwardItems",	//373
    "forwardItems$",	//374
    "forwardUnsupportedContent",	//375
    "frame",	//376
    "frameAt",	//377
    "frameAt#",	//378
    "frameCreated",	//379
    "frameCreated#",	//380
    "frameName",	//381
    "geometry",	//382
    "geometryChangeRequested",	//383
    "geometryChangeRequested#",	//384
    "globalSettings",	//385
    "goToItem",	//386
    "goToItem#",	//387
    "handle",	//388
    "hasAttribute",	//389
    "hasAttribute$",	//390
    "hasAttributeNS",	//391
    "hasAttributeNS$$",	//392
    "hasAttributes",	//393
    "hasClass",	//394
    "hasClass$",	//395
    "hasFocus",	//396
    "hasSelection",	//397
    "heightForWidth",	//398
    "hideEvent",	//399
    "hideEvent#",	//400
    "history",	//401
    "historyContains",	//402
    "historyContains$",	//403
    "hitTestContent",	//404
    "hitTestContent#",	//405
    "host",	//406
    "icon",	//407
    "iconChanged",	//408
    "iconDatabasePath",	//409
    "iconForUrl",	//410
    "iconForUrl#",	//411
    "imageUrl",	//412
    "initialLayoutCompleted",	//413
    "inputMethodEvent",	//414
    "inputMethodEvent#",	//415
    "inputMethodQuery",	//416
    "inputMethodQuery$",	//417
    "isContentEditable",	//418
    "isContentSelected",	//419
    "isModified",	//420
    "isNull",	//421
    "isValid",	//422
    "itemAt",	//423
    "itemAt$",	//424
    "items",	//425
    "iterator",	//426
    "iterator#",	//427
    "iterator#$",	//428
    "javaScriptAlert",	//429
    "javaScriptAlert#$",	//430
    "javaScriptConfirm",	//431
    "javaScriptConfirm#$",	//432
    "javaScriptConsoleMessage",	//433
    "javaScriptConsoleMessage$$$",	//434
    "javaScriptPrompt",	//435
    "javaScriptPrompt#$$$",	//436
    "javaScriptWindowObjectCleared",	//437
    "keyPressEvent",	//438
    "keyPressEvent#",	//439
    "keyReleaseEvent",	//440
    "keyReleaseEvent#",	//441
    "languageChange",	//442
    "last",	//443
    "lastChild",	//444
    "lastVisited",	//445
    "leaveEvent",	//446
    "linkClicked",	//447
    "linkClicked#",	//448
    "linkDelegationPolicy",	//449
    "linkElement",	//450
    "linkHovered",	//451
    "linkHovered$$$",	//452
    "linkTargetFrame",	//453
    "linkText",	//454
    "linkTitle",	//455
    "linkUrl",	//456
    "load",	//457
    "load#",	//458
    "load#$",	//459
    "load#$#",	//460
    "loadFinished",	//461
    "loadFinished$",	//462
    "loadProgress",	//463
    "loadProgress$",	//464
    "loadStarted",	//465
    "localName",	//466
    "localSchemes",	//467
    "localStoragePath",	//468
    "mainFrame",	//469
    "maximumItemCount",	//470
    "maximumPagesInCache",	//471
    "menuBarVisibilityChangeRequested",	//472
    "menuBarVisibilityChangeRequested$",	//473
    "metaData",	//474
    "metaObject",	//475
    "metric",	//476
    "microFocusChanged",	//477
    "mimeTypes",	//478
    "minimumSizeHint",	//479
    "mouseDoubleClickEvent",	//480
    "mouseDoubleClickEvent#",	//481
    "mouseMoveEvent",	//482
    "mouseMoveEvent#",	//483
    "mousePressEvent",	//484
    "mousePressEvent#",	//485
    "mouseReleaseEvent",	//486
    "mouseReleaseEvent#",	//487
    "moveEvent",	//488
    "name",	//489
    "namespaceUri",	//490
    "networkAccessManager",	//491
    "nextSibling",	//492
    "offlineStorageDefaultQuota",	//493
    "offlineStoragePath",	//494
    "offlineWebApplicationCachePath",	//495
    "offlineWebApplicationCacheQuota",	//496
    "operator!=",	//497
    "operator!=#",	//498
    "operator*",	//499
    "operator+",	//500
    "operator+#",	//501
    "operator+$",	//502
    "operator++",	//503
    "operator++$",	//504
    "operator+=",	//505
    "operator+=#",	//506
    "operator+=$",	//507
    "operator-",	//508
    "operator-#",	//509
    "operator-$",	//510
    "operator--",	//511
    "operator--$",	//512
    "operator-=",	//513
    "operator-=$",	//514
    "operator<",	//515
    "operator<#",	//516
    "operator<=",	//517
    "operator<=#",	//518
    "operator=",	//519
    "operator=#",	//520
    "operator==",	//521
    "operator==#",	//522
    "operator>",	//523
    "operator>#",	//524
    "operator>=",	//525
    "operator>=#",	//526
    "operator[]",	//527
    "operator[]$",	//528
    "origin",	//529
    "originalUrl",	//530
    "page",	//531
    "pageAction",	//532
    "pageAction$",	//533
    "pageChanged",	//534
    "paintEngine",	//535
    "paintEvent",	//536
    "paintEvent#",	//537
    "palette",	//538
    "paletteChange",	//539
    "parent",	//540
    "parentFrame",	//541
    "pixmap",	//542
    "pluginFactory",	//543
    "plugins",	//544
    "port",	//545
    "pos",	//546
    "preferredContentsSize",	//547
    "prefix",	//548
    "prependInside",	//549
    "prependInside#",	//550
    "prependInside$",	//551
    "prependOutside",	//552
    "prependOutside#",	//553
    "prependOutside$",	//554
    "previousSibling",	//555
    "print",	//556
    "print#",	//557
    "printRequested",	//558
    "printRequested#",	//559
    "provisionalLoad",	//560
    "qt_metacall",	//561
    "qt_metacall$$?",	//562
    "qt_metacast",	//563
    "qt_metacast$",	//564
    "refreshPlugins",	//565
    "reload",	//566
    "removeAllChildren",	//567
    "removeAllDatabases",	//568
    "removeAttribute",	//569
    "removeAttribute$",	//570
    "removeAttributeNS",	//571
    "removeAttributeNS$$",	//572
    "removeClass",	//573
    "removeClass$",	//574
    "removeDatabase",	//575
    "removeDatabase#",	//576
    "removeFromDocument",	//577
    "removeLocalScheme",	//578
    "removeLocalScheme$",	//579
    "render",	//580
    "render#",	//581
    "render##",	//582
    "render#$",	//583
    "render#$#",	//584
    "renderHints",	//585
    "renderTreeDump",	//586
    "repaintRequested",	//587
    "repaintRequested#",	//588
    "replace",	//589
    "replace#",	//590
    "replace$",	//591
    "requestedUrl",	//592
    "resetAttribute",	//593
    "resetAttribute$",	//594
    "resetFontFamily",	//595
    "resetFontFamily$",	//596
    "resetFontSize",	//597
    "resetFontSize$",	//598
    "resizeEvent",	//599
    "resizeEvent#",	//600
    "restoreFrameStateRequested",	//601
    "restoreFrameStateRequested#",	//602
    "saveFrameStateRequested",	//603
    "saveFrameStateRequested##",	//604
    "scheme",	//605
    "scroll",	//606
    "scroll$$",	//607
    "scrollBarGeometry",	//608
    "scrollBarGeometry$",	//609
    "scrollBarMaximum",	//610
    "scrollBarMaximum$",	//611
    "scrollBarMinimum",	//612
    "scrollBarMinimum$",	//613
    "scrollBarPolicy",	//614
    "scrollBarPolicy$",	//615
    "scrollBarValue",	//616
    "scrollBarValue$",	//617
    "scrollPosition",	//618
    "scrollRequested",	//619
    "scrollRequested$$#",	//620
    "scrollToAnchor",	//621
    "scrollToAnchor$",	//622
    "securityOrigin",	//623
    "selectedHtml",	//624
    "selectedText",	//625
    "selectionChanged",	//626
    "setActualVisibleContentRect",	//627
    "setActualVisibleContentRect#",	//628
    "setApplicationCacheQuota",	//629
    "setApplicationCacheQuota$",	//630
    "setAttribute",	//631
    "setAttribute$$",	//632
    "setAttributeNS",	//633
    "setAttributeNS$$$",	//634
    "setBaseUrl",	//635
    "setBaseUrl#",	//636
    "setContent",	//637
    "setContent#",	//638
    "setContent#$",	//639
    "setContent#$#",	//640
    "setContentEditable",	//641
    "setContentEditable$",	//642
    "setContentType",	//643
    "setContentType$",	//644
    "setDatabaseQuota",	//645
    "setDatabaseQuota$",	//646
    "setDefaultInterface",	//647
    "setDefaultInterface#",	//648
    "setDefaultTextEncoding",	//649
    "setDefaultTextEncoding$",	//650
    "setDescription",	//651
    "setDescription$",	//652
    "setDomain",	//653
    "setDomain$",	//654
    "setEncoding",	//655
    "setEncoding$",	//656
    "setError",	//657
    "setError$",	//658
    "setErrorString",	//659
    "setErrorString$",	//660
    "setFeaturePermission",	//661
    "setFeaturePermission#$$",	//662
    "setFileExtensions",	//663
    "setFileExtensions?",	//664
    "setFileNames",	//665
    "setFileNames?",	//666
    "setFocus",	//667
    "setFontFamily",	//668
    "setFontFamily$$",	//669
    "setFontSize",	//670
    "setFontSize$$",	//671
    "setForwardUnsupportedContent",	//672
    "setForwardUnsupportedContent$",	//673
    "setFrame",	//674
    "setFrame#",	//675
    "setHtml",	//676
    "setHtml$",	//677
    "setHtml$#",	//678
    "setIconDatabasePath",	//679
    "setIconDatabasePath$",	//680
    "setInnerXml",	//681
    "setInnerXml$",	//682
    "setLinkDelegationPolicy",	//683
    "setLinkDelegationPolicy$",	//684
    "setLocalStoragePath",	//685
    "setLocalStoragePath$",	//686
    "setMaximumItemCount",	//687
    "setMaximumItemCount$",	//688
    "setMaximumPagesInCache",	//689
    "setMaximumPagesInCache$",	//690
    "setMimeTypes",	//691
    "setMimeTypes?",	//692
    "setName",	//693
    "setName$",	//694
    "setNetworkAccessManager",	//695
    "setNetworkAccessManager#",	//696
    "setObjectCacheCapacities",	//697
    "setObjectCacheCapacities$$$",	//698
    "setOfflineStorageDefaultQuota",	//699
    "setOfflineStorageDefaultQuota$",	//700
    "setOfflineStoragePath",	//701
    "setOfflineStoragePath$",	//702
    "setOfflineWebApplicationCachePath",	//703
    "setOfflineWebApplicationCachePath$",	//704
    "setOfflineWebApplicationCacheQuota",	//705
    "setOfflineWebApplicationCacheQuota$",	//706
    "setOuterXml",	//707
    "setOuterXml$",	//708
    "setPage",	//709
    "setPage#",	//710
    "setPalette",	//711
    "setPalette#",	//712
    "setParentFrame",	//713
    "setParentFrame#",	//714
    "setPlainText",	//715
    "setPlainText$",	//716
    "setPluginFactory",	//717
    "setPluginFactory#",	//718
    "setPreferredContentsSize",	//719
    "setPreferredContentsSize#",	//720
    "setRenderHint",	//721
    "setRenderHint$",	//722
    "setRenderHint$$",	//723
    "setRenderHints",	//724
    "setRenderHints$",	//725
    "setScrollBarPolicy",	//726
    "setScrollBarPolicy$$",	//727
    "setScrollBarValue",	//728
    "setScrollBarValue$$",	//729
    "setScrollPosition",	//730
    "setScrollPosition#",	//731
    "setStyleProperty",	//732
    "setStyleProperty$$",	//733
    "setSuggestedFileNames",	//734
    "setSuggestedFileNames?",	//735
    "setTextSizeMultiplier",	//736
    "setTextSizeMultiplier$",	//737
    "setUrl",	//738
    "setUrl#",	//739
    "setUserData",	//740
    "setUserData#",	//741
    "setUserStyleSheetUrl",	//742
    "setUserStyleSheetUrl#",	//743
    "setView",	//744
    "setView#",	//745
    "setViewportSize",	//746
    "setViewportSize#",	//747
    "setVisible",	//748
    "setWebGraphic",	//749
    "setWebGraphic$#",	//750
    "setZoomFactor",	//751
    "setZoomFactor$",	//752
    "settings",	//753
    "shouldInterruptJavaScript",	//754
    "showEvent",	//755
    "showEvent#",	//756
    "size",	//757
    "sizeHint",	//758
    "staticMetaObject",	//759
    "statusBarMessage",	//760
    "statusBarMessage$",	//761
    "statusBarVisibilityChangeRequested",	//762
    "statusBarVisibilityChangeRequested$",	//763
    "stop",	//764
    "styleChange",	//765
    "styleProperty",	//766
    "styleProperty$$",	//767
    "suggestedFileNames",	//768
    "supportedContentTypes",	//769
    "supportsContentType",	//770
    "supportsContentType$",	//771
    "supportsExtension",	//772
    "supportsExtension$",	//773
    "swallowContextMenuEvent",	//774
    "swallowContextMenuEvent#",	//775
    "tabletEvent",	//776
    "tagName",	//777
    "takeFromDocument",	//778
    "testAttribute",	//779
    "testAttribute$",	//780
    "textSizeMultiplier",	//781
    "timerEvent",	//782
    "title",	//783
    "titleChanged",	//784
    "titleChanged$",	//785
    "toHtml",	//786
    "toInnerXml",	//787
    "toList",	//788
    "toOuterXml",	//789
    "toPlainText",	//790
    "toggleClass",	//791
    "toggleClass$",	//792
    "toolBarVisibilityChangeRequested",	//793
    "toolBarVisibilityChangeRequested$",	//794
    "totalBytes",	//795
    "tr",	//796
    "tr$",	//797
    "tr$$",	//798
    "tr$$$",	//799
    "trUtf8",	//800
    "trUtf8$",	//801
    "trUtf8$$",	//802
    "trUtf8$$$",	//803
    "triggerAction",	//804
    "triggerAction$",	//805
    "triggerAction$$",	//806
    "triggerPageAction",	//807
    "triggerPageAction$",	//808
    "triggerPageAction$$",	//809
    "undoStack",	//810
    "unsupportedContent",	//811
    "unsupportedContent#",	//812
    "updatePositionDependentActions",	//813
    "updatePositionDependentActions#",	//814
    "url",	//815
    "urlChanged",	//816
    "urlChanged#",	//817
    "userAgentForUrl",	//818
    "userAgentForUrl#",	//819
    "userData",	//820
    "userStyleSheetUrl",	//821
    "view",	//822
    "viewportAttributesForSize",	//823
    "viewportAttributesForSize#",	//824
    "viewportChangeRequested",	//825
    "viewportSize",	//826
    "webFrame",	//827
    "webGraphic",	//828
    "webGraphic$",	//829
    "wheelEvent",	//830
    "wheelEvent#",	//831
    "windowActivationChange",	//832
    "windowCloseRequested",	//833
    "x11Event",	//834
    "zoomFactor",	//835
    "~ChooseMultipleFilesExtensionOption",	//836
    "~ChooseMultipleFilesExtensionReturn",	//837
    "~ErrorPageExtensionOption",	//838
    "~ErrorPageExtensionReturn",	//839
    "~ExtensionOption",	//840
    "~ExtensionReturn",	//841
    "~MimeType",	//842
    "~Plugin",	//843
    "~QWebDatabase",	//844
    "~QWebElement",	//845
    "~QWebElementCollection",	//846
    "~QWebHistoryInterface",	//847
    "~QWebHistoryItem",	//848
    "~QWebHitTestResult",	//849
    "~QWebInspector",	//850
    "~QWebPage",	//851
    "~QWebPluginFactory",	//852
    "~QWebSecurityOrigin",	//853
    "~QWebView",	//854
    "~const_iterator",	//855
    "~iterator",	//856
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {16, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 1},	//1 QGlobalSpace::_IEEE_ (enum)
    {16, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 2},	//2 QGlobalSpace::_SVID_ (enum)
    {16, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 3},	//3 QGlobalSpace::_XOPEN_ (enum)
    {16, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 4},	//4 QGlobalSpace::_POSIX_ (enum)
    {16, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 5},	//5 QGlobalSpace::_ISOC_ (enum)
    {16, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 6},	//6 QGlobalSpace::QtDebugMsg (enum)
    {16, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 7},	//7 QGlobalSpace::QtWarningMsg (enum)
    {16, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 8},	//8 QGlobalSpace::QtCriticalMsg (enum)
    {16, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 9},	//9 QGlobalSpace::QtFatalMsg (enum)
    {16, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 10},	//10 QGlobalSpace::QtSystemMsg (enum)
    {16, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 11},	//11 QGlobalSpace::__codecvt_ok (enum)
    {16, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 12},	//12 QGlobalSpace::__codecvt_partial (enum)
    {16, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 13},	//13 QGlobalSpace::__codecvt_error (enum)
    {16, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 14},	//14 QGlobalSpace::__codecvt_noconv (enum)
    {29, 332, 1, 1, Smoke::mf_virtual, 214, 0},	//15 QObject::event(QEvent*)
    {29, 334, 3, 2, Smoke::mf_virtual, 214, 0},	//16 QObject::eventFilter(QObject*, QEvent*)
    {29, 782, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//17 QObject::timerEvent(QTimerEvent*)
    {29, 253, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//18 QObject::childEvent(QChildEvent*)
    {29, 289, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//19 QObject::customEvent(QEvent*)
    {29, 264, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//20 QObject::connectNotify(const char*)
    {29, 299, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//21 QObject::disconnectNotify(const char*)
    {49, 121, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 74, 1},	//22 QWebDatabase::QWebDatabase(const QWebDatabase&)
    {49, 519, 12, 1, 0, 73, 2},	//23 QWebDatabase::operator=(const QWebDatabase&)
    {49, 489, 0, 0, Smoke::mf_const, 60, 3},	//24 QWebDatabase::name() const
    {49, 300, 0, 0, Smoke::mf_const, 60, 4},	//25 QWebDatabase::displayName() const
    {49, 335, 0, 0, Smoke::mf_const, 260, 5},	//26 QWebDatabase::expectedSize() const
    {49, 757, 0, 0, Smoke::mf_const, 260, 6},	//27 QWebDatabase::size() const
    {49, 345, 0, 0, Smoke::mf_const, 60, 7},	//28 QWebDatabase::fileName() const
    {49, 529, 0, 0, Smoke::mf_const, 123, 8},	//29 QWebDatabase::origin() const
    {49, 575, 12, 1, Smoke::mf_static, 0, 9},	//30 QWebDatabase::removeDatabase(const QWebDatabase&)
    {49, 568, 0, 0, Smoke::mf_static, 0, 10},	//31 QWebDatabase::removeAllDatabases()
    {49, 844, 0, 0, Smoke::mf_dtor, 0, 11 },	//32 QWebDatabase::~QWebDatabase()
    {50, 123, 0, 0, Smoke::mf_ctor, 77, 1},	//33 QWebElement::QWebElement()
    {50, 123, 14, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 77, 2},	//34 QWebElement::QWebElement(const QWebElement&)
    {50, 519, 14, 1, 0, 76, 3},	//35 QWebElement::operator=(const QWebElement&)
    {50, 521, 14, 1, Smoke::mf_const, 214, 4},	//36 QWebElement::operator==(const QWebElement&) const
    {50, 497, 14, 1, Smoke::mf_const, 214, 5},	//37 QWebElement::operator!=(const QWebElement&) const
    {50, 421, 0, 0, Smoke::mf_const, 214, 6},	//38 QWebElement::isNull() const
    {50, 347, 16, 1, Smoke::mf_const, 79, 7},	//39 QWebElement::findAll(const QString&) const
    {50, 351, 16, 1, Smoke::mf_const, 75, 8},	//40 QWebElement::findFirst(const QString&) const
    {50, 715, 16, 1, 0, 0, 9},	//41 QWebElement::setPlainText(const QString&)
    {50, 790, 0, 0, Smoke::mf_const, 60, 10},	//42 QWebElement::toPlainText() const
    {50, 707, 16, 1, 0, 0, 11},	//43 QWebElement::setOuterXml(const QString&)
    {50, 789, 0, 0, Smoke::mf_const, 60, 12},	//44 QWebElement::toOuterXml() const
    {50, 681, 16, 1, 0, 0, 13},	//45 QWebElement::setInnerXml(const QString&)
    {50, 787, 0, 0, Smoke::mf_const, 60, 14},	//46 QWebElement::toInnerXml() const
    {50, 631, 18, 2, 0, 0, 15},	//47 QWebElement::setAttribute(const QString&, const QString&)
    {50, 633, 21, 3, 0, 0, 16},	//48 QWebElement::setAttributeNS(const QString&, const QString&, const QString&)
    {50, 233, 18, 2, Smoke::mf_const, 60, 17},	//49 QWebElement::attribute(const QString&, const QString&) const
    {50, 236, 21, 3, Smoke::mf_const, 60, 18},	//50 QWebElement::attributeNS(const QString&, const QString&, const QString&) const
    {50, 389, 16, 1, Smoke::mf_const, 214, 19},	//51 QWebElement::hasAttribute(const QString&) const
    {50, 391, 18, 2, Smoke::mf_const, 214, 20},	//52 QWebElement::hasAttributeNS(const QString&, const QString&) const
    {50, 569, 16, 1, 0, 0, 21},	//53 QWebElement::removeAttribute(const QString&)
    {50, 571, 18, 2, 0, 0, 22},	//54 QWebElement::removeAttributeNS(const QString&, const QString&)
    {50, 393, 0, 0, Smoke::mf_const, 214, 23},	//55 QWebElement::hasAttributes() const
    {50, 239, 16, 1, Smoke::mf_const, 63, 24},	//56 QWebElement::attributeNames(const QString&) const
    {50, 257, 0, 0, Smoke::mf_const, 63, 25},	//57 QWebElement::classes() const
    {50, 394, 16, 1, Smoke::mf_const, 214, 26},	//58 QWebElement::hasClass(const QString&) const
    {50, 210, 16, 1, 0, 0, 27},	//59 QWebElement::addClass(const QString&)
    {50, 573, 16, 1, 0, 0, 28},	//60 QWebElement::removeClass(const QString&)
    {50, 791, 16, 1, 0, 0, 29},	//61 QWebElement::toggleClass(const QString&)
    {50, 396, 0, 0, Smoke::mf_const, 214, 30},	//62 QWebElement::hasFocus() const
    {50, 667, 0, 0, 0, 0, 31},	//63 QWebElement::setFocus()
    {50, 382, 0, 0, Smoke::mf_const, 49, 32},	//64 QWebElement::geometry() const
    {50, 777, 0, 0, Smoke::mf_const, 60, 33},	//65 QWebElement::tagName() const
    {50, 548, 0, 0, Smoke::mf_const, 60, 34},	//66 QWebElement::prefix() const
    {50, 466, 0, 0, Smoke::mf_const, 60, 35},	//67 QWebElement::localName() const
    {50, 490, 0, 0, Smoke::mf_const, 60, 36},	//68 QWebElement::namespaceUri() const
    {50, 540, 0, 0, Smoke::mf_const, 75, 37},	//69 QWebElement::parent() const
    {50, 359, 0, 0, Smoke::mf_const, 75, 38},	//70 QWebElement::firstChild() const
    {50, 444, 0, 0, Smoke::mf_const, 75, 39},	//71 QWebElement::lastChild() const
    {50, 492, 0, 0, Smoke::mf_const, 75, 40},	//72 QWebElement::nextSibling() const
    {50, 555, 0, 0, Smoke::mf_const, 75, 41},	//73 QWebElement::previousSibling() const
    {50, 301, 0, 0, Smoke::mf_const, 75, 42},	//74 QWebElement::document() const
    {50, 827, 0, 0, Smoke::mf_const, 88, 43},	//75 QWebElement::webFrame() const
    {50, 223, 16, 1, 0, 0, 44},	//76 QWebElement::appendInside(const QString&)
    {50, 223, 14, 1, 0, 0, 45},	//77 QWebElement::appendInside(const QWebElement&)
    {50, 549, 16, 1, 0, 0, 46},	//78 QWebElement::prependInside(const QString&)
    {50, 549, 14, 1, 0, 0, 47},	//79 QWebElement::prependInside(const QWebElement&)
    {50, 226, 16, 1, 0, 0, 48},	//80 QWebElement::appendOutside(const QString&)
    {50, 226, 14, 1, 0, 0, 49},	//81 QWebElement::appendOutside(const QWebElement&)
    {50, 552, 16, 1, 0, 0, 50},	//82 QWebElement::prependOutside(const QString&)
    {50, 552, 14, 1, 0, 0, 51},	//83 QWebElement::prependOutside(const QWebElement&)
    {50, 318, 14, 1, 0, 0, 52},	//84 QWebElement::encloseContentsWith(const QWebElement&)
    {50, 318, 16, 1, 0, 0, 53},	//85 QWebElement::encloseContentsWith(const QString&)
    {50, 321, 16, 1, 0, 0, 54},	//86 QWebElement::encloseWith(const QString&)
    {50, 321, 14, 1, 0, 0, 55},	//87 QWebElement::encloseWith(const QWebElement&)
    {50, 589, 16, 1, 0, 0, 56},	//88 QWebElement::replace(const QString&)
    {50, 589, 14, 1, 0, 0, 57},	//89 QWebElement::replace(const QWebElement&)
    {50, 261, 0, 0, Smoke::mf_const, 75, 58},	//90 QWebElement::clone() const
    {50, 778, 0, 0, 0, 76, 59},	//91 QWebElement::takeFromDocument()
    {50, 577, 0, 0, 0, 0, 60},	//92 QWebElement::removeFromDocument()
    {50, 567, 0, 0, 0, 0, 61},	//93 QWebElement::removeAllChildren()
    {50, 330, 16, 1, 0, 72, 62},	//94 QWebElement::evaluateJavaScript(const QString&)
    {50, 766, 25, 2, Smoke::mf_const, 60, 63},	//95 QWebElement::styleProperty(const QString&, QWebElement::StyleResolveStrategy) const
    {50, 732, 18, 2, 0, 0, 64},	//96 QWebElement::setStyleProperty(const QString&, const QString&)
    {50, 580, 28, 1, 0, 0, 65},	//97 QWebElement::render(QPainter*)
    {50, 580, 30, 2, 0, 0, 66},	//98 QWebElement::render(QPainter*, const QRect&)
    {50, 233, 16, 1, Smoke::mf_const, 60, 67},	//99 QWebElement::attribute(const QString&) const
    {50, 236, 18, 2, Smoke::mf_const, 60, 68},	//100 QWebElement::attributeNS(const QString&, const QString&) const
    {50, 239, 0, 0, Smoke::mf_const, 63, 69},	//101 QWebElement::attributeNames() const
    {50, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 70},	//102 QWebElement::InlineStyle (enum)
    {50, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 71},	//103 QWebElement::CascadedStyle (enum)
    {50, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 72},	//104 QWebElement::ComputedStyle (enum)
    {50, 845, 0, 0, Smoke::mf_dtor, 0, 73 },	//105 QWebElement::~QWebElement()
    {51, 125, 0, 0, Smoke::mf_ctor, 81, 1},	//106 QWebElementCollection::QWebElementCollection()
    {51, 125, 33, 2, Smoke::mf_ctor, 81, 2},	//107 QWebElementCollection::QWebElementCollection(const QWebElement&, const QString&)
    {51, 125, 36, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 81, 3},	//108 QWebElementCollection::QWebElementCollection(const QWebElementCollection&)
    {51, 519, 36, 1, 0, 80, 4},	//109 QWebElementCollection::operator=(const QWebElementCollection&)
    {51, 500, 36, 1, Smoke::mf_const, 79, 5},	//110 QWebElementCollection::operator+(const QWebElementCollection&) const
    {51, 505, 36, 1, 0, 80, 6},	//111 QWebElementCollection::operator+=(const QWebElementCollection&)
    {51, 221, 36, 1, 0, 0, 7},	//112 QWebElementCollection::append(const QWebElementCollection&)
    {51, 278, 0, 0, Smoke::mf_const, 258, 8},	//113 QWebElementCollection::count() const
    {51, 231, 38, 1, Smoke::mf_const, 75, 9},	//114 QWebElementCollection::at(int) const
    {51, 527, 38, 1, Smoke::mf_const, 75, 10},	//115 QWebElementCollection::operator[](int) const
    {51, 358, 0, 0, Smoke::mf_const, 75, 11},	//116 QWebElementCollection::first() const
    {51, 443, 0, 0, Smoke::mf_const, 75, 12},	//117 QWebElementCollection::last() const
    {51, 788, 0, 0, Smoke::mf_const, 25, 13},	//118 QWebElementCollection::toList() const
    {51, 246, 0, 0, Smoke::mf_const, 82, 14},	//119 QWebElementCollection::begin() const
    {51, 326, 0, 0, Smoke::mf_const, 82, 15},	//120 QWebElementCollection::end() const
    {51, 265, 0, 0, Smoke::mf_const, 82, 16},	//121 QWebElementCollection::constBegin() const
    {51, 266, 0, 0, Smoke::mf_const, 82, 17},	//122 QWebElementCollection::constEnd() const
    {51, 246, 0, 0, 0, 85, 18},	//123 QWebElementCollection::begin()
    {51, 326, 0, 0, 0, 85, 19},	//124 QWebElementCollection::end()
    {51, 846, 0, 0, Smoke::mf_dtor, 0, 20 },	//125 QWebElementCollection::~QWebElementCollection()
    {52, 267, 40, 2, Smoke::mf_ctor, 84, 1},	//126 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection*, int)
    {52, 267, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 84, 2},	//127 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection::const_iterator&)
    {52, 499, 0, 0, Smoke::mf_const, 234, 3},	//128 QWebElementCollection::const_iterator::operator*() const
    {52, 521, 43, 1, Smoke::mf_const, 214, 4},	//129 QWebElementCollection::const_iterator::operator==(const QWebElementCollection::const_iterator&) const
    {52, 497, 43, 1, Smoke::mf_const, 214, 5},	//130 QWebElementCollection::const_iterator::operator!=(const QWebElementCollection::const_iterator&) const
    {52, 515, 43, 1, Smoke::mf_const, 214, 6},	//131 QWebElementCollection::const_iterator::operator<(const QWebElementCollection::const_iterator&) const
    {52, 517, 43, 1, Smoke::mf_const, 214, 7},	//132 QWebElementCollection::const_iterator::operator<=(const QWebElementCollection::const_iterator&) const
    {52, 523, 43, 1, Smoke::mf_const, 214, 8},	//133 QWebElementCollection::const_iterator::operator>(const QWebElementCollection::const_iterator&) const
    {52, 525, 43, 1, Smoke::mf_const, 214, 9},	//134 QWebElementCollection::const_iterator::operator>=(const QWebElementCollection::const_iterator&) const
    {52, 503, 0, 0, 0, 83, 10},	//135 QWebElementCollection::const_iterator::operator++()
    {52, 503, 38, 1, 0, 82, 11},	//136 QWebElementCollection::const_iterator::operator++(int)
    {52, 511, 0, 0, 0, 83, 12},	//137 QWebElementCollection::const_iterator::operator--()
    {52, 511, 38, 1, 0, 82, 13},	//138 QWebElementCollection::const_iterator::operator--(int)
    {52, 505, 38, 1, 0, 83, 14},	//139 QWebElementCollection::const_iterator::operator+=(int)
    {52, 513, 38, 1, 0, 83, 15},	//140 QWebElementCollection::const_iterator::operator-=(int)
    {52, 500, 38, 1, Smoke::mf_const, 82, 16},	//141 QWebElementCollection::const_iterator::operator+(int) const
    {52, 508, 38, 1, Smoke::mf_const, 82, 17},	//142 QWebElementCollection::const_iterator::operator-(int) const
    {52, 508, 45, 1, Smoke::mf_const, 258, 18},	//143 QWebElementCollection::const_iterator::operator-(QWebElementCollection::const_iterator) const
    {52, 855, 0, 0, Smoke::mf_dtor, 0, 19 },	//144 QWebElementCollection::const_iterator::~const_iterator()
    {53, 426, 40, 2, Smoke::mf_ctor, 87, 1},	//145 QWebElementCollection::iterator::iterator(const QWebElementCollection*, int)
    {53, 426, 47, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 87, 2},	//146 QWebElementCollection::iterator::iterator(const QWebElementCollection::iterator&)
    {53, 499, 0, 0, Smoke::mf_const, 75, 3},	//147 QWebElementCollection::iterator::operator*() const
    {53, 521, 47, 1, Smoke::mf_const, 214, 4},	//148 QWebElementCollection::iterator::operator==(const QWebElementCollection::iterator&) const
    {53, 497, 47, 1, Smoke::mf_const, 214, 5},	//149 QWebElementCollection::iterator::operator!=(const QWebElementCollection::iterator&) const
    {53, 515, 47, 1, Smoke::mf_const, 214, 6},	//150 QWebElementCollection::iterator::operator<(const QWebElementCollection::iterator&) const
    {53, 517, 47, 1, Smoke::mf_const, 214, 7},	//151 QWebElementCollection::iterator::operator<=(const QWebElementCollection::iterator&) const
    {53, 523, 47, 1, Smoke::mf_const, 214, 8},	//152 QWebElementCollection::iterator::operator>(const QWebElementCollection::iterator&) const
    {53, 525, 47, 1, Smoke::mf_const, 214, 9},	//153 QWebElementCollection::iterator::operator>=(const QWebElementCollection::iterator&) const
    {53, 503, 0, 0, 0, 86, 10},	//154 QWebElementCollection::iterator::operator++()
    {53, 503, 38, 1, 0, 85, 11},	//155 QWebElementCollection::iterator::operator++(int)
    {53, 511, 0, 0, 0, 86, 12},	//156 QWebElementCollection::iterator::operator--()
    {53, 511, 38, 1, 0, 85, 13},	//157 QWebElementCollection::iterator::operator--(int)
    {53, 505, 38, 1, 0, 86, 14},	//158 QWebElementCollection::iterator::operator+=(int)
    {53, 513, 38, 1, 0, 86, 15},	//159 QWebElementCollection::iterator::operator-=(int)
    {53, 500, 38, 1, Smoke::mf_const, 85, 16},	//160 QWebElementCollection::iterator::operator+(int) const
    {53, 508, 38, 1, Smoke::mf_const, 85, 17},	//161 QWebElementCollection::iterator::operator-(int) const
    {53, 508, 49, 1, Smoke::mf_const, 258, 18},	//162 QWebElementCollection::iterator::operator-(QWebElementCollection::iterator) const
    {53, 856, 0, 0, Smoke::mf_dtor, 0, 19 },	//163 QWebElementCollection::iterator::~iterator()
    {54, 475, 0, 0, Smoke::mf_const, 219, 1},	//164 QWebFrame::metaObject() const
    {54, 563, 10, 1, 0, 266, 2},	//165 QWebFrame::qt_metacast(const char*)
    {54, 796, 51, 2, Smoke::mf_static, 60, 3},	//166 QWebFrame::tr(const char*, const char*)
    {54, 800, 51, 2, Smoke::mf_static, 60, 4},	//167 QWebFrame::trUtf8(const char*, const char*)
    {54, 796, 54, 3, Smoke::mf_static, 60, 5},	//168 QWebFrame::tr(const char*, const char*, int)
    {54, 800, 54, 3, Smoke::mf_static, 60, 6},	//169 QWebFrame::trUtf8(const char*, const char*, int)
    {54, 561, 58, 3, 0, 258, 7},	//170 QWebFrame::qt_metacall(QMetaObject::Call, int, void**)
    {54, 531, 0, 0, Smoke::mf_const, 99, 8},	//171 QWebFrame::page() const
    {54, 457, 62, 1, 0, 0, 9},	//172 QWebFrame::load(const QUrl&)
    {54, 457, 64, 3, 0, 0, 10},	//173 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {54, 676, 68, 2, 0, 0, 11},	//174 QWebFrame::setHtml(const QString&, const QUrl&)
    {54, 637, 71, 3, 0, 0, 12},	//175 QWebFrame::setContent(const QByteArray&, const QString&, const QUrl&)
    {54, 216, 75, 2, 0, 0, 13},	//176 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*)
    {54, 216, 78, 3, 0, 0, 14},	//177 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*, QScriptEngine::ValueOwnership)
    {54, 786, 0, 0, Smoke::mf_const, 60, 15},	//178 QWebFrame::toHtml() const
    {54, 790, 0, 0, Smoke::mf_const, 60, 16},	//179 QWebFrame::toPlainText() const
    {54, 586, 0, 0, Smoke::mf_const, 60, 17},	//180 QWebFrame::renderTreeDump() const
    {54, 783, 0, 0, Smoke::mf_const|Smoke::mf_property, 60, 18},	//181 QWebFrame::title() const
    {54, 738, 62, 1, Smoke::mf_property, 0, 19},	//182 QWebFrame::setUrl(const QUrl&)
    {54, 815, 0, 0, Smoke::mf_const|Smoke::mf_property, 70, 20},	//183 QWebFrame::url() const
    {54, 592, 0, 0, Smoke::mf_const|Smoke::mf_property, 70, 21},	//184 QWebFrame::requestedUrl() const
    {54, 245, 0, 0, Smoke::mf_const|Smoke::mf_property, 70, 22},	//185 QWebFrame::baseUrl() const
    {54, 407, 0, 0, Smoke::mf_const|Smoke::mf_property, 20, 23},	//186 QWebFrame::icon() const
    {54, 474, 0, 0, Smoke::mf_const, 35, 24},	//187 QWebFrame::metaData() const
    {54, 381, 0, 0, Smoke::mf_const, 60, 25},	//188 QWebFrame::frameName() const
    {54, 541, 0, 0, Smoke::mf_const, 88, 26},	//189 QWebFrame::parentFrame() const
    {54, 254, 0, 0, Smoke::mf_const, 26, 27},	//190 QWebFrame::childFrames() const
    {54, 614, 82, 1, Smoke::mf_const, 185, 28},	//191 QWebFrame::scrollBarPolicy(Qt::Orientation) const
    {54, 726, 84, 2, 0, 0, 29},	//192 QWebFrame::setScrollBarPolicy(Qt::Orientation, Qt::ScrollBarPolicy)
    {54, 728, 87, 2, 0, 0, 30},	//193 QWebFrame::setScrollBarValue(Qt::Orientation, int)
    {54, 616, 82, 1, Smoke::mf_const, 258, 31},	//194 QWebFrame::scrollBarValue(Qt::Orientation) const
    {54, 612, 82, 1, Smoke::mf_const, 258, 32},	//195 QWebFrame::scrollBarMinimum(Qt::Orientation) const
    {54, 610, 82, 1, Smoke::mf_const, 258, 33},	//196 QWebFrame::scrollBarMaximum(Qt::Orientation) const
    {54, 608, 82, 1, Smoke::mf_const, 49, 34},	//197 QWebFrame::scrollBarGeometry(Qt::Orientation) const
    {54, 606, 90, 2, 0, 0, 35},	//198 QWebFrame::scroll(int, int)
    {54, 618, 0, 0, Smoke::mf_const|Smoke::mf_property, 47, 36},	//199 QWebFrame::scrollPosition() const
    {54, 730, 93, 1, Smoke::mf_property, 0, 37},	//200 QWebFrame::setScrollPosition(const QPoint&)
    {54, 621, 16, 1, 0, 0, 38},	//201 QWebFrame::scrollToAnchor(const QString&)
    {54, 580, 28, 1, 0, 0, 39},	//202 QWebFrame::render(QPainter*)
    {54, 580, 95, 2, 0, 0, 40},	//203 QWebFrame::render(QPainter*, const QRegion&)
    {54, 580, 98, 3, 0, 0, 41},	//204 QWebFrame::render(QPainter*, QWebFrame::RenderLayer, const QRegion&)
    {54, 736, 102, 1, 0, 0, 42},	//205 QWebFrame::setTextSizeMultiplier(double)
    {54, 781, 0, 0, Smoke::mf_const, 257, 43},	//206 QWebFrame::textSizeMultiplier() const
    {54, 835, 0, 0, Smoke::mf_const, 257, 44},	//207 QWebFrame::zoomFactor() const
    {54, 751, 102, 1, 0, 0, 45},	//208 QWebFrame::setZoomFactor(double)
    {54, 396, 0, 0, Smoke::mf_const|Smoke::mf_property, 214, 46},	//209 QWebFrame::hasFocus() const
    {54, 667, 0, 0, 0, 0, 47},	//210 QWebFrame::setFocus()
    {54, 546, 0, 0, Smoke::mf_const, 47, 48},	//211 QWebFrame::pos() const
    {54, 382, 0, 0, Smoke::mf_const, 49, 49},	//212 QWebFrame::geometry() const
    {54, 273, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 50},	//213 QWebFrame::contentsSize() const
    {54, 302, 0, 0, Smoke::mf_const, 75, 51},	//214 QWebFrame::documentElement() const
    {54, 349, 16, 1, Smoke::mf_const, 79, 52},	//215 QWebFrame::findAllElements(const QString&) const
    {54, 353, 16, 1, Smoke::mf_const, 75, 53},	//216 QWebFrame::findFirstElement(const QString&) const
    {54, 404, 93, 1, Smoke::mf_const, 95, 54},	//217 QWebFrame::hitTestContent(const QPoint&) const
    {54, 332, 1, 1, 0, 214, 55},	//218 QWebFrame::event(QEvent*)
    {54, 623, 0, 0, Smoke::mf_const, 123, 56},	//219 QWebFrame::securityOrigin() const
    {54, 330, 16, 1, Smoke::mf_slot, 72, 57},	//220 QWebFrame::evaluateJavaScript(const QString&)
    {54, 556, 104, 1, Smoke::mf_const|Smoke::mf_slot, 0, 58},	//221 QWebFrame::print(QPrinter*) const
    {54, 437, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//222 QWebFrame::javaScriptWindowObjectCleared()
    {54, 560, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//223 QWebFrame::provisionalLoad()
    {54, 784, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//224 QWebFrame::titleChanged(const QString&)
    {54, 816, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//225 QWebFrame::urlChanged(const QUrl&)
    {54, 413, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//226 QWebFrame::initialLayoutCompleted()
    {54, 408, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//227 QWebFrame::iconChanged()
    {54, 274, 106, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//228 QWebFrame::contentsSizeChanged(const QSize&)
    {54, 465, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//229 QWebFrame::loadStarted()
    {54, 461, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//230 QWebFrame::loadFinished(bool)
    {54, 534, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//231 QWebFrame::pageChanged()
    {54, 796, 10, 1, Smoke::mf_static, 60, 69},	//232 QWebFrame::tr(const char*)
    {54, 800, 10, 1, Smoke::mf_static, 60, 70},	//233 QWebFrame::trUtf8(const char*)
    {54, 457, 110, 1, 0, 0, 71},	//234 QWebFrame::load(const QNetworkRequest&)
    {54, 457, 112, 2, 0, 0, 72},	//235 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {54, 676, 16, 1, 0, 0, 73},	//236 QWebFrame::setHtml(const QString&)
    {54, 637, 115, 1, 0, 0, 74},	//237 QWebFrame::setContent(const QByteArray&)
    {54, 637, 117, 2, 0, 0, 75},	//238 QWebFrame::setContent(const QByteArray&, const QString&)
    {54, 580, 120, 2, 0, 0, 76},	//239 QWebFrame::render(QPainter*, QWebFrame::RenderLayer)
    {54, 759, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 218, 77},	//240 QWebFrame::staticMetaObject() const
    {54, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 78},	//241 QWebFrame::ContentsLayer (enum)
    {54, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 79},	//242 QWebFrame::ScrollBarLayer (enum)
    {54, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 80},	//243 QWebFrame::PanIconLayer (enum)
    {54, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 81},	//244 QWebFrame::AllLayers (enum)
    {55, 258, 0, 0, 0, 0, 1},	//245 QWebHistory::clear()
    {55, 425, 0, 0, Smoke::mf_const, 27, 2},	//246 QWebHistory::items() const
    {55, 243, 38, 1, Smoke::mf_const, 27, 3},	//247 QWebHistory::backItems(int) const
    {55, 373, 38, 1, Smoke::mf_const, 27, 4},	//248 QWebHistory::forwardItems(int) const
    {55, 249, 0, 0, Smoke::mf_const, 214, 5},	//249 QWebHistory::canGoBack() const
    {55, 250, 0, 0, Smoke::mf_const, 214, 6},	//250 QWebHistory::canGoForward() const
    {55, 241, 0, 0, 0, 0, 7},	//251 QWebHistory::back()
    {55, 371, 0, 0, 0, 0, 8},	//252 QWebHistory::forward()
    {55, 386, 123, 1, 0, 0, 9},	//253 QWebHistory::goToItem(const QWebHistoryItem&)
    {55, 242, 0, 0, Smoke::mf_const, 92, 10},	//254 QWebHistory::backItem() const
    {55, 287, 0, 0, Smoke::mf_const, 92, 11},	//255 QWebHistory::currentItem() const
    {55, 372, 0, 0, Smoke::mf_const, 92, 12},	//256 QWebHistory::forwardItem() const
    {55, 423, 38, 1, Smoke::mf_const, 92, 13},	//257 QWebHistory::itemAt(int) const
    {55, 288, 0, 0, Smoke::mf_const, 258, 14},	//258 QWebHistory::currentItemIndex() const
    {55, 278, 0, 0, Smoke::mf_const, 258, 15},	//259 QWebHistory::count() const
    {55, 470, 0, 0, Smoke::mf_const, 258, 16},	//260 QWebHistory::maximumItemCount() const
    {55, 687, 38, 1, 0, 0, 17},	//261 QWebHistory::setMaximumItemCount(int)
    {56, 475, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 1},	//262 QWebHistoryInterface::metaObject() const
    {56, 563, 10, 1, Smoke::mf_virtual, 266, 2},	//263 QWebHistoryInterface::qt_metacast(const char*)
    {56, 796, 51, 2, Smoke::mf_static, 60, 3},	//264 QWebHistoryInterface::tr(const char*, const char*)
    {56, 800, 51, 2, Smoke::mf_static, 60, 4},	//265 QWebHistoryInterface::trUtf8(const char*, const char*)
    {56, 796, 54, 3, Smoke::mf_static, 60, 5},	//266 QWebHistoryInterface::tr(const char*, const char*, int)
    {56, 800, 54, 3, Smoke::mf_static, 60, 6},	//267 QWebHistoryInterface::trUtf8(const char*, const char*, int)
    {56, 561, 58, 3, Smoke::mf_virtual, 258, 7},	//268 QWebHistoryInterface::qt_metacall(QMetaObject::Call, int, void**)
    {56, 128, 125, 1, Smoke::mf_ctor, 91, 8},	//269 QWebHistoryInterface::QWebHistoryInterface(QObject*)
    {56, 647, 127, 1, Smoke::mf_static, 0, 9},	//270 QWebHistoryInterface::setDefaultInterface(QWebHistoryInterface*)
    {56, 295, 0, 0, Smoke::mf_static, 91, 10},	//271 QWebHistoryInterface::defaultInterface()
    {56, 402, 16, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 214, 11},	//272 QWebHistoryInterface::historyContains(const QString&) const [pure virtual]
    {56, 212, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//273 QWebHistoryInterface::addHistoryEntry(const QString&) [pure virtual]
    {56, 796, 10, 1, Smoke::mf_static, 60, 13},	//274 QWebHistoryInterface::tr(const char*)
    {56, 800, 10, 1, Smoke::mf_static, 60, 14},	//275 QWebHistoryInterface::trUtf8(const char*)
    {56, 128, 0, 0, Smoke::mf_ctor, 91, 15},	//276 QWebHistoryInterface::QWebHistoryInterface()
    {56, 759, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 218, 16},	//277 QWebHistoryInterface::staticMetaObject() const
    {56, 847, 0, 0, Smoke::mf_dtor, 0, 17 },	//278 QWebHistoryInterface::~QWebHistoryInterface()
    {57, 130, 123, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 94, 1},	//279 QWebHistoryItem::QWebHistoryItem(const QWebHistoryItem&)
    {57, 519, 123, 1, 0, 93, 2},	//280 QWebHistoryItem::operator=(const QWebHistoryItem&)
    {57, 530, 0, 0, Smoke::mf_const, 70, 3},	//281 QWebHistoryItem::originalUrl() const
    {57, 815, 0, 0, Smoke::mf_const, 70, 4},	//282 QWebHistoryItem::url() const
    {57, 783, 0, 0, Smoke::mf_const, 60, 5},	//283 QWebHistoryItem::title() const
    {57, 445, 0, 0, Smoke::mf_const, 8, 6},	//284 QWebHistoryItem::lastVisited() const
    {57, 407, 0, 0, Smoke::mf_const, 20, 7},	//285 QWebHistoryItem::icon() const
    {57, 820, 0, 0, Smoke::mf_const, 72, 8},	//286 QWebHistoryItem::userData() const
    {57, 740, 129, 1, 0, 0, 9},	//287 QWebHistoryItem::setUserData(const QVariant&)
    {57, 422, 0, 0, Smoke::mf_const, 214, 10},	//288 QWebHistoryItem::isValid() const
    {57, 848, 0, 0, Smoke::mf_dtor, 0, 11 },	//289 QWebHistoryItem::~QWebHistoryItem()
    {58, 132, 0, 0, Smoke::mf_ctor, 97, 1},	//290 QWebHitTestResult::QWebHitTestResult()
    {58, 132, 131, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 97, 2},	//291 QWebHitTestResult::QWebHitTestResult(const QWebHitTestResult&)
    {58, 519, 131, 1, 0, 96, 3},	//292 QWebHitTestResult::operator=(const QWebHitTestResult&)
    {58, 421, 0, 0, Smoke::mf_const, 214, 4},	//293 QWebHitTestResult::isNull() const
    {58, 546, 0, 0, Smoke::mf_const, 47, 5},	//294 QWebHitTestResult::pos() const
    {58, 247, 0, 0, Smoke::mf_const, 49, 6},	//295 QWebHitTestResult::boundingRect() const
    {58, 324, 0, 0, Smoke::mf_const, 75, 7},	//296 QWebHitTestResult::enclosingBlockElement() const
    {58, 783, 0, 0, Smoke::mf_const, 60, 8},	//297 QWebHitTestResult::title() const
    {58, 454, 0, 0, Smoke::mf_const, 60, 9},	//298 QWebHitTestResult::linkText() const
    {58, 456, 0, 0, Smoke::mf_const, 70, 10},	//299 QWebHitTestResult::linkUrl() const
    {58, 455, 0, 0, Smoke::mf_const, 70, 11},	//300 QWebHitTestResult::linkTitle() const
    {58, 453, 0, 0, Smoke::mf_const, 88, 12},	//301 QWebHitTestResult::linkTargetFrame() const
    {58, 450, 0, 0, Smoke::mf_const, 75, 13},	//302 QWebHitTestResult::linkElement() const
    {58, 220, 0, 0, Smoke::mf_const, 60, 14},	//303 QWebHitTestResult::alternateText() const
    {58, 412, 0, 0, Smoke::mf_const, 70, 15},	//304 QWebHitTestResult::imageUrl() const
    {58, 542, 0, 0, Smoke::mf_const, 46, 16},	//305 QWebHitTestResult::pixmap() const
    {58, 418, 0, 0, Smoke::mf_const, 214, 17},	//306 QWebHitTestResult::isContentEditable() const
    {58, 419, 0, 0, Smoke::mf_const, 214, 18},	//307 QWebHitTestResult::isContentSelected() const
    {58, 314, 0, 0, Smoke::mf_const, 75, 19},	//308 QWebHitTestResult::element() const
    {58, 376, 0, 0, Smoke::mf_const, 88, 20},	//309 QWebHitTestResult::frame() const
    {58, 849, 0, 0, Smoke::mf_dtor, 0, 21 },	//310 QWebHitTestResult::~QWebHitTestResult()
    {59, 475, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 1},	//311 QWebInspector::metaObject() const
    {59, 563, 10, 1, Smoke::mf_virtual, 266, 2},	//312 QWebInspector::qt_metacast(const char*)
    {59, 796, 51, 2, Smoke::mf_static, 60, 3},	//313 QWebInspector::tr(const char*, const char*)
    {59, 800, 51, 2, Smoke::mf_static, 60, 4},	//314 QWebInspector::trUtf8(const char*, const char*)
    {59, 796, 54, 3, Smoke::mf_static, 60, 5},	//315 QWebInspector::tr(const char*, const char*, int)
    {59, 800, 54, 3, Smoke::mf_static, 60, 6},	//316 QWebInspector::trUtf8(const char*, const char*, int)
    {59, 561, 58, 3, Smoke::mf_virtual, 258, 7},	//317 QWebInspector::qt_metacall(QMetaObject::Call, int, void**)
    {59, 134, 133, 1, Smoke::mf_ctor, 98, 8},	//318 QWebInspector::QWebInspector(QWidget*)
    {59, 709, 135, 1, 0, 0, 9},	//319 QWebInspector::setPage(QWebPage*)
    {59, 531, 0, 0, Smoke::mf_const, 99, 10},	//320 QWebInspector::page() const
    {59, 758, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 54, 11},	//321 QWebInspector::sizeHint() const
    {59, 332, 1, 1, Smoke::mf_virtual, 214, 12},	//322 QWebInspector::event(QEvent*)
    {59, 599, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//323 QWebInspector::resizeEvent(QResizeEvent*)
    {59, 755, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//324 QWebInspector::showEvent(QShowEvent*)
    {59, 399, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//325 QWebInspector::hideEvent(QHideEvent*)
    {59, 262, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//326 QWebInspector::closeEvent(QCloseEvent*)
    {59, 796, 10, 1, Smoke::mf_static, 60, 17},	//327 QWebInspector::tr(const char*)
    {59, 800, 10, 1, Smoke::mf_static, 60, 18},	//328 QWebInspector::trUtf8(const char*)
    {59, 134, 0, 0, Smoke::mf_ctor, 98, 19},	//329 QWebInspector::QWebInspector()
    {59, 759, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 218, 20},	//330 QWebInspector::staticMetaObject() const
    {59, 850, 0, 0, Smoke::mf_dtor, 0, 21 },	//331 QWebInspector::~QWebInspector()
    {60, 475, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 1},	//332 QWebPage::metaObject() const
    {60, 563, 10, 1, Smoke::mf_virtual, 266, 2},	//333 QWebPage::qt_metacast(const char*)
    {60, 796, 51, 2, Smoke::mf_static, 60, 3},	//334 QWebPage::tr(const char*, const char*)
    {60, 800, 51, 2, Smoke::mf_static, 60, 4},	//335 QWebPage::trUtf8(const char*, const char*)
    {60, 796, 54, 3, Smoke::mf_static, 60, 5},	//336 QWebPage::tr(const char*, const char*, int)
    {60, 800, 54, 3, Smoke::mf_static, 60, 6},	//337 QWebPage::trUtf8(const char*, const char*, int)
    {60, 561, 58, 3, Smoke::mf_virtual, 258, 7},	//338 QWebPage::qt_metacall(QMetaObject::Call, int, void**)
    {60, 136, 125, 1, Smoke::mf_ctor, 99, 8},	//339 QWebPage::QWebPage(QObject*)
    {60, 469, 0, 0, Smoke::mf_const, 88, 9},	//340 QWebPage::mainFrame() const
    {60, 286, 0, 0, Smoke::mf_const, 88, 10},	//341 QWebPage::currentFrame() const
    {60, 377, 93, 1, Smoke::mf_const, 88, 11},	//342 QWebPage::frameAt(const QPoint&) const
    {60, 401, 0, 0, Smoke::mf_const, 90, 12},	//343 QWebPage::history() const
    {60, 753, 0, 0, Smoke::mf_const, 126, 13},	//344 QWebPage::settings() const
    {60, 744, 133, 1, 0, 0, 14},	//345 QWebPage::setView(QWidget*)
    {60, 822, 0, 0, Smoke::mf_const, 134, 15},	//346 QWebPage::view() const
    {60, 420, 0, 0, Smoke::mf_const|Smoke::mf_property, 214, 16},	//347 QWebPage::isModified() const
    {60, 810, 0, 0, Smoke::mf_const, 69, 17},	//348 QWebPage::undoStack() const
    {60, 695, 145, 1, 0, 0, 18},	//349 QWebPage::setNetworkAccessManager(QNetworkAccessManager*)
    {60, 491, 0, 0, Smoke::mf_const, 36, 19},	//350 QWebPage::networkAccessManager() const
    {60, 717, 147, 1, 0, 0, 20},	//351 QWebPage::setPluginFactory(QWebPluginFactory*)
    {60, 543, 0, 0, Smoke::mf_const, 117, 21},	//352 QWebPage::pluginFactory() const
    {60, 795, 0, 0, Smoke::mf_const, 265, 22},	//353 QWebPage::totalBytes() const
    {60, 248, 0, 0, Smoke::mf_const, 265, 23},	//354 QWebPage::bytesReceived() const
    {60, 397, 0, 0, Smoke::mf_const|Smoke::mf_property, 214, 24},	//355 QWebPage::hasSelection() const
    {60, 625, 0, 0, Smoke::mf_const|Smoke::mf_property, 60, 25},	//356 QWebPage::selectedText() const
    {60, 624, 0, 0, Smoke::mf_const|Smoke::mf_property, 60, 26},	//357 QWebPage::selectedHtml() const
    {60, 207, 149, 1, Smoke::mf_const, 1, 27},	//358 QWebPage::action(QWebPage::WebAction) const
    {60, 804, 151, 2, Smoke::mf_virtual, 0, 28},	//359 QWebPage::triggerAction(QWebPage::WebAction, bool)
    {60, 826, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 29},	//360 QWebPage::viewportSize() const
    {60, 746, 106, 1, Smoke::mf_const|Smoke::mf_property, 0, 30},	//361 QWebPage::setViewportSize(const QSize&) const
    {60, 823, 106, 1, Smoke::mf_const, 113, 31},	//362 QWebPage::viewportAttributesForSize(const QSize&) const
    {60, 547, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 32},	//363 QWebPage::preferredContentsSize() const
    {60, 719, 106, 1, Smoke::mf_const|Smoke::mf_property, 0, 33},	//364 QWebPage::setPreferredContentsSize(const QSize&) const
    {60, 627, 154, 1, Smoke::mf_const, 0, 34},	//365 QWebPage::setActualVisibleContentRect(const QRect&) const
    {60, 332, 1, 1, Smoke::mf_virtual, 214, 35},	//366 QWebPage::event(QEvent*)
    {60, 362, 108, 1, 0, 214, 36},	//367 QWebPage::focusNextPrevChild(bool)
    {60, 416, 156, 1, Smoke::mf_const, 72, 37},	//368 QWebPage::inputMethodQuery(Qt::InputMethodQuery) const
    {60, 355, 158, 2, 0, 214, 38},	//369 QWebPage::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {60, 672, 108, 1, Smoke::mf_property, 0, 39},	//370 QWebPage::setForwardUnsupportedContent(bool)
    {60, 375, 0, 0, Smoke::mf_const|Smoke::mf_property, 214, 40},	//371 QWebPage::forwardUnsupportedContent() const
    {60, 683, 161, 1, Smoke::mf_property, 0, 41},	//372 QWebPage::setLinkDelegationPolicy(QWebPage::LinkDelegationPolicy)
    {60, 449, 0, 0, Smoke::mf_const|Smoke::mf_property, 110, 42},	//373 QWebPage::linkDelegationPolicy() const
    {60, 711, 163, 1, Smoke::mf_property, 0, 43},	//374 QWebPage::setPalette(const QPalette&)
    {60, 538, 0, 0, Smoke::mf_const|Smoke::mf_property, 45, 44},	//375 QWebPage::palette() const
    {60, 641, 108, 1, Smoke::mf_property, 0, 45},	//376 QWebPage::setContentEditable(bool)
    {60, 418, 0, 0, Smoke::mf_const|Smoke::mf_property, 214, 46},	//377 QWebPage::isContentEditable() const
    {60, 774, 165, 1, 0, 214, 47},	//378 QWebPage::swallowContextMenuEvent(QContextMenuEvent*)
    {60, 813, 93, 1, 0, 0, 48},	//379 QWebPage::updatePositionDependentActions(const QPoint&)
    {60, 283, 0, 0, 0, 31, 49},	//380 QWebPage::createStandardContextMenu()
    {60, 661, 167, 3, 0, 0, 50},	//381 QWebPage::setFeaturePermission(QWebFrame*, QWebPage::Feature, QWebPage::PermissionPolicy)
    {60, 769, 0, 0, Smoke::mf_const, 63, 51},	//382 QWebPage::supportedContentTypes() const
    {60, 770, 16, 1, Smoke::mf_const, 214, 52},	//383 QWebPage::supportsContentType(const QString&) const
    {60, 336, 171, 3, Smoke::mf_virtual, 214, 53},	//384 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*)
    {60, 772, 175, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 54},	//385 QWebPage::supportsExtension(QWebPage::Extension) const
    {60, 388, 0, 0, Smoke::mf_const, 116, 55},	//386 QWebPage::handle() const
    {60, 754, 0, 0, Smoke::mf_slot, 214, 56},	//387 QWebPage::shouldInterruptJavaScript()
    {60, 465, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//388 QWebPage::loadStarted()
    {60, 463, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//389 QWebPage::loadProgress(int)
    {60, 461, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//390 QWebPage::loadFinished(bool)
    {60, 451, 21, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//391 QWebPage::linkHovered(const QString&, const QString&, const QString&)
    {60, 760, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//392 QWebPage::statusBarMessage(const QString&)
    {60, 626, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//393 QWebPage::selectionChanged()
    {60, 379, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//394 QWebPage::frameCreated(QWebFrame*)
    {60, 383, 154, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//395 QWebPage::geometryChangeRequested(const QRect&)
    {60, 587, 154, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//396 QWebPage::repaintRequested(const QRect&)
    {60, 619, 179, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//397 QWebPage::scrollRequested(int, int, const QRect&)
    {60, 833, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//398 QWebPage::windowCloseRequested()
    {60, 558, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//399 QWebPage::printRequested(QWebFrame*)
    {60, 447, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 69},	//400 QWebPage::linkClicked(const QUrl&)
    {60, 793, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 70},	//401 QWebPage::toolBarVisibilityChangeRequested(bool)
    {60, 762, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//402 QWebPage::statusBarVisibilityChangeRequested(bool)
    {60, 472, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 72},	//403 QWebPage::menuBarVisibilityChangeRequested(bool)
    {60, 811, 183, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 73},	//404 QWebPage::unsupportedContent(QNetworkReply*)
    {60, 304, 110, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 74},	//405 QWebPage::downloadRequested(const QNetworkRequest&)
    {60, 477, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 75},	//406 QWebPage::microFocusChanged()
    {60, 272, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 76},	//407 QWebPage::contentsChanged()
    {60, 291, 185, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 77},	//408 QWebPage::databaseQuotaExceeded(QWebFrame*, QString)
    {60, 229, 188, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 78},	//409 QWebPage::applicationCacheQuotaExceeded(QWebSecurityOrigin*, quint64)
    {60, 603, 191, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 79},	//410 QWebPage::saveFrameStateRequested(QWebFrame*, QWebHistoryItem*)
    {60, 601, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 80},	//411 QWebPage::restoreFrameStateRequested(QWebFrame*)
    {60, 825, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 81},	//412 QWebPage::viewportChangeRequested()
    {60, 342, 194, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 82},	//413 QWebPage::featurePermissionRequested(QWebFrame*, QWebPage::Feature)
    {60, 340, 194, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 83},	//414 QWebPage::featurePermissionRequestCanceled(QWebFrame*, QWebPage::Feature)
    {60, 284, 197, 1, Smoke::mf_protected|Smoke::mf_virtual, 99, 84},	//415 QWebPage::createWindow(QWebPage::WebWindowType)
    {60, 281, 199, 4, Smoke::mf_protected|Smoke::mf_virtual, 39, 85},	//416 QWebPage::createPlugin(const QString&, const QUrl&, const QStringList&, const QStringList&)
    {60, 205, 204, 3, Smoke::mf_protected|Smoke::mf_virtual, 214, 86},	//417 QWebPage::acceptNavigationRequest(QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType)
    {60, 255, 208, 2, Smoke::mf_protected|Smoke::mf_virtual, 60, 87},	//418 QWebPage::chooseFile(QWebFrame*, const QString&)
    {60, 429, 208, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 88},	//419 QWebPage::javaScriptAlert(QWebFrame*, const QString&)
    {60, 431, 208, 2, Smoke::mf_protected|Smoke::mf_virtual, 214, 89},	//420 QWebPage::javaScriptConfirm(QWebFrame*, const QString&)
    {60, 435, 211, 4, Smoke::mf_protected|Smoke::mf_virtual, 214, 90},	//421 QWebPage::javaScriptPrompt(QWebFrame*, const QString&, const QString&, QString*)
    {60, 433, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 91},	//422 QWebPage::javaScriptConsoleMessage(const QString&, int, const QString&)
    {60, 818, 62, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 60, 92},	//423 QWebPage::userAgentForUrl(const QUrl&) const
    {60, 796, 10, 1, Smoke::mf_static, 60, 93},	//424 QWebPage::tr(const char*)
    {60, 800, 10, 1, Smoke::mf_static, 60, 94},	//425 QWebPage::trUtf8(const char*)
    {60, 136, 0, 0, Smoke::mf_ctor, 99, 95},	//426 QWebPage::QWebPage()
    {60, 804, 149, 1, 0, 0, 96},	//427 QWebPage::triggerAction(QWebPage::WebAction)
    {60, 355, 16, 1, 0, 214, 97},	//428 QWebPage::findText(const QString&)
    {60, 336, 175, 1, 0, 214, 98},	//429 QWebPage::extension(QWebPage::Extension)
    {60, 336, 220, 2, 0, 214, 99},	//430 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*)
    {60, 759, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 218, 100},	//431 QWebPage::staticMetaObject() const
    {60, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 101},	//432 QWebPage::NavigationTypeLinkClicked (enum)
    {60, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 102},	//433 QWebPage::NavigationTypeFormSubmitted (enum)
    {60, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 103},	//434 QWebPage::NavigationTypeBackOrForward (enum)
    {60, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 104},	//435 QWebPage::NavigationTypeReload (enum)
    {60, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 105},	//436 QWebPage::NavigationTypeFormResubmitted (enum)
    {60, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 106},	//437 QWebPage::NavigationTypeOther (enum)
    {60, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 107},	//438 QWebPage::NoWebAction (enum)
    {60, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 108},	//439 QWebPage::OpenLink (enum)
    {60, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 109},	//440 QWebPage::OpenLinkInNewWindow (enum)
    {60, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 110},	//441 QWebPage::OpenFrameInNewWindow (enum)
    {60, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 111},	//442 QWebPage::DownloadLinkToDisk (enum)
    {60, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 112},	//443 QWebPage::CopyLinkToClipboard (enum)
    {60, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 113},	//444 QWebPage::OpenImageInNewWindow (enum)
    {60, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 114},	//445 QWebPage::DownloadImageToDisk (enum)
    {60, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 115},	//446 QWebPage::CopyImageToClipboard (enum)
    {60, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 116},	//447 QWebPage::Back (enum)
    {60, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 117},	//448 QWebPage::Forward (enum)
    {60, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 118},	//449 QWebPage::Stop (enum)
    {60, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 119},	//450 QWebPage::Reload (enum)
    {60, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 120},	//451 QWebPage::Cut (enum)
    {60, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 121},	//452 QWebPage::Copy (enum)
    {60, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 122},	//453 QWebPage::Paste (enum)
    {60, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 123},	//454 QWebPage::Undo (enum)
    {60, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 124},	//455 QWebPage::Redo (enum)
    {60, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 125},	//456 QWebPage::MoveToNextChar (enum)
    {60, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 126},	//457 QWebPage::MoveToPreviousChar (enum)
    {60, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 127},	//458 QWebPage::MoveToNextWord (enum)
    {60, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 128},	//459 QWebPage::MoveToPreviousWord (enum)
    {60, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 129},	//460 QWebPage::MoveToNextLine (enum)
    {60, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 130},	//461 QWebPage::MoveToPreviousLine (enum)
    {60, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 131},	//462 QWebPage::MoveToStartOfLine (enum)
    {60, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 132},	//463 QWebPage::MoveToEndOfLine (enum)
    {60, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 133},	//464 QWebPage::MoveToStartOfBlock (enum)
    {60, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 134},	//465 QWebPage::MoveToEndOfBlock (enum)
    {60, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 135},	//466 QWebPage::MoveToStartOfDocument (enum)
    {60, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 136},	//467 QWebPage::MoveToEndOfDocument (enum)
    {60, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 137},	//468 QWebPage::SelectNextChar (enum)
    {60, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 138},	//469 QWebPage::SelectPreviousChar (enum)
    {60, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 139},	//470 QWebPage::SelectNextWord (enum)
    {60, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 140},	//471 QWebPage::SelectPreviousWord (enum)
    {60, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 141},	//472 QWebPage::SelectNextLine (enum)
    {60, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 142},	//473 QWebPage::SelectPreviousLine (enum)
    {60, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 143},	//474 QWebPage::SelectStartOfLine (enum)
    {60, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 144},	//475 QWebPage::SelectEndOfLine (enum)
    {60, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 145},	//476 QWebPage::SelectStartOfBlock (enum)
    {60, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 146},	//477 QWebPage::SelectEndOfBlock (enum)
    {60, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 147},	//478 QWebPage::SelectStartOfDocument (enum)
    {60, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 148},	//479 QWebPage::SelectEndOfDocument (enum)
    {60, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 149},	//480 QWebPage::DeleteStartOfWord (enum)
    {60, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 150},	//481 QWebPage::DeleteEndOfWord (enum)
    {60, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 151},	//482 QWebPage::SetTextDirectionDefault (enum)
    {60, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 152},	//483 QWebPage::SetTextDirectionLeftToRight (enum)
    {60, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 153},	//484 QWebPage::SetTextDirectionRightToLeft (enum)
    {60, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 154},	//485 QWebPage::ToggleBold (enum)
    {60, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 155},	//486 QWebPage::ToggleItalic (enum)
    {60, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 156},	//487 QWebPage::ToggleUnderline (enum)
    {60, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 157},	//488 QWebPage::InspectElement (enum)
    {60, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 158},	//489 QWebPage::InsertParagraphSeparator (enum)
    {60, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 159},	//490 QWebPage::InsertLineSeparator (enum)
    {60, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 160},	//491 QWebPage::SelectAll (enum)
    {60, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 161},	//492 QWebPage::ReloadAndBypassCache (enum)
    {60, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 162},	//493 QWebPage::PasteAndMatchStyle (enum)
    {60, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 163},	//494 QWebPage::RemoveFormat (enum)
    {60, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 164},	//495 QWebPage::ToggleStrikethrough (enum)
    {60, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 165},	//496 QWebPage::ToggleSubscript (enum)
    {60, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 166},	//497 QWebPage::ToggleSuperscript (enum)
    {60, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 167},	//498 QWebPage::InsertUnorderedList (enum)
    {60, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 168},	//499 QWebPage::InsertOrderedList (enum)
    {60, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 169},	//500 QWebPage::Indent (enum)
    {60, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 170},	//501 QWebPage::Outdent (enum)
    {60, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 171},	//502 QWebPage::AlignCenter (enum)
    {60, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 172},	//503 QWebPage::AlignJustified (enum)
    {60, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 173},	//504 QWebPage::AlignLeft (enum)
    {60, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 174},	//505 QWebPage::AlignRight (enum)
    {60, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 175},	//506 QWebPage::StopScheduledPageRefresh (enum)
    {60, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 176},	//507 QWebPage::CopyImageUrlToClipboard (enum)
    {60, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 177},	//508 QWebPage::WebActionCount (enum)
    {60, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 178},	//509 QWebPage::FindBackward (enum)
    {60, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 179},	//510 QWebPage::FindCaseSensitively (enum)
    {60, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 180},	//511 QWebPage::FindWrapsAroundDocument (enum)
    {60, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 181},	//512 QWebPage::HighlightAllOccurrences (enum)
    {60, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 182},	//513 QWebPage::DontDelegateLinks (enum)
    {60, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 183},	//514 QWebPage::DelegateExternalLinks (enum)
    {60, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 184},	//515 QWebPage::DelegateAllLinks (enum)
    {60, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 185},	//516 QWebPage::WebBrowserWindow (enum)
    {60, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 186},	//517 QWebPage::WebModalDialog (enum)
    {60, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 187},	//518 QWebPage::PermissionUnknown (enum)
    {60, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 188},	//519 QWebPage::PermissionGrantedByUser (enum)
    {60, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 189},	//520 QWebPage::PermissionDeniedByUser (enum)
    {60, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 190},	//521 QWebPage::Notifications (enum)
    {60, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 191},	//522 QWebPage::Geolocation (enum)
    {60, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 192},	//523 QWebPage::ChooseMultipleFilesExtension (enum)
    {60, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 193},	//524 QWebPage::ErrorPageExtension (enum)
    {60, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 194},	//525 QWebPage::QtNetwork (enum)
    {60, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 195},	//526 QWebPage::Http (enum)
    {60, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 196},	//527 QWebPage::WebKit (enum)
    {60, 851, 0, 0, Smoke::mf_dtor, 0, 197 },	//528 QWebPage::~QWebPage()
    {61, 11, 0, 0, Smoke::mf_ctor, 100, 1},	//529 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption()
    {61, 11, 223, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 100, 2},	//530 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption(const QWebPage::ChooseMultipleFilesExtensionOption&)
    {61, 541, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 88, 3},	//531 QWebPage::ChooseMultipleFilesExtensionOption::parentFrame() const
    {61, 713, 177, 1, Smoke::mf_attribute, 0, 4},	//532 QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame(QWebFrame*)
    {61, 768, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 64, 5},	//533 QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames() const
    {61, 734, 225, 1, Smoke::mf_attribute, 0, 6},	//534 QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames(const QStringList&)
    {61, 836, 0, 0, Smoke::mf_dtor, 0, 7 },	//535 QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption()
    {62, 13, 0, 0, Smoke::mf_ctor, 101, 1},	//536 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn()
    {62, 13, 227, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 101, 2},	//537 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn(const QWebPage::ChooseMultipleFilesExtensionReturn&)
    {62, 346, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 64, 3},	//538 QWebPage::ChooseMultipleFilesExtensionReturn::fileNames() const
    {62, 665, 225, 1, Smoke::mf_attribute, 0, 4},	//539 QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames(const QStringList&)
    {62, 837, 0, 0, Smoke::mf_dtor, 0, 5 },	//540 QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn()
    {63, 39, 0, 0, Smoke::mf_ctor, 103, 1},	//541 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption()
    {63, 39, 229, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 103, 2},	//542 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption(const QWebPage::ErrorPageExtensionOption&)
    {63, 815, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 71, 3},	//543 QWebPage::ErrorPageExtensionOption::url() const
    {63, 738, 62, 1, Smoke::mf_attribute, 0, 4},	//544 QWebPage::ErrorPageExtensionOption::setUrl(const QUrl&)
    {63, 376, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 88, 5},	//545 QWebPage::ErrorPageExtensionOption::frame() const
    {63, 674, 177, 1, Smoke::mf_attribute, 0, 6},	//546 QWebPage::ErrorPageExtensionOption::setFrame(QWebFrame*)
    {63, 303, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 102, 7},	//547 QWebPage::ErrorPageExtensionOption::domain() const
    {63, 653, 231, 1, Smoke::mf_attribute, 0, 8},	//548 QWebPage::ErrorPageExtensionOption::setDomain(QWebPage::ErrorDomain)
    {63, 328, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 258, 9},	//549 QWebPage::ErrorPageExtensionOption::error() const
    {63, 657, 38, 1, Smoke::mf_attribute, 0, 10},	//550 QWebPage::ErrorPageExtensionOption::setError(int)
    {63, 329, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 11},	//551 QWebPage::ErrorPageExtensionOption::errorString() const
    {63, 659, 16, 1, Smoke::mf_attribute, 0, 12},	//552 QWebPage::ErrorPageExtensionOption::setErrorString(const QString&)
    {63, 838, 0, 0, Smoke::mf_dtor, 0, 13 },	//553 QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption()
    {64, 41, 0, 0, Smoke::mf_ctor, 104, 1},	//554 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn()
    {64, 41, 233, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 104, 2},	//555 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn(const QWebPage::ErrorPageExtensionReturn&)
    {64, 271, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 3},	//556 QWebPage::ErrorPageExtensionReturn::contentType() const
    {64, 643, 16, 1, Smoke::mf_attribute, 0, 4},	//557 QWebPage::ErrorPageExtensionReturn::setContentType(const QString&)
    {64, 325, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 5},	//558 QWebPage::ErrorPageExtensionReturn::encoding() const
    {64, 655, 16, 1, Smoke::mf_attribute, 0, 6},	//559 QWebPage::ErrorPageExtensionReturn::setEncoding(const QString&)
    {64, 245, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 71, 7},	//560 QWebPage::ErrorPageExtensionReturn::baseUrl() const
    {64, 635, 62, 1, Smoke::mf_attribute, 0, 8},	//561 QWebPage::ErrorPageExtensionReturn::setBaseUrl(const QUrl&)
    {64, 270, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 4, 9},	//562 QWebPage::ErrorPageExtensionReturn::content() const
    {64, 637, 115, 1, Smoke::mf_attribute, 0, 10},	//563 QWebPage::ErrorPageExtensionReturn::setContent(const QByteArray&)
    {64, 839, 0, 0, Smoke::mf_dtor, 0, 11 },	//564 QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn()
    {65, 43, 0, 0, Smoke::mf_ctor, 106, 1},	//565 QWebPage::ExtensionOption::ExtensionOption()
    {65, 43, 235, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 106, 2},	//566 QWebPage::ExtensionOption::ExtensionOption(const QWebPage::ExtensionOption&)
    {65, 840, 0, 0, Smoke::mf_dtor, 0, 3 },	//567 QWebPage::ExtensionOption::~ExtensionOption()
    {66, 45, 0, 0, Smoke::mf_ctor, 107, 1},	//568 QWebPage::ExtensionReturn::ExtensionReturn()
    {66, 45, 237, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 107, 2},	//569 QWebPage::ExtensionReturn::ExtensionReturn(const QWebPage::ExtensionReturn&)
    {66, 841, 0, 0, Smoke::mf_dtor, 0, 3 },	//570 QWebPage::ExtensionReturn::~ExtensionReturn()
    {69, 475, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 1},	//571 QWebPluginFactory::metaObject() const
    {69, 563, 10, 1, Smoke::mf_virtual, 266, 2},	//572 QWebPluginFactory::qt_metacast(const char*)
    {69, 796, 51, 2, Smoke::mf_static, 60, 3},	//573 QWebPluginFactory::tr(const char*, const char*)
    {69, 800, 51, 2, Smoke::mf_static, 60, 4},	//574 QWebPluginFactory::trUtf8(const char*, const char*)
    {69, 796, 54, 3, Smoke::mf_static, 60, 5},	//575 QWebPluginFactory::tr(const char*, const char*, int)
    {69, 800, 54, 3, Smoke::mf_static, 60, 6},	//576 QWebPluginFactory::trUtf8(const char*, const char*, int)
    {69, 561, 58, 3, Smoke::mf_virtual, 258, 7},	//577 QWebPluginFactory::qt_metacall(QMetaObject::Call, int, void**)
    {69, 138, 125, 1, Smoke::mf_ctor, 117, 8},	//578 QWebPluginFactory::QWebPluginFactory(QObject*)
    {69, 544, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 29, 9},	//579 QWebPluginFactory::plugins() const [pure virtual]
    {69, 565, 0, 0, Smoke::mf_virtual, 0, 10},	//580 QWebPluginFactory::refreshPlugins()
    {69, 279, 199, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 39, 11},	//581 QWebPluginFactory::create(const QString&, const QUrl&, const QStringList&, const QStringList&) const [pure virtual]
    {69, 336, 239, 3, Smoke::mf_virtual, 214, 12},	//582 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*)
    {69, 772, 243, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 13},	//583 QWebPluginFactory::supportsExtension(QWebPluginFactory::Extension) const
    {69, 796, 10, 1, Smoke::mf_static, 60, 14},	//584 QWebPluginFactory::tr(const char*)
    {69, 800, 10, 1, Smoke::mf_static, 60, 15},	//585 QWebPluginFactory::trUtf8(const char*)
    {69, 138, 0, 0, Smoke::mf_ctor, 117, 16},	//586 QWebPluginFactory::QWebPluginFactory()
    {69, 336, 243, 1, 0, 214, 17},	//587 QWebPluginFactory::extension(QWebPluginFactory::Extension)
    {69, 336, 245, 2, 0, 214, 18},	//588 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*)
    {69, 759, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 218, 19},	//589 QWebPluginFactory::staticMetaObject() const
    {69, 852, 0, 0, Smoke::mf_dtor, 0, 20 },	//590 QWebPluginFactory::~QWebPluginFactory()
    {70, 43, 0, 0, Smoke::mf_ctor, 119, 1},	//591 QWebPluginFactory::ExtensionOption::ExtensionOption()
    {70, 43, 248, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 119, 2},	//592 QWebPluginFactory::ExtensionOption::ExtensionOption(const QWebPluginFactory::ExtensionOption&)
    {70, 840, 0, 0, Smoke::mf_dtor, 0, 3 },	//593 QWebPluginFactory::ExtensionOption::~ExtensionOption()
    {71, 45, 0, 0, Smoke::mf_ctor, 120, 1},	//594 QWebPluginFactory::ExtensionReturn::ExtensionReturn()
    {71, 45, 250, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 120, 2},	//595 QWebPluginFactory::ExtensionReturn::ExtensionReturn(const QWebPluginFactory::ExtensionReturn&)
    {71, 841, 0, 0, Smoke::mf_dtor, 0, 3 },	//596 QWebPluginFactory::ExtensionReturn::~ExtensionReturn()
    {72, 521, 252, 1, Smoke::mf_const, 214, 1},	//597 QWebPluginFactory::MimeType::operator==(const QWebPluginFactory::MimeType&) const
    {72, 497, 252, 1, Smoke::mf_const, 214, 2},	//598 QWebPluginFactory::MimeType::operator!=(const QWebPluginFactory::MimeType&) const
    {72, 77, 0, 0, Smoke::mf_ctor, 121, 3},	//599 QWebPluginFactory::MimeType::MimeType()
    {72, 77, 252, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 121, 4},	//600 QWebPluginFactory::MimeType::MimeType(const QWebPluginFactory::MimeType&)
    {72, 489, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 5},	//601 QWebPluginFactory::MimeType::name() const
    {72, 693, 16, 1, Smoke::mf_attribute, 0, 6},	//602 QWebPluginFactory::MimeType::setName(const QString&)
    {72, 297, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 7},	//603 QWebPluginFactory::MimeType::description() const
    {72, 651, 16, 1, Smoke::mf_attribute, 0, 8},	//604 QWebPluginFactory::MimeType::setDescription(const QString&)
    {72, 344, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 64, 9},	//605 QWebPluginFactory::MimeType::fileExtensions() const
    {72, 663, 225, 1, Smoke::mf_attribute, 0, 10},	//606 QWebPluginFactory::MimeType::setFileExtensions(const QStringList&)
    {72, 842, 0, 0, Smoke::mf_dtor, 0, 11 },	//607 QWebPluginFactory::MimeType::~MimeType()
    {73, 116, 0, 0, Smoke::mf_ctor, 122, 1},	//608 QWebPluginFactory::Plugin::Plugin()
    {73, 116, 254, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 122, 2},	//609 QWebPluginFactory::Plugin::Plugin(const QWebPluginFactory::Plugin&)
    {73, 489, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 3},	//610 QWebPluginFactory::Plugin::name() const
    {73, 693, 16, 1, Smoke::mf_attribute, 0, 4},	//611 QWebPluginFactory::Plugin::setName(const QString&)
    {73, 297, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 5},	//612 QWebPluginFactory::Plugin::description() const
    {73, 651, 16, 1, Smoke::mf_attribute, 0, 6},	//613 QWebPluginFactory::Plugin::setDescription(const QString&)
    {73, 478, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 28, 7},	//614 QWebPluginFactory::Plugin::mimeTypes() const
    {73, 691, 256, 1, Smoke::mf_attribute, 0, 8},	//615 QWebPluginFactory::Plugin::setMimeTypes(const QList<QWebPluginFactory::MimeType>&)
    {73, 843, 0, 0, Smoke::mf_dtor, 0, 9 },	//616 QWebPluginFactory::Plugin::~Plugin()
    {74, 219, 0, 0, Smoke::mf_static, 30, 1},	//617 QWebSecurityOrigin::allOrigins()
    {74, 214, 16, 1, Smoke::mf_static, 0, 2},	//618 QWebSecurityOrigin::addLocalScheme(const QString&)
    {74, 578, 16, 1, Smoke::mf_static, 0, 3},	//619 QWebSecurityOrigin::removeLocalScheme(const QString&)
    {74, 467, 0, 0, Smoke::mf_static, 63, 4},	//620 QWebSecurityOrigin::localSchemes()
    {74, 605, 0, 0, Smoke::mf_const, 60, 5},	//621 QWebSecurityOrigin::scheme() const
    {74, 406, 0, 0, Smoke::mf_const, 60, 6},	//622 QWebSecurityOrigin::host() const
    {74, 545, 0, 0, Smoke::mf_const, 258, 7},	//623 QWebSecurityOrigin::port() const
    {74, 293, 0, 0, Smoke::mf_const, 260, 8},	//624 QWebSecurityOrigin::databaseUsage() const
    {74, 290, 0, 0, Smoke::mf_const, 260, 9},	//625 QWebSecurityOrigin::databaseQuota() const
    {74, 645, 258, 1, 0, 0, 10},	//626 QWebSecurityOrigin::setDatabaseQuota(long long)
    {74, 629, 258, 1, 0, 0, 11},	//627 QWebSecurityOrigin::setApplicationCacheQuota(long long)
    {74, 294, 0, 0, Smoke::mf_const, 24, 12},	//628 QWebSecurityOrigin::databases() const
    {74, 140, 260, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 125, 13},	//629 QWebSecurityOrigin::QWebSecurityOrigin(const QWebSecurityOrigin&)
    {74, 519, 260, 1, 0, 124, 14},	//630 QWebSecurityOrigin::operator=(const QWebSecurityOrigin&)
    {74, 853, 0, 0, Smoke::mf_dtor, 0, 15 },	//631 QWebSecurityOrigin::~QWebSecurityOrigin()
    {75, 385, 0, 0, Smoke::mf_static, 126, 1},	//632 QWebSettings::globalSettings()
    {75, 668, 262, 2, 0, 0, 2},	//633 QWebSettings::setFontFamily(QWebSettings::FontFamily, const QString&)
    {75, 367, 265, 1, Smoke::mf_const, 60, 3},	//634 QWebSettings::fontFamily(QWebSettings::FontFamily) const
    {75, 595, 265, 1, 0, 0, 4},	//635 QWebSettings::resetFontFamily(QWebSettings::FontFamily)
    {75, 670, 267, 2, 0, 0, 5},	//636 QWebSettings::setFontSize(QWebSettings::FontSize, int)
    {75, 369, 270, 1, Smoke::mf_const, 258, 6},	//637 QWebSettings::fontSize(QWebSettings::FontSize) const
    {75, 597, 270, 1, 0, 0, 7},	//638 QWebSettings::resetFontSize(QWebSettings::FontSize)
    {75, 631, 272, 2, 0, 0, 8},	//639 QWebSettings::setAttribute(QWebSettings::WebAttribute, bool)
    {75, 779, 275, 1, Smoke::mf_const, 214, 9},	//640 QWebSettings::testAttribute(QWebSettings::WebAttribute) const
    {75, 593, 275, 1, 0, 0, 10},	//641 QWebSettings::resetAttribute(QWebSettings::WebAttribute)
    {75, 742, 62, 1, 0, 0, 11},	//642 QWebSettings::setUserStyleSheetUrl(const QUrl&)
    {75, 821, 0, 0, Smoke::mf_const, 70, 12},	//643 QWebSettings::userStyleSheetUrl() const
    {75, 649, 16, 1, 0, 0, 13},	//644 QWebSettings::setDefaultTextEncoding(const QString&)
    {75, 296, 0, 0, Smoke::mf_const, 60, 14},	//645 QWebSettings::defaultTextEncoding() const
    {75, 679, 16, 1, Smoke::mf_static, 0, 15},	//646 QWebSettings::setIconDatabasePath(const QString&)
    {75, 409, 0, 0, Smoke::mf_static, 60, 16},	//647 QWebSettings::iconDatabasePath()
    {75, 259, 0, 0, Smoke::mf_static, 0, 17},	//648 QWebSettings::clearIconDatabase()
    {75, 410, 62, 1, Smoke::mf_static, 20, 18},	//649 QWebSettings::iconForUrl(const QUrl&)
    {75, 749, 277, 2, Smoke::mf_static, 0, 19},	//650 QWebSettings::setWebGraphic(QWebSettings::WebGraphic, const QPixmap&)
    {75, 828, 280, 1, Smoke::mf_static, 46, 20},	//651 QWebSettings::webGraphic(QWebSettings::WebGraphic)
    {75, 689, 38, 1, Smoke::mf_static, 0, 21},	//652 QWebSettings::setMaximumPagesInCache(int)
    {75, 471, 0, 0, Smoke::mf_static, 258, 22},	//653 QWebSettings::maximumPagesInCache()
    {75, 697, 282, 3, Smoke::mf_static, 0, 23},	//654 QWebSettings::setObjectCacheCapacities(int, int, int)
    {75, 701, 16, 1, Smoke::mf_static, 0, 24},	//655 QWebSettings::setOfflineStoragePath(const QString&)
    {75, 494, 0, 0, Smoke::mf_static, 60, 25},	//656 QWebSettings::offlineStoragePath()
    {75, 699, 258, 1, Smoke::mf_static, 0, 26},	//657 QWebSettings::setOfflineStorageDefaultQuota(long long)
    {75, 493, 0, 0, Smoke::mf_static, 260, 27},	//658 QWebSettings::offlineStorageDefaultQuota()
    {75, 703, 16, 1, Smoke::mf_static, 0, 28},	//659 QWebSettings::setOfflineWebApplicationCachePath(const QString&)
    {75, 495, 0, 0, Smoke::mf_static, 60, 29},	//660 QWebSettings::offlineWebApplicationCachePath()
    {75, 705, 258, 1, Smoke::mf_static, 0, 30},	//661 QWebSettings::setOfflineWebApplicationCacheQuota(long long)
    {75, 496, 0, 0, Smoke::mf_static, 260, 31},	//662 QWebSettings::offlineWebApplicationCacheQuota()
    {75, 685, 16, 1, 0, 0, 32},	//663 QWebSettings::setLocalStoragePath(const QString&)
    {75, 468, 0, 0, Smoke::mf_const, 60, 33},	//664 QWebSettings::localStoragePath() const
    {75, 260, 0, 0, Smoke::mf_static, 0, 34},	//665 QWebSettings::clearMemoryCaches()
    {75, 315, 16, 1, Smoke::mf_static, 0, 35},	//666 QWebSettings::enablePersistentStorage(const QString&)
    {75, 388, 0, 0, Smoke::mf_const, 131, 36},	//667 QWebSettings::handle() const
    {75, 315, 0, 0, Smoke::mf_static, 0, 37},	//668 QWebSettings::enablePersistentStorage()
    {75, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 38},	//669 QWebSettings::StandardFont (enum)
    {75, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 39},	//670 QWebSettings::FixedFont (enum)
    {75, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 40},	//671 QWebSettings::SerifFont (enum)
    {75, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 41},	//672 QWebSettings::SansSerifFont (enum)
    {75, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 42},	//673 QWebSettings::CursiveFont (enum)
    {75, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 43},	//674 QWebSettings::FantasyFont (enum)
    {75, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 44},	//675 QWebSettings::AutoLoadImages (enum)
    {75, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 45},	//676 QWebSettings::JavascriptEnabled (enum)
    {75, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 46},	//677 QWebSettings::JavaEnabled (enum)
    {75, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 47},	//678 QWebSettings::PluginsEnabled (enum)
    {75, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 48},	//679 QWebSettings::PrivateBrowsingEnabled (enum)
    {75, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 49},	//680 QWebSettings::JavascriptCanOpenWindows (enum)
    {75, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 50},	//681 QWebSettings::JavascriptCanAccessClipboard (enum)
    {75, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 51},	//682 QWebSettings::DeveloperExtrasEnabled (enum)
    {75, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 52},	//683 QWebSettings::LinksIncludedInFocusChain (enum)
    {75, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 53},	//684 QWebSettings::ZoomTextOnly (enum)
    {75, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 54},	//685 QWebSettings::PrintElementBackgrounds (enum)
    {75, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 55},	//686 QWebSettings::OfflineStorageDatabaseEnabled (enum)
    {75, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 56},	//687 QWebSettings::OfflineWebApplicationCacheEnabled (enum)
    {75, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 57},	//688 QWebSettings::LocalStorageEnabled (enum)
    {75, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 58},	//689 QWebSettings::LocalStorageDatabaseEnabled (enum)
    {75, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 59},	//690 QWebSettings::LocalContentCanAccessRemoteUrls (enum)
    {75, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 60},	//691 QWebSettings::DnsPrefetchEnabled (enum)
    {75, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 61},	//692 QWebSettings::XSSAuditingEnabled (enum)
    {75, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 62},	//693 QWebSettings::AcceleratedCompositingEnabled (enum)
    {75, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 63},	//694 QWebSettings::SpatialNavigationEnabled (enum)
    {75, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 64},	//695 QWebSettings::LocalContentCanAccessFileUrls (enum)
    {75, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 65},	//696 QWebSettings::TiledBackingStoreEnabled (enum)
    {75, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 66},	//697 QWebSettings::FrameFlatteningEnabled (enum)
    {75, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 67},	//698 QWebSettings::SiteSpecificQuirksEnabled (enum)
    {75, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 68},	//699 QWebSettings::JavascriptCanCloseWindows (enum)
    {75, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 69},	//700 QWebSettings::WebGLEnabled (enum)
    {75, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 70},	//701 QWebSettings::HyperlinkAuditingEnabled (enum)
    {75, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 71},	//702 QWebSettings::MissingImageGraphic (enum)
    {75, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 72},	//703 QWebSettings::MissingPluginGraphic (enum)
    {75, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 73},	//704 QWebSettings::DefaultFrameIconGraphic (enum)
    {75, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 74},	//705 QWebSettings::TextAreaSizeGripCornerGraphic (enum)
    {75, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 75},	//706 QWebSettings::DeleteButtonGraphic (enum)
    {75, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 76},	//707 QWebSettings::InputSpeechButtonGraphic (enum)
    {75, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 77},	//708 QWebSettings::SearchCancelButtonGraphic (enum)
    {75, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 78},	//709 QWebSettings::SearchCancelButtonPressedGraphic (enum)
    {75, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 79},	//710 QWebSettings::MinimumFontSize (enum)
    {75, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 80},	//711 QWebSettings::MinimumLogicalFontSize (enum)
    {75, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 81},	//712 QWebSettings::DefaultFontSize (enum)
    {75, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 82},	//713 QWebSettings::DefaultFixedFontSize (enum)
    {77, 475, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 1},	//714 QWebView::metaObject() const
    {77, 563, 10, 1, Smoke::mf_virtual, 266, 2},	//715 QWebView::qt_metacast(const char*)
    {77, 796, 51, 2, Smoke::mf_static, 60, 3},	//716 QWebView::tr(const char*, const char*)
    {77, 800, 51, 2, Smoke::mf_static, 60, 4},	//717 QWebView::trUtf8(const char*, const char*)
    {77, 796, 54, 3, Smoke::mf_static, 60, 5},	//718 QWebView::tr(const char*, const char*, int)
    {77, 800, 54, 3, Smoke::mf_static, 60, 6},	//719 QWebView::trUtf8(const char*, const char*, int)
    {77, 561, 58, 3, Smoke::mf_virtual, 258, 7},	//720 QWebView::qt_metacall(QMetaObject::Call, int, void**)
    {77, 142, 133, 1, Smoke::mf_ctor, 132, 8},	//721 QWebView::QWebView(QWidget*)
    {77, 531, 0, 0, Smoke::mf_const, 99, 9},	//722 QWebView::page() const
    {77, 709, 135, 1, 0, 0, 10},	//723 QWebView::setPage(QWebPage*)
    {77, 457, 62, 1, 0, 0, 11},	//724 QWebView::load(const QUrl&)
    {77, 457, 64, 3, 0, 0, 12},	//725 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {77, 676, 68, 2, 0, 0, 13},	//726 QWebView::setHtml(const QString&, const QUrl&)
    {77, 637, 71, 3, 0, 0, 14},	//727 QWebView::setContent(const QByteArray&, const QString&, const QUrl&)
    {77, 401, 0, 0, Smoke::mf_const, 90, 15},	//728 QWebView::history() const
    {77, 753, 0, 0, Smoke::mf_const, 126, 16},	//729 QWebView::settings() const
    {77, 783, 0, 0, Smoke::mf_const|Smoke::mf_property, 60, 17},	//730 QWebView::title() const
    {77, 738, 62, 1, Smoke::mf_property, 0, 18},	//731 QWebView::setUrl(const QUrl&)
    {77, 815, 0, 0, Smoke::mf_const|Smoke::mf_property, 70, 19},	//732 QWebView::url() const
    {77, 407, 0, 0, Smoke::mf_const|Smoke::mf_property, 20, 20},	//733 QWebView::icon() const
    {77, 397, 0, 0, Smoke::mf_const|Smoke::mf_property, 214, 21},	//734 QWebView::hasSelection() const
    {77, 625, 0, 0, Smoke::mf_const|Smoke::mf_property, 60, 22},	//735 QWebView::selectedText() const
    {77, 624, 0, 0, Smoke::mf_const|Smoke::mf_property, 60, 23},	//736 QWebView::selectedHtml() const
    {77, 532, 149, 1, Smoke::mf_const, 1, 24},	//737 QWebView::pageAction(QWebPage::WebAction) const
    {77, 807, 151, 2, 0, 0, 25},	//738 QWebView::triggerPageAction(QWebPage::WebAction, bool)
    {77, 420, 0, 0, Smoke::mf_const|Smoke::mf_property, 214, 26},	//739 QWebView::isModified() const
    {77, 416, 156, 1, Smoke::mf_const|Smoke::mf_virtual, 72, 27},	//740 QWebView::inputMethodQuery(Qt::InputMethodQuery) const
    {77, 758, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 54, 28},	//741 QWebView::sizeHint() const
    {77, 835, 0, 0, Smoke::mf_const, 257, 29},	//742 QWebView::zoomFactor() const
    {77, 751, 102, 1, 0, 0, 30},	//743 QWebView::setZoomFactor(double)
    {77, 736, 102, 1, 0, 0, 31},	//744 QWebView::setTextSizeMultiplier(double)
    {77, 781, 0, 0, Smoke::mf_const, 257, 32},	//745 QWebView::textSizeMultiplier() const
    {77, 585, 0, 0, Smoke::mf_const, 15, 33},	//746 QWebView::renderHints() const
    {77, 724, 286, 1, 0, 0, 34},	//747 QWebView::setRenderHints(QFlags<QPainter::RenderHint>)
    {77, 721, 288, 2, 0, 0, 35},	//748 QWebView::setRenderHint(QPainter::RenderHint, bool)
    {77, 355, 158, 2, 0, 214, 36},	//749 QWebView::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {77, 332, 1, 1, Smoke::mf_virtual, 214, 37},	//750 QWebView::event(QEvent*)
    {77, 764, 0, 0, Smoke::mf_slot, 0, 38},	//751 QWebView::stop()
    {77, 241, 0, 0, Smoke::mf_slot, 0, 39},	//752 QWebView::back()
    {77, 371, 0, 0, Smoke::mf_slot, 0, 40},	//753 QWebView::forward()
    {77, 566, 0, 0, Smoke::mf_slot, 0, 41},	//754 QWebView::reload()
    {77, 556, 104, 1, Smoke::mf_const|Smoke::mf_slot, 0, 42},	//755 QWebView::print(QPrinter*) const
    {77, 465, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//756 QWebView::loadStarted()
    {77, 463, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//757 QWebView::loadProgress(int)
    {77, 461, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//758 QWebView::loadFinished(bool)
    {77, 784, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//759 QWebView::titleChanged(const QString&)
    {77, 760, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//760 QWebView::statusBarMessage(const QString&)
    {77, 447, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//761 QWebView::linkClicked(const QUrl&)
    {77, 626, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//762 QWebView::selectionChanged()
    {77, 408, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//763 QWebView::iconChanged()
    {77, 816, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//764 QWebView::urlChanged(const QUrl&)
    {77, 599, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 52},	//765 QWebView::resizeEvent(QResizeEvent*)
    {77, 536, 291, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//766 QWebView::paintEvent(QPaintEvent*)
    {77, 284, 197, 1, Smoke::mf_protected|Smoke::mf_virtual, 132, 54},	//767 QWebView::createWindow(QWebPage::WebWindowType)
    {77, 251, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//768 QWebView::changeEvent(QEvent*)
    {77, 482, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//769 QWebView::mouseMoveEvent(QMouseEvent*)
    {77, 484, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//770 QWebView::mousePressEvent(QMouseEvent*)
    {77, 480, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//771 QWebView::mouseDoubleClickEvent(QMouseEvent*)
    {77, 486, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//772 QWebView::mouseReleaseEvent(QMouseEvent*)
    {77, 276, 165, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//773 QWebView::contextMenuEvent(QContextMenuEvent*)
    {77, 830, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//774 QWebView::wheelEvent(QWheelEvent*)
    {77, 438, 297, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//775 QWebView::keyPressEvent(QKeyEvent*)
    {77, 440, 297, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//776 QWebView::keyReleaseEvent(QKeyEvent*)
    {77, 306, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//777 QWebView::dragEnterEvent(QDragEnterEvent*)
    {77, 308, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//778 QWebView::dragLeaveEvent(QDragLeaveEvent*)
    {77, 310, 303, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//779 QWebView::dragMoveEvent(QDragMoveEvent*)
    {77, 312, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//780 QWebView::dropEvent(QDropEvent*)
    {77, 360, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//781 QWebView::focusInEvent(QFocusEvent*)
    {77, 364, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//782 QWebView::focusOutEvent(QFocusEvent*)
    {77, 414, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//783 QWebView::inputMethodEvent(QInputMethodEvent*)
    {77, 362, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 214, 71},	//784 QWebView::focusNextPrevChild(bool)
    {77, 796, 10, 1, Smoke::mf_static, 60, 72},	//785 QWebView::tr(const char*)
    {77, 800, 10, 1, Smoke::mf_static, 60, 73},	//786 QWebView::trUtf8(const char*)
    {77, 142, 0, 0, Smoke::mf_ctor, 132, 74},	//787 QWebView::QWebView()
    {77, 457, 110, 1, 0, 0, 75},	//788 QWebView::load(const QNetworkRequest&)
    {77, 457, 112, 2, 0, 0, 76},	//789 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {77, 676, 16, 1, 0, 0, 77},	//790 QWebView::setHtml(const QString&)
    {77, 637, 115, 1, 0, 0, 78},	//791 QWebView::setContent(const QByteArray&)
    {77, 637, 117, 2, 0, 0, 79},	//792 QWebView::setContent(const QByteArray&, const QString&)
    {77, 807, 149, 1, 0, 0, 80},	//793 QWebView::triggerPageAction(QWebPage::WebAction)
    {77, 721, 311, 1, 0, 0, 81},	//794 QWebView::setRenderHint(QPainter::RenderHint)
    {77, 355, 16, 1, 0, 214, 82},	//795 QWebView::findText(const QString&)
    {77, 759, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 218, 83},	//796 QWebView::staticMetaObject() const
    {77, 854, 0, 0, Smoke::mf_dtor, 0, 84 },	//797 QWebView::~QWebView()
    {79, 298, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 258, 0},	//798 QWidget::devType() const
    {79, 748, 108, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//799 QWidget::setVisible(bool)
    {79, 479, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 54, 0},	//800 QWidget::minimumSizeHint() const
    {79, 398, 38, 1, Smoke::mf_const|Smoke::mf_virtual, 258, 0},	//801 QWidget::heightForWidth(int) const
    {79, 535, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 0},	//802 QWidget::paintEngine() const
    {79, 484, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//803 QWidget::mousePressEvent(QMouseEvent*)
    {79, 486, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//804 QWidget::mouseReleaseEvent(QMouseEvent*)
    {79, 480, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//805 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {79, 482, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//806 QWidget::mouseMoveEvent(QMouseEvent*)
    {79, 830, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//807 QWidget::wheelEvent(QWheelEvent*)
    {79, 438, 297, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//808 QWidget::keyPressEvent(QKeyEvent*)
    {79, 440, 297, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//809 QWidget::keyReleaseEvent(QKeyEvent*)
    {79, 360, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//810 QWidget::focusInEvent(QFocusEvent*)
    {79, 364, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//811 QWidget::focusOutEvent(QFocusEvent*)
    {79, 327, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//812 QWidget::enterEvent(QEvent*)
    {79, 446, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//813 QWidget::leaveEvent(QEvent*)
    {79, 536, 291, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//814 QWidget::paintEvent(QPaintEvent*)
    {79, 488, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//815 QWidget::moveEvent(QMoveEvent*)
    {79, 262, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//816 QWidget::closeEvent(QCloseEvent*)
    {79, 276, 165, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//817 QWidget::contextMenuEvent(QContextMenuEvent*)
    {79, 776, 315, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//818 QWidget::tabletEvent(QTabletEvent*)
    {79, 209, 317, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//819 QWidget::actionEvent(QActionEvent*)
    {79, 306, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//820 QWidget::dragEnterEvent(QDragEnterEvent*)
    {79, 310, 303, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//821 QWidget::dragMoveEvent(QDragMoveEvent*)
    {79, 308, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//822 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {79, 312, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//823 QWidget::dropEvent(QDropEvent*)
    {79, 755, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//824 QWidget::showEvent(QShowEvent*)
    {79, 399, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//825 QWidget::hideEvent(QHideEvent*)
    {79, 834, 319, 1, Smoke::mf_protected|Smoke::mf_virtual, 214, 0},	//826 QWidget::x11Event(_XEvent*)
    {79, 251, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//827 QWidget::changeEvent(QEvent*)
    {79, 476, 321, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 258, 0},	//828 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {79, 414, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//829 QWidget::inputMethodEvent(QInputMethodEvent*)
    {79, 416, 156, 1, Smoke::mf_const|Smoke::mf_virtual, 72, 0},	//830 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {79, 362, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 214, 0},	//831 QWidget::focusNextPrevChild(bool)
    {79, 765, 323, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//832 QWidget::styleChange(QStyle&)
    {79, 317, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//833 QWidget::enabledChange(bool)
    {79, 539, 163, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//834 QWidget::paletteChange(const QPalette&)
    {79, 366, 325, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//835 QWidget::fontChange(const QFont&)
    {79, 832, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//836 QWidget::windowActivationChange(bool)
    {79, 442, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//837 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    724,  // QWebView::load(const QUrl&)
    788,  // QWebView::load(const QNetworkRequest&)
    0,
    119,  // QWebElementCollection::begin() const
    123,  // QWebElementCollection::begin()
    0,
    120,  // QWebElementCollection::end() const
    124,  // QWebElementCollection::end()
    0,
    172,  // QWebFrame::load(const QUrl&)
    234,  // QWebFrame::load(const QNetworkRequest&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 144, 8},	// QGlobalSpace::QtCriticalMsg
    {16, 145, 6},	// QGlobalSpace::QtDebugMsg
    {16, 146, 9},	// QGlobalSpace::QtFatalMsg
    {16, 148, 10},	// QGlobalSpace::QtSystemMsg
    {16, 149, 7},	// QGlobalSpace::QtWarningMsg
    {16, 196, 1},	// QGlobalSpace::_IEEE_
    {16, 197, 5},	// QGlobalSpace::_ISOC_
    {16, 198, 4},	// QGlobalSpace::_POSIX_
    {16, 199, 2},	// QGlobalSpace::_SVID_
    {16, 200, 3},	// QGlobalSpace::_XOPEN_
    {16, 201, 13},	// QGlobalSpace::__codecvt_error
    {16, 202, 14},	// QGlobalSpace::__codecvt_noconv
    {16, 203, 11},	// QGlobalSpace::__codecvt_ok
    {16, 204, 12},	// QGlobalSpace::__codecvt_partial
    {49, 122, 22},	// QWebDatabase::QWebDatabase#
    {49, 300, 25},	// QWebDatabase::displayName
    {49, 335, 26},	// QWebDatabase::expectedSize
    {49, 345, 28},	// QWebDatabase::fileName
    {49, 489, 24},	// QWebDatabase::name
    {49, 520, 23},	// QWebDatabase::operator=#
    {49, 529, 29},	// QWebDatabase::origin
    {49, 568, 31},	// QWebDatabase::removeAllDatabases
    {49, 576, 30},	// QWebDatabase::removeDatabase#
    {49, 757, 27},	// QWebDatabase::size
    {49, 844, 32},	// QWebDatabase::~QWebDatabase
    {50, 9, 103},	// QWebElement::CascadedStyle
    {50, 15, 104},	// QWebElement::ComputedStyle
    {50, 60, 102},	// QWebElement::InlineStyle
    {50, 123, 33},	// QWebElement::QWebElement
    {50, 124, 34},	// QWebElement::QWebElement#
    {50, 211, 59},	// QWebElement::addClass$
    {50, 224, 77},	// QWebElement::appendInside#
    {50, 225, 76},	// QWebElement::appendInside$
    {50, 227, 81},	// QWebElement::appendOutside#
    {50, 228, 80},	// QWebElement::appendOutside$
    {50, 234, 99},	// QWebElement::attribute$
    {50, 235, 49},	// QWebElement::attribute$$
    {50, 237, 100},	// QWebElement::attributeNS$$
    {50, 238, 50},	// QWebElement::attributeNS$$$
    {50, 239, 101},	// QWebElement::attributeNames
    {50, 240, 56},	// QWebElement::attributeNames$
    {50, 257, 57},	// QWebElement::classes
    {50, 261, 90},	// QWebElement::clone
    {50, 301, 74},	// QWebElement::document
    {50, 319, 84},	// QWebElement::encloseContentsWith#
    {50, 320, 85},	// QWebElement::encloseContentsWith$
    {50, 322, 87},	// QWebElement::encloseWith#
    {50, 323, 86},	// QWebElement::encloseWith$
    {50, 331, 94},	// QWebElement::evaluateJavaScript$
    {50, 348, 39},	// QWebElement::findAll$
    {50, 352, 40},	// QWebElement::findFirst$
    {50, 359, 70},	// QWebElement::firstChild
    {50, 382, 64},	// QWebElement::geometry
    {50, 390, 51},	// QWebElement::hasAttribute$
    {50, 392, 52},	// QWebElement::hasAttributeNS$$
    {50, 393, 55},	// QWebElement::hasAttributes
    {50, 395, 58},	// QWebElement::hasClass$
    {50, 396, 62},	// QWebElement::hasFocus
    {50, 421, 38},	// QWebElement::isNull
    {50, 444, 71},	// QWebElement::lastChild
    {50, 466, 67},	// QWebElement::localName
    {50, 490, 68},	// QWebElement::namespaceUri
    {50, 492, 72},	// QWebElement::nextSibling
    {50, 498, 37},	// QWebElement::operator!=#
    {50, 520, 35},	// QWebElement::operator=#
    {50, 522, 36},	// QWebElement::operator==#
    {50, 540, 69},	// QWebElement::parent
    {50, 548, 66},	// QWebElement::prefix
    {50, 550, 79},	// QWebElement::prependInside#
    {50, 551, 78},	// QWebElement::prependInside$
    {50, 553, 83},	// QWebElement::prependOutside#
    {50, 554, 82},	// QWebElement::prependOutside$
    {50, 555, 73},	// QWebElement::previousSibling
    {50, 567, 93},	// QWebElement::removeAllChildren
    {50, 570, 53},	// QWebElement::removeAttribute$
    {50, 572, 54},	// QWebElement::removeAttributeNS$$
    {50, 574, 60},	// QWebElement::removeClass$
    {50, 577, 92},	// QWebElement::removeFromDocument
    {50, 581, 97},	// QWebElement::render#
    {50, 582, 98},	// QWebElement::render##
    {50, 590, 89},	// QWebElement::replace#
    {50, 591, 88},	// QWebElement::replace$
    {50, 632, 47},	// QWebElement::setAttribute$$
    {50, 634, 48},	// QWebElement::setAttributeNS$$$
    {50, 667, 63},	// QWebElement::setFocus
    {50, 682, 45},	// QWebElement::setInnerXml$
    {50, 708, 43},	// QWebElement::setOuterXml$
    {50, 716, 41},	// QWebElement::setPlainText$
    {50, 733, 96},	// QWebElement::setStyleProperty$$
    {50, 767, 95},	// QWebElement::styleProperty$$
    {50, 777, 65},	// QWebElement::tagName
    {50, 778, 91},	// QWebElement::takeFromDocument
    {50, 787, 46},	// QWebElement::toInnerXml
    {50, 789, 44},	// QWebElement::toOuterXml
    {50, 790, 42},	// QWebElement::toPlainText
    {50, 792, 61},	// QWebElement::toggleClass$
    {50, 827, 75},	// QWebElement::webFrame
    {50, 845, 105},	// QWebElement::~QWebElement
    {51, 125, 106},	// QWebElementCollection::QWebElementCollection
    {51, 126, 108},	// QWebElementCollection::QWebElementCollection#
    {51, 127, 107},	// QWebElementCollection::QWebElementCollection#$
    {51, 222, 112},	// QWebElementCollection::append#
    {51, 232, 114},	// QWebElementCollection::at$
    {51, 246, -4},	// QWebElementCollection::begin
    {51, 265, 121},	// QWebElementCollection::constBegin
    {51, 266, 122},	// QWebElementCollection::constEnd
    {51, 278, 113},	// QWebElementCollection::count
    {51, 326, -7},	// QWebElementCollection::end
    {51, 358, 116},	// QWebElementCollection::first
    {51, 443, 117},	// QWebElementCollection::last
    {51, 501, 110},	// QWebElementCollection::operator+#
    {51, 506, 111},	// QWebElementCollection::operator+=#
    {51, 520, 109},	// QWebElementCollection::operator=#
    {51, 528, 115},	// QWebElementCollection::operator[]$
    {51, 788, 118},	// QWebElementCollection::toList
    {51, 846, 125},	// QWebElementCollection::~QWebElementCollection
    {52, 268, 127},	// QWebElementCollection::const_iterator::const_iterator#
    {52, 269, 126},	// QWebElementCollection::const_iterator::const_iterator#$
    {52, 498, 130},	// QWebElementCollection::const_iterator::operator!=#
    {52, 499, 128},	// QWebElementCollection::const_iterator::operator*
    {52, 502, 141},	// QWebElementCollection::const_iterator::operator+$
    {52, 503, 135},	// QWebElementCollection::const_iterator::operator++
    {52, 504, 136},	// QWebElementCollection::const_iterator::operator++$
    {52, 507, 139},	// QWebElementCollection::const_iterator::operator+=$
    {52, 509, 143},	// QWebElementCollection::const_iterator::operator-#
    {52, 510, 142},	// QWebElementCollection::const_iterator::operator-$
    {52, 511, 137},	// QWebElementCollection::const_iterator::operator--
    {52, 512, 138},	// QWebElementCollection::const_iterator::operator--$
    {52, 514, 140},	// QWebElementCollection::const_iterator::operator-=$
    {52, 516, 131},	// QWebElementCollection::const_iterator::operator<#
    {52, 518, 132},	// QWebElementCollection::const_iterator::operator<=#
    {52, 522, 129},	// QWebElementCollection::const_iterator::operator==#
    {52, 524, 133},	// QWebElementCollection::const_iterator::operator>#
    {52, 526, 134},	// QWebElementCollection::const_iterator::operator>=#
    {52, 855, 144},	// QWebElementCollection::const_iterator::~const_iterator
    {53, 427, 146},	// QWebElementCollection::iterator::iterator#
    {53, 428, 145},	// QWebElementCollection::iterator::iterator#$
    {53, 498, 149},	// QWebElementCollection::iterator::operator!=#
    {53, 499, 147},	// QWebElementCollection::iterator::operator*
    {53, 502, 160},	// QWebElementCollection::iterator::operator+$
    {53, 503, 154},	// QWebElementCollection::iterator::operator++
    {53, 504, 155},	// QWebElementCollection::iterator::operator++$
    {53, 507, 158},	// QWebElementCollection::iterator::operator+=$
    {53, 509, 162},	// QWebElementCollection::iterator::operator-#
    {53, 510, 161},	// QWebElementCollection::iterator::operator-$
    {53, 511, 156},	// QWebElementCollection::iterator::operator--
    {53, 512, 157},	// QWebElementCollection::iterator::operator--$
    {53, 514, 159},	// QWebElementCollection::iterator::operator-=$
    {53, 516, 150},	// QWebElementCollection::iterator::operator<#
    {53, 518, 151},	// QWebElementCollection::iterator::operator<=#
    {53, 522, 148},	// QWebElementCollection::iterator::operator==#
    {53, 524, 152},	// QWebElementCollection::iterator::operator>#
    {53, 526, 153},	// QWebElementCollection::iterator::operator>=#
    {53, 856, 163},	// QWebElementCollection::iterator::~iterator
    {54, 6, 244},	// QWebFrame::AllLayers
    {54, 16, 241},	// QWebFrame::ContentsLayer
    {54, 110, 243},	// QWebFrame::PanIconLayer
    {54, 155, 242},	// QWebFrame::ScrollBarLayer
    {54, 217, 176},	// QWebFrame::addToJavaScriptWindowObject$#
    {54, 218, 177},	// QWebFrame::addToJavaScriptWindowObject$#$
    {54, 245, 185},	// QWebFrame::baseUrl
    {54, 254, 190},	// QWebFrame::childFrames
    {54, 273, 213},	// QWebFrame::contentsSize
    {54, 275, 228},	// QWebFrame::contentsSizeChanged#
    {54, 302, 214},	// QWebFrame::documentElement
    {54, 331, 220},	// QWebFrame::evaluateJavaScript$
    {54, 333, 218},	// QWebFrame::event#
    {54, 350, 215},	// QWebFrame::findAllElements$
    {54, 354, 216},	// QWebFrame::findFirstElement$
    {54, 381, 188},	// QWebFrame::frameName
    {54, 382, 212},	// QWebFrame::geometry
    {54, 396, 209},	// QWebFrame::hasFocus
    {54, 405, 217},	// QWebFrame::hitTestContent#
    {54, 407, 186},	// QWebFrame::icon
    {54, 408, 227},	// QWebFrame::iconChanged
    {54, 413, 226},	// QWebFrame::initialLayoutCompleted
    {54, 437, 222},	// QWebFrame::javaScriptWindowObjectCleared
    {54, 458, -10},	// QWebFrame::load#
    {54, 459, 235},	// QWebFrame::load#$
    {54, 460, 173},	// QWebFrame::load#$#
    {54, 462, 230},	// QWebFrame::loadFinished$
    {54, 465, 229},	// QWebFrame::loadStarted
    {54, 474, 187},	// QWebFrame::metaData
    {54, 475, 164},	// QWebFrame::metaObject
    {54, 531, 171},	// QWebFrame::page
    {54, 534, 231},	// QWebFrame::pageChanged
    {54, 541, 189},	// QWebFrame::parentFrame
    {54, 546, 211},	// QWebFrame::pos
    {54, 557, 221},	// QWebFrame::print#
    {54, 560, 223},	// QWebFrame::provisionalLoad
    {54, 562, 170},	// QWebFrame::qt_metacall$$?
    {54, 564, 165},	// QWebFrame::qt_metacast$
    {54, 581, 202},	// QWebFrame::render#
    {54, 582, 203},	// QWebFrame::render##
    {54, 583, 239},	// QWebFrame::render#$
    {54, 584, 204},	// QWebFrame::render#$#
    {54, 586, 180},	// QWebFrame::renderTreeDump
    {54, 592, 184},	// QWebFrame::requestedUrl
    {54, 607, 198},	// QWebFrame::scroll$$
    {54, 609, 197},	// QWebFrame::scrollBarGeometry$
    {54, 611, 196},	// QWebFrame::scrollBarMaximum$
    {54, 613, 195},	// QWebFrame::scrollBarMinimum$
    {54, 615, 191},	// QWebFrame::scrollBarPolicy$
    {54, 617, 194},	// QWebFrame::scrollBarValue$
    {54, 618, 199},	// QWebFrame::scrollPosition
    {54, 622, 201},	// QWebFrame::scrollToAnchor$
    {54, 623, 219},	// QWebFrame::securityOrigin
    {54, 638, 237},	// QWebFrame::setContent#
    {54, 639, 238},	// QWebFrame::setContent#$
    {54, 640, 175},	// QWebFrame::setContent#$#
    {54, 667, 210},	// QWebFrame::setFocus
    {54, 677, 236},	// QWebFrame::setHtml$
    {54, 678, 174},	// QWebFrame::setHtml$#
    {54, 727, 192},	// QWebFrame::setScrollBarPolicy$$
    {54, 729, 193},	// QWebFrame::setScrollBarValue$$
    {54, 731, 200},	// QWebFrame::setScrollPosition#
    {54, 737, 205},	// QWebFrame::setTextSizeMultiplier$
    {54, 739, 182},	// QWebFrame::setUrl#
    {54, 752, 208},	// QWebFrame::setZoomFactor$
    {54, 759, 240},	// QWebFrame::staticMetaObject
    {54, 781, 206},	// QWebFrame::textSizeMultiplier
    {54, 783, 181},	// QWebFrame::title
    {54, 785, 224},	// QWebFrame::titleChanged$
    {54, 786, 178},	// QWebFrame::toHtml
    {54, 790, 179},	// QWebFrame::toPlainText
    {54, 797, 232},	// QWebFrame::tr$
    {54, 798, 166},	// QWebFrame::tr$$
    {54, 799, 168},	// QWebFrame::tr$$$
    {54, 801, 233},	// QWebFrame::trUtf8$
    {54, 802, 167},	// QWebFrame::trUtf8$$
    {54, 803, 169},	// QWebFrame::trUtf8$$$
    {54, 815, 183},	// QWebFrame::url
    {54, 817, 225},	// QWebFrame::urlChanged#
    {54, 835, 207},	// QWebFrame::zoomFactor
    {55, 241, 251},	// QWebHistory::back
    {55, 242, 254},	// QWebHistory::backItem
    {55, 244, 247},	// QWebHistory::backItems$
    {55, 249, 249},	// QWebHistory::canGoBack
    {55, 250, 250},	// QWebHistory::canGoForward
    {55, 258, 245},	// QWebHistory::clear
    {55, 278, 259},	// QWebHistory::count
    {55, 287, 255},	// QWebHistory::currentItem
    {55, 288, 258},	// QWebHistory::currentItemIndex
    {55, 371, 252},	// QWebHistory::forward
    {55, 372, 256},	// QWebHistory::forwardItem
    {55, 374, 248},	// QWebHistory::forwardItems$
    {55, 387, 253},	// QWebHistory::goToItem#
    {55, 424, 257},	// QWebHistory::itemAt$
    {55, 425, 246},	// QWebHistory::items
    {55, 470, 260},	// QWebHistory::maximumItemCount
    {55, 688, 261},	// QWebHistory::setMaximumItemCount$
    {56, 128, 276},	// QWebHistoryInterface::QWebHistoryInterface
    {56, 129, 269},	// QWebHistoryInterface::QWebHistoryInterface#
    {56, 213, 273},	// QWebHistoryInterface::addHistoryEntry$
    {56, 295, 271},	// QWebHistoryInterface::defaultInterface
    {56, 403, 272},	// QWebHistoryInterface::historyContains$
    {56, 475, 262},	// QWebHistoryInterface::metaObject
    {56, 562, 268},	// QWebHistoryInterface::qt_metacall$$?
    {56, 564, 263},	// QWebHistoryInterface::qt_metacast$
    {56, 648, 270},	// QWebHistoryInterface::setDefaultInterface#
    {56, 759, 277},	// QWebHistoryInterface::staticMetaObject
    {56, 797, 274},	// QWebHistoryInterface::tr$
    {56, 798, 264},	// QWebHistoryInterface::tr$$
    {56, 799, 266},	// QWebHistoryInterface::tr$$$
    {56, 801, 275},	// QWebHistoryInterface::trUtf8$
    {56, 802, 265},	// QWebHistoryInterface::trUtf8$$
    {56, 803, 267},	// QWebHistoryInterface::trUtf8$$$
    {56, 847, 278},	// QWebHistoryInterface::~QWebHistoryInterface
    {57, 131, 279},	// QWebHistoryItem::QWebHistoryItem#
    {57, 407, 285},	// QWebHistoryItem::icon
    {57, 422, 288},	// QWebHistoryItem::isValid
    {57, 445, 284},	// QWebHistoryItem::lastVisited
    {57, 520, 280},	// QWebHistoryItem::operator=#
    {57, 530, 281},	// QWebHistoryItem::originalUrl
    {57, 741, 287},	// QWebHistoryItem::setUserData#
    {57, 783, 283},	// QWebHistoryItem::title
    {57, 815, 282},	// QWebHistoryItem::url
    {57, 820, 286},	// QWebHistoryItem::userData
    {57, 848, 289},	// QWebHistoryItem::~QWebHistoryItem
    {58, 132, 290},	// QWebHitTestResult::QWebHitTestResult
    {58, 133, 291},	// QWebHitTestResult::QWebHitTestResult#
    {58, 220, 303},	// QWebHitTestResult::alternateText
    {58, 247, 295},	// QWebHitTestResult::boundingRect
    {58, 314, 308},	// QWebHitTestResult::element
    {58, 324, 296},	// QWebHitTestResult::enclosingBlockElement
    {58, 376, 309},	// QWebHitTestResult::frame
    {58, 412, 304},	// QWebHitTestResult::imageUrl
    {58, 418, 306},	// QWebHitTestResult::isContentEditable
    {58, 419, 307},	// QWebHitTestResult::isContentSelected
    {58, 421, 293},	// QWebHitTestResult::isNull
    {58, 450, 302},	// QWebHitTestResult::linkElement
    {58, 453, 301},	// QWebHitTestResult::linkTargetFrame
    {58, 454, 298},	// QWebHitTestResult::linkText
    {58, 455, 300},	// QWebHitTestResult::linkTitle
    {58, 456, 299},	// QWebHitTestResult::linkUrl
    {58, 520, 292},	// QWebHitTestResult::operator=#
    {58, 542, 305},	// QWebHitTestResult::pixmap
    {58, 546, 294},	// QWebHitTestResult::pos
    {58, 783, 297},	// QWebHitTestResult::title
    {58, 849, 310},	// QWebHitTestResult::~QWebHitTestResult
    {59, 134, 329},	// QWebInspector::QWebInspector
    {59, 135, 318},	// QWebInspector::QWebInspector#
    {59, 263, 326},	// QWebInspector::closeEvent#
    {59, 333, 322},	// QWebInspector::event#
    {59, 400, 325},	// QWebInspector::hideEvent#
    {59, 475, 311},	// QWebInspector::metaObject
    {59, 531, 320},	// QWebInspector::page
    {59, 562, 317},	// QWebInspector::qt_metacall$$?
    {59, 564, 312},	// QWebInspector::qt_metacast$
    {59, 600, 323},	// QWebInspector::resizeEvent#
    {59, 710, 319},	// QWebInspector::setPage#
    {59, 756, 324},	// QWebInspector::showEvent#
    {59, 758, 321},	// QWebInspector::sizeHint
    {59, 759, 330},	// QWebInspector::staticMetaObject
    {59, 797, 327},	// QWebInspector::tr$
    {59, 798, 313},	// QWebInspector::tr$$
    {59, 799, 315},	// QWebInspector::tr$$$
    {59, 801, 328},	// QWebInspector::trUtf8$
    {59, 802, 314},	// QWebInspector::trUtf8$$
    {59, 803, 316},	// QWebInspector::trUtf8$$$
    {59, 850, 331},	// QWebInspector::~QWebInspector
    {60, 2, 502},	// QWebPage::AlignCenter
    {60, 3, 503},	// QWebPage::AlignJustified
    {60, 4, 504},	// QWebPage::AlignLeft
    {60, 5, 505},	// QWebPage::AlignRight
    {60, 8, 447},	// QWebPage::Back
    {60, 10, 523},	// QWebPage::ChooseMultipleFilesExtension
    {60, 17, 452},	// QWebPage::Copy
    {60, 18, 446},	// QWebPage::CopyImageToClipboard
    {60, 19, 507},	// QWebPage::CopyImageUrlToClipboard
    {60, 20, 443},	// QWebPage::CopyLinkToClipboard
    {60, 22, 451},	// QWebPage::Cut
    {60, 26, 515},	// QWebPage::DelegateAllLinks
    {60, 27, 514},	// QWebPage::DelegateExternalLinks
    {60, 29, 481},	// QWebPage::DeleteEndOfWord
    {60, 30, 480},	// QWebPage::DeleteStartOfWord
    {60, 33, 513},	// QWebPage::DontDelegateLinks
    {60, 34, 445},	// QWebPage::DownloadImageToDisk
    {60, 35, 442},	// QWebPage::DownloadLinkToDisk
    {60, 38, 524},	// QWebPage::ErrorPageExtension
    {60, 48, 509},	// QWebPage::FindBackward
    {60, 49, 510},	// QWebPage::FindCaseSensitively
    {60, 50, 511},	// QWebPage::FindWrapsAroundDocument
    {60, 52, 448},	// QWebPage::Forward
    {60, 54, 522},	// QWebPage::Geolocation
    {60, 55, 512},	// QWebPage::HighlightAllOccurrences
    {60, 56, 526},	// QWebPage::Http
    {60, 59, 500},	// QWebPage::Indent
    {60, 62, 490},	// QWebPage::InsertLineSeparator
    {60, 63, 499},	// QWebPage::InsertOrderedList
    {60, 64, 489},	// QWebPage::InsertParagraphSeparator
    {60, 65, 498},	// QWebPage::InsertUnorderedList
    {60, 66, 488},	// QWebPage::InspectElement
    {60, 83, 465},	// QWebPage::MoveToEndOfBlock
    {60, 84, 467},	// QWebPage::MoveToEndOfDocument
    {60, 85, 463},	// QWebPage::MoveToEndOfLine
    {60, 86, 456},	// QWebPage::MoveToNextChar
    {60, 87, 460},	// QWebPage::MoveToNextLine
    {60, 88, 458},	// QWebPage::MoveToNextWord
    {60, 89, 457},	// QWebPage::MoveToPreviousChar
    {60, 90, 461},	// QWebPage::MoveToPreviousLine
    {60, 91, 459},	// QWebPage::MoveToPreviousWord
    {60, 92, 464},	// QWebPage::MoveToStartOfBlock
    {60, 93, 466},	// QWebPage::MoveToStartOfDocument
    {60, 94, 462},	// QWebPage::MoveToStartOfLine
    {60, 95, 434},	// QWebPage::NavigationTypeBackOrForward
    {60, 96, 436},	// QWebPage::NavigationTypeFormResubmitted
    {60, 97, 433},	// QWebPage::NavigationTypeFormSubmitted
    {60, 98, 432},	// QWebPage::NavigationTypeLinkClicked
    {60, 99, 437},	// QWebPage::NavigationTypeOther
    {60, 100, 435},	// QWebPage::NavigationTypeReload
    {60, 101, 438},	// QWebPage::NoWebAction
    {60, 102, 521},	// QWebPage::Notifications
    {60, 105, 441},	// QWebPage::OpenFrameInNewWindow
    {60, 106, 444},	// QWebPage::OpenImageInNewWindow
    {60, 107, 439},	// QWebPage::OpenLink
    {60, 108, 440},	// QWebPage::OpenLinkInNewWindow
    {60, 109, 501},	// QWebPage::Outdent
    {60, 111, 453},	// QWebPage::Paste
    {60, 112, 493},	// QWebPage::PasteAndMatchStyle
    {60, 113, 520},	// QWebPage::PermissionDeniedByUser
    {60, 114, 519},	// QWebPage::PermissionGrantedByUser
    {60, 115, 518},	// QWebPage::PermissionUnknown
    {60, 136, 426},	// QWebPage::QWebPage
    {60, 137, 339},	// QWebPage::QWebPage#
    {60, 147, 525},	// QWebPage::QtNetwork
    {60, 150, 455},	// QWebPage::Redo
    {60, 151, 450},	// QWebPage::Reload
    {60, 152, 492},	// QWebPage::ReloadAndBypassCache
    {60, 153, 494},	// QWebPage::RemoveFormat
    {60, 158, 491},	// QWebPage::SelectAll
    {60, 159, 477},	// QWebPage::SelectEndOfBlock
    {60, 160, 479},	// QWebPage::SelectEndOfDocument
    {60, 161, 475},	// QWebPage::SelectEndOfLine
    {60, 162, 468},	// QWebPage::SelectNextChar
    {60, 163, 472},	// QWebPage::SelectNextLine
    {60, 164, 470},	// QWebPage::SelectNextWord
    {60, 165, 469},	// QWebPage::SelectPreviousChar
    {60, 166, 473},	// QWebPage::SelectPreviousLine
    {60, 167, 471},	// QWebPage::SelectPreviousWord
    {60, 168, 476},	// QWebPage::SelectStartOfBlock
    {60, 169, 478},	// QWebPage::SelectStartOfDocument
    {60, 170, 474},	// QWebPage::SelectStartOfLine
    {60, 172, 482},	// QWebPage::SetTextDirectionDefault
    {60, 173, 483},	// QWebPage::SetTextDirectionLeftToRight
    {60, 174, 484},	// QWebPage::SetTextDirectionRightToLeft
    {60, 178, 449},	// QWebPage::Stop
    {60, 179, 506},	// QWebPage::StopScheduledPageRefresh
    {60, 182, 485},	// QWebPage::ToggleBold
    {60, 183, 486},	// QWebPage::ToggleItalic
    {60, 184, 495},	// QWebPage::ToggleStrikethrough
    {60, 185, 496},	// QWebPage::ToggleSubscript
    {60, 186, 497},	// QWebPage::ToggleSuperscript
    {60, 187, 487},	// QWebPage::ToggleUnderline
    {60, 188, 454},	// QWebPage::Undo
    {60, 189, 508},	// QWebPage::WebActionCount
    {60, 190, 516},	// QWebPage::WebBrowserWindow
    {60, 192, 527},	// QWebPage::WebKit
    {60, 193, 517},	// QWebPage::WebModalDialog
    {60, 206, 417},	// QWebPage::acceptNavigationRequest##$
    {60, 208, 358},	// QWebPage::action$
    {60, 230, 409},	// QWebPage::applicationCacheQuotaExceeded#$
    {60, 248, 354},	// QWebPage::bytesReceived
    {60, 256, 418},	// QWebPage::chooseFile#$
    {60, 272, 407},	// QWebPage::contentsChanged
    {60, 282, 416},	// QWebPage::createPlugin$#??
    {60, 283, 380},	// QWebPage::createStandardContextMenu
    {60, 285, 415},	// QWebPage::createWindow$
    {60, 286, 341},	// QWebPage::currentFrame
    {60, 292, 408},	// QWebPage::databaseQuotaExceeded#$
    {60, 305, 405},	// QWebPage::downloadRequested#
    {60, 333, 366},	// QWebPage::event#
    {60, 337, 429},	// QWebPage::extension$
    {60, 338, 430},	// QWebPage::extension$#
    {60, 339, 384},	// QWebPage::extension$##
    {60, 341, 414},	// QWebPage::featurePermissionRequestCanceled#$
    {60, 343, 413},	// QWebPage::featurePermissionRequested#$
    {60, 356, 428},	// QWebPage::findText$
    {60, 357, 369},	// QWebPage::findText$$
    {60, 363, 367},	// QWebPage::focusNextPrevChild$
    {60, 375, 371},	// QWebPage::forwardUnsupportedContent
    {60, 378, 342},	// QWebPage::frameAt#
    {60, 380, 394},	// QWebPage::frameCreated#
    {60, 384, 395},	// QWebPage::geometryChangeRequested#
    {60, 388, 386},	// QWebPage::handle
    {60, 397, 355},	// QWebPage::hasSelection
    {60, 401, 343},	// QWebPage::history
    {60, 417, 368},	// QWebPage::inputMethodQuery$
    {60, 418, 377},	// QWebPage::isContentEditable
    {60, 420, 347},	// QWebPage::isModified
    {60, 430, 419},	// QWebPage::javaScriptAlert#$
    {60, 432, 420},	// QWebPage::javaScriptConfirm#$
    {60, 434, 422},	// QWebPage::javaScriptConsoleMessage$$$
    {60, 436, 421},	// QWebPage::javaScriptPrompt#$$$
    {60, 448, 400},	// QWebPage::linkClicked#
    {60, 449, 373},	// QWebPage::linkDelegationPolicy
    {60, 452, 391},	// QWebPage::linkHovered$$$
    {60, 462, 390},	// QWebPage::loadFinished$
    {60, 464, 389},	// QWebPage::loadProgress$
    {60, 465, 388},	// QWebPage::loadStarted
    {60, 469, 340},	// QWebPage::mainFrame
    {60, 473, 403},	// QWebPage::menuBarVisibilityChangeRequested$
    {60, 475, 332},	// QWebPage::metaObject
    {60, 477, 406},	// QWebPage::microFocusChanged
    {60, 491, 350},	// QWebPage::networkAccessManager
    {60, 538, 375},	// QWebPage::palette
    {60, 543, 352},	// QWebPage::pluginFactory
    {60, 547, 363},	// QWebPage::preferredContentsSize
    {60, 559, 399},	// QWebPage::printRequested#
    {60, 562, 338},	// QWebPage::qt_metacall$$?
    {60, 564, 333},	// QWebPage::qt_metacast$
    {60, 588, 396},	// QWebPage::repaintRequested#
    {60, 602, 411},	// QWebPage::restoreFrameStateRequested#
    {60, 604, 410},	// QWebPage::saveFrameStateRequested##
    {60, 620, 397},	// QWebPage::scrollRequested$$#
    {60, 624, 357},	// QWebPage::selectedHtml
    {60, 625, 356},	// QWebPage::selectedText
    {60, 626, 393},	// QWebPage::selectionChanged
    {60, 628, 365},	// QWebPage::setActualVisibleContentRect#
    {60, 642, 376},	// QWebPage::setContentEditable$
    {60, 662, 381},	// QWebPage::setFeaturePermission#$$
    {60, 673, 370},	// QWebPage::setForwardUnsupportedContent$
    {60, 684, 372},	// QWebPage::setLinkDelegationPolicy$
    {60, 696, 349},	// QWebPage::setNetworkAccessManager#
    {60, 712, 374},	// QWebPage::setPalette#
    {60, 718, 351},	// QWebPage::setPluginFactory#
    {60, 720, 364},	// QWebPage::setPreferredContentsSize#
    {60, 745, 345},	// QWebPage::setView#
    {60, 747, 361},	// QWebPage::setViewportSize#
    {60, 753, 344},	// QWebPage::settings
    {60, 754, 387},	// QWebPage::shouldInterruptJavaScript
    {60, 759, 431},	// QWebPage::staticMetaObject
    {60, 761, 392},	// QWebPage::statusBarMessage$
    {60, 763, 402},	// QWebPage::statusBarVisibilityChangeRequested$
    {60, 769, 382},	// QWebPage::supportedContentTypes
    {60, 771, 383},	// QWebPage::supportsContentType$
    {60, 773, 385},	// QWebPage::supportsExtension$
    {60, 775, 378},	// QWebPage::swallowContextMenuEvent#
    {60, 794, 401},	// QWebPage::toolBarVisibilityChangeRequested$
    {60, 795, 353},	// QWebPage::totalBytes
    {60, 797, 424},	// QWebPage::tr$
    {60, 798, 334},	// QWebPage::tr$$
    {60, 799, 336},	// QWebPage::tr$$$
    {60, 801, 425},	// QWebPage::trUtf8$
    {60, 802, 335},	// QWebPage::trUtf8$$
    {60, 803, 337},	// QWebPage::trUtf8$$$
    {60, 805, 427},	// QWebPage::triggerAction$
    {60, 806, 359},	// QWebPage::triggerAction$$
    {60, 810, 348},	// QWebPage::undoStack
    {60, 812, 404},	// QWebPage::unsupportedContent#
    {60, 814, 379},	// QWebPage::updatePositionDependentActions#
    {60, 819, 423},	// QWebPage::userAgentForUrl#
    {60, 822, 346},	// QWebPage::view
    {60, 824, 362},	// QWebPage::viewportAttributesForSize#
    {60, 825, 412},	// QWebPage::viewportChangeRequested
    {60, 826, 360},	// QWebPage::viewportSize
    {60, 833, 398},	// QWebPage::windowCloseRequested
    {60, 851, 528},	// QWebPage::~QWebPage
    {61, 11, 529},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption
    {61, 12, 530},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption#
    {61, 541, 531},	// QWebPage::ChooseMultipleFilesExtensionOption::parentFrame
    {61, 714, 532},	// QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame#
    {61, 735, 534},	// QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames?
    {61, 768, 533},	// QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames
    {61, 836, 535},	// QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption
    {62, 13, 536},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn
    {62, 14, 537},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn#
    {62, 346, 538},	// QWebPage::ChooseMultipleFilesExtensionReturn::fileNames
    {62, 666, 539},	// QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames?
    {62, 837, 540},	// QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn
    {63, 39, 541},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption
    {63, 40, 542},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption#
    {63, 303, 547},	// QWebPage::ErrorPageExtensionOption::domain
    {63, 328, 549},	// QWebPage::ErrorPageExtensionOption::error
    {63, 329, 551},	// QWebPage::ErrorPageExtensionOption::errorString
    {63, 376, 545},	// QWebPage::ErrorPageExtensionOption::frame
    {63, 654, 548},	// QWebPage::ErrorPageExtensionOption::setDomain$
    {63, 658, 550},	// QWebPage::ErrorPageExtensionOption::setError$
    {63, 660, 552},	// QWebPage::ErrorPageExtensionOption::setErrorString$
    {63, 675, 546},	// QWebPage::ErrorPageExtensionOption::setFrame#
    {63, 739, 544},	// QWebPage::ErrorPageExtensionOption::setUrl#
    {63, 815, 543},	// QWebPage::ErrorPageExtensionOption::url
    {63, 838, 553},	// QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption
    {64, 41, 554},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn
    {64, 42, 555},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn#
    {64, 245, 560},	// QWebPage::ErrorPageExtensionReturn::baseUrl
    {64, 270, 562},	// QWebPage::ErrorPageExtensionReturn::content
    {64, 271, 556},	// QWebPage::ErrorPageExtensionReturn::contentType
    {64, 325, 558},	// QWebPage::ErrorPageExtensionReturn::encoding
    {64, 636, 561},	// QWebPage::ErrorPageExtensionReturn::setBaseUrl#
    {64, 638, 563},	// QWebPage::ErrorPageExtensionReturn::setContent#
    {64, 644, 557},	// QWebPage::ErrorPageExtensionReturn::setContentType$
    {64, 656, 559},	// QWebPage::ErrorPageExtensionReturn::setEncoding$
    {64, 839, 564},	// QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn
    {65, 43, 565},	// QWebPage::ExtensionOption::ExtensionOption
    {65, 44, 566},	// QWebPage::ExtensionOption::ExtensionOption#
    {65, 840, 567},	// QWebPage::ExtensionOption::~ExtensionOption
    {66, 45, 568},	// QWebPage::ExtensionReturn::ExtensionReturn
    {66, 46, 569},	// QWebPage::ExtensionReturn::ExtensionReturn#
    {66, 841, 570},	// QWebPage::ExtensionReturn::~ExtensionReturn
    {69, 138, 586},	// QWebPluginFactory::QWebPluginFactory
    {69, 139, 578},	// QWebPluginFactory::QWebPluginFactory#
    {69, 280, 581},	// QWebPluginFactory::create$#??
    {69, 337, 587},	// QWebPluginFactory::extension$
    {69, 338, 588},	// QWebPluginFactory::extension$#
    {69, 339, 582},	// QWebPluginFactory::extension$##
    {69, 475, 571},	// QWebPluginFactory::metaObject
    {69, 544, 579},	// QWebPluginFactory::plugins
    {69, 562, 577},	// QWebPluginFactory::qt_metacall$$?
    {69, 564, 572},	// QWebPluginFactory::qt_metacast$
    {69, 565, 580},	// QWebPluginFactory::refreshPlugins
    {69, 759, 589},	// QWebPluginFactory::staticMetaObject
    {69, 773, 583},	// QWebPluginFactory::supportsExtension$
    {69, 797, 584},	// QWebPluginFactory::tr$
    {69, 798, 573},	// QWebPluginFactory::tr$$
    {69, 799, 575},	// QWebPluginFactory::tr$$$
    {69, 801, 585},	// QWebPluginFactory::trUtf8$
    {69, 802, 574},	// QWebPluginFactory::trUtf8$$
    {69, 803, 576},	// QWebPluginFactory::trUtf8$$$
    {69, 852, 590},	// QWebPluginFactory::~QWebPluginFactory
    {70, 43, 591},	// QWebPluginFactory::ExtensionOption::ExtensionOption
    {70, 44, 592},	// QWebPluginFactory::ExtensionOption::ExtensionOption#
    {70, 840, 593},	// QWebPluginFactory::ExtensionOption::~ExtensionOption
    {71, 45, 594},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn
    {71, 46, 595},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn#
    {71, 841, 596},	// QWebPluginFactory::ExtensionReturn::~ExtensionReturn
    {72, 77, 599},	// QWebPluginFactory::MimeType::MimeType
    {72, 78, 600},	// QWebPluginFactory::MimeType::MimeType#
    {72, 297, 603},	// QWebPluginFactory::MimeType::description
    {72, 344, 605},	// QWebPluginFactory::MimeType::fileExtensions
    {72, 489, 601},	// QWebPluginFactory::MimeType::name
    {72, 498, 598},	// QWebPluginFactory::MimeType::operator!=#
    {72, 522, 597},	// QWebPluginFactory::MimeType::operator==#
    {72, 652, 604},	// QWebPluginFactory::MimeType::setDescription$
    {72, 664, 606},	// QWebPluginFactory::MimeType::setFileExtensions?
    {72, 694, 602},	// QWebPluginFactory::MimeType::setName$
    {72, 842, 607},	// QWebPluginFactory::MimeType::~MimeType
    {73, 116, 608},	// QWebPluginFactory::Plugin::Plugin
    {73, 117, 609},	// QWebPluginFactory::Plugin::Plugin#
    {73, 297, 612},	// QWebPluginFactory::Plugin::description
    {73, 478, 614},	// QWebPluginFactory::Plugin::mimeTypes
    {73, 489, 610},	// QWebPluginFactory::Plugin::name
    {73, 652, 613},	// QWebPluginFactory::Plugin::setDescription$
    {73, 692, 615},	// QWebPluginFactory::Plugin::setMimeTypes?
    {73, 694, 611},	// QWebPluginFactory::Plugin::setName$
    {73, 843, 616},	// QWebPluginFactory::Plugin::~Plugin
    {74, 141, 629},	// QWebSecurityOrigin::QWebSecurityOrigin#
    {74, 215, 618},	// QWebSecurityOrigin::addLocalScheme$
    {74, 219, 617},	// QWebSecurityOrigin::allOrigins
    {74, 290, 625},	// QWebSecurityOrigin::databaseQuota
    {74, 293, 624},	// QWebSecurityOrigin::databaseUsage
    {74, 294, 628},	// QWebSecurityOrigin::databases
    {74, 406, 622},	// QWebSecurityOrigin::host
    {74, 467, 620},	// QWebSecurityOrigin::localSchemes
    {74, 520, 630},	// QWebSecurityOrigin::operator=#
    {74, 545, 623},	// QWebSecurityOrigin::port
    {74, 579, 619},	// QWebSecurityOrigin::removeLocalScheme$
    {74, 605, 621},	// QWebSecurityOrigin::scheme
    {74, 630, 627},	// QWebSecurityOrigin::setApplicationCacheQuota$
    {74, 646, 626},	// QWebSecurityOrigin::setDatabaseQuota$
    {74, 853, 631},	// QWebSecurityOrigin::~QWebSecurityOrigin
    {75, 1, 693},	// QWebSettings::AcceleratedCompositingEnabled
    {75, 7, 675},	// QWebSettings::AutoLoadImages
    {75, 21, 673},	// QWebSettings::CursiveFont
    {75, 23, 713},	// QWebSettings::DefaultFixedFontSize
    {75, 24, 712},	// QWebSettings::DefaultFontSize
    {75, 25, 704},	// QWebSettings::DefaultFrameIconGraphic
    {75, 28, 706},	// QWebSettings::DeleteButtonGraphic
    {75, 31, 682},	// QWebSettings::DeveloperExtrasEnabled
    {75, 32, 691},	// QWebSettings::DnsPrefetchEnabled
    {75, 47, 674},	// QWebSettings::FantasyFont
    {75, 51, 670},	// QWebSettings::FixedFont
    {75, 53, 697},	// QWebSettings::FrameFlatteningEnabled
    {75, 57, 701},	// QWebSettings::HyperlinkAuditingEnabled
    {75, 61, 707},	// QWebSettings::InputSpeechButtonGraphic
    {75, 67, 677},	// QWebSettings::JavaEnabled
    {75, 68, 681},	// QWebSettings::JavascriptCanAccessClipboard
    {75, 69, 699},	// QWebSettings::JavascriptCanCloseWindows
    {75, 70, 680},	// QWebSettings::JavascriptCanOpenWindows
    {75, 71, 676},	// QWebSettings::JavascriptEnabled
    {75, 72, 683},	// QWebSettings::LinksIncludedInFocusChain
    {75, 73, 695},	// QWebSettings::LocalContentCanAccessFileUrls
    {75, 74, 690},	// QWebSettings::LocalContentCanAccessRemoteUrls
    {75, 75, 689},	// QWebSettings::LocalStorageDatabaseEnabled
    {75, 76, 688},	// QWebSettings::LocalStorageEnabled
    {75, 79, 710},	// QWebSettings::MinimumFontSize
    {75, 80, 711},	// QWebSettings::MinimumLogicalFontSize
    {75, 81, 702},	// QWebSettings::MissingImageGraphic
    {75, 82, 703},	// QWebSettings::MissingPluginGraphic
    {75, 103, 686},	// QWebSettings::OfflineStorageDatabaseEnabled
    {75, 104, 687},	// QWebSettings::OfflineWebApplicationCacheEnabled
    {75, 118, 678},	// QWebSettings::PluginsEnabled
    {75, 119, 685},	// QWebSettings::PrintElementBackgrounds
    {75, 120, 679},	// QWebSettings::PrivateBrowsingEnabled
    {75, 154, 672},	// QWebSettings::SansSerifFont
    {75, 156, 708},	// QWebSettings::SearchCancelButtonGraphic
    {75, 157, 709},	// QWebSettings::SearchCancelButtonPressedGraphic
    {75, 171, 671},	// QWebSettings::SerifFont
    {75, 175, 698},	// QWebSettings::SiteSpecificQuirksEnabled
    {75, 176, 694},	// QWebSettings::SpatialNavigationEnabled
    {75, 177, 669},	// QWebSettings::StandardFont
    {75, 180, 705},	// QWebSettings::TextAreaSizeGripCornerGraphic
    {75, 181, 696},	// QWebSettings::TiledBackingStoreEnabled
    {75, 191, 700},	// QWebSettings::WebGLEnabled
    {75, 194, 692},	// QWebSettings::XSSAuditingEnabled
    {75, 195, 684},	// QWebSettings::ZoomTextOnly
    {75, 259, 648},	// QWebSettings::clearIconDatabase
    {75, 260, 665},	// QWebSettings::clearMemoryCaches
    {75, 296, 645},	// QWebSettings::defaultTextEncoding
    {75, 315, 668},	// QWebSettings::enablePersistentStorage
    {75, 316, 666},	// QWebSettings::enablePersistentStorage$
    {75, 368, 634},	// QWebSettings::fontFamily$
    {75, 370, 637},	// QWebSettings::fontSize$
    {75, 385, 632},	// QWebSettings::globalSettings
    {75, 388, 667},	// QWebSettings::handle
    {75, 409, 647},	// QWebSettings::iconDatabasePath
    {75, 411, 649},	// QWebSettings::iconForUrl#
    {75, 468, 664},	// QWebSettings::localStoragePath
    {75, 471, 653},	// QWebSettings::maximumPagesInCache
    {75, 493, 658},	// QWebSettings::offlineStorageDefaultQuota
    {75, 494, 656},	// QWebSettings::offlineStoragePath
    {75, 495, 660},	// QWebSettings::offlineWebApplicationCachePath
    {75, 496, 662},	// QWebSettings::offlineWebApplicationCacheQuota
    {75, 594, 641},	// QWebSettings::resetAttribute$
    {75, 596, 635},	// QWebSettings::resetFontFamily$
    {75, 598, 638},	// QWebSettings::resetFontSize$
    {75, 632, 639},	// QWebSettings::setAttribute$$
    {75, 650, 644},	// QWebSettings::setDefaultTextEncoding$
    {75, 669, 633},	// QWebSettings::setFontFamily$$
    {75, 671, 636},	// QWebSettings::setFontSize$$
    {75, 680, 646},	// QWebSettings::setIconDatabasePath$
    {75, 686, 663},	// QWebSettings::setLocalStoragePath$
    {75, 690, 652},	// QWebSettings::setMaximumPagesInCache$
    {75, 698, 654},	// QWebSettings::setObjectCacheCapacities$$$
    {75, 700, 657},	// QWebSettings::setOfflineStorageDefaultQuota$
    {75, 702, 655},	// QWebSettings::setOfflineStoragePath$
    {75, 704, 659},	// QWebSettings::setOfflineWebApplicationCachePath$
    {75, 706, 661},	// QWebSettings::setOfflineWebApplicationCacheQuota$
    {75, 743, 642},	// QWebSettings::setUserStyleSheetUrl#
    {75, 750, 650},	// QWebSettings::setWebGraphic$#
    {75, 780, 640},	// QWebSettings::testAttribute$
    {75, 821, 643},	// QWebSettings::userStyleSheetUrl
    {75, 829, 651},	// QWebSettings::webGraphic$
    {77, 142, 787},	// QWebView::QWebView
    {77, 143, 721},	// QWebView::QWebView#
    {77, 241, 752},	// QWebView::back
    {77, 252, 768},	// QWebView::changeEvent#
    {77, 277, 773},	// QWebView::contextMenuEvent#
    {77, 285, 767},	// QWebView::createWindow$
    {77, 307, 777},	// QWebView::dragEnterEvent#
    {77, 309, 778},	// QWebView::dragLeaveEvent#
    {77, 311, 779},	// QWebView::dragMoveEvent#
    {77, 313, 780},	// QWebView::dropEvent#
    {77, 333, 750},	// QWebView::event#
    {77, 356, 795},	// QWebView::findText$
    {77, 357, 749},	// QWebView::findText$$
    {77, 361, 781},	// QWebView::focusInEvent#
    {77, 363, 784},	// QWebView::focusNextPrevChild$
    {77, 365, 782},	// QWebView::focusOutEvent#
    {77, 371, 753},	// QWebView::forward
    {77, 397, 734},	// QWebView::hasSelection
    {77, 401, 728},	// QWebView::history
    {77, 407, 733},	// QWebView::icon
    {77, 408, 763},	// QWebView::iconChanged
    {77, 415, 783},	// QWebView::inputMethodEvent#
    {77, 417, 740},	// QWebView::inputMethodQuery$
    {77, 420, 739},	// QWebView::isModified
    {77, 439, 775},	// QWebView::keyPressEvent#
    {77, 441, 776},	// QWebView::keyReleaseEvent#
    {77, 448, 761},	// QWebView::linkClicked#
    {77, 458, -1},	// QWebView::load#
    {77, 459, 789},	// QWebView::load#$
    {77, 460, 725},	// QWebView::load#$#
    {77, 462, 758},	// QWebView::loadFinished$
    {77, 464, 757},	// QWebView::loadProgress$
    {77, 465, 756},	// QWebView::loadStarted
    {77, 475, 714},	// QWebView::metaObject
    {77, 481, 771},	// QWebView::mouseDoubleClickEvent#
    {77, 483, 769},	// QWebView::mouseMoveEvent#
    {77, 485, 770},	// QWebView::mousePressEvent#
    {77, 487, 772},	// QWebView::mouseReleaseEvent#
    {77, 531, 722},	// QWebView::page
    {77, 533, 737},	// QWebView::pageAction$
    {77, 537, 766},	// QWebView::paintEvent#
    {77, 557, 755},	// QWebView::print#
    {77, 562, 720},	// QWebView::qt_metacall$$?
    {77, 564, 715},	// QWebView::qt_metacast$
    {77, 566, 754},	// QWebView::reload
    {77, 585, 746},	// QWebView::renderHints
    {77, 600, 765},	// QWebView::resizeEvent#
    {77, 624, 736},	// QWebView::selectedHtml
    {77, 625, 735},	// QWebView::selectedText
    {77, 626, 762},	// QWebView::selectionChanged
    {77, 638, 791},	// QWebView::setContent#
    {77, 639, 792},	// QWebView::setContent#$
    {77, 640, 727},	// QWebView::setContent#$#
    {77, 677, 790},	// QWebView::setHtml$
    {77, 678, 726},	// QWebView::setHtml$#
    {77, 710, 723},	// QWebView::setPage#
    {77, 722, 794},	// QWebView::setRenderHint$
    {77, 723, 748},	// QWebView::setRenderHint$$
    {77, 725, 747},	// QWebView::setRenderHints$
    {77, 737, 744},	// QWebView::setTextSizeMultiplier$
    {77, 739, 731},	// QWebView::setUrl#
    {77, 752, 743},	// QWebView::setZoomFactor$
    {77, 753, 729},	// QWebView::settings
    {77, 758, 741},	// QWebView::sizeHint
    {77, 759, 796},	// QWebView::staticMetaObject
    {77, 761, 760},	// QWebView::statusBarMessage$
    {77, 764, 751},	// QWebView::stop
    {77, 781, 745},	// QWebView::textSizeMultiplier
    {77, 783, 730},	// QWebView::title
    {77, 785, 759},	// QWebView::titleChanged$
    {77, 797, 785},	// QWebView::tr$
    {77, 798, 716},	// QWebView::tr$$
    {77, 799, 718},	// QWebView::tr$$$
    {77, 801, 786},	// QWebView::trUtf8$
    {77, 802, 717},	// QWebView::trUtf8$$
    {77, 803, 719},	// QWebView::trUtf8$$$
    {77, 808, 793},	// QWebView::triggerPageAction$
    {77, 809, 738},	// QWebView::triggerPageAction$$
    {77, 815, 732},	// QWebView::url
    {77, 817, 764},	// QWebView::urlChanged#
    {77, 831, 774},	// QWebView::wheelEvent#
    {77, 835, 742},	// QWebView::zoomFactor
    {77, 854, 797},	// QWebView::~QWebView
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtwebkit_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtwebkit_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtwebkit_Smoke = new Smoke(
        "qtwebkit",
        __smokeqtwebkit::classes, 81,
        __smokeqtwebkit::methods, 838,
        __smokeqtwebkit::methodMaps, 787,
        __smokeqtwebkit::methodNames, 856,
        __smokeqtwebkit::types, 268,
        __smokeqtwebkit::inheritanceList,
        __smokeqtwebkit::argumentList,
        __smokeqtwebkit::ambiguousMethodList,
        __smokeqtwebkit::cast );
    initialized = true;
}

void delete_qtwebkit_Smoke() { delete qtwebkit_Smoke; }

}
